/*===========================================================================*/
/*   (Llib/midi.scm)                                                         */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -copt -fPIC -copt -IUnix Llib/midi.scm -o objs/midi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_midiscorez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_formatz00;
   long BgL_tempoz00;
   long BgL_ppqz00;
   obj_t BgL_tracksz00;
} *BgL_midiscorez00_bglt;

typedef struct BgL_miditrackz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52streamz52;
   struct BgL_midireaderz00_bgl * BgL_z52readerz52;
   obj_t BgL_z52closez52;
   bool_t BgL_z52eotz52;
   uint32_t BgL_z52wtickz52;
   long BgL_z52statusz52;
   int32_t BgL_lenz00;
   long BgL_tempoz00;
   obj_t BgL_ipz00;
   long BgL_startz00;
   long BgL_datastartz00;
   uint32_t BgL_wtickz00;
   long BgL_statusz00;
   bool_t BgL_eotz00;
} *BgL_miditrackz00_bglt;

typedef struct BgL_midireaderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_peekzd2bytezd2;
   obj_t BgL_readzd2bytezd2;
   obj_t BgL_readzd2int16zd2;
   obj_t BgL_readzd2int32zd2;
   obj_t BgL_readzd2intzd2;
   obj_t BgL_readzd2vlqzd2;
   obj_t BgL_readzd2charszd2;
} *BgL_midireaderz00_bglt;

typedef struct BgL_midiplayerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_errz00;
   obj_t BgL_cdelayz00;
   obj_t BgL_noteoffz00;
   obj_t BgL_noteonz00;
   obj_t BgL_aftertouchz00;
   obj_t BgL_ctrlchangez00;
   obj_t BgL_prgmchangez00;
   obj_t BgL_afterzd2touchzd2;
   obj_t BgL_pitchz00;
   obj_t BgL_sysexz00;
   obj_t BgL_metazd2seqnumzd2;
   obj_t BgL_metazd2textzd2;
   obj_t BgL_metazd2copyrightzd2;
   obj_t BgL_metazd2trackzd2;
   obj_t BgL_metazd2instrumentzd2;
   obj_t BgL_metazd2lyriczd2;
   obj_t BgL_metazd2markerzd2;
   obj_t BgL_metazd2cuezd2;
   obj_t BgL_metazd2prgmnamezd2;
   obj_t BgL_metazd2devnamezd2;
   obj_t BgL_metazd2channprefzd2;
   obj_t BgL_metazd2midiportzd2;
   obj_t BgL_metazd2eotzd2;
   obj_t BgL_metazd2tempozd2;
   obj_t BgL_metazd2smtpezd2;
   obj_t BgL_metazd2timesigzd2;
   obj_t BgL_metazd2keysigzd2;
   obj_t BgL_metazd2seqspeczd2;
} *BgL_midiplayerz00_bglt;

typedef struct BgL_midisinkz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_streamz00;
   obj_t BgL_usleepz00;
   obj_t BgL_writezd2bytezd2;
   obj_t BgL_writezd2stringzd2;
   obj_t BgL_flushz00;
} *BgL_midisinkz00_bglt;


static obj_t BGl_z62lambda2494z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t);
static long BGl_readzd2intzd2zz__multimediazd2midizd2(long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32559ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt);
static BgL_midisinkz00_bglt BGl_midisinkzd2nullzd2zz__multimediazd2midizd2;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, BgL_miditrackz00_bglt, long, long, long);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32496ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_midiscorez00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DEF obj_t BGl_midiplayerz00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(obj_t, long);
static obj_t BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2();
static int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_midireaderz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, BGL_LONGLONG_T);
static int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long);
static obj_t BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_miditrackz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midireaderzd2init1235zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31250ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2();
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32320ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32150ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32143ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_midisinkz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31520ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
static obj_t BGl_z62zc3z04anonymousza31521ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds();
static obj_t BGl_z62zc3z04anonymousza32511ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32341ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32503ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31248ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_midiplayerzd2readzd2zz__multimediazd2midizd2;
static obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2init1237zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62midiscorezd2init1231zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32504ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32334ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31427ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt);
static obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2205z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2206z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32327ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2126z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2129z62zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2212z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2135z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31518ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2136z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__multimediazd2midizd2(obj_t, obj_t);
static long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long);
static obj_t BGl_z62lambda2220z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2141z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2303z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2142z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2304z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2226z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31519ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2227z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2308z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2309z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2148z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2149z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_z62midisinkzd2init1239zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2233z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2234z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2315z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2155z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2156z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2318z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2240z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2402z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2();
static obj_t BGl_z62lambda2241z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2403z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32274ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2163z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2325z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2326z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2247z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2166z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2409z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2410z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32550ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2332z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2333z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32518ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2173z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2416z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2174z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2417z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2339z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62miditrackzd2init1233zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2501z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2340z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2502z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32551ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31660ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32543ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2180z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2423z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2181z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2262z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2424z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2346z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2347z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2509z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2186z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda2510z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2430z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2431z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32536ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2191z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2272z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2353z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2354z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2516z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2517z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2437z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2438z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2278z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2279z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2199z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62lambda2360z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2;
static BgL_midisinkz00_bglt BGl_z62lambda2524z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2444z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32529ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2283z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2445z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2284z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2527z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2367z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2368z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_z62lambda2288z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2289z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2451z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2452z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2534z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2535z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2293z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2374z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2294z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2375z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2458z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2459z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2298z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2299z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2;
static obj_t BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2541z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2542z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2381z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2465z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2466z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2548z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2549z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2388z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2389z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2472z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2473z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2556z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt);
static obj_t BGl_z62lambda2395z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2557z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2396z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t, long);
static obj_t BGl_z62lambda2479z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2480z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2564z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2565z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_z62zc3z04anonymousza32566ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32558ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31659ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t __cnst[ 76 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3003z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2315za7623045z00, BGl_z62lambda2315z62zz__multimediazd2midizd2, 0L, BUNSPEC, 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3004z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3046za7, BGl_z62zc3z04anonymousza32536ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2f3047z00, BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3005z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2535za7623048z00, BGl_z62lambda2535z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3006z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2534za7623049z00, BGl_z62lambda2534z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3007z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3050za7, BGl_z62zc3z04anonymousza32543ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3008z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2542za7623051z00, BGl_z62lambda2542z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3009z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2541za7623052z00, BGl_z62lambda2541z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3053z00, BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23054z00, BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3010z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3055za7, BGl_z62zc3z04anonymousza32550ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2549za7623056z00, BGl_z62lambda2549z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2548za7623057z00, BGl_z62lambda2548z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3058za7, BGl_z62zc3z04anonymousza32558ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2557za7623059z00, BGl_z62lambda2557z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2556za7623060z00, BGl_z62lambda2556z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3061za7, BGl_z62zc3z04anonymousza32566ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2565za7623062z00, BGl_z62lambda2565z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2564za7623063z00, BGl_z62lambda2564z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3064za7, BGl_z62zc3z04anonymousza32529ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3027z00zz__multimediazd2midizd2, BgL_bgl_string3027za700za7za7_3065za7, "midiscore-init1231", 18 );
DEFINE_STRING( BGl_string3029z00zz__multimediazd2midizd2, BgL_bgl_string3029za700za7za7_3066za7, "miditrack-init1233", 18 );
BGL_IMPORT obj_t BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2527za7623067z00, BGl_z62lambda2527z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2524za7623068z00, BGl_z62lambda2524z62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3069za7, BGl_z62zc3z04anonymousza32559ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3070za7, BGl_z62zc3z04anonymousza32551ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3071za7, BGl_z62zc3z04anonymousza32504ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3031z00zz__multimediazd2midizd2, BgL_bgl_string3031za700za7za7_3072za7, "midireader-init1235", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3073za7, BGl_z62zc3z04anonymousza32496ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3074z00, BGl_z62midiscorezd2init1231zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3033z00zz__multimediazd2midizd2, BgL_bgl_string3033za700za7za7_3075za7, "midiplayer-init1237", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3076z00, BGl_z62miditrackzd2init1233zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3035z00zz__multimediazd2midizd2, BgL_bgl_string3035za700za7za7_3077za7, "midisink-init1239", 17 );
DEFINE_STRING( BGl_string3036z00zz__multimediazd2midizd2, BgL_bgl_string3036za700za7za7_3078za7, "&midiscore-init", 15 );
DEFINE_STRING( BGl_string3037z00zz__multimediazd2midizd2, BgL_bgl_string3037za700za7za7_3079za7, "&miditrack-init", 15 );
DEFINE_STRING( BGl_string3038z00zz__multimediazd2midizd2, BgL_bgl_string3038za700za7za7_3080za7, "&midireader-init", 16 );
DEFINE_STRING( BGl_string3039z00zz__multimediazd2midizd2, BgL_bgl_string3039za700za7za7_3081za7, "midireader", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23082z00, BGl_z62midireaderzd2init1235zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23083z00, BGl_z62midiplayerzd2init1237zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3040z00zz__multimediazd2midizd2, BgL_bgl_string3040za700za7za7_3084za7, "&midiplayer-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3085z00, BGl_z62midisinkzd2init1239zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3041z00zz__multimediazd2midizd2, BgL_bgl_string3041za700za7za7_3086za7, "&midisink-init", 14 );
DEFINE_STRING( BGl_string3042z00zz__multimediazd2midizd2, BgL_bgl_string3042za700za7za7_3087za7, "#() midisink flush write-string write-byte usleep stream midiplayer meta-seqspec meta-keysig meta-timesig meta-smtpe meta-tempo meta-eot meta-midiport meta-channpref meta-devname meta-prgmname meta-cue meta-marker meta-lyric meta-instrument meta-track meta-copyright meta-text meta-seqnum sysex pitch after-touch prgmchange ctrlchange aftertouch noteon noteoff cdelay err midireader read-chars read-vlq read-int read-int32 read-int16 read-byte peek-byte miditrack eot status wtick datastart start ip int32 len %status uint32 %wtick bool %eot procedure %close %reader obj %stream __multimedia-midi midiscore vector tracks ppq tempo long format string-stream #(\"C\" \"C#\" \"D\" \"D#\" \"E\" \"F\" \"F#\" \"G\" \"G#\" \"A\" \"A#\" \"B\") #(\"\" \"Acoustic Grand Piano\" \"Bright Acoustic Piano\" \"Electric Grand Piano\" \"Honky-tonk Piano\" \"Electric Piano 1\" \"Electric Piano 2\" \"Harpsichord\" \"Clavinet\" \"Celesta\" \"Glockenspiel\" \"Music Box\" \"Vibraphone\" \"Marimba\" \"Xylophone\" \"Tubular Bells\" \"Dulcimer"
"\" \"Drawbar Organ\" \"Percussive Organ\" \"Rock Organ\" \"Church Organ\" \"Reed Organ\" \"Accordion\" \"Harmonica\" \"Tango Accordion\" \"Acoustic Guitar (nylon)\" \"Acoustic Guitar (steel)\" \"Electric Guitar (jazz)\" \"Electric Guitar (clean)\" \"Electric Guitar (muted)\" \"Overdriven Guitar\" \"Distortion Guitar\" \"Guitar harmonics\" \"Acoustic Bass\" \"Electric Bass (finger)\" \"Electric Bass (pick)\" \"Fretless Bass\" \"Slap Bass 1\" \"Slap Bass 2\" \"Synth Bass 1\" \"Synth Bass 2\" \"Violin\" \"Viola\" \"Cello\" \"Contrabass\" \"Tremolo Strings\" \"Pizzicato Strings\" \"Orchestral Harp\" \"Timpani\" \"String Ensemble 1\" \"String Ensemble 2\" \"Synth Strings 1\" \"Synth Strings 2\" \"Choir Aahs\" \"Voice Oohs\" \"Synth Voice\" \"Orchestra Hit\" \"Trumpet\" \"Trombone\" \"Tuba\" \"Muted Trumpet\" \"French Horn\" \"Brass Section\" \"Synth Brass 1\" \"Synth Brass 2\" \"Soprano Sax\" \"Alto Sax\" \"Tenor Sax\" \"Baritone Sax\" \"Oboe\" \"English Horn\" \"Bassoon\" \"Clarinet\" \"Piccolo\" \"Flute\" \"Reco"
"rder\" \"Pan Flute\" \"Blown Bottle\" \"Shakuhachi\" \"Whistle\" \"Ocarina\" \"Lead 1 (square)\" \"Lead 2 (sawtooth)\" \"Lead 3 (calliope)\" \"Lead 4 (chiff)\" \"Lead 5 (charang)\" \"Lead 6 (voice)\" \"Lead 7 (fifths)\" \"Lead 8 (bass + lead)\" \"Pad 1 (new age)\" \"Pad 2 (warm)\" \"Pad 3 (polysynth)\" \"Pad 4 (choir)\" \"Pad 5 (bowed)\" \"Pad 6 (metallic)\" \"Pad 7 (halo)\" \"Pad 8 (sweep)\" \"FX 1 (rain)\" \"FX 2 (soundtrack)\" \"FX 3 (crystal)\" \"FX 4 (atmosphere)\" \"FX 5 (brightness)\" \"FX 6 (goblins)\" \"FX 7 (echoes)\" \"FX 8 (sci-fi)\" \"Sitar\" \"Banjo\" \"Shamisen\" \"Koto\" \"Kalimba\" \"Bag pipe\" \"Fiddle\" \"Shanai\" \"Tinkle Bell\" \"Agogo\" \"Steel Drums\" \"Woodblock\" \"Taiko Drum\" \"Melodic Tom\" \"Synth Drum\" \"Reverse Cymbal\" \"Guitar Fret Noise\" \"Breath Noise\" \"Seashore\" \"Bird Tweet\" \"Telephone Ring\" \"Helicopter\" \"Applause\" \"Gunshot\") #(\"Bank Select\" \"Modulation Wheel or Lever\" \"Breath Controller\" \"Undefined\" \"Foot Controller\" \"Portamento Time\" \"Data Entr"
"y MSB\" \"Channel Volume\" \"Balance\" \"Undefined\" \"Pan\" \"Expression Controller\" \"Effect Control 1\" \"Effect Control 2\" \"Undefined\" \"Undefined\" \"General Purpose Controller 1\" \"General Purpose Controller 2\" \"General Purpose Controller 3\" \"General Purpose Controller 4\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"LSB for Control 0\" \"LSB for Control 1\" \"LSB for Control 2\" \"LSB for Control 3\" \"LSB for Control 4\" \"LSB for Control 5\" \"LSB for Control 6\" \"LSB for Control 7\" \"LSB for Control 8\" \"LSB for Control 9\" \"LSB for Control 10\" \"LSB for Control 11\" \"LSB for Control 12\" \"LSB for Control 13\" \"LSB for Control 14\" \"LSB for Control 15\" \"LSB for Control 16\" \"LSB for Control 17\" \"LSB for Control 18\" \"LSB for Control 19\" \"LSB for Control 20\" \"LSB for Control 21\" \"LSB for Control 22\" \"LSB for Control 23\" \"LSB for Control 24\" \""
"LSB for Control 25\" \"LSB for Control 26\" \"LSB for Control 27\" \"LSB for Control 28\" \"LSB for Control 29\" \"LSB for Control 30\" \"LSB for Control 31\" \"Damper Pedal on/off (Sustain)\" \"Portamento On/Off\" \"Sostenuto On/Off\" \"Soft Pedal On/Off\" \"Legato Footswitch\" \"Hold 2\" \"Sound Controller 1 (default: Sound Variation)\" \"Sound Controller 2 (default: Timbre/Harmonic Intens.)\" \"Sound Controller 3 (default: Release Time)\" \"Sound Controller 4 (default: Attack Time)\" \"Sound Controller 5 (default: Brightness)\" \"Sound Controller 6 (default: Decay Time - see MMA RP-021)\" \"Sound Controller 7 (default: Vibrato Rate - see MMA RP-021)\" \"Sound Controller 8 (default: Vibrato Depth - see MMA RP-021)\" \"Sound Controller 9 (default: Vibrato Delay - see MMA RP-021)\" \"Sound Controller 10 (default undefined - see MMA RP-021)\" \"General Purpose Controller 5\" \"General Purpose Controller 6\" \"General Purpose Controller 7\" \"General Purpose Controller 8\" \"Portamento Control\" \"Undefined\" "
"\"Undefined\" \"Undefined\" \"High Resolution Velocity Prefix\" \"Undefined\" \"Undefined\" \"Effects 1 Depth\" \"Effects 2 Depth\" \"Effects 3 Depth\" \"Effects 4 Depth\" \"Effects 5 Depth\" \"Data Increment\" \"Data Decrement\" \"Non-Registered Parameter Number (NRPN)\" \"Non-Registered Parameter Number (NRPN)\" \"Registered Parameter Number (RPN)\" \"Registered Parameter Number (RPN)\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"[Channel Mode Message] All Sound Off\" \"[Channel Mode Message] Reset All Controllers\" \"[Channel Mode Message] Local Control On/Off\" \"[Channel Mode Message] All Notes Off\" \"[Channel Mode Message] Omni Mode Off (+ all notes off)\" \"[Channel Mode Message] Omni Mode On (+ all notes off)\" \"[Channel Mode Message] Mono Mode On (+ poly off, + all notes off)\" \"[Channel Mod"
"e Message] Poly Mode On (+ mono off, +all notes off)\") #(\"\" \"text\" \"copyright\" \"track\" \"instrument\" \"lyric\" \"marker\" \"cue\") ", 5730 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3088z00, BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23089z00, BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23090z00, BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2controllerzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2contro3091z00, BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3092z00, BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2vlqza7b03093za7, BGl_z62readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23094z00, BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3095z00, BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2playzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2p3096z00, BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int32za73097za7, BGl_z62readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2801z00zz__multimediazd2midizd2, BgL_bgl_string2801za700za7za7_3098za7, "&miditrack-string", 17 );
DEFINE_STRING( BGl_string2802z00zz__multimediazd2midizd2, BgL_bgl_string2802za700za7za7_3099za7, "midiscore-play", 14 );
DEFINE_STRING( BGl_string2803z00zz__multimediazd2midizd2, BgL_bgl_string2803za700za7za7_3100za7, "&midiscore-play", 15 );
DEFINE_STRING( BGl_string2804z00zz__multimediazd2midizd2, BgL_bgl_string2804za700za7za7_3101za7, "midiscore", 9 );
DEFINE_STRING( BGl_string2805z00zz__multimediazd2midizd2, BgL_bgl_string2805za700za7za7_3102za7, "midiplayer", 10 );
DEFINE_STRING( BGl_string2806z00zz__multimediazd2midizd2, BgL_bgl_string2806za700za7za7_3103za7, "midisink", 8 );
DEFINE_STRING( BGl_string2807z00zz__multimediazd2midizd2, BgL_bgl_string2807za700za7za7_3104za7, "~x:~x", 5 );
DEFINE_STRING( BGl_string2808z00zz__multimediazd2midizd2, BgL_bgl_string2808za700za7za7_3105za7, "midiplay", 8 );
DEFINE_STRING( BGl_string2809z00zz__multimediazd2midizd2, BgL_bgl_string2809za700za7za7_3106za7, "illegal meta-event", 18 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23107z00, BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2stringzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2s3108z00, BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2800z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3109za7, BGl_z62zc3z04anonymousza31660ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2810z00zz__multimediazd2midizd2, BgL_bgl_string2810za700za7za7_3110za7, "illegal event", 13 );
DEFINE_STRING( BGl_string2811z00zz__multimediazd2midizd2, BgL_bgl_string2811za700za7za7_3111za7, "MThd", 4 );
DEFINE_STRING( BGl_string2812z00zz__multimediazd2midizd2, BgL_bgl_string2812za700za7za7_3112za7, "read-midi-mthd", 14 );
DEFINE_STRING( BGl_string2813z00zz__multimediazd2midizd2, BgL_bgl_string2813za700za7za7_3113za7, "invalid number of SMPTE frames per second", 41 );
DEFINE_STRING( BGl_string2814z00zz__multimediazd2midizd2, BgL_bgl_string2814za700za7za7_3114za7, "Bad header", 10 );
DEFINE_STRING( BGl_string2815z00zz__multimediazd2midizd2, BgL_bgl_string2815za700za7za7_3115za7, "MTrk", 4 );
DEFINE_STRING( BGl_string2816z00zz__multimediazd2midizd2, BgL_bgl_string2816za700za7za7_3116za7, "read-midi-mtrk", 14 );
DEFINE_STRING( BGl_string2817z00zz__multimediazd2midizd2, BgL_bgl_string2817za700za7za7_3117za7, "&read-int", 9 );
DEFINE_STRING( BGl_string2818z00zz__multimediazd2midizd2, BgL_bgl_string2818za700za7za7_3118za7, "&string-stream-peek-byte", 24 );
DEFINE_STRING( BGl_string2819z00zz__multimediazd2midizd2, BgL_bgl_string2819za700za7za7_3119za7, "struct", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3120z00, BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2820z00zz__multimediazd2midizd2, BgL_bgl_string2820za700za7za7_3121za7, "&string-stream-read-byte", 24 );
DEFINE_STRING( BGl_string2821z00zz__multimediazd2midizd2, BgL_bgl_string2821za700za7za7_3122za7, "&string-stream-read-int16", 25 );
DEFINE_STRING( BGl_string2822z00zz__multimediazd2midizd2, BgL_bgl_string2822za700za7za7_3123za7, "&string-stream-read-int32", 25 );
DEFINE_STRING( BGl_string2823z00zz__multimediazd2midizd2, BgL_bgl_string2823za700za7za7_3124za7, "&string-stream-read-int", 23 );
DEFINE_STRING( BGl_string2824z00zz__multimediazd2midizd2, BgL_bgl_string2824za700za7za7_3125za7, "&string-stream-read-chars", 25 );
DEFINE_STRING( BGl_string2825z00zz__multimediazd2midizd2, BgL_bgl_string2825za700za7za7_3126za7, "&midiplayer-cdelay", 18 );
DEFINE_STRING( BGl_string2826z00zz__multimediazd2midizd2, BgL_bgl_string2826za700za7za7_3127za7, "miditrack", 9 );
DEFINE_STRING( BGl_string2827z00zz__multimediazd2midizd2, BgL_bgl_string2827za700za7za7_3128za7, "&midiplayer-ignore", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2notezd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2noteza7d3129za7, BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2828z00zz__multimediazd2midizd2, BgL_bgl_string2828za700za7za7_3130za7, "&midiplayer-noteoff", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23131z00, BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string2829z00zz__multimediazd2midizd2, BgL_bgl_string2829za700za7za7_3132za7, "&midiplayer-noteon", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2inputzd2portzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3133z00, BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2900z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2279za7623134z00, BGl_z62lambda2279z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2901z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2278za7623135z00, BGl_z62lambda2278z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2902z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2284za7623136z00, BGl_z62lambda2284z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2903z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2283za7623137z00, BGl_z62lambda2283z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2904z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2289za7623138z00, BGl_z62lambda2289z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2905z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2288za7623139z00, BGl_z62lambda2288z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2830z00zz__multimediazd2midizd2, BgL_bgl_string2830za700za7za7_3140za7, "&midiplayer-aftertouch", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2906z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2294za7623141z00, BGl_z62lambda2294z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2831z00zz__multimediazd2midizd2, BgL_bgl_string2831za700za7za7_3142za7, "&midiplayer-ctrlchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2907z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2293za7623143z00, BGl_z62lambda2293z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2832z00zz__multimediazd2midizd2, BgL_bgl_string2832za700za7za7_3144za7, "&midiplayer-prgmchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2908z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2299za7623145z00, BGl_z62lambda2299z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2833z00zz__multimediazd2midizd2, BgL_bgl_string2833za700za7za7_3146za7, "&midiplayer-after-touch", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2909z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2298za7623147z00, BGl_z62lambda2298z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2834z00zz__multimediazd2midizd2, BgL_bgl_string2834za700za7za7_3148za7, "&midiplayer-pitch", 17 );
DEFINE_STRING( BGl_string2835z00zz__multimediazd2midizd2, BgL_bgl_string2835za700za7za7_3149za7, "&midiplayer-sysex", 17 );
DEFINE_STRING( BGl_string2836z00zz__multimediazd2midizd2, BgL_bgl_string2836za700za7za7_3150za7, "~a[~a]", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2intza7b03151za7, BGl_z62readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2837z00zz__multimediazd2midizd2, BgL_bgl_string2837za700za7za7_3152za7, "&midi-note-name", 15 );
DEFINE_STRING( BGl_string2838z00zz__multimediazd2midizd2, BgL_bgl_string2838za700za7za7_3153za7, "unknown controller", 18 );
DEFINE_STRING( BGl_string2839z00zz__multimediazd2midizd2, BgL_bgl_string2839za700za7za7_3154za7, "&midi-controller-name", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3155z00, BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2910z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2304za7623156z00, BGl_z62lambda2304z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2911z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2303za7623157z00, BGl_z62lambda2303z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2912z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2309za7623158z00, BGl_z62lambda2309z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2913z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2308za7623159z00, BGl_z62lambda2308z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2914z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3160za7, BGl_z62zc3z04anonymousza32274ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2915z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2272za7623161z00, BGl_z62lambda2272z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2840z00zz__multimediazd2midizd2, BgL_bgl_string2840za700za7za7_3162za7, "unknown program", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2916z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2269za7623163z00, BGl_z62lambda2269z62zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2841z00zz__multimediazd2midizd2, BgL_bgl_string2841za700za7za7_3164za7, "&midi-program-name", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2917z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3165za7, BGl_z62zc3z04anonymousza32327ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2842z00zz__multimediazd2midizd2, BgL_bgl_string2842za700za7za7_3166za7, "&midi-program-index", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2918z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2326za7623167z00, BGl_z62lambda2326z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2919z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2325za7623168z00, BGl_z62lambda2325z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2920z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3169za7, BGl_z62zc3z04anonymousza32334ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2921z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2333za7623170z00, BGl_z62lambda2333z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2922z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2332za7623171z00, BGl_z62lambda2332z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2923z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3172za7, BGl_z62zc3z04anonymousza32341ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2924z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2340za7623173z00, BGl_z62lambda2340z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2843z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2136za7623174z00, BGl_z62lambda2136z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2925z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2339za7623175z00, BGl_z62lambda2339z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2844z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2135za7623176z00, BGl_z62lambda2135z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23177z00, BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2926z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3178za7, BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2845z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3179za7, BGl_z62zc3z04anonymousza32143ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3180z00, BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2927z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2347za7623181z00, BGl_z62lambda2347z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2846z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2142za7623182z00, BGl_z62lambda2142z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2928z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2346za7623183z00, BGl_z62lambda2346z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2847z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2141za7623184z00, BGl_z62lambda2141z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2929z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3185za7, BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2848z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3186za7, BGl_z62zc3z04anonymousza32150ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2849z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2149za7623187z00, BGl_z62lambda2149z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int16za73188za7, BGl_z62readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2930z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2354za7623189z00, BGl_z62lambda2354z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2931z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2353za7623190z00, BGl_z62lambda2353z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2850z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2148za7623191z00, BGl_z62lambda2148z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2932z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3192za7, BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2851z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3193za7, BGl_z62zc3z04anonymousza32157ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2933z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2361za7623194z00, BGl_z62lambda2361z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2852z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2156za7623195z00, BGl_z62lambda2156z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2934z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2360za7623196z00, BGl_z62lambda2360z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2853z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2155za7623197z00, BGl_z62lambda2155z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2935z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3198za7, BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2854z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3199za7, BGl_z62zc3z04anonymousza32131ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2936z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2368za7623200z00, BGl_z62lambda2368z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2855z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2129za7623201z00, BGl_z62lambda2129z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2774z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3202za7, BGl_z62zc3z04anonymousza31247ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2937z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2367za7623203z00, BGl_z62lambda2367z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2856z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2126za7623204z00, BGl_z62lambda2126z62zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2775z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3205za7, BGl_z62zc3z04anonymousza31248ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2938z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3206za7, BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2857z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3207za7, BGl_z62zc3z04anonymousza32175ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2776z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3208za7, BGl_z62zc3z04anonymousza31249ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2939z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2375za7623209z00, BGl_z62lambda2375z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2858z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2174za7623210z00, BGl_z62lambda2174z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2777z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3211za7, BGl_z62zc3z04anonymousza31250ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2859z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2173za7623212z00, BGl_z62lambda2173z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2778z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3213za7, BGl_z62zc3z04anonymousza31251ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2779z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3214za7, BGl_z62zc3z04anonymousza31252ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2789z00zz__multimediazd2midizd2, BgL_bgl_string2789za700za7za7_3215za7, "midiscore-file", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2940z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2374za7623216z00, BGl_z62lambda2374z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2941z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3217za7, BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2860z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2181za7623218z00, BGl_z62lambda2181z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2942z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2382za7623219z00, BGl_z62lambda2382z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2861z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2180za7623220z00, BGl_z62lambda2180z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2780z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3221za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2943z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2381za7623222z00, BGl_z62lambda2381z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2862z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2186za7623223z00, BGl_z62lambda2186z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2781z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3224za7, BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2944z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3225za7, BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2863z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2185za7623226z00, BGl_z62lambda2185z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2782z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3227za7, BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23228z00, BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2945z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2389za7623229z00, BGl_z62lambda2389z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2864z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3230za7, BGl_z62zc3z04anonymousza32193ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2783z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3231za7, BGl_z62zc3z04anonymousza31426ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2946z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2388za7623232z00, BGl_z62lambda2388z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2865z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2192za7623233z00, BGl_z62lambda2192z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2790z00zz__multimediazd2midizd2, BgL_bgl_string2790za700za7za7_3234za7, "format not supported", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2784z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3235za7, BGl_z62zc3z04anonymousza31427ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2947z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3236za7, BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2866z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2191za7623237z00, BGl_z62lambda2191z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2791z00zz__multimediazd2midizd2, BgL_bgl_string2791za700za7za7_3238za7, "midiplayer-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2785z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3239za7, BGl_z62zc3z04anonymousza31518ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2948z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2396za7623240z00, BGl_z62lambda2396z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2867z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3241za7, BGl_z62zc3z04anonymousza32200ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2792z00zz__multimediazd2midizd2, BgL_bgl_string2792za700za7za7_3242za7, "bad midi format", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2786z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3243za7, BGl_z62zc3z04anonymousza31519ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2949z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2395za7623244z00, BGl_z62lambda2395z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2868z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2199za7623245z00, BGl_z62lambda2199z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2793z00zz__multimediazd2midizd2, BgL_bgl_string2793za700za7za7_3246za7, "/builddir/build/BUILD/bigloo-4.4b/api/multimedia/src/Llib/midi.scm", 66 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2787z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3247za7, BGl_z62zc3z04anonymousza31520ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2869z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2198za7623248z00, BGl_z62lambda2198z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2794z00zz__multimediazd2midizd2, BgL_bgl_string2794za700za7za7_3249za7, "&midiscore-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2788z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3250za7, BGl_z62zc3z04anonymousza31521ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2795z00zz__multimediazd2midizd2, BgL_bgl_string2795za700za7za7_3251za7, "bstring", 7 );
DEFINE_STRING( BGl_string2796z00zz__multimediazd2midizd2, BgL_bgl_string2796za700za7za7_3252za7, "&miditrack-input-port", 21 );
BGL_IMPORT obj_t BGl_sleepzd2envzd2zz__osz00;
DEFINE_STRING( BGl_string2797z00zz__multimediazd2midizd2, BgL_bgl_string2797za700za7za7_3253za7, "input-port", 10 );
DEFINE_STRING( BGl_string2798z00zz__multimediazd2midizd2, BgL_bgl_string2798za700za7za7_3254za7, "bint", 4 );
DEFINE_STRING( BGl_string2799z00zz__multimediazd2midizd2, BgL_bgl_string2799za700za7za7_3255za7, "&miditrack-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2950z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3256za7, BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2951z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2403za7623257z00, BGl_z62lambda2403z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2870z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3258za7, BGl_z62zc3z04anonymousza32207ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2952z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2402za7623259z00, BGl_z62lambda2402z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2871z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2206za7623260z00, BGl_z62lambda2206z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2953z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3261za7, BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2872z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2205za7623262z00, BGl_z62lambda2205z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2954z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2410za7623263z00, BGl_z62lambda2410z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2873z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3264za7, BGl_z62zc3z04anonymousza32214ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2955z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2409za7623265z00, BGl_z62lambda2409z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2874z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2213za7623266z00, BGl_z62lambda2213z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2956z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3267za7, BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2875z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2212za7623268z00, BGl_z62lambda2212z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2957z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2417za7623269z00, BGl_z62lambda2417z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2876z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3270za7, BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2958z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2416za7623271z00, BGl_z62lambda2416z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2877z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2220za7623272z00, BGl_z62lambda2220z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2959z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3273za7, BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2878z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2219za7623274z00, BGl_z62lambda2219z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2879z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3275za7, BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2960z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2424za7623276z00, BGl_z62lambda2424z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2961z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2423za7623277z00, BGl_z62lambda2423z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2880z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2227za7623278z00, BGl_z62lambda2227z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2962z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3279za7, BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2881z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2226za7623280z00, BGl_z62lambda2226z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2963z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2431za7623281z00, BGl_z62lambda2431z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2882z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3282za7, BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2964z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2430za7623283z00, BGl_z62lambda2430z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2883z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2234za7623284z00, BGl_z62lambda2234z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2965z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3285za7, BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2884z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2233za7623286z00, BGl_z62lambda2233z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2966z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2438za7623287z00, BGl_z62lambda2438z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2885z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3288za7, BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2967z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2437za7623289z00, BGl_z62lambda2437z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2886z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2241za7623290z00, BGl_z62lambda2241z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2968z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3291za7, BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2887z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2240za7623292z00, BGl_z62lambda2240z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2969z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2445za7623293z00, BGl_z62lambda2445z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2888z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3294za7, BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2889z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2248za7623295z00, BGl_z62lambda2248z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2970z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2444za7623296z00, BGl_z62lambda2444z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2971z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3297za7, BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2890z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2247za7623298z00, BGl_z62lambda2247z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2972z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2452za7623299z00, BGl_z62lambda2452z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2891z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3300za7, BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2973z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2451za7623301z00, BGl_z62lambda2451z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2892z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2255za7623302z00, BGl_z62lambda2255z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2974z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3303za7, BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2893z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2254za7623304z00, BGl_z62lambda2254z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2975z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2459za7623305z00, BGl_z62lambda2459z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2894z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3306za7, BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2976z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2458za7623307z00, BGl_z62lambda2458z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2895z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2262za7623308z00, BGl_z62lambda2262z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2977z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3309za7, BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2896z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2261za7623310z00, BGl_z62lambda2261z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2978z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2466za7623311z00, BGl_z62lambda2466z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2897z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3312za7, BGl_z62zc3z04anonymousza32168ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2979z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2465za7623313z00, BGl_z62lambda2465z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2898z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2166za7623314z00, BGl_z62lambda2166z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2899z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2163za7623315z00, BGl_z62lambda2163z62zz__multimediazd2midizd2, 0L, BUNSPEC, 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2980z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3316za7, BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2981z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2473za7623317z00, BGl_z62lambda2473z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2472za7623318z00, BGl_z62lambda2472z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2983z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3319za7, BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2984z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2480za7623320z00, BGl_z62lambda2480z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2985z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2479za7623321z00, BGl_z62lambda2479z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3322za7, BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2987z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2487za7623323z00, BGl_z62lambda2487z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2988z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2486za7623324z00, BGl_z62lambda2486z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3325za7, BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2990z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2494za7623326z00, BGl_z62lambda2494z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2991z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2493za7623327z00, BGl_z62lambda2493z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2992z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3328za7, BGl_z62zc3z04anonymousza32503ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2993z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2502za7623329z00, BGl_z62lambda2502z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2994z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2501za7623330z00, BGl_z62lambda2501z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2995z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3331za7, BGl_z62zc3z04anonymousza32511ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2996z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2510za7623332z00, BGl_z62lambda2510z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2997z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2509za7623333z00, BGl_z62lambda2509z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2998z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3334za7, BGl_z62zc3z04anonymousza32518ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2999z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2517za7623335z00, BGl_z62lambda2517z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2f3336z00, BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2indexzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3337z00, BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23338z00, BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3339z00, BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23340z00, BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23341z00, BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3342z00, BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3343z00, BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23344z00, BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3345z00, BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3000z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2516za7623346z00, BGl_z62lambda2516z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3001z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3347za7, BGl_z62zc3z04anonymousza32320ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3002z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2318za7623348z00, BGl_z62lambda2318z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_midisinkzd2nullzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiscorez00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2programzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_miditrackz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midisinkz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerzd2readzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2textzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2notezd2namesz00zz__multimediazd2midizd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long BgL_checksumz00_4187, char * BgL_fromz00_4188)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(); 
BGl_cnstzd2initzd2zz__multimediazd2midizd2(); 
BGl_objectzd2initzd2zz__multimediazd2midizd2(); 
BGl_genericzd2initzd2zz__multimediazd2midizd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2midizd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-midi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
obj_t BgL_cportz00_3838;
{ /* Llib/midi.scm 15 */
obj_t BgL_stringz00_3846;
BgL_stringz00_3846 = BGl_string3042z00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 15 */
obj_t BgL_startz00_3847;
BgL_startz00_3847 = 
BINT(((long)0)); 
{ /* Llib/midi.scm 15 */
obj_t BgL_endz00_3848;
BgL_endz00_3848 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3846))); 
{ /* Llib/midi.scm 15 */

BgL_cportz00_3838 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3846, BgL_startz00_3847, BgL_endz00_3848); } } } } 
{ 
long BgL_iz00_3839;
BgL_iz00_3839 = ((long)75); 
BgL_loopz00_3840:
if(
(BgL_iz00_3839==((long)-1)))
{ /* Llib/midi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
obj_t BgL_arg3044z00_3842;
{ /* Llib/midi.scm 15 */

{ /* Llib/midi.scm 15 */
obj_t BgL_locationz00_3844;
BgL_locationz00_3844 = 
BBOOL(((bool_t)0)); 
{ /* Llib/midi.scm 15 */

BgL_arg3044z00_3842 = 
BGl_readz00zz__readerz00(BgL_cportz00_3838, BgL_locationz00_3844); } } } 
{ /* Llib/midi.scm 15 */
int BgL_tmpz00_4225;
BgL_tmpz00_4225 = 
(int)(BgL_iz00_3839); 
CNST_TABLE_SET(BgL_tmpz00_4225, BgL_arg3044z00_3842); } } 
{ /* Llib/midi.scm 15 */
int BgL_auxz00_3845;
BgL_auxz00_3845 = 
(int)(
(BgL_iz00_3839-((long)1))); 
{ 
long BgL_iz00_4230;
BgL_iz00_4230 = 
(long)(BgL_auxz00_3845); 
BgL_iz00_3839 = BgL_iz00_4230; 
goto BgL_loopz00_3840;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 133 */
BgL_midireaderz00_bglt BgL_new1121z00_143;
{ /* Llib/midi.scm 134 */
BgL_midireaderz00_bglt BgL_new1120z00_145;
BgL_new1120z00_145 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 134 */
long BgL_arg1242z00_146;
BgL_arg1242z00_146 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_145), BgL_arg1242z00_146); } 
BgL_new1121z00_143 = BgL_new1120z00_145; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_peekzd2bytezd2)=((obj_t)BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_readzd2bytezd2)=((obj_t)BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_readzd2int16zd2)=((obj_t)BGl_readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_readzd2int32zd2)=((obj_t)BGl_readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_readzd2intzd2)=((obj_t)BGl_readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_readzd2vlqzd2)=((obj_t)BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1121z00_143))->BgL_readzd2charszd2)=((obj_t)BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
{ /* Llib/midi.scm 133 */
obj_t BgL_fun1241z00_144;
BgL_fun1241z00_144 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1241z00_144)(BgL_fun1241z00_144, 
((obj_t)BgL_new1121z00_143), BEOA); } 
BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2 = BgL_new1121z00_143; } 
{ /* Llib/midi.scm 146 */
BgL_midireaderz00_bglt BgL_new1123z00_147;
{ /* Llib/midi.scm 147 */
BgL_midireaderz00_bglt BgL_new1122z00_149;
BgL_new1122z00_149 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 147 */
long BgL_arg1244z00_150;
BgL_arg1244z00_150 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_149), BgL_arg1244z00_150); } 
BgL_new1123z00_147 = BgL_new1122z00_149; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_peekzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_readzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_readzd2int16zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_readzd2int32zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_readzd2intzd2)=((obj_t)BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_readzd2vlqzd2)=((obj_t)BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1123z00_147))->BgL_readzd2charszd2)=((obj_t)BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 146 */
obj_t BgL_fun1243z00_148;
BgL_fun1243z00_148 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1243z00_148)(BgL_fun1243z00_148, 
((obj_t)BgL_new1123z00_147), BEOA); } 
BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2 = BgL_new1123z00_147; } 
{ /* Llib/midi.scm 159 */
BgL_midiplayerz00_bglt BgL_new1125z00_151;
{ /* Llib/midi.scm 159 */
BgL_midiplayerz00_bglt BgL_new1124z00_264;
BgL_new1124z00_264 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 159 */
long BgL_arg1517z00_265;
BgL_arg1517z00_265 = 
BGL_CLASS_INDEX(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_264), BgL_arg1517z00_265); } 
BgL_new1125z00_151 = BgL_new1124z00_264; } 
{ 
obj_t BgL_auxz00_4271;
{ /* Llib/midi.scm 159 */
obj_t BgL_arg1245z00_152;
{ /* Llib/midi.scm 159 */
obj_t BgL_arg1246z00_153;
{ /* Llib/midi.scm 159 */
obj_t BgL_classz00_1873;
BgL_classz00_1873 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1246z00_153 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1873); } 
BgL_arg1245z00_152 = 
VECTOR_REF(BgL_arg1246z00_153,((long)0)); } 
BgL_auxz00_4271 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1245z00_152); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_errz00)=((obj_t)BgL_auxz00_4271),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_cdelayz00)=((obj_t)BGl_proc2774z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_noteoffz00)=((obj_t)BGl_proc2775z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_noteonz00)=((obj_t)BGl_proc2776z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_aftertouchz00)=((obj_t)BGl_proc2777z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_ctrlchangez00)=((obj_t)BGl_proc2778z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_prgmchangez00)=((obj_t)BGl_proc2779z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_afterzd2touchzd2)=((obj_t)BGl_proc2780z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_pitchz00)=((obj_t)BGl_proc2781z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_sysexz00)=((obj_t)BGl_proc2782z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
obj_t BgL_auxz00_4285;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1258z00_214;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1277z00_215;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1875;
BgL_classz00_1875 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1277z00_215 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1875); } 
BgL_arg1258z00_214 = 
VECTOR_REF(BgL_arg1277z00_215,((long)10)); } 
BgL_auxz00_4285 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1258z00_214); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2seqnumzd2)=((obj_t)BgL_auxz00_4285),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4290;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1279z00_216;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1280z00_217;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1877;
BgL_classz00_1877 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1280z00_217 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1877); } 
BgL_arg1279z00_216 = 
VECTOR_REF(BgL_arg1280z00_217,((long)11)); } 
BgL_auxz00_4290 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1279z00_216); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2textzd2)=((obj_t)BgL_auxz00_4290),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4295;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1281z00_218;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1318z00_219;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1879;
BgL_classz00_1879 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1318z00_219 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1879); } 
BgL_arg1281z00_218 = 
VECTOR_REF(BgL_arg1318z00_219,((long)12)); } 
BgL_auxz00_4295 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1281z00_218); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2copyrightzd2)=((obj_t)BgL_auxz00_4295),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4300;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1319z00_220;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1320z00_221;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1881;
BgL_classz00_1881 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1320z00_221 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1881); } 
BgL_arg1319z00_220 = 
VECTOR_REF(BgL_arg1320z00_221,((long)13)); } 
BgL_auxz00_4300 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1319z00_220); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2trackzd2)=((obj_t)BgL_auxz00_4300),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4305;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1321z00_222;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1323z00_223;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1883;
BgL_classz00_1883 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1323z00_223 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1883); } 
BgL_arg1321z00_222 = 
VECTOR_REF(BgL_arg1323z00_223,((long)14)); } 
BgL_auxz00_4305 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1321z00_222); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2instrumentzd2)=((obj_t)BgL_auxz00_4305),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4310;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1324z00_224;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1326z00_225;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1885;
BgL_classz00_1885 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1326z00_225 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1885); } 
BgL_arg1324z00_224 = 
VECTOR_REF(BgL_arg1326z00_225,((long)15)); } 
BgL_auxz00_4310 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1324z00_224); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2lyriczd2)=((obj_t)BgL_auxz00_4310),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4315;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1327z00_226;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1330z00_227;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1887;
BgL_classz00_1887 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1330z00_227 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1887); } 
BgL_arg1327z00_226 = 
VECTOR_REF(BgL_arg1330z00_227,((long)16)); } 
BgL_auxz00_4315 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1327z00_226); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2markerzd2)=((obj_t)BgL_auxz00_4315),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4320;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1333z00_228;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1334z00_229;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1889;
BgL_classz00_1889 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1334z00_229 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1889); } 
BgL_arg1333z00_228 = 
VECTOR_REF(BgL_arg1334z00_229,((long)17)); } 
BgL_auxz00_4320 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1333z00_228); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2cuezd2)=((obj_t)BgL_auxz00_4320),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4325;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1338z00_230;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1348z00_231;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1891;
BgL_classz00_1891 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1348z00_231 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1891); } 
BgL_arg1338z00_230 = 
VECTOR_REF(BgL_arg1348z00_231,((long)18)); } 
BgL_auxz00_4325 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1338z00_230); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2prgmnamezd2)=((obj_t)BgL_auxz00_4325),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4330;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1349z00_232;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1350z00_233;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1893;
BgL_classz00_1893 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1350z00_233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1893); } 
BgL_arg1349z00_232 = 
VECTOR_REF(BgL_arg1350z00_233,((long)19)); } 
BgL_auxz00_4330 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1349z00_232); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2devnamezd2)=((obj_t)BgL_auxz00_4330),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4335;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1351z00_234;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1352z00_235;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1895;
BgL_classz00_1895 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1352z00_235 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1895); } 
BgL_arg1351z00_234 = 
VECTOR_REF(BgL_arg1352z00_235,((long)20)); } 
BgL_auxz00_4335 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1351z00_234); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2channprefzd2)=((obj_t)BgL_auxz00_4335),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4340;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1353z00_236;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1354z00_237;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1897;
BgL_classz00_1897 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1354z00_237 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1897); } 
BgL_arg1353z00_236 = 
VECTOR_REF(BgL_arg1354z00_237,((long)21)); } 
BgL_auxz00_4340 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_236); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2midiportzd2)=((obj_t)BgL_auxz00_4340),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4345;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1382z00_238;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1383z00_239;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1899;
BgL_classz00_1899 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1383z00_239 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1899); } 
BgL_arg1382z00_238 = 
VECTOR_REF(BgL_arg1383z00_239,((long)22)); } 
BgL_auxz00_4345 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1382z00_238); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2eotzd2)=((obj_t)BgL_auxz00_4345),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4350;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1424z00_240;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1425z00_241;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1901;
BgL_classz00_1901 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1425z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1901); } 
BgL_arg1424z00_240 = 
VECTOR_REF(BgL_arg1425z00_241,((long)23)); } 
BgL_auxz00_4350 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1424z00_240); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2tempozd2)=((obj_t)BgL_auxz00_4350),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2smtpezd2)=((obj_t)BGl_proc2783z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2timesigzd2)=((obj_t)BGl_proc2784z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
obj_t BgL_auxz00_4357;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1498z00_259;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1499z00_260;
{ /* Llib/midi.scm 83 */
obj_t BgL_classz00_1903;
BgL_classz00_1903 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1499z00_260 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1903); } 
BgL_arg1498z00_259 = 
VECTOR_REF(BgL_arg1499z00_260,((long)26)); } 
BgL_auxz00_4357 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1498z00_259); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2keysigzd2)=((obj_t)BgL_auxz00_4357),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4362;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1506z00_261;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1510z00_262;
{ /* Llib/midi.scm 83 */
obj_t BgL_classz00_1905;
BgL_classz00_1905 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1510z00_262 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1905); } 
BgL_arg1506z00_261 = 
VECTOR_REF(BgL_arg1510z00_262,((long)27)); } 
BgL_auxz00_4362 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1506z00_261); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1125z00_151))->BgL_metazd2seqspeczd2)=((obj_t)BgL_auxz00_4362),BUNSPEC); } 
{ /* Llib/midi.scm 159 */
obj_t BgL_fun1511z00_263;
BgL_fun1511z00_263 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1511z00_263)(BgL_fun1511z00_263, 
((obj_t)BgL_new1125z00_151), BEOA); } 
BGl_midiplayerzd2readzd2zz__multimediazd2midizd2 = BgL_new1125z00_151; } 
{ /* Llib/midi.scm 174 */
BgL_midisinkz00_bglt BgL_new1127z00_266;
{ /* Llib/midi.scm 174 */
BgL_midisinkz00_bglt BgL_new1126z00_278;
BgL_new1126z00_278 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 174 */
long BgL_arg1525z00_279;
BgL_arg1525z00_279 = 
BGL_CLASS_INDEX(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_278), BgL_arg1525z00_279); } 
BgL_new1127z00_266 = BgL_new1126z00_278; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1127z00_266))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1127z00_266))->BgL_usleepz00)=((obj_t)BGl_proc2785z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1127z00_266))->BgL_writezd2bytezd2)=((obj_t)BGl_proc2786z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1127z00_266))->BgL_writezd2stringzd2)=((obj_t)BGl_proc2787z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1127z00_266))->BgL_flushz00)=((obj_t)BGl_proc2788z00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 174 */
obj_t BgL_fun1522z00_277;
BgL_fun1522z00_277 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1522z00_277)(BgL_fun1522z00_277, 
((obj_t)BgL_new1127z00_266), BEOA); } 
BGl_midisinkzd2nullzd2zz__multimediazd2midizd2 = BgL_new1127z00_266; } 
BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)0)); 
BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)1)); 
BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)2)); 
BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)3)); 
return BUNSPEC;} 

}



/* &<@anonymous:1521> */
obj_t BGl_z62zc3z04anonymousza31521ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2735, obj_t BgL_opz00_2736)
{
{ /* Llib/midi.scm 178 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1520> */
obj_t BGl_z62zc3z04anonymousza31520ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2737, obj_t BgL_opz00_2738, obj_t BgL_bz00_2739)
{
{ /* Llib/midi.scm 177 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1519> */
obj_t BGl_z62zc3z04anonymousza31519ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2740, obj_t BgL_opz00_2741, obj_t BgL_bz00_2742)
{
{ /* Llib/midi.scm 176 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1518> */
obj_t BGl_z62zc3z04anonymousza31518ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2743, obj_t BgL_sz00_2744)
{
{ /* Llib/midi.scm 175 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1427> */
obj_t BGl_z62zc3z04anonymousza31427ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2745, obj_t BgL_mpz00_2746, obj_t BgL_msz00_2747, obj_t BgL_tickz00_2748, obj_t BgL_nnz00_2749, obj_t BgL_ddz00_2750, obj_t BgL_ccz00_2751, obj_t BgL_bbz00_2752)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1426> */
obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2753, obj_t BgL_mpz00_2754, obj_t BgL_msz00_2755, obj_t BgL_tickz00_2756, obj_t BgL_hrz00_2757, obj_t BgL_mmz00_2758, obj_t BgL_sez00_2759, obj_t BgL_frz00_2760, obj_t BgL_ffz00_2761)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1255> */
obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2762, obj_t BgL_mpz00_2763, obj_t BgL_msz00_2764, obj_t BgL_tickz00_2765, obj_t BgL_sz00_2766)
{
{ /* Llib/midi.scm 168 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1254> */
obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2767, obj_t BgL_mpz00_2768, obj_t BgL_msz00_2769, obj_t BgL_tickz00_2770, obj_t BgL_xz00_2771, obj_t BgL_yz00_2772, obj_t BgL_za7za7_2773)
{
{ /* Llib/midi.scm 167 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2774, obj_t BgL_mpz00_2775, obj_t BgL_msz00_2776, obj_t BgL_tickz00_2777, obj_t BgL_xz00_2778, obj_t BgL_yz00_2779)
{
{ /* Llib/midi.scm 166 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1252> */
obj_t BGl_z62zc3z04anonymousza31252ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2780, obj_t BgL_mpz00_2781, obj_t BgL_msz00_2782, obj_t BgL_tickz00_2783, obj_t BgL_xz00_2784, obj_t BgL_yz00_2785)
{
{ /* Llib/midi.scm 165 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1251> */
obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2786, obj_t BgL_mpz00_2787, obj_t BgL_msz00_2788, obj_t BgL_tickz00_2789, obj_t BgL_xz00_2790, obj_t BgL_yz00_2791, obj_t BgL_za7za7_2792)
{
{ /* Llib/midi.scm 164 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1250> */
obj_t BGl_z62zc3z04anonymousza31250ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2793, obj_t BgL_mpz00_2794, obj_t BgL_msz00_2795, obj_t BgL_tickz00_2796, obj_t BgL_xz00_2797, obj_t BgL_yz00_2798, obj_t BgL_za7za7_2799)
{
{ /* Llib/midi.scm 163 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1249> */
obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2800, obj_t BgL_mpz00_2801, obj_t BgL_msz00_2802, obj_t BgL_tickz00_2803, obj_t BgL_xz00_2804, obj_t BgL_yz00_2805, obj_t BgL_za7za7_2806)
{
{ /* Llib/midi.scm 162 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1248> */
obj_t BGl_z62zc3z04anonymousza31248ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2807, obj_t BgL_mpz00_2808, obj_t BgL_msz00_2809, obj_t BgL_tickz00_2810, obj_t BgL_xz00_2811, obj_t BgL_yz00_2812, obj_t BgL_za7za7_2813)
{
{ /* Llib/midi.scm 161 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1247> */
obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2814, obj_t BgL_mpz00_2815, obj_t BgL_msz00_2816, obj_t BgL_tickz00_2817, obj_t BgL_trackz00_2818, obj_t BgL_ppqz00_2819, obj_t BgL_dtz00_2820, obj_t BgL_usz00_2821)
{
{ /* Llib/midi.scm 160 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-file */
BGL_EXPORTED_DEF BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_13)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
obj_t BgL_ipz00_299;
{ /* Llib/midi.scm 184 */

BgL_ipz00_299 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_13, BTRUE, 
BINT(((long)5000000))); } 
{ /* Llib/midi.scm 185 */
obj_t BgL_sza7za7_300;
BgL_sza7za7_300 = 
BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(BgL_ipz00_299); 
{ /* Llib/midi.scm 186 */
obj_t BgL_fmtz00_301;obj_t BgL_tckz00_302;obj_t BgL_tempoz00_303;obj_t BgL_ppqz00_304;
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4410;
BgL_tmpz00_4410 = 
(int)(((long)1)); 
BgL_fmtz00_301 = 
BGL_MVALUES_VAL(BgL_tmpz00_4410); } 
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4413;
BgL_tmpz00_4413 = 
(int)(((long)2)); 
BgL_tckz00_302 = 
BGL_MVALUES_VAL(BgL_tmpz00_4413); } 
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4416;
BgL_tmpz00_4416 = 
(int)(((long)3)); 
BgL_tempoz00_303 = 
BGL_MVALUES_VAL(BgL_tmpz00_4416); } 
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4419;
BgL_tmpz00_4419 = 
(int)(((long)4)); 
BgL_ppqz00_304 = 
BGL_MVALUES_VAL(BgL_tmpz00_4419); } 
{ /* Llib/midi.scm 187 */
obj_t BgL_tracksz00_305;
if(
INTEGERP(BgL_fmtz00_301))
{ /* Llib/midi.scm 187 */
switch( 
(long)CINT(BgL_fmtz00_301)) { case ((long)0) : 

{ /* Llib/midi.scm 188 */
obj_t BgL_v1187z00_313;
BgL_v1187z00_313 = 
create_vector(((long)1)); 
{ /* Llib/midi.scm 188 */
BgL_miditrackz00_bglt BgL_arg1609z00_314;
BgL_arg1609z00_314 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303)); 
VECTOR_SET(BgL_v1187z00_313,((long)0),
((obj_t)BgL_arg1609z00_314)); } 
BgL_tracksz00_305 = BgL_v1187z00_313; } break;case ((long)1) : 

BgL_tracksz00_305 = 
BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303), BgL_tckz00_302); break;case ((long)2) : 

BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2789z00zz__multimediazd2midizd2, BGl_string2790z00zz__multimediazd2midizd2, BgL_fmtz00_301); break;
default: 
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2791z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_fmtz00_301); } }  else 
{ /* Llib/midi.scm 187 */
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2791z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, BgL_fmtz00_301); } 
{ /* Llib/midi.scm 192 */
BgL_midiscorez00_bglt BgL_new1131z00_306;
{ /* Llib/midi.scm 193 */
BgL_midiscorez00_bglt BgL_new1130z00_308;
BgL_new1130z00_308 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 193 */
long BgL_arg1586z00_309;
BgL_arg1586z00_309 = 
BGL_CLASS_INDEX(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_308), BgL_arg1586z00_309); } 
BgL_new1131z00_306 = BgL_new1130z00_308; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1131z00_306))->BgL_formatz00)=((long)
(long)CINT(BgL_fmtz00_301)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1131z00_306))->BgL_tempoz00)=((long)
(long)CINT(BgL_tempoz00_303)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1131z00_306))->BgL_ppqz00)=((long)
(long)CINT(BgL_ppqz00_304)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1131z00_306))->BgL_tracksz00)=((obj_t)BgL_tracksz00_305),BUNSPEC); 
{ /* Llib/midi.scm 192 */
obj_t BgL_fun1585z00_307;
BgL_fun1585z00_307 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1585z00_307)(BgL_fun1585z00_307, 
((obj_t)BgL_new1131z00_306), BEOA); } 
return BgL_new1131z00_306;} } } } } } 

}



/* &midiscore-file */
BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2854, obj_t BgL_filenamez00_2855)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
obj_t BgL_auxz00_4453;
if(
STRINGP(BgL_filenamez00_2855))
{ /* Llib/midi.scm 184 */
BgL_auxz00_4453 = BgL_filenamez00_2855
; }  else 
{ 
obj_t BgL_auxz00_4456;
BgL_auxz00_4456 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)8489)), BGl_string2794z00zz__multimediazd2midizd2, BGl_string2795z00zz__multimediazd2midizd2, BgL_filenamez00_2855); 
FAILURE(BgL_auxz00_4456,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2filezd2zz__multimediazd2midizd2(BgL_auxz00_4453);} } 

}



/* miditrack-input-port */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_15, long BgL_tempoz00_16)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
BgL_miditrackz00_bglt BgL_new1135z00_331;
{ /* Llib/midi.scm 213 */
BgL_miditrackz00_bglt BgL_new1134z00_333;
BgL_new1134z00_333 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 213 */
long BgL_arg1620z00_334;
BgL_arg1620z00_334 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_333), BgL_arg1620z00_334); } 
BgL_new1135z00_331 = BgL_new1134z00_333; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_z52streamz52)=((obj_t)BgL_ipz00_15),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_z52closez52)=((obj_t)BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
int32_t BgL_auxz00_4471;
{ /* Llib/midi.scm 216 */
obj_t BgL_tmpz00_4472;
BgL_tmpz00_4472 = 
BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(BgL_ipz00_15); 
BgL_auxz00_4471 = 
BGL_BINT32_TO_INT32(BgL_tmpz00_4472); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_lenz00)=((int32_t)BgL_auxz00_4471),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_tempoz00)=((long)BgL_tempoz00_16),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1135z00_331))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 212 */
obj_t BgL_fun1619z00_332;
BgL_fun1619z00_332 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1619z00_332)(BgL_fun1619z00_332, 
((obj_t)BgL_new1135z00_331), BEOA); } 
return BgL_new1135z00_331;} } 

}



/* &miditrack-input-port */
BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t BgL_envz00_2856, obj_t BgL_ipz00_2857, obj_t BgL_tempoz00_2858)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
long BgL_auxz00_4496;obj_t BgL_auxz00_4489;
{ /* Llib/midi.scm 212 */
obj_t BgL_tmpz00_4497;
if(
INTEGERP(BgL_tempoz00_2858))
{ /* Llib/midi.scm 212 */
BgL_tmpz00_4497 = BgL_tempoz00_2858
; }  else 
{ 
obj_t BgL_auxz00_4500;
BgL_auxz00_4500 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2796z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tempoz00_2858); 
FAILURE(BgL_auxz00_4500,BFALSE,BFALSE);} 
BgL_auxz00_4496 = 
(long)CINT(BgL_tmpz00_4497); } 
if(
INPUT_PORTP(BgL_ipz00_2857))
{ /* Llib/midi.scm 212 */
BgL_auxz00_4489 = BgL_ipz00_2857
; }  else 
{ 
obj_t BgL_auxz00_4492;
BgL_auxz00_4492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2796z00zz__multimediazd2midizd2, BGl_string2797z00zz__multimediazd2midizd2, BgL_ipz00_2857); 
FAILURE(BgL_auxz00_4492,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_auxz00_4489, BgL_auxz00_4496);} } 

}



/* miditracks-input-port */
obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_17, long BgL_tempoz00_18, obj_t BgL_tnumz00_19)
{
{ /* Llib/midi.scm 222 */
{ 
obj_t BgL_ipz00_361;long BgL_tempoz00_362;
{ /* Llib/midi.scm 241 */
BgL_miditrackz00_bglt BgL_t0z00_337;
BgL_ipz00_361 = BgL_ipz00_17; 
BgL_tempoz00_362 = BgL_tempoz00_18; 
{ /* Llib/midi.scm 225 */
BgL_miditrackz00_bglt BgL_trackz00_364;
BgL_trackz00_364 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_361, BgL_tempoz00_362); 
{ /* Llib/midi.scm 227 */
BgL_midireaderz00_bglt BgL_i1137z00_366;
BgL_i1137z00_366 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52readerz52); 
{ 

BgL_zc3z04anonymousza31649ze3z87_368:
{ /* Llib/midi.scm 229 */
obj_t BgL_fun1652z00_369;
BgL_fun1652z00_369 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1137z00_366))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 229 */
obj_t BgL_arg1651z00_370;
BgL_arg1651z00_370 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52streamz52); 
PROCEDURE_ENTRY(BgL_fun1652z00_369)(BgL_fun1652z00_369, BgL_arg1651z00_370, BEOA); } } 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_364, BGl_midiplayerzd2readzd2zz__multimediazd2midizd2, BGl_midisinkzd2nullzd2zz__multimediazd2midizd2, ((long)0), ((long)0), ((long)0), 
LONG_TO_LLONG(((long)0))); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52eotz52))
{ /* Llib/midi.scm 232 */
BgL_t0z00_337 = BgL_trackz00_364; }  else 
{ /* Llib/midi.scm 232 */
goto BgL_zc3z04anonymousza31649ze3z87_368;} } } } 
{ /* Llib/midi.scm 243 */
obj_t BgL_filez00_339;
BgL_filez00_339 = 
INPUT_PORT_NAME(BgL_ipz00_17); 
{ /* Llib/midi.scm 244 */
long BgL_g1139z00_340;
BgL_g1139z00_340 = 
INPUT_PORT_FILEPOS(BgL_ipz00_17); 
{ 
long BgL_iz00_343;long BgL_posz00_344;obj_t BgL_tksz00_345;
BgL_iz00_343 = ((long)1); 
BgL_posz00_344 = BgL_g1139z00_340; 
BgL_tksz00_345 = BNIL; 
BgL_zc3z04anonymousza31621ze3z87_346:
if(
(BgL_iz00_343==
(long)CINT(BgL_tnumz00_19)))
{ /* Llib/midi.scm 248 */
obj_t BgL_arg1624z00_348;
{ /* Llib/midi.scm 248 */
obj_t BgL_arg1629z00_349;
BgL_arg1629z00_349 = 
bgl_reverse_bang(BgL_tksz00_345); 
BgL_arg1624z00_348 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_t0z00_337), BgL_arg1629z00_349); } 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1624z00_348);}  else 
{ /* Llib/midi.scm 249 */
obj_t BgL_ipz00_350;
{ /* Llib/midi.scm 237 */
obj_t BgL_portz00_1932;
{ /* Llib/midi.scm 237 */

BgL_portz00_1932 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_339, BTRUE, 
BINT(((long)5000000))); } 
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_portz00_1932, BgL_posz00_344); 
BgL_ipz00_350 = BgL_portz00_1932; } 
{ /* Llib/midi.scm 249 */
BgL_miditrackz00_bglt BgL_tz00_351;
BgL_tz00_351 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_350, 
(((BgL_miditrackz00_bglt)COBJECT(BgL_t0z00_337))->BgL_tempoz00)); 
{ /* Llib/midi.scm 250 */

{ /* Llib/midi.scm 252 */
long BgL_arg1635z00_353;long BgL_arg1636z00_354;obj_t BgL_arg1637z00_355;
BgL_arg1635z00_353 = 
(BgL_iz00_343+((long)1)); 
{ /* Llib/midi.scm 253 */
long BgL_arg1640z00_356;long BgL_arg1643z00_357;
{ /* Llib/midi.scm 253 */
obj_t BgL_tmpz00_4533;
BgL_tmpz00_4533 = 
((obj_t)BgL_ipz00_350); 
BgL_arg1640z00_356 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_4533); } 
{ /* Llib/midi.scm 253 */
int32_t BgL_arg1644z00_358;
BgL_arg1644z00_358 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_tz00_351))->BgL_lenz00); 
{ /* Llib/midi.scm 253 */
long BgL_arg1418z00_1939;
BgL_arg1418z00_1939 = 
(long)(BgL_arg1644z00_358); 
BgL_arg1643z00_357 = 
(long)(BgL_arg1418z00_1939); } } 
BgL_arg1636z00_354 = 
(BgL_arg1640z00_356+BgL_arg1643z00_357); } 
BgL_arg1637z00_355 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_351), BgL_tksz00_345); 
{ 
obj_t BgL_tksz00_4544;long BgL_posz00_4543;long BgL_iz00_4542;
BgL_iz00_4542 = BgL_arg1635z00_353; 
BgL_posz00_4543 = BgL_arg1636z00_354; 
BgL_tksz00_4544 = BgL_arg1637z00_355; 
BgL_tksz00_345 = BgL_tksz00_4544; 
BgL_posz00_344 = BgL_posz00_4543; 
BgL_iz00_343 = BgL_iz00_4542; 
goto BgL_zc3z04anonymousza31621ze3z87_346;} } } } } } } } } } } 

}



/* miditrack-file */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_20, long BgL_offsetz00_21, long BgL_tempoz00_22)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
obj_t BgL_zc3z04anonymousza31659ze3z87_2861;
BgL_zc3z04anonymousza31659ze3z87_2861 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31659ze3ze5zz__multimediazd2midizd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31659ze3z87_2861, 
(int)(((long)0)), 
BINT(BgL_offsetz00_21)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31659ze3z87_2861, 
(int)(((long)1)), 
BINT(BgL_tempoz00_22)); 
return 
((BgL_miditrackz00_bglt)
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filenamez00_20, BgL_zc3z04anonymousza31659ze3z87_2861));} } 

}



/* &miditrack-file */
BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2862, obj_t BgL_filenamez00_2863, obj_t BgL_offsetz00_2864, obj_t BgL_tempoz00_2865)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
long BgL_auxz00_4572;long BgL_auxz00_4563;obj_t BgL_auxz00_4556;
{ /* Llib/midi.scm 262 */
obj_t BgL_tmpz00_4573;
if(
INTEGERP(BgL_tempoz00_2865))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_4573 = BgL_tempoz00_2865
; }  else 
{ 
obj_t BgL_auxz00_4576;
BgL_auxz00_4576 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2799z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tempoz00_2865); 
FAILURE(BgL_auxz00_4576,BFALSE,BFALSE);} 
BgL_auxz00_4572 = 
(long)CINT(BgL_tmpz00_4573); } 
{ /* Llib/midi.scm 262 */
obj_t BgL_tmpz00_4564;
if(
INTEGERP(BgL_offsetz00_2864))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_4564 = BgL_offsetz00_2864
; }  else 
{ 
obj_t BgL_auxz00_4567;
BgL_auxz00_4567 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2799z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_offsetz00_2864); 
FAILURE(BgL_auxz00_4567,BFALSE,BFALSE);} 
BgL_auxz00_4563 = 
(long)CINT(BgL_tmpz00_4564); } 
if(
STRINGP(BgL_filenamez00_2863))
{ /* Llib/midi.scm 262 */
BgL_auxz00_4556 = BgL_filenamez00_2863
; }  else 
{ 
obj_t BgL_auxz00_4559;
BgL_auxz00_4559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2799z00zz__multimediazd2midizd2, BGl_string2795z00zz__multimediazd2midizd2, BgL_filenamez00_2863); 
FAILURE(BgL_auxz00_4559,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2filezd2zz__multimediazd2midizd2(BgL_auxz00_4556, BgL_auxz00_4563, BgL_auxz00_4572);} } 

}



/* &<@anonymous:1659> */
obj_t BGl_z62zc3z04anonymousza31659ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2866, obj_t BgL_ipz00_2869)
{
{ /* Llib/midi.scm 261 */
{ /* Llib/midi.scm 262 */
long BgL_offsetz00_2867;long BgL_tempoz00_2868;
BgL_offsetz00_2867 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2866, 
(int)(((long)0)))); 
BgL_tempoz00_2868 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2866, 
(int)(((long)1)))); 
{ 
BgL_miditrackz00_bglt BgL_auxz00_4588;
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_ipz00_2869, BgL_offsetz00_2867); 
BgL_auxz00_4588 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_2869, BgL_tempoz00_2868); 
return 
((obj_t)BgL_auxz00_4588);} } } 

}



/* miditrack-string */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t BgL_stringz00_23, long BgL_tempoz00_24)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
BgL_miditrackz00_bglt BgL_new1143z00_386;
{ /* Llib/midi.scm 270 */
BgL_miditrackz00_bglt BgL_new1142z00_390;
BgL_new1142z00_390 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 270 */
long BgL_arg1662z00_391;
BgL_arg1662z00_391 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_390), BgL_arg1662z00_391); } 
BgL_new1143z00_386 = BgL_new1142z00_390; } 
{ 
obj_t BgL_auxz00_4596;
{ /* Llib/midi.scm 127 */
obj_t BgL_newz00_1948;
BgL_newz00_1948 = 
create_struct(
CNST_TABLE_REF(((long)4)), 
(int)(((long)2))); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_4602;int BgL_tmpz00_4600;
BgL_auxz00_4602 = 
BINT(((long)0)); 
BgL_tmpz00_4600 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_4600, BgL_auxz00_4602); } 
{ /* Llib/midi.scm 127 */
int BgL_tmpz00_4605;
BgL_tmpz00_4605 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_4605, BgL_stringz00_23); } 
BgL_auxz00_4596 = BgL_newz00_1948; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_z52streamz52)=((obj_t)BgL_auxz00_4596),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_z52closez52)=((obj_t)BGl_proc2800z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
int32_t BgL_auxz00_4614;
{ /* Llib/midi.scm 273 */
long BgL_tmpz00_4615;
BgL_tmpz00_4615 = 
STRING_LENGTH(BgL_stringz00_23); 
BgL_auxz00_4614 = 
(int32_t)(BgL_tmpz00_4615); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_lenz00)=((int32_t)BgL_auxz00_4614),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_tempoz00)=((long)BgL_tempoz00_24),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1143z00_386))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 269 */
obj_t BgL_fun1661z00_389;
BgL_fun1661z00_389 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1661z00_389)(BgL_fun1661z00_389, 
((obj_t)BgL_new1143z00_386), BEOA); } 
return BgL_new1143z00_386;} } 

}



/* &miditrack-string */
BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2871, obj_t BgL_stringz00_2872, obj_t BgL_tempoz00_2873)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
long BgL_auxz00_4639;obj_t BgL_auxz00_4632;
{ /* Llib/midi.scm 269 */
obj_t BgL_tmpz00_4640;
if(
INTEGERP(BgL_tempoz00_2873))
{ /* Llib/midi.scm 269 */
BgL_tmpz00_4640 = BgL_tempoz00_2873
; }  else 
{ 
obj_t BgL_auxz00_4643;
BgL_auxz00_4643 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2801z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tempoz00_2873); 
FAILURE(BgL_auxz00_4643,BFALSE,BFALSE);} 
BgL_auxz00_4639 = 
(long)CINT(BgL_tmpz00_4640); } 
if(
STRINGP(BgL_stringz00_2872))
{ /* Llib/midi.scm 269 */
BgL_auxz00_4632 = BgL_stringz00_2872
; }  else 
{ 
obj_t BgL_auxz00_4635;
BgL_auxz00_4635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2801z00zz__multimediazd2midizd2, BGl_string2795z00zz__multimediazd2midizd2, BgL_stringz00_2872); 
FAILURE(BgL_auxz00_4635,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(BgL_auxz00_4632, BgL_auxz00_4639);} } 

}



/* &<@anonymous:1660> */
obj_t BGl_z62zc3z04anonymousza31660ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2874, obj_t BgL_sz00_2875)
{
{ /* Llib/midi.scm 272 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-play */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_25, BgL_midiplayerz00_bglt BgL_mplayerz00_26, BgL_midisinkz00_bglt BgL_msinkz00_27)
{
{ /* Llib/midi.scm 279 */
{ 

{ /* Llib/midi.scm 281 */
long BgL_aux1146z00_394;
BgL_aux1146z00_394 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
switch( BgL_aux1146z00_394) { case ((long)0) : 

return 
BBOOL(
BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;case ((long)1) : 

return 
BBOOL(
BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;
default: 
{ /* Llib/midi.scm 284 */
long BgL_arg1669z00_396;
BgL_arg1669z00_396 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
return 
BGl_errorz00zz__errorz00(BGl_string2802z00zz__multimediazd2midizd2, BGl_string2792z00zz__multimediazd2midizd2, 
BINT(BgL_arg1669z00_396));} } } } } 

}



/* &midiscore-play */
obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2876, obj_t BgL_mscorez00_2877, obj_t BgL_mplayerz00_2878, obj_t BgL_msinkz00_2879)
{
{ /* Llib/midi.scm 279 */
{ /* Llib/midi.scm 280 */
BgL_midisinkz00_bglt BgL_auxz00_4675;BgL_midiplayerz00_bglt BgL_auxz00_4667;BgL_midiscorez00_bglt BgL_auxz00_4659;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_2879, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_4675 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_2879)
; }  else 
{ 
obj_t BgL_auxz00_4679;
BgL_auxz00_4679 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2803z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msinkz00_2879); 
FAILURE(BgL_auxz00_4679,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_2878, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_4667 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_2878)
; }  else 
{ 
obj_t BgL_auxz00_4671;
BgL_auxz00_4671 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2803z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mplayerz00_2878); 
FAILURE(BgL_auxz00_4671,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_2877, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_4659 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_2877)
; }  else 
{ 
obj_t BgL_auxz00_4663;
BgL_auxz00_4663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2803z00zz__multimediazd2midizd2, BGl_string2804z00zz__multimediazd2midizd2, BgL_mscorez00_2877); 
FAILURE(BgL_auxz00_4663,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_auxz00_4659, BgL_auxz00_4667, BgL_auxz00_4675);} } 

}



/* midiscore-play0 */
bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_28, BgL_midiplayerz00_bglt BgL_mplayerz00_29, BgL_midisinkz00_bglt BgL_msinkz00_30)
{
{ /* Llib/midi.scm 289 */
{ /* Llib/midi.scm 291 */
obj_t BgL_trackz00_398;
BgL_trackz00_398 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_tracksz00),((long)0)); 
{ /* Llib/midi.scm 293 */
BgL_midireaderz00_bglt BgL_i1149z00_400;
BgL_i1149z00_400 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52readerz52); 
{ 
uint32_t BgL_tickz00_402;
BgL_tickz00_402 = (uint32_t)(0); 
BgL_zc3z04anonymousza31670ze3z87_403:
{ /* Llib/midi.scm 295 */
BGL_LONGLONG_T BgL_t0z00_404;
BgL_t0z00_404 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 295 */
obj_t BgL_dtz00_405;
{ /* Llib/midi.scm 296 */
obj_t BgL_fun1693z00_410;
BgL_fun1693z00_410 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1149z00_400))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 296 */
obj_t BgL_arg1692z00_411;
BgL_arg1692z00_411 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52streamz52); 
BgL_dtz00_405 = 
PROCEDURE_ENTRY(BgL_fun1693z00_410)(BgL_fun1693z00_410, BgL_arg1692z00_411, BEOA); } } 
{ /* Llib/midi.scm 296 */

{ /* Llib/midi.scm 298 */
long BgL_arg1688z00_406;long BgL_arg1689z00_407;
BgL_arg1688z00_406 = 
(long)(BgL_tickz00_402); 
BgL_arg1689z00_407 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_ppqz00); 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_398), BgL_mplayerz00_29, BgL_msinkz00_30, BgL_arg1688z00_406, BgL_arg1689z00_407, 
(long)CINT(BgL_dtz00_405), BgL_t0z00_404); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52eotz52))
{ /* Llib/midi.scm 299 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 300 */
uint32_t BgL_arg1691z00_409;
BgL_arg1691z00_409 = 
(BgL_tickz00_402+
(uint32_t)(((long)1))); 
{ 
uint32_t BgL_tickz00_4706;
BgL_tickz00_4706 = BgL_arg1691z00_409; 
BgL_tickz00_402 = BgL_tickz00_4706; 
goto BgL_zc3z04anonymousza31670ze3z87_403;} } } } } } } } } 

}



/* midiscore-play1 */
bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_31, BgL_midiplayerz00_bglt BgL_mplayerz00_32, BgL_midisinkz00_bglt BgL_msinkz00_33)
{
{ /* Llib/midi.scm 305 */
{ /* Llib/midi.scm 307 */
obj_t BgL_v1193z00_415;
BgL_v1193z00_415 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
{ /* Llib/midi.scm 307 */

{ 
long BgL_i1192z00_418;
BgL_i1192z00_418 = ((long)0); 
BgL_zc3z04anonymousza31695ze3z87_419:
if(
(BgL_i1192z00_418<
VECTOR_LENGTH(BgL_v1193z00_415)))
{ /* Llib/midi.scm 307 */
{ /* Llib/midi.scm 308 */
obj_t BgL_trackz00_421;
BgL_trackz00_421 = 
VECTOR_REF(BgL_v1193z00_415,BgL_i1192z00_418); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52eotz52))
{ /* Llib/midi.scm 309 */BFALSE; }  else 
{ /* Llib/midi.scm 310 */
BgL_midireaderz00_bglt BgL_i1152z00_424;
BgL_i1152z00_424 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52readerz52); 
{ /* Llib/midi.scm 311 */
obj_t BgL_dtz00_425;
{ /* Llib/midi.scm 311 */
obj_t BgL_fun1706z00_426;
BgL_fun1706z00_426 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1152z00_424))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 311 */
obj_t BgL_arg1705z00_427;
BgL_arg1705z00_427 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52streamz52); 
BgL_dtz00_425 = 
PROCEDURE_ENTRY(BgL_fun1706z00_426)(BgL_fun1706z00_426, BgL_arg1705z00_427, BEOA); } } 
{ 
uint32_t BgL_auxz00_4724;
{ /* Llib/midi.scm 312 */
long BgL_xz00_1961;
BgL_xz00_1961 = 
(long)CINT(BgL_dtz00_425); 
{ /* Llib/midi.scm 312 */
int32_t BgL_tmpz00_4727;
BgL_tmpz00_4727 = 
(int32_t)(BgL_xz00_1961); 
BgL_auxz00_4724 = 
(uint32_t)(BgL_tmpz00_4727); } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_4724),BUNSPEC); } } } } 
{ 
long BgL_i1192z00_4731;
BgL_i1192z00_4731 = 
(BgL_i1192z00_418+((long)1)); 
BgL_i1192z00_418 = BgL_i1192z00_4731; 
goto BgL_zc3z04anonymousza31695ze3z87_419;} }  else 
{ /* Llib/midi.scm 307 */((bool_t)0); } } } } 
{ /* Llib/midi.scm 314 */
long BgL_resz00_430;
{ /* Llib/midi.scm 314 */
BgL_miditrackz00_bglt BgL_i1153z00_459;
{ /* Llib/midi.scm 314 */
obj_t BgL_arg1765z00_462;
BgL_arg1765z00_462 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
BgL_i1153z00_459 = 
((BgL_miditrackz00_bglt)
VECTOR_REF(BgL_arg1765z00_462,((long)0))); } 
BgL_resz00_430 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_i1153z00_459))->BgL_tempoz00)/
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_ppqz00)); } 
{ 
uint32_t BgL_tickz00_432;
BgL_tickz00_432 = (uint32_t)(0); 
BgL_zc3z04anonymousza31708ze3z87_433:
{ /* Llib/midi.scm 317 */
BGL_LONGLONG_T BgL_t0z00_434;
BgL_t0z00_434 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 317 */
bool_t BgL_eosz00_435;
BgL_eosz00_435 = ((bool_t)1); 
{ /* Llib/midi.scm 318 */

{ /* Llib/midi.scm 319 */
long BgL_g1154z00_436;
{ /* Llib/midi.scm 319 */
long BgL_arg1722z00_449;
BgL_arg1722z00_449 = 
VECTOR_LENGTH(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00)); 
BgL_g1154z00_436 = 
(BgL_arg1722z00_449-((long)1)); } 
{ 
long BgL_iz00_438;
BgL_iz00_438 = BgL_g1154z00_436; 
BgL_zc3z04anonymousza31709ze3z87_439:
if(
(BgL_iz00_438>((long)0)))
{ /* Llib/midi.scm 320 */
{ /* Llib/midi.scm 321 */
obj_t BgL_trackz00_441;
BgL_trackz00_441 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00),BgL_iz00_438); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_441)))->BgL_z52eotz52))
{ /* Llib/midi.scm 323 */BFALSE; }  else 
{ /* Llib/midi.scm 323 */
{ /* Llib/midi.scm 325 */
long BgL_arg1712z00_444;
BgL_arg1712z00_444 = 
(long)(BgL_tickz00_432); 
BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_441), BgL_mplayerz00_32, BgL_msinkz00_33, BgL_arg1712z00_444); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_441)))->BgL_z52eotz52))
{ /* Llib/midi.scm 326 */BFALSE; }  else 
{ /* Llib/midi.scm 326 */
BgL_eosz00_435 = ((bool_t)0); } } } 
{ 
long BgL_iz00_4756;
BgL_iz00_4756 = 
(BgL_iz00_438-((long)1)); 
BgL_iz00_438 = BgL_iz00_4756; 
goto BgL_zc3z04anonymousza31709ze3z87_439;} }  else 
{ /* Llib/midi.scm 320 */((bool_t)0); } } } 
if(BgL_eosz00_435)
{ /* Llib/midi.scm 328 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 329 */
long BgL_usz00_451;
{ /* Llib/midi.scm 329 */
BGL_LONGLONG_T BgL_tmpz00_4759;
BgL_tmpz00_4759 = 
(
bgl_current_microseconds()-BgL_t0z00_434); 
BgL_usz00_451 = 
LLONG_TO_LONG(BgL_tmpz00_4759); } 
{ /* Llib/midi.scm 331 */
obj_t BgL_fun1730z00_453;
BgL_fun1730z00_453 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_33))->BgL_usleepz00); 
{ /* Llib/midi.scm 331 */
long BgL_arg1729z00_454;
BgL_arg1729z00_454 = 
(BgL_resz00_430-BgL_usz00_451); 
PROCEDURE_ENTRY(BgL_fun1730z00_453)(BgL_fun1730z00_453, 
BINT(BgL_arg1729z00_454), BEOA); } } 
{ 
uint32_t BgL_tickz00_4770;
BgL_tickz00_4770 = 
(BgL_tickz00_432+(uint32_t)(1)); 
BgL_tickz00_432 = BgL_tickz00_4770; 
goto BgL_zc3z04anonymousza31708ze3z87_433;} } } } } } } } 

}



/* miditrack-wait-event */
obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_34, BgL_midiplayerz00_bglt BgL_mplayerz00_35, BgL_midisinkz00_bglt BgL_msinkz00_36, long BgL_tickz00_37)
{
{ /* Llib/midi.scm 337 */
{ /* Llib/midi.scm 340 */
BgL_midireaderz00_bglt BgL_i1158z00_464;
BgL_i1158z00_464 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52readerz52); 
{ /* Llib/midi.scm 341 */
bool_t BgL_test3372z00_4773;
{ /* Llib/midi.scm 341 */
uint32_t BgL_n2z00_1981;
BgL_n2z00_1981 = 
(uint32_t)(BgL_tickz00_37); 
BgL_test3372z00_4773 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)<=BgL_n2z00_1981); } 
if(BgL_test3372z00_4773)
{ 

BgL_zc3z04anonymousza31768ze3z87_468:
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_34, BgL_mplayerz00_35, BgL_msinkz00_36, BgL_tickz00_37, ((long)0), ((long)0), ((BGL_LONGLONG_T)0)); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52eotz52))
{ /* Llib/midi.scm 344 */
return BFALSE;}  else 
{ /* Llib/midi.scm 345 */
obj_t BgL_dtz00_470;
{ /* Llib/midi.scm 345 */
obj_t BgL_fun1773z00_473;
BgL_fun1773z00_473 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1158z00_464))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 345 */
obj_t BgL_arg1772z00_474;
BgL_arg1772z00_474 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52streamz52); 
BgL_dtz00_470 = 
PROCEDURE_ENTRY(BgL_fun1773z00_473)(BgL_fun1773z00_473, BgL_arg1772z00_474, BEOA); } } 
if(
(
(long)CINT(BgL_dtz00_470)==((long)0)))
{ /* Llib/midi.scm 346 */
goto BgL_zc3z04anonymousza31768ze3z87_468;}  else 
{ 
uint32_t BgL_auxz00_4789;
{ /* Llib/midi.scm 348 */
int32_t BgL_arg1771z00_472;
{ /* Llib/midi.scm 348 */
long BgL_xz00_1983;
BgL_xz00_1983 = 
(long)CINT(BgL_dtz00_470); 
BgL_arg1771z00_472 = 
(int32_t)(BgL_xz00_1983); } 
{ /* Llib/midi.scm 348 */
uint32_t BgL_za71za7_1984;uint32_t BgL_za72za7_1985;
BgL_za71za7_1984 = 
(uint32_t)(BgL_tickz00_37); 
BgL_za72za7_1985 = 
(uint32_t)(BgL_arg1771z00_472); 
BgL_auxz00_4789 = 
(BgL_za71za7_1984+BgL_za72za7_1985); } } 
return 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_4789),BUNSPEC);} } }  else 
{ /* Llib/midi.scm 341 */
return BFALSE;} } } } 

}



/* miditrack-play-event */
obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_38, BgL_midiplayerz00_bglt BgL_mplayerz00_39, BgL_midisinkz00_bglt BgL_msinkz00_40, long BgL_tickz00_41, long BgL_ppqz00_42, long BgL_dtz00_43, BGL_LONGLONG_T BgL_t0z00_44)
{
{ /* Llib/midi.scm 353 */
{ /* Llib/midi.scm 357 */
BgL_midireaderz00_bglt BgL_i1160z00_478;
BgL_i1160z00_478 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52readerz52); 
{ /* Llib/midi.scm 372 */
obj_t BgL_statusz00_480;
{ /* Llib/midi.scm 372 */
bool_t BgL_test3375z00_4797;
{ /* Llib/midi.scm 372 */
obj_t BgL_arg1986z00_714;
{ /* Llib/midi.scm 372 */
obj_t BgL_fun1988z00_715;
BgL_fun1988z00_715 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_peekzd2bytezd2); 
{ /* Llib/midi.scm 372 */
obj_t BgL_arg1987z00_716;
BgL_arg1987z00_716 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1986z00_714 = 
PROCEDURE_ENTRY(BgL_fun1988z00_715)(BgL_fun1988z00_715, BgL_arg1987z00_716, BEOA); } } 
BgL_test3375z00_4797 = 
(
(long)CINT(BgL_arg1986z00_714)<((long)128)); } 
if(BgL_test3375z00_4797)
{ /* Llib/midi.scm 372 */
BgL_statusz00_480 = 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)); }  else 
{ /* Llib/midi.scm 374 */
obj_t BgL_sz00_711;
{ /* Llib/midi.scm 374 */
obj_t BgL_fun1985z00_712;
BgL_fun1985z00_712 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 374 */
obj_t BgL_arg1984z00_713;
BgL_arg1984z00_713 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sz00_711 = 
PROCEDURE_ENTRY(BgL_fun1985z00_712)(BgL_fun1985z00_712, BgL_arg1984z00_713, BEOA); } } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)=((long)
(long)CINT(BgL_sz00_711)),BUNSPEC); 
BgL_statusz00_480 = BgL_sz00_711; } } 
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)8)))
{ /* Llib/midi.scm 380 */
long BgL_kkz00_483;
{ /* Llib/midi.scm 380 */
obj_t BgL_arg1786z00_494;
{ /* Llib/midi.scm 380 */
obj_t BgL_fun1788z00_495;
BgL_fun1788z00_495 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 380 */
obj_t BgL_arg1787z00_496;
BgL_arg1787z00_496 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1786z00_494 = 
PROCEDURE_ENTRY(BgL_fun1788z00_495)(BgL_fun1788z00_495, BgL_arg1787z00_496, BEOA); } } 
BgL_kkz00_483 = 
(((long)127) & 
(long)CINT(BgL_arg1786z00_494)); } 
{ /* Llib/midi.scm 380 */
long BgL_vvz00_484;
{ /* Llib/midi.scm 381 */
obj_t BgL_arg1783z00_491;
{ /* Llib/midi.scm 381 */
obj_t BgL_fun1785z00_492;
BgL_fun1785z00_492 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 381 */
obj_t BgL_arg1784z00_493;
BgL_arg1784z00_493 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1783z00_491 = 
PROCEDURE_ENTRY(BgL_fun1785z00_492)(BgL_fun1785z00_492, BgL_arg1784z00_493, BEOA); } } 
BgL_vvz00_484 = 
(((long)127) & 
(long)CINT(BgL_arg1783z00_491)); } 
{ /* Llib/midi.scm 381 */

{ /* Llib/midi.scm 382 */
obj_t BgL_fun1778z00_485;
BgL_fun1778z00_485 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 383 */
long BgL_arg1777z00_486;
{ /* Llib/midi.scm 383 */
BGL_LONGLONG_T BgL_tmpz00_4838;
BgL_tmpz00_4838 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1777z00_486 = 
LLONG_TO_LONG(BgL_tmpz00_4838); } 
PROCEDURE_ENTRY(BgL_fun1778z00_485)(BgL_fun1778z00_485, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1777z00_486), BEOA); } } 
{ /* Llib/midi.scm 384 */
obj_t BgL_fun1782z00_489;
BgL_fun1782z00_489 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteoffz00); 
{ /* Llib/midi.scm 384 */
long BgL_arg1781z00_490;
BgL_arg1781z00_490 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1782z00_489)(BgL_fun1782z00_489, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1781z00_490), 
BINT(BgL_kkz00_483), 
BINT(BgL_vvz00_484), BEOA); } } } } }  else 
{ /* Llib/midi.scm 378 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)9)))
{ /* Llib/midi.scm 387 */
long BgL_kkz00_499;
{ /* Llib/midi.scm 387 */
obj_t BgL_arg1800z00_510;
{ /* Llib/midi.scm 387 */
obj_t BgL_fun1802z00_511;
BgL_fun1802z00_511 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 387 */
obj_t BgL_arg1801z00_512;
BgL_arg1801z00_512 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1800z00_510 = 
PROCEDURE_ENTRY(BgL_fun1802z00_511)(BgL_fun1802z00_511, BgL_arg1801z00_512, BEOA); } } 
BgL_kkz00_499 = 
(((long)127) & 
(long)CINT(BgL_arg1800z00_510)); } 
{ /* Llib/midi.scm 387 */
long BgL_vvz00_500;
{ /* Llib/midi.scm 388 */
obj_t BgL_arg1797z00_507;
{ /* Llib/midi.scm 388 */
obj_t BgL_fun1799z00_508;
BgL_fun1799z00_508 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 388 */
obj_t BgL_arg1798z00_509;
BgL_arg1798z00_509 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1797z00_507 = 
PROCEDURE_ENTRY(BgL_fun1799z00_508)(BgL_fun1799z00_508, BgL_arg1798z00_509, BEOA); } } 
BgL_vvz00_500 = 
(((long)127) & 
(long)CINT(BgL_arg1797z00_507)); } 
{ /* Llib/midi.scm 388 */

{ /* Llib/midi.scm 389 */
obj_t BgL_fun1792z00_501;
BgL_fun1792z00_501 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 390 */
long BgL_arg1791z00_502;
{ /* Llib/midi.scm 390 */
BGL_LONGLONG_T BgL_tmpz00_4899;
BgL_tmpz00_4899 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1791z00_502 = 
LLONG_TO_LONG(BgL_tmpz00_4899); } 
PROCEDURE_ENTRY(BgL_fun1792z00_501)(BgL_fun1792z00_501, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1791z00_502), BEOA); } } 
{ /* Llib/midi.scm 391 */
obj_t BgL_fun1796z00_505;
BgL_fun1796z00_505 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteonz00); 
{ /* Llib/midi.scm 391 */
long BgL_arg1795z00_506;
BgL_arg1795z00_506 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1796z00_505)(BgL_fun1796z00_505, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1795z00_506), 
BINT(BgL_kkz00_499), 
BINT(BgL_vvz00_500), BEOA); } } } } }  else 
{ /* Llib/midi.scm 385 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)10)))
{ /* Llib/midi.scm 394 */
long BgL_ccz00_515;
{ /* Llib/midi.scm 394 */
obj_t BgL_arg1816z00_526;
{ /* Llib/midi.scm 394 */
obj_t BgL_fun1818z00_527;
BgL_fun1818z00_527 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 394 */
obj_t BgL_arg1817z00_528;
BgL_arg1817z00_528 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1816z00_526 = 
PROCEDURE_ENTRY(BgL_fun1818z00_527)(BgL_fun1818z00_527, BgL_arg1817z00_528, BEOA); } } 
BgL_ccz00_515 = 
(((long)127) & 
(long)CINT(BgL_arg1816z00_526)); } 
{ /* Llib/midi.scm 394 */
long BgL_vvz00_516;
{ /* Llib/midi.scm 395 */
obj_t BgL_arg1812z00_523;
{ /* Llib/midi.scm 395 */
obj_t BgL_fun1815z00_524;
BgL_fun1815z00_524 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 395 */
obj_t BgL_arg1813z00_525;
BgL_arg1813z00_525 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1812z00_523 = 
PROCEDURE_ENTRY(BgL_fun1815z00_524)(BgL_fun1815z00_524, BgL_arg1813z00_525, BEOA); } } 
BgL_vvz00_516 = 
(((long)127) & 
(long)CINT(BgL_arg1812z00_523)); } 
{ /* Llib/midi.scm 395 */

{ /* Llib/midi.scm 396 */
obj_t BgL_fun1806z00_517;
BgL_fun1806z00_517 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 397 */
long BgL_arg1805z00_518;
{ /* Llib/midi.scm 397 */
BGL_LONGLONG_T BgL_tmpz00_4960;
BgL_tmpz00_4960 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1805z00_518 = 
LLONG_TO_LONG(BgL_tmpz00_4960); } 
PROCEDURE_ENTRY(BgL_fun1806z00_517)(BgL_fun1806z00_517, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1805z00_518), BEOA); } } 
{ /* Llib/midi.scm 398 */
obj_t BgL_fun1811z00_521;
BgL_fun1811z00_521 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_aftertouchz00); 
{ /* Llib/midi.scm 398 */
long BgL_arg1810z00_522;
BgL_arg1810z00_522 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1811z00_521)(BgL_fun1811z00_521, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1810z00_522), 
BINT(BgL_ccz00_515), 
BINT(BgL_vvz00_516), BEOA); } } } } }  else 
{ /* Llib/midi.scm 392 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)11)))
{ /* Llib/midi.scm 401 */
long BgL_ccz00_531;
{ /* Llib/midi.scm 401 */
obj_t BgL_arg1830z00_542;
{ /* Llib/midi.scm 401 */
obj_t BgL_fun1832z00_543;
BgL_fun1832z00_543 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 401 */
obj_t BgL_arg1831z00_544;
BgL_arg1831z00_544 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1830z00_542 = 
PROCEDURE_ENTRY(BgL_fun1832z00_543)(BgL_fun1832z00_543, BgL_arg1831z00_544, BEOA); } } 
BgL_ccz00_531 = 
(((long)127) & 
(long)CINT(BgL_arg1830z00_542)); } 
{ /* Llib/midi.scm 401 */
long BgL_nnz00_532;
{ /* Llib/midi.scm 402 */
obj_t BgL_arg1827z00_539;
{ /* Llib/midi.scm 402 */
obj_t BgL_fun1829z00_540;
BgL_fun1829z00_540 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 402 */
obj_t BgL_arg1828z00_541;
BgL_arg1828z00_541 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1827z00_539 = 
PROCEDURE_ENTRY(BgL_fun1829z00_540)(BgL_fun1829z00_540, BgL_arg1828z00_541, BEOA); } } 
BgL_nnz00_532 = 
(((long)127) & 
(long)CINT(BgL_arg1827z00_539)); } 
{ /* Llib/midi.scm 402 */

{ /* Llib/midi.scm 403 */
obj_t BgL_fun1822z00_533;
BgL_fun1822z00_533 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 404 */
long BgL_arg1821z00_534;
{ /* Llib/midi.scm 404 */
BGL_LONGLONG_T BgL_tmpz00_5021;
BgL_tmpz00_5021 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1821z00_534 = 
LLONG_TO_LONG(BgL_tmpz00_5021); } 
PROCEDURE_ENTRY(BgL_fun1822z00_533)(BgL_fun1822z00_533, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1821z00_534), BEOA); } } 
{ /* Llib/midi.scm 405 */
obj_t BgL_fun1826z00_537;
BgL_fun1826z00_537 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_ctrlchangez00); 
{ /* Llib/midi.scm 405 */
long BgL_arg1825z00_538;
BgL_arg1825z00_538 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1826z00_537)(BgL_fun1826z00_537, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1825z00_538), 
BINT(BgL_ccz00_531), 
BINT(BgL_nnz00_532), BEOA); } } } } }  else 
{ /* Llib/midi.scm 399 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)12)))
{ /* Llib/midi.scm 408 */
long BgL_ppz00_547;
{ /* Llib/midi.scm 408 */
obj_t BgL_arg1841z00_554;
{ /* Llib/midi.scm 408 */
obj_t BgL_fun1843z00_555;
BgL_fun1843z00_555 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 408 */
obj_t BgL_arg1842z00_556;
BgL_arg1842z00_556 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1841z00_554 = 
PROCEDURE_ENTRY(BgL_fun1843z00_555)(BgL_fun1843z00_555, BgL_arg1842z00_556, BEOA); } } 
BgL_ppz00_547 = 
(((long)127) & 
(long)CINT(BgL_arg1841z00_554)); } 
{ /* Llib/midi.scm 409 */
obj_t BgL_fun1836z00_548;
BgL_fun1836z00_548 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 410 */
long BgL_arg1835z00_549;
{ /* Llib/midi.scm 410 */
BGL_LONGLONG_T BgL_tmpz00_5074;
BgL_tmpz00_5074 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1835z00_549 = 
LLONG_TO_LONG(BgL_tmpz00_5074); } 
PROCEDURE_ENTRY(BgL_fun1836z00_548)(BgL_fun1836z00_548, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1835z00_549), BEOA); } } 
{ /* Llib/midi.scm 411 */
obj_t BgL_fun1840z00_552;
BgL_fun1840z00_552 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_prgmchangez00); 
{ /* Llib/midi.scm 411 */
long BgL_arg1839z00_553;
BgL_arg1839z00_553 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1840z00_552)(BgL_fun1840z00_552, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1839z00_553), 
BINT(BgL_ppz00_547), BEOA); } } }  else 
{ /* Llib/midi.scm 406 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)13)))
{ /* Llib/midi.scm 414 */
long BgL_ppz00_559;
{ /* Llib/midi.scm 414 */
obj_t BgL_arg1852z00_566;
{ /* Llib/midi.scm 414 */
obj_t BgL_fun1854z00_567;
BgL_fun1854z00_567 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 414 */
obj_t BgL_arg1853z00_568;
BgL_arg1853z00_568 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1852z00_566 = 
PROCEDURE_ENTRY(BgL_fun1854z00_567)(BgL_fun1854z00_567, BgL_arg1853z00_568, BEOA); } } 
BgL_ppz00_559 = 
(((long)127) & 
(long)CINT(BgL_arg1852z00_566)); } 
{ /* Llib/midi.scm 415 */
obj_t BgL_fun1847z00_560;
BgL_fun1847z00_560 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 416 */
long BgL_arg1846z00_561;
{ /* Llib/midi.scm 416 */
BGL_LONGLONG_T BgL_tmpz00_5125;
BgL_tmpz00_5125 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1846z00_561 = 
LLONG_TO_LONG(BgL_tmpz00_5125); } 
PROCEDURE_ENTRY(BgL_fun1847z00_560)(BgL_fun1847z00_560, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1846z00_561), BEOA); } } 
{ /* Llib/midi.scm 417 */
obj_t BgL_fun1851z00_564;
BgL_fun1851z00_564 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_afterzd2touchzd2); 
{ /* Llib/midi.scm 417 */
long BgL_arg1850z00_565;
BgL_arg1850z00_565 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1851z00_564)(BgL_fun1851z00_564, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1850z00_565), 
BINT(BgL_ppz00_559), BEOA); } } }  else 
{ /* Llib/midi.scm 412 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)14)))
{ /* Llib/midi.scm 420 */
long BgL_ccz00_571;
{ /* Llib/midi.scm 420 */
obj_t BgL_arg1868z00_582;
{ /* Llib/midi.scm 420 */
obj_t BgL_fun1870z00_583;
BgL_fun1870z00_583 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 420 */
obj_t BgL_arg1869z00_584;
BgL_arg1869z00_584 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1868z00_582 = 
PROCEDURE_ENTRY(BgL_fun1870z00_583)(BgL_fun1870z00_583, BgL_arg1869z00_584, BEOA); } } 
BgL_ccz00_571 = 
(((long)127) & 
(long)CINT(BgL_arg1868z00_582)); } 
{ /* Llib/midi.scm 420 */
long BgL_vvz00_572;
{ /* Llib/midi.scm 421 */
obj_t BgL_arg1865z00_579;
{ /* Llib/midi.scm 421 */
obj_t BgL_fun1867z00_580;
BgL_fun1867z00_580 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 421 */
obj_t BgL_arg1866z00_581;
BgL_arg1866z00_581 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1865z00_579 = 
PROCEDURE_ENTRY(BgL_fun1867z00_580)(BgL_fun1867z00_580, BgL_arg1866z00_581, BEOA); } } 
BgL_vvz00_572 = 
(((long)127) & 
(long)CINT(BgL_arg1865z00_579)); } 
{ /* Llib/midi.scm 421 */

{ /* Llib/midi.scm 422 */
obj_t BgL_fun1859z00_573;
BgL_fun1859z00_573 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 423 */
long BgL_arg1858z00_574;
{ /* Llib/midi.scm 423 */
BGL_LONGLONG_T BgL_tmpz00_5184;
BgL_tmpz00_5184 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1858z00_574 = 
LLONG_TO_LONG(BgL_tmpz00_5184); } 
PROCEDURE_ENTRY(BgL_fun1859z00_573)(BgL_fun1859z00_573, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1858z00_574), BEOA); } } 
{ /* Llib/midi.scm 424 */
obj_t BgL_fun1864z00_577;
BgL_fun1864z00_577 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_pitchz00); 
{ /* Llib/midi.scm 424 */
long BgL_arg1863z00_578;
BgL_arg1863z00_578 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1864z00_577)(BgL_fun1864z00_577, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1863z00_578), 
BINT(BgL_ccz00_571), 
BINT(BgL_vvz00_572), BEOA); } } } } }  else 
{ /* Llib/midi.scm 418 */
if(
(
(long)CINT(BgL_statusz00_480)==((long)255)))
{ /* Llib/midi.scm 427 */
obj_t BgL_cz00_586;
{ /* Llib/midi.scm 427 */
obj_t BgL_fun1959z00_683;
BgL_fun1959z00_683 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 427 */
obj_t BgL_arg1958z00_684;
BgL_arg1958z00_684 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_cz00_586 = 
PROCEDURE_ENTRY(BgL_fun1959z00_683)(BgL_fun1959z00_683, BgL_arg1958z00_684, BEOA); } } 
{ /* Llib/midi.scm 427 */
obj_t BgL_lz00_587;
{ /* Llib/midi.scm 428 */
obj_t BgL_fun1957z00_681;
BgL_fun1957z00_681 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 428 */
obj_t BgL_arg1956z00_682;
BgL_arg1956z00_682 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_lz00_587 = 
PROCEDURE_ENTRY(BgL_fun1957z00_681)(BgL_fun1957z00_681, BgL_arg1956z00_682, BEOA); } } 
{ /* Llib/midi.scm 428 */

{ 

if(
INTEGERP(BgL_cz00_586))
{ /* Llib/midi.scm 429 */
switch( 
(long)CINT(BgL_cz00_586)) { case ((long)0) : 

{ /* Llib/midi.scm 432 */
obj_t BgL_fun1874z00_591;
BgL_fun1874z00_591 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqnumzd2); 
{ /* Llib/midi.scm 432 */
int32_t BgL_arg1873z00_592;
BgL_arg1873z00_592 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1874z00_591)(BgL_fun1874z00_591, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BGL_INT32_TO_BINT32(BgL_arg1873z00_592), BEOA); } } break;case ((long)1) : 

{ /* Llib/midi.scm 435 */
obj_t BgL_fun1877z00_594;
BgL_fun1877z00_594 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2textzd2); 
{ /* Llib/midi.scm 435 */
obj_t BgL_arg1876z00_595;
{ /* Llib/midi.scm 435 */
obj_t BgL_fun1879z00_596;
BgL_fun1879z00_596 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 435 */
obj_t BgL_arg1878z00_597;
BgL_arg1878z00_597 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1876z00_595 = 
PROCEDURE_ENTRY(BgL_fun1879z00_596)(BgL_fun1879z00_596, BgL_lz00_587, BgL_arg1878z00_597, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1877z00_594)(BgL_fun1877z00_594, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1876z00_595, BEOA); } } break;case ((long)2) : 

{ /* Llib/midi.scm 438 */
obj_t BgL_fun1881z00_598;
BgL_fun1881z00_598 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2copyrightzd2); 
{ /* Llib/midi.scm 438 */
obj_t BgL_arg1880z00_599;
{ /* Llib/midi.scm 438 */
obj_t BgL_fun1883z00_600;
BgL_fun1883z00_600 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 438 */
obj_t BgL_arg1882z00_601;
BgL_arg1882z00_601 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1880z00_599 = 
PROCEDURE_ENTRY(BgL_fun1883z00_600)(BgL_fun1883z00_600, BgL_lz00_587, BgL_arg1882z00_601, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1881z00_598)(BgL_fun1881z00_598, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1880z00_599, BEOA); } } break;case ((long)3) : 

{ /* Llib/midi.scm 441 */
obj_t BgL_fun1885z00_602;
BgL_fun1885z00_602 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2trackzd2); 
{ /* Llib/midi.scm 441 */
obj_t BgL_arg1884z00_603;
{ /* Llib/midi.scm 441 */
obj_t BgL_fun1887z00_604;
BgL_fun1887z00_604 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 441 */
obj_t BgL_arg1886z00_605;
BgL_arg1886z00_605 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1884z00_603 = 
PROCEDURE_ENTRY(BgL_fun1887z00_604)(BgL_fun1887z00_604, BgL_lz00_587, BgL_arg1886z00_605, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1885z00_602)(BgL_fun1885z00_602, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1884z00_603, BEOA); } } break;case ((long)4) : 

{ /* Llib/midi.scm 444 */
obj_t BgL_fun1889z00_606;
BgL_fun1889z00_606 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2instrumentzd2); 
{ /* Llib/midi.scm 444 */
obj_t BgL_arg1888z00_607;
{ /* Llib/midi.scm 444 */
obj_t BgL_fun1891z00_608;
BgL_fun1891z00_608 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 444 */
obj_t BgL_arg1890z00_609;
BgL_arg1890z00_609 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1888z00_607 = 
PROCEDURE_ENTRY(BgL_fun1891z00_608)(BgL_fun1891z00_608, BgL_lz00_587, BgL_arg1890z00_609, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1889z00_606)(BgL_fun1889z00_606, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1888z00_607, BEOA); } } break;case ((long)5) : 

{ /* Llib/midi.scm 447 */
obj_t BgL_fun1893z00_610;
BgL_fun1893z00_610 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2lyriczd2); 
{ /* Llib/midi.scm 447 */
obj_t BgL_arg1892z00_611;
{ /* Llib/midi.scm 447 */
obj_t BgL_fun1895z00_612;
BgL_fun1895z00_612 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 447 */
obj_t BgL_arg1894z00_613;
BgL_arg1894z00_613 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1892z00_611 = 
PROCEDURE_ENTRY(BgL_fun1895z00_612)(BgL_fun1895z00_612, BgL_lz00_587, BgL_arg1894z00_613, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1893z00_610)(BgL_fun1893z00_610, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1892z00_611, BEOA); } } break;case ((long)6) : 

{ /* Llib/midi.scm 450 */
obj_t BgL_fun1897z00_614;
BgL_fun1897z00_614 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2markerzd2); 
{ /* Llib/midi.scm 450 */
obj_t BgL_arg1896z00_615;
{ /* Llib/midi.scm 450 */
obj_t BgL_fun1899z00_616;
BgL_fun1899z00_616 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 450 */
obj_t BgL_arg1898z00_617;
BgL_arg1898z00_617 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1896z00_615 = 
PROCEDURE_ENTRY(BgL_fun1899z00_616)(BgL_fun1899z00_616, BgL_lz00_587, BgL_arg1898z00_617, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1897z00_614)(BgL_fun1897z00_614, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1896z00_615, BEOA); } } break;case ((long)7) : 

{ /* Llib/midi.scm 453 */
obj_t BgL_fun1903z00_618;
BgL_fun1903z00_618 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2cuezd2); 
{ /* Llib/midi.scm 453 */
obj_t BgL_arg1902z00_619;
{ /* Llib/midi.scm 453 */
obj_t BgL_fun1905z00_620;
BgL_fun1905z00_620 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 453 */
obj_t BgL_arg1904z00_621;
BgL_arg1904z00_621 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1902z00_619 = 
PROCEDURE_ENTRY(BgL_fun1905z00_620)(BgL_fun1905z00_620, BgL_lz00_587, BgL_arg1904z00_621, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1903z00_618)(BgL_fun1903z00_618, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1902z00_619, BEOA); } } break;case ((long)8) : 

{ /* Llib/midi.scm 456 */
obj_t BgL_fun1907z00_622;
BgL_fun1907z00_622 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2prgmnamezd2); 
{ /* Llib/midi.scm 456 */
obj_t BgL_arg1906z00_623;
{ /* Llib/midi.scm 456 */
obj_t BgL_fun1909z00_624;
BgL_fun1909z00_624 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 456 */
obj_t BgL_arg1908z00_625;
BgL_arg1908z00_625 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1906z00_623 = 
PROCEDURE_ENTRY(BgL_fun1909z00_624)(BgL_fun1909z00_624, BgL_lz00_587, BgL_arg1908z00_625, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1907z00_622)(BgL_fun1907z00_622, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1906z00_623, BEOA); } } break;case ((long)9) : 

{ /* Llib/midi.scm 459 */
obj_t BgL_fun1911z00_626;
BgL_fun1911z00_626 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2devnamezd2); 
{ /* Llib/midi.scm 459 */
obj_t BgL_arg1910z00_627;
{ /* Llib/midi.scm 459 */
obj_t BgL_fun1913z00_628;
BgL_fun1913z00_628 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 459 */
obj_t BgL_arg1912z00_629;
BgL_arg1912z00_629 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1910z00_627 = 
PROCEDURE_ENTRY(BgL_fun1913z00_628)(BgL_fun1913z00_628, BgL_lz00_587, BgL_arg1912z00_629, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1911z00_626)(BgL_fun1911z00_626, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1910z00_627, BEOA); } } break;case ((long)32) : 

{ /* Llib/midi.scm 462 */
obj_t BgL_fun1915z00_630;
BgL_fun1915z00_630 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 462 */
obj_t BgL_arg1914z00_631;
{ /* Llib/midi.scm 462 */
obj_t BgL_fun1917z00_632;
BgL_fun1917z00_632 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 462 */
obj_t BgL_arg1916z00_633;
BgL_arg1916z00_633 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1914z00_631 = 
PROCEDURE_ENTRY(BgL_fun1917z00_632)(BgL_fun1917z00_632, BgL_arg1916z00_633, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1915z00_630)(BgL_fun1915z00_630, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1914z00_631, BEOA); } } break;case ((long)33) : 

{ /* Llib/midi.scm 465 */
obj_t BgL_fun1919z00_634;
BgL_fun1919z00_634 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 465 */
long BgL_arg1918z00_635;
BgL_arg1918z00_635 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1919z00_634)(BgL_fun1919z00_634, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1918z00_635), BEOA); } } break;case ((long)47) : 

((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52eotz52)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/midi.scm 469 */
obj_t BgL_fun1921z00_637;
BgL_fun1921z00_637 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2eotzd2); 
PROCEDURE_ENTRY(BgL_fun1921z00_637)(BgL_fun1921z00_637, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BUNSPEC, BEOA); } break;case ((long)81) : 

{ 
long BgL_auxz00_5460;
{ /* Llib/midi.scm 472 */
obj_t BgL_arg1922z00_638;
BgL_arg1922z00_638 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_auxz00_5460 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), BgL_arg1922z00_638); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00)=((long)BgL_auxz00_5460),BUNSPEC); } 
{ /* Llib/midi.scm 473 */
obj_t BgL_fun1924z00_639;
BgL_fun1924z00_639 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2tempozd2); 
{ /* Llib/midi.scm 473 */
long BgL_arg1923z00_640;
BgL_arg1923z00_640 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00); 
PROCEDURE_ENTRY(BgL_fun1924z00_639)(BgL_fun1924z00_639, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1923z00_640), BEOA); } } break;case ((long)84) : 

{ /* Llib/midi.scm 476 */
obj_t BgL_hrz00_641;
{ /* Llib/midi.scm 476 */
obj_t BgL_fun1935z00_655;
BgL_fun1935z00_655 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 476 */
obj_t BgL_arg1934z00_656;
BgL_arg1934z00_656 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_hrz00_641 = 
PROCEDURE_ENTRY(BgL_fun1935z00_655)(BgL_fun1935z00_655, BgL_arg1934z00_656, BEOA); } } 
{ /* Llib/midi.scm 476 */
obj_t BgL_mmz00_642;
{ /* Llib/midi.scm 477 */
obj_t BgL_fun1933z00_653;
BgL_fun1933z00_653 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 477 */
obj_t BgL_arg1932z00_654;
BgL_arg1932z00_654 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_mmz00_642 = 
PROCEDURE_ENTRY(BgL_fun1933z00_653)(BgL_fun1933z00_653, BgL_arg1932z00_654, BEOA); } } 
{ /* Llib/midi.scm 477 */
obj_t BgL_sez00_643;
{ /* Llib/midi.scm 478 */
obj_t BgL_fun1931z00_651;
BgL_fun1931z00_651 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 478 */
obj_t BgL_arg1930z00_652;
BgL_arg1930z00_652 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sez00_643 = 
PROCEDURE_ENTRY(BgL_fun1931z00_651)(BgL_fun1931z00_651, BgL_arg1930z00_652, BEOA); } } 
{ /* Llib/midi.scm 478 */
obj_t BgL_frz00_644;
{ /* Llib/midi.scm 479 */
obj_t BgL_fun1929z00_649;
BgL_fun1929z00_649 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 479 */
obj_t BgL_arg1928z00_650;
BgL_arg1928z00_650 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_frz00_644 = 
PROCEDURE_ENTRY(BgL_fun1929z00_649)(BgL_fun1929z00_649, BgL_arg1928z00_650, BEOA); } } 
{ /* Llib/midi.scm 479 */
obj_t BgL_ffz00_645;
{ /* Llib/midi.scm 480 */
obj_t BgL_fun1927z00_647;
BgL_fun1927z00_647 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 480 */
obj_t BgL_arg1926z00_648;
BgL_arg1926z00_648 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ffz00_645 = 
PROCEDURE_ENTRY(BgL_fun1927z00_647)(BgL_fun1927z00_647, BgL_arg1926z00_648, BEOA); } } 
{ /* Llib/midi.scm 480 */

{ /* Llib/midi.scm 481 */
obj_t BgL_fun1925z00_646;
BgL_fun1925z00_646 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2smtpezd2); 
PROCEDURE_ENTRY(BgL_fun1925z00_646)(BgL_fun1925z00_646, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_hrz00_641, BgL_mmz00_642, BgL_sez00_643, BgL_frz00_644, BgL_ffz00_645, BEOA); } } } } } } } break;case ((long)88) : 

{ /* Llib/midi.scm 484 */
obj_t BgL_nnz00_657;
{ /* Llib/midi.scm 484 */
obj_t BgL_fun1944z00_668;
BgL_fun1944z00_668 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 484 */
obj_t BgL_arg1943z00_669;
BgL_arg1943z00_669 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_nnz00_657 = 
PROCEDURE_ENTRY(BgL_fun1944z00_668)(BgL_fun1944z00_668, BgL_arg1943z00_669, BEOA); } } 
{ /* Llib/midi.scm 484 */
obj_t BgL_ddz00_658;
{ /* Llib/midi.scm 485 */
obj_t BgL_fun1942z00_666;
BgL_fun1942z00_666 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 485 */
obj_t BgL_arg1941z00_667;
BgL_arg1941z00_667 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ddz00_658 = 
PROCEDURE_ENTRY(BgL_fun1942z00_666)(BgL_fun1942z00_666, BgL_arg1941z00_667, BEOA); } } 
{ /* Llib/midi.scm 485 */
obj_t BgL_ccz00_659;
{ /* Llib/midi.scm 486 */
obj_t BgL_fun1940z00_664;
BgL_fun1940z00_664 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 486 */
obj_t BgL_arg1939z00_665;
BgL_arg1939z00_665 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ccz00_659 = 
PROCEDURE_ENTRY(BgL_fun1940z00_664)(BgL_fun1940z00_664, BgL_arg1939z00_665, BEOA); } } 
{ /* Llib/midi.scm 486 */
obj_t BgL_bbz00_660;
{ /* Llib/midi.scm 487 */
obj_t BgL_fun1938z00_662;
BgL_fun1938z00_662 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 487 */
obj_t BgL_arg1937z00_663;
BgL_arg1937z00_663 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_bbz00_660 = 
PROCEDURE_ENTRY(BgL_fun1938z00_662)(BgL_fun1938z00_662, BgL_arg1937z00_663, BEOA); } } 
{ /* Llib/midi.scm 487 */

{ /* Llib/midi.scm 488 */
obj_t BgL_fun1936z00_661;
BgL_fun1936z00_661 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2timesigzd2); 
PROCEDURE_ENTRY(BgL_fun1936z00_661)(BgL_fun1936z00_661, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_nnz00_657, BgL_ddz00_658, BgL_ccz00_659, BgL_bbz00_660, BEOA); } } } } } } break;case ((long)89) : 

{ /* Llib/midi.scm 491 */
obj_t BgL_fun1946z00_670;
BgL_fun1946z00_670 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2keysigzd2); 
{ /* Llib/midi.scm 491 */
long BgL_arg1945z00_671;
BgL_arg1945z00_671 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1946z00_670)(BgL_fun1946z00_670, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1945z00_671), BEOA); } } break;case ((long)127) : 

{ /* Llib/midi.scm 494 */
obj_t BgL_fun1949z00_673;
BgL_fun1949z00_673 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqspeczd2); 
{ /* Llib/midi.scm 494 */
obj_t BgL_arg1948z00_674;
{ /* Llib/midi.scm 494 */
obj_t BgL_fun1951z00_675;
BgL_fun1951z00_675 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 494 */
obj_t BgL_arg1950z00_676;
BgL_arg1950z00_676 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1948z00_674 = 
PROCEDURE_ENTRY(BgL_fun1951z00_675)(BgL_fun1951z00_675, BgL_lz00_587, BgL_arg1950z00_676, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1949z00_673)(BgL_fun1949z00_673, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1948z00_674, BEOA); } } break;
default: 
BgL_case_else1162z00_588:
{ /* Llib/midi.scm 496 */
obj_t BgL_fun1953z00_677;
BgL_fun1953z00_677 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
{ /* Llib/midi.scm 497 */
obj_t BgL_arg1952z00_678;
{ /* Llib/midi.scm 497 */
obj_t BgL_list1954z00_679;
{ /* Llib/midi.scm 497 */
obj_t BgL_arg1955z00_680;
BgL_arg1955z00_680 = 
MAKE_YOUNG_PAIR(BgL_cz00_586, BNIL); 
BgL_list1954z00_679 = 
MAKE_YOUNG_PAIR(BgL_statusz00_480, BgL_arg1955z00_680); } 
BgL_arg1952z00_678 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2807z00zz__multimediazd2midizd2, BgL_list1954z00_679); } 
PROCEDURE_ENTRY(BgL_fun1953z00_677)(BgL_fun1953z00_677, BGl_string2808z00zz__multimediazd2midizd2, BGl_string2809z00zz__multimediazd2midizd2, BgL_arg1952z00_678, BEOA); } } } }  else 
{ /* Llib/midi.scm 429 */
goto BgL_case_else1162z00_588;} } } } }  else 
{ /* Llib/midi.scm 498 */
bool_t BgL_test3385z00_5606;
if(
(
(long)CINT(BgL_statusz00_480)==((long)240)))
{ /* Llib/midi.scm 498 */
BgL_test3385z00_5606 = ((bool_t)1)
; }  else 
{ /* Llib/midi.scm 498 */
BgL_test3385z00_5606 = 
(
(long)CINT(BgL_statusz00_480)==((long)247))
; } 
if(BgL_test3385z00_5606)
{ /* Llib/midi.scm 500 */
obj_t BgL_strz00_687;
{ /* Llib/midi.scm 500 */
obj_t BgL_fun1969z00_693;
BgL_fun1969z00_693 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 500 */
obj_t BgL_arg1967z00_694;obj_t BgL_arg1968z00_695;
{ /* Llib/midi.scm 500 */
obj_t BgL_fun1971z00_696;
BgL_fun1971z00_696 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1160z00_478))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 500 */
obj_t BgL_arg1970z00_697;
BgL_arg1970z00_697 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1967z00_694 = 
PROCEDURE_ENTRY(BgL_fun1971z00_696)(BgL_fun1971z00_696, BgL_arg1970z00_697, BEOA); } } 
BgL_arg1968z00_695 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_strz00_687 = 
PROCEDURE_ENTRY(BgL_fun1969z00_693)(BgL_fun1969z00_693, BgL_arg1967z00_694, BgL_arg1968z00_695, BEOA); } } 
{ /* Llib/midi.scm 501 */
obj_t BgL_fun1963z00_688;
BgL_fun1963z00_688 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 502 */
long BgL_arg1962z00_689;
{ /* Llib/midi.scm 502 */
BGL_LONGLONG_T BgL_tmpz00_5626;
BgL_tmpz00_5626 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1962z00_689 = 
LLONG_TO_LONG(BgL_tmpz00_5626); } 
PROCEDURE_ENTRY(BgL_fun1963z00_688)(BgL_fun1963z00_688, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_dtz00_43), 
BINT(BgL_ppqz00_42), 
BINT(BgL_arg1962z00_689), BEOA); } } 
{ /* Llib/midi.scm 503 */
obj_t BgL_fun1966z00_692;
BgL_fun1966z00_692 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_sysexz00); 
PROCEDURE_ENTRY(BgL_fun1966z00_692)(BgL_fun1966z00_692, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_strz00_687, BEOA); } }  else 
{ /* Llib/midi.scm 505 */
obj_t BgL_fun1972z00_698;
BgL_fun1972z00_698 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
PROCEDURE_ENTRY(BgL_fun1972z00_698)(BgL_fun1972z00_698, BGl_string2808z00zz__multimediazd2midizd2, BGl_string2810z00zz__multimediazd2midizd2, BgL_statusz00_480, BEOA); } } } } } } } } } } 
{ /* Llib/midi.scm 507 */
obj_t BgL_fun1990z00_718;
BgL_fun1990z00_718 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_flushz00); 
{ /* Llib/midi.scm 507 */
obj_t BgL_arg1989z00_719;
BgL_arg1989z00_719 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun1990z00_718)(BgL_fun1990z00_718, BgL_arg1989z00_719, BEOA);} } } } 

}



/* midi-read-mthd */
obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t BgL_ipz00_45)
{
{ /* Llib/midi.scm 512 */
{ /* Llib/midi.scm 513 */
obj_t BgL_tyz00_720;
BgL_tyz00_720 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_45); 
{ /* Llib/midi.scm 514 */
bool_t BgL_test3387z00_5673;
{ /* Llib/midi.scm 514 */
long BgL_l1z00_2061;
BgL_l1z00_2061 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_720)); 
if(
(BgL_l1z00_2061==((long)4)))
{ /* Llib/midi.scm 514 */
int BgL_arg1282z00_2064;
{ /* Llib/midi.scm 514 */
char * BgL_auxz00_5681;char * BgL_tmpz00_5678;
BgL_auxz00_5681 = 
BSTRING_TO_STRING(BGl_string2811z00zz__multimediazd2midizd2); 
BgL_tmpz00_5678 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_720)); 
BgL_arg1282z00_2064 = 
memcmp(BgL_tmpz00_5678, BgL_auxz00_5681, BgL_l1z00_2061); } 
BgL_test3387z00_5673 = 
(
(long)(BgL_arg1282z00_2064)==((long)0)); }  else 
{ /* Llib/midi.scm 514 */
BgL_test3387z00_5673 = ((bool_t)0)
; } } 
if(BgL_test3387z00_5673)
{ /* Llib/midi.scm 516 */
int32_t BgL_sza7za7_722;
BgL_sza7za7_722 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 516 */
long BgL_fmtz00_723;
{ /* Llib/midi.scm 517 */
int32_t BgL_arg2007z00_768;
BgL_arg2007z00_768 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 517 */
long BgL_arg1418z00_2071;
BgL_arg1418z00_2071 = 
(long)(BgL_arg2007z00_768); 
BgL_fmtz00_723 = 
(long)(BgL_arg1418z00_2071); } } 
{ /* Llib/midi.scm 517 */
long BgL_tckz00_724;
{ /* Llib/midi.scm 518 */
int32_t BgL_arg2006z00_767;
BgL_arg2006z00_767 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 518 */
long BgL_arg1418z00_2074;
BgL_arg1418z00_2074 = 
(long)(BgL_arg2006z00_767); 
BgL_tckz00_724 = 
(long)(BgL_arg1418z00_2074); } } 
{ /* Llib/midi.scm 518 */
long BgL_divz00_725;
{ /* Llib/midi.scm 519 */
int32_t BgL_arg2005z00_766;
BgL_arg2005z00_766 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 519 */
long BgL_arg1418z00_2077;
BgL_arg1418z00_2077 = 
(long)(BgL_arg2005z00_766); 
BgL_divz00_725 = 
(long)(BgL_arg1418z00_2077); } } 
{ /* Llib/midi.scm 519 */

if(
(
(BgL_divz00_725 >> 
(int)(((long)15)))==((long)0)))
{ /* Llib/midi.scm 521 */
long BgL_val4_1200z00_732;
BgL_val4_1200z00_732 = 
(BgL_divz00_725 & ((long)32767)); 
{ /* Llib/midi.scm 521 */
int BgL_tmpz00_5701;
BgL_tmpz00_5701 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5701); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5706;int BgL_tmpz00_5704;
BgL_auxz00_5706 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_5704 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5704, BgL_auxz00_5706); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5711;int BgL_tmpz00_5709;
BgL_auxz00_5711 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_5709 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5709, BgL_auxz00_5711); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5716;int BgL_tmpz00_5714;
BgL_auxz00_5716 = 
BINT(((long)500000)); 
BgL_tmpz00_5714 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5714, BgL_auxz00_5716); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5721;int BgL_tmpz00_5719;
BgL_auxz00_5721 = 
BINT(BgL_val4_1200z00_732); 
BgL_tmpz00_5719 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5719, BgL_auxz00_5721); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);}  else 
{ 

{ /* Llib/midi.scm 522 */
long BgL_aux1166z00_734;
BgL_aux1166z00_734 = 
(((long)128)-
(
(BgL_divz00_725 >> 
(int)(((long)8))) & ((long)127))); 
switch( BgL_aux1166z00_734) { case ((long)24) : 

{ /* Llib/midi.scm 524 */
long BgL_val4_1205z00_740;
BgL_val4_1205z00_740 = 
(((long)12)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 524 */
int BgL_tmpz00_5731;
BgL_tmpz00_5731 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5731); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5736;int BgL_tmpz00_5734;
BgL_auxz00_5736 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_5734 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5734, BgL_auxz00_5736); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5741;int BgL_tmpz00_5739;
BgL_auxz00_5741 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_5739 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5739, BgL_auxz00_5741); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5746;int BgL_tmpz00_5744;
BgL_auxz00_5746 = 
BINT(((long)500000)); 
BgL_tmpz00_5744 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5744, BgL_auxz00_5746); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5751;int BgL_tmpz00_5749;
BgL_auxz00_5751 = 
BINT(BgL_val4_1205z00_740); 
BgL_tmpz00_5749 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5749, BgL_auxz00_5751); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)25) : 

{ /* Llib/midi.scm 526 */
long BgL_val4_1210z00_746;
BgL_val4_1210z00_746 = 
(((long)10)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 526 */
int BgL_tmpz00_5757;
BgL_tmpz00_5757 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5757); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5762;int BgL_tmpz00_5760;
BgL_auxz00_5762 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_5760 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5760, BgL_auxz00_5762); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5767;int BgL_tmpz00_5765;
BgL_auxz00_5767 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_5765 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5765, BgL_auxz00_5767); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5772;int BgL_tmpz00_5770;
BgL_auxz00_5772 = 
BINT(((long)400000)); 
BgL_tmpz00_5770 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5770, BgL_auxz00_5772); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5777;int BgL_tmpz00_5775;
BgL_auxz00_5777 = 
BINT(BgL_val4_1210z00_746); 
BgL_tmpz00_5775 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5775, BgL_auxz00_5777); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)29) : 

{ /* Llib/midi.scm 528 */
long BgL_val4_1215z00_752;
BgL_val4_1215z00_752 = 
(((long)2997)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 528 */
int BgL_tmpz00_5783;
BgL_tmpz00_5783 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5783); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_5788;int BgL_tmpz00_5786;
BgL_auxz00_5788 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_5786 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5786, BgL_auxz00_5788); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_5793;int BgL_tmpz00_5791;
BgL_auxz00_5793 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_5791 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5791, BgL_auxz00_5793); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_5798;int BgL_tmpz00_5796;
BgL_auxz00_5798 = 
BINT(((long)100000000)); 
BgL_tmpz00_5796 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5796, BgL_auxz00_5798); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_5803;int BgL_tmpz00_5801;
BgL_auxz00_5803 = 
BINT(BgL_val4_1215z00_752); 
BgL_tmpz00_5801 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5801, BgL_auxz00_5803); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)30) : 

{ /* Llib/midi.scm 530 */
long BgL_val4_1220z00_758;
BgL_val4_1220z00_758 = 
(((long)15)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 530 */
int BgL_tmpz00_5809;
BgL_tmpz00_5809 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5809); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_5814;int BgL_tmpz00_5812;
BgL_auxz00_5814 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_5812 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5812, BgL_auxz00_5814); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_5819;int BgL_tmpz00_5817;
BgL_auxz00_5819 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_5817 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5817, BgL_auxz00_5819); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_5824;int BgL_tmpz00_5822;
BgL_auxz00_5824 = 
BINT(((long)500000)); 
BgL_tmpz00_5822 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5822, BgL_auxz00_5824); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_5829;int BgL_tmpz00_5827;
BgL_auxz00_5829 = 
BINT(BgL_val4_1220z00_758); 
BgL_tmpz00_5827 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5827, BgL_auxz00_5829); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;
default: 
{ /* Llib/midi.scm 534 */
long BgL_arg2001z00_762;
BgL_arg2001z00_762 = 
(((long)128)-
(
(BgL_divz00_725 >> 
(int)(((long)8))) & ((long)127))); 
return 
BGl_errorz00zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, BGl_string2813z00zz__multimediazd2midizd2, 
BINT(BgL_arg2001z00_762));} } } } } } } } }  else 
{ /* Llib/midi.scm 514 */
return 
BGl_errorz00zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_tyz00_720);} } } } 

}



/* midi-read-mtrk */
obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t BgL_ipz00_46)
{
{ /* Llib/midi.scm 539 */
{ /* Llib/midi.scm 540 */
obj_t BgL_tyz00_769;
BgL_tyz00_769 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_46); 
{ /* Llib/midi.scm 541 */
bool_t BgL_test3390z00_5843;
{ /* Llib/midi.scm 541 */
long BgL_l1z00_2098;
BgL_l1z00_2098 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_769)); 
if(
(BgL_l1z00_2098==((long)4)))
{ /* Llib/midi.scm 541 */
int BgL_arg1282z00_2101;
{ /* Llib/midi.scm 541 */
char * BgL_auxz00_5851;char * BgL_tmpz00_5848;
BgL_auxz00_5851 = 
BSTRING_TO_STRING(BGl_string2815z00zz__multimediazd2midizd2); 
BgL_tmpz00_5848 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_769)); 
BgL_arg1282z00_2101 = 
memcmp(BgL_tmpz00_5848, BgL_auxz00_5851, BgL_l1z00_2098); } 
BgL_test3390z00_5843 = 
(
(long)(BgL_arg1282z00_2101)==((long)0)); }  else 
{ /* Llib/midi.scm 541 */
BgL_test3390z00_5843 = ((bool_t)0)
; } } 
if(BgL_test3390z00_5843)
{ /* Llib/midi.scm 543 */
int32_t BgL_tmpz00_5856;
BgL_tmpz00_5856 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_46); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_5856);}  else 
{ /* Llib/midi.scm 541 */
return 
BGl_errorz00zz__errorz00(BGl_string2816z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_tyz00_769);} } } } 

}



/* read-int16 */
int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_49)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
obj_t BgL_b1z00_772;
BgL_b1z00_772 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 561 */
obj_t BgL_b0z00_773;
BgL_b0z00_773 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 562 */

{ /* Llib/midi.scm 563 */
int32_t BgL_arg2010z00_774;int32_t BgL_arg2011z00_775;
{ /* Llib/midi.scm 563 */
int32_t BgL_arg2012z00_776;
{ /* Llib/midi.scm 555 */
long BgL_tmpz00_5862;
BgL_tmpz00_5862 = 
(
CCHAR(BgL_b1z00_772)); 
BgL_arg2012z00_776 = 
(int32_t)(BgL_tmpz00_5862); } 
BgL_arg2010z00_774 = 
(BgL_arg2012z00_776 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
long BgL_tmpz00_5868;
BgL_tmpz00_5868 = 
(
CCHAR(BgL_b0z00_773)); 
BgL_arg2011z00_775 = 
(int32_t)(BgL_tmpz00_5868); } 
return 
(BgL_arg2010z00_774+BgL_arg2011z00_775);} } } } } 

}



/* &read-int16 */
obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2826, obj_t BgL_ipz00_2827)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
int32_t BgL_tmpz00_5873;
BgL_tmpz00_5873 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_2827); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_5873);} } 

}



/* read-int32 */
int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_50)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
obj_t BgL_b3z00_777;
BgL_b3z00_777 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 570 */
obj_t BgL_b2z00_778;
BgL_b2z00_778 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 571 */
obj_t BgL_b1z00_779;
BgL_b1z00_779 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 572 */
obj_t BgL_b0z00_780;
BgL_b0z00_780 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 573 */

{ /* Llib/midi.scm 574 */
int32_t BgL_arg2013z00_781;int32_t BgL_arg2014z00_782;
{ /* Llib/midi.scm 574 */
int32_t BgL_arg2015z00_783;
{ /* Llib/midi.scm 555 */
long BgL_tmpz00_5880;
BgL_tmpz00_5880 = 
(
CCHAR(BgL_b3z00_777)); 
BgL_arg2015z00_783 = 
(int32_t)(BgL_tmpz00_5880); } 
BgL_arg2013z00_781 = 
(BgL_arg2015z00_783 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 575 */
int32_t BgL_arg2016z00_784;int32_t BgL_arg2017z00_785;
{ /* Llib/midi.scm 575 */
int32_t BgL_arg2018z00_786;
{ /* Llib/midi.scm 555 */
long BgL_tmpz00_5886;
BgL_tmpz00_5886 = 
(
CCHAR(BgL_b2z00_778)); 
BgL_arg2018z00_786 = 
(int32_t)(BgL_tmpz00_5886); } 
BgL_arg2016z00_784 = 
(BgL_arg2018z00_786 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 576 */
int32_t BgL_arg2019z00_787;int32_t BgL_arg2020z00_788;
{ /* Llib/midi.scm 576 */
int32_t BgL_arg2021z00_789;
{ /* Llib/midi.scm 555 */
long BgL_tmpz00_5892;
BgL_tmpz00_5892 = 
(
CCHAR(BgL_b1z00_779)); 
BgL_arg2021z00_789 = 
(int32_t)(BgL_tmpz00_5892); } 
BgL_arg2019z00_787 = 
(BgL_arg2021z00_789 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
long BgL_tmpz00_5898;
BgL_tmpz00_5898 = 
(
CCHAR(BgL_b0z00_780)); 
BgL_arg2020z00_788 = 
(int32_t)(BgL_tmpz00_5898); } 
BgL_arg2017z00_785 = 
(BgL_arg2019z00_787+BgL_arg2020z00_788); } 
BgL_arg2014z00_782 = 
(BgL_arg2016z00_784+BgL_arg2017z00_785); } 
return 
(BgL_arg2013z00_781+BgL_arg2014z00_782);} } } } } } } 

}



/* &read-int32 */
obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2828, obj_t BgL_ipz00_2829)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
int32_t BgL_tmpz00_5905;
BgL_tmpz00_5905 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_2829); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_5905);} } 

}



/* read-int */
long BGl_readzd2intzd2zz__multimediazd2midizd2(long BgL_lenz00_51, obj_t BgL_ipz00_52)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
long BgL_g1169z00_790;
{ /* Llib/midi.scm 583 */
obj_t BgL_arg2029z00_802;
BgL_arg2029z00_802 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_g1169z00_790 = 
(
CCHAR(BgL_arg2029z00_802)); } 
{ 
long BgL_valz00_792;long BgL_lenz00_793;
BgL_valz00_792 = BgL_g1169z00_790; 
BgL_lenz00_793 = BgL_lenz00_51; 
BgL_zc3z04anonymousza32022ze3z87_794:
if(
(BgL_lenz00_793==((long)1)))
{ /* Llib/midi.scm 585 */
return BgL_valz00_792;}  else 
{ /* Llib/midi.scm 587 */
long BgL_arg2024z00_796;long BgL_arg2025z00_797;
{ /* Llib/midi.scm 587 */
long BgL_arg2026z00_798;long BgL_arg2027z00_799;
BgL_arg2026z00_798 = 
(BgL_valz00_792 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 587 */
obj_t BgL_arg2028z00_800;
BgL_arg2028z00_800 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_arg2027z00_799 = 
(
CCHAR(BgL_arg2028z00_800)); } 
BgL_arg2024z00_796 = 
(BgL_arg2026z00_798+BgL_arg2027z00_799); } 
BgL_arg2025z00_797 = 
(BgL_lenz00_793-((long)1)); 
{ 
long BgL_lenz00_5921;long BgL_valz00_5920;
BgL_valz00_5920 = BgL_arg2024z00_796; 
BgL_lenz00_5921 = BgL_arg2025z00_797; 
BgL_lenz00_793 = BgL_lenz00_5921; 
BgL_valz00_792 = BgL_valz00_5920; 
goto BgL_zc3z04anonymousza32022ze3z87_794;} } } } } 

}



/* &read-int */
obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2830, obj_t BgL_lenz00_2831, obj_t BgL_ipz00_2832)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
long BgL_tmpz00_5922;
{ /* Llib/midi.scm 583 */
obj_t BgL_auxz00_5932;long BgL_auxz00_5923;
if(
INPUT_PORTP(BgL_ipz00_2832))
{ /* Llib/midi.scm 583 */
BgL_auxz00_5932 = BgL_ipz00_2832
; }  else 
{ 
obj_t BgL_auxz00_5935;
BgL_auxz00_5935 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2797z00zz__multimediazd2midizd2, BgL_ipz00_2832); 
FAILURE(BgL_auxz00_5935,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 583 */
obj_t BgL_tmpz00_5924;
if(
INTEGERP(BgL_lenz00_2831))
{ /* Llib/midi.scm 583 */
BgL_tmpz00_5924 = BgL_lenz00_2831
; }  else 
{ 
obj_t BgL_auxz00_5927;
BgL_auxz00_5927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2817z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_lenz00_2831); 
FAILURE(BgL_auxz00_5927,BFALSE,BFALSE);} 
BgL_auxz00_5923 = 
(long)CINT(BgL_tmpz00_5924); } 
BgL_tmpz00_5922 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(BgL_auxz00_5923, BgL_auxz00_5932); } 
return 
BINT(BgL_tmpz00_5922);} } 

}



/* &read-vlq */
obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2833, obj_t BgL_ipz00_2834)
{
{ /* Llib/midi.scm 593 */
{ /* Llib/midi.scm 595 */
long BgL_tmpz00_5941;
{ 
long BgL_accz00_3851;
BgL_accz00_3851 = ((long)0); 
BgL_loopz00_3850:
{ /* Llib/midi.scm 595 */
long BgL_cz00_3852;
{ /* Llib/midi.scm 595 */
obj_t BgL_arg2035z00_3853;
BgL_arg2035z00_3853 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_2834); 
BgL_cz00_3852 = 
(
CCHAR(BgL_arg2035z00_3853)); } 
if(
(BgL_cz00_3852<=((long)127)))
{ /* Llib/midi.scm 596 */
BgL_tmpz00_5941 = 
(BgL_cz00_3852+BgL_accz00_3851)
; }  else 
{ 
long BgL_accz00_5948;
BgL_accz00_5948 = 
(
(BgL_accz00_3851+
(BgL_cz00_3852 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3851 = BgL_accz00_5948; 
goto BgL_loopz00_3850;} } } 
return 
BINT(BgL_tmpz00_5941);} } 

}



/* string-stream-peek-byte */
long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t BgL_ipz00_54)
{
{ /* Llib/midi.scm 603 */
return 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)1))))));} 

}



/* &string-stream-peek-byte */
obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2838, obj_t BgL_ipz00_2839)
{
{ /* Llib/midi.scm 603 */
{ /* Llib/midi.scm 605 */
long BgL_tmpz00_5961;
{ /* Llib/midi.scm 605 */
obj_t BgL_auxz00_5962;
if(
STRUCTP(BgL_ipz00_2839))
{ /* Llib/midi.scm 605 */
BgL_auxz00_5962 = BgL_ipz00_2839
; }  else 
{ 
obj_t BgL_auxz00_5965;
BgL_auxz00_5965 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)25285)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2819z00zz__multimediazd2midizd2, BgL_ipz00_2839); 
FAILURE(BgL_auxz00_5965,BFALSE,BFALSE);} 
BgL_tmpz00_5961 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_auxz00_5962); } 
return 
BINT(BgL_tmpz00_5961);} } 

}



/* &string-stream-read-byte */
obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2840, obj_t BgL_ipz00_2841)
{
{ /* Llib/midi.scm 610 */
{ /* Llib/midi.scm 611 */
long BgL_tmpz00_5971;
{ /* Llib/midi.scm 611 */
obj_t BgL_ipz00_3854;
if(
STRUCTP(BgL_ipz00_2841))
{ /* Llib/midi.scm 611 */
BgL_ipz00_3854 = BgL_ipz00_2841; }  else 
{ 
obj_t BgL_auxz00_5974;
BgL_auxz00_5974 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)25610)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2819z00zz__multimediazd2midizd2, BgL_ipz00_2841); 
FAILURE(BgL_auxz00_5974,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 611 */
long BgL_bz00_3855;
BgL_bz00_3855 = 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_3854, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_3854, 
(int)(((long)1)))))); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3856;
BgL_arg2039z00_3856 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3854, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_5991;int BgL_tmpz00_5989;
BgL_auxz00_5991 = 
BINT(BgL_arg2039z00_3856); 
BgL_tmpz00_5989 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3854, BgL_tmpz00_5989, BgL_auxz00_5991); } } 
BgL_tmpz00_5971 = BgL_bz00_3855; } } 
return 
BINT(BgL_tmpz00_5971);} } 

}



/* &string-stream-read-int16 */
obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2842, obj_t BgL_ipz00_2843)
{
{ /* Llib/midi.scm 618 */
{ /* Llib/midi.scm 619 */
int32_t BgL_tmpz00_5995;
{ /* Llib/midi.scm 619 */
obj_t BgL_ipz00_3857;
if(
STRUCTP(BgL_ipz00_2843))
{ /* Llib/midi.scm 619 */
BgL_ipz00_3857 = BgL_ipz00_2843; }  else 
{ 
obj_t BgL_auxz00_5998;
BgL_auxz00_5998 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)26001)), BGl_string2821z00zz__multimediazd2midizd2, BGl_string2819z00zz__multimediazd2midizd2, BgL_ipz00_2843); 
FAILURE(BgL_auxz00_5998,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 619 */
long BgL_b1z00_3858;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3859;
BgL_bz00_3859 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3857); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3860;
BgL_arg2039z00_3860 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3857, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6009;int BgL_tmpz00_6007;
BgL_auxz00_6009 = 
BINT(BgL_arg2039z00_3860); 
BgL_tmpz00_6007 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3857, BgL_tmpz00_6007, BgL_auxz00_6009); } } 
BgL_b1z00_3858 = BgL_bz00_3859; } 
{ /* Llib/midi.scm 619 */
long BgL_b0z00_3861;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3862;
BgL_bz00_3862 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3857); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3863;
BgL_arg2039z00_3863 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3857, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6019;int BgL_tmpz00_6017;
BgL_auxz00_6019 = 
BINT(BgL_arg2039z00_3863); 
BgL_tmpz00_6017 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3857, BgL_tmpz00_6017, BgL_auxz00_6019); } } 
BgL_b0z00_3861 = BgL_bz00_3862; } 
{ /* Llib/midi.scm 620 */

{ /* Llib/midi.scm 621 */
int32_t BgL_arg2041z00_3864;int32_t BgL_arg2042z00_3865;
{ /* Llib/midi.scm 621 */
int32_t BgL_arg2043z00_3866;
BgL_arg2043z00_3866 = 
(int32_t)(BgL_b1z00_3858); 
BgL_arg2041z00_3864 = 
(BgL_arg2043z00_3866 << 
(int)(((long)8))); } 
BgL_arg2042z00_3865 = 
(int32_t)(BgL_b0z00_3861); 
BgL_tmpz00_5995 = 
(BgL_arg2041z00_3864+BgL_arg2042z00_3865); } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_5995);} } 

}



/* &string-stream-read-int32 */
obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2844, obj_t BgL_ipz00_2845)
{
{ /* Llib/midi.scm 626 */
{ /* Llib/midi.scm 627 */
int32_t BgL_tmpz00_6028;
{ /* Llib/midi.scm 627 */
obj_t BgL_ipz00_3867;
if(
STRUCTP(BgL_ipz00_2845))
{ /* Llib/midi.scm 627 */
BgL_ipz00_3867 = BgL_ipz00_2845; }  else 
{ 
obj_t BgL_auxz00_6031;
BgL_auxz00_6031 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)26420)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2819z00zz__multimediazd2midizd2, BgL_ipz00_2845); 
FAILURE(BgL_auxz00_6031,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 627 */
long BgL_b3z00_3868;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3869;
BgL_bz00_3869 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3867); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3870;
BgL_arg2039z00_3870 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3867, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6042;int BgL_tmpz00_6040;
BgL_auxz00_6042 = 
BINT(BgL_arg2039z00_3870); 
BgL_tmpz00_6040 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3867, BgL_tmpz00_6040, BgL_auxz00_6042); } } 
BgL_b3z00_3868 = BgL_bz00_3869; } 
{ /* Llib/midi.scm 627 */
long BgL_b2z00_3871;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3872;
BgL_bz00_3872 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3867); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3873;
BgL_arg2039z00_3873 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3867, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6052;int BgL_tmpz00_6050;
BgL_auxz00_6052 = 
BINT(BgL_arg2039z00_3873); 
BgL_tmpz00_6050 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3867, BgL_tmpz00_6050, BgL_auxz00_6052); } } 
BgL_b2z00_3871 = BgL_bz00_3872; } 
{ /* Llib/midi.scm 628 */
long BgL_b1z00_3874;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3875;
BgL_bz00_3875 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3867); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3876;
BgL_arg2039z00_3876 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3867, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6062;int BgL_tmpz00_6060;
BgL_auxz00_6062 = 
BINT(BgL_arg2039z00_3876); 
BgL_tmpz00_6060 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3867, BgL_tmpz00_6060, BgL_auxz00_6062); } } 
BgL_b1z00_3874 = BgL_bz00_3875; } 
{ /* Llib/midi.scm 629 */
long BgL_b0z00_3877;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3878;
BgL_bz00_3878 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3867); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3879;
BgL_arg2039z00_3879 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3867, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6072;int BgL_tmpz00_6070;
BgL_auxz00_6072 = 
BINT(BgL_arg2039z00_3879); 
BgL_tmpz00_6070 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3867, BgL_tmpz00_6070, BgL_auxz00_6072); } } 
BgL_b0z00_3877 = BgL_bz00_3878; } 
{ /* Llib/midi.scm 630 */

{ /* Llib/midi.scm 631 */
int32_t BgL_arg2044z00_3880;int32_t BgL_arg2045z00_3881;
{ /* Llib/midi.scm 631 */
int32_t BgL_arg2046z00_3882;
BgL_arg2046z00_3882 = 
(int32_t)(BgL_b3z00_3868); 
BgL_arg2044z00_3880 = 
(BgL_arg2046z00_3882 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 632 */
int32_t BgL_arg2047z00_3883;int32_t BgL_arg2048z00_3884;
{ /* Llib/midi.scm 632 */
int32_t BgL_arg2049z00_3885;
BgL_arg2049z00_3885 = 
(int32_t)(BgL_b2z00_3871); 
BgL_arg2047z00_3883 = 
(BgL_arg2049z00_3885 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 633 */
int32_t BgL_arg2050z00_3886;int32_t BgL_arg2051z00_3887;
{ /* Llib/midi.scm 633 */
int32_t BgL_arg2052z00_3888;
BgL_arg2052z00_3888 = 
(int32_t)(BgL_b1z00_3874); 
BgL_arg2050z00_3886 = 
(BgL_arg2052z00_3888 << 
(int)(((long)8))); } 
BgL_arg2051z00_3887 = 
(int32_t)(BgL_b0z00_3877); 
BgL_arg2048z00_3884 = 
(BgL_arg2050z00_3886+BgL_arg2051z00_3887); } 
BgL_arg2045z00_3881 = 
(BgL_arg2047z00_3883+BgL_arg2048z00_3884); } 
BgL_tmpz00_6028 = 
(BgL_arg2044z00_3880+BgL_arg2045z00_3881); } } } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6028);} } 

}



/* &string-stream-read-int */
obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2846, obj_t BgL_lenz00_2847, obj_t BgL_ipz00_2848)
{
{ /* Llib/midi.scm 639 */
{ /* Llib/midi.scm 640 */
long BgL_tmpz00_6089;
{ /* Llib/midi.scm 640 */
long BgL_lenz00_3889;obj_t BgL_ipz00_3890;
{ /* Llib/midi.scm 640 */
obj_t BgL_tmpz00_6090;
if(
INTEGERP(BgL_lenz00_2847))
{ /* Llib/midi.scm 640 */
BgL_tmpz00_6090 = BgL_lenz00_2847
; }  else 
{ 
obj_t BgL_auxz00_6093;
BgL_auxz00_6093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string2823z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_lenz00_2847); 
FAILURE(BgL_auxz00_6093,BFALSE,BFALSE);} 
BgL_lenz00_3889 = 
(long)CINT(BgL_tmpz00_6090); } 
if(
STRUCTP(BgL_ipz00_2848))
{ /* Llib/midi.scm 640 */
BgL_ipz00_3890 = BgL_ipz00_2848; }  else 
{ 
obj_t BgL_auxz00_6100;
BgL_auxz00_6100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string2823z00zz__multimediazd2midizd2, BGl_string2819z00zz__multimediazd2midizd2, BgL_ipz00_2848); 
FAILURE(BgL_auxz00_6100,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 640 */
long BgL_g1170z00_3891;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3892;
BgL_bz00_3892 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3890); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3893;
BgL_arg2039z00_3893 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3890, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6111;int BgL_tmpz00_6109;
BgL_auxz00_6111 = 
BINT(BgL_arg2039z00_3893); 
BgL_tmpz00_6109 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3890, BgL_tmpz00_6109, BgL_auxz00_6111); } } 
BgL_g1170z00_3891 = BgL_bz00_3892; } 
{ 
long BgL_valz00_3895;long BgL_lenz00_3896;
BgL_valz00_3895 = BgL_g1170z00_3891; 
BgL_lenz00_3896 = BgL_lenz00_3889; 
BgL_loopz00_3894:
if(
(BgL_lenz00_3896==((long)1)))
{ /* Llib/midi.scm 642 */
BgL_tmpz00_6089 = BgL_valz00_3895
; }  else 
{ /* Llib/midi.scm 644 */
long BgL_arg2055z00_3897;long BgL_arg2056z00_3898;
{ /* Llib/midi.scm 644 */
long BgL_arg2057z00_3899;long BgL_arg2058z00_3900;
BgL_arg2057z00_3899 = 
(BgL_valz00_3895 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 611 */
long BgL_bz00_3901;
BgL_bz00_3901 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3890); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3902;
BgL_arg2039z00_3902 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3890, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6125;int BgL_tmpz00_6123;
BgL_auxz00_6125 = 
BINT(BgL_arg2039z00_3902); 
BgL_tmpz00_6123 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3890, BgL_tmpz00_6123, BgL_auxz00_6125); } } 
BgL_arg2058z00_3900 = BgL_bz00_3901; } 
BgL_arg2055z00_3897 = 
(BgL_arg2057z00_3899+BgL_arg2058z00_3900); } 
BgL_arg2056z00_3898 = 
(BgL_lenz00_3896-((long)1)); 
{ 
long BgL_lenz00_6131;long BgL_valz00_6130;
BgL_valz00_6130 = BgL_arg2055z00_3897; 
BgL_lenz00_6131 = BgL_arg2056z00_3898; 
BgL_lenz00_3896 = BgL_lenz00_6131; 
BgL_valz00_3895 = BgL_valz00_6130; 
goto BgL_loopz00_3894;} } } } } 
return 
BINT(BgL_tmpz00_6089);} } 

}



/* &string-stream-read-vlq */
obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2849, obj_t BgL_ipz00_2850)
{
{ /* Llib/midi.scm 650 */
{ /* Llib/midi.scm 652 */
long BgL_tmpz00_6133;
{ 
long BgL_accz00_3904;
BgL_accz00_3904 = ((long)0); 
BgL_loopz00_3903:
{ /* Llib/midi.scm 652 */
long BgL_cz00_3905;
{ /* Llib/midi.scm 611 */
long BgL_bz00_3906;
BgL_bz00_3906 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(
((obj_t)BgL_ipz00_2850)); 
{ /* Llib/midi.scm 612 */
long BgL_arg2039z00_3907;
BgL_arg2039z00_3907 = 
(
(long)CINT(
STRUCT_REF(
((obj_t)BgL_ipz00_2850), 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6145;int BgL_auxz00_6143;obj_t BgL_tmpz00_6141;
BgL_auxz00_6145 = 
BINT(BgL_arg2039z00_3907); 
BgL_auxz00_6143 = 
(int)(((long)1)); 
BgL_tmpz00_6141 = 
((obj_t)BgL_ipz00_2850); 
STRUCT_SET(BgL_tmpz00_6141, BgL_auxz00_6143, BgL_auxz00_6145); } } 
BgL_cz00_3905 = BgL_bz00_3906; } 
if(
(BgL_cz00_3905<=((long)127)))
{ /* Llib/midi.scm 653 */
BgL_tmpz00_6133 = 
(BgL_cz00_3905+BgL_accz00_3904)
; }  else 
{ 
long BgL_accz00_6151;
BgL_accz00_6151 = 
(
(BgL_accz00_3904+
(BgL_cz00_3905 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3904 = BgL_accz00_6151; 
goto BgL_loopz00_3903;} } } 
return 
BINT(BgL_tmpz00_6133);} } 

}



/* &string-stream-read-chars */
obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t BgL_envz00_2851, obj_t BgL_lenz00_2852, obj_t BgL_ipz00_2853)
{
{ /* Llib/midi.scm 660 */
{ /* Llib/midi.scm 661 */
obj_t BgL_ipz00_3908;
if(
STRUCTP(BgL_ipz00_2853))
{ /* Llib/midi.scm 661 */
BgL_ipz00_3908 = BgL_ipz00_2853; }  else 
{ 
obj_t BgL_auxz00_6159;
BgL_auxz00_6159 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)27894)), BGl_string2824z00zz__multimediazd2midizd2, BGl_string2819z00zz__multimediazd2midizd2, BgL_ipz00_2853); 
FAILURE(BgL_auxz00_6159,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 661 */
obj_t BgL_sz00_3909;
{ /* Llib/midi.scm 661 */
obj_t BgL_arg2066z00_3910;obj_t BgL_arg2067z00_3911;obj_t BgL_arg2068z00_3912;
BgL_arg2066z00_3910 = 
STRUCT_REF(BgL_ipz00_3908, 
(int)(((long)0))); 
BgL_arg2067z00_3911 = 
STRUCT_REF(BgL_ipz00_3908, 
(int)(((long)1))); 
BgL_arg2068z00_3912 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_3908, 
(int)(((long)1))), BgL_lenz00_2852); 
{ /* Llib/midi.scm 661 */
long BgL_startz00_3913;long BgL_endz00_3914;
BgL_startz00_3913 = 
(long)CINT(BgL_arg2067z00_3911); 
BgL_endz00_3914 = 
(long)CINT(BgL_arg2068z00_3912); 
BgL_sz00_3909 = 
c_substring(
((obj_t)BgL_arg2066z00_3910), BgL_startz00_3913, BgL_endz00_3914); } } 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6176;int BgL_tmpz00_6174;
BgL_auxz00_6176 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_3908, 
(int)(((long)1))), BgL_lenz00_2852); 
BgL_tmpz00_6174 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3908, BgL_tmpz00_6174, BgL_auxz00_6176); } 
return BgL_sz00_3909;} } } 

}



/* midiplayer-cdelay */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_68, BgL_midisinkz00_bglt BgL_msz00_69, long BgL_tickz00_70, BgL_miditrackz00_bglt BgL_trackz00_71, long BgL_ppqz00_72, long BgL_dtz00_73, long BgL_usz00_74)
{
{ /* Llib/midi.scm 993 */
if(
(BgL_dtz00_73>((long)0)))
{ /* Llib/midi.scm 998 */
obj_t BgL_fun2072z00_2283;
BgL_fun2072z00_2283 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_69))->BgL_usleepz00); 
{ /* Llib/midi.scm 998 */
long BgL_arg2071z00_2284;
BgL_arg2071z00_2284 = 
(
(
(BgL_dtz00_73*
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_71))->BgL_tempoz00))/BgL_ppqz00_72)-BgL_usz00_74); 
return 
PROCEDURE_ENTRY(BgL_fun2072z00_2283)(BgL_fun2072z00_2283, 
BINT(BgL_arg2071z00_2284), BEOA);} }  else 
{ /* Llib/midi.scm 997 */
return BFALSE;} } 

}



/* &midiplayer-cdelay */
obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2880, obj_t BgL_mpz00_2881, obj_t BgL_msz00_2882, obj_t BgL_tickz00_2883, obj_t BgL_trackz00_2884, obj_t BgL_ppqz00_2885, obj_t BgL_dtz00_2886, obj_t BgL_usz00_2887)
{
{ /* Llib/midi.scm 993 */
{ /* Llib/midi.scm 995 */
long BgL_auxz00_6244;long BgL_auxz00_6235;long BgL_auxz00_6226;BgL_miditrackz00_bglt BgL_auxz00_6218;long BgL_auxz00_6209;BgL_midisinkz00_bglt BgL_auxz00_6201;BgL_midiplayerz00_bglt BgL_auxz00_6193;
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6245;
if(
INTEGERP(BgL_usz00_2887))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6245 = BgL_usz00_2887
; }  else 
{ 
obj_t BgL_auxz00_6248;
BgL_auxz00_6248 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_usz00_2887); 
FAILURE(BgL_auxz00_6248,BFALSE,BFALSE);} 
BgL_auxz00_6244 = 
(long)CINT(BgL_tmpz00_6245); } 
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6236;
if(
INTEGERP(BgL_dtz00_2886))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6236 = BgL_dtz00_2886
; }  else 
{ 
obj_t BgL_auxz00_6239;
BgL_auxz00_6239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_dtz00_2886); 
FAILURE(BgL_auxz00_6239,BFALSE,BFALSE);} 
BgL_auxz00_6235 = 
(long)CINT(BgL_tmpz00_6236); } 
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6227;
if(
INTEGERP(BgL_ppqz00_2885))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6227 = BgL_ppqz00_2885
; }  else 
{ 
obj_t BgL_auxz00_6230;
BgL_auxz00_6230 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_ppqz00_2885); 
FAILURE(BgL_auxz00_6230,BFALSE,BFALSE);} 
BgL_auxz00_6226 = 
(long)CINT(BgL_tmpz00_6227); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_trackz00_2884, BGl_miditrackz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 995 */
BgL_auxz00_6218 = 
((BgL_miditrackz00_bglt)BgL_trackz00_2884)
; }  else 
{ 
obj_t BgL_auxz00_6222;
BgL_auxz00_6222 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_trackz00_2884); 
FAILURE(BgL_auxz00_6222,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6210;
if(
INTEGERP(BgL_tickz00_2883))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6210 = BgL_tickz00_2883
; }  else 
{ 
obj_t BgL_auxz00_6213;
BgL_auxz00_6213 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2883); 
FAILURE(BgL_auxz00_6213,BFALSE,BFALSE);} 
BgL_auxz00_6209 = 
(long)CINT(BgL_tmpz00_6210); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2882, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 995 */
BgL_auxz00_6201 = 
((BgL_midisinkz00_bglt)BgL_msz00_2882)
; }  else 
{ 
obj_t BgL_auxz00_6205;
BgL_auxz00_6205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2882); 
FAILURE(BgL_auxz00_6205,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2881, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 995 */
BgL_auxz00_6193 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2881)
; }  else 
{ 
obj_t BgL_auxz00_6197;
BgL_auxz00_6197 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2825z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2881); 
FAILURE(BgL_auxz00_6197,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_auxz00_6193, BgL_auxz00_6201, BgL_auxz00_6209, BgL_auxz00_6218, BgL_auxz00_6226, BgL_auxz00_6235, BgL_auxz00_6244);} } 

}



/* midiplayer-ignore */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_75, BgL_midisinkz00_bglt BgL_msz00_76, long BgL_tickz00_77, obj_t BgL_objz00_78)
{
{ /* Llib/midi.scm 1003 */
return BUNSPEC;} 

}



/* &midiplayer-ignore */
obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2888, obj_t BgL_mpz00_2889, obj_t BgL_msz00_2890, obj_t BgL_tickz00_2891, obj_t BgL_objz00_2892)
{
{ /* Llib/midi.scm 1003 */
{ /* Llib/midi.scm 1003 */
BgL_midiplayerz00_bglt BgL_mpz00_3915;BgL_midisinkz00_bglt BgL_msz00_3916;long BgL_tickz00_3917;
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2889, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1003 */
BgL_mpz00_3915 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2889); }  else 
{ 
obj_t BgL_auxz00_6257;
BgL_auxz00_6257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2827z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2889); 
FAILURE(BgL_auxz00_6257,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2890, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1003 */
BgL_msz00_3916 = 
((BgL_midisinkz00_bglt)BgL_msz00_2890); }  else 
{ 
obj_t BgL_auxz00_6264;
BgL_auxz00_6264 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2827z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2890); 
FAILURE(BgL_auxz00_6264,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1003 */
obj_t BgL_tmpz00_6268;
if(
INTEGERP(BgL_tickz00_2891))
{ /* Llib/midi.scm 1003 */
BgL_tmpz00_6268 = BgL_tickz00_2891
; }  else 
{ 
obj_t BgL_auxz00_6271;
BgL_auxz00_6271 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2827z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2891); 
FAILURE(BgL_auxz00_6271,BFALSE,BFALSE);} 
BgL_tickz00_3917 = 
(long)CINT(BgL_tmpz00_6268); } 
return BUNSPEC;} } 

}



/* midiplayer-noteoff */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_88, BgL_midisinkz00_bglt BgL_msz00_89, long BgL_tickz00_90, long BgL_nnz00_91, long BgL_kkz00_92, long BgL_vvz00_93)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2082z00_2318;
BgL_fun2082z00_2318 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2080z00_2319;long BgL_arg2081z00_2320;
BgL_arg2080z00_2319 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
BgL_arg2081z00_2320 = 
(((long)128) | BgL_nnz00_91); 
PROCEDURE_ENTRY(BgL_fun2082z00_2318)(BgL_fun2082z00_2318, BgL_arg2080z00_2319, 
BINT(BgL_arg2081z00_2320), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2084z00_2321;
BgL_fun2084z00_2321 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2083z00_2322;
BgL_arg2083z00_2322 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2084z00_2321)(BgL_fun2084z00_2321, BgL_arg2083z00_2322, 
BINT(BgL_kkz00_92), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2086z00_2323;
BgL_fun2086z00_2323 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2085z00_2324;
BgL_arg2085z00_2324 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2086z00_2323)(BgL_fun2086z00_2323, BgL_arg2085z00_2324, 
BINT(BgL_vvz00_93), BEOA);} } } 

}



/* &midiplayer-noteoff */
obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2893, obj_t BgL_mpz00_2894, obj_t BgL_msz00_2895, obj_t BgL_tickz00_2896, obj_t BgL_nnz00_2897, obj_t BgL_kkz00_2898, obj_t BgL_vvz00_2899)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1028 */
long BgL_auxz00_6344;long BgL_auxz00_6335;long BgL_auxz00_6326;long BgL_auxz00_6317;BgL_midisinkz00_bglt BgL_auxz00_6309;BgL_midiplayerz00_bglt BgL_auxz00_6301;
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6345;
if(
INTEGERP(BgL_vvz00_2899))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6345 = BgL_vvz00_2899
; }  else 
{ 
obj_t BgL_auxz00_6348;
BgL_auxz00_6348 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_vvz00_2899); 
FAILURE(BgL_auxz00_6348,BFALSE,BFALSE);} 
BgL_auxz00_6344 = 
(long)CINT(BgL_tmpz00_6345); } 
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6336;
if(
INTEGERP(BgL_kkz00_2898))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6336 = BgL_kkz00_2898
; }  else 
{ 
obj_t BgL_auxz00_6339;
BgL_auxz00_6339 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_kkz00_2898); 
FAILURE(BgL_auxz00_6339,BFALSE,BFALSE);} 
BgL_auxz00_6335 = 
(long)CINT(BgL_tmpz00_6336); } 
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6327;
if(
INTEGERP(BgL_nnz00_2897))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6327 = BgL_nnz00_2897
; }  else 
{ 
obj_t BgL_auxz00_6330;
BgL_auxz00_6330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2897); 
FAILURE(BgL_auxz00_6330,BFALSE,BFALSE);} 
BgL_auxz00_6326 = 
(long)CINT(BgL_tmpz00_6327); } 
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6318;
if(
INTEGERP(BgL_tickz00_2896))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6318 = BgL_tickz00_2896
; }  else 
{ 
obj_t BgL_auxz00_6321;
BgL_auxz00_6321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2896); 
FAILURE(BgL_auxz00_6321,BFALSE,BFALSE);} 
BgL_auxz00_6317 = 
(long)CINT(BgL_tmpz00_6318); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2895, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1028 */
BgL_auxz00_6309 = 
((BgL_midisinkz00_bglt)BgL_msz00_2895)
; }  else 
{ 
obj_t BgL_auxz00_6313;
BgL_auxz00_6313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2895); 
FAILURE(BgL_auxz00_6313,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2894, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1028 */
BgL_auxz00_6301 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2894)
; }  else 
{ 
obj_t BgL_auxz00_6305;
BgL_auxz00_6305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2828z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2894); 
FAILURE(BgL_auxz00_6305,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_auxz00_6301, BgL_auxz00_6309, BgL_auxz00_6317, BgL_auxz00_6326, BgL_auxz00_6335, BgL_auxz00_6344);} } 

}



/* midiplayer-noteon */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_94, BgL_midisinkz00_bglt BgL_msz00_95, long BgL_tickz00_96, long BgL_nnz00_97, long BgL_kkz00_98, long BgL_vvz00_99)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2082z00_2331;
BgL_fun2082z00_2331 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2080z00_2332;long BgL_arg2081z00_2333;
BgL_arg2080z00_2332 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
BgL_arg2081z00_2333 = 
(((long)144) | BgL_nnz00_97); 
PROCEDURE_ENTRY(BgL_fun2082z00_2331)(BgL_fun2082z00_2331, BgL_arg2080z00_2332, 
BINT(BgL_arg2081z00_2333), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2084z00_2334;
BgL_fun2084z00_2334 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2083z00_2335;
BgL_arg2083z00_2335 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2084z00_2334)(BgL_fun2084z00_2334, BgL_arg2083z00_2335, 
BINT(BgL_kkz00_98), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2086z00_2336;
BgL_fun2086z00_2336 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2085z00_2337;
BgL_arg2085z00_2337 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2086z00_2336)(BgL_fun2086z00_2336, BgL_arg2085z00_2337, 
BINT(BgL_vvz00_99), BEOA);} } } 

}



/* &midiplayer-noteon */
obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2900, obj_t BgL_mpz00_2901, obj_t BgL_msz00_2902, obj_t BgL_tickz00_2903, obj_t BgL_nnz00_2904, obj_t BgL_kkz00_2905, obj_t BgL_vvz00_2906)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1035 */
long BgL_auxz00_6422;long BgL_auxz00_6413;long BgL_auxz00_6404;long BgL_auxz00_6395;BgL_midisinkz00_bglt BgL_auxz00_6387;BgL_midiplayerz00_bglt BgL_auxz00_6379;
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6423;
if(
INTEGERP(BgL_vvz00_2906))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6423 = BgL_vvz00_2906
; }  else 
{ 
obj_t BgL_auxz00_6426;
BgL_auxz00_6426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_vvz00_2906); 
FAILURE(BgL_auxz00_6426,BFALSE,BFALSE);} 
BgL_auxz00_6422 = 
(long)CINT(BgL_tmpz00_6423); } 
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6414;
if(
INTEGERP(BgL_kkz00_2905))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6414 = BgL_kkz00_2905
; }  else 
{ 
obj_t BgL_auxz00_6417;
BgL_auxz00_6417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_kkz00_2905); 
FAILURE(BgL_auxz00_6417,BFALSE,BFALSE);} 
BgL_auxz00_6413 = 
(long)CINT(BgL_tmpz00_6414); } 
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6405;
if(
INTEGERP(BgL_nnz00_2904))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6405 = BgL_nnz00_2904
; }  else 
{ 
obj_t BgL_auxz00_6408;
BgL_auxz00_6408 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2904); 
FAILURE(BgL_auxz00_6408,BFALSE,BFALSE);} 
BgL_auxz00_6404 = 
(long)CINT(BgL_tmpz00_6405); } 
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6396;
if(
INTEGERP(BgL_tickz00_2903))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6396 = BgL_tickz00_2903
; }  else 
{ 
obj_t BgL_auxz00_6399;
BgL_auxz00_6399 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2903); 
FAILURE(BgL_auxz00_6399,BFALSE,BFALSE);} 
BgL_auxz00_6395 = 
(long)CINT(BgL_tmpz00_6396); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2902, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1035 */
BgL_auxz00_6387 = 
((BgL_midisinkz00_bglt)BgL_msz00_2902)
; }  else 
{ 
obj_t BgL_auxz00_6391;
BgL_auxz00_6391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2902); 
FAILURE(BgL_auxz00_6391,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2901, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1035 */
BgL_auxz00_6379 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2901)
; }  else 
{ 
obj_t BgL_auxz00_6383;
BgL_auxz00_6383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2829z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2901); 
FAILURE(BgL_auxz00_6383,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_auxz00_6379, BgL_auxz00_6387, BgL_auxz00_6395, BgL_auxz00_6404, BgL_auxz00_6413, BgL_auxz00_6422);} } 

}



/* midiplayer-aftertouch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_100, BgL_midisinkz00_bglt BgL_msz00_101, long BgL_tickz00_102, long BgL_nnz00_103, long BgL_kkz00_104, long BgL_vvz00_105)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2082z00_2344;
BgL_fun2082z00_2344 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2080z00_2345;long BgL_arg2081z00_2346;
BgL_arg2080z00_2345 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
BgL_arg2081z00_2346 = 
(((long)160) | BgL_nnz00_103); 
PROCEDURE_ENTRY(BgL_fun2082z00_2344)(BgL_fun2082z00_2344, BgL_arg2080z00_2345, 
BINT(BgL_arg2081z00_2346), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2084z00_2347;
BgL_fun2084z00_2347 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2083z00_2348;
BgL_arg2083z00_2348 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2084z00_2347)(BgL_fun2084z00_2347, BgL_arg2083z00_2348, 
BINT(BgL_kkz00_104), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2086z00_2349;
BgL_fun2086z00_2349 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2085z00_2350;
BgL_arg2085z00_2350 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2086z00_2349)(BgL_fun2086z00_2349, BgL_arg2085z00_2350, 
BINT(BgL_vvz00_105), BEOA);} } } 

}



/* &midiplayer-aftertouch */
obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2907, obj_t BgL_mpz00_2908, obj_t BgL_msz00_2909, obj_t BgL_tickz00_2910, obj_t BgL_nnz00_2911, obj_t BgL_kkz00_2912, obj_t BgL_vvz00_2913)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1042 */
long BgL_auxz00_6500;long BgL_auxz00_6491;long BgL_auxz00_6482;long BgL_auxz00_6473;BgL_midisinkz00_bglt BgL_auxz00_6465;BgL_midiplayerz00_bglt BgL_auxz00_6457;
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6501;
if(
INTEGERP(BgL_vvz00_2913))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6501 = BgL_vvz00_2913
; }  else 
{ 
obj_t BgL_auxz00_6504;
BgL_auxz00_6504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2830z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_vvz00_2913); 
FAILURE(BgL_auxz00_6504,BFALSE,BFALSE);} 
BgL_auxz00_6500 = 
(long)CINT(BgL_tmpz00_6501); } 
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6492;
if(
INTEGERP(BgL_kkz00_2912))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6492 = BgL_kkz00_2912
; }  else 
{ 
obj_t BgL_auxz00_6495;
BgL_auxz00_6495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2830z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_kkz00_2912); 
FAILURE(BgL_auxz00_6495,BFALSE,BFALSE);} 
BgL_auxz00_6491 = 
(long)CINT(BgL_tmpz00_6492); } 
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6483;
if(
INTEGERP(BgL_nnz00_2911))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6483 = BgL_nnz00_2911
; }  else 
{ 
obj_t BgL_auxz00_6486;
BgL_auxz00_6486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2830z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2911); 
FAILURE(BgL_auxz00_6486,BFALSE,BFALSE);} 
BgL_auxz00_6482 = 
(long)CINT(BgL_tmpz00_6483); } 
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6474;
if(
INTEGERP(BgL_tickz00_2910))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6474 = BgL_tickz00_2910
; }  else 
{ 
obj_t BgL_auxz00_6477;
BgL_auxz00_6477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2830z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2910); 
FAILURE(BgL_auxz00_6477,BFALSE,BFALSE);} 
BgL_auxz00_6473 = 
(long)CINT(BgL_tmpz00_6474); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2909, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1042 */
BgL_auxz00_6465 = 
((BgL_midisinkz00_bglt)BgL_msz00_2909)
; }  else 
{ 
obj_t BgL_auxz00_6469;
BgL_auxz00_6469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2830z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2909); 
FAILURE(BgL_auxz00_6469,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2908, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1042 */
BgL_auxz00_6457 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2908)
; }  else 
{ 
obj_t BgL_auxz00_6461;
BgL_auxz00_6461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2830z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2908); 
FAILURE(BgL_auxz00_6461,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_auxz00_6457, BgL_auxz00_6465, BgL_auxz00_6473, BgL_auxz00_6482, BgL_auxz00_6491, BgL_auxz00_6500);} } 

}



/* midiplayer-ctrlchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_106, BgL_midisinkz00_bglt BgL_msz00_107, long BgL_tickz00_108, long BgL_nnz00_109, long BgL_kkz00_110, long BgL_vvz00_111)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2082z00_2357;
BgL_fun2082z00_2357 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2080z00_2358;long BgL_arg2081z00_2359;
BgL_arg2080z00_2358 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
BgL_arg2081z00_2359 = 
(((long)176) | BgL_nnz00_109); 
PROCEDURE_ENTRY(BgL_fun2082z00_2357)(BgL_fun2082z00_2357, BgL_arg2080z00_2358, 
BINT(BgL_arg2081z00_2359), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2084z00_2360;
BgL_fun2084z00_2360 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2083z00_2361;
BgL_arg2083z00_2361 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2084z00_2360)(BgL_fun2084z00_2360, BgL_arg2083z00_2361, 
BINT(BgL_kkz00_110), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2086z00_2362;
BgL_fun2086z00_2362 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2085z00_2363;
BgL_arg2085z00_2363 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2086z00_2362)(BgL_fun2086z00_2362, BgL_arg2085z00_2363, 
BINT(BgL_vvz00_111), BEOA);} } } 

}



/* &midiplayer-ctrlchange */
obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2914, obj_t BgL_mpz00_2915, obj_t BgL_msz00_2916, obj_t BgL_tickz00_2917, obj_t BgL_nnz00_2918, obj_t BgL_kkz00_2919, obj_t BgL_vvz00_2920)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1049 */
long BgL_auxz00_6578;long BgL_auxz00_6569;long BgL_auxz00_6560;long BgL_auxz00_6551;BgL_midisinkz00_bglt BgL_auxz00_6543;BgL_midiplayerz00_bglt BgL_auxz00_6535;
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6579;
if(
INTEGERP(BgL_vvz00_2920))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6579 = BgL_vvz00_2920
; }  else 
{ 
obj_t BgL_auxz00_6582;
BgL_auxz00_6582 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_vvz00_2920); 
FAILURE(BgL_auxz00_6582,BFALSE,BFALSE);} 
BgL_auxz00_6578 = 
(long)CINT(BgL_tmpz00_6579); } 
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6570;
if(
INTEGERP(BgL_kkz00_2919))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6570 = BgL_kkz00_2919
; }  else 
{ 
obj_t BgL_auxz00_6573;
BgL_auxz00_6573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_kkz00_2919); 
FAILURE(BgL_auxz00_6573,BFALSE,BFALSE);} 
BgL_auxz00_6569 = 
(long)CINT(BgL_tmpz00_6570); } 
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6561;
if(
INTEGERP(BgL_nnz00_2918))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6561 = BgL_nnz00_2918
; }  else 
{ 
obj_t BgL_auxz00_6564;
BgL_auxz00_6564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2918); 
FAILURE(BgL_auxz00_6564,BFALSE,BFALSE);} 
BgL_auxz00_6560 = 
(long)CINT(BgL_tmpz00_6561); } 
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6552;
if(
INTEGERP(BgL_tickz00_2917))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6552 = BgL_tickz00_2917
; }  else 
{ 
obj_t BgL_auxz00_6555;
BgL_auxz00_6555 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2917); 
FAILURE(BgL_auxz00_6555,BFALSE,BFALSE);} 
BgL_auxz00_6551 = 
(long)CINT(BgL_tmpz00_6552); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2916, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1049 */
BgL_auxz00_6543 = 
((BgL_midisinkz00_bglt)BgL_msz00_2916)
; }  else 
{ 
obj_t BgL_auxz00_6547;
BgL_auxz00_6547 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2916); 
FAILURE(BgL_auxz00_6547,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2915, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1049 */
BgL_auxz00_6535 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2915)
; }  else 
{ 
obj_t BgL_auxz00_6539;
BgL_auxz00_6539 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2831z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2915); 
FAILURE(BgL_auxz00_6539,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_auxz00_6535, BgL_auxz00_6543, BgL_auxz00_6551, BgL_auxz00_6560, BgL_auxz00_6569, BgL_auxz00_6578);} } 

}



/* midiplayer-prgmchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_112, BgL_midisinkz00_bglt BgL_msz00_113, long BgL_tickz00_114, long BgL_nnz00_115, long BgL_ppz00_116)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1011 */
obj_t BgL_fun2077z00_2369;
BgL_fun2077z00_2369 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
obj_t BgL_arg2075z00_2370;long BgL_arg2076z00_2371;
BgL_arg2075z00_2370 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
BgL_arg2076z00_2371 = 
(((long)192) | BgL_nnz00_115); 
PROCEDURE_ENTRY(BgL_fun2077z00_2369)(BgL_fun2077z00_2369, BgL_arg2075z00_2370, 
BINT(BgL_arg2076z00_2371), BEOA); } } 
{ /* Llib/midi.scm 1012 */
obj_t BgL_fun2079z00_2372;
BgL_fun2079z00_2372 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
obj_t BgL_arg2078z00_2373;
BgL_arg2078z00_2373 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2079z00_2372)(BgL_fun2079z00_2372, BgL_arg2078z00_2373, 
BINT(BgL_ppz00_116), BEOA);} } } 

}



/* &midiplayer-prgmchange */
obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2921, obj_t BgL_mpz00_2922, obj_t BgL_msz00_2923, obj_t BgL_tickz00_2924, obj_t BgL_nnz00_2925, obj_t BgL_ppz00_2926)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1056 */
long BgL_auxz00_6639;long BgL_auxz00_6630;long BgL_auxz00_6621;BgL_midisinkz00_bglt BgL_auxz00_6613;BgL_midiplayerz00_bglt BgL_auxz00_6605;
{ /* Llib/midi.scm 1056 */
obj_t BgL_tmpz00_6640;
if(
INTEGERP(BgL_ppz00_2926))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_6640 = BgL_ppz00_2926
; }  else 
{ 
obj_t BgL_auxz00_6643;
BgL_auxz00_6643 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2832z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_ppz00_2926); 
FAILURE(BgL_auxz00_6643,BFALSE,BFALSE);} 
BgL_auxz00_6639 = 
(long)CINT(BgL_tmpz00_6640); } 
{ /* Llib/midi.scm 1056 */
obj_t BgL_tmpz00_6631;
if(
INTEGERP(BgL_nnz00_2925))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_6631 = BgL_nnz00_2925
; }  else 
{ 
obj_t BgL_auxz00_6634;
BgL_auxz00_6634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2832z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2925); 
FAILURE(BgL_auxz00_6634,BFALSE,BFALSE);} 
BgL_auxz00_6630 = 
(long)CINT(BgL_tmpz00_6631); } 
{ /* Llib/midi.scm 1056 */
obj_t BgL_tmpz00_6622;
if(
INTEGERP(BgL_tickz00_2924))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_6622 = BgL_tickz00_2924
; }  else 
{ 
obj_t BgL_auxz00_6625;
BgL_auxz00_6625 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2832z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2924); 
FAILURE(BgL_auxz00_6625,BFALSE,BFALSE);} 
BgL_auxz00_6621 = 
(long)CINT(BgL_tmpz00_6622); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2923, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1056 */
BgL_auxz00_6613 = 
((BgL_midisinkz00_bglt)BgL_msz00_2923)
; }  else 
{ 
obj_t BgL_auxz00_6617;
BgL_auxz00_6617 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2832z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2923); 
FAILURE(BgL_auxz00_6617,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2922, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1056 */
BgL_auxz00_6605 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2922)
; }  else 
{ 
obj_t BgL_auxz00_6609;
BgL_auxz00_6609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2832z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2922); 
FAILURE(BgL_auxz00_6609,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_auxz00_6605, BgL_auxz00_6613, BgL_auxz00_6621, BgL_auxz00_6630, BgL_auxz00_6639);} } 

}



/* midiplayer-after-touch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_117, BgL_midisinkz00_bglt BgL_msz00_118, long BgL_tickz00_119, long BgL_nnz00_120, long BgL_ppz00_121)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1011 */
obj_t BgL_fun2077z00_2379;
BgL_fun2077z00_2379 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
obj_t BgL_arg2075z00_2380;long BgL_arg2076z00_2381;
BgL_arg2075z00_2380 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
BgL_arg2076z00_2381 = 
(((long)208) | BgL_nnz00_120); 
PROCEDURE_ENTRY(BgL_fun2077z00_2379)(BgL_fun2077z00_2379, BgL_arg2075z00_2380, 
BINT(BgL_arg2076z00_2381), BEOA); } } 
{ /* Llib/midi.scm 1012 */
obj_t BgL_fun2079z00_2382;
BgL_fun2079z00_2382 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
obj_t BgL_arg2078z00_2383;
BgL_arg2078z00_2383 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2079z00_2382)(BgL_fun2079z00_2382, BgL_arg2078z00_2383, 
BINT(BgL_ppz00_121), BEOA);} } } 

}



/* &midiplayer-after-touch */
obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t BgL_envz00_2927, obj_t BgL_mpz00_2928, obj_t BgL_msz00_2929, obj_t BgL_tickz00_2930, obj_t BgL_nnz00_2931, obj_t BgL_ppz00_2932)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1063 */
long BgL_auxz00_6700;long BgL_auxz00_6691;long BgL_auxz00_6682;BgL_midisinkz00_bglt BgL_auxz00_6674;BgL_midiplayerz00_bglt BgL_auxz00_6666;
{ /* Llib/midi.scm 1063 */
obj_t BgL_tmpz00_6701;
if(
INTEGERP(BgL_ppz00_2932))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_6701 = BgL_ppz00_2932
; }  else 
{ 
obj_t BgL_auxz00_6704;
BgL_auxz00_6704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2833z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_ppz00_2932); 
FAILURE(BgL_auxz00_6704,BFALSE,BFALSE);} 
BgL_auxz00_6700 = 
(long)CINT(BgL_tmpz00_6701); } 
{ /* Llib/midi.scm 1063 */
obj_t BgL_tmpz00_6692;
if(
INTEGERP(BgL_nnz00_2931))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_6692 = BgL_nnz00_2931
; }  else 
{ 
obj_t BgL_auxz00_6695;
BgL_auxz00_6695 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2833z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2931); 
FAILURE(BgL_auxz00_6695,BFALSE,BFALSE);} 
BgL_auxz00_6691 = 
(long)CINT(BgL_tmpz00_6692); } 
{ /* Llib/midi.scm 1063 */
obj_t BgL_tmpz00_6683;
if(
INTEGERP(BgL_tickz00_2930))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_6683 = BgL_tickz00_2930
; }  else 
{ 
obj_t BgL_auxz00_6686;
BgL_auxz00_6686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2833z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2930); 
FAILURE(BgL_auxz00_6686,BFALSE,BFALSE);} 
BgL_auxz00_6682 = 
(long)CINT(BgL_tmpz00_6683); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2929, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1063 */
BgL_auxz00_6674 = 
((BgL_midisinkz00_bglt)BgL_msz00_2929)
; }  else 
{ 
obj_t BgL_auxz00_6678;
BgL_auxz00_6678 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2833z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2929); 
FAILURE(BgL_auxz00_6678,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2928, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1063 */
BgL_auxz00_6666 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2928)
; }  else 
{ 
obj_t BgL_auxz00_6670;
BgL_auxz00_6670 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2833z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2928); 
FAILURE(BgL_auxz00_6670,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_auxz00_6666, BgL_auxz00_6674, BgL_auxz00_6682, BgL_auxz00_6691, BgL_auxz00_6700);} } 

}



/* midiplayer-pitch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_122, BgL_midisinkz00_bglt BgL_msz00_123, long BgL_tickz00_124, long BgL_nnz00_125, long BgL_ccz00_126, long BgL_vvz00_127)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2082z00_2390;
BgL_fun2082z00_2390 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2080z00_2391;long BgL_arg2081z00_2392;
BgL_arg2080z00_2391 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
BgL_arg2081z00_2392 = 
(((long)224) | BgL_nnz00_125); 
PROCEDURE_ENTRY(BgL_fun2082z00_2390)(BgL_fun2082z00_2390, BgL_arg2080z00_2391, 
BINT(BgL_arg2081z00_2392), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2084z00_2393;
BgL_fun2084z00_2393 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2083z00_2394;
BgL_arg2083z00_2394 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2084z00_2393)(BgL_fun2084z00_2393, BgL_arg2083z00_2394, 
BINT(BgL_ccz00_126), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2086z00_2395;
BgL_fun2086z00_2395 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2085z00_2396;
BgL_arg2085z00_2396 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2086z00_2395)(BgL_fun2086z00_2395, BgL_arg2085z00_2396, 
BINT(BgL_vvz00_127), BEOA);} } } 

}



/* &midiplayer-pitch */
obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2933, obj_t BgL_mpz00_2934, obj_t BgL_msz00_2935, obj_t BgL_tickz00_2936, obj_t BgL_nnz00_2937, obj_t BgL_ccz00_2938, obj_t BgL_vvz00_2939)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1070 */
long BgL_auxz00_6778;long BgL_auxz00_6769;long BgL_auxz00_6760;long BgL_auxz00_6751;BgL_midisinkz00_bglt BgL_auxz00_6743;BgL_midiplayerz00_bglt BgL_auxz00_6735;
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6779;
if(
INTEGERP(BgL_vvz00_2939))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6779 = BgL_vvz00_2939
; }  else 
{ 
obj_t BgL_auxz00_6782;
BgL_auxz00_6782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2834z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_vvz00_2939); 
FAILURE(BgL_auxz00_6782,BFALSE,BFALSE);} 
BgL_auxz00_6778 = 
(long)CINT(BgL_tmpz00_6779); } 
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6770;
if(
INTEGERP(BgL_ccz00_2938))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6770 = BgL_ccz00_2938
; }  else 
{ 
obj_t BgL_auxz00_6773;
BgL_auxz00_6773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2834z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_ccz00_2938); 
FAILURE(BgL_auxz00_6773,BFALSE,BFALSE);} 
BgL_auxz00_6769 = 
(long)CINT(BgL_tmpz00_6770); } 
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6761;
if(
INTEGERP(BgL_nnz00_2937))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6761 = BgL_nnz00_2937
; }  else 
{ 
obj_t BgL_auxz00_6764;
BgL_auxz00_6764 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2834z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_nnz00_2937); 
FAILURE(BgL_auxz00_6764,BFALSE,BFALSE);} 
BgL_auxz00_6760 = 
(long)CINT(BgL_tmpz00_6761); } 
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6752;
if(
INTEGERP(BgL_tickz00_2936))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6752 = BgL_tickz00_2936
; }  else 
{ 
obj_t BgL_auxz00_6755;
BgL_auxz00_6755 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2834z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2936); 
FAILURE(BgL_auxz00_6755,BFALSE,BFALSE);} 
BgL_auxz00_6751 = 
(long)CINT(BgL_tmpz00_6752); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2935, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1070 */
BgL_auxz00_6743 = 
((BgL_midisinkz00_bglt)BgL_msz00_2935)
; }  else 
{ 
obj_t BgL_auxz00_6747;
BgL_auxz00_6747 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2834z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2935); 
FAILURE(BgL_auxz00_6747,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2934, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1070 */
BgL_auxz00_6735 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2934)
; }  else 
{ 
obj_t BgL_auxz00_6739;
BgL_auxz00_6739 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2834z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2934); 
FAILURE(BgL_auxz00_6739,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_auxz00_6735, BgL_auxz00_6743, BgL_auxz00_6751, BgL_auxz00_6760, BgL_auxz00_6769, BgL_auxz00_6778);} } 

}



/* midiplayer-sysex */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_128, BgL_midisinkz00_bglt BgL_msz00_129, long BgL_tickz00_130, obj_t BgL_dataz00_131)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1077 */
obj_t BgL_fun2088z00_2399;
BgL_fun2088z00_2399 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_writezd2stringzd2); 
{ /* Llib/midi.scm 1077 */
obj_t BgL_arg2087z00_2400;
BgL_arg2087z00_2400 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2088z00_2399)(BgL_fun2088z00_2399, BgL_arg2087z00_2400, BEOA);} } } 

}



/* &midiplayer-sysex */
obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2940, obj_t BgL_mpz00_2941, obj_t BgL_msz00_2942, obj_t BgL_tickz00_2943, obj_t BgL_dataz00_2944)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1076 */
obj_t BgL_auxz00_6819;long BgL_auxz00_6810;BgL_midisinkz00_bglt BgL_auxz00_6802;BgL_midiplayerz00_bglt BgL_auxz00_6794;
if(
STRINGP(BgL_dataz00_2944))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_6819 = BgL_dataz00_2944
; }  else 
{ 
obj_t BgL_auxz00_6822;
BgL_auxz00_6822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2835z00zz__multimediazd2midizd2, BGl_string2795z00zz__multimediazd2midizd2, BgL_dataz00_2944); 
FAILURE(BgL_auxz00_6822,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1076 */
obj_t BgL_tmpz00_6811;
if(
INTEGERP(BgL_tickz00_2943))
{ /* Llib/midi.scm 1076 */
BgL_tmpz00_6811 = BgL_tickz00_2943
; }  else 
{ 
obj_t BgL_auxz00_6814;
BgL_auxz00_6814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2835z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_tickz00_2943); 
FAILURE(BgL_auxz00_6814,BFALSE,BFALSE);} 
BgL_auxz00_6810 = 
(long)CINT(BgL_tmpz00_6811); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_2942, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_6802 = 
((BgL_midisinkz00_bglt)BgL_msz00_2942)
; }  else 
{ 
obj_t BgL_auxz00_6806;
BgL_auxz00_6806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2835z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msz00_2942); 
FAILURE(BgL_auxz00_6806,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_2941, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_6794 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2941)
; }  else 
{ 
obj_t BgL_auxz00_6798;
BgL_auxz00_6798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2835z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mpz00_2941); 
FAILURE(BgL_auxz00_6798,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_auxz00_6794, BgL_auxz00_6802, BgL_auxz00_6810, BgL_auxz00_6819);} } 

}



/* midi-note-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long BgL_kkz00_132)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
long BgL_notez00_888;long BgL_octavez00_889;
{ /* Llib/midi.scm 1083 */
long BgL_arg2092z00_893;
{ /* Llib/midi.scm 1083 */
obj_t BgL_vectorz00_2401;
BgL_vectorz00_2401 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2092z00_893 = 
VECTOR_LENGTH(BgL_vectorz00_2401); } 
BgL_notez00_888 = 
(BgL_kkz00_132%BgL_arg2092z00_893); } 
{ /* Llib/midi.scm 1084 */
long BgL_arg2093z00_894;
{ /* Llib/midi.scm 1084 */
obj_t BgL_vectorz00_2404;
BgL_vectorz00_2404 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2093z00_894 = 
VECTOR_LENGTH(BgL_vectorz00_2404); } 
BgL_octavez00_889 = 
(BgL_kkz00_132/BgL_arg2093z00_894); } 
{ /* Llib/midi.scm 1085 */
obj_t BgL_arg2089z00_890;
{ /* Llib/midi.scm 1085 */
obj_t BgL_vectorz00_2407;
BgL_vectorz00_2407 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2089z00_890 = 
VECTOR_REF(BgL_vectorz00_2407,BgL_notez00_888); } 
{ /* Llib/midi.scm 1085 */
obj_t BgL_list2090z00_891;
{ /* Llib/midi.scm 1085 */
obj_t BgL_arg2091z00_892;
BgL_arg2091z00_892 = 
MAKE_YOUNG_PAIR(
BINT(BgL_octavez00_889), BNIL); 
BgL_list2090z00_891 = 
MAKE_YOUNG_PAIR(BgL_arg2089z00_890, BgL_arg2091z00_892); } 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2836z00zz__multimediazd2midizd2, BgL_list2090z00_891);} } } } 

}



/* &midi-note-name */
obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2945, obj_t BgL_kkz00_2946)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
long BgL_auxz00_6839;
{ /* Llib/midi.scm 1083 */
obj_t BgL_tmpz00_6840;
if(
INTEGERP(BgL_kkz00_2946))
{ /* Llib/midi.scm 1083 */
BgL_tmpz00_6840 = BgL_kkz00_2946
; }  else 
{ 
obj_t BgL_auxz00_6843;
BgL_auxz00_6843 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)42219)), BGl_string2837z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_kkz00_2946); 
FAILURE(BgL_auxz00_6843,BFALSE,BFALSE);} 
BgL_auxz00_6839 = 
(long)CINT(BgL_tmpz00_6840); } 
return 
BGl_midizd2notezd2namez00zz__multimediazd2midizd2(BgL_auxz00_6839);} } 

}



/* midi-controller-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long BgL_ccz00_133)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
bool_t BgL_test3461z00_6849;
{ /* Llib/midi.scm 1091 */
long BgL_arg2096z00_2410;
{ /* Llib/midi.scm 1091 */
obj_t BgL_vectorz00_2411;
BgL_vectorz00_2411 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2096z00_2410 = 
VECTOR_LENGTH(BgL_vectorz00_2411); } 
BgL_test3461z00_6849 = 
(BgL_ccz00_133<BgL_arg2096z00_2410); } 
if(BgL_test3461z00_6849)
{ /* Llib/midi.scm 1092 */
obj_t BgL_vectorz00_2414;
BgL_vectorz00_2414 = 
CNST_TABLE_REF(((long)1)); 
return 
VECTOR_REF(BgL_vectorz00_2414,BgL_ccz00_133);}  else 
{ /* Llib/midi.scm 1091 */
return BGl_string2838z00zz__multimediazd2midizd2;} } } 

}



/* &midi-controller-name */
obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2947, obj_t BgL_ccz00_2948)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
long BgL_auxz00_6855;
{ /* Llib/midi.scm 1091 */
obj_t BgL_tmpz00_6856;
if(
INTEGERP(BgL_ccz00_2948))
{ /* Llib/midi.scm 1091 */
BgL_tmpz00_6856 = BgL_ccz00_2948
; }  else 
{ 
obj_t BgL_auxz00_6859;
BgL_auxz00_6859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)42667)), BGl_string2839z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_ccz00_2948); 
FAILURE(BgL_auxz00_6859,BFALSE,BFALSE);} 
BgL_auxz00_6855 = 
(long)CINT(BgL_tmpz00_6856); } 
return 
BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(BgL_auxz00_6855);} } 

}



/* midi-program-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long BgL_ppz00_134)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
bool_t BgL_test3463z00_6865;
{ /* Llib/midi.scm 1099 */
long BgL_arg2099z00_2417;
{ /* Llib/midi.scm 1099 */
obj_t BgL_vectorz00_2418;
BgL_vectorz00_2418 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2099z00_2417 = 
VECTOR_LENGTH(BgL_vectorz00_2418); } 
BgL_test3463z00_6865 = 
(BgL_ppz00_134<BgL_arg2099z00_2417); } 
if(BgL_test3463z00_6865)
{ /* Llib/midi.scm 1100 */
obj_t BgL_vectorz00_2421;
BgL_vectorz00_2421 = 
CNST_TABLE_REF(((long)2)); 
return 
VECTOR_REF(BgL_vectorz00_2421,BgL_ppz00_134);}  else 
{ /* Llib/midi.scm 1099 */
return BGl_string2840z00zz__multimediazd2midizd2;} } } 

}



/* &midi-program-name */
obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2949, obj_t BgL_ppz00_2950)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
long BgL_auxz00_6871;
{ /* Llib/midi.scm 1099 */
obj_t BgL_tmpz00_6872;
if(
INTEGERP(BgL_ppz00_2950))
{ /* Llib/midi.scm 1099 */
BgL_tmpz00_6872 = BgL_ppz00_2950
; }  else 
{ 
obj_t BgL_auxz00_6875;
BgL_auxz00_6875 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)43056)), BGl_string2841z00zz__multimediazd2midizd2, BGl_string2798z00zz__multimediazd2midizd2, BgL_ppz00_2950); 
FAILURE(BgL_auxz00_6875,BFALSE,BFALSE);} 
BgL_auxz00_6871 = 
(long)CINT(BgL_tmpz00_6872); } 
return 
BGl_midizd2programzd2namez00zz__multimediazd2midizd2(BgL_auxz00_6871);} } 

}



/* midi-program-index */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t BgL_prgmz00_135)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
long BgL_g1176z00_901;
{ /* Llib/midi.scm 1107 */
long BgL_arg2106z00_911;
{ /* Llib/midi.scm 1107 */
obj_t BgL_vectorz00_2423;
BgL_vectorz00_2423 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2106z00_911 = 
VECTOR_LENGTH(BgL_vectorz00_2423); } 
BgL_g1176z00_901 = 
(BgL_arg2106z00_911-((long)1)); } 
{ 
long BgL_iz00_903;
BgL_iz00_903 = BgL_g1176z00_901; 
BgL_zc3z04anonymousza32100ze3z87_904:
if(
(BgL_iz00_903>=((long)0)))
{ /* Llib/midi.scm 1109 */
bool_t BgL_test3466z00_6886;
{ /* Llib/midi.scm 1109 */
obj_t BgL_arg2105z00_909;
{ /* Llib/midi.scm 1109 */
obj_t BgL_vectorz00_2426;
BgL_vectorz00_2426 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2105z00_909 = 
VECTOR_REF(BgL_vectorz00_2426,BgL_iz00_903); } 
BgL_test3466z00_6886 = 
bigloo_strcicmp(BgL_arg2105z00_909, BgL_prgmz00_135); } 
if(BgL_test3466z00_6886)
{ /* Llib/midi.scm 1109 */
return 
BINT(BgL_iz00_903);}  else 
{ 
long BgL_iz00_6891;
BgL_iz00_6891 = 
(BgL_iz00_903-((long)1)); 
BgL_iz00_903 = BgL_iz00_6891; 
goto BgL_zc3z04anonymousza32100ze3z87_904;} }  else 
{ /* Llib/midi.scm 1108 */
return BFALSE;} } } } 

}



/* &midi-program-index */
obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t BgL_envz00_2951, obj_t BgL_prgmz00_2952)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
obj_t BgL_auxz00_6893;
if(
STRINGP(BgL_prgmz00_2952))
{ /* Llib/midi.scm 1107 */
BgL_auxz00_6893 = BgL_prgmz00_2952
; }  else 
{ 
obj_t BgL_auxz00_6896;
BgL_auxz00_6896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)43433)), BGl_string2842z00zz__multimediazd2midizd2, BGl_string2795z00zz__multimediazd2midizd2, BgL_prgmz00_2952); 
FAILURE(BgL_auxz00_6896,BFALSE,BFALSE);} 
return 
BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(BgL_auxz00_6893);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2124z00_936;obj_t BgL_arg2125z00_937;
{ /* Llib/midi.scm 17 */
obj_t BgL_v1221z00_952;
BgL_v1221z00_952 = 
create_vector(((long)4)); 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2132z00_953;
BgL_arg2132z00_953 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2844z00zz__multimediazd2midizd2, BGl_proc2843z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_952,((long)0),BgL_arg2132z00_953); } 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2137z00_963;
BgL_arg2137z00_963 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2847z00zz__multimediazd2midizd2, BGl_proc2846z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2845z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_952,((long)1),BgL_arg2137z00_963); } 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2144z00_976;
BgL_arg2144z00_976 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2850z00zz__multimediazd2midizd2, BGl_proc2849z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2848z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_952,((long)2),BgL_arg2144z00_976); } 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2151z00_989;
BgL_arg2151z00_989 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2853z00zz__multimediazd2midizd2, BGl_proc2852z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2851z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1221z00_952,((long)3),BgL_arg2151z00_989); } 
BgL_arg2124z00_936 = BgL_v1221z00_952; } 
{ /* Llib/midi.scm 17 */
obj_t BgL_v1222z00_1002;
BgL_v1222z00_1002 = 
create_vector(((long)0)); 
BgL_arg2125z00_937 = BgL_v1222z00_1002; } 
BGl_midiscorez00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)54602), BGl_proc2856z00zz__multimediazd2midizd2, BGl_proc2855z00zz__multimediazd2midizd2, BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2854z00zz__multimediazd2midizd2, BFALSE, BgL_arg2124z00_936, BgL_arg2125z00_937); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2161z00_1009;obj_t BgL_arg2162z00_1010;
{ /* Llib/midi.scm 24 */
obj_t BgL_v1223z00_1035;
BgL_v1223z00_1035 = 
create_vector(((long)14)); 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2169z00_1036;
BgL_arg2169z00_1036 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2859z00zz__multimediazd2midizd2, BGl_proc2858z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2857z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1223z00_1035,((long)0),BgL_arg2169z00_1036); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2176z00_1049;
BgL_arg2176z00_1049 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2861z00zz__multimediazd2midizd2, BGl_proc2860z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_midireaderz00zz__multimediazd2midizd2); 
VECTOR_SET(BgL_v1223z00_1035,((long)1),BgL_arg2176z00_1049); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2182z00_1059;
BgL_arg2182z00_1059 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2863z00zz__multimediazd2midizd2, BGl_proc2862z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1035,((long)2),BgL_arg2182z00_1059); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2187z00_1069;
BgL_arg2187z00_1069 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2866z00zz__multimediazd2midizd2, BGl_proc2865z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2864z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1223z00_1035,((long)3),BgL_arg2187z00_1069); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2194z00_1082;
BgL_arg2194z00_1082 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2869z00zz__multimediazd2midizd2, BGl_proc2868z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2867z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1223z00_1035,((long)4),BgL_arg2194z00_1082); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2201z00_1095;
BgL_arg2201z00_1095 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2872z00zz__multimediazd2midizd2, BGl_proc2871z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2870z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1035,((long)5),BgL_arg2201z00_1095); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2208z00_1108;
BgL_arg2208z00_1108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2875z00zz__multimediazd2midizd2, BGl_proc2874z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2873z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1223z00_1035,((long)6),BgL_arg2208z00_1108); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2215z00_1121;
BgL_arg2215z00_1121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2878z00zz__multimediazd2midizd2, BGl_proc2877z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2876z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1035,((long)7),BgL_arg2215z00_1121); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2222z00_1134;
BgL_arg2222z00_1134 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2881z00zz__multimediazd2midizd2, BGl_proc2880z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2879z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1223z00_1035,((long)8),BgL_arg2222z00_1134); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2229z00_1147;
BgL_arg2229z00_1147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2884z00zz__multimediazd2midizd2, BGl_proc2883z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2882z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1035,((long)9),BgL_arg2229z00_1147); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2236z00_1160;
BgL_arg2236z00_1160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2887z00zz__multimediazd2midizd2, BGl_proc2886z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2885z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1035,((long)10),BgL_arg2236z00_1160); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2243z00_1173;
BgL_arg2243z00_1173 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2890z00zz__multimediazd2midizd2, BGl_proc2889z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2888z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1223z00_1035,((long)11),BgL_arg2243z00_1173); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2250z00_1186;
BgL_arg2250z00_1186 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2893z00zz__multimediazd2midizd2, BGl_proc2892z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2891z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1223z00_1035,((long)12),BgL_arg2250z00_1186); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2257z00_1199;
BgL_arg2257z00_1199 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2896z00zz__multimediazd2midizd2, BGl_proc2895z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2894z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1223z00_1035,((long)13),BgL_arg2257z00_1199); } 
BgL_arg2161z00_1009 = BgL_v1223z00_1035; } 
{ /* Llib/midi.scm 24 */
obj_t BgL_v1224z00_1212;
BgL_v1224z00_1212 = 
create_vector(((long)0)); 
BgL_arg2162z00_1010 = BgL_v1224z00_1212; } 
BGl_miditrackz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)26896), BGl_proc2899z00zz__multimediazd2midizd2, BGl_proc2898z00zz__multimediazd2midizd2, BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2897z00zz__multimediazd2midizd2, BFALSE, BgL_arg2161z00_1009, BgL_arg2162z00_1010); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2267z00_1219;obj_t BgL_arg2268z00_1220;
{ /* Llib/midi.scm 42 */
obj_t BgL_v1225z00_1238;
BgL_v1225z00_1238 = 
create_vector(((long)7)); 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2275z00_1239;
BgL_arg2275z00_1239 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc2901z00zz__multimediazd2midizd2, BGl_proc2900z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)0),BgL_arg2275z00_1239); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2280z00_1249;
BgL_arg2280z00_1249 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2903z00zz__multimediazd2midizd2, BGl_proc2902z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)1),BgL_arg2280z00_1249); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2285z00_1259;
BgL_arg2285z00_1259 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2905z00zz__multimediazd2midizd2, BGl_proc2904z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)2),BgL_arg2285z00_1259); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2290z00_1269;
BgL_arg2290z00_1269 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2907z00zz__multimediazd2midizd2, BGl_proc2906z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)3),BgL_arg2290z00_1269); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2295z00_1279;
BgL_arg2295z00_1279 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2909z00zz__multimediazd2midizd2, BGl_proc2908z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)4),BgL_arg2295z00_1279); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2300z00_1289;
BgL_arg2300z00_1289 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2911z00zz__multimediazd2midizd2, BGl_proc2910z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)5),BgL_arg2300z00_1289); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2305z00_1299;
BgL_arg2305z00_1299 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2913z00zz__multimediazd2midizd2, BGl_proc2912z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1238,((long)6),BgL_arg2305z00_1299); } 
BgL_arg2267z00_1219 = BgL_v1225z00_1238; } 
{ /* Llib/midi.scm 42 */
obj_t BgL_v1226z00_1309;
BgL_v1226z00_1309 = 
create_vector(((long)0)); 
BgL_arg2268z00_1220 = BgL_v1226z00_1309; } 
BGl_midireaderz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)53877), BGl_proc2916z00zz__multimediazd2midizd2, BGl_proc2915z00zz__multimediazd2midizd2, BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2914z00zz__multimediazd2midizd2, BFALSE, BgL_arg2267z00_1219, BgL_arg2268z00_1220); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2313z00_1316;obj_t BgL_arg2314z00_1317;
{ /* Llib/midi.scm 52 */
obj_t BgL_v1227z00_1356;
BgL_v1227z00_1356 = 
create_vector(((long)28)); 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2321z00_1357;
BgL_arg2321z00_1357 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2919z00zz__multimediazd2midizd2, BGl_proc2918z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2917z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)0),BgL_arg2321z00_1357); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2328z00_1370;
BgL_arg2328z00_1370 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2922z00zz__multimediazd2midizd2, BGl_proc2921z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2920z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)1),BgL_arg2328z00_1370); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2335z00_1383;
BgL_arg2335z00_1383 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2925z00zz__multimediazd2midizd2, BGl_proc2924z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2923z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)2),BgL_arg2335z00_1383); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2342z00_1396;
BgL_arg2342z00_1396 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2928z00zz__multimediazd2midizd2, BGl_proc2927z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2926z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)3),BgL_arg2342z00_1396); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2349z00_1409;
BgL_arg2349z00_1409 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc2931z00zz__multimediazd2midizd2, BGl_proc2930z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2929z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)4),BgL_arg2349z00_1409); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2356z00_1422;
BgL_arg2356z00_1422 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2934z00zz__multimediazd2midizd2, BGl_proc2933z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2932z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)5),BgL_arg2356z00_1422); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2363z00_1435;
BgL_arg2363z00_1435 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc2937z00zz__multimediazd2midizd2, BGl_proc2936z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2935z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)6),BgL_arg2363z00_1435); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2370z00_1448;
BgL_arg2370z00_1448 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc2940z00zz__multimediazd2midizd2, BGl_proc2939z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2938z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)7),BgL_arg2370z00_1448); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2377z00_1461;
BgL_arg2377z00_1461 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2943z00zz__multimediazd2midizd2, BGl_proc2942z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2941z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)8),BgL_arg2377z00_1461); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2384z00_1474;
BgL_arg2384z00_1474 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2946z00zz__multimediazd2midizd2, BGl_proc2945z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2944z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)9),BgL_arg2384z00_1474); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2391z00_1487;
BgL_arg2391z00_1487 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2949z00zz__multimediazd2midizd2, BGl_proc2948z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2947z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)10),BgL_arg2391z00_1487); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2398z00_1500;
BgL_arg2398z00_1500 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc2952z00zz__multimediazd2midizd2, BGl_proc2951z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2950z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)11),BgL_arg2398z00_1500); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2405z00_1513;
BgL_arg2405z00_1513 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2955z00zz__multimediazd2midizd2, BGl_proc2954z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2953z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)12),BgL_arg2405z00_1513); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2412z00_1526;
BgL_arg2412z00_1526 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc2958z00zz__multimediazd2midizd2, BGl_proc2957z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2956z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)13),BgL_arg2412z00_1526); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2419z00_1539;
BgL_arg2419z00_1539 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc2961z00zz__multimediazd2midizd2, BGl_proc2960z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2959z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)14),BgL_arg2419z00_1539); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2426z00_1552;
BgL_arg2426z00_1552 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2964z00zz__multimediazd2midizd2, BGl_proc2963z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2962z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)15),BgL_arg2426z00_1552); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2433z00_1565;
BgL_arg2433z00_1565 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2967z00zz__multimediazd2midizd2, BGl_proc2966z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2965z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)16),BgL_arg2433z00_1565); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2440z00_1578;
BgL_arg2440z00_1578 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc2970z00zz__multimediazd2midizd2, BGl_proc2969z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2968z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)17),BgL_arg2440z00_1578); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2447z00_1591;
BgL_arg2447z00_1591 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2973z00zz__multimediazd2midizd2, BGl_proc2972z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2971z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)18),BgL_arg2447z00_1591); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2454z00_1604;
BgL_arg2454z00_1604 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2976z00zz__multimediazd2midizd2, BGl_proc2975z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2974z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)19),BgL_arg2454z00_1604); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2461z00_1617;
BgL_arg2461z00_1617 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2979z00zz__multimediazd2midizd2, BGl_proc2978z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2977z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)20),BgL_arg2461z00_1617); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2468z00_1630;
BgL_arg2468z00_1630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc2982z00zz__multimediazd2midizd2, BGl_proc2981z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2980z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)21),BgL_arg2468z00_1630); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2475z00_1643;
BgL_arg2475z00_1643 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc2985z00zz__multimediazd2midizd2, BGl_proc2984z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2983z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)22),BgL_arg2475z00_1643); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2482z00_1656;
BgL_arg2482z00_1656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc2988z00zz__multimediazd2midizd2, BGl_proc2987z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2986z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)23),BgL_arg2482z00_1656); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2489z00_1669;
BgL_arg2489z00_1669 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc2991z00zz__multimediazd2midizd2, BGl_proc2990z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2989z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)24),BgL_arg2489z00_1669); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2497z00_1691;
BgL_arg2497z00_1691 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2994z00zz__multimediazd2midizd2, BGl_proc2993z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2992z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)25),BgL_arg2497z00_1691); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2505z00_1712;
BgL_arg2505z00_1712 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc2997z00zz__multimediazd2midizd2, BGl_proc2996z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2995z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)26),BgL_arg2505z00_1712); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2512z00_1725;
BgL_arg2512z00_1725 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3000z00zz__multimediazd2midizd2, BGl_proc2999z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2998z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1356,((long)27),BgL_arg2512z00_1725); } 
BgL_arg2313z00_1316 = BgL_v1227z00_1356; } 
{ /* Llib/midi.scm 52 */
obj_t BgL_v1228z00_1738;
BgL_v1228z00_1738 = 
create_vector(((long)0)); 
BgL_arg2314z00_1317 = BgL_v1228z00_1738; } 
BGl_midiplayerz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)52705), BGl_proc3003z00zz__multimediazd2midizd2, BGl_proc3002z00zz__multimediazd2midizd2, BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3001z00zz__multimediazd2midizd2, BFALSE, BgL_arg2313z00_1316, BgL_arg2314z00_1317); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2522z00_1745;obj_t BgL_arg2523z00_1746;
{ /* Llib/midi.scm 87 */
obj_t BgL_v1229z00_1762;
BgL_v1229z00_1762 = 
create_vector(((long)5)); 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2530z00_1763;
BgL_arg2530z00_1763 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3006z00zz__multimediazd2midizd2, BGl_proc3005z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3004z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1229z00_1762,((long)0),BgL_arg2530z00_1763); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2537z00_1776;
BgL_arg2537z00_1776 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3009z00zz__multimediazd2midizd2, BGl_proc3008z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3007z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1762,((long)1),BgL_arg2537z00_1776); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2544z00_1789;
BgL_arg2544z00_1789 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3012z00zz__multimediazd2midizd2, BGl_proc3011z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3010z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1762,((long)2),BgL_arg2544z00_1789); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2552z00_1805;
BgL_arg2552z00_1805 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3015z00zz__multimediazd2midizd2, BGl_proc3014z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3013z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1762,((long)3),BgL_arg2552z00_1805); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2560z00_1821;
BgL_arg2560z00_1821 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3018z00zz__multimediazd2midizd2, BGl_proc3017z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3016z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1229z00_1762,((long)4),BgL_arg2560z00_1821); } 
BgL_arg2522z00_1745 = BgL_v1229z00_1762; } 
{ /* Llib/midi.scm 87 */
obj_t BgL_v1230z00_1834;
BgL_v1230z00_1834 = 
create_vector(((long)0)); 
BgL_arg2523z00_1746 = BgL_v1230z00_1834; } 
return ( 
BGl_midisinkz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)13783), BGl_proc3021z00zz__multimediazd2midizd2, BGl_proc3020z00zz__multimediazd2midizd2, BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3019z00zz__multimediazd2midizd2, BFALSE, BgL_arg2522z00_1745, BgL_arg2523z00_1746), BUNSPEC) ;} } 

}



/* &<@anonymous:2529> */
obj_t BGl_z62zc3z04anonymousza32529ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3147, obj_t BgL_new1119z00_3148)
{
{ /* Llib/midi.scm 87 */
{ 
BgL_midisinkz00_bglt BgL_auxz00_7157;
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1119z00_3148)))->BgL_streamz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1119z00_3148)))->BgL_usleepz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1119z00_3148)))->BgL_writezd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1119z00_3148)))->BgL_writezd2stringzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1119z00_3148)))->BgL_flushz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_7157 = 
((BgL_midisinkz00_bglt)BgL_new1119z00_3148); 
return 
((obj_t)BgL_auxz00_7157);} } 

}



/* &lambda2527 */
BgL_midisinkz00_bglt BGl_z62lambda2527z62zz__multimediazd2midizd2(obj_t BgL_envz00_3149)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
BgL_midisinkz00_bglt BgL_new1118z00_3919;
BgL_new1118z00_3919 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
long BgL_arg2528z00_3920;
BgL_arg2528z00_3920 = 
BGL_CLASS_INDEX(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_3919), BgL_arg2528z00_3920); } 
return BgL_new1118z00_3919;} } 

}



/* &lambda2524 */
BgL_midisinkz00_bglt BGl_z62lambda2524z62zz__multimediazd2midizd2(obj_t BgL_envz00_3150, obj_t BgL_stream1113z00_3151, obj_t BgL_usleep1114z00_3152, obj_t BgL_writezd2byte1115zd2_3153, obj_t BgL_writezd2string1116zd2_3154, obj_t BgL_flush1117z00_3155)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
BgL_midisinkz00_bglt BgL_new1186z00_3925;
{ /* Llib/midi.scm 87 */
BgL_midisinkz00_bglt BgL_new1185z00_3926;
BgL_new1185z00_3926 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
long BgL_arg2526z00_3927;
BgL_arg2526z00_3927 = 
BGL_CLASS_INDEX(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1185z00_3926), BgL_arg2526z00_3927); } 
BgL_new1186z00_3925 = BgL_new1185z00_3926; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1186z00_3925))->BgL_streamz00)=((obj_t)BgL_stream1113z00_3151),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1186z00_3925))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_usleep1114z00_3152)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1186z00_3925))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_writezd2byte1115zd2_3153)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1186z00_3925))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_writezd2string1116zd2_3154)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1186z00_3925))->BgL_flushz00)=((obj_t)
((obj_t)BgL_flush1117z00_3155)),BUNSPEC); 
{ /* Llib/midi.scm 87 */
obj_t BgL_fun2525z00_3928;
BgL_fun2525z00_3928 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2525z00_3928)(BgL_fun2525z00_3928, 
((obj_t)BgL_new1186z00_3925), BEOA); } 
return BgL_new1186z00_3925;} } 

}



/* &<@anonymous:2566> */
obj_t BGl_z62zc3z04anonymousza32566ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3156)
{
{ /* Llib/midi.scm 87 */
return BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;} 

}



/* &lambda2565 */
obj_t BGl_z62lambda2565z62zz__multimediazd2midizd2(obj_t BgL_envz00_3157, obj_t BgL_oz00_3158, obj_t BgL_vz00_3159)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3158)))->BgL_flushz00)=((obj_t)
((obj_t)BgL_vz00_3159)),BUNSPEC);} 

}



/* &lambda2564 */
obj_t BGl_z62lambda2564z62zz__multimediazd2midizd2(obj_t BgL_envz00_3160, obj_t BgL_oz00_3161)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3161)))->BgL_flushz00);} 

}



/* &<@anonymous:2558> */
obj_t BGl_z62zc3z04anonymousza32558ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3162)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3022z00zz__multimediazd2midizd2;} 

}



/* &lambda2557 */
obj_t BGl_z62lambda2557z62zz__multimediazd2midizd2(obj_t BgL_envz00_3163, obj_t BgL_oz00_3164, obj_t BgL_vz00_3165)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3164)))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_vz00_3165)),BUNSPEC);} 

}



/* &lambda2556 */
obj_t BGl_z62lambda2556z62zz__multimediazd2midizd2(obj_t BgL_envz00_3166, obj_t BgL_oz00_3167)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3167)))->BgL_writezd2stringzd2);} 

}



/* &<@anonymous:2559> */
obj_t BGl_z62zc3z04anonymousza32559ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3168, obj_t BgL_opz00_3169, obj_t BgL_sz00_3170)
{
{ /* Llib/midi.scm 92 */
return 
BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_sz00_3170, BgL_opz00_3169);} 

}



/* &<@anonymous:2550> */
obj_t BGl_z62zc3z04anonymousza32550ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3171)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3023z00zz__multimediazd2midizd2;} 

}



/* &lambda2549 */
obj_t BGl_z62lambda2549z62zz__multimediazd2midizd2(obj_t BgL_envz00_3172, obj_t BgL_oz00_3173, obj_t BgL_vz00_3174)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3173)))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3174)),BUNSPEC);} 

}



/* &lambda2548 */
obj_t BGl_z62lambda2548z62zz__multimediazd2midizd2(obj_t BgL_envz00_3175, obj_t BgL_oz00_3176)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3176)))->BgL_writezd2bytezd2);} 

}



/* &<@anonymous:2551> */
obj_t BGl_z62zc3z04anonymousza32551ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3177, obj_t BgL_opz00_3178, obj_t BgL_bz00_3179)
{
{ /* Llib/midi.scm 91 */
{ /* Llib/midi.scm 91 */
unsigned char BgL_bytez00_3938;
BgL_bytez00_3938 = 
(unsigned char)CINT(BgL_bz00_3179); 
{ /* Llib/midi.scm 91 */
obj_t BgL_tmpz00_7210;
BgL_tmpz00_7210 = 
((obj_t)BgL_opz00_3178); 
return 
bgl_display_char(BgL_bytez00_3938, BgL_tmpz00_7210);} } } 

}



/* &<@anonymous:2543> */
obj_t BGl_z62zc3z04anonymousza32543ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3180)
{
{ /* Llib/midi.scm 87 */
return BGl_sleepzd2envzd2zz__osz00;} 

}



/* &lambda2542 */
obj_t BGl_z62lambda2542z62zz__multimediazd2midizd2(obj_t BgL_envz00_3181, obj_t BgL_oz00_3182, obj_t BgL_vz00_3183)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3182)))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_vz00_3183)),BUNSPEC);} 

}



/* &lambda2541 */
obj_t BGl_z62lambda2541z62zz__multimediazd2midizd2(obj_t BgL_envz00_3184, obj_t BgL_oz00_3185)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3185)))->BgL_usleepz00);} 

}



/* &<@anonymous:2536> */
obj_t BGl_z62zc3z04anonymousza32536ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3186)
{
{ /* Llib/midi.scm 87 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2535 */
obj_t BGl_z62lambda2535z62zz__multimediazd2midizd2(obj_t BgL_envz00_3187, obj_t BgL_oz00_3188, obj_t BgL_vz00_3189)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3188)))->BgL_streamz00)=((obj_t)BgL_vz00_3189),BUNSPEC);} 

}



/* &lambda2534 */
obj_t BGl_z62lambda2534z62zz__multimediazd2midizd2(obj_t BgL_envz00_3190, obj_t BgL_oz00_3191)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3191)))->BgL_streamz00);} 

}



/* &<@anonymous:2320> */
obj_t BGl_z62zc3z04anonymousza32320ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3192, obj_t BgL_new1111z00_3193)
{
{ /* Llib/midi.scm 52 */
{ 
BgL_midiplayerz00_bglt BgL_auxz00_7223;
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_errz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_cdelayz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_noteoffz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_noteonz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_aftertouchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_ctrlchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_prgmchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_afterzd2touchzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_pitchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_sysexz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2seqnumzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2textzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2copyrightzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2trackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2instrumentzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2lyriczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2markerzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2cuezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2prgmnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2devnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2channprefzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2midiportzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2eotzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2tempozd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2smtpezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2timesigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2keysigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193)))->BgL_metazd2seqspeczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_7223 = 
((BgL_midiplayerz00_bglt)BgL_new1111z00_3193); 
return 
((obj_t)BgL_auxz00_7223);} } 

}



/* &lambda2318 */
BgL_midiplayerz00_bglt BGl_z62lambda2318z62zz__multimediazd2midizd2(obj_t BgL_envz00_3194)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
BgL_midiplayerz00_bglt BgL_new1110z00_3945;
BgL_new1110z00_3945 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
long BgL_arg2319z00_3946;
BgL_arg2319z00_3946 = 
BGL_CLASS_INDEX(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_3945), BgL_arg2319z00_3946); } 
return BgL_new1110z00_3945;} } 

}



/* &lambda2315 */
BgL_midiplayerz00_bglt BGl_z62lambda2315z62zz__multimediazd2midizd2(obj_t BgL_envz00_3195, obj_t BgL_err1082z00_3196, obj_t BgL_cdelay1083z00_3197, obj_t BgL_noteoff1084z00_3198, obj_t BgL_noteon1085z00_3199, obj_t BgL_aftertouch1086z00_3200, obj_t BgL_ctrlchange1087z00_3201, obj_t BgL_prgmchange1088z00_3202, obj_t BgL_afterzd2touch1089zd2_3203, obj_t BgL_pitch1090z00_3204, obj_t BgL_sysex1091z00_3205, obj_t BgL_metazd2seqnum1092zd2_3206, obj_t BgL_metazd2text1093zd2_3207, obj_t BgL_metazd2copyright1094zd2_3208, obj_t BgL_metazd2track1095zd2_3209, obj_t BgL_metazd2instrument1096zd2_3210, obj_t BgL_metazd2lyric1097zd2_3211, obj_t BgL_metazd2marker1098zd2_3212, obj_t BgL_metazd2cue1099zd2_3213, obj_t BgL_metazd2prgmname1100zd2_3214, obj_t BgL_metazd2devname1101zd2_3215, obj_t BgL_metazd2channpref1102zd2_3216, obj_t BgL_metazd2midiport1103zd2_3217, obj_t BgL_metazd2eot1104zd2_3218, obj_t BgL_metazd2tempo1105zd2_3219, obj_t BgL_metazd2smtpe1106zd2_3220, obj_t BgL_metazd2timesig1107zd2_3221, obj_t BgL_metazd2keysig1108zd2_3222, obj_t BgL_metazd2seqspec1109zd2_3223)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
BgL_midiplayerz00_bglt BgL_new1184z00_3975;
{ /* Llib/midi.scm 52 */
BgL_midiplayerz00_bglt BgL_new1183z00_3976;
BgL_new1183z00_3976 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
long BgL_arg2317z00_3977;
BgL_arg2317z00_3977 = 
BGL_CLASS_INDEX(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_3976), BgL_arg2317z00_3977); } 
BgL_new1184z00_3975 = BgL_new1183z00_3976; } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_errz00)=((obj_t)
((obj_t)BgL_err1082z00_3196)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_cdelay1083z00_3197)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_noteoff1084z00_3198)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_noteon1085z00_3199)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_aftertouch1086z00_3200)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_ctrlchange1087z00_3201)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_prgmchange1088z00_3202)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_afterzd2touch1089zd2_3203)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_pitch1090z00_3204)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_sysex1091z00_3205)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_metazd2seqnum1092zd2_3206)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_metazd2text1093zd2_3207)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_metazd2copyright1094zd2_3208)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_metazd2track1095zd2_3209)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_metazd2instrument1096zd2_3210)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_metazd2lyric1097zd2_3211)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_metazd2marker1098zd2_3212)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_metazd2cue1099zd2_3213)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_metazd2prgmname1100zd2_3214)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_metazd2devname1101zd2_3215)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_metazd2channpref1102zd2_3216)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_metazd2midiport1103zd2_3217)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_metazd2eot1104zd2_3218)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_metazd2tempo1105zd2_3219)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_metazd2smtpe1106zd2_3220)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_metazd2timesig1107zd2_3221)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_metazd2keysig1108zd2_3222)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1184z00_3975))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_metazd2seqspec1109zd2_3223)),BUNSPEC); 
{ /* Llib/midi.scm 52 */
obj_t BgL_fun2316z00_3978;
BgL_fun2316z00_3978 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2316z00_3978)(BgL_fun2316z00_3978, 
((obj_t)BgL_new1184z00_3975), BEOA); } 
return BgL_new1184z00_3975;} } 

}



/* &<@anonymous:2518> */
obj_t BGl_z62zc3z04anonymousza32518ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3224)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2517 */
obj_t BGl_z62lambda2517z62zz__multimediazd2midizd2(obj_t BgL_envz00_3225, obj_t BgL_oz00_3226, obj_t BgL_vz00_3227)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3226)))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_vz00_3227)),BUNSPEC);} 

}



/* &lambda2516 */
obj_t BGl_z62lambda2516z62zz__multimediazd2midizd2(obj_t BgL_envz00_3228, obj_t BgL_oz00_3229)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3229)))->BgL_metazd2seqspeczd2);} 

}



/* &<@anonymous:2511> */
obj_t BGl_z62zc3z04anonymousza32511ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3230)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2510 */
obj_t BGl_z62lambda2510z62zz__multimediazd2midizd2(obj_t BgL_envz00_3231, obj_t BgL_oz00_3232, obj_t BgL_vz00_3233)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3232)))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_vz00_3233)),BUNSPEC);} 

}



/* &lambda2509 */
obj_t BGl_z62lambda2509z62zz__multimediazd2midizd2(obj_t BgL_envz00_3234, obj_t BgL_oz00_3235)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3235)))->BgL_metazd2keysigzd2);} 

}



/* &<@anonymous:2503> */
obj_t BGl_z62zc3z04anonymousza32503ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3236)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3024z00zz__multimediazd2midizd2;} 

}



/* &lambda2502 */
obj_t BGl_z62lambda2502z62zz__multimediazd2midizd2(obj_t BgL_envz00_3237, obj_t BgL_oz00_3238, obj_t BgL_vz00_3239)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3238)))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_vz00_3239)),BUNSPEC);} 

}



/* &lambda2501 */
obj_t BGl_z62lambda2501z62zz__multimediazd2midizd2(obj_t BgL_envz00_3240, obj_t BgL_oz00_3241)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3241)))->BgL_metazd2timesigzd2);} 

}



/* &<@anonymous:2504> */
obj_t BGl_z62zc3z04anonymousza32504ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3242, obj_t BgL_mpz00_3243, obj_t BgL_msz00_3244, obj_t BgL_tickz00_3245, obj_t BgL_nnz00_3246, obj_t BgL_ddz00_3247, obj_t BgL_ccz00_3248, obj_t BgL_bbz00_3249)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2495> */
obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3250)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3025z00zz__multimediazd2midizd2;} 

}



/* &lambda2494 */
obj_t BGl_z62lambda2494z62zz__multimediazd2midizd2(obj_t BgL_envz00_3251, obj_t BgL_oz00_3252, obj_t BgL_vz00_3253)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3252)))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_vz00_3253)),BUNSPEC);} 

}



/* &lambda2493 */
obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t BgL_envz00_3254, obj_t BgL_oz00_3255)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3255)))->BgL_metazd2smtpezd2);} 

}



/* &<@anonymous:2496> */
obj_t BGl_z62zc3z04anonymousza32496ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3256, obj_t BgL_mpz00_3257, obj_t BgL_msz00_3258, obj_t BgL_tickz00_3259, obj_t BgL_hrz00_3260, obj_t BgL_mmz00_3261, obj_t BgL_sez00_3262, obj_t BgL_frz00_3263, obj_t BgL_ffz00_3264)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2488> */
obj_t BGl_z62zc3z04anonymousza32488ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3265)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__multimediazd2midizd2(obj_t BgL_envz00_3266, obj_t BgL_oz00_3267, obj_t BgL_vz00_3268)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3267)))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_vz00_3268)),BUNSPEC);} 

}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t BgL_envz00_3269, obj_t BgL_oz00_3270)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3270)))->BgL_metazd2tempozd2);} 

}



/* &<@anonymous:2481> */
obj_t BGl_z62zc3z04anonymousza32481ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3271)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2480 */
obj_t BGl_z62lambda2480z62zz__multimediazd2midizd2(obj_t BgL_envz00_3272, obj_t BgL_oz00_3273, obj_t BgL_vz00_3274)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3273)))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_vz00_3274)),BUNSPEC);} 

}



/* &lambda2479 */
obj_t BGl_z62lambda2479z62zz__multimediazd2midizd2(obj_t BgL_envz00_3275, obj_t BgL_oz00_3276)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3276)))->BgL_metazd2eotzd2);} 

}



/* &<@anonymous:2474> */
obj_t BGl_z62zc3z04anonymousza32474ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3277)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2473 */
obj_t BGl_z62lambda2473z62zz__multimediazd2midizd2(obj_t BgL_envz00_3278, obj_t BgL_oz00_3279, obj_t BgL_vz00_3280)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3279)))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_vz00_3280)),BUNSPEC);} 

}



/* &lambda2472 */
obj_t BGl_z62lambda2472z62zz__multimediazd2midizd2(obj_t BgL_envz00_3281, obj_t BgL_oz00_3282)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3282)))->BgL_metazd2midiportzd2);} 

}



/* &<@anonymous:2467> */
obj_t BGl_z62zc3z04anonymousza32467ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3283)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2466 */
obj_t BGl_z62lambda2466z62zz__multimediazd2midizd2(obj_t BgL_envz00_3284, obj_t BgL_oz00_3285, obj_t BgL_vz00_3286)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3285)))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_vz00_3286)),BUNSPEC);} 

}



/* &lambda2465 */
obj_t BGl_z62lambda2465z62zz__multimediazd2midizd2(obj_t BgL_envz00_3287, obj_t BgL_oz00_3288)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3288)))->BgL_metazd2channprefzd2);} 

}



/* &<@anonymous:2460> */
obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3289)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2459 */
obj_t BGl_z62lambda2459z62zz__multimediazd2midizd2(obj_t BgL_envz00_3290, obj_t BgL_oz00_3291, obj_t BgL_vz00_3292)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3291)))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_vz00_3292)),BUNSPEC);} 

}



/* &lambda2458 */
obj_t BGl_z62lambda2458z62zz__multimediazd2midizd2(obj_t BgL_envz00_3293, obj_t BgL_oz00_3294)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3294)))->BgL_metazd2devnamezd2);} 

}



/* &<@anonymous:2453> */
obj_t BGl_z62zc3z04anonymousza32453ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3295)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2452 */
obj_t BGl_z62lambda2452z62zz__multimediazd2midizd2(obj_t BgL_envz00_3296, obj_t BgL_oz00_3297, obj_t BgL_vz00_3298)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3297)))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_vz00_3298)),BUNSPEC);} 

}



/* &lambda2451 */
obj_t BGl_z62lambda2451z62zz__multimediazd2midizd2(obj_t BgL_envz00_3299, obj_t BgL_oz00_3300)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3300)))->BgL_metazd2prgmnamezd2);} 

}



/* &<@anonymous:2446> */
obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3301)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2445 */
obj_t BGl_z62lambda2445z62zz__multimediazd2midizd2(obj_t BgL_envz00_3302, obj_t BgL_oz00_3303, obj_t BgL_vz00_3304)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3303)))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_vz00_3304)),BUNSPEC);} 

}



/* &lambda2444 */
obj_t BGl_z62lambda2444z62zz__multimediazd2midizd2(obj_t BgL_envz00_3305, obj_t BgL_oz00_3306)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3306)))->BgL_metazd2cuezd2);} 

}



/* &<@anonymous:2439> */
obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3307)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2438 */
obj_t BGl_z62lambda2438z62zz__multimediazd2midizd2(obj_t BgL_envz00_3308, obj_t BgL_oz00_3309, obj_t BgL_vz00_3310)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3309)))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_vz00_3310)),BUNSPEC);} 

}



/* &lambda2437 */
obj_t BGl_z62lambda2437z62zz__multimediazd2midizd2(obj_t BgL_envz00_3311, obj_t BgL_oz00_3312)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3312)))->BgL_metazd2markerzd2);} 

}



/* &<@anonymous:2432> */
obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3313)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2431 */
obj_t BGl_z62lambda2431z62zz__multimediazd2midizd2(obj_t BgL_envz00_3314, obj_t BgL_oz00_3315, obj_t BgL_vz00_3316)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3315)))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_vz00_3316)),BUNSPEC);} 

}



/* &lambda2430 */
obj_t BGl_z62lambda2430z62zz__multimediazd2midizd2(obj_t BgL_envz00_3317, obj_t BgL_oz00_3318)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3318)))->BgL_metazd2lyriczd2);} 

}



/* &<@anonymous:2425> */
obj_t BGl_z62zc3z04anonymousza32425ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3319)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2424 */
obj_t BGl_z62lambda2424z62zz__multimediazd2midizd2(obj_t BgL_envz00_3320, obj_t BgL_oz00_3321, obj_t BgL_vz00_3322)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3321)))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_vz00_3322)),BUNSPEC);} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__multimediazd2midizd2(obj_t BgL_envz00_3323, obj_t BgL_oz00_3324)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3324)))->BgL_metazd2instrumentzd2);} 

}



/* &<@anonymous:2418> */
obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3325)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2417 */
obj_t BGl_z62lambda2417z62zz__multimediazd2midizd2(obj_t BgL_envz00_3326, obj_t BgL_oz00_3327, obj_t BgL_vz00_3328)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3327)))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_vz00_3328)),BUNSPEC);} 

}



/* &lambda2416 */
obj_t BGl_z62lambda2416z62zz__multimediazd2midizd2(obj_t BgL_envz00_3329, obj_t BgL_oz00_3330)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3330)))->BgL_metazd2trackzd2);} 

}



/* &<@anonymous:2411> */
obj_t BGl_z62zc3z04anonymousza32411ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3331)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2410 */
obj_t BGl_z62lambda2410z62zz__multimediazd2midizd2(obj_t BgL_envz00_3332, obj_t BgL_oz00_3333, obj_t BgL_vz00_3334)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3333)))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_vz00_3334)),BUNSPEC);} 

}



/* &lambda2409 */
obj_t BGl_z62lambda2409z62zz__multimediazd2midizd2(obj_t BgL_envz00_3335, obj_t BgL_oz00_3336)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3336)))->BgL_metazd2copyrightzd2);} 

}



/* &<@anonymous:2404> */
obj_t BGl_z62zc3z04anonymousza32404ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3337)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2403 */
obj_t BGl_z62lambda2403z62zz__multimediazd2midizd2(obj_t BgL_envz00_3338, obj_t BgL_oz00_3339, obj_t BgL_vz00_3340)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3339)))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_vz00_3340)),BUNSPEC);} 

}



/* &lambda2402 */
obj_t BGl_z62lambda2402z62zz__multimediazd2midizd2(obj_t BgL_envz00_3341, obj_t BgL_oz00_3342)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3342)))->BgL_metazd2textzd2);} 

}



/* &<@anonymous:2397> */
obj_t BGl_z62zc3z04anonymousza32397ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3343)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2396 */
obj_t BGl_z62lambda2396z62zz__multimediazd2midizd2(obj_t BgL_envz00_3344, obj_t BgL_oz00_3345, obj_t BgL_vz00_3346)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3345)))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_vz00_3346)),BUNSPEC);} 

}



/* &lambda2395 */
obj_t BGl_z62lambda2395z62zz__multimediazd2midizd2(obj_t BgL_envz00_3347, obj_t BgL_oz00_3348)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3348)))->BgL_metazd2seqnumzd2);} 

}



/* &<@anonymous:2390> */
obj_t BGl_z62zc3z04anonymousza32390ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3349)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2389 */
obj_t BGl_z62lambda2389z62zz__multimediazd2midizd2(obj_t BgL_envz00_3350, obj_t BgL_oz00_3351, obj_t BgL_vz00_3352)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3351)))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_vz00_3352)),BUNSPEC);} 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__multimediazd2midizd2(obj_t BgL_envz00_3353, obj_t BgL_oz00_3354)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3354)))->BgL_sysexz00);} 

}



/* &<@anonymous:2383> */
obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3355)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__multimediazd2midizd2(obj_t BgL_envz00_3356, obj_t BgL_oz00_3357, obj_t BgL_vz00_3358)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3357)))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_vz00_3358)),BUNSPEC);} 

}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__multimediazd2midizd2(obj_t BgL_envz00_3359, obj_t BgL_oz00_3360)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3360)))->BgL_pitchz00);} 

}



/* &<@anonymous:2376> */
obj_t BGl_z62zc3z04anonymousza32376ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3361)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2;} 

}



/* &lambda2375 */
obj_t BGl_z62lambda2375z62zz__multimediazd2midizd2(obj_t BgL_envz00_3362, obj_t BgL_oz00_3363, obj_t BgL_vz00_3364)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3363)))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_vz00_3364)),BUNSPEC);} 

}



/* &lambda2374 */
obj_t BGl_z62lambda2374z62zz__multimediazd2midizd2(obj_t BgL_envz00_3365, obj_t BgL_oz00_3366)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3366)))->BgL_afterzd2touchzd2);} 

}



/* &<@anonymous:2369> */
obj_t BGl_z62zc3z04anonymousza32369ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3367)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__multimediazd2midizd2(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369, obj_t BgL_vz00_3370)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3369)))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_vz00_3370)),BUNSPEC);} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__multimediazd2midizd2(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3372)))->BgL_prgmchangez00);} 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3373)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__multimediazd2midizd2(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375, obj_t BgL_vz00_3376)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3375)))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_vz00_3376)),BUNSPEC);} 

}



/* &lambda2360 */
obj_t BGl_z62lambda2360z62zz__multimediazd2midizd2(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3378)))->BgL_ctrlchangez00);} 

}



/* &<@anonymous:2355> */
obj_t BGl_z62zc3z04anonymousza32355ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3379)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2354 */
obj_t BGl_z62lambda2354z62zz__multimediazd2midizd2(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381, obj_t BgL_vz00_3382)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3381)))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_vz00_3382)),BUNSPEC);} 

}



/* &lambda2353 */
obj_t BGl_z62lambda2353z62zz__multimediazd2midizd2(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3384)))->BgL_aftertouchz00);} 

}



/* &<@anonymous:2348> */
obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3385)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2347 */
obj_t BGl_z62lambda2347z62zz__multimediazd2midizd2(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387, obj_t BgL_vz00_3388)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3387)))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_vz00_3388)),BUNSPEC);} 

}



/* &lambda2346 */
obj_t BGl_z62lambda2346z62zz__multimediazd2midizd2(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3390)))->BgL_noteonz00);} 

}



/* &<@anonymous:2341> */
obj_t BGl_z62zc3z04anonymousza32341ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3391)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2340 */
obj_t BGl_z62lambda2340z62zz__multimediazd2midizd2(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3393)))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_vz00_3394)),BUNSPEC);} 

}



/* &lambda2339 */
obj_t BGl_z62lambda2339z62zz__multimediazd2midizd2(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3396)))->BgL_noteoffz00);} 

}



/* &<@anonymous:2334> */
obj_t BGl_z62zc3z04anonymousza32334ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3397)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2333 */
obj_t BGl_z62lambda2333z62zz__multimediazd2midizd2(obj_t BgL_envz00_3398, obj_t BgL_oz00_3399, obj_t BgL_vz00_3400)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3399)))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_vz00_3400)),BUNSPEC);} 

}



/* &lambda2332 */
obj_t BGl_z62lambda2332z62zz__multimediazd2midizd2(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3402)))->BgL_cdelayz00);} 

}



/* &<@anonymous:2327> */
obj_t BGl_z62zc3z04anonymousza32327ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3403)
{
{ /* Llib/midi.scm 52 */
return BGl_errorzd2envzd2zz__errorz00;} 

}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__multimediazd2midizd2(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405, obj_t BgL_vz00_3406)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3405)))->BgL_errz00)=((obj_t)
((obj_t)BgL_vz00_3406)),BUNSPEC);} 

}



/* &lambda2325 */
obj_t BGl_z62lambda2325z62zz__multimediazd2midizd2(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3408)))->BgL_errz00);} 

}



/* &<@anonymous:2274> */
obj_t BGl_z62zc3z04anonymousza32274ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3409, obj_t BgL_new1080z00_3410)
{
{ /* Llib/midi.scm 42 */
{ 
BgL_midireaderz00_bglt BgL_auxz00_7494;
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_peekzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_readzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_readzd2int16zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_readzd2int32zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_readzd2intzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_readzd2vlqzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3410)))->BgL_readzd2charszd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_7494 = 
((BgL_midireaderz00_bglt)BgL_new1080z00_3410); 
return 
((obj_t)BgL_auxz00_7494);} } 

}



/* &lambda2272 */
BgL_midireaderz00_bglt BGl_z62lambda2272z62zz__multimediazd2midizd2(obj_t BgL_envz00_3411)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
BgL_midireaderz00_bglt BgL_new1079z00_4064;
BgL_new1079z00_4064 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
long BgL_arg2273z00_4065;
BgL_arg2273z00_4065 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_4064), BgL_arg2273z00_4065); } 
return BgL_new1079z00_4064;} } 

}



/* &lambda2269 */
BgL_midireaderz00_bglt BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t BgL_envz00_3412, obj_t BgL_peekzd2byte1072zd2_3413, obj_t BgL_readzd2byte1073zd2_3414, obj_t BgL_readzd2int161074zd2_3415, obj_t BgL_readzd2int321075zd2_3416, obj_t BgL_readzd2int1076zd2_3417, obj_t BgL_readzd2vlq1077zd2_3418, obj_t BgL_readzd2chars1078zd2_3419)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
BgL_midireaderz00_bglt BgL_new1182z00_4073;
{ /* Llib/midi.scm 42 */
BgL_midireaderz00_bglt BgL_new1181z00_4074;
BgL_new1181z00_4074 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
long BgL_arg2271z00_4075;
BgL_arg2271z00_4075 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_4074), BgL_arg2271z00_4075); } 
BgL_new1182z00_4073 = BgL_new1181z00_4074; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_peekzd2byte1072zd2_3413)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_readzd2byte1073zd2_3414)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_readzd2int161074zd2_3415)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_readzd2int321075zd2_3416)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_readzd2int1076zd2_3417)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_readzd2vlq1077zd2_3418)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1182z00_4073))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_readzd2chars1078zd2_3419)),BUNSPEC); 
{ /* Llib/midi.scm 42 */
obj_t BgL_fun2270z00_4076;
BgL_fun2270z00_4076 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2270z00_4076)(BgL_fun2270z00_4076, 
((obj_t)BgL_new1182z00_4073), BEOA); } 
return BgL_new1182z00_4073;} } 

}



/* &lambda2309 */
obj_t BGl_z62lambda2309z62zz__multimediazd2midizd2(obj_t BgL_envz00_3420, obj_t BgL_oz00_3421, obj_t BgL_vz00_3422)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3421)))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_vz00_3422)),BUNSPEC);} 

}



/* &lambda2308 */
obj_t BGl_z62lambda2308z62zz__multimediazd2midizd2(obj_t BgL_envz00_3423, obj_t BgL_oz00_3424)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3424)))->BgL_readzd2charszd2);} 

}



/* &lambda2304 */
obj_t BGl_z62lambda2304z62zz__multimediazd2midizd2(obj_t BgL_envz00_3425, obj_t BgL_oz00_3426, obj_t BgL_vz00_3427)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3426)))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_vz00_3427)),BUNSPEC);} 

}



/* &lambda2303 */
obj_t BGl_z62lambda2303z62zz__multimediazd2midizd2(obj_t BgL_envz00_3428, obj_t BgL_oz00_3429)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3429)))->BgL_readzd2vlqzd2);} 

}



/* &lambda2299 */
obj_t BGl_z62lambda2299z62zz__multimediazd2midizd2(obj_t BgL_envz00_3430, obj_t BgL_oz00_3431, obj_t BgL_vz00_3432)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3431)))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_vz00_3432)),BUNSPEC);} 

}



/* &lambda2298 */
obj_t BGl_z62lambda2298z62zz__multimediazd2midizd2(obj_t BgL_envz00_3433, obj_t BgL_oz00_3434)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3434)))->BgL_readzd2intzd2);} 

}



/* &lambda2294 */
obj_t BGl_z62lambda2294z62zz__multimediazd2midizd2(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436, obj_t BgL_vz00_3437)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3436)))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_vz00_3437)),BUNSPEC);} 

}



/* &lambda2293 */
obj_t BGl_z62lambda2293z62zz__multimediazd2midizd2(obj_t BgL_envz00_3438, obj_t BgL_oz00_3439)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3439)))->BgL_readzd2int32zd2);} 

}



/* &lambda2289 */
obj_t BGl_z62lambda2289z62zz__multimediazd2midizd2(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3441)))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_vz00_3442)),BUNSPEC);} 

}



/* &lambda2288 */
obj_t BGl_z62lambda2288z62zz__multimediazd2midizd2(obj_t BgL_envz00_3443, obj_t BgL_oz00_3444)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3444)))->BgL_readzd2int16zd2);} 

}



/* &lambda2284 */
obj_t BGl_z62lambda2284z62zz__multimediazd2midizd2(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3446)))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3447)),BUNSPEC);} 

}



/* &lambda2283 */
obj_t BGl_z62lambda2283z62zz__multimediazd2midizd2(obj_t BgL_envz00_3448, obj_t BgL_oz00_3449)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3449)))->BgL_readzd2bytezd2);} 

}



/* &lambda2279 */
obj_t BGl_z62lambda2279z62zz__multimediazd2midizd2(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451, obj_t BgL_vz00_3452)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3451)))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3452)),BUNSPEC);} 

}



/* &lambda2278 */
obj_t BGl_z62lambda2278z62zz__multimediazd2midizd2(obj_t BgL_envz00_3453, obj_t BgL_oz00_3454)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3454)))->BgL_peekzd2bytezd2);} 

}



/* &<@anonymous:2168> */
obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3455, obj_t BgL_new1070z00_3456)
{
{ /* Llib/midi.scm 24 */
{ 
BgL_miditrackz00_bglt BgL_auxz00_7574;
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_z52streamz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_midireaderz00_bglt BgL_auxz00_7577;
{ /* Llib/midi.scm 24 */
obj_t BgL_classz00_4099;
BgL_classz00_4099 = BGl_midireaderz00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 24 */
obj_t BgL__ortest_1111z00_4100;
BgL__ortest_1111z00_4100 = 
BGL_CLASS_NIL(BgL_classz00_4099); 
if(
CBOOL(BgL__ortest_1111z00_4100))
{ /* Llib/midi.scm 24 */
BgL_auxz00_7577 = 
((BgL_midireaderz00_bglt)BgL__ortest_1111z00_4100)
; }  else 
{ /* Llib/midi.scm 24 */
BgL_auxz00_7577 = 
((BgL_midireaderz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4099))
; } } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BgL_auxz00_7577),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_z52closez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_z52wtickz52)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_lenz00)=((int32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_ipz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_wtickz00)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_statusz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3456)))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_7574 = 
((BgL_miditrackz00_bglt)BgL_new1070z00_3456); 
return 
((obj_t)BgL_auxz00_7574);} } 

}



/* &lambda2166 */
BgL_miditrackz00_bglt BGl_z62lambda2166z62zz__multimediazd2midizd2(obj_t BgL_envz00_3457)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
BgL_miditrackz00_bglt BgL_new1069z00_4101;
BgL_new1069z00_4101 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
long BgL_arg2167z00_4102;
BgL_arg2167z00_4102 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4101), BgL_arg2167z00_4102); } 
return BgL_new1069z00_4101;} } 

}



/* &lambda2163 */
BgL_miditrackz00_bglt BGl_z62lambda2163z62zz__multimediazd2midizd2(obj_t BgL_envz00_3458, obj_t BgL_z52stream1055z52_3459, obj_t BgL_z52reader1056z52_3460, obj_t BgL_z52close1057z52_3461, obj_t BgL_z52eot1058z52_3462, obj_t BgL_z52wtick1059z52_3463, obj_t BgL_z52status1060z52_3464, obj_t BgL_len1061z00_3465, obj_t BgL_tempo1062z00_3466, obj_t BgL_ip1063z00_3467, obj_t BgL_start1064z00_3468, obj_t BgL_datastart1065z00_3469, obj_t BgL_wtick1066z00_3470, obj_t BgL_status1067z00_3471, obj_t BgL_eot1068z00_3472)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
bool_t BgL_z52eot1058z52_4105;uint32_t BgL_z52wtick1059z52_4106;long BgL_z52status1060z52_4107;int32_t BgL_len1061z00_4108;long BgL_tempo1062z00_4109;long BgL_start1064z00_4110;long BgL_datastart1065z00_4111;uint32_t BgL_wtick1066z00_4112;long BgL_status1067z00_4113;bool_t BgL_eot1068z00_4114;
BgL_z52eot1058z52_4105 = 
CBOOL(BgL_z52eot1058z52_3462); 
BgL_z52wtick1059z52_4106 = 
BGL_BUINT32_TO_UINT32(BgL_z52wtick1059z52_3463); 
BgL_z52status1060z52_4107 = 
(long)CINT(BgL_z52status1060z52_3464); 
BgL_len1061z00_4108 = 
BGL_BINT32_TO_INT32(BgL_len1061z00_3465); 
BgL_tempo1062z00_4109 = 
(long)CINT(BgL_tempo1062z00_3466); 
BgL_start1064z00_4110 = 
(long)CINT(BgL_start1064z00_3468); 
BgL_datastart1065z00_4111 = 
(long)CINT(BgL_datastart1065z00_3469); 
BgL_wtick1066z00_4112 = 
BGL_BUINT32_TO_UINT32(BgL_wtick1066z00_3470); 
BgL_status1067z00_4113 = 
(long)CINT(BgL_status1067z00_3471); 
BgL_eot1068z00_4114 = 
CBOOL(BgL_eot1068z00_3472); 
{ /* Llib/midi.scm 24 */
BgL_miditrackz00_bglt BgL_new1180z00_4115;
{ /* Llib/midi.scm 24 */
BgL_miditrackz00_bglt BgL_new1179z00_4116;
BgL_new1179z00_4116 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
long BgL_arg2165z00_4117;
BgL_arg2165z00_4117 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_4116), BgL_arg2165z00_4117); } 
BgL_new1180z00_4115 = BgL_new1179z00_4116; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_z52streamz52)=((obj_t)BgL_z52stream1055z52_3459),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_z52reader1056z52_3460)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_z52close1057z52_3461)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_z52eotz52)=((bool_t)BgL_z52eot1058z52_4105),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_z52wtickz52)=((uint32_t)BgL_z52wtick1059z52_4106),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_z52statusz52)=((long)BgL_z52status1060z52_4107),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_lenz00)=((int32_t)BgL_len1061z00_4108),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_tempoz00)=((long)BgL_tempo1062z00_4109),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_ipz00)=((obj_t)BgL_ip1063z00_3467),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_startz00)=((long)BgL_start1064z00_4110),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_datastartz00)=((long)BgL_datastart1065z00_4111),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_wtickz00)=((uint32_t)BgL_wtick1066z00_4112),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_statusz00)=((long)BgL_status1067z00_4113),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1180z00_4115))->BgL_eotz00)=((bool_t)BgL_eot1068z00_4114),BUNSPEC); 
{ /* Llib/midi.scm 24 */
obj_t BgL_fun2164z00_4118;
BgL_fun2164z00_4118 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2164z00_4118)(BgL_fun2164z00_4118, 
((obj_t)BgL_new1180z00_4115), BEOA); } 
return BgL_new1180z00_4115;} } } 

}



/* &<@anonymous:2263> */
obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3473)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2262 */
obj_t BGl_z62lambda2262z62zz__multimediazd2midizd2(obj_t BgL_envz00_3474, obj_t BgL_oz00_3475, obj_t BgL_vz00_3476)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
bool_t BgL_vz00_4120;
BgL_vz00_4120 = 
CBOOL(BgL_vz00_3476); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3475)))->BgL_eotz00)=((bool_t)BgL_vz00_4120),BUNSPEC);} } 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__multimediazd2midizd2(obj_t BgL_envz00_3477, obj_t BgL_oz00_3478)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3478)))->BgL_eotz00));} 

}



/* &<@anonymous:2256> */
obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3479)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)-1));} 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t BgL_envz00_3480, obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4123;
BgL_vz00_4123 = 
(long)CINT(BgL_vz00_3482); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3481)))->BgL_statusz00)=((long)BgL_vz00_4123),BUNSPEC);} } 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t BgL_envz00_3483, obj_t BgL_oz00_3484)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3484)))->BgL_statusz00));} 

}



/* &<@anonymous:2249> */
obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3485)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2248 */
obj_t BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487, obj_t BgL_vz00_3488)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_vz00_4126;
BgL_vz00_4126 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3488); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3487)))->BgL_wtickz00)=((uint32_t)BgL_vz00_4126),BUNSPEC);} } 

}



/* &lambda2247 */
obj_t BGl_z62lambda2247z62zz__multimediazd2midizd2(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_tmpz00_7673;
BgL_tmpz00_7673 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3490)))->BgL_wtickz00); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_7673);} } 

}



/* &<@anonymous:2242> */
obj_t BGl_z62zc3z04anonymousza32242ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3491)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2241 */
obj_t BGl_z62lambda2241z62zz__multimediazd2midizd2(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4129;
BgL_vz00_4129 = 
(long)CINT(BgL_vz00_3494); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3493)))->BgL_datastartz00)=((long)BgL_vz00_4129),BUNSPEC);} } 

}



/* &lambda2240 */
obj_t BGl_z62lambda2240z62zz__multimediazd2midizd2(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3496)))->BgL_datastartz00));} 

}



/* &<@anonymous:2235> */
obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3497)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2234 */
obj_t BGl_z62lambda2234z62zz__multimediazd2midizd2(obj_t BgL_envz00_3498, obj_t BgL_oz00_3499, obj_t BgL_vz00_3500)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4132;
BgL_vz00_4132 = 
(long)CINT(BgL_vz00_3500); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3499)))->BgL_startz00)=((long)BgL_vz00_4132),BUNSPEC);} } 

}



/* &lambda2233 */
obj_t BGl_z62lambda2233z62zz__multimediazd2midizd2(obj_t BgL_envz00_3501, obj_t BgL_oz00_3502)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3502)))->BgL_startz00));} 

}



/* &<@anonymous:2228> */
obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3503)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2227 */
obj_t BGl_z62lambda2227z62zz__multimediazd2midizd2(obj_t BgL_envz00_3504, obj_t BgL_oz00_3505, obj_t BgL_vz00_3506)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3505)))->BgL_ipz00)=((obj_t)BgL_vz00_3506),BUNSPEC);} 

}



/* &lambda2226 */
obj_t BGl_z62lambda2226z62zz__multimediazd2midizd2(obj_t BgL_envz00_3507, obj_t BgL_oz00_3508)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3508)))->BgL_ipz00);} 

}



/* &<@anonymous:2221> */
obj_t BGl_z62zc3z04anonymousza32221ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3509)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)500000));} 

}



/* &lambda2220 */
obj_t BGl_z62lambda2220z62zz__multimediazd2midizd2(obj_t BgL_envz00_3510, obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4137;
BgL_vz00_4137 = 
(long)CINT(BgL_vz00_3512); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3511)))->BgL_tempoz00)=((long)BgL_vz00_4137),BUNSPEC);} } 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__multimediazd2midizd2(obj_t BgL_envz00_3513, obj_t BgL_oz00_3514)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3514)))->BgL_tempoz00));} 

}



/* &<@anonymous:2214> */
obj_t BGl_z62zc3z04anonymousza32214ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3515)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__multimediazd2midizd2(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517, obj_t BgL_vz00_3518)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
int32_t BgL_vz00_4140;
BgL_vz00_4140 = 
BGL_BINT32_TO_INT32(BgL_vz00_3518); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3517)))->BgL_lenz00)=((int32_t)BgL_vz00_4140),BUNSPEC);} } 

}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__multimediazd2midizd2(obj_t BgL_envz00_3519, obj_t BgL_oz00_3520)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
int32_t BgL_tmpz00_7707;
BgL_tmpz00_7707 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3520)))->BgL_lenz00); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_7707);} } 

}



/* &<@anonymous:2207> */
obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3521)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2206 */
obj_t BGl_z62lambda2206z62zz__multimediazd2midizd2(obj_t BgL_envz00_3522, obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4143;
BgL_vz00_4143 = 
(long)CINT(BgL_vz00_3524); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3523)))->BgL_z52statusz52)=((long)BgL_vz00_4143),BUNSPEC);} } 

}



/* &lambda2205 */
obj_t BGl_z62lambda2205z62zz__multimediazd2midizd2(obj_t BgL_envz00_3525, obj_t BgL_oz00_3526)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3526)))->BgL_z52statusz52));} 

}



/* &<@anonymous:2200> */
obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3527)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2199 */
obj_t BGl_z62lambda2199z62zz__multimediazd2midizd2(obj_t BgL_envz00_3528, obj_t BgL_oz00_3529, obj_t BgL_vz00_3530)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_vz00_4146;
BgL_vz00_4146 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3530); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3529)))->BgL_z52wtickz52)=((uint32_t)BgL_vz00_4146),BUNSPEC);} } 

}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__multimediazd2midizd2(obj_t BgL_envz00_3531, obj_t BgL_oz00_3532)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_tmpz00_7722;
BgL_tmpz00_7722 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3532)))->BgL_z52wtickz52); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_7722);} } 

}



/* &<@anonymous:2193> */
obj_t BGl_z62zc3z04anonymousza32193ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3533)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t BgL_envz00_3534, obj_t BgL_oz00_3535, obj_t BgL_vz00_3536)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
bool_t BgL_vz00_4149;
BgL_vz00_4149 = 
CBOOL(BgL_vz00_3536); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3535)))->BgL_z52eotz52)=((bool_t)BgL_vz00_4149),BUNSPEC);} } 

}



/* &lambda2191 */
obj_t BGl_z62lambda2191z62zz__multimediazd2midizd2(obj_t BgL_envz00_3537, obj_t BgL_oz00_3538)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3538)))->BgL_z52eotz52));} 

}



/* &lambda2186 */
obj_t BGl_z62lambda2186z62zz__multimediazd2midizd2(obj_t BgL_envz00_3539, obj_t BgL_oz00_3540, obj_t BgL_vz00_3541)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3540)))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_vz00_3541)),BUNSPEC);} 

}



/* &lambda2185 */
obj_t BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t BgL_envz00_3542, obj_t BgL_oz00_3543)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3543)))->BgL_z52closez52);} 

}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__multimediazd2midizd2(obj_t BgL_envz00_3544, obj_t BgL_oz00_3545, obj_t BgL_vz00_3546)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3545)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_vz00_3546)),BUNSPEC);} 

}



/* &lambda2180 */
BgL_midireaderz00_bglt BGl_z62lambda2180z62zz__multimediazd2midizd2(obj_t BgL_envz00_3547, obj_t BgL_oz00_3548)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3548)))->BgL_z52readerz52);} 

}



/* &<@anonymous:2175> */
obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3549)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2174 */
obj_t BGl_z62lambda2174z62zz__multimediazd2midizd2(obj_t BgL_envz00_3550, obj_t BgL_oz00_3551, obj_t BgL_vz00_3552)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3551)))->BgL_z52streamz52)=((obj_t)BgL_vz00_3552),BUNSPEC);} 

}



/* &lambda2173 */
obj_t BGl_z62lambda2173z62zz__multimediazd2midizd2(obj_t BgL_envz00_3553, obj_t BgL_oz00_3554)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3554)))->BgL_z52streamz52);} 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3555, obj_t BgL_new1053z00_3556)
{
{ /* Llib/midi.scm 17 */
{ 
BgL_midiscorez00_bglt BgL_auxz00_7748;
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3556)))->BgL_formatz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3556)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3556)))->BgL_ppqz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3556)))->BgL_tracksz00)=((obj_t)
CNST_TABLE_REF(((long)75))),BUNSPEC); 
BgL_auxz00_7748 = 
((BgL_midiscorez00_bglt)BgL_new1053z00_3556); 
return 
((obj_t)BgL_auxz00_7748);} } 

}



/* &lambda2129 */
BgL_midiscorez00_bglt BGl_z62lambda2129z62zz__multimediazd2midizd2(obj_t BgL_envz00_3557)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
BgL_midiscorez00_bglt BgL_new1052z00_4160;
BgL_new1052z00_4160 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
long BgL_arg2130z00_4161;
BgL_arg2130z00_4161 = 
BGL_CLASS_INDEX(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_4160), BgL_arg2130z00_4161); } 
return BgL_new1052z00_4160;} } 

}



/* &lambda2126 */
BgL_midiscorez00_bglt BGl_z62lambda2126z62zz__multimediazd2midizd2(obj_t BgL_envz00_3558, obj_t BgL_format1048z00_3559, obj_t BgL_tempo1049z00_3560, obj_t BgL_ppq1050z00_3561, obj_t BgL_tracks1051z00_3562)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_format1048z00_4162;long BgL_tempo1049z00_4163;long BgL_ppq1050z00_4164;
BgL_format1048z00_4162 = 
(long)CINT(BgL_format1048z00_3559); 
BgL_tempo1049z00_4163 = 
(long)CINT(BgL_tempo1049z00_3560); 
BgL_ppq1050z00_4164 = 
(long)CINT(BgL_ppq1050z00_3561); 
{ /* Llib/midi.scm 17 */
BgL_midiscorez00_bglt BgL_new1178z00_4166;
{ /* Llib/midi.scm 17 */
BgL_midiscorez00_bglt BgL_new1177z00_4167;
BgL_new1177z00_4167 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
long BgL_arg2128z00_4168;
BgL_arg2128z00_4168 = 
BGL_CLASS_INDEX(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_4167), BgL_arg2128z00_4168); } 
BgL_new1178z00_4166 = BgL_new1177z00_4167; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1178z00_4166))->BgL_formatz00)=((long)BgL_format1048z00_4162),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1178z00_4166))->BgL_tempoz00)=((long)BgL_tempo1049z00_4163),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1178z00_4166))->BgL_ppqz00)=((long)BgL_ppq1050z00_4164),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1178z00_4166))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_tracks1051z00_3562)),BUNSPEC); 
{ /* Llib/midi.scm 17 */
obj_t BgL_fun2127z00_4169;
BgL_fun2127z00_4169 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2127z00_4169)(BgL_fun2127z00_4169, 
((obj_t)BgL_new1178z00_4166), BEOA); } 
return BgL_new1178z00_4166;} } } 

}



/* &<@anonymous:2157> */
obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3563)
{
{ /* Llib/midi.scm 17 */
return 
CNST_TABLE_REF(((long)75));} 

}



/* &lambda2156 */
obj_t BGl_z62lambda2156z62zz__multimediazd2midizd2(obj_t BgL_envz00_3564, obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
{
{ /* Llib/midi.scm 17 */
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3565)))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_vz00_3566)),BUNSPEC);} 

}



/* &lambda2155 */
obj_t BGl_z62lambda2155z62zz__multimediazd2midizd2(obj_t BgL_envz00_3567, obj_t BgL_oz00_3568)
{
{ /* Llib/midi.scm 17 */
return 
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3568)))->BgL_tracksz00);} 

}



/* &<@anonymous:2150> */
obj_t BGl_z62zc3z04anonymousza32150ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3569)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)96));} 

}



/* &lambda2149 */
obj_t BGl_z62lambda2149z62zz__multimediazd2midizd2(obj_t BgL_envz00_3570, obj_t BgL_oz00_3571, obj_t BgL_vz00_3572)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_vz00_4174;
BgL_vz00_4174 = 
(long)CINT(BgL_vz00_3572); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3571)))->BgL_ppqz00)=((long)BgL_vz00_4174),BUNSPEC);} } 

}



/* &lambda2148 */
obj_t BGl_z62lambda2148z62zz__multimediazd2midizd2(obj_t BgL_envz00_3573, obj_t BgL_oz00_3574)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3574)))->BgL_ppqz00));} 

}



/* &<@anonymous:2143> */
obj_t BGl_z62zc3z04anonymousza32143ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3575)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)500000));} 

}



/* &lambda2142 */
obj_t BGl_z62lambda2142z62zz__multimediazd2midizd2(obj_t BgL_envz00_3576, obj_t BgL_oz00_3577, obj_t BgL_vz00_3578)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_vz00_4177;
BgL_vz00_4177 = 
(long)CINT(BgL_vz00_3578); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3577)))->BgL_tempoz00)=((long)BgL_vz00_4177),BUNSPEC);} } 

}



/* &lambda2141 */
obj_t BGl_z62lambda2141z62zz__multimediazd2midizd2(obj_t BgL_envz00_3579, obj_t BgL_oz00_3580)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3580)))->BgL_tempoz00));} 

}



/* &lambda2136 */
obj_t BGl_z62lambda2136z62zz__multimediazd2midizd2(obj_t BgL_envz00_3581, obj_t BgL_oz00_3582, obj_t BgL_vz00_3583)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_vz00_4180;
BgL_vz00_4180 = 
(long)CINT(BgL_vz00_3583); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3582)))->BgL_formatz00)=((long)BgL_vz00_4180),BUNSPEC);} } 

}



/* &lambda2135 */
obj_t BGl_z62lambda2135z62zz__multimediazd2midizd2(obj_t BgL_envz00_3584, obj_t BgL_oz00_3585)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3585)))->BgL_formatz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3026z00zz__multimediazd2midizd2, BGl_midiscorez00zz__multimediazd2midizd2, BGl_string3027z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3028z00zz__multimediazd2midizd2, BGl_miditrackz00zz__multimediazd2midizd2, BGl_string3029z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3030z00zz__multimediazd2midizd2, BGl_midireaderz00zz__multimediazd2midizd2, BGl_string3031z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3032z00zz__multimediazd2midizd2, BGl_midiplayerz00zz__multimediazd2midizd2, BGl_string3033z00zz__multimediazd2midizd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3034z00zz__multimediazd2midizd2, BGl_midisinkz00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2);} 

}



/* &midisink-init1239 */
obj_t BGl_z62midisinkzd2init1239zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3601, obj_t BgL_msinkz00_3602)
{
{ /* Llib/midi.scm 987 */
return 
((obj_t)
((BgL_midisinkz00_bglt)BgL_msinkz00_3602));} 

}



/* &midiplayer-init1237 */
obj_t BGl_z62midiplayerzd2init1237zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3603, obj_t BgL_mplayerz00_3604)
{
{ /* Llib/midi.scm 981 */
return 
((obj_t)
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3604));} 

}



/* &midireader-init1235 */
obj_t BGl_z62midireaderzd2init1235zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3605, obj_t BgL_mreaderz00_3606)
{
{ /* Llib/midi.scm 975 */
return 
((obj_t)
((BgL_midireaderz00_bglt)BgL_mreaderz00_3606));} 

}



/* &miditrack-init1233 */
obj_t BGl_z62miditrackzd2init1233zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3607, obj_t BgL_mtrackz00_3608)
{
{ /* Llib/midi.scm 969 */
return 
((obj_t)
((BgL_miditrackz00_bglt)BgL_mtrackz00_3608));} 

}



/* &midiscore-init1231 */
obj_t BGl_z62midiscorezd2init1231zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3609, obj_t BgL_mscorez00_3610)
{
{ /* Llib/midi.scm 963 */
return 
((obj_t)
((BgL_midiscorez00_bglt)BgL_mscorez00_3610));} 

}



/* midiscore-init */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_63)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
obj_t BgL_method1232z00_1858;
{ /* Llib/midi.scm 963 */
obj_t BgL_res2577z00_2595;
{ /* Llib/midi.scm 963 */
long BgL_objzd2classzd2numz00_2566;
BgL_objzd2classzd2numz00_2566 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mscorez00_63)); 
{ /* Llib/midi.scm 963 */
obj_t BgL_arg1757z00_2567;
BgL_arg1757z00_2567 = 
PROCEDURE_REF(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 963 */
int BgL_offsetz00_2570;
BgL_offsetz00_2570 = 
(int)(BgL_objzd2classzd2numz00_2566); 
{ /* Llib/midi.scm 963 */
long BgL_offsetz00_2571;
BgL_offsetz00_2571 = 
(
(long)(BgL_offsetz00_2570)-OBJECT_TYPE); 
{ /* Llib/midi.scm 963 */
long BgL_modz00_2572;
BgL_modz00_2572 = 
(BgL_offsetz00_2571 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 963 */
long BgL_restz00_2574;
BgL_restz00_2574 = 
(BgL_offsetz00_2571 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 963 */

{ /* Llib/midi.scm 963 */
obj_t BgL_bucketz00_2576;
BgL_bucketz00_2576 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2567),BgL_modz00_2572); 
BgL_res2577z00_2595 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2576),BgL_restz00_2574); } } } } } } } } 
BgL_method1232z00_1858 = BgL_res2577z00_2595; } 
return 
PROCEDURE_ENTRY(BgL_method1232z00_1858)(BgL_method1232z00_1858, 
((obj_t)BgL_mscorez00_63), BEOA);} } 

}



/* &midiscore-init */
obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3586, obj_t BgL_mscorez00_3587)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
BgL_midiscorez00_bglt BgL_auxz00_7853;
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_3587, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 963 */
BgL_auxz00_7853 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_3587)
; }  else 
{ 
obj_t BgL_auxz00_7857;
BgL_auxz00_7857 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)36209)), BGl_string3036z00zz__multimediazd2midizd2, BGl_string2804z00zz__multimediazd2midizd2, BgL_mscorez00_3587); 
FAILURE(BgL_auxz00_7857,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_auxz00_7853);} } 

}



/* miditrack-init */
BGL_EXPORTED_DEF obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_mtrackz00_64)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
obj_t BgL_method1234z00_1859;
{ /* Llib/midi.scm 969 */
obj_t BgL_res2582z00_2626;
{ /* Llib/midi.scm 969 */
long BgL_objzd2classzd2numz00_2597;
BgL_objzd2classzd2numz00_2597 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mtrackz00_64)); 
{ /* Llib/midi.scm 969 */
obj_t BgL_arg1757z00_2598;
BgL_arg1757z00_2598 = 
PROCEDURE_REF(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 969 */
int BgL_offsetz00_2601;
BgL_offsetz00_2601 = 
(int)(BgL_objzd2classzd2numz00_2597); 
{ /* Llib/midi.scm 969 */
long BgL_offsetz00_2602;
BgL_offsetz00_2602 = 
(
(long)(BgL_offsetz00_2601)-OBJECT_TYPE); 
{ /* Llib/midi.scm 969 */
long BgL_modz00_2603;
BgL_modz00_2603 = 
(BgL_offsetz00_2602 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 969 */
long BgL_restz00_2605;
BgL_restz00_2605 = 
(BgL_offsetz00_2602 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 969 */

{ /* Llib/midi.scm 969 */
obj_t BgL_bucketz00_2607;
BgL_bucketz00_2607 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2598),BgL_modz00_2603); 
BgL_res2582z00_2626 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2607),BgL_restz00_2605); } } } } } } } } 
BgL_method1234z00_1859 = BgL_res2582z00_2626; } 
return 
PROCEDURE_ENTRY(BgL_method1234z00_1859)(BgL_method1234z00_1859, 
((obj_t)BgL_mtrackz00_64), BEOA);} } 

}



/* &miditrack-init */
obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3588, obj_t BgL_mtrackz00_3589)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
BgL_miditrackz00_bglt BgL_auxz00_7892;
if(
BGl_isazf3zf3zz__objectz00(BgL_mtrackz00_3589, BGl_miditrackz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 969 */
BgL_auxz00_7892 = 
((BgL_miditrackz00_bglt)BgL_mtrackz00_3589)
; }  else 
{ 
obj_t BgL_auxz00_7896;
BgL_auxz00_7896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)36494)), BGl_string3037z00zz__multimediazd2midizd2, BGl_string2826z00zz__multimediazd2midizd2, BgL_mtrackz00_3589); 
FAILURE(BgL_auxz00_7896,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_7892);} } 

}



/* midireader-init */
BGL_EXPORTED_DEF obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt BgL_mreaderz00_65)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
obj_t BgL_method1236z00_1860;
{ /* Llib/midi.scm 975 */
obj_t BgL_res2587z00_2657;
{ /* Llib/midi.scm 975 */
long BgL_objzd2classzd2numz00_2628;
BgL_objzd2classzd2numz00_2628 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mreaderz00_65)); 
{ /* Llib/midi.scm 975 */
obj_t BgL_arg1757z00_2629;
BgL_arg1757z00_2629 = 
PROCEDURE_REF(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 975 */
int BgL_offsetz00_2632;
BgL_offsetz00_2632 = 
(int)(BgL_objzd2classzd2numz00_2628); 
{ /* Llib/midi.scm 975 */
long BgL_offsetz00_2633;
BgL_offsetz00_2633 = 
(
(long)(BgL_offsetz00_2632)-OBJECT_TYPE); 
{ /* Llib/midi.scm 975 */
long BgL_modz00_2634;
BgL_modz00_2634 = 
(BgL_offsetz00_2633 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 975 */
long BgL_restz00_2636;
BgL_restz00_2636 = 
(BgL_offsetz00_2633 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 975 */

{ /* Llib/midi.scm 975 */
obj_t BgL_bucketz00_2638;
BgL_bucketz00_2638 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2629),BgL_modz00_2634); 
BgL_res2587z00_2657 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2638),BgL_restz00_2636); } } } } } } } } 
BgL_method1236z00_1860 = BgL_res2587z00_2657; } 
return 
PROCEDURE_ENTRY(BgL_method1236z00_1860)(BgL_method1236z00_1860, 
((obj_t)BgL_mreaderz00_65), BEOA);} } 

}



/* &midireader-init */
obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3590, obj_t BgL_mreaderz00_3591)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
BgL_midireaderz00_bglt BgL_auxz00_7931;
if(
BGl_isazf3zf3zz__objectz00(BgL_mreaderz00_3591, BGl_midireaderz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 975 */
BgL_auxz00_7931 = 
((BgL_midireaderz00_bglt)BgL_mreaderz00_3591)
; }  else 
{ 
obj_t BgL_auxz00_7935;
BgL_auxz00_7935 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)36779)), BGl_string3038z00zz__multimediazd2midizd2, BGl_string3039z00zz__multimediazd2midizd2, BgL_mreaderz00_3591); 
FAILURE(BgL_auxz00_7935,BFALSE,BFALSE);} 
return 
BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_7931);} } 

}



/* midiplayer-init */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mplayerz00_66)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
obj_t BgL_method1238z00_1861;
{ /* Llib/midi.scm 981 */
obj_t BgL_res2592z00_2688;
{ /* Llib/midi.scm 981 */
long BgL_objzd2classzd2numz00_2659;
BgL_objzd2classzd2numz00_2659 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mplayerz00_66)); 
{ /* Llib/midi.scm 981 */
obj_t BgL_arg1757z00_2660;
BgL_arg1757z00_2660 = 
PROCEDURE_REF(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 981 */
int BgL_offsetz00_2663;
BgL_offsetz00_2663 = 
(int)(BgL_objzd2classzd2numz00_2659); 
{ /* Llib/midi.scm 981 */
long BgL_offsetz00_2664;
BgL_offsetz00_2664 = 
(
(long)(BgL_offsetz00_2663)-OBJECT_TYPE); 
{ /* Llib/midi.scm 981 */
long BgL_modz00_2665;
BgL_modz00_2665 = 
(BgL_offsetz00_2664 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 981 */
long BgL_restz00_2667;
BgL_restz00_2667 = 
(BgL_offsetz00_2664 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 981 */

{ /* Llib/midi.scm 981 */
obj_t BgL_bucketz00_2669;
BgL_bucketz00_2669 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2660),BgL_modz00_2665); 
BgL_res2592z00_2688 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2669),BgL_restz00_2667); } } } } } } } } 
BgL_method1238z00_1861 = BgL_res2592z00_2688; } 
return 
PROCEDURE_ENTRY(BgL_method1238z00_1861)(BgL_method1238z00_1861, 
((obj_t)BgL_mplayerz00_66), BEOA);} } 

}



/* &midiplayer-init */
obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3592, obj_t BgL_mplayerz00_3593)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
BgL_midiplayerz00_bglt BgL_auxz00_7970;
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_3593, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 981 */
BgL_auxz00_7970 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3593)
; }  else 
{ 
obj_t BgL_auxz00_7974;
BgL_auxz00_7974 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37068)), BGl_string3040z00zz__multimediazd2midizd2, BGl_string2805z00zz__multimediazd2midizd2, BgL_mplayerz00_3593); 
FAILURE(BgL_auxz00_7974,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_7970);} } 

}



/* midisink-init */
BGL_EXPORTED_DEF obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt BgL_msinkz00_67)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
obj_t BgL_method1240z00_1862;
{ /* Llib/midi.scm 987 */
obj_t BgL_res2597z00_2719;
{ /* Llib/midi.scm 987 */
long BgL_objzd2classzd2numz00_2690;
BgL_objzd2classzd2numz00_2690 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_msinkz00_67)); 
{ /* Llib/midi.scm 987 */
obj_t BgL_arg1757z00_2691;
BgL_arg1757z00_2691 = 
PROCEDURE_REF(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 987 */
int BgL_offsetz00_2694;
BgL_offsetz00_2694 = 
(int)(BgL_objzd2classzd2numz00_2690); 
{ /* Llib/midi.scm 987 */
long BgL_offsetz00_2695;
BgL_offsetz00_2695 = 
(
(long)(BgL_offsetz00_2694)-OBJECT_TYPE); 
{ /* Llib/midi.scm 987 */
long BgL_modz00_2696;
BgL_modz00_2696 = 
(BgL_offsetz00_2695 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 987 */
long BgL_restz00_2698;
BgL_restz00_2698 = 
(BgL_offsetz00_2695 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 987 */

{ /* Llib/midi.scm 987 */
obj_t BgL_bucketz00_2700;
BgL_bucketz00_2700 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2691),BgL_modz00_2696); 
BgL_res2597z00_2719 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2700),BgL_restz00_2698); } } } } } } } } 
BgL_method1240z00_1862 = BgL_res2597z00_2719; } 
return 
PROCEDURE_ENTRY(BgL_method1240z00_1862)(BgL_method1240z00_1862, 
((obj_t)BgL_msinkz00_67), BEOA);} } 

}



/* &midisink-init */
obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3594, obj_t BgL_msinkz00_3595)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
BgL_midisinkz00_bglt BgL_auxz00_8009;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_3595, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 987 */
BgL_auxz00_8009 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_3595)
; }  else 
{ 
obj_t BgL_auxz00_8013;
BgL_auxz00_8013 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2793z00zz__multimediazd2midizd2, 
BINT(((long)37357)), BGl_string3041z00zz__multimediazd2midizd2, BGl_string2806z00zz__multimediazd2midizd2, BgL_msinkz00_3595); 
FAILURE(BgL_auxz00_8013,BFALSE,BFALSE);} 
return 
BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_8009);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
