/*===========================================================================*/
/*   (Llib/ssl.scm)                                                          */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -copt -I. -copt -fPIC -copt -IC Llib/ssl.scm -o objs/ssl.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_certificatez00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_certificatez00_bglt;

typedef struct BgL_privatezd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_privatezd2keyzd2_bglt;

typedef struct BgL_securezd2contextzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42cazd2storez90;
   obj_t BgL_methodz00;
} *BgL_securezd2contextzd2_bglt;

typedef struct BgL_sslzd2connectionzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42biozd2readz90;
   void * BgL_z42biozd2writez90;
   void * BgL_z42nextzd2sessionz90;
   struct BgL_securezd2contextzd2_bgl * BgL_ctxz00;
   bool_t BgL_isserverz00;
   bool_t BgL_requestzd2certzd2;
   obj_t BgL_serverzd2namezd2;
   bool_t BgL_rejectzd2unauthoriza7edz75;
   obj_t BgL_infozd2callbackzd2;
   obj_t BgL_snizd2contextzd2callbackz00;
   obj_t BgL_newsessionzd2callbackzd2;
   obj_t BgL_selectedzd2npnzd2protosz00;
   obj_t BgL_npnzd2protoszd2;
   obj_t BgL_errz00;
   bool_t BgL_receivedzd2shutdownzd2;
   bool_t BgL_sentzd2shutdownzd2;
} *BgL_sslzd2connectionzd2_bglt;

typedef struct BgL_dhz00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z52pz52;
   void * BgL_z52qz52;
   void * BgL_z52gz52;
   void * BgL_z52pubz52;
   void * BgL_z52privz52;
} *BgL_dhz00_bglt;

typedef struct BgL_sslzd2hashzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
   obj_t BgL_typez00;
} *BgL_sslzd2hashzd2_bglt;

typedef struct BgL_sslzd2hmaczd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2hmaczd2_bglt;

typedef struct BgL_sslzd2signzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2signzd2_bglt;

typedef struct BgL_sslzd2verifyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2verifyzd2_bglt;

typedef struct BgL_sslzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42cipherz42;
   void * BgL_z42cipherzd2ctxz90;
} *BgL_sslzd2cipherzd2_bglt;


BGL_EXPORTED_DECL bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_initiv(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
extern obj_t bgl_ssl_ctx_init(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_private_key(obj_t);
static obj_t BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check_pub_key(void *, void *);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_pkcs5_pbkdf2_hmac_sha1(obj_t, obj_t, int, int);
static obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31846ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1851z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1932z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1771z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1852z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_close(BgL_sslzd2connectionzd2_bglt);
static BgL_certificatez00_bglt BGl_z62lambda1773z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1859z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1779z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_certificatez00zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31790ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1860z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1780z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_make_ssl_server_socket(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, int, bool_t);
static obj_t BGl_z62lambda1866z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1786z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1867z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1788z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2newzd2zz__ssl_sslz00();
static obj_t BGl_z62zc3z04anonymousza32012ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_ctx_set_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31775ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31694ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1872z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1873z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();
static obj_t BGl_z62lambda1794z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1795z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1877z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1878z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
extern bool_t bgl_ssl_ctx_add_ca_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_sign_sign(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static BgL_dhz00_bglt BGl_z62lambda1961z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda1964z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_cipher_init(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt, int, obj_t);
static obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1971z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_evp_get_ciphers();
static obj_t BGl_z62lambda1891z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1972z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1978z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32112ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1985z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62lambda1986z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_crl(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL char * BGl_sslzd2versionzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32032ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_set_key(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zz__ssl_sslz00 = BUNSPEC;
extern obj_t bgl_ssl_error_string();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern void * bgl_dh_public_key(void *);
static obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31868ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1992z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1993z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1999z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32203ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32033ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t, obj_t, int, int);
static obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_cipher_set_auto_padding(BgL_sslzd2cipherzd2_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32220ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32042ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
BGL_EXPORTED_DECL BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00();
extern obj_t bgl_cipher_final(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32213ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_dh_private_key(void *);
BGL_EXPORTED_DECL obj_t bgl_make_certificate(void *);
static obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int);
static obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hmac_digest(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t bgl_dh_check(void *);
static obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_sslz00();
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hash_init(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32126ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00();
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
extern obj_t bgl_ssl_certificate_issuer(obj_t);
static obj_t BGl_z62zc3z04anonymousza32038ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
extern void bgl_dh_pub_priv_key_set(void *, void *, void *);
static obj_t BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2000z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, int);
static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2006z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t);
static BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_negotiated_protocol(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_shutdown(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();
BGL_EXPORTED_DECL obj_t bgl_make_private_key(void *);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern long bgl_ssl_connection_clear_in(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern bool_t bgl_load_pkcs12(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_cipher_update(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t bgl_ssl_load_pem(obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2107z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, bool_t);
static obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_dh_pqg_set(void *, void *, void *, void *);
static obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2110z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2117z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2118z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hash_digest(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_sign_init(BgL_sslzd2signzd2_bglt, obj_t);
extern obj_t bgl_ssl_connection_init(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hash_update(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_get_ciphers();
BGL_EXPORTED_DECL int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2201z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2202z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2124z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2125z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2209z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62lambda2130z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2211z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2131z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_private_key_native(obj_t);
extern obj_t bgl_ssl_connection_verify_error(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2137z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2139z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_set_session(BgL_sslzd2connectionzd2_bglt, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2check1316zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_z52socketzd2initz12z92zz__socketz00();
static obj_t BGl_z62lambda2225z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2226z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2146z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_certificate(obj_t);
static obj_t BGl_z62lambda2147z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2init1310zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_certificate_subject(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
extern obj_t bgl_ssl_connection_get_peer_certificate(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_client_socket_use_ssl(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2154z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();
extern int bgl_ssl_connection_load_session(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_root_certs(BgL_securezd2contextzd2_bglt);
extern bool_t bgl_ssl_ctx_set_session_id_context(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_cnstzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00(obj_t, obj_t);
extern long bgl_ssl_connection_read(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00();
static BgL_sslzd2signzd2_bglt BGl_z62lambda2161z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2163z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_close(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31821ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2170z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2171z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2177z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2178z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_current_cipher(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_bn_bin2bn(char *, int);
extern obj_t bgl_evp_get_hashes();
static obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t, obj_t);
extern char * bgl_ssl_version();
extern bool_t bgl_ssl_verify_update(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_connection_init_finishedp(BgL_sslzd2connectionzd2_bglt);
extern long bgl_ssl_connection_write(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern long bgl_ssl_connection_clear_out(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62zc3z04anonymousza31814ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31806ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__ssl_sslz00(obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2185z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2187z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_client_socket(obj_t, int, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32196ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2194z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2195z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hmac_init(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_search1231ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT long default_io_bufsiz;
extern int bgl_ssl_connection_clear_pending(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_enc_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1801z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_connection_get_session(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1804z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_dhz00zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_search1215ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern int bgl_ssl_connection_start(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1812z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1813z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1819z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2zz__ssl_sslz00 = BUNSPEC;
extern void * bgl_dh_g(void *);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern void * bgl_dh_p(void *);
extern void * bgl_dh_p(void *);
extern bool_t bgl_ssl_verify_final(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62lambda1820z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1905z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1826z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1827z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_certificate_native(obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1911z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1912z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__ssl_sslz00(obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1834z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62lambda1918z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1837z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1919z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_verify_init(BgL_sslzd2verifyzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_sign_update(BgL_sslzd2signzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_socketp(obj_t);
extern bool_t bgl_ssl_hmac_update(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31861ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31853ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1844z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int);
static obj_t BGl_z62lambda1845z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 91 ] ;


DEFINE_STRING( BGl_string3010z00zz__ssl_sslz00, BgL_bgl_string3010za700za7za7_3369za7, "&bn-bn2bin", 10 );
DEFINE_STRING( BGl_string3011z00zz__ssl_sslz00, BgL_bgl_string3011za700za7za7_3370za7, "foreign", 7 );
DEFINE_STRING( BGl_string3012z00zz__ssl_sslz00, BgL_bgl_string3012za700za7za7_3371za7, "&bn-num-bytes", 13 );
DEFINE_STRING( BGl_string3013z00zz__ssl_sslz00, BgL_bgl_string3013za700za7za7_3372za7, "&bn-free", 8 );
DEFINE_STRING( BGl_string3014z00zz__ssl_sslz00, BgL_bgl_string3014za700za7za7_3373za7, "&bn-set-word", 12 );
DEFINE_STRING( BGl_string3015z00zz__ssl_sslz00, BgL_bgl_string3015za700za7za7_3374za7, "&pkcs5-pbkdf2-hmac-sha1", 23 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73375za7, BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2c3376za7, BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7b03377za7, BGl_z62dhzd2checkzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3378z00, BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__ssl_sslz00, BgL_bgl_za762lambda1780za7623379z00, BGl_z62lambda1780z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__ssl_sslz00, BgL_bgl_za762lambda1779za7623380z00, BGl_z62lambda1779z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3381za7, BGl_z62zc3z04anonymousza31775ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__ssl_sslz00, BgL_bgl_za762lambda1773za7623382z00, BGl_z62lambda1773z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23383za7, BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3384z00, BGl_z62certificatezd2subjectzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__ssl_sslz00, BgL_bgl_za762lambda1992za7623385z00, BGl_z62lambda1992z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3101z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3386za7, BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__ssl_sslz00, BgL_bgl_za762lambda1771za7623387z00, BGl_z62lambda1771z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__ssl_sslz00, BgL_bgl_za762lambda2000za7623388z00, BGl_z62lambda2000z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__ssl_sslz00, BgL_bgl_za762lambda1795za7623389z00, BGl_z62lambda1795z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3103z00zz__ssl_sslz00, BgL_bgl_za762lambda1999za7623390z00, BGl_z62lambda1999z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__ssl_sslz00, BgL_bgl_za762lambda1794za7623391z00, BGl_z62lambda1794z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3392za7, BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3393za7, BGl_z62zc3z04anonymousza31790ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3105z00zz__ssl_sslz00, BgL_bgl_za762lambda2007za7623394z00, BGl_z62lambda2007z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__ssl_sslz00, BgL_bgl_za762lambda1788za7623395z00, BGl_z62lambda1788z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__ssl_sslz00, BgL_bgl_za762lambda2006za7623396z00, BGl_z62lambda2006z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__ssl_sslz00, BgL_bgl_za762lambda1786za7623397z00, BGl_z62lambda1786z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3107z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3398za7, BGl_z62zc3z04anonymousza32013ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3399za7, BGl_z62zc3z04anonymousza31814ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3400za7, BGl_z62zc3z04anonymousza32012ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3027z00zz__ssl_sslz00, BgL_bgl_za762lambda1813za7623401z00, BGl_z62lambda1813z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3109z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3402za7, BGl_z62zc3z04anonymousza32018ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__ssl_sslz00, BgL_bgl_za762lambda1812za7623403z00, BGl_z62lambda1812z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3404za7, BGl_z62zc3z04anonymousza31821ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73405za7, BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2opza7d2ci3406za7, BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3407za7, BGl_z62zc3z04anonymousza32017ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3111z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3408za7, BGl_z62zc3z04anonymousza32023ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__ssl_sslz00, BgL_bgl_za762lambda1820za7623409z00, BGl_z62lambda1820z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3410za7, BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__ssl_sslz00, BgL_bgl_za762lambda1819za7623411z00, BGl_z62lambda1819z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3200z00zz__ssl_sslz00, BgL_bgl_string3200za700za7za7_3412za7, "secure-context-set-o1270", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3113z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3413za7, BGl_z62zc3z04anonymousza32028ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3414za7, BGl_z62zc3z04anonymousza31828ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3415za7, BGl_z62zc3z04anonymousza32027ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3033z00zz__ssl_sslz00, BgL_bgl_za762lambda1827za7623416z00, BGl_z62lambda1827z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3202z00zz__ssl_sslz00, BgL_bgl_string3202za700za7za7_3417za7, "ssl-connection-init1272", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3115z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3418za7, BGl_z62zc3z04anonymousza32033ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__ssl_sslz00, BgL_bgl_za762lambda1826za7623419z00, BGl_z62lambda1826z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3420za7, BGl_z62zc3z04anonymousza32032ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3421za7, BGl_z62zc3z04anonymousza31806ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3204z00zz__ssl_sslz00, BgL_bgl_string3204za700za7za7_3422za7, "ssl-connection-start1274", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3117z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3423za7, BGl_z62zc3z04anonymousza32038ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__ssl_sslz00, BgL_bgl_za762lambda1804za7623424z00, BGl_z62lambda1804z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3118z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3425za7, BGl_z62zc3z04anonymousza32042ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__ssl_sslz00, BgL_bgl_za762lambda1801za7623426z00, BGl_z62lambda1801z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3206z00zz__ssl_sslz00, BgL_bgl_string3206za700za7za7_3427za7, "ssl-connection-close1276", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3119z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3428za7, BGl_z62zc3z04anonymousza32052ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3429za7, BGl_z62zc3z04anonymousza31846ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__ssl_sslz00, BgL_bgl_za762lambda1845za7623430z00, BGl_z62lambda1845z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3208z00zz__ssl_sslz00, BgL_bgl_string3208za700za7za7_3431za7, "ssl-connection-shutd1278", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73432za7, BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3433z00, BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3120z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3434za7, BGl_z62zc3z04anonymousza32056ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3435za7, BGl_z62zc3z04anonymousza32066ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__ssl_sslz00, BgL_bgl_za762lambda1844za7623436z00, BGl_z62lambda1844z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3437z00, BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3438za7, BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3439za7, BGl_z62zc3z04anonymousza31853ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3210z00zz__ssl_sslz00, BgL_bgl_string3210za700za7za7_3440za7, "ssl-connection-read1280", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3441za7, BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__ssl_sslz00, BgL_bgl_za762lambda1852za7623442z00, BGl_z62lambda1852z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3443z00, BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3444za7, BGl_z62zc3z04anonymousza32084ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__ssl_sslz00, BgL_bgl_za762lambda1851za7623445z00, BGl_z62lambda1851z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3212z00zz__ssl_sslz00, BgL_bgl_string3212za700za7za7_3446za7, "ssl-connection-write1282", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3447za7, BGl_z62zc3z04anonymousza32093ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3448za7, BGl_z62zc3z04anonymousza31861ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3449z00, BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3450za7, BGl_z62zc3z04anonymousza32097ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__ssl_sslz00, BgL_bgl_za762lambda1860za7623451z00, BGl_z62lambda1860z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3214z00zz__ssl_sslz00, BgL_bgl_string3214za700za7za7_3452za7, "ssl-connection-clear1284", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3453za7, BGl_z62zc3z04anonymousza31966ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3046z00zz__ssl_sslz00, BgL_bgl_za762lambda1859za7623454z00, BGl_z62lambda1859z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3455z00, BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__ssl_sslz00, BgL_bgl_za762lambda1964za7623456z00, BGl_z62lambda1964z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3457za7, BGl_z62zc3z04anonymousza31868ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3458z00, BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3216z00zz__ssl_sslz00, BgL_bgl_string3216za700za7za7_3459za7, "ssl-connection-clear1286", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__ssl_sslz00, BgL_bgl_za762lambda1961za7623460z00, BGl_z62lambda1961z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__ssl_sslz00, BgL_bgl_za762lambda1867za7623461z00, BGl_z62lambda1867z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__ssl_sslz00, BgL_bgl_za762lambda1866za7623462z00, BGl_z62lambda1866z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3218z00zz__ssl_sslz00, BgL_bgl_string3218za700za7za7_3463za7, "ssl-connection-init-1288", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3464z00, BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3465z00, BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3466za7, BGl_z62zc3z04anonymousza32119ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__ssl_sslz00, BgL_bgl_za762lambda2118za7623467z00, BGl_z62lambda2118z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__ssl_sslz00, BgL_bgl_za762lambda1873za7623468z00, BGl_z62lambda1873z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3300z00zz__ssl_sslz00, BgL_bgl_string3300za700za7za7_3469za7, "cannot digest", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3470z00, BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__ssl_sslz00, BgL_bgl_za762lambda2117za7623471z00, BGl_z62lambda2117z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__ssl_sslz00, BgL_bgl_za762lambda1872za7623472z00, BGl_z62lambda1872z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3301z00zz__ssl_sslz00, BgL_bgl_string3301za700za7za7_3473za7, "ssl-hmac-update!", 16 );
DEFINE_STRING( BGl_string3220z00zz__ssl_sslz00, BgL_bgl_string3220za700za7za7_3474za7, "ssl-connection-enc-p1290", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3475za7, BGl_z62zc3z04anonymousza32126ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__ssl_sslz00, BgL_bgl_za762lambda1878za7623476z00, BGl_z62lambda1878z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3302z00zz__ssl_sslz00, BgL_bgl_string3302za700za7za7_3477za7, "ssl-hmac", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3478z00, BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__ssl_sslz00, BgL_bgl_za762lambda2125za7623479z00, BGl_z62lambda2125z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__ssl_sslz00, BgL_bgl_za762lambda1877za7623480z00, BGl_z62lambda1877z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3303z00zz__ssl_sslz00, BgL_bgl_string3303za700za7za7_3481za7, "Digest method not supported", 27 );
DEFINE_STRING( BGl_string3222z00zz__ssl_sslz00, BgL_bgl_string3222za700za7za7_3482za7, "ssl-connection-clear1292", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__ssl_sslz00, BgL_bgl_za762lambda2124za7623483z00, BGl_z62lambda2124z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3484za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3304z00zz__ssl_sslz00, BgL_bgl_string3304za700za7za7_3485za7, "ssl-hash-digest", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3486z00, BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__ssl_sslz00, BgL_bgl_za762lambda2131za7623487z00, BGl_z62lambda2131z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3055z00zz__ssl_sslz00, BgL_bgl_za762lambda1884za7623488z00, BGl_z62lambda1884z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3305z00zz__ssl_sslz00, BgL_bgl_string3305za700za7za7_3489za7, "ssl-hash-update!", 16 );
DEFINE_STRING( BGl_string3224z00zz__ssl_sslz00, BgL_bgl_string3224za700za7za7_3490za7, "ssl-connection-set-s1294", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__ssl_sslz00, BgL_bgl_za762lambda2130za7623491z00, BGl_z62lambda2130z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__ssl_sslz00, BgL_bgl_za762lambda1883za7623492z00, BGl_z62lambda1883z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3306z00zz__ssl_sslz00, BgL_bgl_string3306za700za7za7_3493za7, "ssl-hash", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3494z00, BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3495za7, BGl_z62zc3z04anonymousza32112ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3057z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3496za7, BGl_z62zc3z04anonymousza31892ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3307z00zz__ssl_sslz00, BgL_bgl_string3307za700za7za7_3497za7, "dh-generate-parameters-ex", 25 );
DEFINE_STRING( BGl_string3226z00zz__ssl_sslz00, BgL_bgl_string3226za700za7za7_3498za7, "ssl-connection-get-s1296", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__ssl_sslz00, BgL_bgl_za762lambda2110za7623499z00, BGl_z62lambda2110z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__ssl_sslz00, BgL_bgl_za762lambda1891za7623500z00, BGl_z62lambda1891z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3308z00zz__ssl_sslz00, BgL_bgl_string3308za700za7za7_3501za7, "Illegal generator", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3059z00zz__ssl_sslz00, BgL_bgl_za762lambda1890za7623502z00, BGl_z62lambda1890z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3309z00zz__ssl_sslz00, BgL_bgl_string3309za700za7za7_3503za7, "&secure-context-init", 20 );
DEFINE_STRING( BGl_string3228z00zz__ssl_sslz00, BgL_bgl_string3228za700za7za7_3504za7, "ssl-connection-get-c1298", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3505z00, BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3506z00, BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__ssl_sslz00, BgL_bgl_za762lambda2107za7623507z00, BGl_z62lambda2107z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3141z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3508za7, BGl_z62zc3z04anonymousza32148ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__ssl_sslz00, BgL_bgl_za762lambda1897za7623509z00, BGl_z62lambda1897z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3510z00, BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3310z00zz__ssl_sslz00, BgL_bgl_string3310za700za7za7_3511za7, "&secure-context-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3223z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3512z00, BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3142z00zz__ssl_sslz00, BgL_bgl_za762lambda2147za7623513z00, BGl_z62lambda2147z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3061z00zz__ssl_sslz00, BgL_bgl_za762lambda1896za7623514z00, BGl_z62lambda1896z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3311z00zz__ssl_sslz00, BgL_bgl_string3311za700za7za7_3515za7, "&secure-context-add-root-certs!", 31 );
DEFINE_STRING( BGl_string3230z00zz__ssl_sslz00, BgL_bgl_string3230za700za7za7_3516za7, "ssl-connection-load-1300", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__ssl_sslz00, BgL_bgl_za762lambda2146za7623517z00, BGl_z62lambda2146z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3518za7, BGl_z62zc3z04anonymousza31906ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3312z00zz__ssl_sslz00, BgL_bgl_string3312za700za7za7_3519za7, "&secure-context-add-ca-cert!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3225z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3520z00, BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3144z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3521za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3063z00zz__ssl_sslz00, BgL_bgl_za762lambda1905za7623522z00, BGl_z62lambda1905z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3313z00zz__ssl_sslz00, BgL_bgl_string3313za700za7za7_3523za7, "&secure-context-add-crl!", 24 );
DEFINE_STRING( BGl_string3232z00zz__ssl_sslz00, BgL_bgl_string3232za700za7za7_3524za7, "ssl-connection-verif1302", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__ssl_sslz00, BgL_bgl_za762lambda2154za7623525z00, BGl_z62lambda2154z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__ssl_sslz00, BgL_bgl_za762lambda1904za7623526z00, BGl_z62lambda1904z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3314z00zz__ssl_sslz00, BgL_bgl_string3314za700za7za7_3527za7, "&secure-context-set-cert!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3227z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3528z00, BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3146z00zz__ssl_sslz00, BgL_bgl_za762lambda2153za7623529z00, BGl_z62lambda2153z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3065z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3530za7, BGl_z62zc3z04anonymousza31913ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3315z00zz__ssl_sslz00, BgL_bgl_string3315za700za7za7_3531za7, "&secure-context-set-session-id-context!", 39 );
DEFINE_STRING( BGl_string3234z00zz__ssl_sslz00, BgL_bgl_string3234za700za7za7_3532za7, "ssl-connection-get-p1304", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3533za7, BGl_z62zc3z04anonymousza32141ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__ssl_sslz00, BgL_bgl_za762lambda1912za7623534z00, BGl_z62lambda1912z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3316z00zz__ssl_sslz00, BgL_bgl_string3316za700za7za7_3535za7, "&secure-context-load-pkcs12", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3229z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3536z00, BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3148z00zz__ssl_sslz00, BgL_bgl_za762lambda2139za7623537z00, BGl_z62lambda2139z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3067z00zz__ssl_sslz00, BgL_bgl_za762lambda1911za7623538z00, BGl_z62lambda1911z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3317z00zz__ssl_sslz00, BgL_bgl_string3317za700za7za7_3539za7, "&secure-context-set-ciphers!", 28 );
DEFINE_STRING( BGl_string3236z00zz__ssl_sslz00, BgL_bgl_string3236za700za7za7_3540za7, "ssl-connection-reuse1306", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__ssl_sslz00, BgL_bgl_za762lambda2137za7623541z00, BGl_z62lambda2137z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3542za7, BGl_z62zc3z04anonymousza31920ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3318z00zz__ssl_sslz00, BgL_bgl_string3318za700za7za7_3543za7, "&secure-context-set-options!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3069z00zz__ssl_sslz00, BgL_bgl_za762lambda1919za7623544z00, BGl_z62lambda1919z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3319z00zz__ssl_sslz00, BgL_bgl_string3319za700za7za7_3545za7, "&ssl-connection-init", 20 );
DEFINE_STRING( BGl_string3238z00zz__ssl_sslz00, BgL_bgl_string3238za700za7za7_3546za7, "ssl-connection-get-n1308", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2pemza7d23547za7, BGl_z62readzd2pemzd2filez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3548z00, BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3231z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3549z00, BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3150z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3550za7, BGl_z62zc3z04anonymousza32172ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__ssl_sslz00, BgL_bgl_za762lambda2171za7623551z00, BGl_z62lambda2171z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__ssl_sslz00, BgL_bgl_za762lambda1918za7623552z00, BGl_z62lambda1918z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3320z00zz__ssl_sslz00, BgL_bgl_string3320za700za7za7_3553za7, "ssl-connection", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3233z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3554z00, BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3152z00zz__ssl_sslz00, BgL_bgl_za762lambda2170za7623555z00, BGl_z62lambda2170z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3071z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3556za7, BGl_z62zc3z04anonymousza31927ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3321z00zz__ssl_sslz00, BgL_bgl_string3321za700za7za7_3557za7, "&ssl-connection-start", 21 );
DEFINE_STRING( BGl_string3240z00zz__ssl_sslz00, BgL_bgl_string3240za700za7za7_3558za7, "dh-init1310", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3559za7, BGl_z62zc3z04anonymousza32179ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__ssl_sslz00, BgL_bgl_za762lambda1926za7623560z00, BGl_z62lambda1926z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3322z00zz__ssl_sslz00, BgL_bgl_string3322za700za7za7_3561za7, "&ssl-connection-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3235z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3562z00, BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3154z00zz__ssl_sslz00, BgL_bgl_za762lambda2178za7623563z00, BGl_z62lambda2178z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3073z00zz__ssl_sslz00, BgL_bgl_za762lambda1925za7623564z00, BGl_z62lambda1925z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3323z00zz__ssl_sslz00, BgL_bgl_string3323za700za7za7_3565za7, "&ssl-connection-shutdown", 24 );
DEFINE_STRING( BGl_string3242z00zz__ssl_sslz00, BgL_bgl_string3242za700za7za7_3566za7, "dh-size1312", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__ssl_sslz00, BgL_bgl_za762lambda2177za7623567z00, BGl_z62lambda2177z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3568za7, BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3324z00zz__ssl_sslz00, BgL_bgl_string3324za700za7za7_3569za7, "&ssl-connection-read", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3237z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3570z00, BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3156z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3571za7, BGl_z62zc3z04anonymousza32165ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3075z00zz__ssl_sslz00, BgL_bgl_za762lambda1933za7623572z00, BGl_z62lambda1933z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_dhzd2initzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2initza7b0za73573z00, BGl_z62dhzd2initzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3325z00zz__ssl_sslz00, BgL_bgl_string3325za700za7za7_3574za7, "&ssl-connection-write", 21 );
DEFINE_STRING( BGl_string3244z00zz__ssl_sslz00, BgL_bgl_string3244za700za7za7_3575za7, "dh-generate-paramete1314", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__ssl_sslz00, BgL_bgl_za762lambda2163za7623576z00, BGl_z62lambda2163z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__ssl_sslz00, BgL_bgl_za762lambda1932za7623577z00, BGl_z62lambda1932z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3326z00zz__ssl_sslz00, BgL_bgl_string3326za700za7za7_3578za7, "&ssl-connection-clear-in", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3239z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2init13103579z00, BGl_z62dhzd2init1310zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3158z00zz__ssl_sslz00, BgL_bgl_za762lambda2161za7623580z00, BGl_z62lambda2161z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3077z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3581za7, BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3582z00, BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3327z00zz__ssl_sslz00, BgL_bgl_string3327za700za7za7_3583za7, "&ssl-connection-clear-out", 25 );
DEFINE_STRING( BGl_string3246z00zz__ssl_sslz00, BgL_bgl_string3246za700za7za7_3584za7, "dh-check1316", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3585za7, BGl_z62zc3z04anonymousza32196ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__ssl_sslz00, BgL_bgl_za762lambda1940za7623586z00, BGl_z62lambda1940z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3328z00zz__ssl_sslz00, BgL_bgl_string3328za700za7za7_3587za7, "&ssl-connection-init-finished?", 30 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3079z00zz__ssl_sslz00, BgL_bgl_za762lambda1939za7623588z00, BGl_z62lambda1939z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3329z00zz__ssl_sslz00, BgL_bgl_string3329za700za7za7_3589za7, "&ssl-connection-enc-pending", 27 );
DEFINE_STRING( BGl_string3248z00zz__ssl_sslz00, BgL_bgl_string3248za700za7za7_3590za7, "dh-check-pub-key1318", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2socketza73591za7, BGl_z62sslzd2socketzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3241z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7e133592za7, BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3160z00zz__ssl_sslz00, BgL_bgl_za762lambda2195za7623593z00, BGl_z62lambda2195z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__ssl_sslz00, BgL_bgl_za762lambda2194za7623594z00, BGl_z62lambda2194z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3595za7, BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3330z00zz__ssl_sslz00, BgL_bgl_string3330za700za7za7_3596za7, "&ssl-connection-clear-pending", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3243z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3597z00, BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3162z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3598za7, BGl_z62zc3z04anonymousza32203ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3081z00zz__ssl_sslz00, BgL_bgl_za762lambda1947za7623599z00, BGl_z62lambda1947z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3331z00zz__ssl_sslz00, BgL_bgl_string3331za700za7za7_3600za7, "&ssl-connection-set-session", 27 );
DEFINE_STRING( BGl_string3250z00zz__ssl_sslz00, BgL_bgl_string3250za700za7za7_3601za7, "dh-compute-key1320", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__ssl_sslz00, BgL_bgl_za762lambda2202za7623602z00, BGl_z62lambda2202z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__ssl_sslz00, BgL_bgl_za762lambda1946za7623603z00, BGl_z62lambda1946z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3332z00zz__ssl_sslz00, BgL_bgl_string3332za700za7za7_3604za7, "&ssl-connection-get-session", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3245z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2check1313605z00, BGl_z62dhzd2check1316zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3164z00zz__ssl_sslz00, BgL_bgl_za762lambda2201za7623606z00, BGl_z62lambda2201z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3083z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3607za7, BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3333z00zz__ssl_sslz00, BgL_bgl_string3333za700za7za7_3608za7, "&ssl-connection-get-current-cipher", 34 );
DEFINE_STRING( BGl_string3252z00zz__ssl_sslz00, BgL_bgl_string3252za700za7za7_3609za7, "dh-generate-key1322", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3610za7, BGl_z62zc3z04anonymousza32189ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__ssl_sslz00, BgL_bgl_za762lambda1954za7623611z00, BGl_z62lambda1954z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3334z00zz__ssl_sslz00, BgL_bgl_string3334za700za7za7_3612za7, "&ssl-connection-load-session", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3247z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23613za7, BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3166z00zz__ssl_sslz00, BgL_bgl_za762lambda2187za7623614z00, BGl_z62lambda2187z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3085z00zz__ssl_sslz00, BgL_bgl_za762lambda1953za7623615z00, BGl_z62lambda1953z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3335z00zz__ssl_sslz00, BgL_bgl_string3335za700za7za7_3616za7, "&ssl-connection-verify-error", 28 );
DEFINE_STRING( BGl_string3254z00zz__ssl_sslz00, BgL_bgl_string3254za700za7za7_3617za7, "ssl-hash-init1324", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__ssl_sslz00, BgL_bgl_za762lambda2185za7623618z00, BGl_z62lambda2185z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3619za7, BGl_z62zc3z04anonymousza31839ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3336z00zz__ssl_sslz00, BgL_bgl_string3336za700za7za7_3620za7, "&ssl-connection-get-peer-certificate", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3249z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73621za7, BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3168z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3622za7, BGl_z62zc3z04anonymousza32220ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3087z00zz__ssl_sslz00, BgL_bgl_za762lambda1837za7623623z00, BGl_z62lambda1837z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3337z00zz__ssl_sslz00, BgL_bgl_string3337za700za7za7_3624za7, "&ssl-connection-reused?", 23 );
DEFINE_STRING( BGl_string3256z00zz__ssl_sslz00, BgL_bgl_string3256za700za7za7_3625za7, "ssl-hash-update!1326", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__ssl_sslz00, BgL_bgl_za762lambda2219za7623626z00, BGl_z62lambda2219z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__ssl_sslz00, BgL_bgl_za762lambda1834za7623627z00, BGl_z62lambda1834z62zz__ssl_sslz00, 0L, BUNSPEC, 17 );
DEFINE_STRING( BGl_string3338z00zz__ssl_sslz00, BgL_bgl_string3338za700za7za7_3628za7, "&ssl-connection-get-negotiated-protocol", 39 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3089z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3629za7, BGl_z62zc3z04anonymousza31973ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3339z00zz__ssl_sslz00, BgL_bgl_string3339za700za7za7_3630za7, "&dh-init", 8 );
DEFINE_STRING( BGl_string3258z00zz__ssl_sslz00, BgL_bgl_string3258za700za7za7_3631za7, "ssl-hash-digest1328", 19 );
DEFINE_STRING( BGl_string3177z00zz__ssl_sslz00, BgL_bgl_string3177za700za7za7_3632za7, "", 0 );
DEFINE_STRING( BGl_string3178z00zz__ssl_sslz00, BgL_bgl_string3178za700za7za7_3633za7, "default", 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7eza713634z00, BGl_z62dhzd2siza7ez17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl_za762makeza7d2sslza7d23635za7, va_generic_entry, BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3251z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3636z00, BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3170z00zz__ssl_sslz00, BgL_bgl_za762lambda2218za7623637z00, BGl_z62lambda2218z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3638za7, BGl_z62zc3z04anonymousza32227ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__ssl_sslz00, BgL_bgl_za762lambda1972za7623639z00, BGl_z62lambda1972z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3340z00zz__ssl_sslz00, BgL_bgl_string3340za700za7za7_3640za7, "dh", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3253z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23641za7, BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3172z00zz__ssl_sslz00, BgL_bgl_za762lambda2226za7623642z00, BGl_z62lambda2226z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3091z00zz__ssl_sslz00, BgL_bgl_za762lambda1971za7623643z00, BGl_z62lambda1971z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3644z00, BGl_z62certificatezd2issuerzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3341z00zz__ssl_sslz00, BgL_bgl_string3341za700za7za7_3645za7, "&dh-size", 8 );
DEFINE_STRING( BGl_string3260z00zz__ssl_sslz00, BgL_bgl_string3260za700za7za7_3646za7, "ssl-hmac-init1330", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__ssl_sslz00, BgL_bgl_za762lambda2225za7623647z00, BGl_z62lambda2225z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3648za7, BGl_z62zc3z04anonymousza31980ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3342z00zz__ssl_sslz00, BgL_bgl_string3342za700za7za7_3649za7, "&dh-generate-parameters-ex", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3255z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23650za7, BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3180z00zz__ssl_sslz00, BgL_bgl_string3180za700za7za7_3651za7, "secure-context-init1242", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3174z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3652za7, BGl_z62zc3z04anonymousza32213ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3093z00zz__ssl_sslz00, BgL_bgl_za762lambda1979za7623653z00, BGl_z62lambda1979z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3343z00zz__ssl_sslz00, BgL_bgl_string3343za700za7za7_3654za7, "symbol", 6 );
DEFINE_STRING( BGl_string3262z00zz__ssl_sslz00, BgL_bgl_string3262za700za7za7_3655za7, "ssl-hmac-update!1332", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__ssl_sslz00, BgL_bgl_za762lambda2211za7623656z00, BGl_z62lambda2211z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__ssl_sslz00, BgL_bgl_za762lambda1978za7623657z00, BGl_z62lambda1978z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3344z00zz__ssl_sslz00, BgL_bgl_string3344za700za7za7_3658za7, "&dh-check", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3257z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23659za7, BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3182z00zz__ssl_sslz00, BgL_bgl_string3182za700za7za7_3660za7, "secure-context-close1244", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3176z00zz__ssl_sslz00, BgL_bgl_za762lambda2209za7623661z00, BGl_z62lambda2209z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3095z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3662za7, BGl_z62zc3z04anonymousza31987ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3345z00zz__ssl_sslz00, BgL_bgl_string3345za700za7za7_3663za7, "&dh-check-pub-key", 17 );
DEFINE_STRING( BGl_string3264z00zz__ssl_sslz00, BgL_bgl_string3264za700za7za7_3664za7, "ssl-hmac-digest1334", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__ssl_sslz00, BgL_bgl_za762lambda1986za7623665z00, BGl_z62lambda1986z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3346z00zz__ssl_sslz00, BgL_bgl_string3346za700za7za7_3666za7, "&dh-compute-key", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3259z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23667za7, BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3184z00zz__ssl_sslz00, BgL_bgl_string3184za700za7za7_3668za7, "secure-context-add-r1246", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3097z00zz__ssl_sslz00, BgL_bgl_za762lambda1985za7623669z00, BGl_z62lambda1985z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3347z00zz__ssl_sslz00, BgL_bgl_string3347za700za7za7_3670za7, "&dh-generate-key", 16 );
DEFINE_STRING( BGl_string3266z00zz__ssl_sslz00, BgL_bgl_string3266za700za7za7_3671za7, "ssl-sign-init1336", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3672z00, BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3673za7, BGl_z62zc3z04anonymousza31994ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3348z00zz__ssl_sslz00, BgL_bgl_string3348za700za7za7_3674za7, "&ssl-hash-init", 14 );
DEFINE_STRING( BGl_string3186z00zz__ssl_sslz00, BgL_bgl_string3186za700za7za7_3675za7, "secure-context-add-c1248", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3099z00zz__ssl_sslz00, BgL_bgl_za762lambda1993za7623676z00, BGl_z62lambda1993z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3349z00zz__ssl_sslz00, BgL_bgl_string3349za700za7za7_3677za7, "&ssl-hash-update!", 17 );
DEFINE_STRING( BGl_string3268z00zz__ssl_sslz00, BgL_bgl_string3268za700za7za7_3678za7, "ssl-sign-update!1338", 20 );
DEFINE_STRING( BGl_string3188z00zz__ssl_sslz00, BgL_bgl_string3188za700za7za7_3679za7, "secure-context-add-c1250", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2getza7d2c3680za7, BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73681za7, BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BgL_bgl__secureza7d2contex3682za7, opt_generic_entry, BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3261z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23683za7, BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3684z00, BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3350z00zz__ssl_sslz00, BgL_bgl_string3350za700za7za7_3685za7, "&ssl-hash-digest", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3263z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23686za7, BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3351z00zz__ssl_sslz00, BgL_bgl_string3351za700za7za7_3687za7, "&ssl-hmac-init", 14 );
DEFINE_STRING( BGl_string3270z00zz__ssl_sslz00, BgL_bgl_string3270za700za7za7_3688za7, "ssl-sign-sign1340", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3689z00, BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3352z00zz__ssl_sslz00, BgL_bgl_string3352za700za7za7_3690za7, "&ssl-hmac-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3265z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23691za7, BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3190z00zz__ssl_sslz00, BgL_bgl_string3190za700za7za7_3692za7, "secure-context-set-k1252", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00, BgL_bgl_za762za752privateza7d23693za7, BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3353z00zz__ssl_sslz00, BgL_bgl_string3353za700za7za7_3694za7, "&ssl-hmac-digest", 16 );
DEFINE_STRING( BGl_string3272z00zz__ssl_sslz00, BgL_bgl_string3272za700za7za7_3695za7, "ssl-verify-init1342", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3696z00, BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3354z00zz__ssl_sslz00, BgL_bgl_string3354za700za7za7_3697za7, "&ssl-sign-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3267z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23698za7, BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3192z00zz__ssl_sslz00, BgL_bgl_string3192za700za7za7_3699za7, "secure-context-set-c1262", 24 );
DEFINE_STRING( BGl_string3355z00zz__ssl_sslz00, BgL_bgl_string3355za700za7za7_3700za7, "&ssl-sign-update!", 17 );
DEFINE_STRING( BGl_string3274z00zz__ssl_sslz00, BgL_bgl_string3274za700za7za7_3701za7, "ssl-verify-update!1344", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3702z00, BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3356z00zz__ssl_sslz00, BgL_bgl_string3356za700za7za7_3703za7, "&ssl-sign-sign", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3269z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23704za7, BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3194z00zz__ssl_sslz00, BgL_bgl_string3194za700za7za7_3705za7, "secure-context-set-s1264", 24 );
DEFINE_STRING( BGl_string3357z00zz__ssl_sslz00, BgL_bgl_string3357za700za7za7_3706za7, "&ssl-verify-init", 16 );
DEFINE_STRING( BGl_string3276z00zz__ssl_sslz00, BgL_bgl_string3276za700za7za7_3707za7, "ssl-verify-final1346", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3708z00, BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3358z00zz__ssl_sslz00, BgL_bgl_string3358za700za7za7_3709za7, "&ssl-verify-update!", 19 );
DEFINE_STRING( BGl_string3196z00zz__ssl_sslz00, BgL_bgl_string3196za700za7za7_3710za7, "secure-context-load-1266", 24 );
DEFINE_STRING( BGl_string3359z00zz__ssl_sslz00, BgL_bgl_string3359za700za7za7_3711za7, "&ssl-verify-final", 17 );
DEFINE_STRING( BGl_string3278z00zz__ssl_sslz00, BgL_bgl_string3278za700za7za7_3712za7, "ssl-cipher-init1348", 19 );
DEFINE_STRING( BGl_string3198z00zz__ssl_sslz00, BgL_bgl_string3198za700za7za7_3713za7, "secure-context-set-c1268", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3714z00, BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3271z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73715za7, BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3716z00, BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3360z00zz__ssl_sslz00, BgL_bgl_string3360za700za7za7_3717za7, "&ssl-cipher-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3273z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73718za7, BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3361z00zz__ssl_sslz00, BgL_bgl_string3361za700za7za7_3719za7, "ssl-cipher", 10 );
DEFINE_STRING( BGl_string3280z00zz__ssl_sslz00, BgL_bgl_string3280za700za7za7_3720za7, "ssl-cipher-initiv1350", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3721z00, BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3362z00zz__ssl_sslz00, BgL_bgl_string3362za700za7za7_3722za7, "&ssl-cipher-initiv", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3275z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73723za7, BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3363z00zz__ssl_sslz00, BgL_bgl_string3363za700za7za7_3724za7, "&ssl-cipher-update!", 19 );
DEFINE_STRING( BGl_string3282z00zz__ssl_sslz00, BgL_bgl_string3282za700za7za7_3725za7, "ssl-cipher-update!1352", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3726z00, BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3364z00zz__ssl_sslz00, BgL_bgl_string3364za700za7za7_3727za7, "&ssl-cipher-set-auto-padding", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3277z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73728za7, BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string3365z00zz__ssl_sslz00, BgL_bgl_string3365za700za7za7_3729za7, "&ssl-cipher-final", 17 );
DEFINE_STRING( BGl_string3284z00zz__ssl_sslz00, BgL_bgl_string3284za700za7za7_3730za7, "ssl-cipher-set-auto-1354", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3731z00, BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3366z00zz__ssl_sslz00, BgL_bgl_string3366za700za7za7_3732za7, "DH-GENERATOR-2 ssl-cipher $ssl-cipher-ctx $cipher-ctx $ssl-cipher $cipher ssl-verify ssl-sign ssl-hmac $ssl-hmac-ctx ssl-hash type $ssl-evp-md-ctx $md-ctx $ssl-evp-md $md dh public-key g q p %priv %pub %g %q $bignum %p $dh ssl-connection sent-shutdown received-shutdown err npn-protos selected-npn-protos procedure newsession-callback sni-context-callback info-callback reject-unauthorized obj server-name request-cert bool isserver ctx $ssl-session $next-session $bio-write $bio $bio-read $ssl secure-context bstring method $X509-store $ca-store $ssl-ctx private-key $private-key __ssl_ssl certificate $certificate $native dtlsv1 dtls tlsv1_3 tlsv1_2 tlsv1_1 tlsv1 tls ssl sslv3 sslv2 make-ssl-server-socket :ipv6 :backlog :name (:ipv6 :backlog :accepted-certs :CAs :pkey :cert :protocol :name) client-socket-use-ssl! (:CAs :accepted-certs :cert :pkey :protocol) :timeout :protocol :pkey :outbuf :inbuf :cert :accepted-certs :CAs make-ssl-client-socket (:CAs :accepted-certs :cert :inbuf :outbuf :pkey :protocol :timeout) s"
"slv23 ", 1030 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3279z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73733za7, BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_STRING( BGl_string3286z00zz__ssl_sslz00, BgL_bgl_string3286za700za7za7_3734za7, "ssl-cipher-final1356", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3735z00, BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23736za7, BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3737z00, BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3287z00zz__ssl_sslz00, BgL_bgl_string3287za700za7za7_3738za7, "ssl-cipher-update!", 18 );
DEFINE_STRING( BGl_string3288z00zz__ssl_sslz00, BgL_bgl_string3288za700za7za7_3739za7, "cannot update", 13 );
DEFINE_STRING( BGl_string3289z00zz__ssl_sslz00, BgL_bgl_string3289za700za7za7_3740za7, "ssl-cipher-initiv", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bin2bnza7b3741za7, BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73742za7, BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3743z00, BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3281z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73744za7, BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3283z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73745za7, BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3290z00zz__ssl_sslz00, BgL_bgl_string3290za700za7za7_3746za7, "ssl-cipher-init", 15 );
DEFINE_STRING( BGl_string3291z00zz__ssl_sslz00, BgL_bgl_string3291za700za7za7_3747za7, "ssl-verify-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3285z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73748za7, BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3292z00zz__ssl_sslz00, BgL_bgl_string3292za700za7za7_3749za7, "ssl-verify", 10 );
DEFINE_STRING( BGl_string3293z00zz__ssl_sslz00, BgL_bgl_string3293za700za7za7_3750za7, "Verify method not supported", 27 );
DEFINE_STRING( BGl_string3294z00zz__ssl_sslz00, BgL_bgl_string3294za700za7za7_3751za7, "ssl-sign-sign", 13 );
DEFINE_STRING( BGl_string3295z00zz__ssl_sslz00, BgL_bgl_string3295za700za7za7_3752za7, "cannot sign", 11 );
DEFINE_STRING( BGl_string3296z00zz__ssl_sslz00, BgL_bgl_string3296za700za7za7_3753za7, "ssl-sign-update!", 16 );
DEFINE_STRING( BGl_string3297z00zz__ssl_sslz00, BgL_bgl_string3297za700za7za7_3754za7, "ssl-sign", 8 );
DEFINE_STRING( BGl_string3298z00zz__ssl_sslz00, BgL_bgl_string3298za700za7za7_3755za7, "Sign method not supported", 25 );
DEFINE_STRING( BGl_string3299z00zz__ssl_sslz00, BgL_bgl_string3299za700za7za7_3756za7, "ssl-hmac-digest", 15 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23757za7, BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23758za7, BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00, BgL_bgl__clientza7d2socket3759za7, opt_generic_entry, BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3760z00, BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3761z00, BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23762za7, BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23763za7, BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3764z00, BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3765z00, BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3766z00, BGl_z62securezd2contextzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3767z00, BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23768za7, BGl_z62sslzd2signzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2setza7d2wo3769za7, BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2h3770za7, BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2pri3771za7, BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3772z00, BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bn2binza7b3773za7, BGl_z62bnzd2bn2binzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73774za7, BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3775z00, BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2cer3776za7, BGl_z62z52makezd2certificateze2zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2privat3777z00, BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2numza7d2by3778za7, BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2974z00zz__ssl_sslz00, BgL_bgl_string2974za700za7za7_3779za7, "Invalid certificate", 19 );
DEFINE_STRING( BGl_string2975z00zz__ssl_sslz00, BgL_bgl_string2975za700za7za7_3780za7, "Invalid private key", 19 );
DEFINE_STRING( BGl_string2976z00zz__ssl_sslz00, BgL_bgl_string2976za700za7za7_3781za7, "Invalid CA list", 15 );
DEFINE_STRING( BGl_string2977z00zz__ssl_sslz00, BgL_bgl_string2977za700za7za7_3782za7, "Invalid accepted-certs", 22 );
DEFINE_STRING( BGl_string2978z00zz__ssl_sslz00, BgL_bgl_string2978za700za7za7_3783za7, "pkey and cert must be both #f or both set", 41 );
DEFINE_STRING( BGl_string2979z00zz__ssl_sslz00, BgL_bgl_string2979za700za7za7_3784za7, "Illegal keyword argument", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3785z00, BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00, BgL_bgl_za762pkcs5za7d2pbkdf3786z00, BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73787za7, BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2980z00zz__ssl_sslz00, BgL_bgl_string2980za700za7za7_3788za7, "/builddir/build/BUILD/bigloo-4.4b/api/ssl/src/Llib/ssl.scm", 58 );
DEFINE_STRING( BGl_string2981z00zz__ssl_sslz00, BgL_bgl_string2981za700za7za7_3789za7, "_make-ssl-client-socket", 23 );
DEFINE_STRING( BGl_string2982z00zz__ssl_sslz00, BgL_bgl_string2982za700za7za7_3790za7, "bint", 4 );
DEFINE_STRING( BGl_string2983z00zz__ssl_sslz00, BgL_bgl_string2983za700za7za7_3791za7, "bstring", 7 );
DEFINE_STRING( BGl_string2984z00zz__ssl_sslz00, BgL_bgl_string2984za700za7za7_3792za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2985z00zz__ssl_sslz00, BgL_bgl_string2985za700za7za7_3793za7, "wrong number of arguments: [2..10] expected, provided", 53 );
DEFINE_STRING( BGl_string2986z00zz__ssl_sslz00, BgL_bgl_string2986za700za7za7_3794za7, "_client-socket-use-ssl!", 23 );
DEFINE_STRING( BGl_string2987z00zz__ssl_sslz00, BgL_bgl_string2987za700za7za7_3795za7, "socket", 6 );
DEFINE_STRING( BGl_string2988z00zz__ssl_sslz00, BgL_bgl_string2988za700za7za7_3796za7, "wrong number of arguments: [1..6] expected, provided", 52 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23797za7, BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2certificatezd2envz00zz__ssl_sslz00, BgL_bgl_za762readza7d2certif3798z00, BGl_z62readzd2certificatezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23799za7, BGl_z62sslzd2signzd2signz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2990z00zz__ssl_sslz00, BgL_bgl_string2990za700za7za7_3800za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string2991z00zz__ssl_sslz00, BgL_bgl_string2991za700za7za7_3801za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string2992z00zz__ssl_sslz00, BgL_bgl_string2992za700za7za7_3802za7, "~a ", 3 );
DEFINE_STRING( BGl_string2993z00zz__ssl_sslz00, BgL_bgl_string2993za700za7za7_3803za7, "ssl", 3 );
DEFINE_STRING( BGl_string2994z00zz__ssl_sslz00, BgL_bgl_string2994za700za7za7_3804za7, "Unknown protocols", 17 );
DEFINE_STRING( BGl_string2995z00zz__ssl_sslz00, BgL_bgl_string2995za700za7za7_3805za7, "&read-private-key", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3806za7, BGl_z62zc3z04anonymousza31694ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2996z00zz__ssl_sslz00, BgL_bgl_string2996za700za7za7_3807za7, "&read-certificate", 17 );
DEFINE_STRING( BGl_string2997z00zz__ssl_sslz00, BgL_bgl_string2997za700za7za7_3808za7, "&read-pem-file", 14 );
DEFINE_STRING( BGl_string2998z00zz__ssl_sslz00, BgL_bgl_string2998za700za7za7_3809za7, "&ssl-rand-bytes", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2clearza7d3810za7, BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2999z00zz__ssl_sslz00, BgL_bgl_string2999za700za7za7_3811za7, "&ssl-rand-pseudo-bytes", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl__makeza7d2sslza7d2cl3812z00, opt_generic_entry, BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3813z00, BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3814z00, BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2versionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2version3815z00, BGl_z62sslzd2versionzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3816z00, BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73817za7, BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23818za7, BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3819z00, BGl_z62securezd2contextzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3820z00, BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3821z00, BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3822z00, BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3823z00, BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23824za7, BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2freezd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2freeza7b0za73825z00, BGl_z62bnzd2freezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23826za7, BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00, BgL_bgl_za762za752certificat3827z00, BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2newzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2newza7b0za7za73828za7, BGl_z62bnzd2newzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3829z00, BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3830z00, BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3831z00, BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23832za7, BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3000z00zz__ssl_sslz00, BgL_bgl_string3000za700za7za7_3833za7, "&certificate-subject", 20 );
DEFINE_STRING( BGl_string3001z00zz__ssl_sslz00, BgL_bgl_string3001za700za7za7_3834za7, "certificate", 11 );
DEFINE_STRING( BGl_string3002z00zz__ssl_sslz00, BgL_bgl_string3002za700za7za7_3835za7, "&certificate-issuer", 19 );
DEFINE_STRING( BGl_string3003z00zz__ssl_sslz00, BgL_bgl_string3003za700za7za7_3836za7, "&%make-certificate", 18 );
DEFINE_STRING( BGl_string3004z00zz__ssl_sslz00, BgL_bgl_string3004za700za7za7_3837za7, "void*", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23838za7, BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3005z00zz__ssl_sslz00, BgL_bgl_string3005za700za7za7_3839za7, "&%make-private-key", 18 );
DEFINE_STRING( BGl_string3006z00zz__ssl_sslz00, BgL_bgl_string3006za700za7za7_3840za7, "_secure-context-set-key!", 24 );
DEFINE_STRING( BGl_string3007z00zz__ssl_sslz00, BgL_bgl_string3007za700za7za7_3841za7, "vector", 6 );
DEFINE_STRING( BGl_string3008z00zz__ssl_sslz00, BgL_bgl_string3008za700za7za7_3842za7, "secure-context", 14 );
DEFINE_STRING( BGl_string3009z00zz__ssl_sslz00, BgL_bgl_string3009za700za7za7_3843za7, "&bn-bin2bn", 10 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3844z00, BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73845za7, BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_certificatez00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2signzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hmaczd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_privatezd2keyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2connectionzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2verifyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2cipherzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_securezd2contextzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_dhz00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hashzd2zz__ssl_sslz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long BgL_checksumz00_5667, char * BgL_fromz00_5668)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_sslz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ssl_sslz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(); 
BGl_cnstzd2initzd2zz__ssl_sslz00(); 
BGl_objectzd2initzd2zz__ssl_sslz00(); 
BGl_genericzd2initzd2zz__ssl_sslz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_sslz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__socketz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ssl_ssl"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
obj_t BgL_cportz00_5257;
{ /* Llib/ssl.scm 15 */
obj_t BgL_stringz00_5265;
BgL_stringz00_5265 = BGl_string3366z00zz__ssl_sslz00; 
{ /* Llib/ssl.scm 15 */
obj_t BgL_startz00_5266;
BgL_startz00_5266 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 15 */
obj_t BgL_endz00_5267;
BgL_endz00_5267 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5265))); 
{ /* Llib/ssl.scm 15 */

BgL_cportz00_5257 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5265, BgL_startz00_5266, BgL_endz00_5267); } } } } 
{ 
long BgL_iz00_5258;
BgL_iz00_5258 = ((long)90); 
BgL_loopz00_5259:
if(
(BgL_iz00_5258==((long)-1)))
{ /* Llib/ssl.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
obj_t BgL_arg3368z00_5261;
{ /* Llib/ssl.scm 15 */

{ /* Llib/ssl.scm 15 */
obj_t BgL_locationz00_5263;
BgL_locationz00_5263 = 
BBOOL(((bool_t)0)); 
{ /* Llib/ssl.scm 15 */

BgL_arg3368z00_5261 = 
BGl_readz00zz__readerz00(BgL_cportz00_5257, BgL_locationz00_5263); } } } 
{ /* Llib/ssl.scm 15 */
int BgL_tmpz00_5703;
BgL_tmpz00_5703 = 
(int)(BgL_iz00_5258); 
CNST_TABLE_SET(BgL_tmpz00_5703, BgL_arg3368z00_5261); } } 
{ /* Llib/ssl.scm 15 */
int BgL_auxz00_5264;
BgL_auxz00_5264 = 
(int)(
(BgL_iz00_5258-((long)1))); 
{ 
long BgL_iz00_5708;
BgL_iz00_5708 = 
(long)(BgL_auxz00_5264); 
BgL_iz00_5258 = BgL_iz00_5708; 
goto BgL_loopz00_5259;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}



/* ssl-version */
BGL_EXPORTED_DEF char * BGl_sslzd2versionzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 570 */
return 
bgl_ssl_version();} 

}



/* &ssl-version */
obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t BgL_envz00_3752)
{
{ /* Llib/ssl.scm 570 */
return 
string_to_bstring(
BGl_sslzd2versionzd2zz__ssl_sslz00());} 

}



/* ssl-clear-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 578 */
ERR_clear_error(); BUNSPEC; 
return BTRUE;} 

}



/* &ssl-clear-error */
obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t BgL_envz00_3753)
{
{ /* Llib/ssl.scm 578 */
return 
BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();} 

}



/* sanity-args-checks */
obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t BgL_funcz00_3, obj_t BgL_certz00_4, obj_t BgL_pkeyz00_5, obj_t BgL_casz00_6, obj_t BgL_acceptedzd2certszd2_7)
{
{ /* Llib/ssl.scm 586 */
{ /* Llib/ssl.scm 587 */
bool_t BgL_test3848z00_5716;
if(
CBOOL(BgL_certz00_4))
{ /* Llib/ssl.scm 587 */
BgL_test3848z00_5716 = 
BGl_isazf3zf3zz__objectz00(BgL_certz00_4, BGl_certificatez00zz__ssl_sslz00)
; }  else 
{ /* Llib/ssl.scm 587 */
BgL_test3848z00_5716 = ((bool_t)1)
; } 
if(BgL_test3848z00_5716)
{ /* Llib/ssl.scm 587 */BFALSE; }  else 
{ /* Llib/ssl.scm 587 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2974z00zz__ssl_sslz00, BgL_certz00_4); } } 
{ /* Llib/ssl.scm 589 */
bool_t BgL_test3850z00_5721;
if(
CBOOL(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 589 */
BgL_test3850z00_5721 = 
BGl_isazf3zf3zz__objectz00(BgL_pkeyz00_5, BGl_privatezd2keyzd2zz__ssl_sslz00)
; }  else 
{ /* Llib/ssl.scm 589 */
BgL_test3850z00_5721 = ((bool_t)1)
; } 
if(BgL_test3850z00_5721)
{ /* Llib/ssl.scm 589 */BFALSE; }  else 
{ /* Llib/ssl.scm 589 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2975z00zz__ssl_sslz00, BgL_pkeyz00_5); } } 
{ /* Llib/ssl.scm 591 */
bool_t BgL_test3852z00_5726;
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_6))
{ 
obj_t BgL_l1181z00_211;
BgL_l1181z00_211 = BgL_casz00_6; 
BgL_zc3z04anonymousza31427ze3z87_212:
if(
NULLP(BgL_l1181z00_211))
{ /* Llib/ssl.scm 591 */
BgL_test3852z00_5726 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 591 */
bool_t BgL_test3855z00_5731;
{ /* Llib/ssl.scm 591 */
obj_t BgL_cz00_217;
BgL_cz00_217 = 
CAR(
((obj_t)BgL_l1181z00_211)); 
BgL_test3855z00_5731 = 
BGl_isazf3zf3zz__objectz00(BgL_cz00_217, BGl_certificatez00zz__ssl_sslz00); } 
if(BgL_test3855z00_5731)
{ 
obj_t BgL_l1181z00_5735;
BgL_l1181z00_5735 = 
CDR(
((obj_t)BgL_l1181z00_211)); 
BgL_l1181z00_211 = BgL_l1181z00_5735; 
goto BgL_zc3z04anonymousza31427ze3z87_212;}  else 
{ /* Llib/ssl.scm 591 */
BgL_test3852z00_5726 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 591 */
BgL_test3852z00_5726 = ((bool_t)0)
; } 
if(BgL_test3852z00_5726)
{ /* Llib/ssl.scm 591 */BFALSE; }  else 
{ /* Llib/ssl.scm 591 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2976z00zz__ssl_sslz00, BgL_casz00_6); } } 
{ /* Llib/ssl.scm 593 */
bool_t BgL_test3856z00_5739;
if(
CBOOL(BgL_acceptedzd2certszd2_7))
{ /* Llib/ssl.scm 593 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_acceptedzd2certszd2_7))
{ 
obj_t BgL_l1184z00_232;
BgL_l1184z00_232 = BgL_acceptedzd2certszd2_7; 
BgL_zc3z04anonymousza31508ze3z87_233:
if(
NULLP(BgL_l1184z00_232))
{ /* Llib/ssl.scm 595 */
BgL_test3856z00_5739 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 595 */
bool_t BgL_test3860z00_5746;
{ /* Llib/ssl.scm 595 */
obj_t BgL_cz00_238;
BgL_cz00_238 = 
CAR(
((obj_t)BgL_l1184z00_232)); 
BgL_test3860z00_5746 = 
BGl_isazf3zf3zz__objectz00(BgL_cz00_238, BGl_certificatez00zz__ssl_sslz00); } 
if(BgL_test3860z00_5746)
{ 
obj_t BgL_l1184z00_5750;
BgL_l1184z00_5750 = 
CDR(
((obj_t)BgL_l1184z00_232)); 
BgL_l1184z00_232 = BgL_l1184z00_5750; 
goto BgL_zc3z04anonymousza31508ze3z87_233;}  else 
{ /* Llib/ssl.scm 595 */
BgL_test3856z00_5739 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 594 */
BgL_test3856z00_5739 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 593 */
BgL_test3856z00_5739 = ((bool_t)1)
; } 
if(BgL_test3856z00_5739)
{ /* Llib/ssl.scm 593 */BFALSE; }  else 
{ /* Llib/ssl.scm 593 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2977z00zz__ssl_sslz00, BgL_acceptedzd2certszd2_7); } } 
{ /* Llib/ssl.scm 597 */
bool_t BgL_test3861z00_5754;
{ /* Llib/ssl.scm 597 */
bool_t BgL_test3862z00_5755;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 597 */
if(
BGl_isazf3zf3zz__objectz00(BgL_pkeyz00_5, BGl_privatezd2keyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 597 */
BgL_test3862z00_5755 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3862z00_5755 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3862z00_5755 = ((bool_t)0)
; } 
if(BgL_test3862z00_5755)
{ /* Llib/ssl.scm 597 */
BgL_test3861z00_5754 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 597 */
if(
BGl_isazf3zf3zz__objectz00(BgL_pkeyz00_5, BGl_privatezd2keyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 598 */
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 598 */
BgL_test3861z00_5754 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3861z00_5754 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3861z00_5754 = ((bool_t)0)
; } } } 
if(BgL_test3861z00_5754)
{ /* Llib/ssl.scm 601 */
obj_t BgL_arg1517z00_248;
{ /* Llib/ssl.scm 601 */
obj_t BgL_list1518z00_249;
{ /* Llib/ssl.scm 601 */
obj_t BgL_arg1525z00_250;
BgL_arg1525z00_250 = 
MAKE_YOUNG_PAIR(BgL_certz00_4, BNIL); 
BgL_list1518z00_249 = 
MAKE_YOUNG_PAIR(BgL_pkeyz00_5, BgL_arg1525z00_250); } 
BgL_arg1517z00_248 = BgL_list1518z00_249; } 
return 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string2978z00zz__ssl_sslz00, BgL_arg1517z00_248);}  else 
{ /* Llib/ssl.scm 597 */
return BFALSE;} } } 

}



/* _make-ssl-client-socket */
obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_env1213z00_19, obj_t BgL_opt1212z00_18)
{
{ /* Llib/ssl.scm 606 */
{ /* Llib/ssl.scm 606 */
obj_t BgL_g1226z00_260;obj_t BgL_g1227z00_261;
BgL_g1226z00_260 = 
VECTOR_REF(BgL_opt1212z00_18,((long)0)); 
BgL_g1227z00_261 = 
VECTOR_REF(BgL_opt1212z00_18,((long)1)); 
{ /* Llib/ssl.scm 612 */
obj_t BgL_casz00_262;
BgL_casz00_262 = BNIL; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_acceptedzd2certszd2_263;
BgL_acceptedzd2certszd2_263 = BFALSE; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_certz00_264;
BgL_certz00_264 = BFALSE; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_inbufz00_265;
BgL_inbufz00_265 = BTRUE; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_outbufz00_266;
BgL_outbufz00_266 = BTRUE; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_pkeyz00_267;
BgL_pkeyz00_267 = BFALSE; 
{ /* Llib/ssl.scm 610 */
obj_t BgL_protocolz00_268;
BgL_protocolz00_268 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 606 */
obj_t BgL_timeoutz00_269;
BgL_timeoutz00_269 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 606 */

{ 
long BgL_iz00_270;
BgL_iz00_270 = ((long)2); 
BgL_check1216z00_271:
if(
(BgL_iz00_270==
VECTOR_LENGTH(BgL_opt1212z00_18)))
{ /* Llib/ssl.scm 606 */BNIL; }  else 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3868z00_5774;
{ /* Llib/ssl.scm 606 */
obj_t BgL_arg1549z00_277;
BgL_arg1549z00_277 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_iz00_270); 
BgL_test3868z00_5774 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1549z00_277, 
CNST_TABLE_REF(((long)1)))); } 
if(BgL_test3868z00_5774)
{ 
long BgL_iz00_5779;
BgL_iz00_5779 = 
(BgL_iz00_270+((long)2)); 
BgL_iz00_270 = BgL_iz00_5779; 
goto BgL_check1216z00_271;}  else 
{ /* Llib/ssl.scm 606 */
obj_t BgL_arg1535z00_276;
BgL_arg1535z00_276 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_iz00_270); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string2979z00zz__ssl_sslz00, BgL_arg1535z00_276); } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1218z00_278;
BgL_index1218z00_278 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)3)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3869z00_5787;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1784;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5788;
if(
INTEGERP(BgL_index1218z00_278))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5788 = BgL_index1218z00_278
; }  else 
{ 
obj_t BgL_auxz00_5791;
BgL_auxz00_5791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1218z00_278); 
FAILURE(BgL_auxz00_5791,BFALSE,BFALSE);} 
BgL_n1z00_1784 = 
(long)CINT(BgL_tmpz00_5788); } 
BgL_test3869z00_5787 = 
(BgL_n1z00_1784>=((long)0)); } 
if(BgL_test3869z00_5787)
{ 
long BgL_auxz00_5797;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5798;
if(
INTEGERP(BgL_index1218z00_278))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5798 = BgL_index1218z00_278
; }  else 
{ 
obj_t BgL_auxz00_5801;
BgL_auxz00_5801 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1218z00_278); 
FAILURE(BgL_auxz00_5801,BFALSE,BFALSE);} 
BgL_auxz00_5797 = 
(long)CINT(BgL_tmpz00_5798); } 
BgL_casz00_262 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5797); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1219z00_280;
BgL_index1219z00_280 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)4)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3872z00_5810;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1785;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5811;
if(
INTEGERP(BgL_index1219z00_280))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5811 = BgL_index1219z00_280
; }  else 
{ 
obj_t BgL_auxz00_5814;
BgL_auxz00_5814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1219z00_280); 
FAILURE(BgL_auxz00_5814,BFALSE,BFALSE);} 
BgL_n1z00_1785 = 
(long)CINT(BgL_tmpz00_5811); } 
BgL_test3872z00_5810 = 
(BgL_n1z00_1785>=((long)0)); } 
if(BgL_test3872z00_5810)
{ 
long BgL_auxz00_5820;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5821;
if(
INTEGERP(BgL_index1219z00_280))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5821 = BgL_index1219z00_280
; }  else 
{ 
obj_t BgL_auxz00_5824;
BgL_auxz00_5824 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1219z00_280); 
FAILURE(BgL_auxz00_5824,BFALSE,BFALSE);} 
BgL_auxz00_5820 = 
(long)CINT(BgL_tmpz00_5821); } 
BgL_acceptedzd2certszd2_263 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5820); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1220z00_282;
BgL_index1220z00_282 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)5)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3875z00_5833;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1786;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5834;
if(
INTEGERP(BgL_index1220z00_282))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5834 = BgL_index1220z00_282
; }  else 
{ 
obj_t BgL_auxz00_5837;
BgL_auxz00_5837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1220z00_282); 
FAILURE(BgL_auxz00_5837,BFALSE,BFALSE);} 
BgL_n1z00_1786 = 
(long)CINT(BgL_tmpz00_5834); } 
BgL_test3875z00_5833 = 
(BgL_n1z00_1786>=((long)0)); } 
if(BgL_test3875z00_5833)
{ 
long BgL_auxz00_5843;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5844;
if(
INTEGERP(BgL_index1220z00_282))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5844 = BgL_index1220z00_282
; }  else 
{ 
obj_t BgL_auxz00_5847;
BgL_auxz00_5847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1220z00_282); 
FAILURE(BgL_auxz00_5847,BFALSE,BFALSE);} 
BgL_auxz00_5843 = 
(long)CINT(BgL_tmpz00_5844); } 
BgL_certz00_264 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5843); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1221z00_284;
BgL_index1221z00_284 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)6)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3878z00_5856;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1787;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5857;
if(
INTEGERP(BgL_index1221z00_284))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5857 = BgL_index1221z00_284
; }  else 
{ 
obj_t BgL_auxz00_5860;
BgL_auxz00_5860 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1221z00_284); 
FAILURE(BgL_auxz00_5860,BFALSE,BFALSE);} 
BgL_n1z00_1787 = 
(long)CINT(BgL_tmpz00_5857); } 
BgL_test3878z00_5856 = 
(BgL_n1z00_1787>=((long)0)); } 
if(BgL_test3878z00_5856)
{ 
long BgL_auxz00_5866;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5867;
if(
INTEGERP(BgL_index1221z00_284))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5867 = BgL_index1221z00_284
; }  else 
{ 
obj_t BgL_auxz00_5870;
BgL_auxz00_5870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1221z00_284); 
FAILURE(BgL_auxz00_5870,BFALSE,BFALSE);} 
BgL_auxz00_5866 = 
(long)CINT(BgL_tmpz00_5867); } 
BgL_inbufz00_265 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5866); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1222z00_286;
BgL_index1222z00_286 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)7)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3881z00_5879;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1788;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5880;
if(
INTEGERP(BgL_index1222z00_286))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5880 = BgL_index1222z00_286
; }  else 
{ 
obj_t BgL_auxz00_5883;
BgL_auxz00_5883 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1222z00_286); 
FAILURE(BgL_auxz00_5883,BFALSE,BFALSE);} 
BgL_n1z00_1788 = 
(long)CINT(BgL_tmpz00_5880); } 
BgL_test3881z00_5879 = 
(BgL_n1z00_1788>=((long)0)); } 
if(BgL_test3881z00_5879)
{ 
long BgL_auxz00_5889;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5890;
if(
INTEGERP(BgL_index1222z00_286))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5890 = BgL_index1222z00_286
; }  else 
{ 
obj_t BgL_auxz00_5893;
BgL_auxz00_5893 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1222z00_286); 
FAILURE(BgL_auxz00_5893,BFALSE,BFALSE);} 
BgL_auxz00_5889 = 
(long)CINT(BgL_tmpz00_5890); } 
BgL_outbufz00_266 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5889); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1223z00_288;
BgL_index1223z00_288 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)8)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3884z00_5902;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1789;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5903;
if(
INTEGERP(BgL_index1223z00_288))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5903 = BgL_index1223z00_288
; }  else 
{ 
obj_t BgL_auxz00_5906;
BgL_auxz00_5906 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1223z00_288); 
FAILURE(BgL_auxz00_5906,BFALSE,BFALSE);} 
BgL_n1z00_1789 = 
(long)CINT(BgL_tmpz00_5903); } 
BgL_test3884z00_5902 = 
(BgL_n1z00_1789>=((long)0)); } 
if(BgL_test3884z00_5902)
{ 
long BgL_auxz00_5912;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5913;
if(
INTEGERP(BgL_index1223z00_288))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5913 = BgL_index1223z00_288
; }  else 
{ 
obj_t BgL_auxz00_5916;
BgL_auxz00_5916 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1223z00_288); 
FAILURE(BgL_auxz00_5916,BFALSE,BFALSE);} 
BgL_auxz00_5912 = 
(long)CINT(BgL_tmpz00_5913); } 
BgL_pkeyz00_267 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5912); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1224z00_290;
BgL_index1224z00_290 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)9)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3887z00_5925;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1790;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5926;
if(
INTEGERP(BgL_index1224z00_290))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5926 = BgL_index1224z00_290
; }  else 
{ 
obj_t BgL_auxz00_5929;
BgL_auxz00_5929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1224z00_290); 
FAILURE(BgL_auxz00_5929,BFALSE,BFALSE);} 
BgL_n1z00_1790 = 
(long)CINT(BgL_tmpz00_5926); } 
BgL_test3887z00_5925 = 
(BgL_n1z00_1790>=((long)0)); } 
if(BgL_test3887z00_5925)
{ 
long BgL_auxz00_5935;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5936;
if(
INTEGERP(BgL_index1224z00_290))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5936 = BgL_index1224z00_290
; }  else 
{ 
obj_t BgL_auxz00_5939;
BgL_auxz00_5939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1224z00_290); 
FAILURE(BgL_auxz00_5939,BFALSE,BFALSE);} 
BgL_auxz00_5935 = 
(long)CINT(BgL_tmpz00_5936); } 
BgL_protocolz00_268 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5935); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_index1225z00_292;
BgL_index1225z00_292 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)10)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
bool_t BgL_test3890z00_5948;
{ /* Llib/ssl.scm 606 */
long BgL_n1z00_1791;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5949;
if(
INTEGERP(BgL_index1225z00_292))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5949 = BgL_index1225z00_292
; }  else 
{ 
obj_t BgL_auxz00_5952;
BgL_auxz00_5952 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1225z00_292); 
FAILURE(BgL_auxz00_5952,BFALSE,BFALSE);} 
BgL_n1z00_1791 = 
(long)CINT(BgL_tmpz00_5949); } 
BgL_test3890z00_5948 = 
(BgL_n1z00_1791>=((long)0)); } 
if(BgL_test3890z00_5948)
{ 
long BgL_auxz00_5958;
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5959;
if(
INTEGERP(BgL_index1225z00_292))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5959 = BgL_index1225z00_292
; }  else 
{ 
obj_t BgL_auxz00_5962;
BgL_auxz00_5962 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1225z00_292); 
FAILURE(BgL_auxz00_5962,BFALSE,BFALSE);} 
BgL_auxz00_5958 = 
(long)CINT(BgL_tmpz00_5959); } 
BgL_timeoutz00_269 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_5958); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
obj_t BgL_arg1571z00_294;obj_t BgL_arg1572z00_295;
BgL_arg1571z00_294 = 
VECTOR_REF(BgL_opt1212z00_18,((long)0)); 
BgL_arg1572z00_295 = 
VECTOR_REF(BgL_opt1212z00_18,((long)1)); 
{ /* Llib/ssl.scm 606 */
obj_t BgL_casz00_296;
BgL_casz00_296 = BgL_casz00_262; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_acceptedzd2certszd2_297;
BgL_acceptedzd2certszd2_297 = BgL_acceptedzd2certszd2_263; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_certz00_298;
BgL_certz00_298 = BgL_certz00_264; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_inbufz00_299;
BgL_inbufz00_299 = BgL_inbufz00_265; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_outbufz00_300;
BgL_outbufz00_300 = BgL_outbufz00_266; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_pkeyz00_301;
BgL_pkeyz00_301 = BgL_pkeyz00_267; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_protocolz00_302;
BgL_protocolz00_302 = BgL_protocolz00_268; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_timeoutz00_303;
BgL_timeoutz00_303 = BgL_timeoutz00_269; 
{ /* Llib/ssl.scm 606 */
obj_t BgL_hostnamez00_1792;int BgL_portz00_1793;
if(
STRINGP(BgL_arg1571z00_294))
{ /* Llib/ssl.scm 606 */
BgL_hostnamez00_1792 = BgL_arg1571z00_294; }  else 
{ 
obj_t BgL_auxz00_5972;
BgL_auxz00_5972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_arg1571z00_294); 
FAILURE(BgL_auxz00_5972,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 606 */
obj_t BgL_tmpz00_5976;
if(
INTEGERP(BgL_arg1572z00_295))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_5976 = BgL_arg1572z00_295
; }  else 
{ 
obj_t BgL_auxz00_5979;
BgL_auxz00_5979 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_arg1572z00_295); 
FAILURE(BgL_auxz00_5979,BFALSE,BFALSE);} 
BgL_portz00_1793 = 
CINT(BgL_tmpz00_5976); } 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_298, BgL_pkeyz00_301, BgL_casz00_296, BgL_acceptedzd2certszd2_297); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 616 */
obj_t BgL_arg1613z00_1794;obj_t BgL_arg1618z00_1795;obj_t BgL_arg1620z00_1796;
BgL_arg1613z00_1794 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_302); 
BgL_arg1618z00_1795 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_299, 
(int)(default_io_bufsiz)); 
BgL_arg1620z00_1796 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_300, 
(int)(default_io_bufsiz)); 
{ /* Llib/ssl.scm 615 */
obj_t BgL_auxz00_6012;int BgL_auxz00_6003;int BgL_tmpz00_5994;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_296))
{ /* Llib/ssl.scm 618 */
BgL_auxz00_6012 = BgL_casz00_296
; }  else 
{ 
obj_t BgL_auxz00_6015;
BgL_auxz00_6015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25165)), BGl_string2981z00zz__ssl_sslz00, BGl_string2984z00zz__ssl_sslz00, BgL_casz00_296); 
FAILURE(BgL_auxz00_6015,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 616 */
obj_t BgL_tmpz00_6004;
if(
INTEGERP(BgL_arg1613z00_1794))
{ /* Llib/ssl.scm 616 */
BgL_tmpz00_6004 = BgL_arg1613z00_1794
; }  else 
{ 
obj_t BgL_auxz00_6007;
BgL_auxz00_6007 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25141)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_arg1613z00_1794); 
FAILURE(BgL_auxz00_6007,BFALSE,BFALSE);} 
BgL_auxz00_6003 = 
CINT(BgL_tmpz00_6004); } 
{ /* Llib/ssl.scm 615 */
obj_t BgL_tmpz00_5995;
if(
INTEGERP(BgL_timeoutz00_303))
{ /* Llib/ssl.scm 615 */
BgL_tmpz00_5995 = BgL_timeoutz00_303
; }  else 
{ 
obj_t BgL_auxz00_5998;
BgL_auxz00_5998 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25095)), BGl_string2981z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_timeoutz00_303); 
FAILURE(BgL_auxz00_5998,BFALSE,BFALSE);} 
BgL_tmpz00_5994 = 
CINT(BgL_tmpz00_5995); } 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_1792, BgL_portz00_1793, BgL_tmpz00_5994, BgL_auxz00_6003, BgL_certz00_298, BgL_pkeyz00_301, BgL_auxz00_6012, BgL_acceptedzd2certszd2_297, BgL_arg1618z00_1795, BgL_arg1620z00_1796);} } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1215~0 */
obj_t BGl_search1215ze70ze7zz__ssl_sslz00(long BgL_l1214z00_4758, obj_t BgL_opt1212z00_4757, obj_t BgL_k1z00_257, long BgL_iz00_258)
{
{ /* Llib/ssl.scm 606 */
BGl_search1215ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_258==BgL_l1214z00_4758))
{ /* Llib/ssl.scm 606 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 606 */
if(
(BgL_iz00_258==
(BgL_l1214z00_4758-((long)1))))
{ /* Llib/ssl.scm 606 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string2985z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1212z00_4757)));}  else 
{ /* Llib/ssl.scm 606 */
obj_t BgL_vz00_308;
BgL_vz00_308 = 
VECTOR_REF(BgL_opt1212z00_4757,BgL_iz00_258); 
if(
(BgL_vz00_308==BgL_k1z00_257))
{ /* Llib/ssl.scm 606 */
return 
BINT(
(BgL_iz00_258+((long)1)));}  else 
{ 
long BgL_iz00_6035;
BgL_iz00_6035 = 
(BgL_iz00_258+((long)2)); 
BgL_iz00_258 = BgL_iz00_6035; 
goto BGl_search1215ze70ze7zz__ssl_sslz00;} } } } 

}



/* make-ssl-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_hostnamez00_8, int BgL_portz00_9, obj_t BgL_casz00_10, obj_t BgL_acceptedzd2certszd2_11, obj_t BgL_certz00_12, obj_t BgL_inbufz00_13, obj_t BgL_outbufz00_14, obj_t BgL_pkeyz00_15, obj_t BgL_protocolz00_16, obj_t BgL_timeoutz00_17)
{
{ /* Llib/ssl.scm 606 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 616 */
obj_t BgL_arg1613z00_1797;obj_t BgL_arg1618z00_1798;obj_t BgL_arg1620z00_1799;
BgL_arg1613z00_1797 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_16); 
BgL_arg1618z00_1798 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_13, 
(int)(default_io_bufsiz)); 
BgL_arg1620z00_1799 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_14, 
(int)(default_io_bufsiz)); 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_8, BgL_portz00_9, 
CINT(BgL_timeoutz00_17), 
CINT(BgL_arg1613z00_1797), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11, BgL_arg1618z00_1798, BgL_arg1620z00_1799);} } 

}



/* _client-socket-use-ssl! */
obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_env1229z00_27, obj_t BgL_opt1228z00_26)
{
{ /* Llib/ssl.scm 629 */
{ /* Llib/ssl.scm 629 */
obj_t BgL_g1239z00_319;
BgL_g1239z00_319 = 
VECTOR_REF(BgL_opt1228z00_26,((long)0)); 
{ /* Llib/ssl.scm 632 */
obj_t BgL_casz00_320;
BgL_casz00_320 = BNIL; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_acceptedzd2certszd2_321;
BgL_acceptedzd2certszd2_321 = BFALSE; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_certz00_322;
BgL_certz00_322 = BFALSE; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_pkeyz00_323;
BgL_pkeyz00_323 = BFALSE; 
{ /* Llib/ssl.scm 630 */
obj_t BgL_protocolz00_324;
BgL_protocolz00_324 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 629 */

{ 
long BgL_iz00_325;
BgL_iz00_325 = ((long)1); 
BgL_check1232z00_326:
if(
(BgL_iz00_325==
VECTOR_LENGTH(BgL_opt1228z00_26)))
{ /* Llib/ssl.scm 629 */BNIL; }  else 
{ /* Llib/ssl.scm 629 */
bool_t BgL_test3902z00_6055;
{ /* Llib/ssl.scm 629 */
obj_t BgL_arg1636z00_332;
BgL_arg1636z00_332 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_iz00_325); 
BgL_test3902z00_6055 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1636z00_332, 
CNST_TABLE_REF(((long)11)))); } 
if(BgL_test3902z00_6055)
{ 
long BgL_iz00_6060;
BgL_iz00_6060 = 
(BgL_iz00_325+((long)2)); 
BgL_iz00_325 = BgL_iz00_6060; 
goto BgL_check1232z00_326;}  else 
{ /* Llib/ssl.scm 629 */
obj_t BgL_arg1635z00_331;
BgL_arg1635z00_331 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_iz00_325); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2979z00zz__ssl_sslz00, BgL_arg1635z00_331); } } } 
{ /* Llib/ssl.scm 629 */
obj_t BgL_index1234z00_333;
BgL_index1234z00_333 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_26), BgL_opt1228z00_26, 
CNST_TABLE_REF(((long)3)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
bool_t BgL_test3903z00_6068;
{ /* Llib/ssl.scm 629 */
long BgL_n1z00_1815;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6069;
if(
INTEGERP(BgL_index1234z00_333))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6069 = BgL_index1234z00_333
; }  else 
{ 
obj_t BgL_auxz00_6072;
BgL_auxz00_6072 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1234z00_333); 
FAILURE(BgL_auxz00_6072,BFALSE,BFALSE);} 
BgL_n1z00_1815 = 
(long)CINT(BgL_tmpz00_6069); } 
BgL_test3903z00_6068 = 
(BgL_n1z00_1815>=((long)0)); } 
if(BgL_test3903z00_6068)
{ 
long BgL_auxz00_6078;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6079;
if(
INTEGERP(BgL_index1234z00_333))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6079 = BgL_index1234z00_333
; }  else 
{ 
obj_t BgL_auxz00_6082;
BgL_auxz00_6082 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1234z00_333); 
FAILURE(BgL_auxz00_6082,BFALSE,BFALSE);} 
BgL_auxz00_6078 = 
(long)CINT(BgL_tmpz00_6079); } 
BgL_casz00_320 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_auxz00_6078); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
obj_t BgL_index1235z00_335;
BgL_index1235z00_335 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_26), BgL_opt1228z00_26, 
CNST_TABLE_REF(((long)4)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
bool_t BgL_test3906z00_6091;
{ /* Llib/ssl.scm 629 */
long BgL_n1z00_1816;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6092;
if(
INTEGERP(BgL_index1235z00_335))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6092 = BgL_index1235z00_335
; }  else 
{ 
obj_t BgL_auxz00_6095;
BgL_auxz00_6095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1235z00_335); 
FAILURE(BgL_auxz00_6095,BFALSE,BFALSE);} 
BgL_n1z00_1816 = 
(long)CINT(BgL_tmpz00_6092); } 
BgL_test3906z00_6091 = 
(BgL_n1z00_1816>=((long)0)); } 
if(BgL_test3906z00_6091)
{ 
long BgL_auxz00_6101;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6102;
if(
INTEGERP(BgL_index1235z00_335))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6102 = BgL_index1235z00_335
; }  else 
{ 
obj_t BgL_auxz00_6105;
BgL_auxz00_6105 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1235z00_335); 
FAILURE(BgL_auxz00_6105,BFALSE,BFALSE);} 
BgL_auxz00_6101 = 
(long)CINT(BgL_tmpz00_6102); } 
BgL_acceptedzd2certszd2_321 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_auxz00_6101); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
obj_t BgL_index1236z00_337;
BgL_index1236z00_337 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_26), BgL_opt1228z00_26, 
CNST_TABLE_REF(((long)5)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
bool_t BgL_test3909z00_6114;
{ /* Llib/ssl.scm 629 */
long BgL_n1z00_1817;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6115;
if(
INTEGERP(BgL_index1236z00_337))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6115 = BgL_index1236z00_337
; }  else 
{ 
obj_t BgL_auxz00_6118;
BgL_auxz00_6118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1236z00_337); 
FAILURE(BgL_auxz00_6118,BFALSE,BFALSE);} 
BgL_n1z00_1817 = 
(long)CINT(BgL_tmpz00_6115); } 
BgL_test3909z00_6114 = 
(BgL_n1z00_1817>=((long)0)); } 
if(BgL_test3909z00_6114)
{ 
long BgL_auxz00_6124;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6125;
if(
INTEGERP(BgL_index1236z00_337))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6125 = BgL_index1236z00_337
; }  else 
{ 
obj_t BgL_auxz00_6128;
BgL_auxz00_6128 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1236z00_337); 
FAILURE(BgL_auxz00_6128,BFALSE,BFALSE);} 
BgL_auxz00_6124 = 
(long)CINT(BgL_tmpz00_6125); } 
BgL_certz00_322 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_auxz00_6124); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
obj_t BgL_index1237z00_339;
BgL_index1237z00_339 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_26), BgL_opt1228z00_26, 
CNST_TABLE_REF(((long)8)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
bool_t BgL_test3912z00_6137;
{ /* Llib/ssl.scm 629 */
long BgL_n1z00_1818;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6138;
if(
INTEGERP(BgL_index1237z00_339))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6138 = BgL_index1237z00_339
; }  else 
{ 
obj_t BgL_auxz00_6141;
BgL_auxz00_6141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1237z00_339); 
FAILURE(BgL_auxz00_6141,BFALSE,BFALSE);} 
BgL_n1z00_1818 = 
(long)CINT(BgL_tmpz00_6138); } 
BgL_test3912z00_6137 = 
(BgL_n1z00_1818>=((long)0)); } 
if(BgL_test3912z00_6137)
{ 
long BgL_auxz00_6147;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6148;
if(
INTEGERP(BgL_index1237z00_339))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6148 = BgL_index1237z00_339
; }  else 
{ 
obj_t BgL_auxz00_6151;
BgL_auxz00_6151 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1237z00_339); 
FAILURE(BgL_auxz00_6151,BFALSE,BFALSE);} 
BgL_auxz00_6147 = 
(long)CINT(BgL_tmpz00_6148); } 
BgL_pkeyz00_323 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_auxz00_6147); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
obj_t BgL_index1238z00_341;
BgL_index1238z00_341 = 
BGl_search1231ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1228z00_26), BgL_opt1228z00_26, 
CNST_TABLE_REF(((long)9)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
bool_t BgL_test3915z00_6160;
{ /* Llib/ssl.scm 629 */
long BgL_n1z00_1819;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6161;
if(
INTEGERP(BgL_index1238z00_341))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6161 = BgL_index1238z00_341
; }  else 
{ 
obj_t BgL_auxz00_6164;
BgL_auxz00_6164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1238z00_341); 
FAILURE(BgL_auxz00_6164,BFALSE,BFALSE);} 
BgL_n1z00_1819 = 
(long)CINT(BgL_tmpz00_6161); } 
BgL_test3915z00_6160 = 
(BgL_n1z00_1819>=((long)0)); } 
if(BgL_test3915z00_6160)
{ 
long BgL_auxz00_6170;
{ /* Llib/ssl.scm 629 */
obj_t BgL_tmpz00_6171;
if(
INTEGERP(BgL_index1238z00_341))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_6171 = BgL_index1238z00_341
; }  else 
{ 
obj_t BgL_auxz00_6174;
BgL_auxz00_6174 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_index1238z00_341); 
FAILURE(BgL_auxz00_6174,BFALSE,BFALSE);} 
BgL_auxz00_6170 = 
(long)CINT(BgL_tmpz00_6171); } 
BgL_protocolz00_324 = 
VECTOR_REF(BgL_opt1228z00_26,BgL_auxz00_6170); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
obj_t BgL_arg1643z00_343;
BgL_arg1643z00_343 = 
VECTOR_REF(BgL_opt1228z00_26,((long)0)); 
{ /* Llib/ssl.scm 629 */
obj_t BgL_casz00_344;
BgL_casz00_344 = BgL_casz00_320; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_acceptedzd2certszd2_345;
BgL_acceptedzd2certszd2_345 = BgL_acceptedzd2certszd2_321; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_certz00_346;
BgL_certz00_346 = BgL_certz00_322; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_pkeyz00_347;
BgL_pkeyz00_347 = BgL_pkeyz00_323; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_protocolz00_348;
BgL_protocolz00_348 = BgL_protocolz00_324; 
{ /* Llib/ssl.scm 629 */
obj_t BgL_sz00_1820;
if(
SOCKETP(BgL_arg1643z00_343))
{ /* Llib/ssl.scm 629 */
BgL_sz00_1820 = BgL_arg1643z00_343; }  else 
{ 
obj_t BgL_auxz00_6183;
BgL_auxz00_6183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string2986z00zz__ssl_sslz00, BGl_string2987z00zz__ssl_sslz00, BgL_arg1643z00_343); 
FAILURE(BgL_auxz00_6183,BFALSE,BFALSE);} 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_346, BgL_pkeyz00_347, BgL_casz00_344, BgL_acceptedzd2certszd2_345); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 636 */
obj_t BgL_arg1662z00_1821;
BgL_arg1662z00_1821 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_348); 
{ /* Llib/ssl.scm 635 */
obj_t BgL_auxz00_6200;int BgL_tmpz00_6191;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_344))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_6200 = BgL_casz00_344
; }  else 
{ 
obj_t BgL_auxz00_6203;
BgL_auxz00_6203 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25880)), BGl_string2986z00zz__ssl_sslz00, BGl_string2984z00zz__ssl_sslz00, BgL_casz00_344); 
FAILURE(BgL_auxz00_6203,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 636 */
obj_t BgL_tmpz00_6192;
if(
INTEGERP(BgL_arg1662z00_1821))
{ /* Llib/ssl.scm 636 */
BgL_tmpz00_6192 = BgL_arg1662z00_1821
; }  else 
{ 
obj_t BgL_auxz00_6195;
BgL_auxz00_6195 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)25856)), BGl_string2986z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_arg1662z00_1821); 
FAILURE(BgL_auxz00_6195,BFALSE,BFALSE);} 
BgL_tmpz00_6191 = 
CINT(BgL_tmpz00_6192); } 
return 
bgl_client_socket_use_ssl(BgL_sz00_1820, BgL_tmpz00_6191, BgL_certz00_346, BgL_pkeyz00_347, BgL_auxz00_6200, BgL_acceptedzd2certszd2_345);} } } } } } } } } } } } } } } } } 

}



/* search1231~0 */
obj_t BGl_search1231ze70ze7zz__ssl_sslz00(long BgL_l1230z00_4756, obj_t BgL_opt1228z00_4755, obj_t BgL_k1z00_316, long BgL_iz00_317)
{
{ /* Llib/ssl.scm 629 */
BGl_search1231ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_317==BgL_l1230z00_4756))
{ /* Llib/ssl.scm 629 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 629 */
if(
(BgL_iz00_317==
(BgL_l1230z00_4756-((long)1))))
{ /* Llib/ssl.scm 629 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2988z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1228z00_4755)));}  else 
{ /* Llib/ssl.scm 629 */
obj_t BgL_vz00_353;
BgL_vz00_353 = 
VECTOR_REF(BgL_opt1228z00_4755,BgL_iz00_317); 
if(
(BgL_vz00_353==BgL_k1z00_316))
{ /* Llib/ssl.scm 629 */
return 
BINT(
(BgL_iz00_317+((long)1)));}  else 
{ 
long BgL_iz00_6223;
BgL_iz00_6223 = 
(BgL_iz00_317+((long)2)); 
BgL_iz00_317 = BgL_iz00_6223; 
goto BGl_search1231ze70ze7zz__ssl_sslz00;} } } } 

}



/* client-socket-use-ssl! */
BGL_EXPORTED_DEF obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_sz00_20, obj_t BgL_casz00_21, obj_t BgL_acceptedzd2certszd2_22, obj_t BgL_certz00_23, obj_t BgL_pkeyz00_24, obj_t BgL_protocolz00_25)
{
{ /* Llib/ssl.scm 629 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 636 */
obj_t BgL_arg1662z00_1822;
BgL_arg1662z00_1822 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_25); 
return 
bgl_client_socket_use_ssl(BgL_sz00_20, 
CINT(BgL_arg1662z00_1822), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22);} } 

}



/* ssl-socket? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t BgL_objz00_28)
{
{ /* Llib/ssl.scm 643 */
return 
bgl_ssl_socketp(BgL_objz00_28);} 

}



/* &ssl-socket? */
obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t BgL_envz00_3754, obj_t BgL_objz00_3755)
{
{ /* Llib/ssl.scm 643 */
return 
BBOOL(
BGl_sslzd2socketzf3z21zz__ssl_sslz00(BgL_objz00_3755));} 

}



/* make-ssl-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t BgL_portz00_29)
{
{ /* Llib/ssl.scm 651 */
{ /* Llib/ssl.scm 336 */
obj_t BgL_dsssl1240z00_358;
BgL_dsssl1240z00_358 = BgL_portz00_29; 
{ /* Llib/ssl.scm 336 */
obj_t BgL_portz00_359;
{ /* Llib/ssl.scm 336 */
bool_t BgL_test3924z00_6234;
if(
NULLP(BgL_dsssl1240z00_358))
{ /* Llib/ssl.scm 336 */
BgL_test3924z00_6234 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 336 */
BgL_test3924z00_6234 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_dsssl1240z00_358), 
CNST_TABLE_REF(((long)13))))
; } 
if(BgL_test3924z00_6234)
{ /* Llib/ssl.scm 336 */
BgL_portz00_359 = 
BINT(((long)0)); }  else 
{ /* Llib/ssl.scm 336 */
obj_t BgL_tmp1241z00_385;
BgL_tmp1241z00_385 = 
CAR(BgL_dsssl1240z00_358); 
BgL_dsssl1240z00_358 = 
CDR(BgL_dsssl1240z00_358); 
BgL_portz00_359 = BgL_tmp1241z00_385; } } 
{ /* Llib/ssl.scm 336 */
obj_t BgL_namez00_360;
BgL_namez00_360 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)14)), BFALSE); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_protocolz00_361;
BgL_protocolz00_361 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)0))); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_certz00_362;
BgL_certz00_362 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)5)), BFALSE); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_pkeyz00_363;
BgL_pkeyz00_363 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_casz00_364;
BgL_casz00_364 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)3)), BNIL); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_acceptedzd2certszd2_365;
BgL_acceptedzd2certszd2_365 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)4)), BFALSE); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_backlogz00_366;
BgL_backlogz00_366 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)15)), 
BINT(((long)5))); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_ipv6z00_367;
BgL_ipv6z00_367 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)16)), BFALSE); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)13)))))
{ /* Llib/ssl.scm 336 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)17)), BgL_certz00_362, BgL_pkeyz00_363, BgL_casz00_364, BgL_acceptedzd2certszd2_365); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 659 */
obj_t BgL_arg1669z00_370;
BgL_arg1669z00_370 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_361); 
return 
bgl_make_ssl_server_socket(BgL_namez00_360, 
CINT(BgL_portz00_359), 
CINT(BgL_arg1669z00_370), BgL_certz00_362, BgL_pkeyz00_363, BgL_casz00_364, BgL_acceptedzd2certszd2_365, 
CINT(BgL_backlogz00_366), 
CBOOL(BgL_ipv6z00_367));} }  else 
{ /* Llib/ssl.scm 336 */
obj_t BgL_arg1670z00_371;
{ /* Llib/ssl.scm 336 */
obj_t BgL_arg1688z00_372;
{ /* Llib/ssl.scm 336 */
obj_t BgL_arg1692z00_375;
BgL_arg1692z00_375 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1240z00_358, 
CNST_TABLE_REF(((long)13))); 
{ /* Llib/ssl.scm 336 */
obj_t BgL_list1693z00_376;
BgL_list1693z00_376 = 
MAKE_YOUNG_PAIR(BgL_arg1692z00_375, BNIL); 
BgL_arg1688z00_372 = 
BGl_mapz00zz__r4_control_features_6_9z00(BGl_proc2989z00zz__ssl_sslz00, BgL_list1693z00_376); } } 
{ /* Llib/ssl.scm 336 */
obj_t BgL_list1689z00_373;
BgL_list1689z00_373 = 
MAKE_YOUNG_PAIR(BgL_arg1688z00_372, BNIL); 
BgL_arg1670z00_371 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string2990z00zz__ssl_sslz00, BgL_list1689z00_373); } } 
return 
BGl_errorz00zz__errorz00(BGl_string2991z00zz__ssl_sslz00, BgL_arg1670z00_371, BgL_dsssl1240z00_358);} } } } } } } } } } } } 

}



/* &make-ssl-server-socket */
obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t BgL_envz00_3757, obj_t BgL_portz00_3758)
{
{ /* Llib/ssl.scm 651 */
return 
BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(BgL_portz00_3758);} 

}



/* &<@anonymous:1694> */
obj_t BGl_z62zc3z04anonymousza31694ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_3759, obj_t BgL_vz00_3760)
{
{ /* Llib/ssl.scm 336 */
{ /* Llib/ssl.scm 336 */
obj_t BgL_list1695z00_5269;
BgL_list1695z00_5269 = 
MAKE_YOUNG_PAIR(BgL_vz00_3760, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2992z00zz__ssl_sslz00, BgL_list1695z00_5269);} } 

}



/* ssl-protocols->integer */
obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t BgL_protocolz00_30)
{
{ /* Llib/ssl.scm 666 */
{ /* Llib/ssl.scm 667 */
obj_t BgL_casezd2valuezd2_388;
{ /* Llib/ssl.scm 667 */
obj_t BgL_arg1718z00_403;
{ /* Llib/ssl.scm 667 */
obj_t BgL_arg1719z00_404;
BgL_arg1719z00_404 = 
SYMBOL_TO_STRING(
((obj_t)BgL_protocolz00_30)); 
BgL_arg1718z00_403 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1719z00_404); } 
BgL_casezd2valuezd2_388 = 
bstring_to_symbol(BgL_arg1718z00_403); } 
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)18))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV2);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)19))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV3);}  else 
{ /* Llib/ssl.scm 667 */
bool_t BgL_test3929z00_6297;
{ /* Llib/ssl.scm 667 */
bool_t BgL__ortest_1123z00_402;
BgL__ortest_1123z00_402 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1123z00_402)
{ /* Llib/ssl.scm 667 */
BgL_test3929z00_6297 = BgL__ortest_1123z00_402
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test3929z00_6297 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)0)))
; } } 
if(BgL_test3929z00_6297)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV23);}  else 
{ /* Llib/ssl.scm 667 */
bool_t BgL_test3931z00_6304;
{ /* Llib/ssl.scm 667 */
bool_t BgL__ortest_1124z00_401;
BgL__ortest_1124z00_401 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)21))); 
if(BgL__ortest_1124z00_401)
{ /* Llib/ssl.scm 667 */
BgL_test3931z00_6304 = BgL__ortest_1124z00_401
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test3931z00_6304 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)22)))
; } } 
if(BgL_test3931z00_6304)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)23))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_1);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)24))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_2);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)25))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_3);}  else 
{ /* Llib/ssl.scm 667 */
bool_t BgL_test3936z00_6323;
{ /* Llib/ssl.scm 667 */
bool_t BgL__ortest_1125z00_400;
BgL__ortest_1125z00_400 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1125z00_400)
{ /* Llib/ssl.scm 667 */
BgL_test3936z00_6323 = BgL__ortest_1125z00_400
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test3936z00_6323 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)27)))
; } } 
if(BgL_test3936z00_6323)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_DTLSV1);}  else 
{ /* Llib/ssl.scm 667 */
return 
BGl_errorz00zz__errorz00(BGl_string2993z00zz__ssl_sslz00, BGl_string2994z00zz__ssl_sslz00, BgL_protocolz00_30);} } } } } } } } } } 

}



/* read-private-key */
BGL_EXPORTED_DEF BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t BgL_filez00_31)
{
{ /* Llib/ssl.scm 681 */
return 
((BgL_privatezd2keyzd2_bglt)
bgl_ssl_load_private_key(BgL_filez00_31));} 

}



/* &read-private-key */
BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_3763, obj_t BgL_filez00_3764)
{
{ /* Llib/ssl.scm 681 */
{ /* Llib/ssl.scm 682 */
obj_t BgL_auxz00_6333;
if(
STRINGP(BgL_filez00_3764))
{ /* Llib/ssl.scm 682 */
BgL_auxz00_6333 = BgL_filez00_3764
; }  else 
{ 
obj_t BgL_auxz00_6336;
BgL_auxz00_6336 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)27886)), BGl_string2995z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_filez00_3764); 
FAILURE(BgL_auxz00_6336,BFALSE,BFALSE);} 
return 
BGl_readzd2privatezd2keyz00zz__ssl_sslz00(BgL_auxz00_6333);} } 

}



/* read-certificate */
BGL_EXPORTED_DEF BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t BgL_filez00_32)
{
{ /* Llib/ssl.scm 687 */
return 
((BgL_certificatez00_bglt)
bgl_ssl_load_certificate(BgL_filez00_32));} 

}



/* &read-certificate */
BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t BgL_envz00_3765, obj_t BgL_filez00_3766)
{
{ /* Llib/ssl.scm 687 */
{ /* Llib/ssl.scm 688 */
obj_t BgL_auxz00_6343;
if(
STRINGP(BgL_filez00_3766))
{ /* Llib/ssl.scm 688 */
BgL_auxz00_6343 = BgL_filez00_3766
; }  else 
{ 
obj_t BgL_auxz00_6346;
BgL_auxz00_6346 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)28192)), BGl_string2996z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_filez00_3766); 
FAILURE(BgL_auxz00_6346,BFALSE,BFALSE);} 
return 
BGl_readzd2certificatezd2zz__ssl_sslz00(BgL_auxz00_6343);} } 

}



/* read-pem-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t BgL_filez00_33)
{
{ /* Llib/ssl.scm 693 */
return 
bgl_ssl_load_pem(BgL_filez00_33);} 

}



/* &read-pem-file */
obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t BgL_envz00_3767, obj_t BgL_filez00_3768)
{
{ /* Llib/ssl.scm 693 */
{ /* Llib/ssl.scm 694 */
obj_t BgL_auxz00_6352;
if(
STRINGP(BgL_filez00_3768))
{ /* Llib/ssl.scm 694 */
BgL_auxz00_6352 = BgL_filez00_3768
; }  else 
{ 
obj_t BgL_auxz00_6355;
BgL_auxz00_6355 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)28492)), BGl_string2997z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_filez00_3768); 
FAILURE(BgL_auxz00_6355,BFALSE,BFALSE);} 
return 
BGl_readzd2pemzd2filez00zz__ssl_sslz00(BgL_auxz00_6352);} } 

}



/* ssl-rand-status */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 699 */
return 
RAND_status();} 

}



/* &ssl-rand-status */
obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t BgL_envz00_3769)
{
{ /* Llib/ssl.scm 699 */
return 
BBOOL(
BGl_sslzd2randzd2statusz00zz__ssl_sslz00());} 

}



/* ssl-rand-poll */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 707 */
return 
RAND_poll();} 

}



/* &ssl-rand-poll */
obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t BgL_envz00_3770)
{
{ /* Llib/ssl.scm 707 */
return 
BBOOL(
BGl_sslzd2randzd2pollz00zz__ssl_sslz00());} 

}



/* ssl-rand-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int BgL_sza7za7_34)
{
{ /* Llib/ssl.scm 715 */
{ /* Llib/ssl.scm 716 */
obj_t BgL_strz00_1835;
{ /* Llib/ssl.scm 716 */

BgL_strz00_1835 = 
make_string(
(long)(BgL_sza7za7_34), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 719 */
char * BgL_tmpz00_6368;
BgL_tmpz00_6368 = 
BSTRING_TO_STRING(BgL_strz00_1835); 
RAND_bytes(BgL_tmpz00_6368, BgL_sza7za7_34); } 
return BgL_strz00_1835;} } 

}



/* &ssl-rand-bytes */
obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_3771, obj_t BgL_sza7za7_3772)
{
{ /* Llib/ssl.scm 715 */
{ /* Llib/ssl.scm 716 */
int BgL_auxz00_6371;
{ /* Llib/ssl.scm 716 */
obj_t BgL_tmpz00_6372;
if(
INTEGERP(BgL_sza7za7_3772))
{ /* Llib/ssl.scm 716 */
BgL_tmpz00_6372 = BgL_sza7za7_3772
; }  else 
{ 
obj_t BgL_auxz00_6375;
BgL_auxz00_6375 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)29415)), BGl_string2998z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_sza7za7_3772); 
FAILURE(BgL_auxz00_6375,BFALSE,BFALSE);} 
BgL_auxz00_6371 = 
CINT(BgL_tmpz00_6372); } 
return 
BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(BgL_auxz00_6371);} } 

}



/* ssl-rand-pseudo-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int BgL_sza7za7_35)
{
{ /* Llib/ssl.scm 732 */
{ /* Llib/ssl.scm 733 */
obj_t BgL_strz00_1839;
{ /* Llib/ssl.scm 733 */

BgL_strz00_1839 = 
make_string(
(long)(BgL_sza7za7_35), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 736 */
char * BgL_tmpz00_6383;
BgL_tmpz00_6383 = 
BSTRING_TO_STRING(BgL_strz00_1839); 
RAND_pseudo_bytes(BgL_tmpz00_6383, BgL_sza7za7_35); } 
return BgL_strz00_1839;} } 

}



/* &ssl-rand-pseudo-bytes */
obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t BgL_envz00_3773, obj_t BgL_sza7za7_3774)
{
{ /* Llib/ssl.scm 732 */
{ /* Llib/ssl.scm 733 */
int BgL_auxz00_6386;
{ /* Llib/ssl.scm 733 */
obj_t BgL_tmpz00_6387;
if(
INTEGERP(BgL_sza7za7_3774))
{ /* Llib/ssl.scm 733 */
BgL_tmpz00_6387 = BgL_sza7za7_3774
; }  else 
{ 
obj_t BgL_auxz00_6390;
BgL_auxz00_6390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)29933)), BGl_string2999z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_sza7za7_3774); 
FAILURE(BgL_auxz00_6390,BFALSE,BFALSE);} 
BgL_auxz00_6386 = 
CINT(BgL_tmpz00_6387); } 
return 
BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(BgL_auxz00_6386);} } 

}



/* certificate-subject */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_36)
{
{ /* Llib/ssl.scm 749 */
return 
bgl_ssl_certificate_subject(
((obj_t)BgL_certz00_36));} 

}



/* &certificate-subject */
obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t BgL_envz00_3775, obj_t BgL_certz00_3776)
{
{ /* Llib/ssl.scm 749 */
{ /* Llib/ssl.scm 750 */
BgL_certificatez00_bglt BgL_auxz00_6398;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_3776, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 750 */
BgL_auxz00_6398 = 
((BgL_certificatez00_bglt)BgL_certz00_3776)
; }  else 
{ 
obj_t BgL_auxz00_6402;
BgL_auxz00_6402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)30482)), BGl_string3000z00zz__ssl_sslz00, BGl_string3001z00zz__ssl_sslz00, BgL_certz00_3776); 
FAILURE(BgL_auxz00_6402,BFALSE,BFALSE);} 
return 
BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_auxz00_6398);} } 

}



/* certificate-issuer */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_37)
{
{ /* Llib/ssl.scm 755 */
return 
bgl_ssl_certificate_issuer(
((obj_t)BgL_certz00_37));} 

}



/* &certificate-issuer */
obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t BgL_envz00_3777, obj_t BgL_certz00_3778)
{
{ /* Llib/ssl.scm 755 */
{ /* Llib/ssl.scm 756 */
BgL_certificatez00_bglt BgL_auxz00_6409;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_3778, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 756 */
BgL_auxz00_6409 = 
((BgL_certificatez00_bglt)BgL_certz00_3778)
; }  else 
{ 
obj_t BgL_auxz00_6413;
BgL_auxz00_6413 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)30800)), BGl_string3002z00zz__ssl_sslz00, BGl_string3001z00zz__ssl_sslz00, BgL_certz00_3778); 
FAILURE(BgL_auxz00_6413,BFALSE,BFALSE);} 
return 
BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_auxz00_6409);} } 

}



/* %make-certificate */
BGL_EXPORTED_DEF obj_t bgl_make_certificate(void * BgL_certz00_38)
{
{ /* Llib/ssl.scm 761 */
{ /* Llib/ssl.scm 762 */
BgL_certificatez00_bglt BgL_new1127z00_411;
{ /* Llib/ssl.scm 763 */
BgL_certificatez00_bglt BgL_new1126z00_412;
BgL_new1126z00_412 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 763 */
long BgL_arg1722z00_413;
BgL_arg1722z00_413 = 
BGL_CLASS_INDEX(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_412), BgL_arg1722z00_413); } 
BgL_new1127z00_411 = BgL_new1126z00_412; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1127z00_411))->BgL_z42nativez42)=((void *)BgL_certz00_38),BUNSPEC); 
return 
((obj_t)BgL_new1127z00_411);} } 

}



/* &%make-certificate */
obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t BgL_envz00_3779, obj_t BgL_certz00_3780)
{
{ /* Llib/ssl.scm 761 */
{ /* Llib/ssl.scm 762 */
void * BgL_auxz00_6424;
if(
FOREIGNP(BgL_certz00_3780))
{ /* Llib/ssl.scm 762 */
BgL_auxz00_6424 = 
FOREIGN_TO_COBJ(BgL_certz00_3780)
; }  else 
{ 
obj_t BgL_auxz00_6428;
BgL_auxz00_6428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)31087)), BGl_string3003z00zz__ssl_sslz00, BGl_string3004z00zz__ssl_sslz00, BgL_certz00_3780); 
FAILURE(BgL_auxz00_6428,BFALSE,BFALSE);} 
return 
bgl_make_certificate(BgL_auxz00_6424);} } 

}



/* %make-private-key */
BGL_EXPORTED_DEF obj_t bgl_make_private_key(void * BgL_pkeyz00_39)
{
{ /* Llib/ssl.scm 768 */
{ /* Llib/ssl.scm 769 */
BgL_privatezd2keyzd2_bglt BgL_new1129z00_414;
{ /* Llib/ssl.scm 770 */
BgL_privatezd2keyzd2_bglt BgL_new1128z00_415;
BgL_new1128z00_415 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 770 */
long BgL_arg1726z00_416;
BgL_arg1726z00_416 = 
BGL_CLASS_INDEX(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_415), BgL_arg1726z00_416); } 
BgL_new1129z00_414 = BgL_new1128z00_415; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1129z00_414))->BgL_z42nativez42)=((void *)BgL_pkeyz00_39),BUNSPEC); 
return 
((obj_t)BgL_new1129z00_414);} } 

}



/* &%make-private-key */
obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t BgL_envz00_3781, obj_t BgL_pkeyz00_3782)
{
{ /* Llib/ssl.scm 768 */
{ /* Llib/ssl.scm 769 */
void * BgL_auxz00_6439;
if(
FOREIGNP(BgL_pkeyz00_3782))
{ /* Llib/ssl.scm 769 */
BgL_auxz00_6439 = 
FOREIGN_TO_COBJ(BgL_pkeyz00_3782)
; }  else 
{ 
obj_t BgL_auxz00_6443;
BgL_auxz00_6443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)31395)), BGl_string3005z00zz__ssl_sslz00, BGl_string3004z00zz__ssl_sslz00, BgL_pkeyz00_3782); 
FAILURE(BgL_auxz00_6443,BFALSE,BFALSE);} 
return 
bgl_make_private_key(BgL_auxz00_6439);} } 

}



/* %certificate-$native */
BGL_EXPORTED_DEF void * bgl_certificate_native(obj_t BgL_certz00_40)
{
{ /* Llib/ssl.scm 775 */
return 
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_certz00_40)))->BgL_z42nativez42);} 

}



/* &%certificate-$native */
obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t BgL_envz00_3783, obj_t BgL_certz00_3784)
{
{ /* Llib/ssl.scm 775 */
return 
void_star_to_obj(
bgl_certificate_native(BgL_certz00_3784));} 

}



/* %private-key-$native */
BGL_EXPORTED_DEF void * bgl_private_key_native(obj_t BgL_pkeyz00_41)
{
{ /* Llib/ssl.scm 782 */
return 
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_pkeyz00_41)))->BgL_z42nativez42);} 

}



/* &%private-key-$native */
obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t BgL_envz00_3785, obj_t BgL_pkeyz00_3786)
{
{ /* Llib/ssl.scm 782 */
return 
void_star_to_obj(
bgl_private_key_native(BgL_pkeyz00_3786));} 

}



/* _secure-context-set-key! */
obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t BgL_env1255z00_59, obj_t BgL_opt1254z00_58)
{
{ /* Llib/ssl.scm 839 */
{ /* Llib/ssl.scm 839 */
obj_t BgL_g1256z00_419;obj_t BgL_g1257z00_420;obj_t BgL_g1258z00_421;obj_t BgL_g1259z00_422;
{ 
obj_t BgL_auxz00_6456;
if(
VECTORP(BgL_opt1254z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6456 = BgL_opt1254z00_58
; }  else 
{ 
obj_t BgL_auxz00_6459;
BgL_auxz00_6459 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3007z00zz__ssl_sslz00, BgL_opt1254z00_58); 
FAILURE(BgL_auxz00_6459,BFALSE,BFALSE);} 
BgL_g1256z00_419 = 
VECTOR_REF(BgL_auxz00_6456,((long)0)); } 
{ 
obj_t BgL_auxz00_6464;
if(
VECTORP(BgL_opt1254z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6464 = BgL_opt1254z00_58
; }  else 
{ 
obj_t BgL_auxz00_6467;
BgL_auxz00_6467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3007z00zz__ssl_sslz00, BgL_opt1254z00_58); 
FAILURE(BgL_auxz00_6467,BFALSE,BFALSE);} 
BgL_g1257z00_420 = 
VECTOR_REF(BgL_auxz00_6464,((long)1)); } 
{ 
obj_t BgL_auxz00_6472;
if(
VECTORP(BgL_opt1254z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6472 = BgL_opt1254z00_58
; }  else 
{ 
obj_t BgL_auxz00_6475;
BgL_auxz00_6475 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3007z00zz__ssl_sslz00, BgL_opt1254z00_58); 
FAILURE(BgL_auxz00_6475,BFALSE,BFALSE);} 
BgL_g1258z00_421 = 
VECTOR_REF(BgL_auxz00_6472,((long)2)); } 
{ 
obj_t BgL_auxz00_6480;
if(
VECTORP(BgL_opt1254z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6480 = BgL_opt1254z00_58
; }  else 
{ 
obj_t BgL_auxz00_6483;
BgL_auxz00_6483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3007z00zz__ssl_sslz00, BgL_opt1254z00_58); 
FAILURE(BgL_auxz00_6483,BFALSE,BFALSE);} 
BgL_g1259z00_422 = 
VECTOR_REF(BgL_auxz00_6480,((long)3)); } 
{ /* Llib/ssl.scm 839 */
long BgL_aux1261z00_424;
{ 
obj_t BgL_auxz00_6488;
if(
VECTORP(BgL_opt1254z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6488 = BgL_opt1254z00_58
; }  else 
{ 
obj_t BgL_auxz00_6491;
BgL_auxz00_6491 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3007z00zz__ssl_sslz00, BgL_opt1254z00_58); 
FAILURE(BgL_auxz00_6491,BFALSE,BFALSE);} 
BgL_aux1261z00_424 = 
VECTOR_LENGTH(BgL_auxz00_6488); } 
switch( BgL_aux1261z00_424) { case ((long)4) : 

{ /* Llib/ssl.scm 839 */

{ /* Llib/ssl.scm 839 */
bool_t BgL_tmpz00_6496;
{ /* Llib/ssl.scm 839 */
long BgL_auxz00_6521;long BgL_auxz00_6512;obj_t BgL_auxz00_6505;BgL_securezd2contextzd2_bglt BgL_auxz00_6497;
{ /* Llib/ssl.scm 839 */
obj_t BgL_tmpz00_6522;
if(
INTEGERP(BgL_g1259z00_422))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_6522 = BgL_g1259z00_422
; }  else 
{ 
obj_t BgL_auxz00_6525;
BgL_auxz00_6525 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_g1259z00_422); 
FAILURE(BgL_auxz00_6525,BFALSE,BFALSE);} 
BgL_auxz00_6521 = 
(long)CINT(BgL_tmpz00_6522); } 
{ /* Llib/ssl.scm 839 */
obj_t BgL_tmpz00_6513;
if(
INTEGERP(BgL_g1258z00_421))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_6513 = BgL_g1258z00_421
; }  else 
{ 
obj_t BgL_auxz00_6516;
BgL_auxz00_6516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_g1258z00_421); 
FAILURE(BgL_auxz00_6516,BFALSE,BFALSE);} 
BgL_auxz00_6512 = 
(long)CINT(BgL_tmpz00_6513); } 
if(
STRINGP(BgL_g1257z00_420))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6505 = BgL_g1257z00_420
; }  else 
{ 
obj_t BgL_auxz00_6508;
BgL_auxz00_6508 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_g1257z00_420); 
FAILURE(BgL_auxz00_6508,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_g1256z00_419, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6497 = 
((BgL_securezd2contextzd2_bglt)BgL_g1256z00_419)
; }  else 
{ 
obj_t BgL_auxz00_6501;
BgL_auxz00_6501 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_g1256z00_419); 
FAILURE(BgL_auxz00_6501,BFALSE,BFALSE);} 
BgL_tmpz00_6496 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_6497, BgL_auxz00_6505, BgL_auxz00_6512, BgL_auxz00_6521, BFALSE); } 
return 
BBOOL(BgL_tmpz00_6496);} } break;case ((long)5) : 

{ /* Llib/ssl.scm 839 */
obj_t BgL_passphrasez00_427;
{ 
obj_t BgL_auxz00_6532;
if(
VECTORP(BgL_opt1254z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6532 = BgL_opt1254z00_58
; }  else 
{ 
obj_t BgL_auxz00_6535;
BgL_auxz00_6535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3007z00zz__ssl_sslz00, BgL_opt1254z00_58); 
FAILURE(BgL_auxz00_6535,BFALSE,BFALSE);} 
BgL_passphrasez00_427 = 
VECTOR_REF(BgL_auxz00_6532,((long)4)); } 
{ /* Llib/ssl.scm 839 */

{ /* Llib/ssl.scm 839 */
bool_t BgL_tmpz00_6540;
{ /* Llib/ssl.scm 839 */
long BgL_auxz00_6565;long BgL_auxz00_6556;obj_t BgL_auxz00_6549;BgL_securezd2contextzd2_bglt BgL_auxz00_6541;
{ /* Llib/ssl.scm 839 */
obj_t BgL_tmpz00_6566;
if(
INTEGERP(BgL_g1259z00_422))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_6566 = BgL_g1259z00_422
; }  else 
{ 
obj_t BgL_auxz00_6569;
BgL_auxz00_6569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_g1259z00_422); 
FAILURE(BgL_auxz00_6569,BFALSE,BFALSE);} 
BgL_auxz00_6565 = 
(long)CINT(BgL_tmpz00_6566); } 
{ /* Llib/ssl.scm 839 */
obj_t BgL_tmpz00_6557;
if(
INTEGERP(BgL_g1258z00_421))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_6557 = BgL_g1258z00_421
; }  else 
{ 
obj_t BgL_auxz00_6560;
BgL_auxz00_6560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_g1258z00_421); 
FAILURE(BgL_auxz00_6560,BFALSE,BFALSE);} 
BgL_auxz00_6556 = 
(long)CINT(BgL_tmpz00_6557); } 
if(
STRINGP(BgL_g1257z00_420))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6549 = BgL_g1257z00_420
; }  else 
{ 
obj_t BgL_auxz00_6552;
BgL_auxz00_6552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_g1257z00_420); 
FAILURE(BgL_auxz00_6552,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_g1256z00_419, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_6541 = 
((BgL_securezd2contextzd2_bglt)BgL_g1256z00_419)
; }  else 
{ 
obj_t BgL_auxz00_6545;
BgL_auxz00_6545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3006z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_g1256z00_419); 
FAILURE(BgL_auxz00_6545,BFALSE,BFALSE);} 
BgL_tmpz00_6540 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_6541, BgL_auxz00_6549, BgL_auxz00_6556, BgL_auxz00_6565, BgL_passphrasez00_427); } 
return 
BBOOL(BgL_tmpz00_6540);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* bn-bin2bn */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t BgL_stringz00_178)
{
{ /* Llib/ssl.scm 1393 */
{ /* Llib/ssl.scm 1395 */
void * BgL_arg1729z00_1851;
{ /* Llib/ssl.scm 1395 */
long BgL_arg1730z00_1852;
BgL_arg1730z00_1852 = 
STRING_LENGTH(BgL_stringz00_178); 
BgL_arg1729z00_1851 = 
bgl_bn_bin2bn(
BSTRING_TO_STRING(BgL_stringz00_178), 
(int)(BgL_arg1730z00_1852)); } 
return 
void_star_to_obj(BgL_arg1729z00_1851);} } 

}



/* &bn-bin2bn */
obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t BgL_envz00_3787, obj_t BgL_stringz00_3788)
{
{ /* Llib/ssl.scm 1393 */
{ /* Llib/ssl.scm 1395 */
obj_t BgL_auxz00_6582;
if(
STRINGP(BgL_stringz00_3788))
{ /* Llib/ssl.scm 1395 */
BgL_auxz00_6582 = BgL_stringz00_3788
; }  else 
{ 
obj_t BgL_auxz00_6585;
BgL_auxz00_6585 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)56241)), BGl_string3009z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_stringz00_3788); 
FAILURE(BgL_auxz00_6585,BFALSE,BFALSE);} 
return 
BGl_bnzd2bin2bnzd2zz__ssl_sslz00(BgL_auxz00_6582);} } 

}



/* bn-bn2bin */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t BgL_bnz00_179)
{
{ /* Llib/ssl.scm 1401 */
{ /* Llib/ssl.scm 1404 */
int BgL_sza7za7_430;
{ /* Llib/ssl.scm 1415 */
void * BgL_arg1739z00_1855;
BgL_arg1739z00_1855 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
BgL_sza7za7_430 = 
BN_num_bytes(BgL_arg1739z00_1855); } 
{ /* Llib/ssl.scm 1404 */
obj_t BgL_stz00_431;
{ /* Llib/ssl.scm 1405 */

BgL_stz00_431 = 
make_string(
(long)(BgL_sza7za7_430), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1405 */

{ /* Llib/ssl.scm 1406 */
void * BgL_arg1733z00_432;
BgL_arg1733z00_432 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
{ /* Llib/ssl.scm 1406 */
char * BgL_tmpz00_6595;
BgL_tmpz00_6595 = 
BSTRING_TO_STRING(BgL_stz00_431); 
BN_bn2bin(BgL_arg1733z00_432, BgL_tmpz00_6595); } } 
return BgL_stz00_431;} } } } 

}



/* &bn-bn2bin */
obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t BgL_envz00_3789, obj_t BgL_bnz00_3790)
{
{ /* Llib/ssl.scm 1401 */
{ /* Llib/ssl.scm 1404 */
obj_t BgL_auxz00_6598;
if(
FOREIGNP(BgL_bnz00_3790))
{ /* Llib/ssl.scm 1404 */
BgL_auxz00_6598 = BgL_bnz00_3790
; }  else 
{ 
obj_t BgL_auxz00_6601;
BgL_auxz00_6601 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)56579)), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_bnz00_3790); 
FAILURE(BgL_auxz00_6601,BFALSE,BFALSE);} 
return 
BGl_bnzd2bn2binzd2zz__ssl_sslz00(BgL_auxz00_6598);} } 

}



/* bn-num-bytes */
BGL_EXPORTED_DEF int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t BgL_bnz00_180)
{
{ /* Llib/ssl.scm 1413 */
{ /* Llib/ssl.scm 1415 */
void * BgL_arg1739z00_1857;
BgL_arg1739z00_1857 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_180); 
return 
BN_num_bytes(BgL_arg1739z00_1857);} } 

}



/* &bn-num-bytes */
obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_3791, obj_t BgL_bnz00_3792)
{
{ /* Llib/ssl.scm 1413 */
{ /* Llib/ssl.scm 1415 */
int BgL_tmpz00_6608;
{ /* Llib/ssl.scm 1415 */
obj_t BgL_auxz00_6609;
if(
FOREIGNP(BgL_bnz00_3792))
{ /* Llib/ssl.scm 1415 */
BgL_auxz00_6609 = BgL_bnz00_3792
; }  else 
{ 
obj_t BgL_auxz00_6612;
BgL_auxz00_6612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)57001)), BGl_string3012z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_bnz00_3792); 
FAILURE(BgL_auxz00_6612,BFALSE,BFALSE);} 
BgL_tmpz00_6608 = 
BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(BgL_auxz00_6609); } 
return 
BINT(BgL_tmpz00_6608);} } 

}



/* bn-free */
BGL_EXPORTED_DEF obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t BgL_bnz00_181)
{
{ /* Llib/ssl.scm 1421 */
{ /* Llib/ssl.scm 1423 */
void * BgL_arg1752z00_1858;
BgL_arg1752z00_1858 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
BN_free(BgL_arg1752z00_1858); BUNSPEC; } 
return BUNSPEC;} 

}



/* &bn-free */
obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t BgL_envz00_3793, obj_t BgL_bnz00_3794)
{
{ /* Llib/ssl.scm 1421 */
{ /* Llib/ssl.scm 1423 */
obj_t BgL_auxz00_6620;
if(
FOREIGNP(BgL_bnz00_3794))
{ /* Llib/ssl.scm 1423 */
BgL_auxz00_6620 = BgL_bnz00_3794
; }  else 
{ 
obj_t BgL_auxz00_6623;
BgL_auxz00_6623 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)57346)), BGl_string3013z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_bnz00_3794); 
FAILURE(BgL_auxz00_6623,BFALSE,BFALSE);} 
return 
BGl_bnzd2freezd2zz__ssl_sslz00(BgL_auxz00_6620);} } 

}



/* bn-new */
BGL_EXPORTED_DEF obj_t BGl_bnzd2newzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1429 */
{ /* Llib/ssl.scm 1431 */
void * BgL_arg1753z00_1859;
BgL_arg1753z00_1859 = 
BN_new(); 
return 
void_star_to_obj(BgL_arg1753z00_1859);} } 

}



/* &bn-new */
obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t BgL_envz00_3795)
{
{ /* Llib/ssl.scm 1429 */
return 
BGl_bnzd2newzd2zz__ssl_sslz00();} 

}



/* bn-set-word */
BGL_EXPORTED_DEF bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t BgL_bnz00_182, int BgL_wz00_183)
{
{ /* Llib/ssl.scm 1437 */
{ /* Llib/ssl.scm 1439 */
void * BgL_arg1755z00_1860;
BgL_arg1755z00_1860 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_182); 
return 
BN_set_word(BgL_arg1755z00_1860, BgL_wz00_183);} } 

}



/* &bn-set-word */
obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t BgL_envz00_3796, obj_t BgL_bnz00_3797, obj_t BgL_wz00_3798)
{
{ /* Llib/ssl.scm 1437 */
{ /* Llib/ssl.scm 1439 */
bool_t BgL_tmpz00_6633;
{ /* Llib/ssl.scm 1439 */
int BgL_auxz00_6641;obj_t BgL_auxz00_6634;
{ /* Llib/ssl.scm 1439 */
obj_t BgL_tmpz00_6642;
if(
INTEGERP(BgL_wz00_3798))
{ /* Llib/ssl.scm 1439 */
BgL_tmpz00_6642 = BgL_wz00_3798
; }  else 
{ 
obj_t BgL_auxz00_6645;
BgL_auxz00_6645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)57980)), BGl_string3014z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_wz00_3798); 
FAILURE(BgL_auxz00_6645,BFALSE,BFALSE);} 
BgL_auxz00_6641 = 
CINT(BgL_tmpz00_6642); } 
if(
FOREIGNP(BgL_bnz00_3797))
{ /* Llib/ssl.scm 1439 */
BgL_auxz00_6634 = BgL_bnz00_3797
; }  else 
{ 
obj_t BgL_auxz00_6637;
BgL_auxz00_6637 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)57980)), BGl_string3014z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_bnz00_3797); 
FAILURE(BgL_auxz00_6637,BFALSE,BFALSE);} 
BgL_tmpz00_6633 = 
BGl_bnzd2setzd2wordz00zz__ssl_sslz00(BgL_auxz00_6634, BgL_auxz00_6641); } 
return 
BBOOL(BgL_tmpz00_6633);} } 

}



/* ssl-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1445 */
return 
bgl_ssl_get_ciphers();} 

}



/* &ssl-get-ciphers */
obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_3799)
{
{ /* Llib/ssl.scm 1445 */
return 
BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1453 */
return 
bgl_evp_get_ciphers();} 

}



/* &evp-get-ciphers */
obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_3800)
{
{ /* Llib/ssl.scm 1453 */
return 
BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-hashes */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1461 */
return 
bgl_evp_get_hashes();} 

}



/* &evp-get-hashes */
obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t BgL_envz00_3801)
{
{ /* Llib/ssl.scm 1461 */
return 
BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();} 

}



/* pkcs5-pbkdf2-hmac-sha1 */
BGL_EXPORTED_DEF obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t BgL_passz00_184, obj_t BgL_saltz00_185, int BgL_iterz00_186, int BgL_keylenz00_187)
{
{ /* Llib/ssl.scm 1469 */
return 
bgl_pkcs5_pbkdf2_hmac_sha1(BgL_passz00_184, BgL_saltz00_185, BgL_iterz00_186, BgL_keylenz00_187);} 

}



/* &pkcs5-pbkdf2-hmac-sha1 */
obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t BgL_envz00_3802, obj_t BgL_passz00_3803, obj_t BgL_saltz00_3804, obj_t BgL_iterz00_3805, obj_t BgL_keylenz00_3806)
{
{ /* Llib/ssl.scm 1469 */
{ /* Llib/ssl.scm 1472 */
int BgL_auxz00_6682;int BgL_auxz00_6673;obj_t BgL_auxz00_6666;obj_t BgL_auxz00_6659;
{ /* Llib/ssl.scm 1472 */
obj_t BgL_tmpz00_6683;
if(
INTEGERP(BgL_keylenz00_3806))
{ /* Llib/ssl.scm 1472 */
BgL_tmpz00_6683 = BgL_keylenz00_3806
; }  else 
{ 
obj_t BgL_auxz00_6686;
BgL_auxz00_6686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3015z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_keylenz00_3806); 
FAILURE(BgL_auxz00_6686,BFALSE,BFALSE);} 
BgL_auxz00_6682 = 
CINT(BgL_tmpz00_6683); } 
{ /* Llib/ssl.scm 1472 */
obj_t BgL_tmpz00_6674;
if(
INTEGERP(BgL_iterz00_3805))
{ /* Llib/ssl.scm 1472 */
BgL_tmpz00_6674 = BgL_iterz00_3805
; }  else 
{ 
obj_t BgL_auxz00_6677;
BgL_auxz00_6677 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3015z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_iterz00_3805); 
FAILURE(BgL_auxz00_6677,BFALSE,BFALSE);} 
BgL_auxz00_6673 = 
CINT(BgL_tmpz00_6674); } 
if(
STRINGP(BgL_saltz00_3804))
{ /* Llib/ssl.scm 1472 */
BgL_auxz00_6666 = BgL_saltz00_3804
; }  else 
{ 
obj_t BgL_auxz00_6669;
BgL_auxz00_6669 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3015z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_saltz00_3804); 
FAILURE(BgL_auxz00_6669,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passz00_3803))
{ /* Llib/ssl.scm 1472 */
BgL_auxz00_6659 = BgL_passz00_3803
; }  else 
{ 
obj_t BgL_auxz00_6662;
BgL_auxz00_6662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3015z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_passz00_3803); 
FAILURE(BgL_auxz00_6662,BFALSE,BFALSE);} 
return 
BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(BgL_auxz00_6659, BgL_auxz00_6666, BgL_auxz00_6673, BgL_auxz00_6682);} } 

}



/* ssl-op-cipher-server-preference */
BGL_EXPORTED_DEF int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1479 */
return SSL_OP_CIPHER_SERVER_PREFERENCE;} 

}



/* &ssl-op-cipher-server-preference */
obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t BgL_envz00_3807)
{
{ /* Llib/ssl.scm 1479 */
return 
BINT(
BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 299 */
obj_t BgL_arg1769z00_442;obj_t BgL_arg1770z00_443;
{ /* Llib/ssl.scm 299 */
obj_t BgL_v1192z00_454;
BgL_v1192z00_454 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 299 */
obj_t BgL_arg1776z00_455;
BgL_arg1776z00_455 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3017z00zz__ssl_sslz00, BGl_proc3016z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1192z00_454,((long)0),BgL_arg1776z00_455); } 
BgL_arg1769z00_442 = BgL_v1192z00_454; } 
{ /* Llib/ssl.scm 299 */
obj_t BgL_v1193z00_465;
BgL_v1193z00_465 = 
create_vector(((long)0)); 
BgL_arg1770z00_443 = BgL_v1193z00_465; } 
BGl_certificatez00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)36719), BGl_proc3020z00zz__ssl_sslz00, BGl_proc3019z00zz__ssl_sslz00, BFALSE, BGl_proc3018z00zz__ssl_sslz00, BFALSE, BgL_arg1769z00_442, BgL_arg1770z00_443); } 
{ /* Llib/ssl.scm 302 */
obj_t BgL_arg1784z00_472;obj_t BgL_arg1785z00_473;
{ /* Llib/ssl.scm 302 */
obj_t BgL_v1194z00_484;
BgL_v1194z00_484 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 302 */
obj_t BgL_arg1791z00_485;
BgL_arg1791z00_485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3022z00zz__ssl_sslz00, BGl_proc3021z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1194z00_484,((long)0),BgL_arg1791z00_485); } 
BgL_arg1784z00_472 = BgL_v1194z00_484; } 
{ /* Llib/ssl.scm 302 */
obj_t BgL_v1195z00_495;
BgL_v1195z00_495 = 
create_vector(((long)0)); 
BgL_arg1785z00_473 = BgL_v1195z00_495; } 
BGl_privatezd2keyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)33)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)36583), BGl_proc3025z00zz__ssl_sslz00, BGl_proc3024z00zz__ssl_sslz00, BFALSE, BGl_proc3023z00zz__ssl_sslz00, BFALSE, BgL_arg1784z00_472, BgL_arg1785z00_473); } 
{ /* Llib/ssl.scm 405 */
obj_t BgL_arg1799z00_502;obj_t BgL_arg1800z00_503;
{ /* Llib/ssl.scm 405 */
obj_t BgL_v1196z00_517;
BgL_v1196z00_517 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 405 */
obj_t BgL_arg1807z00_518;
BgL_arg1807z00_518 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3028z00zz__ssl_sslz00, BGl_proc3027z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3026z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)34))); 
VECTOR_SET(BgL_v1196z00_517,((long)0),BgL_arg1807z00_518); } 
{ /* Llib/ssl.scm 405 */
obj_t BgL_arg1815z00_531;
BgL_arg1815z00_531 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc3031z00zz__ssl_sslz00, BGl_proc3030z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3029z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)36))); 
VECTOR_SET(BgL_v1196z00_517,((long)1),BgL_arg1815z00_531); } 
{ /* Llib/ssl.scm 405 */
obj_t BgL_arg1822z00_544;
BgL_arg1822z00_544 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc3034z00zz__ssl_sslz00, BGl_proc3033z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3032z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1196z00_517,((long)2),BgL_arg1822z00_544); } 
BgL_arg1799z00_502 = BgL_v1196z00_517; } 
{ /* Llib/ssl.scm 405 */
obj_t BgL_v1197z00_557;
BgL_v1197z00_557 = 
create_vector(((long)0)); 
BgL_arg1800z00_503 = BgL_v1197z00_557; } 
BGl_securezd2contextzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)52075), BGl_proc3037z00zz__ssl_sslz00, BGl_proc3036z00zz__ssl_sslz00, BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3035z00zz__ssl_sslz00, BFALSE, BgL_arg1799z00_502, BgL_arg1800z00_503); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1832z00_564;obj_t BgL_arg1833z00_565;
{ /* Llib/ssl.scm 411 */
obj_t BgL_v1198z00_593;
BgL_v1198z00_593 = 
create_vector(((long)17)); 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1840z00_594;
BgL_arg1840z00_594 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3040z00zz__ssl_sslz00, BGl_proc3039z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3038z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)40))); 
VECTOR_SET(BgL_v1198z00_593,((long)0),BgL_arg1840z00_594); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1847z00_607;
BgL_arg1847z00_607 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc3043z00zz__ssl_sslz00, BGl_proc3042z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3041z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1198z00_593,((long)1),BgL_arg1847z00_607); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1854z00_620;
BgL_arg1854z00_620 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3046z00zz__ssl_sslz00, BGl_proc3045z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3044z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1198z00_593,((long)2),BgL_arg1854z00_620); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1862z00_633;
BgL_arg1862z00_633 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc3049z00zz__ssl_sslz00, BGl_proc3048z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3047z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)45))); 
VECTOR_SET(BgL_v1198z00_593,((long)3),BgL_arg1862z00_633); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1869z00_646;
BgL_arg1869z00_646 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3051z00zz__ssl_sslz00, BGl_proc3050z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_securezd2contextzd2zz__ssl_sslz00); 
VECTOR_SET(BgL_v1198z00_593,((long)4),BgL_arg1869z00_646); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1874z00_656;
BgL_arg1874z00_656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3053z00zz__ssl_sslz00, BGl_proc3052z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)5),BgL_arg1874z00_656); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1879z00_666;
BgL_arg1879z00_666 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3056z00zz__ssl_sslz00, BGl_proc3055z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3054z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)6),BgL_arg1879z00_666); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1886z00_679;
BgL_arg1886z00_679 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3059z00zz__ssl_sslz00, BGl_proc3058z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3057z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)7),BgL_arg1886z00_679); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1893z00_692;
BgL_arg1893z00_692 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3061z00zz__ssl_sslz00, BGl_proc3060z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)8),BgL_arg1893z00_692); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1898z00_702;
BgL_arg1898z00_702 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3064z00zz__ssl_sslz00, BGl_proc3063z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3062z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)9),BgL_arg1898z00_702); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1907z00_715;
BgL_arg1907z00_715 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3067z00zz__ssl_sslz00, BGl_proc3066z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3065z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)10),BgL_arg1907z00_715); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1914z00_728;
BgL_arg1914z00_728 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc3070z00zz__ssl_sslz00, BGl_proc3069z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3068z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)56))); 
VECTOR_SET(BgL_v1198z00_593,((long)11),BgL_arg1914z00_728); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1921z00_741;
BgL_arg1921z00_741 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3073z00zz__ssl_sslz00, BGl_proc3072z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3071z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)12),BgL_arg1921z00_741); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1928z00_754;
BgL_arg1928z00_754 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3076z00zz__ssl_sslz00, BGl_proc3075z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3074z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)13),BgL_arg1928z00_754); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1935z00_767;
BgL_arg1935z00_767 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc3079z00zz__ssl_sslz00, BGl_proc3078z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3077z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)14),BgL_arg1935z00_767); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1942z00_780;
BgL_arg1942z00_780 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc3082z00zz__ssl_sslz00, BGl_proc3081z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3080z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)15),BgL_arg1942z00_780); } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_arg1949z00_793;
BgL_arg1949z00_793 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc3085z00zz__ssl_sslz00, BGl_proc3084z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3083z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)16),BgL_arg1949z00_793); } 
BgL_arg1832z00_564 = BgL_v1198z00_593; } 
{ /* Llib/ssl.scm 411 */
obj_t BgL_v1199z00_806;
BgL_v1199z00_806 = 
create_vector(((long)0)); 
BgL_arg1833z00_565 = BgL_v1199z00_806; } 
BGl_sslzd2connectionzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)46618), BGl_proc3088z00zz__ssl_sslz00, BGl_proc3087z00zz__ssl_sslz00, BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3086z00zz__ssl_sslz00, BFALSE, BgL_arg1832z00_564, BgL_arg1833z00_565); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg1959z00_813;obj_t BgL_arg1960z00_814;
{ /* Llib/ssl.scm 431 */
obj_t BgL_v1200z00_831;
BgL_v1200z00_831 = 
create_vector(((long)11)); 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg1967z00_832;
BgL_arg1967z00_832 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3091z00zz__ssl_sslz00, BGl_proc3090z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3089z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)63))); 
VECTOR_SET(BgL_v1200z00_831,((long)0),BgL_arg1967z00_832); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg1974z00_845;
BgL_arg1974z00_845 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3094z00zz__ssl_sslz00, BGl_proc3093z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3092z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)1),BgL_arg1974z00_845); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg1981z00_858;
BgL_arg1981z00_858 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3097z00zz__ssl_sslz00, BGl_proc3096z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3095z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)2),BgL_arg1981z00_858); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg1988z00_871;
BgL_arg1988z00_871 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3100z00zz__ssl_sslz00, BGl_proc3099z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3098z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)3),BgL_arg1988z00_871); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg1995z00_884;
BgL_arg1995z00_884 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc3103z00zz__ssl_sslz00, BGl_proc3102z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3101z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)4),BgL_arg1995z00_884); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg2002z00_897;
BgL_arg2002z00_897 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3106z00zz__ssl_sslz00, BGl_proc3105z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3104z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)5),BgL_arg2002z00_897); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg2009z00_910;
BgL_arg2009z00_910 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3108z00zz__ssl_sslz00, BGl_proc3107z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)6),BgL_arg2009z00_910); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg2014z00_920;
BgL_arg2014z00_920 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3110z00zz__ssl_sslz00, BGl_proc3109z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)7),BgL_arg2014z00_920); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg2019z00_930;
BgL_arg2019z00_930 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3112z00zz__ssl_sslz00, BGl_proc3111z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)8),BgL_arg2019z00_930); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg2024z00_940;
BgL_arg2024z00_940 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc3114z00zz__ssl_sslz00, BGl_proc3113z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)9),BgL_arg2024z00_940); } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_arg2029z00_950;
BgL_arg2029z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3116z00zz__ssl_sslz00, BGl_proc3115z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)10),BgL_arg2029z00_950); } 
BgL_arg1959z00_813 = BgL_v1200z00_831; } 
{ /* Llib/ssl.scm 431 */
obj_t BgL_v1201z00_960;
BgL_v1201z00_960 = 
create_vector(((long)5)); 
{ /* Llib/ssl.scm 441 */
obj_t BgL_arg2034z00_961;
{ /* Llib/ssl.scm 441 */
obj_t BgL_arg2035z00_962;
BgL_arg2035z00_962 = 
MAKE_YOUNG_PAIR(BGl_proc3117z00zz__ssl_sslz00, BGl_proc3118z00zz__ssl_sslz00); 
BgL_arg2034z00_961 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2035z00_962); } 
VECTOR_SET(BgL_v1201z00_960,((long)0),BgL_arg2034z00_961); } 
{ /* Llib/ssl.scm 450 */
obj_t BgL_arg2048z00_989;
{ /* Llib/ssl.scm 450 */
obj_t BgL_arg2049z00_990;
BgL_arg2049z00_990 = 
MAKE_YOUNG_PAIR(BGl_proc3119z00zz__ssl_sslz00, BGl_proc3120z00zz__ssl_sslz00); 
BgL_arg2048z00_989 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2049z00_990); } 
VECTOR_SET(BgL_v1201z00_960,((long)1),BgL_arg2048z00_989); } 
{ /* Llib/ssl.scm 459 */
obj_t BgL_arg2062z00_1017;
{ /* Llib/ssl.scm 459 */
obj_t BgL_arg2063z00_1018;
BgL_arg2063z00_1018 = 
MAKE_YOUNG_PAIR(BGl_proc3121z00zz__ssl_sslz00, BGl_proc3122z00zz__ssl_sslz00); 
BgL_arg2062z00_1017 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2063z00_1018); } 
VECTOR_SET(BgL_v1201z00_960,((long)2),BgL_arg2062z00_1017); } 
{ /* Llib/ssl.scm 469 */
obj_t BgL_arg2076z00_1046;
{ /* Llib/ssl.scm 469 */
obj_t BgL_arg2077z00_1047;
BgL_arg2077z00_1047 = 
MAKE_YOUNG_PAIR(BGl_proc3123z00zz__ssl_sslz00, BGl_proc3124z00zz__ssl_sslz00); 
BgL_arg2076z00_1046 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2077z00_1047); } 
VECTOR_SET(BgL_v1201z00_960,((long)3),BgL_arg2076z00_1046); } 
{ /* Llib/ssl.scm 478 */
obj_t BgL_arg2089z00_1073;
{ /* Llib/ssl.scm 478 */
obj_t BgL_arg2090z00_1074;
BgL_arg2090z00_1074 = 
MAKE_YOUNG_PAIR(BGl_proc3125z00zz__ssl_sslz00, BGl_proc3126z00zz__ssl_sslz00); 
BgL_arg2089z00_1073 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2090z00_1074); } 
VECTOR_SET(BgL_v1201z00_960,((long)4),BgL_arg2089z00_1073); } 
BgL_arg1960z00_814 = BgL_v1201z00_960; } 
BGl_dhz00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)13004), BGl_proc3129z00zz__ssl_sslz00, BGl_proc3128z00zz__ssl_sslz00, BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3127z00zz__ssl_sslz00, BFALSE, BgL_arg1959z00_813, BgL_arg1960z00_814); } 
{ /* Llib/ssl.scm 486 */
obj_t BgL_arg2105z00_1106;obj_t BgL_arg2106z00_1107;
{ /* Llib/ssl.scm 486 */
obj_t BgL_v1202z00_1121;
BgL_v1202z00_1121 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 486 */
obj_t BgL_arg2113z00_1122;
BgL_arg2113z00_1122 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3132z00zz__ssl_sslz00, BGl_proc3131z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3130z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1202z00_1121,((long)0),BgL_arg2113z00_1122); } 
{ /* Llib/ssl.scm 486 */
obj_t BgL_arg2120z00_1135;
BgL_arg2120z00_1135 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3135z00zz__ssl_sslz00, BGl_proc3134z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3133z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1202z00_1121,((long)1),BgL_arg2120z00_1135); } 
{ /* Llib/ssl.scm 486 */
obj_t BgL_arg2127z00_1148;
BgL_arg2127z00_1148 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3137z00zz__ssl_sslz00, BGl_proc3136z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1202z00_1121,((long)2),BgL_arg2127z00_1148); } 
BgL_arg2105z00_1106 = BgL_v1202z00_1121; } 
{ /* Llib/ssl.scm 486 */
obj_t BgL_v1203z00_1158;
BgL_v1203z00_1158 = 
create_vector(((long)0)); 
BgL_arg2106z00_1107 = BgL_v1203z00_1158; } 
BGl_sslzd2hashzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)80)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)4072), BGl_proc3140z00zz__ssl_sslz00, BGl_proc3139z00zz__ssl_sslz00, BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3138z00zz__ssl_sslz00, BFALSE, BgL_arg2105z00_1106, BgL_arg2106z00_1107); } 
{ /* Llib/ssl.scm 496 */
obj_t BgL_arg2135z00_1165;obj_t BgL_arg2136z00_1166;
{ /* Llib/ssl.scm 496 */
obj_t BgL_v1204z00_1178;
BgL_v1204z00_1178 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 496 */
obj_t BgL_arg2142z00_1179;
BgL_arg2142z00_1179 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3143z00zz__ssl_sslz00, BGl_proc3142z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3141z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1204z00_1178,((long)0),BgL_arg2142z00_1179); } 
{ /* Llib/ssl.scm 496 */
obj_t BgL_arg2149z00_1192;
BgL_arg2149z00_1192 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3146z00zz__ssl_sslz00, BGl_proc3145z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3144z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1204z00_1178,((long)1),BgL_arg2149z00_1192); } 
BgL_arg2135z00_1165 = BgL_v1204z00_1178; } 
{ /* Llib/ssl.scm 496 */
obj_t BgL_v1205z00_1205;
BgL_v1205z00_1205 = 
create_vector(((long)0)); 
BgL_arg2136z00_1166 = BgL_v1205z00_1205; } 
BGl_sslzd2hmaczd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)62191), BGl_proc3149z00zz__ssl_sslz00, BGl_proc3148z00zz__ssl_sslz00, BFALSE, BGl_proc3147z00zz__ssl_sslz00, BFALSE, BgL_arg2135z00_1165, BgL_arg2136z00_1166); } 
{ /* Llib/ssl.scm 504 */
obj_t BgL_arg2159z00_1212;obj_t BgL_arg2160z00_1213;
{ /* Llib/ssl.scm 504 */
obj_t BgL_v1206z00_1225;
BgL_v1206z00_1225 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 504 */
obj_t BgL_arg2166z00_1226;
BgL_arg2166z00_1226 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3152z00zz__ssl_sslz00, BGl_proc3151z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3150z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1206z00_1225,((long)0),BgL_arg2166z00_1226); } 
{ /* Llib/ssl.scm 504 */
obj_t BgL_arg2173z00_1239;
BgL_arg2173z00_1239 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3155z00zz__ssl_sslz00, BGl_proc3154z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3153z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1206z00_1225,((long)1),BgL_arg2173z00_1239); } 
BgL_arg2159z00_1212 = BgL_v1206z00_1225; } 
{ /* Llib/ssl.scm 504 */
obj_t BgL_v1207z00_1252;
BgL_v1207z00_1252 = 
create_vector(((long)0)); 
BgL_arg2160z00_1213 = BgL_v1207z00_1252; } 
BGl_sslzd2signzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)83)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)64231), BGl_proc3158z00zz__ssl_sslz00, BGl_proc3157z00zz__ssl_sslz00, BFALSE, BGl_proc3156z00zz__ssl_sslz00, BFALSE, BgL_arg2159z00_1212, BgL_arg2160z00_1213); } 
{ /* Llib/ssl.scm 512 */
obj_t BgL_arg2183z00_1259;obj_t BgL_arg2184z00_1260;
{ /* Llib/ssl.scm 512 */
obj_t BgL_v1208z00_1272;
BgL_v1208z00_1272 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 512 */
obj_t BgL_arg2190z00_1273;
BgL_arg2190z00_1273 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3161z00zz__ssl_sslz00, BGl_proc3160z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3159z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1208z00_1272,((long)0),BgL_arg2190z00_1273); } 
{ /* Llib/ssl.scm 512 */
obj_t BgL_arg2197z00_1286;
BgL_arg2197z00_1286 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3164z00zz__ssl_sslz00, BGl_proc3163z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3162z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1208z00_1272,((long)1),BgL_arg2197z00_1286); } 
BgL_arg2183z00_1259 = BgL_v1208z00_1272; } 
{ /* Llib/ssl.scm 512 */
obj_t BgL_v1209z00_1299;
BgL_v1209z00_1299 = 
create_vector(((long)0)); 
BgL_arg2184z00_1260 = BgL_v1209z00_1299; } 
BGl_sslzd2verifyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)84)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)31563), BGl_proc3167z00zz__ssl_sslz00, BGl_proc3166z00zz__ssl_sslz00, BFALSE, BGl_proc3165z00zz__ssl_sslz00, BFALSE, BgL_arg2183z00_1259, BgL_arg2184z00_1260); } 
{ /* Llib/ssl.scm 520 */
obj_t BgL_arg2207z00_1306;obj_t BgL_arg2208z00_1307;
{ /* Llib/ssl.scm 520 */
obj_t BgL_v1210z00_1319;
BgL_v1210z00_1319 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 520 */
obj_t BgL_arg2214z00_1320;
BgL_arg2214z00_1320 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc3170z00zz__ssl_sslz00, BGl_proc3169z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3168z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)86))); 
VECTOR_SET(BgL_v1210z00_1319,((long)0),BgL_arg2214z00_1320); } 
{ /* Llib/ssl.scm 520 */
obj_t BgL_arg2221z00_1333;
BgL_arg2221z00_1333 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)87)), BGl_proc3173z00zz__ssl_sslz00, BGl_proc3172z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3171z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)88))); 
VECTOR_SET(BgL_v1210z00_1319,((long)1),BgL_arg2221z00_1333); } 
BgL_arg2207z00_1306 = BgL_v1210z00_1319; } 
{ /* Llib/ssl.scm 520 */
obj_t BgL_v1211z00_1346;
BgL_v1211z00_1346 = 
create_vector(((long)0)); 
BgL_arg2208z00_1307 = BgL_v1211z00_1346; } 
return ( 
BGl_sslzd2cipherzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)89)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)23017), BGl_proc3176z00zz__ssl_sslz00, BGl_proc3175z00zz__ssl_sslz00, BFALSE, BGl_proc3174z00zz__ssl_sslz00, BFALSE, BgL_arg2207z00_1306, BgL_arg2208z00_1307), BUNSPEC) ;} } 

}



/* &<@anonymous:2213> */
obj_t BGl_z62zc3z04anonymousza32213ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_3974, obj_t BgL_new1116z00_3975)
{
{ /* Llib/ssl.scm 520 */
{ 
BgL_sslzd2cipherzd2_bglt BgL_auxz00_6939;
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1116z00_3975)))->BgL_z42cipherz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1116z00_3975)))->BgL_z42cipherzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_6939 = 
((BgL_sslzd2cipherzd2_bglt)BgL_new1116z00_3975); 
return 
((obj_t)BgL_auxz00_6939);} } 

}



/* &lambda2211 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2211z62zz__ssl_sslz00(obj_t BgL_envz00_3976)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
BgL_sslzd2cipherzd2_bglt BgL_new1115z00_5271;
BgL_new1115z00_5271 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 520 */
long BgL_arg2212z00_5272;
BgL_arg2212z00_5272 = 
BGL_CLASS_INDEX(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_5271), BgL_arg2212z00_5272); } 
return BgL_new1115z00_5271;} } 

}



/* &lambda2209 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2209z62zz__ssl_sslz00(obj_t BgL_envz00_3977, obj_t BgL_z42cipher1113z42_3978, obj_t BgL_z42cipherzd2ctx1114z90_3979)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
void * BgL_z42cipher1113z42_5273;void * BgL_z42cipherzd2ctx1114z90_5274;
BgL_z42cipher1113z42_5273 = 
FOREIGN_TO_COBJ(BgL_z42cipher1113z42_3978); 
BgL_z42cipherzd2ctx1114z90_5274 = 
FOREIGN_TO_COBJ(BgL_z42cipherzd2ctx1114z90_3979); 
{ /* Llib/ssl.scm 520 */
BgL_sslzd2cipherzd2_bglt BgL_new1180z00_5275;
{ /* Llib/ssl.scm 520 */
BgL_sslzd2cipherzd2_bglt BgL_new1179z00_5276;
BgL_new1179z00_5276 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 520 */
long BgL_arg2210z00_5277;
BgL_arg2210z00_5277 = 
BGL_CLASS_INDEX(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_5276), BgL_arg2210z00_5277); } 
BgL_new1180z00_5275 = BgL_new1179z00_5276; } 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1180z00_5275))->BgL_z42cipherz42)=((void *)BgL_z42cipher1113z42_5273),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1180z00_5275))->BgL_z42cipherzd2ctxz90)=((void *)BgL_z42cipherzd2ctx1114z90_5274),BUNSPEC); 
return BgL_new1180z00_5275;} } } 

}



/* &<@anonymous:2227> */
obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_3980)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2226 */
obj_t BGl_z62lambda2226z62zz__ssl_sslz00(obj_t BgL_envz00_3981, obj_t BgL_oz00_3982, obj_t BgL_vz00_3983)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
void * BgL_vz00_5279;
BgL_vz00_5279 = 
FOREIGN_TO_COBJ(BgL_vz00_3983); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3982)))->BgL_z42cipherzd2ctxz90)=((void *)BgL_vz00_5279),BUNSPEC);} } 

}



/* &lambda2225 */
obj_t BGl_z62lambda2225z62zz__ssl_sslz00(obj_t BgL_envz00_3984, obj_t BgL_oz00_3985)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3985)))->BgL_z42cipherzd2ctxz90));} 

}



/* &<@anonymous:2220> */
obj_t BGl_z62zc3z04anonymousza32220ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_3986)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__ssl_sslz00(obj_t BgL_envz00_3987, obj_t BgL_oz00_3988, obj_t BgL_vz00_3989)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
void * BgL_vz00_5282;
BgL_vz00_5282 = 
FOREIGN_TO_COBJ(BgL_vz00_3989); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3988)))->BgL_z42cipherz42)=((void *)BgL_vz00_5282),BUNSPEC);} } 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__ssl_sslz00(obj_t BgL_envz00_3990, obj_t BgL_oz00_3991)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3991)))->BgL_z42cipherz42));} 

}



/* &<@anonymous:2189> */
obj_t BGl_z62zc3z04anonymousza32189ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_3992, obj_t BgL_new1111z00_3993)
{
{ /* Llib/ssl.scm 512 */
{ 
BgL_sslzd2verifyzd2_bglt BgL_auxz00_6974;
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1111z00_3993)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1111z00_3993)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_6974 = 
((BgL_sslzd2verifyzd2_bglt)BgL_new1111z00_3993); 
return 
((obj_t)BgL_auxz00_6974);} } 

}



/* &lambda2187 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2187z62zz__ssl_sslz00(obj_t BgL_envz00_3994)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
BgL_sslzd2verifyzd2_bglt BgL_new1110z00_5285;
BgL_new1110z00_5285 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 512 */
long BgL_arg2188z00_5286;
BgL_arg2188z00_5286 = 
BGL_CLASS_INDEX(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_5285), BgL_arg2188z00_5286); } 
return BgL_new1110z00_5285;} } 

}



/* &lambda2185 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2185z62zz__ssl_sslz00(obj_t BgL_envz00_3995, obj_t BgL_z42md1108z42_3996, obj_t BgL_z42mdzd2ctx1109z90_3997)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
void * BgL_z42md1108z42_5287;void * BgL_z42mdzd2ctx1109z90_5288;
BgL_z42md1108z42_5287 = 
FOREIGN_TO_COBJ(BgL_z42md1108z42_3996); 
BgL_z42mdzd2ctx1109z90_5288 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1109z90_3997); 
{ /* Llib/ssl.scm 512 */
BgL_sslzd2verifyzd2_bglt BgL_new1178z00_5289;
{ /* Llib/ssl.scm 512 */
BgL_sslzd2verifyzd2_bglt BgL_new1177z00_5290;
BgL_new1177z00_5290 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 512 */
long BgL_arg2186z00_5291;
BgL_arg2186z00_5291 = 
BGL_CLASS_INDEX(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_5290), BgL_arg2186z00_5291); } 
BgL_new1178z00_5289 = BgL_new1177z00_5290; } 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1178z00_5289))->BgL_z42mdz42)=((void *)BgL_z42md1108z42_5287),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1178z00_5289))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1109z90_5288),BUNSPEC); 
return BgL_new1178z00_5289;} } } 

}



/* &<@anonymous:2203> */
obj_t BGl_z62zc3z04anonymousza32203ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_3998)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__ssl_sslz00(obj_t BgL_envz00_3999, obj_t BgL_oz00_4000, obj_t BgL_vz00_4001)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
void * BgL_vz00_5293;
BgL_vz00_5293 = 
FOREIGN_TO_COBJ(BgL_vz00_4001); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4000)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5293),BUNSPEC);} } 

}



/* &lambda2201 */
obj_t BGl_z62lambda2201z62zz__ssl_sslz00(obj_t BgL_envz00_4002, obj_t BgL_oz00_4003)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4003)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2196> */
obj_t BGl_z62zc3z04anonymousza32196ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4004)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2195 */
obj_t BGl_z62lambda2195z62zz__ssl_sslz00(obj_t BgL_envz00_4005, obj_t BgL_oz00_4006, obj_t BgL_vz00_4007)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
void * BgL_vz00_5296;
BgL_vz00_5296 = 
FOREIGN_TO_COBJ(BgL_vz00_4007); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4006)))->BgL_z42mdz42)=((void *)BgL_vz00_5296),BUNSPEC);} } 

}



/* &lambda2194 */
obj_t BGl_z62lambda2194z62zz__ssl_sslz00(obj_t BgL_envz00_4008, obj_t BgL_oz00_4009)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4009)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2165> */
obj_t BGl_z62zc3z04anonymousza32165ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4010, obj_t BgL_new1106z00_4011)
{
{ /* Llib/ssl.scm 504 */
{ 
BgL_sslzd2signzd2_bglt BgL_auxz00_7009;
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1106z00_4011)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1106z00_4011)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7009 = 
((BgL_sslzd2signzd2_bglt)BgL_new1106z00_4011); 
return 
((obj_t)BgL_auxz00_7009);} } 

}



/* &lambda2163 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2163z62zz__ssl_sslz00(obj_t BgL_envz00_4012)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
BgL_sslzd2signzd2_bglt BgL_new1105z00_5299;
BgL_new1105z00_5299 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 504 */
long BgL_arg2164z00_5300;
BgL_arg2164z00_5300 = 
BGL_CLASS_INDEX(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_5299), BgL_arg2164z00_5300); } 
return BgL_new1105z00_5299;} } 

}



/* &lambda2161 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2161z62zz__ssl_sslz00(obj_t BgL_envz00_4013, obj_t BgL_z42md1103z42_4014, obj_t BgL_z42mdzd2ctx1104z90_4015)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
void * BgL_z42md1103z42_5301;void * BgL_z42mdzd2ctx1104z90_5302;
BgL_z42md1103z42_5301 = 
FOREIGN_TO_COBJ(BgL_z42md1103z42_4014); 
BgL_z42mdzd2ctx1104z90_5302 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1104z90_4015); 
{ /* Llib/ssl.scm 504 */
BgL_sslzd2signzd2_bglt BgL_new1176z00_5303;
{ /* Llib/ssl.scm 504 */
BgL_sslzd2signzd2_bglt BgL_new1175z00_5304;
BgL_new1175z00_5304 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 504 */
long BgL_arg2162z00_5305;
BgL_arg2162z00_5305 = 
BGL_CLASS_INDEX(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_5304), BgL_arg2162z00_5305); } 
BgL_new1176z00_5303 = BgL_new1175z00_5304; } 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1176z00_5303))->BgL_z42mdz42)=((void *)BgL_z42md1103z42_5301),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1176z00_5303))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1104z90_5302),BUNSPEC); 
return BgL_new1176z00_5303;} } } 

}



/* &<@anonymous:2179> */
obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4016)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__ssl_sslz00(obj_t BgL_envz00_4017, obj_t BgL_oz00_4018, obj_t BgL_vz00_4019)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
void * BgL_vz00_5307;
BgL_vz00_5307 = 
FOREIGN_TO_COBJ(BgL_vz00_4019); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4018)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5307),BUNSPEC);} } 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__ssl_sslz00(obj_t BgL_envz00_4020, obj_t BgL_oz00_4021)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4021)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2172> */
obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4022)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2171 */
obj_t BGl_z62lambda2171z62zz__ssl_sslz00(obj_t BgL_envz00_4023, obj_t BgL_oz00_4024, obj_t BgL_vz00_4025)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
void * BgL_vz00_5310;
BgL_vz00_5310 = 
FOREIGN_TO_COBJ(BgL_vz00_4025); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4024)))->BgL_z42mdz42)=((void *)BgL_vz00_5310),BUNSPEC);} } 

}



/* &lambda2170 */
obj_t BGl_z62lambda2170z62zz__ssl_sslz00(obj_t BgL_envz00_4026, obj_t BgL_oz00_4027)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4027)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2141> */
obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4028, obj_t BgL_new1101z00_4029)
{
{ /* Llib/ssl.scm 496 */
{ 
BgL_sslzd2hmaczd2_bglt BgL_auxz00_7044;
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1101z00_4029)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1101z00_4029)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7044 = 
((BgL_sslzd2hmaczd2_bglt)BgL_new1101z00_4029); 
return 
((obj_t)BgL_auxz00_7044);} } 

}



/* &lambda2139 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2139z62zz__ssl_sslz00(obj_t BgL_envz00_4030)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
BgL_sslzd2hmaczd2_bglt BgL_new1100z00_5313;
BgL_new1100z00_5313 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 496 */
long BgL_arg2140z00_5314;
BgL_arg2140z00_5314 = 
BGL_CLASS_INDEX(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_5313), BgL_arg2140z00_5314); } 
return BgL_new1100z00_5313;} } 

}



/* &lambda2137 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2137z62zz__ssl_sslz00(obj_t BgL_envz00_4031, obj_t BgL_z42md1098z42_4032, obj_t BgL_z42mdzd2ctx1099z90_4033)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
void * BgL_z42md1098z42_5315;void * BgL_z42mdzd2ctx1099z90_5316;
BgL_z42md1098z42_5315 = 
FOREIGN_TO_COBJ(BgL_z42md1098z42_4032); 
BgL_z42mdzd2ctx1099z90_5316 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1099z90_4033); 
{ /* Llib/ssl.scm 496 */
BgL_sslzd2hmaczd2_bglt BgL_new1174z00_5317;
{ /* Llib/ssl.scm 496 */
BgL_sslzd2hmaczd2_bglt BgL_new1173z00_5318;
BgL_new1173z00_5318 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 496 */
long BgL_arg2138z00_5319;
BgL_arg2138z00_5319 = 
BGL_CLASS_INDEX(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_5318), BgL_arg2138z00_5319); } 
BgL_new1174z00_5317 = BgL_new1173z00_5318; } 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1174z00_5317))->BgL_z42mdz42)=((void *)BgL_z42md1098z42_5315),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1174z00_5317))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1099z90_5316),BUNSPEC); 
return BgL_new1174z00_5317;} } } 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4034)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2154 */
obj_t BGl_z62lambda2154z62zz__ssl_sslz00(obj_t BgL_envz00_4035, obj_t BgL_oz00_4036, obj_t BgL_vz00_4037)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
void * BgL_vz00_5321;
BgL_vz00_5321 = 
FOREIGN_TO_COBJ(BgL_vz00_4037); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4036)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5321),BUNSPEC);} } 

}



/* &lambda2153 */
obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t BgL_envz00_4038, obj_t BgL_oz00_4039)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4039)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2148> */
obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4040)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2147 */
obj_t BGl_z62lambda2147z62zz__ssl_sslz00(obj_t BgL_envz00_4041, obj_t BgL_oz00_4042, obj_t BgL_vz00_4043)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
void * BgL_vz00_5324;
BgL_vz00_5324 = 
FOREIGN_TO_COBJ(BgL_vz00_4043); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4042)))->BgL_z42mdz42)=((void *)BgL_vz00_5324),BUNSPEC);} } 

}



/* &lambda2146 */
obj_t BGl_z62lambda2146z62zz__ssl_sslz00(obj_t BgL_envz00_4044, obj_t BgL_oz00_4045)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4045)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2112> */
obj_t BGl_z62zc3z04anonymousza32112ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4046, obj_t BgL_new1096z00_4047)
{
{ /* Llib/ssl.scm 486 */
{ 
BgL_sslzd2hashzd2_bglt BgL_auxz00_7079;
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4047)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4047)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4047)))->BgL_typez00)=((obj_t)BGl_string3177z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_7079 = 
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4047); 
return 
((obj_t)BgL_auxz00_7079);} } 

}



/* &lambda2110 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2110z62zz__ssl_sslz00(obj_t BgL_envz00_4048)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
BgL_sslzd2hashzd2_bglt BgL_new1095z00_5327;
BgL_new1095z00_5327 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 486 */
long BgL_arg2111z00_5328;
BgL_arg2111z00_5328 = 
BGL_CLASS_INDEX(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_5327), BgL_arg2111z00_5328); } 
return BgL_new1095z00_5327;} } 

}



/* &lambda2107 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2107z62zz__ssl_sslz00(obj_t BgL_envz00_4049, obj_t BgL_z42md1092z42_4050, obj_t BgL_z42mdzd2ctx1093z90_4051, obj_t BgL_type1094z00_4052)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
void * BgL_z42md1092z42_5329;void * BgL_z42mdzd2ctx1093z90_5330;
BgL_z42md1092z42_5329 = 
FOREIGN_TO_COBJ(BgL_z42md1092z42_4050); 
BgL_z42mdzd2ctx1093z90_5330 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1093z90_4051); 
{ /* Llib/ssl.scm 486 */
BgL_sslzd2hashzd2_bglt BgL_new1172z00_5332;
{ /* Llib/ssl.scm 486 */
BgL_sslzd2hashzd2_bglt BgL_new1171z00_5333;
BgL_new1171z00_5333 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 486 */
long BgL_arg2109z00_5334;
BgL_arg2109z00_5334 = 
BGL_CLASS_INDEX(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_5333), BgL_arg2109z00_5334); } 
BgL_new1172z00_5332 = BgL_new1171z00_5333; } 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1172z00_5332))->BgL_z42mdz42)=((void *)BgL_z42md1092z42_5329),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1172z00_5332))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1093z90_5330),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1172z00_5332))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1094z00_4052)),BUNSPEC); 
{ /* Llib/ssl.scm 486 */
obj_t BgL_fun2108z00_5335;
BgL_fun2108z00_5335 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2hashzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun2108z00_5335)(BgL_fun2108z00_5335, 
((obj_t)BgL_new1172z00_5332), BEOA); } 
return BgL_new1172z00_5332;} } } 

}



/* &lambda2131 */
obj_t BGl_z62lambda2131z62zz__ssl_sslz00(obj_t BgL_envz00_4053, obj_t BgL_oz00_4054, obj_t BgL_vz00_4055)
{
{ /* Llib/ssl.scm 486 */
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4054)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_4055)),BUNSPEC);} 

}



/* &lambda2130 */
obj_t BGl_z62lambda2130z62zz__ssl_sslz00(obj_t BgL_envz00_4056, obj_t BgL_oz00_4057)
{
{ /* Llib/ssl.scm 486 */
return 
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4057)))->BgL_typez00);} 

}



/* &<@anonymous:2126> */
obj_t BGl_z62zc3z04anonymousza32126ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4058)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2125 */
obj_t BGl_z62lambda2125z62zz__ssl_sslz00(obj_t BgL_envz00_4059, obj_t BgL_oz00_4060, obj_t BgL_vz00_4061)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
void * BgL_vz00_5340;
BgL_vz00_5340 = 
FOREIGN_TO_COBJ(BgL_vz00_4061); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4060)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5340),BUNSPEC);} } 

}



/* &lambda2124 */
obj_t BGl_z62lambda2124z62zz__ssl_sslz00(obj_t BgL_envz00_4062, obj_t BgL_oz00_4063)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4063)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2119> */
obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4064)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2118 */
obj_t BGl_z62lambda2118z62zz__ssl_sslz00(obj_t BgL_envz00_4065, obj_t BgL_oz00_4066, obj_t BgL_vz00_4067)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
void * BgL_vz00_5343;
BgL_vz00_5343 = 
FOREIGN_TO_COBJ(BgL_vz00_4067); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4066)))->BgL_z42mdz42)=((void *)BgL_vz00_5343),BUNSPEC);} } 

}



/* &lambda2117 */
obj_t BGl_z62lambda2117z62zz__ssl_sslz00(obj_t BgL_envz00_4068, obj_t BgL_oz00_4069)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4069)))->BgL_z42mdz42));} 

}



/* &<@anonymous:1966> */
obj_t BGl_z62zc3z04anonymousza31966ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4070, obj_t BgL_new1090z00_4071)
{
{ /* Llib/ssl.scm 431 */
{ 
BgL_dhz00_bglt BgL_auxz00_7129;
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4071)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4071)))->BgL_z52pz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4071)))->BgL_z52qz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4071)))->BgL_z52gz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4071)))->BgL_z52pubz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4071)))->BgL_z52privz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7129 = 
((BgL_dhz00_bglt)BgL_new1090z00_4071); 
return 
((obj_t)BgL_auxz00_7129);} } 

}



/* &lambda1964 */
BgL_dhz00_bglt BGl_z62lambda1964z62zz__ssl_sslz00(obj_t BgL_envz00_4072)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
BgL_dhz00_bglt BgL_new1089z00_5346;
BgL_new1089z00_5346 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 431 */
long BgL_arg1965z00_5347;
BgL_arg1965z00_5347 = 
BGL_CLASS_INDEX(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_5346), BgL_arg1965z00_5347); } 
return BgL_new1089z00_5346;} } 

}



/* &lambda1961 */
BgL_dhz00_bglt BGl_z62lambda1961z62zz__ssl_sslz00(obj_t BgL_envz00_4073, obj_t BgL_z42native1083z42_4074, obj_t BgL_z52p1084z52_4075, obj_t BgL_z52q1085z52_4076, obj_t BgL_z52g1086z52_4077, obj_t BgL_z52pub1087z52_4078, obj_t BgL_z52priv1088z52_4079)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_z42native1083z42_5348;void * BgL_z52p1084z52_5349;void * BgL_z52q1085z52_5350;void * BgL_z52g1086z52_5351;void * BgL_z52pub1087z52_5352;void * BgL_z52priv1088z52_5353;
BgL_z42native1083z42_5348 = 
FOREIGN_TO_COBJ(BgL_z42native1083z42_4074); 
BgL_z52p1084z52_5349 = 
FOREIGN_TO_COBJ(BgL_z52p1084z52_4075); 
BgL_z52q1085z52_5350 = 
FOREIGN_TO_COBJ(BgL_z52q1085z52_4076); 
BgL_z52g1086z52_5351 = 
FOREIGN_TO_COBJ(BgL_z52g1086z52_4077); 
BgL_z52pub1087z52_5352 = 
FOREIGN_TO_COBJ(BgL_z52pub1087z52_4078); 
BgL_z52priv1088z52_5353 = 
FOREIGN_TO_COBJ(BgL_z52priv1088z52_4079); 
{ /* Llib/ssl.scm 431 */
BgL_dhz00_bglt BgL_new1159z00_5354;
{ /* Llib/ssl.scm 431 */
BgL_dhz00_bglt BgL_new1158z00_5355;
BgL_new1158z00_5355 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 431 */
long BgL_arg1963z00_5356;
BgL_arg1963z00_5356 = 
BGL_CLASS_INDEX(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1158z00_5355), BgL_arg1963z00_5356); } 
BgL_new1159z00_5354 = BgL_new1158z00_5355; } 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5354))->BgL_z42nativez42)=((void *)BgL_z42native1083z42_5348),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5354))->BgL_z52pz52)=((void *)BgL_z52p1084z52_5349),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5354))->BgL_z52qz52)=((void *)BgL_z52q1085z52_5350),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5354))->BgL_z52gz52)=((void *)BgL_z52g1086z52_5351),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5354))->BgL_z52pubz52)=((void *)BgL_z52pub1087z52_5352),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5354))->BgL_z52privz52)=((void *)BgL_z52priv1088z52_5353),BUNSPEC); 
{ /* Llib/ssl.scm 431 */
obj_t BgL_fun1962z00_5357;
BgL_fun1962z00_5357 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_dhz00zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1962z00_5357)(BgL_fun1962z00_5357, 
((obj_t)BgL_new1159z00_5354), BEOA); } 
return BgL_new1159z00_5354;} } } 

}



/* &<@anonymous:2097> */
obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4080, obj_t BgL_oz00_4081, obj_t BgL_vz00_4082)
{
{ /* Llib/ssl.scm 476 */
{ 
void * BgL_auxz00_7176;
{ /* Llib/ssl.scm 482 */
obj_t BgL_tmpz00_7178;
BgL_tmpz00_7178 = 
((obj_t)BgL_vz00_4082); 
BgL_auxz00_7176 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7178); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4081)))->BgL_z52pubz52)=((void *)BgL_auxz00_7176),BUNSPEC); } 
{ /* Llib/ssl.scm 483 */
void * BgL_arg2098z00_5358;void * BgL_arg2099z00_5359;void * BgL_arg2100z00_5360;
BgL_arg2098z00_5358 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4081)))->BgL_z42nativez42); 
BgL_arg2099z00_5359 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4081)))->BgL_z52pubz52); 
BgL_arg2100z00_5360 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4081)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2098z00_5358, BgL_arg2099z00_5359, BgL_arg2100z00_5360); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4082);} 

}



/* &<@anonymous:2093> */
obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4083, obj_t BgL_oz00_4084)
{
{ /* Llib/ssl.scm 476 */
{ /* Llib/ssl.scm 479 */
void * BgL_arg2094z00_5361;
{ /* Llib/ssl.scm 479 */
void * BgL_arg2095z00_5362;
BgL_arg2095z00_5362 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4084)))->BgL_z42nativez42); 
BgL_arg2094z00_5361 = 
bgl_dh_public_key(BgL_arg2095z00_5362); } 
return 
void_star_to_obj(BgL_arg2094z00_5361);} } 

}



/* &<@anonymous:2084> */
obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4085, obj_t BgL_oz00_4086, obj_t BgL_vz00_4087)
{
{ /* Llib/ssl.scm 467 */
{ 
void * BgL_auxz00_7194;
{ /* Llib/ssl.scm 473 */
obj_t BgL_tmpz00_7196;
BgL_tmpz00_7196 = 
((obj_t)BgL_vz00_4087); 
BgL_auxz00_7194 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7196); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4086)))->BgL_z52privz52)=((void *)BgL_auxz00_7194),BUNSPEC); } 
{ /* Llib/ssl.scm 474 */
void * BgL_arg2085z00_5363;void * BgL_arg2086z00_5364;void * BgL_arg2087z00_5365;
BgL_arg2085z00_5363 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4086)))->BgL_z42nativez42); 
BgL_arg2086z00_5364 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4086)))->BgL_z52pubz52); 
BgL_arg2087z00_5365 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4086)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2085z00_5363, BgL_arg2086z00_5364, BgL_arg2087z00_5365); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4087);} 

}



/* &<@anonymous:2080> */
obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4088, obj_t BgL_oz00_4089)
{
{ /* Llib/ssl.scm 467 */
{ /* Llib/ssl.scm 470 */
void * BgL_arg2081z00_5366;
{ /* Llib/ssl.scm 470 */
void * BgL_arg2082z00_5367;
BgL_arg2082z00_5367 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4089)))->BgL_z42nativez42); 
BgL_arg2081z00_5366 = 
bgl_dh_private_key(BgL_arg2082z00_5367); } 
return 
void_star_to_obj(BgL_arg2081z00_5366);} } 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4090, obj_t BgL_oz00_4091, obj_t BgL_vz00_4092)
{
{ /* Llib/ssl.scm 457 */
{ 
void * BgL_auxz00_7212;
{ /* Llib/ssl.scm 464 */
obj_t BgL_tmpz00_7214;
BgL_tmpz00_7214 = 
((obj_t)BgL_vz00_4092); 
BgL_auxz00_7212 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7214); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4091)))->BgL_z52gz52)=((void *)BgL_auxz00_7212),BUNSPEC); } 
{ /* Llib/ssl.scm 465 */
void * BgL_arg2071z00_5368;void * BgL_arg2072z00_5369;void * BgL_arg2073z00_5370;void * BgL_arg2074z00_5371;
BgL_arg2071z00_5368 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4091)))->BgL_z42nativez42); 
BgL_arg2072z00_5369 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4091)))->BgL_z52pz52); 
BgL_arg2073z00_5370 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4091)))->BgL_z52qz52); 
BgL_arg2074z00_5371 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4091)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2071z00_5368, BgL_arg2072z00_5369, BgL_arg2073z00_5370, BgL_arg2074z00_5371); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4092);} 

}



/* &<@anonymous:2066> */
obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4093, obj_t BgL_oz00_4094)
{
{ /* Llib/ssl.scm 457 */
{ /* Llib/ssl.scm 460 */
void * BgL_arg2067z00_5372;
{ /* Llib/ssl.scm 460 */
void * BgL_arg2068z00_5373;
BgL_arg2068z00_5373 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4094)))->BgL_z42nativez42); 
BgL_arg2067z00_5372 = 
bgl_dh_g(BgL_arg2068z00_5373); } 
return 
void_star_to_obj(BgL_arg2067z00_5372);} } 

}



/* &<@anonymous:2056> */
obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4095, obj_t BgL_oz00_4096, obj_t BgL_vz00_4097)
{
{ /* Llib/ssl.scm 448 */
{ 
void * BgL_auxz00_7232;
{ /* Llib/ssl.scm 454 */
obj_t BgL_tmpz00_7234;
BgL_tmpz00_7234 = 
((obj_t)BgL_vz00_4097); 
BgL_auxz00_7232 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7234); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4096)))->BgL_z52qz52)=((void *)BgL_auxz00_7232),BUNSPEC); } 
{ /* Llib/ssl.scm 455 */
void * BgL_arg2057z00_5374;void * BgL_arg2058z00_5375;void * BgL_arg2059z00_5376;void * BgL_arg2060z00_5377;
BgL_arg2057z00_5374 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4096)))->BgL_z42nativez42); 
BgL_arg2058z00_5375 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4096)))->BgL_z52pz52); 
BgL_arg2059z00_5376 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4096)))->BgL_z52qz52); 
BgL_arg2060z00_5377 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4096)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2057z00_5374, BgL_arg2058z00_5375, BgL_arg2059z00_5376, BgL_arg2060z00_5377); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4097);} 

}



/* &<@anonymous:2052> */
obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4098, obj_t BgL_oz00_4099)
{
{ /* Llib/ssl.scm 448 */
{ /* Llib/ssl.scm 451 */
void * BgL_arg2053z00_5378;
{ /* Llib/ssl.scm 451 */
void * BgL_arg2054z00_5379;
BgL_arg2054z00_5379 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4099)))->BgL_z42nativez42); 
BgL_arg2053z00_5378 = 
bgl_dh_p(BgL_arg2054z00_5379); } 
return 
void_star_to_obj(BgL_arg2053z00_5378);} } 

}



/* &<@anonymous:2042> */
obj_t BGl_z62zc3z04anonymousza32042ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4100, obj_t BgL_oz00_4101, obj_t BgL_vz00_4102)
{
{ /* Llib/ssl.scm 439 */
{ 
void * BgL_auxz00_7252;
{ /* Llib/ssl.scm 445 */
obj_t BgL_tmpz00_7254;
BgL_tmpz00_7254 = 
((obj_t)BgL_vz00_4102); 
BgL_auxz00_7252 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7254); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4101)))->BgL_z52pz52)=((void *)BgL_auxz00_7252),BUNSPEC); } 
{ /* Llib/ssl.scm 446 */
void * BgL_arg2043z00_5380;void * BgL_arg2044z00_5381;void * BgL_arg2045z00_5382;void * BgL_arg2046z00_5383;
BgL_arg2043z00_5380 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4101)))->BgL_z42nativez42); 
BgL_arg2044z00_5381 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4101)))->BgL_z52pz52); 
BgL_arg2045z00_5382 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4101)))->BgL_z52qz52); 
BgL_arg2046z00_5383 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4101)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2043z00_5380, BgL_arg2044z00_5381, BgL_arg2045z00_5382, BgL_arg2046z00_5383); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4102);} 

}



/* &<@anonymous:2038> */
obj_t BGl_z62zc3z04anonymousza32038ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4103, obj_t BgL_oz00_4104)
{
{ /* Llib/ssl.scm 439 */
{ /* Llib/ssl.scm 442 */
void * BgL_arg2039z00_5384;
{ /* Llib/ssl.scm 442 */
void * BgL_arg2040z00_5385;
BgL_arg2040z00_5385 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4104)))->BgL_z42nativez42); 
BgL_arg2039z00_5384 = 
bgl_dh_p(BgL_arg2040z00_5385); } 
return 
void_star_to_obj(BgL_arg2039z00_5384);} } 

}



/* &<@anonymous:2033> */
obj_t BGl_z62zc3z04anonymousza32033ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4105, obj_t BgL_oz00_4106, obj_t BgL_vz00_4107)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4106), 
(int)(((long)4)), BgL_vz00_4107);} 

}



/* &<@anonymous:2032> */
obj_t BGl_z62zc3z04anonymousza32032ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4108, obj_t BgL_oz00_4109)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4109), 
(int)(((long)4)));} 

}



/* &<@anonymous:2028> */
obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4110, obj_t BgL_oz00_4111, obj_t BgL_vz00_4112)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4111), 
(int)(((long)3)), BgL_vz00_4112);} 

}



/* &<@anonymous:2027> */
obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4113, obj_t BgL_oz00_4114)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4114), 
(int)(((long)3)));} 

}



/* &<@anonymous:2023> */
obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4115, obj_t BgL_oz00_4116, obj_t BgL_vz00_4117)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4116), 
(int)(((long)2)), BgL_vz00_4117);} 

}



/* &<@anonymous:2022> */
obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4118, obj_t BgL_oz00_4119)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4119), 
(int)(((long)2)));} 

}



/* &<@anonymous:2018> */
obj_t BGl_z62zc3z04anonymousza32018ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4120, obj_t BgL_oz00_4121, obj_t BgL_vz00_4122)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4121), 
(int)(((long)1)), BgL_vz00_4122);} 

}



/* &<@anonymous:2017> */
obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4123, obj_t BgL_oz00_4124)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4124), 
(int)(((long)1)));} 

}



/* &<@anonymous:2013> */
obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4125, obj_t BgL_oz00_4126, obj_t BgL_vz00_4127)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4126), 
(int)(((long)0)), BgL_vz00_4127);} 

}



/* &<@anonymous:2012> */
obj_t BGl_z62zc3z04anonymousza32012ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4128, obj_t BgL_oz00_4129)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4129), 
(int)(((long)0)));} 

}



/* &<@anonymous:2008> */
obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4130)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t BgL_envz00_4131, obj_t BgL_oz00_4132, obj_t BgL_vz00_4133)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_vz00_5387;
BgL_vz00_5387 = 
FOREIGN_TO_COBJ(BgL_vz00_4133); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4132)))->BgL_z52privz52)=((void *)BgL_vz00_5387),BUNSPEC);} } 

}



/* &lambda2006 */
obj_t BGl_z62lambda2006z62zz__ssl_sslz00(obj_t BgL_envz00_4134, obj_t BgL_oz00_4135)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4135)))->BgL_z52privz52));} 

}



/* &<@anonymous:2001> */
obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4136)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__ssl_sslz00(obj_t BgL_envz00_4137, obj_t BgL_oz00_4138, obj_t BgL_vz00_4139)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_vz00_5390;
BgL_vz00_5390 = 
FOREIGN_TO_COBJ(BgL_vz00_4139); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4138)))->BgL_z52pubz52)=((void *)BgL_vz00_5390),BUNSPEC);} } 

}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__ssl_sslz00(obj_t BgL_envz00_4140, obj_t BgL_oz00_4141)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4141)))->BgL_z52pubz52));} 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4142)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda1993 */
obj_t BGl_z62lambda1993z62zz__ssl_sslz00(obj_t BgL_envz00_4143, obj_t BgL_oz00_4144, obj_t BgL_vz00_4145)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_vz00_5393;
BgL_vz00_5393 = 
FOREIGN_TO_COBJ(BgL_vz00_4145); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4144)))->BgL_z52gz52)=((void *)BgL_vz00_5393),BUNSPEC);} } 

}



/* &lambda1992 */
obj_t BGl_z62lambda1992z62zz__ssl_sslz00(obj_t BgL_envz00_4146, obj_t BgL_oz00_4147)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4147)))->BgL_z52gz52));} 

}



/* &<@anonymous:1987> */
obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4148)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__ssl_sslz00(obj_t BgL_envz00_4149, obj_t BgL_oz00_4150, obj_t BgL_vz00_4151)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_vz00_5396;
BgL_vz00_5396 = 
FOREIGN_TO_COBJ(BgL_vz00_4151); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4150)))->BgL_z52qz52)=((void *)BgL_vz00_5396),BUNSPEC);} } 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__ssl_sslz00(obj_t BgL_envz00_4152, obj_t BgL_oz00_4153)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4153)))->BgL_z52qz52));} 

}



/* &<@anonymous:1980> */
obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4154)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__ssl_sslz00(obj_t BgL_envz00_4155, obj_t BgL_oz00_4156, obj_t BgL_vz00_4157)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_vz00_5399;
BgL_vz00_5399 = 
FOREIGN_TO_COBJ(BgL_vz00_4157); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4156)))->BgL_z52pz52)=((void *)BgL_vz00_5399),BUNSPEC);} } 

}



/* &lambda1978 */
obj_t BGl_z62lambda1978z62zz__ssl_sslz00(obj_t BgL_envz00_4158, obj_t BgL_oz00_4159)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4159)))->BgL_z52pz52));} 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4160)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__ssl_sslz00(obj_t BgL_envz00_4161, obj_t BgL_oz00_4162, obj_t BgL_vz00_4163)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
void * BgL_vz00_5402;
BgL_vz00_5402 = 
FOREIGN_TO_COBJ(BgL_vz00_4163); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4162)))->BgL_z42nativez42)=((void *)BgL_vz00_5402),BUNSPEC);} } 

}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__ssl_sslz00(obj_t BgL_envz00_4164, obj_t BgL_oz00_4165)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4165)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1839> */
obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4166, obj_t BgL_new1081z00_4167)
{
{ /* Llib/ssl.scm 411 */
{ 
BgL_sslzd2connectionzd2_bglt BgL_auxz00_7344;
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_z42biozd2readz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_z42biozd2writez90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_z42nextzd2sessionz90)=((void *)
0L),BUNSPEC); 
{ 
BgL_securezd2contextzd2_bglt BgL_auxz00_7357;
{ /* Llib/ssl.scm 411 */
obj_t BgL_classz00_5405;
BgL_classz00_5405 = BGl_securezd2contextzd2zz__ssl_sslz00; 
{ /* Llib/ssl.scm 411 */
obj_t BgL__ortest_1111z00_5406;
BgL__ortest_1111z00_5406 = 
BGL_CLASS_NIL(BgL_classz00_5405); 
if(
CBOOL(BgL__ortest_1111z00_5406))
{ /* Llib/ssl.scm 411 */
BgL_auxz00_7357 = 
((BgL_securezd2contextzd2_bglt)BgL__ortest_1111z00_5406)
; }  else 
{ /* Llib/ssl.scm 411 */
BgL_auxz00_7357 = 
((BgL_securezd2contextzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5405))
; } } } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)BgL_auxz00_7357),BUNSPEC); } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_isserverz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_requestzd2certzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_serverzd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_infozd2callbackzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_newsessionzd2callbackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_npnzd2protoszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_errz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_receivedzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167)))->BgL_sentzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_7344 = 
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4167); 
return 
((obj_t)BgL_auxz00_7344);} } 

}



/* &lambda1837 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1837z62zz__ssl_sslz00(obj_t BgL_envz00_4168)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
BgL_sslzd2connectionzd2_bglt BgL_new1080z00_5407;
BgL_new1080z00_5407 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 411 */
long BgL_arg1838z00_5408;
BgL_arg1838z00_5408 = 
BGL_CLASS_INDEX(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_5407), BgL_arg1838z00_5408); } 
return BgL_new1080z00_5407;} } 

}



/* &lambda1834 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1834z62zz__ssl_sslz00(obj_t BgL_envz00_4169, obj_t BgL_z42native1063z42_4170, obj_t BgL_z42biozd2read1064z90_4171, obj_t BgL_z42biozd2write1065z90_4172, obj_t BgL_z42nextzd2session1066z90_4173, obj_t BgL_ctx1067z00_4174, obj_t BgL_isserver1068z00_4175, obj_t BgL_requestzd2cert1069zd2_4176, obj_t BgL_serverzd2name1070zd2_4177, obj_t BgL_rejectzd2unauthoriza7ed1071z75_4178, obj_t BgL_infozd2callback1072zd2_4179, obj_t BgL_snizd2contextzd2callback1073z00_4180, obj_t BgL_newsessionzd2callback1074zd2_4181, obj_t BgL_selectedzd2npnzd2protos1075z00_4182, obj_t BgL_npnzd2protos1076zd2_4183, obj_t BgL_err1077z00_4184, obj_t BgL_receivedzd2shutdown1078zd2_4185, obj_t BgL_sentzd2shutdown1079zd2_4186)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
void * BgL_z42native1063z42_5409;void * BgL_z42biozd2read1064z90_5410;void * BgL_z42biozd2write1065z90_5411;void * BgL_z42nextzd2session1066z90_5412;bool_t BgL_isserver1068z00_5414;bool_t BgL_requestzd2cert1069zd2_5415;bool_t BgL_rejectzd2unauthoriza7ed1071z75_5416;bool_t BgL_receivedzd2shutdown1078zd2_5418;bool_t BgL_sentzd2shutdown1079zd2_5419;
BgL_z42native1063z42_5409 = 
FOREIGN_TO_COBJ(BgL_z42native1063z42_4170); 
BgL_z42biozd2read1064z90_5410 = 
FOREIGN_TO_COBJ(BgL_z42biozd2read1064z90_4171); 
BgL_z42biozd2write1065z90_5411 = 
FOREIGN_TO_COBJ(BgL_z42biozd2write1065z90_4172); 
BgL_z42nextzd2session1066z90_5412 = 
FOREIGN_TO_COBJ(BgL_z42nextzd2session1066z90_4173); 
BgL_isserver1068z00_5414 = 
CBOOL(BgL_isserver1068z00_4175); 
BgL_requestzd2cert1069zd2_5415 = 
CBOOL(BgL_requestzd2cert1069zd2_4176); 
BgL_rejectzd2unauthoriza7ed1071z75_5416 = 
CBOOL(BgL_rejectzd2unauthoriza7ed1071z75_4178); 
BgL_receivedzd2shutdown1078zd2_5418 = 
CBOOL(BgL_receivedzd2shutdown1078zd2_4185); 
BgL_sentzd2shutdown1079zd2_5419 = 
CBOOL(BgL_sentzd2shutdown1079zd2_4186); 
{ /* Llib/ssl.scm 411 */
BgL_sslzd2connectionzd2_bglt BgL_new1157z00_5420;
{ /* Llib/ssl.scm 411 */
BgL_sslzd2connectionzd2_bglt BgL_new1156z00_5421;
BgL_new1156z00_5421 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 411 */
long BgL_arg1836z00_5422;
BgL_arg1836z00_5422 = 
BGL_CLASS_INDEX(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_5421), BgL_arg1836z00_5422); } 
BgL_new1157z00_5420 = BgL_new1156z00_5421; } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_z42nativez42)=((void *)BgL_z42native1063z42_5409),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_z42biozd2readz90)=((void *)BgL_z42biozd2read1064z90_5410),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_z42biozd2writez90)=((void *)BgL_z42biozd2write1065z90_5411),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_z42nextzd2sessionz90)=((void *)BgL_z42nextzd2session1066z90_5412),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_ctx1067z00_4174)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_isserverz00)=((bool_t)BgL_isserver1068z00_5414),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_requestzd2certzd2)=((bool_t)BgL_requestzd2cert1069zd2_5415),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_serverzd2namezd2)=((obj_t)BgL_serverzd2name1070zd2_4177),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_rejectzd2unauthoriza7ed1071z75_5416),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_infozd2callbackzd2)=((obj_t)BgL_infozd2callback1072zd2_4179),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_snizd2contextzd2callback1073z00_4180),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_newsessionzd2callback1074zd2_4181)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_selectedzd2npnzd2protos1075z00_4182),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_npnzd2protoszd2)=((obj_t)BgL_npnzd2protos1076zd2_4183),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_errz00)=((obj_t)BgL_err1077z00_4184),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_receivedzd2shutdown1078zd2_5418),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5420))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_sentzd2shutdown1079zd2_5419),BUNSPEC); 
{ /* Llib/ssl.scm 411 */
obj_t BgL_fun1835z00_5423;
BgL_fun1835z00_5423 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1835z00_5423)(BgL_fun1835z00_5423, 
((obj_t)BgL_new1157z00_5420), BEOA); } 
return BgL_new1157z00_5420;} } } 

}



/* &<@anonymous:1955> */
obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4187)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t BgL_envz00_4188, obj_t BgL_oz00_4189, obj_t BgL_vz00_4190)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
bool_t BgL_vz00_5425;
BgL_vz00_5425 = 
CBOOL(BgL_vz00_4190); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4189)))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_vz00_5425),BUNSPEC);} } 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__ssl_sslz00(obj_t BgL_envz00_4191, obj_t BgL_oz00_4192)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4192)))->BgL_sentzd2shutdownzd2));} 

}



/* &<@anonymous:1948> */
obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4193)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t BgL_envz00_4194, obj_t BgL_oz00_4195, obj_t BgL_vz00_4196)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
bool_t BgL_vz00_5428;
BgL_vz00_5428 = 
CBOOL(BgL_vz00_4196); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4195)))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_vz00_5428),BUNSPEC);} } 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t BgL_envz00_4197, obj_t BgL_oz00_4198)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4198)))->BgL_receivedzd2shutdownzd2));} 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4199)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t BgL_envz00_4200, obj_t BgL_oz00_4201, obj_t BgL_vz00_4202)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4201)))->BgL_errz00)=((obj_t)BgL_vz00_4202),BUNSPEC);} 

}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t BgL_envz00_4203, obj_t BgL_oz00_4204)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4204)))->BgL_errz00);} 

}



/* &<@anonymous:1934> */
obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4205)
{
{ /* Llib/ssl.scm 411 */
return BUNSPEC;} 

}



/* &lambda1933 */
obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t BgL_envz00_4206, obj_t BgL_oz00_4207, obj_t BgL_vz00_4208)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4207)))->BgL_npnzd2protoszd2)=((obj_t)BgL_vz00_4208),BUNSPEC);} 

}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__ssl_sslz00(obj_t BgL_envz00_4209, obj_t BgL_oz00_4210)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4210)))->BgL_npnzd2protoszd2);} 

}



/* &<@anonymous:1927> */
obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4211)
{
{ /* Llib/ssl.scm 411 */
return BUNSPEC;} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t BgL_envz00_4212, obj_t BgL_oz00_4213, obj_t BgL_vz00_4214)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4213)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_vz00_4214),BUNSPEC);} 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__ssl_sslz00(obj_t BgL_envz00_4215, obj_t BgL_oz00_4216)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4216)))->BgL_selectedzd2npnzd2protosz00);} 

}



/* &<@anonymous:1920> */
obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4217)
{
{ /* Llib/ssl.scm 411 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1919 */
obj_t BGl_z62lambda1919z62zz__ssl_sslz00(obj_t BgL_envz00_4218, obj_t BgL_oz00_4219, obj_t BgL_vz00_4220)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4219)))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_vz00_4220)),BUNSPEC);} 

}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__ssl_sslz00(obj_t BgL_envz00_4221, obj_t BgL_oz00_4222)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4222)))->BgL_newsessionzd2callbackzd2);} 

}



/* &<@anonymous:1913> */
obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4223)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__ssl_sslz00(obj_t BgL_envz00_4224, obj_t BgL_oz00_4225, obj_t BgL_vz00_4226)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4225)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_vz00_4226),BUNSPEC);} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__ssl_sslz00(obj_t BgL_envz00_4227, obj_t BgL_oz00_4228)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4228)))->BgL_snizd2contextzd2callbackz00);} 

}



/* &<@anonymous:1906> */
obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4229)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__ssl_sslz00(obj_t BgL_envz00_4230, obj_t BgL_oz00_4231, obj_t BgL_vz00_4232)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4231)))->BgL_infozd2callbackzd2)=((obj_t)BgL_vz00_4232),BUNSPEC);} 

}



/* &lambda1904 */
obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t BgL_envz00_4233, obj_t BgL_oz00_4234)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4234)))->BgL_infozd2callbackzd2);} 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t BgL_envz00_4235, obj_t BgL_oz00_4236, obj_t BgL_vz00_4237)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
bool_t BgL_vz00_5444;
BgL_vz00_5444 = 
CBOOL(BgL_vz00_4237); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4236)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_vz00_5444),BUNSPEC);} } 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__ssl_sslz00(obj_t BgL_envz00_4238, obj_t BgL_oz00_4239)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4239)))->BgL_rejectzd2unauthoriza7edz75));} 

}



/* &<@anonymous:1892> */
obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4240)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__ssl_sslz00(obj_t BgL_envz00_4241, obj_t BgL_oz00_4242, obj_t BgL_vz00_4243)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4242)))->BgL_serverzd2namezd2)=((obj_t)BgL_vz00_4243),BUNSPEC);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t BgL_envz00_4244, obj_t BgL_oz00_4245)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4245)))->BgL_serverzd2namezd2);} 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4246)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__ssl_sslz00(obj_t BgL_envz00_4247, obj_t BgL_oz00_4248, obj_t BgL_vz00_4249)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
bool_t BgL_vz00_5449;
BgL_vz00_5449 = 
CBOOL(BgL_vz00_4249); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4248)))->BgL_requestzd2certzd2)=((bool_t)BgL_vz00_5449),BUNSPEC);} } 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t BgL_envz00_4250, obj_t BgL_oz00_4251)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4251)))->BgL_requestzd2certzd2));} 

}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__ssl_sslz00(obj_t BgL_envz00_4252, obj_t BgL_oz00_4253, obj_t BgL_vz00_4254)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
bool_t BgL_vz00_5452;
BgL_vz00_5452 = 
CBOOL(BgL_vz00_4254); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4253)))->BgL_isserverz00)=((bool_t)BgL_vz00_5452),BUNSPEC);} } 

}



/* &lambda1877 */
obj_t BGl_z62lambda1877z62zz__ssl_sslz00(obj_t BgL_envz00_4255, obj_t BgL_oz00_4256)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4256)))->BgL_isserverz00));} 

}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__ssl_sslz00(obj_t BgL_envz00_4257, obj_t BgL_oz00_4258, obj_t BgL_vz00_4259)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4258)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_vz00_4259)),BUNSPEC);} 

}



/* &lambda1872 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1872z62zz__ssl_sslz00(obj_t BgL_envz00_4260, obj_t BgL_oz00_4261)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4261)))->BgL_ctxz00);} 

}



/* &<@anonymous:1868> */
obj_t BGl_z62zc3z04anonymousza31868ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4262)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__ssl_sslz00(obj_t BgL_envz00_4263, obj_t BgL_oz00_4264, obj_t BgL_vz00_4265)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
void * BgL_vz00_5458;
BgL_vz00_5458 = 
FOREIGN_TO_COBJ(BgL_vz00_4265); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4264)))->BgL_z42nextzd2sessionz90)=((void *)BgL_vz00_5458),BUNSPEC);} } 

}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__ssl_sslz00(obj_t BgL_envz00_4266, obj_t BgL_oz00_4267)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4267)))->BgL_z42nextzd2sessionz90));} 

}



/* &<@anonymous:1861> */
obj_t BGl_z62zc3z04anonymousza31861ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4268)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1860 */
obj_t BGl_z62lambda1860z62zz__ssl_sslz00(obj_t BgL_envz00_4269, obj_t BgL_oz00_4270, obj_t BgL_vz00_4271)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
void * BgL_vz00_5461;
BgL_vz00_5461 = 
FOREIGN_TO_COBJ(BgL_vz00_4271); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4270)))->BgL_z42biozd2writez90)=((void *)BgL_vz00_5461),BUNSPEC);} } 

}



/* &lambda1859 */
obj_t BGl_z62lambda1859z62zz__ssl_sslz00(obj_t BgL_envz00_4272, obj_t BgL_oz00_4273)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4273)))->BgL_z42biozd2writez90));} 

}



/* &<@anonymous:1853> */
obj_t BGl_z62zc3z04anonymousza31853ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4274)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1852 */
obj_t BGl_z62lambda1852z62zz__ssl_sslz00(obj_t BgL_envz00_4275, obj_t BgL_oz00_4276, obj_t BgL_vz00_4277)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
void * BgL_vz00_5464;
BgL_vz00_5464 = 
FOREIGN_TO_COBJ(BgL_vz00_4277); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4276)))->BgL_z42biozd2readz90)=((void *)BgL_vz00_5464),BUNSPEC);} } 

}



/* &lambda1851 */
obj_t BGl_z62lambda1851z62zz__ssl_sslz00(obj_t BgL_envz00_4278, obj_t BgL_oz00_4279)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4279)))->BgL_z42biozd2readz90));} 

}



/* &<@anonymous:1846> */
obj_t BGl_z62zc3z04anonymousza31846ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4280)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1845 */
obj_t BGl_z62lambda1845z62zz__ssl_sslz00(obj_t BgL_envz00_4281, obj_t BgL_oz00_4282, obj_t BgL_vz00_4283)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
void * BgL_vz00_5467;
BgL_vz00_5467 = 
FOREIGN_TO_COBJ(BgL_vz00_4283); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4282)))->BgL_z42nativez42)=((void *)BgL_vz00_5467),BUNSPEC);} } 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__ssl_sslz00(obj_t BgL_envz00_4284, obj_t BgL_oz00_4285)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4285)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1806> */
obj_t BGl_z62zc3z04anonymousza31806ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4286, obj_t BgL_new1061z00_4287)
{
{ /* Llib/ssl.scm 405 */
{ 
BgL_securezd2contextzd2_bglt BgL_auxz00_7533;
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4287)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4287)))->BgL_z42cazd2storez90)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4287)))->BgL_methodz00)=((obj_t)BGl_string3177z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_7533 = 
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4287); 
return 
((obj_t)BgL_auxz00_7533);} } 

}



/* &lambda1804 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1804z62zz__ssl_sslz00(obj_t BgL_envz00_4288)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
BgL_securezd2contextzd2_bglt BgL_new1059z00_5470;
BgL_new1059z00_5470 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 405 */
long BgL_arg1805z00_5471;
BgL_arg1805z00_5471 = 
BGL_CLASS_INDEX(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_5470), BgL_arg1805z00_5471); } 
return BgL_new1059z00_5470;} } 

}



/* &lambda1801 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1801z62zz__ssl_sslz00(obj_t BgL_envz00_4289, obj_t BgL_z42native1056z42_4290, obj_t BgL_z42cazd2store1057z90_4291, obj_t BgL_method1058z00_4292)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
void * BgL_z42native1056z42_5472;void * BgL_z42cazd2store1057z90_5473;
BgL_z42native1056z42_5472 = 
FOREIGN_TO_COBJ(BgL_z42native1056z42_4290); 
BgL_z42cazd2store1057z90_5473 = 
FOREIGN_TO_COBJ(BgL_z42cazd2store1057z90_4291); 
{ /* Llib/ssl.scm 405 */
BgL_securezd2contextzd2_bglt BgL_new1155z00_5475;
{ /* Llib/ssl.scm 405 */
BgL_securezd2contextzd2_bglt BgL_new1154z00_5476;
BgL_new1154z00_5476 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 405 */
long BgL_arg1803z00_5477;
BgL_arg1803z00_5477 = 
BGL_CLASS_INDEX(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_5476), BgL_arg1803z00_5477); } 
BgL_new1155z00_5475 = BgL_new1154z00_5476; } 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1155z00_5475))->BgL_z42nativez42)=((void *)BgL_z42native1056z42_5472),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1155z00_5475))->BgL_z42cazd2storez90)=((void *)BgL_z42cazd2store1057z90_5473),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1155z00_5475))->BgL_methodz00)=((obj_t)
((obj_t)BgL_method1058z00_4292)),BUNSPEC); 
{ /* Llib/ssl.scm 405 */
obj_t BgL_fun1802z00_5478;
BgL_fun1802z00_5478 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1802z00_5478)(BgL_fun1802z00_5478, 
((obj_t)BgL_new1155z00_5475), BEOA); } 
return BgL_new1155z00_5475;} } } 

}



/* &<@anonymous:1828> */
obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4293)
{
{ /* Llib/ssl.scm 405 */
return BGl_string3178z00zz__ssl_sslz00;} 

}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__ssl_sslz00(obj_t BgL_envz00_4294, obj_t BgL_oz00_4295, obj_t BgL_vz00_4296)
{
{ /* Llib/ssl.scm 405 */
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4295)))->BgL_methodz00)=((obj_t)
((obj_t)BgL_vz00_4296)),BUNSPEC);} 

}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__ssl_sslz00(obj_t BgL_envz00_4297, obj_t BgL_oz00_4298)
{
{ /* Llib/ssl.scm 405 */
return 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4298)))->BgL_methodz00);} 

}



/* &<@anonymous:1821> */
obj_t BGl_z62zc3z04anonymousza31821ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4299)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1820 */
obj_t BGl_z62lambda1820z62zz__ssl_sslz00(obj_t BgL_envz00_4300, obj_t BgL_oz00_4301, obj_t BgL_vz00_4302)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
void * BgL_vz00_5483;
BgL_vz00_5483 = 
FOREIGN_TO_COBJ(BgL_vz00_4302); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4301)))->BgL_z42cazd2storez90)=((void *)BgL_vz00_5483),BUNSPEC);} } 

}



/* &lambda1819 */
obj_t BGl_z62lambda1819z62zz__ssl_sslz00(obj_t BgL_envz00_4303, obj_t BgL_oz00_4304)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4304)))->BgL_z42cazd2storez90));} 

}



/* &<@anonymous:1814> */
obj_t BGl_z62zc3z04anonymousza31814ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4305)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1813 */
obj_t BGl_z62lambda1813z62zz__ssl_sslz00(obj_t BgL_envz00_4306, obj_t BgL_oz00_4307, obj_t BgL_vz00_4308)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
void * BgL_vz00_5486;
BgL_vz00_5486 = 
FOREIGN_TO_COBJ(BgL_vz00_4308); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4307)))->BgL_z42nativez42)=((void *)BgL_vz00_5486),BUNSPEC);} } 

}



/* &lambda1812 */
obj_t BGl_z62lambda1812z62zz__ssl_sslz00(obj_t BgL_envz00_4309, obj_t BgL_oz00_4310)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4310)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1790> */
obj_t BGl_z62zc3z04anonymousza31790ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4311, obj_t BgL_new1054z00_4312)
{
{ /* Llib/ssl.scm 302 */
{ 
BgL_privatezd2keyzd2_bglt BgL_auxz00_7583;
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_new1054z00_4312)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7583 = 
((BgL_privatezd2keyzd2_bglt)BgL_new1054z00_4312); 
return 
((obj_t)BgL_auxz00_7583);} } 

}



/* &lambda1788 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1788z62zz__ssl_sslz00(obj_t BgL_envz00_4313)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
BgL_privatezd2keyzd2_bglt BgL_new1053z00_5489;
BgL_new1053z00_5489 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
long BgL_arg1789z00_5490;
BgL_arg1789z00_5490 = 
BGL_CLASS_INDEX(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_5489), BgL_arg1789z00_5490); } 
return BgL_new1053z00_5489;} } 

}



/* &lambda1786 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1786z62zz__ssl_sslz00(obj_t BgL_envz00_4314, obj_t BgL_z42native1052z42_4315)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
void * BgL_z42native1052z42_5491;
BgL_z42native1052z42_5491 = 
FOREIGN_TO_COBJ(BgL_z42native1052z42_4315); 
{ /* Llib/ssl.scm 302 */
BgL_privatezd2keyzd2_bglt BgL_new1153z00_5492;
{ /* Llib/ssl.scm 302 */
BgL_privatezd2keyzd2_bglt BgL_new1152z00_5493;
BgL_new1152z00_5493 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
long BgL_arg1787z00_5494;
BgL_arg1787z00_5494 = 
BGL_CLASS_INDEX(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_5493), BgL_arg1787z00_5494); } 
BgL_new1153z00_5492 = BgL_new1152z00_5493; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1153z00_5492))->BgL_z42nativez42)=((void *)BgL_z42native1052z42_5491),BUNSPEC); 
return BgL_new1153z00_5492;} } } 

}



/* &lambda1795 */
obj_t BGl_z62lambda1795z62zz__ssl_sslz00(obj_t BgL_envz00_4316, obj_t BgL_oz00_4317, obj_t BgL_vz00_4318)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
void * BgL_vz00_5496;
BgL_vz00_5496 = 
FOREIGN_TO_COBJ(BgL_vz00_4318); 
return 
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4317)))->BgL_z42nativez42)=((void *)BgL_vz00_5496),BUNSPEC);} } 

}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__ssl_sslz00(obj_t BgL_envz00_4319, obj_t BgL_oz00_4320)
{
{ /* Llib/ssl.scm 302 */
return 
void_star_to_obj(
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4320)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1775> */
obj_t BGl_z62zc3z04anonymousza31775ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4321, obj_t BgL_new1050z00_4322)
{
{ /* Llib/ssl.scm 299 */
{ 
BgL_certificatez00_bglt BgL_auxz00_7605;
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_new1050z00_4322)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7605 = 
((BgL_certificatez00_bglt)BgL_new1050z00_4322); 
return 
((obj_t)BgL_auxz00_7605);} } 

}



/* &lambda1773 */
BgL_certificatez00_bglt BGl_z62lambda1773z62zz__ssl_sslz00(obj_t BgL_envz00_4323)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
BgL_certificatez00_bglt BgL_new1049z00_5499;
BgL_new1049z00_5499 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
long BgL_arg1774z00_5500;
BgL_arg1774z00_5500 = 
BGL_CLASS_INDEX(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_5499), BgL_arg1774z00_5500); } 
return BgL_new1049z00_5499;} } 

}



/* &lambda1771 */
BgL_certificatez00_bglt BGl_z62lambda1771z62zz__ssl_sslz00(obj_t BgL_envz00_4324, obj_t BgL_z42native1048z42_4325)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
void * BgL_z42native1048z42_5501;
BgL_z42native1048z42_5501 = 
FOREIGN_TO_COBJ(BgL_z42native1048z42_4325); 
{ /* Llib/ssl.scm 299 */
BgL_certificatez00_bglt BgL_new1151z00_5502;
{ /* Llib/ssl.scm 299 */
BgL_certificatez00_bglt BgL_new1150z00_5503;
BgL_new1150z00_5503 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
long BgL_arg1772z00_5504;
BgL_arg1772z00_5504 = 
BGL_CLASS_INDEX(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_5503), BgL_arg1772z00_5504); } 
BgL_new1151z00_5502 = BgL_new1150z00_5503; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1151z00_5502))->BgL_z42nativez42)=((void *)BgL_z42native1048z42_5501),BUNSPEC); 
return BgL_new1151z00_5502;} } } 

}



/* &lambda1780 */
obj_t BGl_z62lambda1780z62zz__ssl_sslz00(obj_t BgL_envz00_4326, obj_t BgL_oz00_4327, obj_t BgL_vz00_4328)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
void * BgL_vz00_5506;
BgL_vz00_5506 = 
FOREIGN_TO_COBJ(BgL_vz00_4328); 
return 
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4327)))->BgL_z42nativez42)=((void *)BgL_vz00_5506),BUNSPEC);} } 

}



/* &lambda1779 */
obj_t BGl_z62lambda1779z62zz__ssl_sslz00(obj_t BgL_envz00_4329, obj_t BgL_oz00_4330)
{
{ /* Llib/ssl.scm 299 */
return 
void_star_to_obj(
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4330)))->BgL_z42nativez42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3179z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3180z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3181z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3182z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BGl_proc3183z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3184z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BGl_proc3185z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3186z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BGl_proc3187z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3188z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BGl_proc3189z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3190z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BGl_proc3191z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3192z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BGl_proc3193z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3194z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BGl_proc3195z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3196z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BGl_proc3197z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3198z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BGl_proc3199z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3200z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3201z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3202z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BGl_proc3203z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3204z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3205z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3206z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BGl_proc3207z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3208z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BGl_proc3209z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3210z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BGl_proc3211z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3212z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BGl_proc3213z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3214z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BGl_proc3215z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3216z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BGl_proc3217z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3218z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3219z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3220z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3221z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3222z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3223z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3224z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3225z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3226z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BGl_proc3227z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3228z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3229z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3230z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BGl_proc3231z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3232z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BGl_proc3233z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3234z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BGl_proc3235z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3236z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BGl_proc3237z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3238z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3239z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3240z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BGl_proc3241z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3242z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BGl_proc3243z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3244z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BGl_proc3245z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3246z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BGl_proc3247z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3248z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3249z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3250z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3251z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3252z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3253z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3254z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3255z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3256z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3257z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3258z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BGl_proc3259z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3260z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3261z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3262z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3263z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3264z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3265z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3266z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3267z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3268z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BGl_proc3269z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3270z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3271z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3272z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3273z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3274z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3275z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3276z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3277z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3278z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BGl_proc3279z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3280z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3281z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3282z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BGl_proc3283z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3284z00zz__ssl_sslz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3285z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3286z00zz__ssl_sslz00);} 

}



/* &ssl-cipher-final1356 */
obj_t BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00(obj_t BgL_envz00_4393, obj_t BgL_sslzd2cipherzd2_4394)
{
{ /* Llib/ssl.scm 1383 */
return 
bgl_cipher_final(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4394));} 

}



/* &ssl-cipher-set-auto-1354 */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00(obj_t BgL_envz00_4395, obj_t BgL_sslzd2cipherzd2_4396, obj_t BgL_autozd2paddingzd2_4397)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1376 */
bool_t BgL_tmpz00_7683;
{ /* Llib/ssl.scm 1376 */
bool_t BgL_autozd2paddingzd2_5510;
BgL_autozd2paddingzd2_5510 = 
CBOOL(BgL_autozd2paddingzd2_4397); 
BgL_tmpz00_7683 = 
bgl_cipher_set_auto_padding(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4396), BgL_autozd2paddingzd2_5510); } 
return 
BBOOL(BgL_tmpz00_7683);} } 

}



/* &ssl-cipher-update!1352 */
obj_t BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00(obj_t BgL_envz00_4398, obj_t BgL_sslzd2cipherzd2_4399, obj_t BgL_dataz00_4400, obj_t BgL_offsetz00_4401, obj_t BgL_lenz00_4402)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1365 */
long BgL_offsetz00_5513;long BgL_lenz00_5514;
BgL_offsetz00_5513 = 
(long)CINT(BgL_offsetz00_4401); 
BgL_lenz00_5514 = 
(long)CINT(BgL_lenz00_4402); 
{ /* Llib/ssl.scm 1365 */
obj_t BgL__ortest_1149z00_5515;
BgL__ortest_1149z00_5515 = 
bgl_cipher_update(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4399), 
((obj_t)BgL_dataz00_4400), BgL_offsetz00_5513, BgL_lenz00_5514); 
if(
CBOOL(BgL__ortest_1149z00_5515))
{ /* Llib/ssl.scm 1365 */
return BgL__ortest_1149z00_5515;}  else 
{ /* Llib/ssl.scm 1365 */
return 
BGl_errorz00zz__errorz00(BGl_string3287z00zz__ssl_sslz00, BGl_string3288z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4399)));} } } } 

}



/* &ssl-cipher-initiv1350 */
obj_t BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00(obj_t BgL_envz00_4403, obj_t BgL_sslzd2cipherzd2_4404, obj_t BgL_cipherz00_4405, obj_t BgL_keyz00_4406, obj_t BgL_offsetz00_4407, obj_t BgL_lenz00_4408, obj_t BgL_ivz00_4409, obj_t BgL_ivoffsetz00_4410, obj_t BgL_ivlenz00_4411, obj_t BgL_encz00_4412)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1351 */
long BgL_offsetz00_5519;long BgL_lenz00_5520;long BgL_ivoffsetz00_5522;long BgL_ivlenz00_5523;bool_t BgL_encz00_5524;
BgL_offsetz00_5519 = 
(long)CINT(BgL_offsetz00_4407); 
BgL_lenz00_5520 = 
(long)CINT(BgL_lenz00_4408); 
BgL_ivoffsetz00_5522 = 
(long)CINT(BgL_ivoffsetz00_4410); 
BgL_ivlenz00_5523 = 
(long)CINT(BgL_ivlenz00_4411); 
BgL_encz00_5524 = 
CBOOL(BgL_encz00_4412); 
if(
bgl_ssl_cipher_initiv(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4404), 
((obj_t)BgL_cipherz00_4405), 
((obj_t)BgL_keyz00_4406), BgL_offsetz00_5519, BgL_lenz00_5520, 
((obj_t)BgL_ivz00_4409), BgL_ivoffsetz00_5522, BgL_ivlenz00_5523, BgL_encz00_5524))
{ /* Llib/ssl.scm 1351 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1355 */
obj_t BgL_arg2314z00_5525;
BgL_arg2314z00_5525 = 
bgl_ssl_error_string(); 
return 
BGl_errorz00zz__errorz00(BGl_string3289z00zz__ssl_sslz00, BgL_arg2314z00_5525, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4404)));} } } 

}



/* &ssl-cipher-init1348 */
obj_t BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00(obj_t BgL_envz00_4413, obj_t BgL_sslzd2cipherzd2_4414, obj_t BgL_cipherz00_4415, obj_t BgL_keyz00_4416, obj_t BgL_offsetz00_4417, obj_t BgL_lenz00_4418, obj_t BgL_encz00_4419)
{
{ /* Llib/ssl.scm 1331 */
{ 
BgL_sslzd2cipherzd2_bglt BgL_auxz00_7713;
{ /* Llib/ssl.scm 1336 */
long BgL_offsetz00_5529;long BgL_lenz00_5530;bool_t BgL_encz00_5531;
BgL_offsetz00_5529 = 
(long)CINT(BgL_offsetz00_4417); 
BgL_lenz00_5530 = 
(long)CINT(BgL_lenz00_4418); 
BgL_encz00_5531 = 
CBOOL(BgL_encz00_4419); 
if(
bgl_ssl_cipher_init(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4414), 
((obj_t)BgL_cipherz00_4415), 
((obj_t)BgL_keyz00_4416), BgL_offsetz00_5529, BgL_lenz00_5530, BgL_encz00_5531))
{ /* Llib/ssl.scm 1336 */BFALSE; }  else 
{ /* Llib/ssl.scm 1336 */
BGl_errorz00zz__errorz00(BGl_string3290z00zz__ssl_sslz00, 
bgl_ssl_error_string(), 
((obj_t)BgL_cipherz00_4415)); } 
BgL_auxz00_7713 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4414); } 
return 
((obj_t)BgL_auxz00_7713);} } 

}



/* &ssl-verify-final1346 */
obj_t BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00(obj_t BgL_envz00_4420, obj_t BgL_sslzd2verifyzd2_4421, obj_t BgL_keyz00_4422, obj_t BgL_koffsetz00_4423, obj_t BgL_klenz00_4424, obj_t BgL_sigz00_4425, obj_t BgL_soffsetz00_4426, obj_t BgL_slenz00_4427)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1322 */
bool_t BgL_tmpz00_7727;
{ /* Llib/ssl.scm 1322 */
long BgL_koffsetz00_5534;long BgL_klenz00_5535;long BgL_soffsetz00_5537;long BgL_slenz00_5538;
BgL_koffsetz00_5534 = 
(long)CINT(BgL_koffsetz00_4423); 
BgL_klenz00_5535 = 
(long)CINT(BgL_klenz00_4424); 
BgL_soffsetz00_5537 = 
(long)CINT(BgL_soffsetz00_4426); 
BgL_slenz00_5538 = 
(long)CINT(BgL_slenz00_4427); 
BgL_tmpz00_7727 = 
bgl_ssl_verify_final(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4421), 
((obj_t)BgL_keyz00_4422), BgL_koffsetz00_5534, BgL_klenz00_5535, 
((obj_t)BgL_sigz00_4425), BgL_soffsetz00_5537, BgL_slenz00_5538); } 
return 
BBOOL(BgL_tmpz00_7727);} } 

}



/* &ssl-verify-update!1344 */
obj_t BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00(obj_t BgL_envz00_4428, obj_t BgL_sslzd2verifyzd2_4429, obj_t BgL_dataz00_4430, obj_t BgL_offsetz00_4431, obj_t BgL_lenz00_4432)
{
{ /* Llib/ssl.scm 1305 */
{ 
BgL_sslzd2verifyzd2_bglt BgL_auxz00_7737;
{ /* Llib/ssl.scm 1308 */
long BgL_offsetz00_5541;long BgL_lenz00_5542;
BgL_offsetz00_5541 = 
(long)CINT(BgL_offsetz00_4431); 
BgL_lenz00_5542 = 
(long)CINT(BgL_lenz00_4432); 
if(
bgl_ssl_verify_update(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4429), 
((obj_t)BgL_dataz00_4430), BgL_offsetz00_5541, BgL_lenz00_5542))
{ /* Llib/ssl.scm 1308 */BFALSE; }  else 
{ /* Llib/ssl.scm 1308 */
BGl_errorz00zz__errorz00(BGl_string3291z00zz__ssl_sslz00, BGl_string3288z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4429))); } 
BgL_auxz00_7737 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4429); } 
return 
((obj_t)BgL_auxz00_7737);} } 

}



/* &ssl-verify-init1342 */
obj_t BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00(obj_t BgL_envz00_4433, obj_t BgL_sslzd2verifyzd2_4434, obj_t BgL_verifyz00_4435)
{
{ /* Llib/ssl.scm 1293 */
{ 
BgL_sslzd2verifyzd2_bglt BgL_auxz00_7749;
if(
bgl_ssl_verify_init(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4434), 
((obj_t)BgL_verifyz00_4435)))
{ /* Llib/ssl.scm 1296 */BFALSE; }  else 
{ /* Llib/ssl.scm 1296 */
BGl_errorz00zz__errorz00(BGl_string3292z00zz__ssl_sslz00, BGl_string3293z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4434))); } 
BgL_auxz00_7749 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4434); 
return 
((obj_t)BgL_auxz00_7749);} } 

}



/* &ssl-sign-sign1340 */
obj_t BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00(obj_t BgL_envz00_4436, obj_t BgL_sslzd2signzd2_4437, obj_t BgL_keyz00_4438, obj_t BgL_offsetz00_4439, obj_t BgL_lenz00_4440)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1285 */
long BgL_offsetz00_5547;long BgL_lenz00_5548;
BgL_offsetz00_5547 = 
(long)CINT(BgL_offsetz00_4439); 
BgL_lenz00_5548 = 
(long)CINT(BgL_lenz00_4440); 
{ /* Llib/ssl.scm 1285 */
obj_t BgL_rz00_5549;
BgL_rz00_5549 = 
bgl_ssl_sign_sign(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4437), 
((obj_t)BgL_keyz00_4438), BgL_offsetz00_5547, BgL_lenz00_5548); 
if(
CBOOL(BgL_rz00_5549))
{ /* Llib/ssl.scm 1286 */
return BgL_rz00_5549;}  else 
{ /* Llib/ssl.scm 1286 */
return 
BGl_errorz00zz__errorz00(BGl_string3294z00zz__ssl_sslz00, BGl_string3295z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4437)));} } } } 

}



/* &ssl-sign-update!1338 */
obj_t BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00(obj_t BgL_envz00_4441, obj_t BgL_sslzd2signzd2_4442, obj_t BgL_dataz00_4443, obj_t BgL_offsetz00_4444, obj_t BgL_lenz00_4445)
{
{ /* Llib/ssl.scm 1270 */
{ 
BgL_sslzd2signzd2_bglt BgL_auxz00_7769;
{ /* Llib/ssl.scm 1273 */
long BgL_offsetz00_5552;long BgL_lenz00_5553;
BgL_offsetz00_5552 = 
(long)CINT(BgL_offsetz00_4444); 
BgL_lenz00_5553 = 
(long)CINT(BgL_lenz00_4445); 
if(
bgl_ssl_sign_update(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4442), 
((obj_t)BgL_dataz00_4443), BgL_offsetz00_5552, BgL_lenz00_5553))
{ /* Llib/ssl.scm 1273 */BFALSE; }  else 
{ /* Llib/ssl.scm 1273 */
BGl_errorz00zz__errorz00(BGl_string3296z00zz__ssl_sslz00, BGl_string3288z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4442))); } 
BgL_auxz00_7769 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4442); } 
return 
((obj_t)BgL_auxz00_7769);} } 

}



/* &ssl-sign-init1336 */
obj_t BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00(obj_t BgL_envz00_4446, obj_t BgL_sslzd2signzd2_4447, obj_t BgL_signz00_4448)
{
{ /* Llib/ssl.scm 1258 */
{ 
BgL_sslzd2signzd2_bglt BgL_auxz00_7781;
if(
bgl_ssl_sign_init(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4447), 
((obj_t)BgL_signz00_4448)))
{ /* Llib/ssl.scm 1261 */BFALSE; }  else 
{ /* Llib/ssl.scm 1261 */
BGl_errorz00zz__errorz00(BGl_string3297z00zz__ssl_sslz00, BGl_string3298z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4447))); } 
BgL_auxz00_7781 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4447); 
return 
((obj_t)BgL_auxz00_7781);} } 

}



/* &ssl-hmac-digest1334 */
obj_t BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00(obj_t BgL_envz00_4449, obj_t BgL_sslzd2hmaczd2_4450)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1250 */
obj_t BgL_rz00_5557;
BgL_rz00_5557 = 
bgl_ssl_hmac_digest(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4450)); 
if(
CBOOL(BgL_rz00_5557))
{ /* Llib/ssl.scm 1251 */
return BgL_rz00_5557;}  else 
{ /* Llib/ssl.scm 1251 */
return 
BGl_errorz00zz__errorz00(BGl_string3299z00zz__ssl_sslz00, BGl_string3300z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4450)));} } } 

}



/* &ssl-hmac-update!1332 */
obj_t BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00(obj_t BgL_envz00_4451, obj_t BgL_sslzd2hmaczd2_4452, obj_t BgL_dataz00_4453, obj_t BgL_offsetz00_4454, obj_t BgL_lenz00_4455)
{
{ /* Llib/ssl.scm 1235 */
{ 
BgL_sslzd2hmaczd2_bglt BgL_auxz00_7798;
{ /* Llib/ssl.scm 1238 */
long BgL_offsetz00_5560;long BgL_lenz00_5561;
BgL_offsetz00_5560 = 
(long)CINT(BgL_offsetz00_4454); 
BgL_lenz00_5561 = 
(long)CINT(BgL_lenz00_4455); 
if(
bgl_ssl_hmac_update(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4452), 
((obj_t)BgL_dataz00_4453), BgL_offsetz00_5560, BgL_lenz00_5561))
{ /* Llib/ssl.scm 1238 */BFALSE; }  else 
{ /* Llib/ssl.scm 1238 */
BGl_errorz00zz__errorz00(BGl_string3301z00zz__ssl_sslz00, BGl_string3288z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4452))); } 
BgL_auxz00_7798 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4452); } 
return 
((obj_t)BgL_auxz00_7798);} } 

}



/* &ssl-hmac-init1330 */
obj_t BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00(obj_t BgL_envz00_4456, obj_t BgL_sslzd2hmaczd2_4457, obj_t BgL_hmacz00_4458, obj_t BgL_keyz00_4459)
{
{ /* Llib/ssl.scm 1223 */
if(
bgl_ssl_hmac_init(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4457), 
((obj_t)BgL_hmacz00_4458), 
((obj_t)BgL_keyz00_4459)))
{ /* Llib/ssl.scm 1226 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1226 */
BGl_errorz00zz__errorz00(BGl_string3302z00zz__ssl_sslz00, BGl_string3303z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4457))); 
return 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4457));} } 

}



/* &ssl-hash-digest1328 */
obj_t BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00(obj_t BgL_envz00_4460, obj_t BgL_sslzd2hashzd2_4461)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1215 */
obj_t BgL_rz00_5566;
BgL_rz00_5566 = 
bgl_ssl_hash_digest(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4461)); 
if(
CBOOL(BgL_rz00_5566))
{ /* Llib/ssl.scm 1216 */
return BgL_rz00_5566;}  else 
{ /* Llib/ssl.scm 1216 */
return 
BGl_errorz00zz__errorz00(BGl_string3304z00zz__ssl_sslz00, BGl_string3300z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4461)));} } } 

}



/* &ssl-hash-update!1326 */
obj_t BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00(obj_t BgL_envz00_4462, obj_t BgL_sslzd2hashzd2_4463, obj_t BgL_dataz00_4464, obj_t BgL_offsetz00_4465, obj_t BgL_lenz00_4466)
{
{ /* Llib/ssl.scm 1200 */
{ 
BgL_sslzd2hashzd2_bglt BgL_auxz00_7827;
{ /* Llib/ssl.scm 1203 */
long BgL_offsetz00_5569;long BgL_lenz00_5570;
BgL_offsetz00_5569 = 
(long)CINT(BgL_offsetz00_4465); 
BgL_lenz00_5570 = 
(long)CINT(BgL_lenz00_4466); 
if(
bgl_ssl_hash_update(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4463), 
((obj_t)BgL_dataz00_4464), BgL_offsetz00_5569, BgL_lenz00_5570))
{ /* Llib/ssl.scm 1203 */BFALSE; }  else 
{ /* Llib/ssl.scm 1203 */
BGl_errorz00zz__errorz00(BGl_string3305z00zz__ssl_sslz00, BGl_string3288z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4463))); } 
BgL_auxz00_7827 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4463); } 
return 
((obj_t)BgL_auxz00_7827);} } 

}



/* &ssl-hash-init1324 */
obj_t BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00(obj_t BgL_envz00_4467, obj_t BgL_sslzd2hashzd2_4468)
{
{ /* Llib/ssl.scm 1188 */
{ 
BgL_sslzd2hashzd2_bglt BgL_auxz00_7839;
if(
bgl_ssl_hash_init(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4468)))
{ /* Llib/ssl.scm 1191 */BFALSE; }  else 
{ /* Llib/ssl.scm 1191 */
BGl_errorz00zz__errorz00(BGl_string3306z00zz__ssl_sslz00, BGl_string3303z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4468))); } 
BgL_auxz00_7839 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4468); 
return 
((obj_t)BgL_auxz00_7839);} } 

}



/* &dh-generate-key1322 */
obj_t BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00(obj_t BgL_envz00_4469, obj_t BgL_dhz00_4470)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1180 */
bool_t BgL_tmpz00_7848;
{ /* Llib/ssl.scm 1181 */
bool_t BgL_test3986z00_7849;
{ /* Llib/ssl.scm 1181 */
int BgL_arg2287z00_5573;
{ /* Llib/ssl.scm 1181 */
void * BgL_tmpz00_7850;
BgL_tmpz00_7850 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4470)))->BgL_z42nativez42); 
BgL_arg2287z00_5573 = 
DH_generate_key(BgL_tmpz00_7850); } 
BgL_test3986z00_7849 = 
(
(long)(BgL_arg2287z00_5573)==((long)0)); } 
if(BgL_test3986z00_7849)
{ /* Llib/ssl.scm 1181 */
BgL_tmpz00_7848 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 1181 */
BgL_tmpz00_7848 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_7848);} } 

}



/* &dh-compute-key1320 */
obj_t BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00(obj_t BgL_envz00_4471, obj_t BgL_dhz00_4472, obj_t BgL_keyz00_4473)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1155 */
int BgL_siza7eza7_5576;
BgL_siza7eza7_5576 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(
((BgL_dhz00_bglt)BgL_dhz00_4472)); 
{ /* Llib/ssl.scm 1155 */
obj_t BgL_strz00_5577;
{ /* Llib/ssl.scm 1156 */

BgL_strz00_5577 = 
make_string(
(long)(BgL_siza7eza7_5576), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1156 */

{ /* Llib/ssl.scm 1157 */
int BgL_sza7za7_5578;
{ /* Llib/ssl.scm 1157 */
void * BgL_arg2281z00_5579;void * BgL_arg2282z00_5580;
{ /* Llib/ssl.scm 1157 */
obj_t BgL_tmpz00_7861;
BgL_tmpz00_7861 = 
((obj_t)BgL_keyz00_4473); 
BgL_arg2281z00_5579 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7861); } 
BgL_arg2282z00_5580 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4472)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1157 */
char * BgL_tmpz00_7866;
BgL_tmpz00_7866 = 
BSTRING_TO_STRING(BgL_strz00_5577); 
BgL_sza7za7_5578 = 
DH_compute_key(BgL_tmpz00_7866, BgL_arg2281z00_5579, BgL_arg2282z00_5580); } } 
if(
(
(long)(BgL_sza7za7_5578)==((long)-1)))
{ /* Llib/ssl.scm 1159 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1159 */
if(
(
(long)(BgL_sza7za7_5578)==
STRING_LENGTH(BgL_strz00_5577)))
{ /* Llib/ssl.scm 1161 */
return BgL_strz00_5577;}  else 
{ /* Llib/ssl.scm 1161 */
blit_string(BgL_strz00_5577, ((long)0), BgL_strz00_5577, 
(
(long)(BgL_siza7eza7_5576)-
(long)(BgL_sza7za7_5578)), 
(long)(BgL_sza7za7_5578)); 
{ /* Llib/ssl.scm 1165 */
long BgL_g1144z00_5582;
BgL_g1144z00_5582 = 
(
(long)(BgL_siza7eza7_5576)-
(long)(BgL_sza7za7_5578)); 
{ 
long BgL_iz00_5584;
BgL_iz00_5584 = BgL_g1144z00_5582; 
BgL_loopz00_5583:
if(
(BgL_iz00_5584>((long)0)))
{ /* Llib/ssl.scm 1167 */
long BgL_niz00_5585;
BgL_niz00_5585 = 
(BgL_iz00_5584-((long)1)); 
STRING_SET(BgL_strz00_5577, BgL_niz00_5585, ((unsigned char)'\000')); 
{ 
long BgL_iz00_7888;
BgL_iz00_7888 = BgL_niz00_5585; 
BgL_iz00_5584 = BgL_iz00_7888; 
goto BgL_loopz00_5583;} }  else 
{ /* Llib/ssl.scm 1166 */((bool_t)0); } } } 
return BgL_strz00_5577;} } } } } } } 

}



/* &dh-check-pub-key1318 */
obj_t BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00(obj_t BgL_envz00_4474, obj_t BgL_dhz00_4475, obj_t BgL_keyz00_4476)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1144 */
void * BgL_arg2271z00_5588;void * BgL_arg2272z00_5589;
BgL_arg2271z00_5588 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4475)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1144 */
obj_t BgL_tmpz00_7891;
BgL_tmpz00_7891 = 
((obj_t)BgL_keyz00_4476); 
BgL_arg2272z00_5589 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7891); } 
return 
bgl_dh_check_pub_key(BgL_arg2271z00_5588, BgL_arg2272z00_5589);} } 

}



/* &dh-check1316 */
obj_t BGl_z62dhzd2check1316zb0zz__ssl_sslz00(obj_t BgL_envz00_4477, obj_t BgL_dhz00_4478)
{
{ /* Llib/ssl.scm 1129 */
return 
bgl_dh_check(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4478)))->BgL_z42nativez42));} 

}



/* &dh-generate-paramete1314 */
obj_t BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00(obj_t BgL_envz00_4479, obj_t BgL_dhz00_4480, obj_t BgL_lenz00_4481, obj_t BgL_generatorz00_4482)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1116 */
int BgL_tmpz00_7898;
{ /* Llib/ssl.scm 1116 */
int BgL_lenz00_5592;
BgL_lenz00_5592 = 
CINT(BgL_lenz00_4481); 
{ /* Llib/ssl.scm 1117 */
void * BgL_arg2265z00_5594;obj_t BgL_arg2266z00_5595;
BgL_arg2265z00_5594 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4480)))->BgL_z42nativez42); 
if(
(
((obj_t)BgL_generatorz00_4482)==
CNST_TABLE_REF(((long)90))))
{ /* Llib/ssl.scm 1118 */
BgL_arg2266z00_5595 = 
BINT(DH_GENERATOR_2); }  else 
{ /* Llib/ssl.scm 1118 */
BgL_arg2266z00_5595 = 
BGl_errorz00zz__errorz00(BGl_string3307z00zz__ssl_sslz00, BGl_string3308z00zz__ssl_sslz00, 
((obj_t)BgL_generatorz00_4482)); } 
{ /* Llib/ssl.scm 1117 */
int BgL_tmpz00_7909;
BgL_tmpz00_7909 = 
CINT(BgL_arg2266z00_5595); 
BgL_tmpz00_7898 = 
DH_generate_parameters_ex(BgL_arg2265z00_5594, BgL_lenz00_5592, BgL_tmpz00_7909, ((long)0)); } } } 
return 
BINT(BgL_tmpz00_7898);} } 

}



/* &dh-size1312 */
obj_t BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00(obj_t BgL_envz00_4483, obj_t BgL_dhz00_4484)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1107 */
int BgL_tmpz00_7913;
{ /* Llib/ssl.scm 1107 */
void * BgL_tmpz00_7914;
BgL_tmpz00_7914 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4484)))->BgL_z42nativez42); 
BgL_tmpz00_7913 = 
DH_size(BgL_tmpz00_7914); } 
return 
BINT(BgL_tmpz00_7913);} } 

}



/* &dh-init1310 */
obj_t BGl_z62dhzd2init1310zb0zz__ssl_sslz00(obj_t BgL_envz00_4485, obj_t BgL_dhz00_4486)
{
{ /* Llib/ssl.scm 1094 */
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4486)))->BgL_z42nativez42)=((void *)
DH_new()),BUNSPEC);} 

}



/* &ssl-connection-get-n1308 */
obj_t BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00(obj_t BgL_envz00_4487, obj_t BgL_sslz00_4488)
{
{ /* Llib/ssl.scm 1084 */
return 
bgl_ssl_connection_get_negotiated_protocol(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4488));} 

}



/* &ssl-connection-reuse1306 */
obj_t BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00(obj_t BgL_envz00_4489, obj_t BgL_sslz00_4490)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1076 */
bool_t BgL_tmpz00_7924;
{ /* Llib/ssl.scm 1077 */
void * BgL_tmpz00_7925;
BgL_tmpz00_7925 = 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4490)))->BgL_z42nativez42); 
BgL_tmpz00_7924 = 
SSL_session_reused(BgL_tmpz00_7925); } 
return 
BBOOL(BgL_tmpz00_7924);} } 

}



/* &ssl-connection-get-p1304 */
obj_t BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00(obj_t BgL_envz00_4491, obj_t BgL_sslz00_4492)
{
{ /* Llib/ssl.scm 1063 */
return 
bgl_ssl_connection_get_peer_certificate(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4492));} 

}



/* &ssl-connection-verif1302 */
obj_t BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00(obj_t BgL_envz00_4493, obj_t BgL_sslz00_4494)
{
{ /* Llib/ssl.scm 1053 */
return 
bgl_ssl_connection_verify_error(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4494));} 

}



/* &ssl-connection-load-1300 */
obj_t BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00(obj_t BgL_envz00_4495, obj_t BgL_sslz00_4496, obj_t BgL_bufz00_4497)
{
{ /* Llib/ssl.scm 1043 */
return 
BINT(
bgl_ssl_connection_load_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4496), 
((obj_t)BgL_bufz00_4497)));} 

}



/* &ssl-connection-get-c1298 */
obj_t BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00(obj_t BgL_envz00_4498, obj_t BgL_sslz00_4499)
{
{ /* Llib/ssl.scm 1033 */
return 
bgl_ssl_connection_get_current_cipher(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4499));} 

}



/* &ssl-connection-get-s1296 */
obj_t BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00(obj_t BgL_envz00_4500, obj_t BgL_sslz00_4501)
{
{ /* Llib/ssl.scm 1023 */
return 
bgl_ssl_connection_get_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4501));} 

}



/* &ssl-connection-set-s1294 */
obj_t BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00(obj_t BgL_envz00_4502, obj_t BgL_sslz00_4503, obj_t BgL_bufz00_4504)
{
{ /* Llib/ssl.scm 1013 */
return 
BINT(
bgl_ssl_connection_set_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4503), 
((obj_t)BgL_bufz00_4504)));} 

}



/* &ssl-connection-clear1292 */
obj_t BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00(obj_t BgL_envz00_4505, obj_t BgL_sslz00_4506)
{
{ /* Llib/ssl.scm 1003 */
return 
BINT(
bgl_ssl_connection_clear_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4506)));} 

}



/* &ssl-connection-enc-p1290 */
obj_t BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00(obj_t BgL_envz00_4507, obj_t BgL_sslz00_4508)
{
{ /* Llib/ssl.scm 993 */
return 
BINT(
bgl_ssl_connection_enc_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4508)));} 

}



/* &ssl-connection-init-1288 */
obj_t BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00(obj_t BgL_envz00_4509, obj_t BgL_sslz00_4510)
{
{ /* Llib/ssl.scm 983 */
return 
BBOOL(
bgl_ssl_connection_init_finishedp(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4510)));} 

}



/* &ssl-connection-clear1286 */
obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t BgL_envz00_4511, obj_t BgL_sslz00_4512, obj_t BgL_bufferz00_4513, obj_t BgL_offsetz00_4514, obj_t BgL_lenz00_4515)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 976 */
long BgL_tmpz00_7955;
{ /* Llib/ssl.scm 976 */
long BgL_offsetz00_5613;long BgL_lenz00_5614;
BgL_offsetz00_5613 = 
(long)CINT(BgL_offsetz00_4514); 
BgL_lenz00_5614 = 
(long)CINT(BgL_lenz00_4515); 
BgL_tmpz00_7955 = 
bgl_ssl_connection_clear_out(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4512), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4513)), BgL_offsetz00_5613, BgL_lenz00_5614); } 
return 
BINT(BgL_tmpz00_7955);} } 

}



/* &ssl-connection-clear1284 */
obj_t BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00(obj_t BgL_envz00_4516, obj_t BgL_sslz00_4517, obj_t BgL_bufferz00_4518, obj_t BgL_offsetz00_4519, obj_t BgL_lenz00_4520)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 966 */
long BgL_tmpz00_7963;
{ /* Llib/ssl.scm 966 */
long BgL_offsetz00_5617;long BgL_lenz00_5618;
BgL_offsetz00_5617 = 
(long)CINT(BgL_offsetz00_4519); 
BgL_lenz00_5618 = 
(long)CINT(BgL_lenz00_4520); 
BgL_tmpz00_7963 = 
bgl_ssl_connection_clear_in(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4517), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4518)), BgL_offsetz00_5617, BgL_lenz00_5618); } 
return 
BINT(BgL_tmpz00_7963);} } 

}



/* &ssl-connection-write1282 */
obj_t BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00(obj_t BgL_envz00_4521, obj_t BgL_sslz00_4522, obj_t BgL_bufferz00_4523, obj_t BgL_offsetz00_4524, obj_t BgL_lenz00_4525)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 956 */
long BgL_tmpz00_7971;
{ /* Llib/ssl.scm 956 */
long BgL_offsetz00_5621;long BgL_lenz00_5622;
BgL_offsetz00_5621 = 
(long)CINT(BgL_offsetz00_4524); 
BgL_lenz00_5622 = 
(long)CINT(BgL_lenz00_4525); 
BgL_tmpz00_7971 = 
bgl_ssl_connection_write(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4522), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4523)), BgL_offsetz00_5621, BgL_lenz00_5622); } 
return 
BINT(BgL_tmpz00_7971);} } 

}



/* &ssl-connection-read1280 */
obj_t BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00(obj_t BgL_envz00_4526, obj_t BgL_sslz00_4527, obj_t BgL_bufferz00_4528, obj_t BgL_offsetz00_4529, obj_t BgL_lenz00_4530)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 946 */
long BgL_tmpz00_7979;
{ /* Llib/ssl.scm 946 */
long BgL_offsetz00_5625;long BgL_lenz00_5626;
BgL_offsetz00_5625 = 
(long)CINT(BgL_offsetz00_4529); 
BgL_lenz00_5626 = 
(long)CINT(BgL_lenz00_4530); 
BgL_tmpz00_7979 = 
bgl_ssl_connection_read(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4527), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4528)), BgL_offsetz00_5625, BgL_lenz00_5626); } 
return 
BINT(BgL_tmpz00_7979);} } 

}



/* &ssl-connection-shutd1278 */
obj_t BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00(obj_t BgL_envz00_4531, obj_t BgL_sslz00_4532)
{
{ /* Llib/ssl.scm 933 */
return 
bgl_ssl_connection_shutdown(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4532));} 

}



/* &ssl-connection-close1276 */
obj_t BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00(obj_t BgL_envz00_4533, obj_t BgL_sslz00_4534)
{
{ /* Llib/ssl.scm 923 */
return 
BINT(
bgl_ssl_connection_close(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4534)));} 

}



/* &ssl-connection-start1274 */
obj_t BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00(obj_t BgL_envz00_4535, obj_t BgL_sslz00_4536)
{
{ /* Llib/ssl.scm 913 */
return 
BINT(
bgl_ssl_connection_start(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4536)));} 

}



/* &ssl-connection-init1272 */
obj_t BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00(obj_t BgL_envz00_4537, obj_t BgL_sslz00_4538)
{
{ /* Llib/ssl.scm 903 */
return 
bgl_ssl_connection_init(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4538));} 

}



/* &secure-context-set-o1270 */
obj_t BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00(obj_t BgL_envz00_4539, obj_t BgL_scz00_4540, obj_t BgL_optionsz00_4541)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 894 */
bool_t BgL_tmpz00_7997;
{ /* Llib/ssl.scm 894 */
int BgL_optionsz00_5632;
BgL_optionsz00_5632 = 
CINT(BgL_optionsz00_4541); 
{ /* Llib/ssl.scm 895 */
void * BgL_arg2240z00_5633;
BgL_arg2240z00_5633 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4540)))->BgL_z42nativez42); 
SSL_CTX_set_options(BgL_arg2240z00_5633, BgL_optionsz00_5632); BUNSPEC; } 
BgL_tmpz00_7997 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_7997);} } 

}



/* &secure-context-set-c1268 */
obj_t BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00(obj_t BgL_envz00_4542, obj_t BgL_scz00_4543, obj_t BgL_ciphersz00_4544)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 882 */
bool_t BgL_tmpz00_8003;
{ /* Llib/ssl.scm 883 */
char * BgL_auxz00_8007;void * BgL_tmpz00_8004;
BgL_auxz00_8007 = 
BSTRING_TO_STRING(
((obj_t)BgL_ciphersz00_4544)); 
BgL_tmpz00_8004 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4543)))->BgL_z42nativez42); 
SSL_CTX_set_cipher_list(BgL_tmpz00_8004, BgL_auxz00_8007); } 
BgL_tmpz00_8003 = ((bool_t)1); 
return 
BBOOL(BgL_tmpz00_8003);} } 

}



/* &secure-context-load-1266 */
obj_t BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00(obj_t BgL_envz00_4545, obj_t BgL_scz00_4546, obj_t BgL_pfxz00_4547, obj_t BgL_passz00_4548)
{
{ /* Llib/ssl.scm 869 */
return 
BBOOL(
bgl_load_pkcs12(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4546), 
((obj_t)BgL_pfxz00_4547), BgL_passz00_4548));} 

}



/* &secure-context-set-s1264 */
obj_t BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00(obj_t BgL_envz00_4549, obj_t BgL_scz00_4550, obj_t BgL_sicz00_4551, obj_t BgL_offsetz00_4552, obj_t BgL_lenz00_4553)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 862 */
bool_t BgL_tmpz00_8016;
{ /* Llib/ssl.scm 862 */
long BgL_offsetz00_5640;long BgL_lenz00_5641;
BgL_offsetz00_5640 = 
(long)CINT(BgL_offsetz00_4552); 
BgL_lenz00_5641 = 
(long)CINT(BgL_lenz00_4553); 
BgL_tmpz00_8016 = 
bgl_ssl_ctx_set_session_id_context(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4550), 
((obj_t)BgL_sicz00_4551), BgL_offsetz00_5640, BgL_lenz00_5641); } 
return 
BBOOL(BgL_tmpz00_8016);} } 

}



/* &secure-context-set-c1262 */
obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t BgL_envz00_4554, obj_t BgL_scz00_4555, obj_t BgL_certz00_4556, obj_t BgL_offsetz00_4557, obj_t BgL_lenz00_4558)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 852 */
bool_t BgL_tmpz00_8023;
{ /* Llib/ssl.scm 852 */
long BgL_offsetz00_5644;long BgL_lenz00_5645;
BgL_offsetz00_5644 = 
(long)CINT(BgL_offsetz00_4557); 
BgL_lenz00_5645 = 
(long)CINT(BgL_lenz00_4558); 
BgL_tmpz00_8023 = 
bgl_ssl_ctx_set_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4555), 
((obj_t)BgL_certz00_4556), BgL_offsetz00_5644, BgL_lenz00_5645); } 
return 
BBOOL(BgL_tmpz00_8023);} } 

}



/* &secure-context-set-k1252 */
obj_t BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00(obj_t BgL_envz00_4559, obj_t BgL_scz00_4560, obj_t BgL_certz00_4561, obj_t BgL_offsetz00_4562, obj_t BgL_lenz00_4563, obj_t BgL_passphrasez00_4564)
{
{ /* Llib/ssl.scm 839 */
return 
BBOOL(
bgl_ssl_ctx_set_key(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4560), BgL_certz00_4561, 
(long)CINT(BgL_offsetz00_4562), 
(long)CINT(BgL_lenz00_4563), BgL_passphrasez00_4564));} 

}



/* &secure-context-add-c1250 */
obj_t BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00(obj_t BgL_envz00_4565, obj_t BgL_scz00_4566, obj_t BgL_certz00_4567, obj_t BgL_offsetz00_4568, obj_t BgL_lenz00_4569)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 832 */
bool_t BgL_tmpz00_8035;
{ /* Llib/ssl.scm 832 */
long BgL_offsetz00_5648;long BgL_lenz00_5649;
BgL_offsetz00_5648 = 
(long)CINT(BgL_offsetz00_4568); 
BgL_lenz00_5649 = 
(long)CINT(BgL_lenz00_4569); 
BgL_tmpz00_8035 = 
bgl_ssl_ctx_add_crl(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4566), 
((obj_t)BgL_certz00_4567), BgL_offsetz00_5648, BgL_lenz00_5649); } 
return 
BBOOL(BgL_tmpz00_8035);} } 

}



/* &secure-context-add-c1248 */
obj_t BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00(obj_t BgL_envz00_4570, obj_t BgL_scz00_4571, obj_t BgL_certz00_4572, obj_t BgL_offsetz00_4573, obj_t BgL_lenz00_4574)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 822 */
bool_t BgL_tmpz00_8042;
{ /* Llib/ssl.scm 822 */
long BgL_offsetz00_5652;long BgL_lenz00_5653;
BgL_offsetz00_5652 = 
(long)CINT(BgL_offsetz00_4573); 
BgL_lenz00_5653 = 
(long)CINT(BgL_lenz00_4574); 
BgL_tmpz00_8042 = 
bgl_ssl_ctx_add_ca_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4571), 
((obj_t)BgL_certz00_4572), BgL_offsetz00_5652, BgL_lenz00_5653); } 
return 
BBOOL(BgL_tmpz00_8042);} } 

}



/* &secure-context-add-r1246 */
obj_t BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00(obj_t BgL_envz00_4575, obj_t BgL_scz00_4576)
{
{ /* Llib/ssl.scm 809 */
return 
BBOOL(
bgl_ssl_ctx_add_root_certs(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4576)));} 

}



/* &secure-context-close1244 */
obj_t BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00(obj_t BgL_envz00_4577, obj_t BgL_scz00_4578)
{
{ /* Llib/ssl.scm 799 */
return 
bgl_ssl_ctx_close(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4578));} 

}



/* &secure-context-init1242 */
obj_t BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00(obj_t BgL_envz00_4579, obj_t BgL_scz00_4580)
{
{ /* Llib/ssl.scm 789 */
return 
bgl_ssl_ctx_init(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4580));} 

}



/* secure-context-init */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_42)
{
{ /* Llib/ssl.scm 789 */
{ /* Llib/ssl.scm 789 */
obj_t BgL_method1243z00_1710;
{ /* Llib/ssl.scm 789 */
obj_t BgL_res2323z00_2108;
{ /* Llib/ssl.scm 789 */
long BgL_objzd2classzd2numz00_2079;
BgL_objzd2classzd2numz00_2079 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_42)); 
{ /* Llib/ssl.scm 789 */
obj_t BgL_arg1757z00_2080;
BgL_arg1757z00_2080 = 
PROCEDURE_REF(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 789 */
int BgL_offsetz00_2083;
BgL_offsetz00_2083 = 
(int)(BgL_objzd2classzd2numz00_2079); 
{ /* Llib/ssl.scm 789 */
long BgL_offsetz00_2084;
BgL_offsetz00_2084 = 
(
(long)(BgL_offsetz00_2083)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 789 */
long BgL_modz00_2085;
BgL_modz00_2085 = 
(BgL_offsetz00_2084 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 789 */
long BgL_restz00_2087;
BgL_restz00_2087 = 
(BgL_offsetz00_2084 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 789 */

{ /* Llib/ssl.scm 789 */
obj_t BgL_bucketz00_2089;
BgL_bucketz00_2089 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2080),BgL_modz00_2085); 
BgL_res2323z00_2108 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2089),BgL_restz00_2087); } } } } } } } } 
BgL_method1243z00_1710 = BgL_res2323z00_2108; } 
return 
PROCEDURE_ENTRY(BgL_method1243z00_1710)(BgL_method1243z00_1710, 
((obj_t)BgL_scz00_42), BEOA);} } 

}



/* &secure-context-init */
obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4331, obj_t BgL_scz00_4332)
{
{ /* Llib/ssl.scm 789 */
{ /* Llib/ssl.scm 789 */
BgL_securezd2contextzd2_bglt BgL_auxz00_8086;
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4332, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 789 */
BgL_auxz00_8086 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4332)
; }  else 
{ 
obj_t BgL_auxz00_8090;
BgL_auxz00_8090 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)32305)), BGl_string3309z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4332); 
FAILURE(BgL_auxz00_8090,BFALSE,BFALSE);} 
return 
BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_auxz00_8086);} } 

}



/* secure-context-close */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_43)
{
{ /* Llib/ssl.scm 799 */
{ /* Llib/ssl.scm 799 */
obj_t BgL_method1245z00_1711;
{ /* Llib/ssl.scm 799 */
obj_t BgL_res2328z00_2139;
{ /* Llib/ssl.scm 799 */
long BgL_objzd2classzd2numz00_2110;
BgL_objzd2classzd2numz00_2110 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_43)); 
{ /* Llib/ssl.scm 799 */
obj_t BgL_arg1757z00_2111;
BgL_arg1757z00_2111 = 
PROCEDURE_REF(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 799 */
int BgL_offsetz00_2114;
BgL_offsetz00_2114 = 
(int)(BgL_objzd2classzd2numz00_2110); 
{ /* Llib/ssl.scm 799 */
long BgL_offsetz00_2115;
BgL_offsetz00_2115 = 
(
(long)(BgL_offsetz00_2114)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 799 */
long BgL_modz00_2116;
BgL_modz00_2116 = 
(BgL_offsetz00_2115 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 799 */
long BgL_restz00_2118;
BgL_restz00_2118 = 
(BgL_offsetz00_2115 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 799 */

{ /* Llib/ssl.scm 799 */
obj_t BgL_bucketz00_2120;
BgL_bucketz00_2120 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2111),BgL_modz00_2116); 
BgL_res2328z00_2139 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2120),BgL_restz00_2118); } } } } } } } } 
BgL_method1245z00_1711 = BgL_res2328z00_2139; } 
return 
PROCEDURE_ENTRY(BgL_method1245z00_1711)(BgL_method1245z00_1711, 
((obj_t)BgL_scz00_43), BEOA);} } 

}



/* &secure-context-close */
obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4581, obj_t BgL_scz00_4582)
{
{ /* Llib/ssl.scm 799 */
{ /* Llib/ssl.scm 799 */
BgL_securezd2contextzd2_bglt BgL_auxz00_8125;
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4582, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 799 */
BgL_auxz00_8125 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4582)
; }  else 
{ 
obj_t BgL_auxz00_8129;
BgL_auxz00_8129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)32681)), BGl_string3310z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4582); 
FAILURE(BgL_auxz00_8129,BFALSE,BFALSE);} 
return 
BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_auxz00_8125);} } 

}



/* secure-context-add-root-certs! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_44)
{
{ /* Llib/ssl.scm 809 */
{ /* Llib/ssl.scm 809 */
obj_t BgL_method1247z00_1712;
{ /* Llib/ssl.scm 809 */
obj_t BgL_res2333z00_2170;
{ /* Llib/ssl.scm 809 */
long BgL_objzd2classzd2numz00_2141;
BgL_objzd2classzd2numz00_2141 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_44)); 
{ /* Llib/ssl.scm 809 */
obj_t BgL_arg1757z00_2142;
BgL_arg1757z00_2142 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 809 */
int BgL_offsetz00_2145;
BgL_offsetz00_2145 = 
(int)(BgL_objzd2classzd2numz00_2141); 
{ /* Llib/ssl.scm 809 */
long BgL_offsetz00_2146;
BgL_offsetz00_2146 = 
(
(long)(BgL_offsetz00_2145)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 809 */
long BgL_modz00_2147;
BgL_modz00_2147 = 
(BgL_offsetz00_2146 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 809 */
long BgL_restz00_2149;
BgL_restz00_2149 = 
(BgL_offsetz00_2146 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 809 */

{ /* Llib/ssl.scm 809 */
obj_t BgL_bucketz00_2151;
BgL_bucketz00_2151 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2142),BgL_modz00_2147); 
BgL_res2333z00_2170 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2151),BgL_restz00_2149); } } } } } } } } 
BgL_method1247z00_1712 = BgL_res2333z00_2170; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1247z00_1712)(BgL_method1247z00_1712, 
((obj_t)BgL_scz00_44), BEOA));} } 

}



/* &secure-context-add-root-certs! */
obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t BgL_envz00_4583, obj_t BgL_scz00_4584)
{
{ /* Llib/ssl.scm 809 */
{ /* Llib/ssl.scm 809 */
bool_t BgL_tmpz00_8165;
{ /* Llib/ssl.scm 809 */
BgL_securezd2contextzd2_bglt BgL_auxz00_8166;
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4584, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 809 */
BgL_auxz00_8166 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4584)
; }  else 
{ 
obj_t BgL_auxz00_8170;
BgL_auxz00_8170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33059)), BGl_string3311z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4584); 
FAILURE(BgL_auxz00_8170,BFALSE,BFALSE);} 
BgL_tmpz00_8165 = 
BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_auxz00_8166); } 
return 
BBOOL(BgL_tmpz00_8165);} } 

}



/* secure-context-add-ca-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_45, obj_t BgL_certz00_46, long BgL_offsetz00_47, long BgL_lenz00_48)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 819 */
obj_t BgL_method1249z00_1713;
{ /* Llib/ssl.scm 819 */
obj_t BgL_res2338z00_2201;
{ /* Llib/ssl.scm 819 */
long BgL_objzd2classzd2numz00_2172;
BgL_objzd2classzd2numz00_2172 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_45)); 
{ /* Llib/ssl.scm 819 */
obj_t BgL_arg1757z00_2173;
BgL_arg1757z00_2173 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 819 */
int BgL_offsetz00_2176;
BgL_offsetz00_2176 = 
(int)(BgL_objzd2classzd2numz00_2172); 
{ /* Llib/ssl.scm 819 */
long BgL_offsetz00_2177;
BgL_offsetz00_2177 = 
(
(long)(BgL_offsetz00_2176)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 819 */
long BgL_modz00_2178;
BgL_modz00_2178 = 
(BgL_offsetz00_2177 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 819 */
long BgL_restz00_2180;
BgL_restz00_2180 = 
(BgL_offsetz00_2177 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 819 */

{ /* Llib/ssl.scm 819 */
obj_t BgL_bucketz00_2182;
BgL_bucketz00_2182 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2173),BgL_modz00_2178); 
BgL_res2338z00_2201 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2182),BgL_restz00_2180); } } } } } } } } 
BgL_method1249z00_1713 = BgL_res2338z00_2201; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1249z00_1713)(BgL_method1249z00_1713, 
((obj_t)BgL_scz00_45), BgL_certz00_46, 
BINT(BgL_offsetz00_47), 
BINT(BgL_lenz00_48), BEOA));} } 

}



/* &secure-context-add-ca-cert! */
obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t BgL_envz00_4585, obj_t BgL_scz00_4586, obj_t BgL_certz00_4587, obj_t BgL_offsetz00_4588, obj_t BgL_lenz00_4589)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 819 */
bool_t BgL_tmpz00_8212;
{ /* Llib/ssl.scm 819 */
long BgL_auxz00_8237;long BgL_auxz00_8228;obj_t BgL_auxz00_8221;BgL_securezd2contextzd2_bglt BgL_auxz00_8213;
{ /* Llib/ssl.scm 819 */
obj_t BgL_tmpz00_8238;
if(
INTEGERP(BgL_lenz00_4589))
{ /* Llib/ssl.scm 819 */
BgL_tmpz00_8238 = BgL_lenz00_4589
; }  else 
{ 
obj_t BgL_auxz00_8241;
BgL_auxz00_8241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3312z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4589); 
FAILURE(BgL_auxz00_8241,BFALSE,BFALSE);} 
BgL_auxz00_8237 = 
(long)CINT(BgL_tmpz00_8238); } 
{ /* Llib/ssl.scm 819 */
obj_t BgL_tmpz00_8229;
if(
INTEGERP(BgL_offsetz00_4588))
{ /* Llib/ssl.scm 819 */
BgL_tmpz00_8229 = BgL_offsetz00_4588
; }  else 
{ 
obj_t BgL_auxz00_8232;
BgL_auxz00_8232 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3312z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4588); 
FAILURE(BgL_auxz00_8232,BFALSE,BFALSE);} 
BgL_auxz00_8228 = 
(long)CINT(BgL_tmpz00_8229); } 
if(
STRINGP(BgL_certz00_4587))
{ /* Llib/ssl.scm 819 */
BgL_auxz00_8221 = BgL_certz00_4587
; }  else 
{ 
obj_t BgL_auxz00_8224;
BgL_auxz00_8224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3312z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_certz00_4587); 
FAILURE(BgL_auxz00_8224,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4586, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 819 */
BgL_auxz00_8213 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4586)
; }  else 
{ 
obj_t BgL_auxz00_8217;
BgL_auxz00_8217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3312z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4586); 
FAILURE(BgL_auxz00_8217,BFALSE,BFALSE);} 
BgL_tmpz00_8212 = 
BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_auxz00_8213, BgL_auxz00_8221, BgL_auxz00_8228, BgL_auxz00_8237); } 
return 
BBOOL(BgL_tmpz00_8212);} } 

}



/* secure-context-add-crl! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_49, obj_t BgL_certz00_50, long BgL_offsetz00_51, long BgL_lenz00_52)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 829 */
obj_t BgL_method1251z00_1714;
{ /* Llib/ssl.scm 829 */
obj_t BgL_res2343z00_2232;
{ /* Llib/ssl.scm 829 */
long BgL_objzd2classzd2numz00_2203;
BgL_objzd2classzd2numz00_2203 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_49)); 
{ /* Llib/ssl.scm 829 */
obj_t BgL_arg1757z00_2204;
BgL_arg1757z00_2204 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 829 */
int BgL_offsetz00_2207;
BgL_offsetz00_2207 = 
(int)(BgL_objzd2classzd2numz00_2203); 
{ /* Llib/ssl.scm 829 */
long BgL_offsetz00_2208;
BgL_offsetz00_2208 = 
(
(long)(BgL_offsetz00_2207)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 829 */
long BgL_modz00_2209;
BgL_modz00_2209 = 
(BgL_offsetz00_2208 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 829 */
long BgL_restz00_2211;
BgL_restz00_2211 = 
(BgL_offsetz00_2208 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 829 */

{ /* Llib/ssl.scm 829 */
obj_t BgL_bucketz00_2213;
BgL_bucketz00_2213 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2204),BgL_modz00_2209); 
BgL_res2343z00_2232 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2213),BgL_restz00_2211); } } } } } } } } 
BgL_method1251z00_1714 = BgL_res2343z00_2232; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1251z00_1714)(BgL_method1251z00_1714, 
((obj_t)BgL_scz00_49), BgL_certz00_50, 
BINT(BgL_offsetz00_51), 
BINT(BgL_lenz00_52), BEOA));} } 

}



/* &secure-context-add-crl! */
obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t BgL_envz00_4590, obj_t BgL_scz00_4591, obj_t BgL_certz00_4592, obj_t BgL_offsetz00_4593, obj_t BgL_lenz00_4594)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 829 */
bool_t BgL_tmpz00_8284;
{ /* Llib/ssl.scm 829 */
long BgL_auxz00_8309;long BgL_auxz00_8300;obj_t BgL_auxz00_8293;BgL_securezd2contextzd2_bglt BgL_auxz00_8285;
{ /* Llib/ssl.scm 829 */
obj_t BgL_tmpz00_8310;
if(
INTEGERP(BgL_lenz00_4594))
{ /* Llib/ssl.scm 829 */
BgL_tmpz00_8310 = BgL_lenz00_4594
; }  else 
{ 
obj_t BgL_auxz00_8313;
BgL_auxz00_8313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3313z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4594); 
FAILURE(BgL_auxz00_8313,BFALSE,BFALSE);} 
BgL_auxz00_8309 = 
(long)CINT(BgL_tmpz00_8310); } 
{ /* Llib/ssl.scm 829 */
obj_t BgL_tmpz00_8301;
if(
INTEGERP(BgL_offsetz00_4593))
{ /* Llib/ssl.scm 829 */
BgL_tmpz00_8301 = BgL_offsetz00_4593
; }  else 
{ 
obj_t BgL_auxz00_8304;
BgL_auxz00_8304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3313z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4593); 
FAILURE(BgL_auxz00_8304,BFALSE,BFALSE);} 
BgL_auxz00_8300 = 
(long)CINT(BgL_tmpz00_8301); } 
if(
STRINGP(BgL_certz00_4592))
{ /* Llib/ssl.scm 829 */
BgL_auxz00_8293 = BgL_certz00_4592
; }  else 
{ 
obj_t BgL_auxz00_8296;
BgL_auxz00_8296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3313z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_certz00_4592); 
FAILURE(BgL_auxz00_8296,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4591, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 829 */
BgL_auxz00_8285 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4591)
; }  else 
{ 
obj_t BgL_auxz00_8289;
BgL_auxz00_8289 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3313z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4591); 
FAILURE(BgL_auxz00_8289,BFALSE,BFALSE);} 
BgL_tmpz00_8284 = 
BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_auxz00_8285, BgL_auxz00_8293, BgL_auxz00_8300, BgL_auxz00_8309); } 
return 
BBOOL(BgL_tmpz00_8284);} } 

}



/* secure-context-set-key! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_53, obj_t BgL_certz00_54, long BgL_offsetz00_55, long BgL_lenz00_56, obj_t BgL_passphrasez00_57)
{
{ /* Llib/ssl.scm 839 */
{ /* Llib/ssl.scm 353 */
obj_t BgL_method1253z00_1715;
{ /* Llib/ssl.scm 353 */
obj_t BgL_res2348z00_2263;
{ /* Llib/ssl.scm 353 */
long BgL_objzd2classzd2numz00_2234;
BgL_objzd2classzd2numz00_2234 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_53)); 
{ /* Llib/ssl.scm 353 */
obj_t BgL_arg1757z00_2235;
BgL_arg1757z00_2235 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 353 */
int BgL_offsetz00_2238;
BgL_offsetz00_2238 = 
(int)(BgL_objzd2classzd2numz00_2234); 
{ /* Llib/ssl.scm 353 */
long BgL_offsetz00_2239;
BgL_offsetz00_2239 = 
(
(long)(BgL_offsetz00_2238)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 353 */
long BgL_modz00_2240;
BgL_modz00_2240 = 
(BgL_offsetz00_2239 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 353 */
long BgL_restz00_2242;
BgL_restz00_2242 = 
(BgL_offsetz00_2239 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 353 */

{ /* Llib/ssl.scm 353 */
obj_t BgL_bucketz00_2244;
BgL_bucketz00_2244 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2235),BgL_modz00_2240); 
BgL_res2348z00_2263 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2244),BgL_restz00_2242); } } } } } } } } 
BgL_method1253z00_1715 = BgL_res2348z00_2263; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1253z00_1715)(BgL_method1253z00_1715, 
((obj_t)BgL_scz00_53), BgL_certz00_54, 
BINT(BgL_offsetz00_55), 
BINT(BgL_lenz00_56), BgL_passphrasez00_57, BEOA));} } 

}



/* secure-context-set-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_60, obj_t BgL_certz00_61, long BgL_offsetz00_62, long BgL_lenz00_63)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 849 */
obj_t BgL_method1263z00_1716;
{ /* Llib/ssl.scm 849 */
obj_t BgL_res2353z00_2294;
{ /* Llib/ssl.scm 849 */
long BgL_objzd2classzd2numz00_2265;
BgL_objzd2classzd2numz00_2265 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_60)); 
{ /* Llib/ssl.scm 849 */
obj_t BgL_arg1757z00_2266;
BgL_arg1757z00_2266 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 849 */
int BgL_offsetz00_2269;
BgL_offsetz00_2269 = 
(int)(BgL_objzd2classzd2numz00_2265); 
{ /* Llib/ssl.scm 849 */
long BgL_offsetz00_2270;
BgL_offsetz00_2270 = 
(
(long)(BgL_offsetz00_2269)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 849 */
long BgL_modz00_2271;
BgL_modz00_2271 = 
(BgL_offsetz00_2270 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 849 */
long BgL_restz00_2273;
BgL_restz00_2273 = 
(BgL_offsetz00_2270 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 849 */

{ /* Llib/ssl.scm 849 */
obj_t BgL_bucketz00_2275;
BgL_bucketz00_2275 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2266),BgL_modz00_2271); 
BgL_res2353z00_2294 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2275),BgL_restz00_2273); } } } } } } } } 
BgL_method1263z00_1716 = BgL_res2353z00_2294; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1263z00_1716)(BgL_method1263z00_1716, 
((obj_t)BgL_scz00_60), BgL_certz00_61, 
BINT(BgL_offsetz00_62), 
BINT(BgL_lenz00_63), BEOA));} } 

}



/* &secure-context-set-cert! */
obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t BgL_envz00_4595, obj_t BgL_scz00_4596, obj_t BgL_certz00_4597, obj_t BgL_offsetz00_4598, obj_t BgL_lenz00_4599)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 849 */
bool_t BgL_tmpz00_8393;
{ /* Llib/ssl.scm 849 */
long BgL_auxz00_8418;long BgL_auxz00_8409;obj_t BgL_auxz00_8402;BgL_securezd2contextzd2_bglt BgL_auxz00_8394;
{ /* Llib/ssl.scm 849 */
obj_t BgL_tmpz00_8419;
if(
INTEGERP(BgL_lenz00_4599))
{ /* Llib/ssl.scm 849 */
BgL_tmpz00_8419 = BgL_lenz00_4599
; }  else 
{ 
obj_t BgL_auxz00_8422;
BgL_auxz00_8422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3314z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4599); 
FAILURE(BgL_auxz00_8422,BFALSE,BFALSE);} 
BgL_auxz00_8418 = 
(long)CINT(BgL_tmpz00_8419); } 
{ /* Llib/ssl.scm 849 */
obj_t BgL_tmpz00_8410;
if(
INTEGERP(BgL_offsetz00_4598))
{ /* Llib/ssl.scm 849 */
BgL_tmpz00_8410 = BgL_offsetz00_4598
; }  else 
{ 
obj_t BgL_auxz00_8413;
BgL_auxz00_8413 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3314z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4598); 
FAILURE(BgL_auxz00_8413,BFALSE,BFALSE);} 
BgL_auxz00_8409 = 
(long)CINT(BgL_tmpz00_8410); } 
if(
STRINGP(BgL_certz00_4597))
{ /* Llib/ssl.scm 849 */
BgL_auxz00_8402 = BgL_certz00_4597
; }  else 
{ 
obj_t BgL_auxz00_8405;
BgL_auxz00_8405 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3314z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_certz00_4597); 
FAILURE(BgL_auxz00_8405,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4596, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 849 */
BgL_auxz00_8394 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4596)
; }  else 
{ 
obj_t BgL_auxz00_8398;
BgL_auxz00_8398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3314z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4596); 
FAILURE(BgL_auxz00_8398,BFALSE,BFALSE);} 
BgL_tmpz00_8393 = 
BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_auxz00_8394, BgL_auxz00_8402, BgL_auxz00_8409, BgL_auxz00_8418); } 
return 
BBOOL(BgL_tmpz00_8393);} } 

}



/* secure-context-set-session-id-context! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_64, obj_t BgL_sicz00_65, long BgL_offsetz00_66, long BgL_lenz00_67)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 859 */
obj_t BgL_method1265z00_1717;
{ /* Llib/ssl.scm 859 */
obj_t BgL_res2358z00_2325;
{ /* Llib/ssl.scm 859 */
long BgL_objzd2classzd2numz00_2296;
BgL_objzd2classzd2numz00_2296 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_64)); 
{ /* Llib/ssl.scm 859 */
obj_t BgL_arg1757z00_2297;
BgL_arg1757z00_2297 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 859 */
int BgL_offsetz00_2300;
BgL_offsetz00_2300 = 
(int)(BgL_objzd2classzd2numz00_2296); 
{ /* Llib/ssl.scm 859 */
long BgL_offsetz00_2301;
BgL_offsetz00_2301 = 
(
(long)(BgL_offsetz00_2300)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 859 */
long BgL_modz00_2302;
BgL_modz00_2302 = 
(BgL_offsetz00_2301 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 859 */
long BgL_restz00_2304;
BgL_restz00_2304 = 
(BgL_offsetz00_2301 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 859 */

{ /* Llib/ssl.scm 859 */
obj_t BgL_bucketz00_2306;
BgL_bucketz00_2306 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2297),BgL_modz00_2302); 
BgL_res2358z00_2325 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2306),BgL_restz00_2304); } } } } } } } } 
BgL_method1265z00_1717 = BgL_res2358z00_2325; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1265z00_1717)(BgL_method1265z00_1717, 
((obj_t)BgL_scz00_64), BgL_sicz00_65, 
BINT(BgL_offsetz00_66), 
BINT(BgL_lenz00_67), BEOA));} } 

}



/* &secure-context-set-session-id-context! */
obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t BgL_envz00_4600, obj_t BgL_scz00_4601, obj_t BgL_sicz00_4602, obj_t BgL_offsetz00_4603, obj_t BgL_lenz00_4604)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 859 */
bool_t BgL_tmpz00_8465;
{ /* Llib/ssl.scm 859 */
long BgL_auxz00_8490;long BgL_auxz00_8481;obj_t BgL_auxz00_8474;BgL_securezd2contextzd2_bglt BgL_auxz00_8466;
{ /* Llib/ssl.scm 859 */
obj_t BgL_tmpz00_8491;
if(
INTEGERP(BgL_lenz00_4604))
{ /* Llib/ssl.scm 859 */
BgL_tmpz00_8491 = BgL_lenz00_4604
; }  else 
{ 
obj_t BgL_auxz00_8494;
BgL_auxz00_8494 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3315z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4604); 
FAILURE(BgL_auxz00_8494,BFALSE,BFALSE);} 
BgL_auxz00_8490 = 
(long)CINT(BgL_tmpz00_8491); } 
{ /* Llib/ssl.scm 859 */
obj_t BgL_tmpz00_8482;
if(
INTEGERP(BgL_offsetz00_4603))
{ /* Llib/ssl.scm 859 */
BgL_tmpz00_8482 = BgL_offsetz00_4603
; }  else 
{ 
obj_t BgL_auxz00_8485;
BgL_auxz00_8485 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3315z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4603); 
FAILURE(BgL_auxz00_8485,BFALSE,BFALSE);} 
BgL_auxz00_8481 = 
(long)CINT(BgL_tmpz00_8482); } 
if(
STRINGP(BgL_sicz00_4602))
{ /* Llib/ssl.scm 859 */
BgL_auxz00_8474 = BgL_sicz00_4602
; }  else 
{ 
obj_t BgL_auxz00_8477;
BgL_auxz00_8477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3315z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_sicz00_4602); 
FAILURE(BgL_auxz00_8477,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4601, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 859 */
BgL_auxz00_8466 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4601)
; }  else 
{ 
obj_t BgL_auxz00_8470;
BgL_auxz00_8470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3315z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4601); 
FAILURE(BgL_auxz00_8470,BFALSE,BFALSE);} 
BgL_tmpz00_8465 = 
BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_auxz00_8466, BgL_auxz00_8474, BgL_auxz00_8481, BgL_auxz00_8490); } 
return 
BBOOL(BgL_tmpz00_8465);} } 

}



/* secure-context-load-pkcs12 */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_68, obj_t BgL_pfxz00_69, obj_t BgL_passz00_70)
{
{ /* Llib/ssl.scm 869 */
{ /* Llib/ssl.scm 869 */
obj_t BgL_method1267z00_1718;
{ /* Llib/ssl.scm 869 */
obj_t BgL_res2363z00_2356;
{ /* Llib/ssl.scm 869 */
long BgL_objzd2classzd2numz00_2327;
BgL_objzd2classzd2numz00_2327 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_68)); 
{ /* Llib/ssl.scm 869 */
obj_t BgL_arg1757z00_2328;
BgL_arg1757z00_2328 = 
PROCEDURE_REF(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 869 */
int BgL_offsetz00_2331;
BgL_offsetz00_2331 = 
(int)(BgL_objzd2classzd2numz00_2327); 
{ /* Llib/ssl.scm 869 */
long BgL_offsetz00_2332;
BgL_offsetz00_2332 = 
(
(long)(BgL_offsetz00_2331)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 869 */
long BgL_modz00_2333;
BgL_modz00_2333 = 
(BgL_offsetz00_2332 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 869 */
long BgL_restz00_2335;
BgL_restz00_2335 = 
(BgL_offsetz00_2332 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 869 */

{ /* Llib/ssl.scm 869 */
obj_t BgL_bucketz00_2337;
BgL_bucketz00_2337 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2328),BgL_modz00_2333); 
BgL_res2363z00_2356 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2337),BgL_restz00_2335); } } } } } } } } 
BgL_method1267z00_1718 = BgL_res2363z00_2356; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1267z00_1718)(BgL_method1267z00_1718, 
((obj_t)BgL_scz00_68), BgL_pfxz00_69, BgL_passz00_70, BEOA));} } 

}



/* &secure-context-load-pkcs12 */
obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t BgL_envz00_4605, obj_t BgL_scz00_4606, obj_t BgL_pfxz00_4607, obj_t BgL_passz00_4608)
{
{ /* Llib/ssl.scm 869 */
{ /* Llib/ssl.scm 869 */
bool_t BgL_tmpz00_8534;
{ /* Llib/ssl.scm 869 */
obj_t BgL_auxz00_8543;BgL_securezd2contextzd2_bglt BgL_auxz00_8535;
if(
STRINGP(BgL_pfxz00_4607))
{ /* Llib/ssl.scm 869 */
BgL_auxz00_8543 = BgL_pfxz00_4607
; }  else 
{ 
obj_t BgL_auxz00_8546;
BgL_auxz00_8546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)35623)), BGl_string3316z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_pfxz00_4607); 
FAILURE(BgL_auxz00_8546,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4606, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 869 */
BgL_auxz00_8535 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4606)
; }  else 
{ 
obj_t BgL_auxz00_8539;
BgL_auxz00_8539 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)35623)), BGl_string3316z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4606); 
FAILURE(BgL_auxz00_8539,BFALSE,BFALSE);} 
BgL_tmpz00_8534 = 
BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_auxz00_8535, BgL_auxz00_8543, BgL_passz00_4608); } 
return 
BBOOL(BgL_tmpz00_8534);} } 

}



/* secure-context-set-ciphers! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_71, obj_t BgL_ciphersz00_72)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 879 */
obj_t BgL_method1269z00_1719;
{ /* Llib/ssl.scm 879 */
obj_t BgL_res2368z00_2387;
{ /* Llib/ssl.scm 879 */
long BgL_objzd2classzd2numz00_2358;
BgL_objzd2classzd2numz00_2358 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_71)); 
{ /* Llib/ssl.scm 879 */
obj_t BgL_arg1757z00_2359;
BgL_arg1757z00_2359 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 879 */
int BgL_offsetz00_2362;
BgL_offsetz00_2362 = 
(int)(BgL_objzd2classzd2numz00_2358); 
{ /* Llib/ssl.scm 879 */
long BgL_offsetz00_2363;
BgL_offsetz00_2363 = 
(
(long)(BgL_offsetz00_2362)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 879 */
long BgL_modz00_2364;
BgL_modz00_2364 = 
(BgL_offsetz00_2363 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 879 */
long BgL_restz00_2366;
BgL_restz00_2366 = 
(BgL_offsetz00_2363 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 879 */

{ /* Llib/ssl.scm 879 */
obj_t BgL_bucketz00_2368;
BgL_bucketz00_2368 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2359),BgL_modz00_2364); 
BgL_res2368z00_2387 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2368),BgL_restz00_2366); } } } } } } } } 
BgL_method1269z00_1719 = BgL_res2368z00_2387; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1269z00_1719)(BgL_method1269z00_1719, 
((obj_t)BgL_scz00_71), BgL_ciphersz00_72, BEOA));} } 

}



/* &secure-context-set-ciphers! */
obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t BgL_envz00_4609, obj_t BgL_scz00_4610, obj_t BgL_ciphersz00_4611)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 879 */
bool_t BgL_tmpz00_8584;
{ /* Llib/ssl.scm 879 */
obj_t BgL_auxz00_8593;BgL_securezd2contextzd2_bglt BgL_auxz00_8585;
if(
STRINGP(BgL_ciphersz00_4611))
{ /* Llib/ssl.scm 879 */
BgL_auxz00_8593 = BgL_ciphersz00_4611
; }  else 
{ 
obj_t BgL_auxz00_8596;
BgL_auxz00_8596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)36030)), BGl_string3317z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_ciphersz00_4611); 
FAILURE(BgL_auxz00_8596,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4610, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 879 */
BgL_auxz00_8585 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4610)
; }  else 
{ 
obj_t BgL_auxz00_8589;
BgL_auxz00_8589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)36030)), BGl_string3317z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4610); 
FAILURE(BgL_auxz00_8589,BFALSE,BFALSE);} 
BgL_tmpz00_8584 = 
BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_auxz00_8585, BgL_auxz00_8593); } 
return 
BBOOL(BgL_tmpz00_8584);} } 

}



/* secure-context-set-options! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_73, int BgL_optionsz00_74)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 891 */
obj_t BgL_method1271z00_1720;
{ /* Llib/ssl.scm 891 */
obj_t BgL_res2373z00_2418;
{ /* Llib/ssl.scm 891 */
long BgL_objzd2classzd2numz00_2389;
BgL_objzd2classzd2numz00_2389 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_73)); 
{ /* Llib/ssl.scm 891 */
obj_t BgL_arg1757z00_2390;
BgL_arg1757z00_2390 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 891 */
int BgL_offsetz00_2393;
BgL_offsetz00_2393 = 
(int)(BgL_objzd2classzd2numz00_2389); 
{ /* Llib/ssl.scm 891 */
long BgL_offsetz00_2394;
BgL_offsetz00_2394 = 
(
(long)(BgL_offsetz00_2393)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 891 */
long BgL_modz00_2395;
BgL_modz00_2395 = 
(BgL_offsetz00_2394 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 891 */
long BgL_restz00_2397;
BgL_restz00_2397 = 
(BgL_offsetz00_2394 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 891 */

{ /* Llib/ssl.scm 891 */
obj_t BgL_bucketz00_2399;
BgL_bucketz00_2399 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2390),BgL_modz00_2395); 
BgL_res2373z00_2418 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2399),BgL_restz00_2397); } } } } } } } } 
BgL_method1271z00_1720 = BgL_res2373z00_2418; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1271z00_1720)(BgL_method1271z00_1720, 
((obj_t)BgL_scz00_73), 
BINT(BgL_optionsz00_74), BEOA));} } 

}



/* &secure-context-set-options! */
obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t BgL_envz00_4612, obj_t BgL_scz00_4613, obj_t BgL_optionsz00_4614)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 891 */
bool_t BgL_tmpz00_8635;
{ /* Llib/ssl.scm 891 */
int BgL_auxz00_8644;BgL_securezd2contextzd2_bglt BgL_auxz00_8636;
{ /* Llib/ssl.scm 891 */
obj_t BgL_tmpz00_8645;
if(
INTEGERP(BgL_optionsz00_4614))
{ /* Llib/ssl.scm 891 */
BgL_tmpz00_8645 = BgL_optionsz00_4614
; }  else 
{ 
obj_t BgL_auxz00_8648;
BgL_auxz00_8648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)36490)), BGl_string3318z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_optionsz00_4614); 
FAILURE(BgL_auxz00_8648,BFALSE,BFALSE);} 
BgL_auxz00_8644 = 
CINT(BgL_tmpz00_8645); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4613, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 891 */
BgL_auxz00_8636 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4613)
; }  else 
{ 
obj_t BgL_auxz00_8640;
BgL_auxz00_8640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)36490)), BGl_string3318z00zz__ssl_sslz00, BGl_string3008z00zz__ssl_sslz00, BgL_scz00_4613); 
FAILURE(BgL_auxz00_8640,BFALSE,BFALSE);} 
BgL_tmpz00_8635 = 
BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_auxz00_8636, BgL_auxz00_8644); } 
return 
BBOOL(BgL_tmpz00_8635);} } 

}



/* ssl-connection-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_75)
{
{ /* Llib/ssl.scm 903 */
{ /* Llib/ssl.scm 903 */
obj_t BgL_method1273z00_1721;
{ /* Llib/ssl.scm 903 */
obj_t BgL_res2378z00_2449;
{ /* Llib/ssl.scm 903 */
long BgL_objzd2classzd2numz00_2420;
BgL_objzd2classzd2numz00_2420 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_75)); 
{ /* Llib/ssl.scm 903 */
obj_t BgL_arg1757z00_2421;
BgL_arg1757z00_2421 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 903 */
int BgL_offsetz00_2424;
BgL_offsetz00_2424 = 
(int)(BgL_objzd2classzd2numz00_2420); 
{ /* Llib/ssl.scm 903 */
long BgL_offsetz00_2425;
BgL_offsetz00_2425 = 
(
(long)(BgL_offsetz00_2424)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 903 */
long BgL_modz00_2426;
BgL_modz00_2426 = 
(BgL_offsetz00_2425 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 903 */
long BgL_restz00_2428;
BgL_restz00_2428 = 
(BgL_offsetz00_2425 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 903 */

{ /* Llib/ssl.scm 903 */
obj_t BgL_bucketz00_2430;
BgL_bucketz00_2430 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2421),BgL_modz00_2426); 
BgL_res2378z00_2449 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2430),BgL_restz00_2428); } } } } } } } } 
BgL_method1273z00_1721 = BgL_res2378z00_2449; } 
return 
PROCEDURE_ENTRY(BgL_method1273z00_1721)(BgL_method1273z00_1721, 
((obj_t)BgL_sslz00_75), BEOA);} } 

}



/* &ssl-connection-init */
obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4333, obj_t BgL_sslz00_4334)
{
{ /* Llib/ssl.scm 903 */
{ /* Llib/ssl.scm 903 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8685;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4334, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 903 */
BgL_auxz00_8685 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4334)
; }  else 
{ 
obj_t BgL_auxz00_8689;
BgL_auxz00_8689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)36946)), BGl_string3319z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4334); 
FAILURE(BgL_auxz00_8689,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_auxz00_8685);} } 

}



/* ssl-connection-start */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_76)
{
{ /* Llib/ssl.scm 913 */
{ /* Llib/ssl.scm 913 */
obj_t BgL_method1275z00_1722;
{ /* Llib/ssl.scm 913 */
obj_t BgL_res2383z00_2480;
{ /* Llib/ssl.scm 913 */
long BgL_objzd2classzd2numz00_2451;
BgL_objzd2classzd2numz00_2451 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_76)); 
{ /* Llib/ssl.scm 913 */
obj_t BgL_arg1757z00_2452;
BgL_arg1757z00_2452 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 913 */
int BgL_offsetz00_2455;
BgL_offsetz00_2455 = 
(int)(BgL_objzd2classzd2numz00_2451); 
{ /* Llib/ssl.scm 913 */
long BgL_offsetz00_2456;
BgL_offsetz00_2456 = 
(
(long)(BgL_offsetz00_2455)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 913 */
long BgL_modz00_2457;
BgL_modz00_2457 = 
(BgL_offsetz00_2456 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 913 */
long BgL_restz00_2459;
BgL_restz00_2459 = 
(BgL_offsetz00_2456 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 913 */

{ /* Llib/ssl.scm 913 */
obj_t BgL_bucketz00_2461;
BgL_bucketz00_2461 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2452),BgL_modz00_2457); 
BgL_res2383z00_2480 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2461),BgL_restz00_2459); } } } } } } } } 
BgL_method1275z00_1722 = BgL_res2383z00_2480; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1275z00_1722)(BgL_method1275z00_1722, 
((obj_t)BgL_sslz00_76), BEOA));} } 

}



/* &ssl-connection-start */
obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t BgL_envz00_4615, obj_t BgL_sslz00_4616)
{
{ /* Llib/ssl.scm 913 */
{ /* Llib/ssl.scm 913 */
int BgL_tmpz00_8725;
{ /* Llib/ssl.scm 913 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8726;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4616, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 913 */
BgL_auxz00_8726 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4616)
; }  else 
{ 
obj_t BgL_auxz00_8730;
BgL_auxz00_8730 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)37325)), BGl_string3321z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4616); 
FAILURE(BgL_auxz00_8730,BFALSE,BFALSE);} 
BgL_tmpz00_8725 = 
BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_auxz00_8726); } 
return 
BINT(BgL_tmpz00_8725);} } 

}



/* ssl-connection-close */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_77)
{
{ /* Llib/ssl.scm 923 */
{ /* Llib/ssl.scm 923 */
obj_t BgL_method1277z00_1723;
{ /* Llib/ssl.scm 923 */
obj_t BgL_res2388z00_2511;
{ /* Llib/ssl.scm 923 */
long BgL_objzd2classzd2numz00_2482;
BgL_objzd2classzd2numz00_2482 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_77)); 
{ /* Llib/ssl.scm 923 */
obj_t BgL_arg1757z00_2483;
BgL_arg1757z00_2483 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 923 */
int BgL_offsetz00_2486;
BgL_offsetz00_2486 = 
(int)(BgL_objzd2classzd2numz00_2482); 
{ /* Llib/ssl.scm 923 */
long BgL_offsetz00_2487;
BgL_offsetz00_2487 = 
(
(long)(BgL_offsetz00_2486)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 923 */
long BgL_modz00_2488;
BgL_modz00_2488 = 
(BgL_offsetz00_2487 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 923 */
long BgL_restz00_2490;
BgL_restz00_2490 = 
(BgL_offsetz00_2487 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 923 */

{ /* Llib/ssl.scm 923 */
obj_t BgL_bucketz00_2492;
BgL_bucketz00_2492 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2483),BgL_modz00_2488); 
BgL_res2388z00_2511 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2492),BgL_restz00_2490); } } } } } } } } 
BgL_method1277z00_1723 = BgL_res2388z00_2511; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1277z00_1723)(BgL_method1277z00_1723, 
((obj_t)BgL_sslz00_77), BEOA));} } 

}



/* &ssl-connection-close */
obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4617, obj_t BgL_sslz00_4618)
{
{ /* Llib/ssl.scm 923 */
{ /* Llib/ssl.scm 923 */
int BgL_tmpz00_8767;
{ /* Llib/ssl.scm 923 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8768;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4618, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 923 */
BgL_auxz00_8768 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4618)
; }  else 
{ 
obj_t BgL_auxz00_8772;
BgL_auxz00_8772 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)37705)), BGl_string3322z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4618); 
FAILURE(BgL_auxz00_8772,BFALSE,BFALSE);} 
BgL_tmpz00_8767 = 
BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_auxz00_8768); } 
return 
BINT(BgL_tmpz00_8767);} } 

}



/* ssl-connection-shutdown */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_78)
{
{ /* Llib/ssl.scm 933 */
{ /* Llib/ssl.scm 933 */
obj_t BgL_method1279z00_1724;
{ /* Llib/ssl.scm 933 */
obj_t BgL_res2393z00_2542;
{ /* Llib/ssl.scm 933 */
long BgL_objzd2classzd2numz00_2513;
BgL_objzd2classzd2numz00_2513 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_78)); 
{ /* Llib/ssl.scm 933 */
obj_t BgL_arg1757z00_2514;
BgL_arg1757z00_2514 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 933 */
int BgL_offsetz00_2517;
BgL_offsetz00_2517 = 
(int)(BgL_objzd2classzd2numz00_2513); 
{ /* Llib/ssl.scm 933 */
long BgL_offsetz00_2518;
BgL_offsetz00_2518 = 
(
(long)(BgL_offsetz00_2517)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 933 */
long BgL_modz00_2519;
BgL_modz00_2519 = 
(BgL_offsetz00_2518 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 933 */
long BgL_restz00_2521;
BgL_restz00_2521 = 
(BgL_offsetz00_2518 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 933 */

{ /* Llib/ssl.scm 933 */
obj_t BgL_bucketz00_2523;
BgL_bucketz00_2523 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2514),BgL_modz00_2519); 
BgL_res2393z00_2542 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2523),BgL_restz00_2521); } } } } } } } } 
BgL_method1279z00_1724 = BgL_res2393z00_2542; } 
return 
PROCEDURE_ENTRY(BgL_method1279z00_1724)(BgL_method1279z00_1724, 
((obj_t)BgL_sslz00_78), BEOA);} } 

}



/* &ssl-connection-shutdown */
obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t BgL_envz00_4619, obj_t BgL_sslz00_4620)
{
{ /* Llib/ssl.scm 933 */
{ /* Llib/ssl.scm 933 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8808;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4620, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 933 */
BgL_auxz00_8808 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4620)
; }  else 
{ 
obj_t BgL_auxz00_8812;
BgL_auxz00_8812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38085)), BGl_string3323z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4620); 
FAILURE(BgL_auxz00_8812,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_auxz00_8808);} } 

}



/* ssl-connection-read */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_79, obj_t BgL_bufferz00_80, long BgL_offsetz00_81, long BgL_lenz00_82)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 943 */
obj_t BgL_method1281z00_1725;
{ /* Llib/ssl.scm 943 */
obj_t BgL_res2398z00_2573;
{ /* Llib/ssl.scm 943 */
long BgL_objzd2classzd2numz00_2544;
BgL_objzd2classzd2numz00_2544 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_79)); 
{ /* Llib/ssl.scm 943 */
obj_t BgL_arg1757z00_2545;
BgL_arg1757z00_2545 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 943 */
int BgL_offsetz00_2548;
BgL_offsetz00_2548 = 
(int)(BgL_objzd2classzd2numz00_2544); 
{ /* Llib/ssl.scm 943 */
long BgL_offsetz00_2549;
BgL_offsetz00_2549 = 
(
(long)(BgL_offsetz00_2548)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 943 */
long BgL_modz00_2550;
BgL_modz00_2550 = 
(BgL_offsetz00_2549 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 943 */
long BgL_restz00_2552;
BgL_restz00_2552 = 
(BgL_offsetz00_2549 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 943 */

{ /* Llib/ssl.scm 943 */
obj_t BgL_bucketz00_2554;
BgL_bucketz00_2554 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2545),BgL_modz00_2550); 
BgL_res2398z00_2573 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2554),BgL_restz00_2552); } } } } } } } } 
BgL_method1281z00_1725 = BgL_res2398z00_2573; } 
return 
PROCEDURE_ENTRY(BgL_method1281z00_1725)(BgL_method1281z00_1725, 
((obj_t)BgL_sslz00_79), BgL_bufferz00_80, 
BINT(BgL_offsetz00_81), 
BINT(BgL_lenz00_82), BEOA);} } 

}



/* &ssl-connection-read */
obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t BgL_envz00_4621, obj_t BgL_sslz00_4622, obj_t BgL_bufferz00_4623, obj_t BgL_offsetz00_4624, obj_t BgL_lenz00_4625)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 943 */
long BgL_auxz00_8876;long BgL_auxz00_8867;obj_t BgL_auxz00_8860;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8852;
{ /* Llib/ssl.scm 943 */
obj_t BgL_tmpz00_8877;
if(
INTEGERP(BgL_lenz00_4625))
{ /* Llib/ssl.scm 943 */
BgL_tmpz00_8877 = BgL_lenz00_4625
; }  else 
{ 
obj_t BgL_auxz00_8880;
BgL_auxz00_8880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3324z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4625); 
FAILURE(BgL_auxz00_8880,BFALSE,BFALSE);} 
BgL_auxz00_8876 = 
(long)CINT(BgL_tmpz00_8877); } 
{ /* Llib/ssl.scm 943 */
obj_t BgL_tmpz00_8868;
if(
INTEGERP(BgL_offsetz00_4624))
{ /* Llib/ssl.scm 943 */
BgL_tmpz00_8868 = BgL_offsetz00_4624
; }  else 
{ 
obj_t BgL_auxz00_8871;
BgL_auxz00_8871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3324z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4624); 
FAILURE(BgL_auxz00_8871,BFALSE,BFALSE);} 
BgL_auxz00_8867 = 
(long)CINT(BgL_tmpz00_8868); } 
if(
STRINGP(BgL_bufferz00_4623))
{ /* Llib/ssl.scm 943 */
BgL_auxz00_8860 = BgL_bufferz00_4623
; }  else 
{ 
obj_t BgL_auxz00_8863;
BgL_auxz00_8863 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3324z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_bufferz00_4623); 
FAILURE(BgL_auxz00_8863,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4622, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 943 */
BgL_auxz00_8852 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4622)
; }  else 
{ 
obj_t BgL_auxz00_8856;
BgL_auxz00_8856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3324z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4622); 
FAILURE(BgL_auxz00_8856,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_auxz00_8852, BgL_auxz00_8860, BgL_auxz00_8867, BgL_auxz00_8876);} } 

}



/* ssl-connection-write */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_83, obj_t BgL_bufferz00_84, long BgL_offsetz00_85, long BgL_lenz00_86)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 953 */
obj_t BgL_method1283z00_1726;
{ /* Llib/ssl.scm 953 */
obj_t BgL_res2403z00_2604;
{ /* Llib/ssl.scm 953 */
long BgL_objzd2classzd2numz00_2575;
BgL_objzd2classzd2numz00_2575 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_83)); 
{ /* Llib/ssl.scm 953 */
obj_t BgL_arg1757z00_2576;
BgL_arg1757z00_2576 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 953 */
int BgL_offsetz00_2579;
BgL_offsetz00_2579 = 
(int)(BgL_objzd2classzd2numz00_2575); 
{ /* Llib/ssl.scm 953 */
long BgL_offsetz00_2580;
BgL_offsetz00_2580 = 
(
(long)(BgL_offsetz00_2579)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 953 */
long BgL_modz00_2581;
BgL_modz00_2581 = 
(BgL_offsetz00_2580 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 953 */
long BgL_restz00_2583;
BgL_restz00_2583 = 
(BgL_offsetz00_2580 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 953 */

{ /* Llib/ssl.scm 953 */
obj_t BgL_bucketz00_2585;
BgL_bucketz00_2585 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2576),BgL_modz00_2581); 
BgL_res2403z00_2604 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2585),BgL_restz00_2583); } } } } } } } } 
BgL_method1283z00_1726 = BgL_res2403z00_2604; } 
return 
PROCEDURE_ENTRY(BgL_method1283z00_1726)(BgL_method1283z00_1726, 
((obj_t)BgL_sslz00_83), BgL_bufferz00_84, 
BINT(BgL_offsetz00_85), 
BINT(BgL_lenz00_86), BEOA);} } 

}



/* &ssl-connection-write */
obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t BgL_envz00_4626, obj_t BgL_sslz00_4627, obj_t BgL_bufferz00_4628, obj_t BgL_offsetz00_4629, obj_t BgL_lenz00_4630)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 953 */
long BgL_auxz00_8945;long BgL_auxz00_8936;obj_t BgL_auxz00_8929;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8921;
{ /* Llib/ssl.scm 953 */
obj_t BgL_tmpz00_8946;
if(
INTEGERP(BgL_lenz00_4630))
{ /* Llib/ssl.scm 953 */
BgL_tmpz00_8946 = BgL_lenz00_4630
; }  else 
{ 
obj_t BgL_auxz00_8949;
BgL_auxz00_8949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3325z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4630); 
FAILURE(BgL_auxz00_8949,BFALSE,BFALSE);} 
BgL_auxz00_8945 = 
(long)CINT(BgL_tmpz00_8946); } 
{ /* Llib/ssl.scm 953 */
obj_t BgL_tmpz00_8937;
if(
INTEGERP(BgL_offsetz00_4629))
{ /* Llib/ssl.scm 953 */
BgL_tmpz00_8937 = BgL_offsetz00_4629
; }  else 
{ 
obj_t BgL_auxz00_8940;
BgL_auxz00_8940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3325z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4629); 
FAILURE(BgL_auxz00_8940,BFALSE,BFALSE);} 
BgL_auxz00_8936 = 
(long)CINT(BgL_tmpz00_8937); } 
if(
STRINGP(BgL_bufferz00_4628))
{ /* Llib/ssl.scm 953 */
BgL_auxz00_8929 = BgL_bufferz00_4628
; }  else 
{ 
obj_t BgL_auxz00_8932;
BgL_auxz00_8932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3325z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_bufferz00_4628); 
FAILURE(BgL_auxz00_8932,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4627, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 953 */
BgL_auxz00_8921 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4627)
; }  else 
{ 
obj_t BgL_auxz00_8925;
BgL_auxz00_8925 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3325z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4627); 
FAILURE(BgL_auxz00_8925,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_auxz00_8921, BgL_auxz00_8929, BgL_auxz00_8936, BgL_auxz00_8945);} } 

}



/* ssl-connection-clear-in */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_87, obj_t BgL_bufferz00_88, long BgL_offsetz00_89, long BgL_lenz00_90)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 963 */
obj_t BgL_method1285z00_1727;
{ /* Llib/ssl.scm 963 */
obj_t BgL_res2408z00_2635;
{ /* Llib/ssl.scm 963 */
long BgL_objzd2classzd2numz00_2606;
BgL_objzd2classzd2numz00_2606 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_87)); 
{ /* Llib/ssl.scm 963 */
obj_t BgL_arg1757z00_2607;
BgL_arg1757z00_2607 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 963 */
int BgL_offsetz00_2610;
BgL_offsetz00_2610 = 
(int)(BgL_objzd2classzd2numz00_2606); 
{ /* Llib/ssl.scm 963 */
long BgL_offsetz00_2611;
BgL_offsetz00_2611 = 
(
(long)(BgL_offsetz00_2610)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 963 */
long BgL_modz00_2612;
BgL_modz00_2612 = 
(BgL_offsetz00_2611 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 963 */
long BgL_restz00_2614;
BgL_restz00_2614 = 
(BgL_offsetz00_2611 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 963 */

{ /* Llib/ssl.scm 963 */
obj_t BgL_bucketz00_2616;
BgL_bucketz00_2616 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2607),BgL_modz00_2612); 
BgL_res2408z00_2635 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2616),BgL_restz00_2614); } } } } } } } } 
BgL_method1285z00_1727 = BgL_res2408z00_2635; } 
return 
PROCEDURE_ENTRY(BgL_method1285z00_1727)(BgL_method1285z00_1727, 
((obj_t)BgL_sslz00_87), BgL_bufferz00_88, 
BINT(BgL_offsetz00_89), 
BINT(BgL_lenz00_90), BEOA);} } 

}



/* &ssl-connection-clear-in */
obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t BgL_envz00_4631, obj_t BgL_sslz00_4632, obj_t BgL_bufferz00_4633, obj_t BgL_offsetz00_4634, obj_t BgL_lenz00_4635)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 963 */
long BgL_auxz00_9014;long BgL_auxz00_9005;obj_t BgL_auxz00_8998;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8990;
{ /* Llib/ssl.scm 963 */
obj_t BgL_tmpz00_9015;
if(
INTEGERP(BgL_lenz00_4635))
{ /* Llib/ssl.scm 963 */
BgL_tmpz00_9015 = BgL_lenz00_4635
; }  else 
{ 
obj_t BgL_auxz00_9018;
BgL_auxz00_9018 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3326z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4635); 
FAILURE(BgL_auxz00_9018,BFALSE,BFALSE);} 
BgL_auxz00_9014 = 
(long)CINT(BgL_tmpz00_9015); } 
{ /* Llib/ssl.scm 963 */
obj_t BgL_tmpz00_9006;
if(
INTEGERP(BgL_offsetz00_4634))
{ /* Llib/ssl.scm 963 */
BgL_tmpz00_9006 = BgL_offsetz00_4634
; }  else 
{ 
obj_t BgL_auxz00_9009;
BgL_auxz00_9009 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3326z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4634); 
FAILURE(BgL_auxz00_9009,BFALSE,BFALSE);} 
BgL_auxz00_9005 = 
(long)CINT(BgL_tmpz00_9006); } 
if(
STRINGP(BgL_bufferz00_4633))
{ /* Llib/ssl.scm 963 */
BgL_auxz00_8998 = BgL_bufferz00_4633
; }  else 
{ 
obj_t BgL_auxz00_9001;
BgL_auxz00_9001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3326z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_bufferz00_4633); 
FAILURE(BgL_auxz00_9001,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4632, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 963 */
BgL_auxz00_8990 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4632)
; }  else 
{ 
obj_t BgL_auxz00_8994;
BgL_auxz00_8994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3326z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4632); 
FAILURE(BgL_auxz00_8994,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_auxz00_8990, BgL_auxz00_8998, BgL_auxz00_9005, BgL_auxz00_9014);} } 

}



/* ssl-connection-clear-out */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_91, obj_t BgL_bufferz00_92, long BgL_offsetz00_93, long BgL_lenz00_94)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 973 */
obj_t BgL_method1287z00_1728;
{ /* Llib/ssl.scm 973 */
obj_t BgL_res2413z00_2666;
{ /* Llib/ssl.scm 973 */
long BgL_objzd2classzd2numz00_2637;
BgL_objzd2classzd2numz00_2637 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_91)); 
{ /* Llib/ssl.scm 973 */
obj_t BgL_arg1757z00_2638;
BgL_arg1757z00_2638 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 973 */
int BgL_offsetz00_2641;
BgL_offsetz00_2641 = 
(int)(BgL_objzd2classzd2numz00_2637); 
{ /* Llib/ssl.scm 973 */
long BgL_offsetz00_2642;
BgL_offsetz00_2642 = 
(
(long)(BgL_offsetz00_2641)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 973 */
long BgL_modz00_2643;
BgL_modz00_2643 = 
(BgL_offsetz00_2642 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 973 */
long BgL_restz00_2645;
BgL_restz00_2645 = 
(BgL_offsetz00_2642 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 973 */

{ /* Llib/ssl.scm 973 */
obj_t BgL_bucketz00_2647;
BgL_bucketz00_2647 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2638),BgL_modz00_2643); 
BgL_res2413z00_2666 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2647),BgL_restz00_2645); } } } } } } } } 
BgL_method1287z00_1728 = BgL_res2413z00_2666; } 
return 
PROCEDURE_ENTRY(BgL_method1287z00_1728)(BgL_method1287z00_1728, 
((obj_t)BgL_sslz00_91), BgL_bufferz00_92, 
BINT(BgL_offsetz00_93), 
BINT(BgL_lenz00_94), BEOA);} } 

}



/* &ssl-connection-clear-out */
obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t BgL_envz00_4636, obj_t BgL_sslz00_4637, obj_t BgL_bufferz00_4638, obj_t BgL_offsetz00_4639, obj_t BgL_lenz00_4640)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 973 */
long BgL_auxz00_9083;long BgL_auxz00_9074;obj_t BgL_auxz00_9067;BgL_sslzd2connectionzd2_bglt BgL_auxz00_9059;
{ /* Llib/ssl.scm 973 */
obj_t BgL_tmpz00_9084;
if(
INTEGERP(BgL_lenz00_4640))
{ /* Llib/ssl.scm 973 */
BgL_tmpz00_9084 = BgL_lenz00_4640
; }  else 
{ 
obj_t BgL_auxz00_9087;
BgL_auxz00_9087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3327z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4640); 
FAILURE(BgL_auxz00_9087,BFALSE,BFALSE);} 
BgL_auxz00_9083 = 
(long)CINT(BgL_tmpz00_9084); } 
{ /* Llib/ssl.scm 973 */
obj_t BgL_tmpz00_9075;
if(
INTEGERP(BgL_offsetz00_4639))
{ /* Llib/ssl.scm 973 */
BgL_tmpz00_9075 = BgL_offsetz00_4639
; }  else 
{ 
obj_t BgL_auxz00_9078;
BgL_auxz00_9078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3327z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4639); 
FAILURE(BgL_auxz00_9078,BFALSE,BFALSE);} 
BgL_auxz00_9074 = 
(long)CINT(BgL_tmpz00_9075); } 
if(
STRINGP(BgL_bufferz00_4638))
{ /* Llib/ssl.scm 973 */
BgL_auxz00_9067 = BgL_bufferz00_4638
; }  else 
{ 
obj_t BgL_auxz00_9070;
BgL_auxz00_9070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3327z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_bufferz00_4638); 
FAILURE(BgL_auxz00_9070,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4637, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 973 */
BgL_auxz00_9059 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4637)
; }  else 
{ 
obj_t BgL_auxz00_9063;
BgL_auxz00_9063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3327z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4637); 
FAILURE(BgL_auxz00_9063,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_auxz00_9059, BgL_auxz00_9067, BgL_auxz00_9074, BgL_auxz00_9083);} } 

}



/* ssl-connection-init-finished? */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_95)
{
{ /* Llib/ssl.scm 983 */
{ /* Llib/ssl.scm 983 */
obj_t BgL_method1289z00_1729;
{ /* Llib/ssl.scm 983 */
obj_t BgL_res2418z00_2697;
{ /* Llib/ssl.scm 983 */
long BgL_objzd2classzd2numz00_2668;
BgL_objzd2classzd2numz00_2668 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_95)); 
{ /* Llib/ssl.scm 983 */
obj_t BgL_arg1757z00_2669;
BgL_arg1757z00_2669 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 983 */
int BgL_offsetz00_2672;
BgL_offsetz00_2672 = 
(int)(BgL_objzd2classzd2numz00_2668); 
{ /* Llib/ssl.scm 983 */
long BgL_offsetz00_2673;
BgL_offsetz00_2673 = 
(
(long)(BgL_offsetz00_2672)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 983 */
long BgL_modz00_2674;
BgL_modz00_2674 = 
(BgL_offsetz00_2673 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 983 */
long BgL_restz00_2676;
BgL_restz00_2676 = 
(BgL_offsetz00_2673 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 983 */

{ /* Llib/ssl.scm 983 */
obj_t BgL_bucketz00_2678;
BgL_bucketz00_2678 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2669),BgL_modz00_2674); 
BgL_res2418z00_2697 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2678),BgL_restz00_2676); } } } } } } } } 
BgL_method1289z00_1729 = BgL_res2418z00_2697; } 
return 
PROCEDURE_ENTRY(BgL_method1289z00_1729)(BgL_method1289z00_1729, 
((obj_t)BgL_sslz00_95), BEOA);} } 

}



/* &ssl-connection-init-finished? */
obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4641, obj_t BgL_sslz00_4642)
{
{ /* Llib/ssl.scm 983 */
{ /* Llib/ssl.scm 983 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9123;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4642, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 983 */
BgL_auxz00_9123 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4642)
; }  else 
{ 
obj_t BgL_auxz00_9127;
BgL_auxz00_9127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)40139)), BGl_string3328z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4642); 
FAILURE(BgL_auxz00_9127,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_auxz00_9123);} } 

}



/* ssl-connection-enc-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_96)
{
{ /* Llib/ssl.scm 993 */
{ /* Llib/ssl.scm 993 */
obj_t BgL_method1291z00_1730;
{ /* Llib/ssl.scm 993 */
obj_t BgL_res2423z00_2728;
{ /* Llib/ssl.scm 993 */
long BgL_objzd2classzd2numz00_2699;
BgL_objzd2classzd2numz00_2699 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_96)); 
{ /* Llib/ssl.scm 993 */
obj_t BgL_arg1757z00_2700;
BgL_arg1757z00_2700 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 993 */
int BgL_offsetz00_2703;
BgL_offsetz00_2703 = 
(int)(BgL_objzd2classzd2numz00_2699); 
{ /* Llib/ssl.scm 993 */
long BgL_offsetz00_2704;
BgL_offsetz00_2704 = 
(
(long)(BgL_offsetz00_2703)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 993 */
long BgL_modz00_2705;
BgL_modz00_2705 = 
(BgL_offsetz00_2704 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 993 */
long BgL_restz00_2707;
BgL_restz00_2707 = 
(BgL_offsetz00_2704 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 993 */

{ /* Llib/ssl.scm 993 */
obj_t BgL_bucketz00_2709;
BgL_bucketz00_2709 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2700),BgL_modz00_2705); 
BgL_res2423z00_2728 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2709),BgL_restz00_2707); } } } } } } } } 
BgL_method1291z00_1730 = BgL_res2423z00_2728; } 
return 
PROCEDURE_ENTRY(BgL_method1291z00_1730)(BgL_method1291z00_1730, 
((obj_t)BgL_sslz00_96), BEOA);} } 

}



/* &ssl-connection-enc-pending */
obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4643, obj_t BgL_sslz00_4644)
{
{ /* Llib/ssl.scm 993 */
{ /* Llib/ssl.scm 993 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9162;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4644, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 993 */
BgL_auxz00_9162 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4644)
; }  else 
{ 
obj_t BgL_auxz00_9166;
BgL_auxz00_9166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)40535)), BGl_string3329z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4644); 
FAILURE(BgL_auxz00_9166,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_auxz00_9162);} } 

}



/* ssl-connection-clear-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_97)
{
{ /* Llib/ssl.scm 1003 */
{ /* Llib/ssl.scm 1003 */
obj_t BgL_method1293z00_1731;
{ /* Llib/ssl.scm 1003 */
obj_t BgL_res2428z00_2759;
{ /* Llib/ssl.scm 1003 */
long BgL_objzd2classzd2numz00_2730;
BgL_objzd2classzd2numz00_2730 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_97)); 
{ /* Llib/ssl.scm 1003 */
obj_t BgL_arg1757z00_2731;
BgL_arg1757z00_2731 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1003 */
int BgL_offsetz00_2734;
BgL_offsetz00_2734 = 
(int)(BgL_objzd2classzd2numz00_2730); 
{ /* Llib/ssl.scm 1003 */
long BgL_offsetz00_2735;
BgL_offsetz00_2735 = 
(
(long)(BgL_offsetz00_2734)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1003 */
long BgL_modz00_2736;
BgL_modz00_2736 = 
(BgL_offsetz00_2735 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1003 */
long BgL_restz00_2738;
BgL_restz00_2738 = 
(BgL_offsetz00_2735 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1003 */

{ /* Llib/ssl.scm 1003 */
obj_t BgL_bucketz00_2740;
BgL_bucketz00_2740 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2731),BgL_modz00_2736); 
BgL_res2428z00_2759 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2740),BgL_restz00_2738); } } } } } } } } 
BgL_method1293z00_1731 = BgL_res2428z00_2759; } 
return 
PROCEDURE_ENTRY(BgL_method1293z00_1731)(BgL_method1293z00_1731, 
((obj_t)BgL_sslz00_97), BEOA);} } 

}



/* &ssl-connection-clear-pending */
obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4645, obj_t BgL_sslz00_4646)
{
{ /* Llib/ssl.scm 1003 */
{ /* Llib/ssl.scm 1003 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9201;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4646, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1003 */
BgL_auxz00_9201 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4646)
; }  else 
{ 
obj_t BgL_auxz00_9205;
BgL_auxz00_9205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)40925)), BGl_string3330z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4646); 
FAILURE(BgL_auxz00_9205,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_auxz00_9201);} } 

}



/* ssl-connection-set-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_98, obj_t BgL_bufz00_99)
{
{ /* Llib/ssl.scm 1013 */
{ /* Llib/ssl.scm 1013 */
obj_t BgL_method1295z00_1732;
{ /* Llib/ssl.scm 1013 */
obj_t BgL_res2433z00_2790;
{ /* Llib/ssl.scm 1013 */
long BgL_objzd2classzd2numz00_2761;
BgL_objzd2classzd2numz00_2761 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_98)); 
{ /* Llib/ssl.scm 1013 */
obj_t BgL_arg1757z00_2762;
BgL_arg1757z00_2762 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1013 */
int BgL_offsetz00_2765;
BgL_offsetz00_2765 = 
(int)(BgL_objzd2classzd2numz00_2761); 
{ /* Llib/ssl.scm 1013 */
long BgL_offsetz00_2766;
BgL_offsetz00_2766 = 
(
(long)(BgL_offsetz00_2765)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1013 */
long BgL_modz00_2767;
BgL_modz00_2767 = 
(BgL_offsetz00_2766 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1013 */
long BgL_restz00_2769;
BgL_restz00_2769 = 
(BgL_offsetz00_2766 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1013 */

{ /* Llib/ssl.scm 1013 */
obj_t BgL_bucketz00_2771;
BgL_bucketz00_2771 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2762),BgL_modz00_2767); 
BgL_res2433z00_2790 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2771),BgL_restz00_2769); } } } } } } } } 
BgL_method1295z00_1732 = BgL_res2433z00_2790; } 
return 
PROCEDURE_ENTRY(BgL_method1295z00_1732)(BgL_method1295z00_1732, 
((obj_t)BgL_sslz00_98), BgL_bufz00_99, BEOA);} } 

}



/* &ssl-connection-set-session */
obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4647, obj_t BgL_sslz00_4648, obj_t BgL_bufz00_4649)
{
{ /* Llib/ssl.scm 1013 */
{ /* Llib/ssl.scm 1013 */
obj_t BgL_auxz00_9249;BgL_sslzd2connectionzd2_bglt BgL_auxz00_9241;
if(
STRINGP(BgL_bufz00_4649))
{ /* Llib/ssl.scm 1013 */
BgL_auxz00_9249 = BgL_bufz00_4649
; }  else 
{ 
obj_t BgL_auxz00_9252;
BgL_auxz00_9252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)41319)), BGl_string3331z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_bufz00_4649); 
FAILURE(BgL_auxz00_9252,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4648, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1013 */
BgL_auxz00_9241 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4648)
; }  else 
{ 
obj_t BgL_auxz00_9245;
BgL_auxz00_9245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)41319)), BGl_string3331z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4648); 
FAILURE(BgL_auxz00_9245,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_9241, BgL_auxz00_9249);} } 

}



/* ssl-connection-get-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_100)
{
{ /* Llib/ssl.scm 1023 */
{ /* Llib/ssl.scm 1023 */
obj_t BgL_method1297z00_1733;
{ /* Llib/ssl.scm 1023 */
obj_t BgL_res2438z00_2821;
{ /* Llib/ssl.scm 1023 */
long BgL_objzd2classzd2numz00_2792;
BgL_objzd2classzd2numz00_2792 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_100)); 
{ /* Llib/ssl.scm 1023 */
obj_t BgL_arg1757z00_2793;
BgL_arg1757z00_2793 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1023 */
int BgL_offsetz00_2796;
BgL_offsetz00_2796 = 
(int)(BgL_objzd2classzd2numz00_2792); 
{ /* Llib/ssl.scm 1023 */
long BgL_offsetz00_2797;
BgL_offsetz00_2797 = 
(
(long)(BgL_offsetz00_2796)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1023 */
long BgL_modz00_2798;
BgL_modz00_2798 = 
(BgL_offsetz00_2797 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1023 */
long BgL_restz00_2800;
BgL_restz00_2800 = 
(BgL_offsetz00_2797 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1023 */

{ /* Llib/ssl.scm 1023 */
obj_t BgL_bucketz00_2802;
BgL_bucketz00_2802 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2793),BgL_modz00_2798); 
BgL_res2438z00_2821 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2802),BgL_restz00_2800); } } } } } } } } 
BgL_method1297z00_1733 = BgL_res2438z00_2821; } 
return 
PROCEDURE_ENTRY(BgL_method1297z00_1733)(BgL_method1297z00_1733, 
((obj_t)BgL_sslz00_100), BEOA);} } 

}



/* &ssl-connection-get-session */
obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4650, obj_t BgL_sslz00_4651)
{
{ /* Llib/ssl.scm 1023 */
{ /* Llib/ssl.scm 1023 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9287;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4651, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1023 */
BgL_auxz00_9287 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4651)
; }  else 
{ 
obj_t BgL_auxz00_9291;
BgL_auxz00_9291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)41727)), BGl_string3332z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4651); 
FAILURE(BgL_auxz00_9291,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_9287);} } 

}



/* ssl-connection-get-current-cipher */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_101)
{
{ /* Llib/ssl.scm 1033 */
{ /* Llib/ssl.scm 1033 */
obj_t BgL_method1299z00_1734;
{ /* Llib/ssl.scm 1033 */
obj_t BgL_res2443z00_2852;
{ /* Llib/ssl.scm 1033 */
long BgL_objzd2classzd2numz00_2823;
BgL_objzd2classzd2numz00_2823 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_101)); 
{ /* Llib/ssl.scm 1033 */
obj_t BgL_arg1757z00_2824;
BgL_arg1757z00_2824 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1033 */
int BgL_offsetz00_2827;
BgL_offsetz00_2827 = 
(int)(BgL_objzd2classzd2numz00_2823); 
{ /* Llib/ssl.scm 1033 */
long BgL_offsetz00_2828;
BgL_offsetz00_2828 = 
(
(long)(BgL_offsetz00_2827)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1033 */
long BgL_modz00_2829;
BgL_modz00_2829 = 
(BgL_offsetz00_2828 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1033 */
long BgL_restz00_2831;
BgL_restz00_2831 = 
(BgL_offsetz00_2828 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1033 */

{ /* Llib/ssl.scm 1033 */
obj_t BgL_bucketz00_2833;
BgL_bucketz00_2833 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2824),BgL_modz00_2829); 
BgL_res2443z00_2852 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2833),BgL_restz00_2831); } } } } } } } } 
BgL_method1299z00_1734 = BgL_res2443z00_2852; } 
return 
PROCEDURE_ENTRY(BgL_method1299z00_1734)(BgL_method1299z00_1734, 
((obj_t)BgL_sslz00_101), BEOA);} } 

}



/* &ssl-connection-get-current-cipher */
obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t BgL_envz00_4652, obj_t BgL_sslz00_4653)
{
{ /* Llib/ssl.scm 1033 */
{ /* Llib/ssl.scm 1033 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9326;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4653, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1033 */
BgL_auxz00_9326 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4653)
; }  else 
{ 
obj_t BgL_auxz00_9330;
BgL_auxz00_9330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)42118)), BGl_string3333z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4653); 
FAILURE(BgL_auxz00_9330,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_auxz00_9326);} } 

}



/* ssl-connection-load-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_102, obj_t BgL_bufz00_103)
{
{ /* Llib/ssl.scm 1043 */
{ /* Llib/ssl.scm 1043 */
obj_t BgL_method1301z00_1735;
{ /* Llib/ssl.scm 1043 */
obj_t BgL_res2448z00_2883;
{ /* Llib/ssl.scm 1043 */
long BgL_objzd2classzd2numz00_2854;
BgL_objzd2classzd2numz00_2854 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_102)); 
{ /* Llib/ssl.scm 1043 */
obj_t BgL_arg1757z00_2855;
BgL_arg1757z00_2855 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1043 */
int BgL_offsetz00_2858;
BgL_offsetz00_2858 = 
(int)(BgL_objzd2classzd2numz00_2854); 
{ /* Llib/ssl.scm 1043 */
long BgL_offsetz00_2859;
BgL_offsetz00_2859 = 
(
(long)(BgL_offsetz00_2858)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1043 */
long BgL_modz00_2860;
BgL_modz00_2860 = 
(BgL_offsetz00_2859 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1043 */
long BgL_restz00_2862;
BgL_restz00_2862 = 
(BgL_offsetz00_2859 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1043 */

{ /* Llib/ssl.scm 1043 */
obj_t BgL_bucketz00_2864;
BgL_bucketz00_2864 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2855),BgL_modz00_2860); 
BgL_res2448z00_2883 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2864),BgL_restz00_2862); } } } } } } } } 
BgL_method1301z00_1735 = BgL_res2448z00_2883; } 
return 
PROCEDURE_ENTRY(BgL_method1301z00_1735)(BgL_method1301z00_1735, 
((obj_t)BgL_sslz00_102), BgL_bufz00_103, BEOA);} } 

}



/* &ssl-connection-load-session */
obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4654, obj_t BgL_sslz00_4655, obj_t BgL_bufz00_4656)
{
{ /* Llib/ssl.scm 1043 */
{ /* Llib/ssl.scm 1043 */
obj_t BgL_auxz00_9374;BgL_sslzd2connectionzd2_bglt BgL_auxz00_9366;
if(
STRINGP(BgL_bufz00_4656))
{ /* Llib/ssl.scm 1043 */
BgL_auxz00_9374 = BgL_bufz00_4656
; }  else 
{ 
obj_t BgL_auxz00_9377;
BgL_auxz00_9377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)42523)), BGl_string3334z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_bufz00_4656); 
FAILURE(BgL_auxz00_9377,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4655, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1043 */
BgL_auxz00_9366 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4655)
; }  else 
{ 
obj_t BgL_auxz00_9370;
BgL_auxz00_9370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)42523)), BGl_string3334z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4655); 
FAILURE(BgL_auxz00_9370,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_9366, BgL_auxz00_9374);} } 

}



/* ssl-connection-verify-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_104)
{
{ /* Llib/ssl.scm 1053 */
{ /* Llib/ssl.scm 1053 */
obj_t BgL_method1303z00_1736;
{ /* Llib/ssl.scm 1053 */
obj_t BgL_res2453z00_2914;
{ /* Llib/ssl.scm 1053 */
long BgL_objzd2classzd2numz00_2885;
BgL_objzd2classzd2numz00_2885 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_104)); 
{ /* Llib/ssl.scm 1053 */
obj_t BgL_arg1757z00_2886;
BgL_arg1757z00_2886 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1053 */
int BgL_offsetz00_2889;
BgL_offsetz00_2889 = 
(int)(BgL_objzd2classzd2numz00_2885); 
{ /* Llib/ssl.scm 1053 */
long BgL_offsetz00_2890;
BgL_offsetz00_2890 = 
(
(long)(BgL_offsetz00_2889)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1053 */
long BgL_modz00_2891;
BgL_modz00_2891 = 
(BgL_offsetz00_2890 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1053 */
long BgL_restz00_2893;
BgL_restz00_2893 = 
(BgL_offsetz00_2890 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1053 */

{ /* Llib/ssl.scm 1053 */
obj_t BgL_bucketz00_2895;
BgL_bucketz00_2895 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2886),BgL_modz00_2891); 
BgL_res2453z00_2914 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2895),BgL_restz00_2893); } } } } } } } } 
BgL_method1303z00_1736 = BgL_res2453z00_2914; } 
return 
PROCEDURE_ENTRY(BgL_method1303z00_1736)(BgL_method1303z00_1736, 
((obj_t)BgL_sslz00_104), BEOA);} } 

}



/* &ssl-connection-verify-error */
obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t BgL_envz00_4657, obj_t BgL_sslz00_4658)
{
{ /* Llib/ssl.scm 1053 */
{ /* Llib/ssl.scm 1053 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9412;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4658, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1053 */
BgL_auxz00_9412 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4658)
; }  else 
{ 
obj_t BgL_auxz00_9416;
BgL_auxz00_9416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)42933)), BGl_string3335z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4658); 
FAILURE(BgL_auxz00_9416,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_auxz00_9412);} } 

}



/* ssl-connection-get-peer-certificate */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_105)
{
{ /* Llib/ssl.scm 1063 */
{ /* Llib/ssl.scm 1063 */
obj_t BgL_method1305z00_1737;
{ /* Llib/ssl.scm 1063 */
obj_t BgL_res2458z00_2945;
{ /* Llib/ssl.scm 1063 */
long BgL_objzd2classzd2numz00_2916;
BgL_objzd2classzd2numz00_2916 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_105)); 
{ /* Llib/ssl.scm 1063 */
obj_t BgL_arg1757z00_2917;
BgL_arg1757z00_2917 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1063 */
int BgL_offsetz00_2920;
BgL_offsetz00_2920 = 
(int)(BgL_objzd2classzd2numz00_2916); 
{ /* Llib/ssl.scm 1063 */
long BgL_offsetz00_2921;
BgL_offsetz00_2921 = 
(
(long)(BgL_offsetz00_2920)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1063 */
long BgL_modz00_2922;
BgL_modz00_2922 = 
(BgL_offsetz00_2921 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1063 */
long BgL_restz00_2924;
BgL_restz00_2924 = 
(BgL_offsetz00_2921 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1063 */

{ /* Llib/ssl.scm 1063 */
obj_t BgL_bucketz00_2926;
BgL_bucketz00_2926 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2917),BgL_modz00_2922); 
BgL_res2458z00_2945 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2926),BgL_restz00_2924); } } } } } } } } 
BgL_method1305z00_1737 = BgL_res2458z00_2945; } 
return 
PROCEDURE_ENTRY(BgL_method1305z00_1737)(BgL_method1305z00_1737, 
((obj_t)BgL_sslz00_105), BEOA);} } 

}



/* &ssl-connection-get-peer-certificate */
obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t BgL_envz00_4659, obj_t BgL_sslz00_4660)
{
{ /* Llib/ssl.scm 1063 */
{ /* Llib/ssl.scm 1063 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9451;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4660, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1063 */
BgL_auxz00_9451 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4660)
; }  else 
{ 
obj_t BgL_auxz00_9455;
BgL_auxz00_9455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)43326)), BGl_string3336z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4660); 
FAILURE(BgL_auxz00_9455,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_auxz00_9451);} } 

}



/* ssl-connection-reused? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_106)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1073 */
obj_t BgL_method1307z00_1738;
{ /* Llib/ssl.scm 1073 */
obj_t BgL_res2463z00_2976;
{ /* Llib/ssl.scm 1073 */
long BgL_objzd2classzd2numz00_2947;
BgL_objzd2classzd2numz00_2947 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_106)); 
{ /* Llib/ssl.scm 1073 */
obj_t BgL_arg1757z00_2948;
BgL_arg1757z00_2948 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1073 */
int BgL_offsetz00_2951;
BgL_offsetz00_2951 = 
(int)(BgL_objzd2classzd2numz00_2947); 
{ /* Llib/ssl.scm 1073 */
long BgL_offsetz00_2952;
BgL_offsetz00_2952 = 
(
(long)(BgL_offsetz00_2951)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1073 */
long BgL_modz00_2953;
BgL_modz00_2953 = 
(BgL_offsetz00_2952 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1073 */
long BgL_restz00_2955;
BgL_restz00_2955 = 
(BgL_offsetz00_2952 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1073 */

{ /* Llib/ssl.scm 1073 */
obj_t BgL_bucketz00_2957;
BgL_bucketz00_2957 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2948),BgL_modz00_2953); 
BgL_res2463z00_2976 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2957),BgL_restz00_2955); } } } } } } } } 
BgL_method1307z00_1738 = BgL_res2463z00_2976; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1307z00_1738)(BgL_method1307z00_1738, 
((obj_t)BgL_sslz00_106), BEOA));} } 

}



/* &ssl-connection-reused? */
obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t BgL_envz00_4661, obj_t BgL_sslz00_4662)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1073 */
bool_t BgL_tmpz00_9491;
{ /* Llib/ssl.scm 1073 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9492;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4662, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1073 */
BgL_auxz00_9492 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4662)
; }  else 
{ 
obj_t BgL_auxz00_9496;
BgL_auxz00_9496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)43735)), BGl_string3337z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4662); 
FAILURE(BgL_auxz00_9496,BFALSE,BFALSE);} 
BgL_tmpz00_9491 = 
BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_auxz00_9492); } 
return 
BBOOL(BgL_tmpz00_9491);} } 

}



/* ssl-connection-get-negotiated-protocol */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_107)
{
{ /* Llib/ssl.scm 1084 */
{ /* Llib/ssl.scm 1084 */
obj_t BgL_method1309z00_1739;
{ /* Llib/ssl.scm 1084 */
obj_t BgL_res2468z00_3007;
{ /* Llib/ssl.scm 1084 */
long BgL_objzd2classzd2numz00_2978;
BgL_objzd2classzd2numz00_2978 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_107)); 
{ /* Llib/ssl.scm 1084 */
obj_t BgL_arg1757z00_2979;
BgL_arg1757z00_2979 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1084 */
int BgL_offsetz00_2982;
BgL_offsetz00_2982 = 
(int)(BgL_objzd2classzd2numz00_2978); 
{ /* Llib/ssl.scm 1084 */
long BgL_offsetz00_2983;
BgL_offsetz00_2983 = 
(
(long)(BgL_offsetz00_2982)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1084 */
long BgL_modz00_2984;
BgL_modz00_2984 = 
(BgL_offsetz00_2983 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1084 */
long BgL_restz00_2986;
BgL_restz00_2986 = 
(BgL_offsetz00_2983 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1084 */

{ /* Llib/ssl.scm 1084 */
obj_t BgL_bucketz00_2988;
BgL_bucketz00_2988 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_2979),BgL_modz00_2984); 
BgL_res2468z00_3007 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2988),BgL_restz00_2986); } } } } } } } } 
BgL_method1309z00_1739 = BgL_res2468z00_3007; } 
return 
PROCEDURE_ENTRY(BgL_method1309z00_1739)(BgL_method1309z00_1739, 
((obj_t)BgL_sslz00_107), BEOA);} } 

}



/* &ssl-connection-get-negotiated-protocol */
obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t BgL_envz00_4663, obj_t BgL_sslz00_4664)
{
{ /* Llib/ssl.scm 1084 */
{ /* Llib/ssl.scm 1084 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9532;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4664, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1084 */
BgL_auxz00_9532 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4664)
; }  else 
{ 
obj_t BgL_auxz00_9536;
BgL_auxz00_9536 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)44161)), BGl_string3338z00zz__ssl_sslz00, BGl_string3320z00zz__ssl_sslz00, BgL_sslz00_4664); 
FAILURE(BgL_auxz00_9536,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_auxz00_9532);} } 

}



/* &dh-init */
obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t BgL_envz00_4335, obj_t BgL_dhz00_4336)
{
{ /* Llib/ssl.scm 1094 */
{ /* Llib/ssl.scm 1094 */
BgL_dhz00_bglt BgL_dhz00_5657;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4336, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1094 */
BgL_dhz00_5657 = 
((BgL_dhz00_bglt)BgL_dhz00_4336); }  else 
{ 
obj_t BgL_auxz00_9544;
BgL_auxz00_9544 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)44576)), BGl_string3339z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4336); 
FAILURE(BgL_auxz00_9544,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1094 */
obj_t BgL_method1311z00_5658;
{ /* Llib/ssl.scm 1094 */
obj_t BgL_res2473z00_5659;
{ /* Llib/ssl.scm 1094 */
long BgL_objzd2classzd2numz00_5660;
BgL_objzd2classzd2numz00_5660 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_5657)); 
{ /* Llib/ssl.scm 1094 */
obj_t BgL_arg1757z00_5661;
BgL_arg1757z00_5661 = 
PROCEDURE_REF(BGl_dhzd2initzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1094 */
int BgL_offsetz00_5662;
BgL_offsetz00_5662 = 
(int)(BgL_objzd2classzd2numz00_5660); 
{ /* Llib/ssl.scm 1094 */
long BgL_offsetz00_5663;
BgL_offsetz00_5663 = 
(
(long)(BgL_offsetz00_5662)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1094 */
long BgL_modz00_5664;
BgL_modz00_5664 = 
(BgL_offsetz00_5663 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1094 */
long BgL_restz00_5665;
BgL_restz00_5665 = 
(BgL_offsetz00_5663 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1094 */

{ /* Llib/ssl.scm 1094 */
obj_t BgL_bucketz00_5666;
BgL_bucketz00_5666 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_5661),BgL_modz00_5664); 
BgL_res2473z00_5659 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_5666),BgL_restz00_5665); } } } } } } } } 
BgL_method1311z00_5658 = BgL_res2473z00_5659; } 
return 
PROCEDURE_ENTRY(BgL_method1311z00_5658)(BgL_method1311z00_5658, 
((obj_t)BgL_dhz00_5657), BEOA);} } } 

}



/* dh-size */
BGL_EXPORTED_DEF int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_109)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1105 */
obj_t BgL_method1313z00_1741;
{ /* Llib/ssl.scm 1105 */
obj_t BgL_res2478z00_3069;
{ /* Llib/ssl.scm 1105 */
long BgL_objzd2classzd2numz00_3040;
BgL_objzd2classzd2numz00_3040 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_109)); 
{ /* Llib/ssl.scm 1105 */
obj_t BgL_arg1757z00_3041;
BgL_arg1757z00_3041 = 
PROCEDURE_REF(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1105 */
int BgL_offsetz00_3044;
BgL_offsetz00_3044 = 
(int)(BgL_objzd2classzd2numz00_3040); 
{ /* Llib/ssl.scm 1105 */
long BgL_offsetz00_3045;
BgL_offsetz00_3045 = 
(
(long)(BgL_offsetz00_3044)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1105 */
long BgL_modz00_3046;
BgL_modz00_3046 = 
(BgL_offsetz00_3045 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1105 */
long BgL_restz00_3048;
BgL_restz00_3048 = 
(BgL_offsetz00_3045 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1105 */

{ /* Llib/ssl.scm 1105 */
obj_t BgL_bucketz00_3050;
BgL_bucketz00_3050 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3041),BgL_modz00_3046); 
BgL_res2478z00_3069 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3050),BgL_restz00_3048); } } } } } } } } 
BgL_method1313z00_1741 = BgL_res2478z00_3069; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1313z00_1741)(BgL_method1313z00_1741, 
((obj_t)BgL_dhz00_109), BEOA));} } 

}



/* &dh-size */
obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t BgL_envz00_4665, obj_t BgL_dhz00_4666)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1105 */
int BgL_tmpz00_9609;
{ /* Llib/ssl.scm 1105 */
BgL_dhz00_bglt BgL_auxz00_9610;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4666, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1105 */
BgL_auxz00_9610 = 
((BgL_dhz00_bglt)BgL_dhz00_4666)
; }  else 
{ 
obj_t BgL_auxz00_9614;
BgL_auxz00_9614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)44956)), BGl_string3341z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4666); 
FAILURE(BgL_auxz00_9614,BFALSE,BFALSE);} 
BgL_tmpz00_9609 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_auxz00_9610); } 
return 
BINT(BgL_tmpz00_9609);} } 

}



/* dh-generate-parameters-ex */
BGL_EXPORTED_DEF obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_110, int BgL_lenz00_111, obj_t BgL_generatorz00_112)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1113 */
obj_t BgL_method1315z00_1742;
{ /* Llib/ssl.scm 1113 */
obj_t BgL_res2483z00_3100;
{ /* Llib/ssl.scm 1113 */
long BgL_objzd2classzd2numz00_3071;
BgL_objzd2classzd2numz00_3071 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_110)); 
{ /* Llib/ssl.scm 1113 */
obj_t BgL_arg1757z00_3072;
BgL_arg1757z00_3072 = 
PROCEDURE_REF(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1113 */
int BgL_offsetz00_3075;
BgL_offsetz00_3075 = 
(int)(BgL_objzd2classzd2numz00_3071); 
{ /* Llib/ssl.scm 1113 */
long BgL_offsetz00_3076;
BgL_offsetz00_3076 = 
(
(long)(BgL_offsetz00_3075)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1113 */
long BgL_modz00_3077;
BgL_modz00_3077 = 
(BgL_offsetz00_3076 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1113 */
long BgL_restz00_3079;
BgL_restz00_3079 = 
(BgL_offsetz00_3076 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1113 */

{ /* Llib/ssl.scm 1113 */
obj_t BgL_bucketz00_3081;
BgL_bucketz00_3081 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3072),BgL_modz00_3077); 
BgL_res2483z00_3100 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3081),BgL_restz00_3079); } } } } } } } } 
BgL_method1315z00_1742 = BgL_res2483z00_3100; } 
return 
PROCEDURE_ENTRY(BgL_method1315z00_1742)(BgL_method1315z00_1742, 
((obj_t)BgL_dhz00_110), 
BINT(BgL_lenz00_111), BgL_generatorz00_112, BEOA);} } 

}



/* &dh-generate-parameters-ex */
obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t BgL_envz00_4667, obj_t BgL_dhz00_4668, obj_t BgL_lenz00_4669, obj_t BgL_generatorz00_4670)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1113 */
obj_t BgL_auxz00_9670;int BgL_auxz00_9661;BgL_dhz00_bglt BgL_auxz00_9653;
if(
SYMBOLP(BgL_generatorz00_4670))
{ /* Llib/ssl.scm 1113 */
BgL_auxz00_9670 = BgL_generatorz00_4670
; }  else 
{ 
obj_t BgL_auxz00_9673;
BgL_auxz00_9673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3342z00zz__ssl_sslz00, BGl_string3343z00zz__ssl_sslz00, BgL_generatorz00_4670); 
FAILURE(BgL_auxz00_9673,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1113 */
obj_t BgL_tmpz00_9662;
if(
INTEGERP(BgL_lenz00_4669))
{ /* Llib/ssl.scm 1113 */
BgL_tmpz00_9662 = BgL_lenz00_4669
; }  else 
{ 
obj_t BgL_auxz00_9665;
BgL_auxz00_9665 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3342z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4669); 
FAILURE(BgL_auxz00_9665,BFALSE,BFALSE);} 
BgL_auxz00_9661 = 
CINT(BgL_tmpz00_9662); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4668, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1113 */
BgL_auxz00_9653 = 
((BgL_dhz00_bglt)BgL_dhz00_4668)
; }  else 
{ 
obj_t BgL_auxz00_9657;
BgL_auxz00_9657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3342z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4668); 
FAILURE(BgL_auxz00_9657,BFALSE,BFALSE);} 
return 
BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_auxz00_9653, BgL_auxz00_9661, BgL_auxz00_9670);} } 

}



/* dh-check */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_113)
{
{ /* Llib/ssl.scm 1129 */
{ /* Llib/ssl.scm 1129 */
obj_t BgL_method1317z00_1743;
{ /* Llib/ssl.scm 1129 */
obj_t BgL_res2488z00_3131;
{ /* Llib/ssl.scm 1129 */
long BgL_objzd2classzd2numz00_3102;
BgL_objzd2classzd2numz00_3102 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_113)); 
{ /* Llib/ssl.scm 1129 */
obj_t BgL_arg1757z00_3103;
BgL_arg1757z00_3103 = 
PROCEDURE_REF(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1129 */
int BgL_offsetz00_3106;
BgL_offsetz00_3106 = 
(int)(BgL_objzd2classzd2numz00_3102); 
{ /* Llib/ssl.scm 1129 */
long BgL_offsetz00_3107;
BgL_offsetz00_3107 = 
(
(long)(BgL_offsetz00_3106)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1129 */
long BgL_modz00_3108;
BgL_modz00_3108 = 
(BgL_offsetz00_3107 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1129 */
long BgL_restz00_3110;
BgL_restz00_3110 = 
(BgL_offsetz00_3107 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1129 */

{ /* Llib/ssl.scm 1129 */
obj_t BgL_bucketz00_3112;
BgL_bucketz00_3112 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3103),BgL_modz00_3108); 
BgL_res2488z00_3131 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3112),BgL_restz00_3110); } } } } } } } } 
BgL_method1317z00_1743 = BgL_res2488z00_3131; } 
return 
PROCEDURE_ENTRY(BgL_method1317z00_1743)(BgL_method1317z00_1743, 
((obj_t)BgL_dhz00_113), BEOA);} } 

}



/* &dh-check */
obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t BgL_envz00_4671, obj_t BgL_dhz00_4672)
{
{ /* Llib/ssl.scm 1129 */
{ /* Llib/ssl.scm 1129 */
BgL_dhz00_bglt BgL_auxz00_9708;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4672, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1129 */
BgL_auxz00_9708 = 
((BgL_dhz00_bglt)BgL_dhz00_4672)
; }  else 
{ 
obj_t BgL_auxz00_9712;
BgL_auxz00_9712 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)45908)), BGl_string3344z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4672); 
FAILURE(BgL_auxz00_9712,BFALSE,BFALSE);} 
return 
BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_auxz00_9708);} } 

}



/* dh-check-pub-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_114, obj_t BgL_keyz00_115)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1140 */
obj_t BgL_method1319z00_1744;
{ /* Llib/ssl.scm 1140 */
obj_t BgL_res2493z00_3162;
{ /* Llib/ssl.scm 1140 */
long BgL_objzd2classzd2numz00_3133;
BgL_objzd2classzd2numz00_3133 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_114)); 
{ /* Llib/ssl.scm 1140 */
obj_t BgL_arg1757z00_3134;
BgL_arg1757z00_3134 = 
PROCEDURE_REF(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1140 */
int BgL_offsetz00_3137;
BgL_offsetz00_3137 = 
(int)(BgL_objzd2classzd2numz00_3133); 
{ /* Llib/ssl.scm 1140 */
long BgL_offsetz00_3138;
BgL_offsetz00_3138 = 
(
(long)(BgL_offsetz00_3137)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1140 */
long BgL_modz00_3139;
BgL_modz00_3139 = 
(BgL_offsetz00_3138 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1140 */
long BgL_restz00_3141;
BgL_restz00_3141 = 
(BgL_offsetz00_3138 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1140 */

{ /* Llib/ssl.scm 1140 */
obj_t BgL_bucketz00_3143;
BgL_bucketz00_3143 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3134),BgL_modz00_3139); 
BgL_res2493z00_3162 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3143),BgL_restz00_3141); } } } } } } } } 
BgL_method1319z00_1744 = BgL_res2493z00_3162; } 
return 
PROCEDURE_ENTRY(BgL_method1319z00_1744)(BgL_method1319z00_1744, 
((obj_t)BgL_dhz00_114), BgL_keyz00_115, BEOA);} } 

}



/* &dh-check-pub-key */
obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t BgL_envz00_4673, obj_t BgL_dhz00_4674, obj_t BgL_keyz00_4675)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1140 */
obj_t BgL_auxz00_9756;BgL_dhz00_bglt BgL_auxz00_9748;
if(
FOREIGNP(BgL_keyz00_4675))
{ /* Llib/ssl.scm 1140 */
BgL_auxz00_9756 = BgL_keyz00_4675
; }  else 
{ 
obj_t BgL_auxz00_9759;
BgL_auxz00_9759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)46288)), BGl_string3345z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_keyz00_4675); 
FAILURE(BgL_auxz00_9759,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4674, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1140 */
BgL_auxz00_9748 = 
((BgL_dhz00_bglt)BgL_dhz00_4674)
; }  else 
{ 
obj_t BgL_auxz00_9752;
BgL_auxz00_9752 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)46288)), BGl_string3345z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4674); 
FAILURE(BgL_auxz00_9752,BFALSE,BFALSE);} 
return 
BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_auxz00_9748, BgL_auxz00_9756);} } 

}



/* dh-compute-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_116, obj_t BgL_keyz00_117)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1151 */
obj_t BgL_method1321z00_1745;
{ /* Llib/ssl.scm 1151 */
obj_t BgL_res2498z00_3193;
{ /* Llib/ssl.scm 1151 */
long BgL_objzd2classzd2numz00_3164;
BgL_objzd2classzd2numz00_3164 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_116)); 
{ /* Llib/ssl.scm 1151 */
obj_t BgL_arg1757z00_3165;
BgL_arg1757z00_3165 = 
PROCEDURE_REF(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1151 */
int BgL_offsetz00_3168;
BgL_offsetz00_3168 = 
(int)(BgL_objzd2classzd2numz00_3164); 
{ /* Llib/ssl.scm 1151 */
long BgL_offsetz00_3169;
BgL_offsetz00_3169 = 
(
(long)(BgL_offsetz00_3168)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1151 */
long BgL_modz00_3170;
BgL_modz00_3170 = 
(BgL_offsetz00_3169 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1151 */
long BgL_restz00_3172;
BgL_restz00_3172 = 
(BgL_offsetz00_3169 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1151 */

{ /* Llib/ssl.scm 1151 */
obj_t BgL_bucketz00_3174;
BgL_bucketz00_3174 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3165),BgL_modz00_3170); 
BgL_res2498z00_3193 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3174),BgL_restz00_3172); } } } } } } } } 
BgL_method1321z00_1745 = BgL_res2498z00_3193; } 
return 
PROCEDURE_ENTRY(BgL_method1321z00_1745)(BgL_method1321z00_1745, 
((obj_t)BgL_dhz00_116), BgL_keyz00_117, BEOA);} } 

}



/* &dh-compute-key */
obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4676, obj_t BgL_dhz00_4677, obj_t BgL_keyz00_4678)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1151 */
obj_t BgL_auxz00_9803;BgL_dhz00_bglt BgL_auxz00_9795;
if(
FOREIGNP(BgL_keyz00_4678))
{ /* Llib/ssl.scm 1151 */
BgL_auxz00_9803 = BgL_keyz00_4678
; }  else 
{ 
obj_t BgL_auxz00_9806;
BgL_auxz00_9806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)46716)), BGl_string3346z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_keyz00_4678); 
FAILURE(BgL_auxz00_9806,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4677, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1151 */
BgL_auxz00_9795 = 
((BgL_dhz00_bglt)BgL_dhz00_4677)
; }  else 
{ 
obj_t BgL_auxz00_9799;
BgL_auxz00_9799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)46716)), BGl_string3346z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4677); 
FAILURE(BgL_auxz00_9799,BFALSE,BFALSE);} 
return 
BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_auxz00_9795, BgL_auxz00_9803);} } 

}



/* dh-generate-key */
BGL_EXPORTED_DEF bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_118)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1177 */
obj_t BgL_method1323z00_1746;
{ /* Llib/ssl.scm 1177 */
obj_t BgL_res2503z00_3224;
{ /* Llib/ssl.scm 1177 */
long BgL_objzd2classzd2numz00_3195;
BgL_objzd2classzd2numz00_3195 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_118)); 
{ /* Llib/ssl.scm 1177 */
obj_t BgL_arg1757z00_3196;
BgL_arg1757z00_3196 = 
PROCEDURE_REF(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1177 */
int BgL_offsetz00_3199;
BgL_offsetz00_3199 = 
(int)(BgL_objzd2classzd2numz00_3195); 
{ /* Llib/ssl.scm 1177 */
long BgL_offsetz00_3200;
BgL_offsetz00_3200 = 
(
(long)(BgL_offsetz00_3199)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1177 */
long BgL_modz00_3201;
BgL_modz00_3201 = 
(BgL_offsetz00_3200 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1177 */
long BgL_restz00_3203;
BgL_restz00_3203 = 
(BgL_offsetz00_3200 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1177 */

{ /* Llib/ssl.scm 1177 */
obj_t BgL_bucketz00_3205;
BgL_bucketz00_3205 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3196),BgL_modz00_3201); 
BgL_res2503z00_3224 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3205),BgL_restz00_3203); } } } } } } } } 
BgL_method1323z00_1746 = BgL_res2503z00_3224; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1323z00_1746)(BgL_method1323z00_1746, 
((obj_t)BgL_dhz00_118), BEOA));} } 

}



/* &dh-generate-key */
obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4679, obj_t BgL_dhz00_4680)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1177 */
bool_t BgL_tmpz00_9842;
{ /* Llib/ssl.scm 1177 */
BgL_dhz00_bglt BgL_auxz00_9843;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4680, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1177 */
BgL_auxz00_9843 = 
((BgL_dhz00_bglt)BgL_dhz00_4680)
; }  else 
{ 
obj_t BgL_auxz00_9847;
BgL_auxz00_9847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)47513)), BGl_string3347z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, BgL_dhz00_4680); 
FAILURE(BgL_auxz00_9847,BFALSE,BFALSE);} 
BgL_tmpz00_9842 = 
BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_auxz00_9843); } 
return 
BBOOL(BgL_tmpz00_9842);} } 

}



/* ssl-hash-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_119)
{
{ /* Llib/ssl.scm 1188 */
{ /* Llib/ssl.scm 1188 */
obj_t BgL_method1325z00_1747;
{ /* Llib/ssl.scm 1188 */
obj_t BgL_res2508z00_3255;
{ /* Llib/ssl.scm 1188 */
long BgL_objzd2classzd2numz00_3226;
BgL_objzd2classzd2numz00_3226 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_119)); 
{ /* Llib/ssl.scm 1188 */
obj_t BgL_arg1757z00_3227;
BgL_arg1757z00_3227 = 
PROCEDURE_REF(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1188 */
int BgL_offsetz00_3230;
BgL_offsetz00_3230 = 
(int)(BgL_objzd2classzd2numz00_3226); 
{ /* Llib/ssl.scm 1188 */
long BgL_offsetz00_3231;
BgL_offsetz00_3231 = 
(
(long)(BgL_offsetz00_3230)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1188 */
long BgL_modz00_3232;
BgL_modz00_3232 = 
(BgL_offsetz00_3231 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1188 */
long BgL_restz00_3234;
BgL_restz00_3234 = 
(BgL_offsetz00_3231 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1188 */

{ /* Llib/ssl.scm 1188 */
obj_t BgL_bucketz00_3236;
BgL_bucketz00_3236 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3227),BgL_modz00_3232); 
BgL_res2508z00_3255 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3236),BgL_restz00_3234); } } } } } } } } 
BgL_method1325z00_1747 = BgL_res2508z00_3255; } 
return 
PROCEDURE_ENTRY(BgL_method1325z00_1747)(BgL_method1325z00_1747, 
((obj_t)BgL_sslzd2hashzd2_119), BEOA);} } 

}



/* &ssl-hash-init */
obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4337, obj_t BgL_sslzd2hashzd2_4338)
{
{ /* Llib/ssl.scm 1188 */
{ /* Llib/ssl.scm 1188 */
BgL_sslzd2hashzd2_bglt BgL_auxz00_9883;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hashzd2_4338, BGl_sslzd2hashzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1188 */
BgL_auxz00_9883 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4338)
; }  else 
{ 
obj_t BgL_auxz00_9887;
BgL_auxz00_9887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)47920)), BGl_string3348z00zz__ssl_sslz00, BGl_string3306z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4338); 
FAILURE(BgL_auxz00_9887,BFALSE,BFALSE);} 
return 
BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_auxz00_9883);} } 

}



/* ssl-hash-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_120, obj_t BgL_dataz00_121, long BgL_offsetz00_122, long BgL_lenz00_123)
{
{ /* Llib/ssl.scm 1200 */
{ /* Llib/ssl.scm 1200 */
obj_t BgL_method1327z00_1748;
{ /* Llib/ssl.scm 1200 */
obj_t BgL_res2513z00_3286;
{ /* Llib/ssl.scm 1200 */
long BgL_objzd2classzd2numz00_3257;
BgL_objzd2classzd2numz00_3257 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_120)); 
{ /* Llib/ssl.scm 1200 */
obj_t BgL_arg1757z00_3258;
BgL_arg1757z00_3258 = 
PROCEDURE_REF(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1200 */
int BgL_offsetz00_3261;
BgL_offsetz00_3261 = 
(int)(BgL_objzd2classzd2numz00_3257); 
{ /* Llib/ssl.scm 1200 */
long BgL_offsetz00_3262;
BgL_offsetz00_3262 = 
(
(long)(BgL_offsetz00_3261)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1200 */
long BgL_modz00_3263;
BgL_modz00_3263 = 
(BgL_offsetz00_3262 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1200 */
long BgL_restz00_3265;
BgL_restz00_3265 = 
(BgL_offsetz00_3262 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1200 */

{ /* Llib/ssl.scm 1200 */
obj_t BgL_bucketz00_3267;
BgL_bucketz00_3267 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3258),BgL_modz00_3263); 
BgL_res2513z00_3286 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3267),BgL_restz00_3265); } } } } } } } } 
BgL_method1327z00_1748 = BgL_res2513z00_3286; } 
return 
PROCEDURE_ENTRY(BgL_method1327z00_1748)(BgL_method1327z00_1748, 
((obj_t)BgL_sslzd2hashzd2_120), BgL_dataz00_121, 
BINT(BgL_offsetz00_122), 
BINT(BgL_lenz00_123), BEOA);} } 

}



/* &ssl-hash-update! */
obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4681, obj_t BgL_sslzd2hashzd2_4682, obj_t BgL_dataz00_4683, obj_t BgL_offsetz00_4684, obj_t BgL_lenz00_4685)
{
{ /* Llib/ssl.scm 1200 */
{ /* Llib/ssl.scm 1200 */
long BgL_auxz00_9951;long BgL_auxz00_9942;obj_t BgL_auxz00_9935;BgL_sslzd2hashzd2_bglt BgL_auxz00_9927;
{ /* Llib/ssl.scm 1200 */
obj_t BgL_tmpz00_9952;
if(
INTEGERP(BgL_lenz00_4685))
{ /* Llib/ssl.scm 1200 */
BgL_tmpz00_9952 = BgL_lenz00_4685
; }  else 
{ 
obj_t BgL_auxz00_9955;
BgL_auxz00_9955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3349z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4685); 
FAILURE(BgL_auxz00_9955,BFALSE,BFALSE);} 
BgL_auxz00_9951 = 
(long)CINT(BgL_tmpz00_9952); } 
{ /* Llib/ssl.scm 1200 */
obj_t BgL_tmpz00_9943;
if(
INTEGERP(BgL_offsetz00_4684))
{ /* Llib/ssl.scm 1200 */
BgL_tmpz00_9943 = BgL_offsetz00_4684
; }  else 
{ 
obj_t BgL_auxz00_9946;
BgL_auxz00_9946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3349z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4684); 
FAILURE(BgL_auxz00_9946,BFALSE,BFALSE);} 
BgL_auxz00_9942 = 
(long)CINT(BgL_tmpz00_9943); } 
if(
STRINGP(BgL_dataz00_4683))
{ /* Llib/ssl.scm 1200 */
BgL_auxz00_9935 = BgL_dataz00_4683
; }  else 
{ 
obj_t BgL_auxz00_9938;
BgL_auxz00_9938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3349z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_dataz00_4683); 
FAILURE(BgL_auxz00_9938,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hashzd2_4682, BGl_sslzd2hashzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1200 */
BgL_auxz00_9927 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4682)
; }  else 
{ 
obj_t BgL_auxz00_9931;
BgL_auxz00_9931 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3349z00zz__ssl_sslz00, BGl_string3306z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4682); 
FAILURE(BgL_auxz00_9931,BFALSE,BFALSE);} 
return 
BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_9927, BgL_auxz00_9935, BgL_auxz00_9942, BgL_auxz00_9951);} } 

}



/* ssl-hash-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_124)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1212 */
obj_t BgL_method1329z00_1749;
{ /* Llib/ssl.scm 1212 */
obj_t BgL_res2518z00_3317;
{ /* Llib/ssl.scm 1212 */
long BgL_objzd2classzd2numz00_3288;
BgL_objzd2classzd2numz00_3288 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_124)); 
{ /* Llib/ssl.scm 1212 */
obj_t BgL_arg1757z00_3289;
BgL_arg1757z00_3289 = 
PROCEDURE_REF(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1212 */
int BgL_offsetz00_3292;
BgL_offsetz00_3292 = 
(int)(BgL_objzd2classzd2numz00_3288); 
{ /* Llib/ssl.scm 1212 */
long BgL_offsetz00_3293;
BgL_offsetz00_3293 = 
(
(long)(BgL_offsetz00_3292)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1212 */
long BgL_modz00_3294;
BgL_modz00_3294 = 
(BgL_offsetz00_3293 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1212 */
long BgL_restz00_3296;
BgL_restz00_3296 = 
(BgL_offsetz00_3293 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1212 */

{ /* Llib/ssl.scm 1212 */
obj_t BgL_bucketz00_3298;
BgL_bucketz00_3298 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3289),BgL_modz00_3294); 
BgL_res2518z00_3317 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3298),BgL_restz00_3296); } } } } } } } } 
BgL_method1329z00_1749 = BgL_res2518z00_3317; } 
return 
PROCEDURE_ENTRY(BgL_method1329z00_1749)(BgL_method1329z00_1749, 
((obj_t)BgL_sslzd2hashzd2_124), BEOA);} } 

}



/* &ssl-hash-digest */
obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4686, obj_t BgL_sslzd2hashzd2_4687)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1212 */
BgL_sslzd2hashzd2_bglt BgL_auxz00_9991;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hashzd2_4687, BGl_sslzd2hashzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1212 */
BgL_auxz00_9991 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4687)
; }  else 
{ 
obj_t BgL_auxz00_9995;
BgL_auxz00_9995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)48871)), BGl_string3350z00zz__ssl_sslz00, BGl_string3306z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4687); 
FAILURE(BgL_auxz00_9995,BFALSE,BFALSE);} 
return 
BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_auxz00_9991);} } 

}



/* ssl-hmac-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_125, obj_t BgL_hmacz00_126, obj_t BgL_keyz00_127)
{
{ /* Llib/ssl.scm 1223 */
{ /* Llib/ssl.scm 1223 */
obj_t BgL_method1331z00_1750;
{ /* Llib/ssl.scm 1223 */
obj_t BgL_res2523z00_3348;
{ /* Llib/ssl.scm 1223 */
long BgL_objzd2classzd2numz00_3319;
BgL_objzd2classzd2numz00_3319 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_125)); 
{ /* Llib/ssl.scm 1223 */
obj_t BgL_arg1757z00_3320;
BgL_arg1757z00_3320 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1223 */
int BgL_offsetz00_3323;
BgL_offsetz00_3323 = 
(int)(BgL_objzd2classzd2numz00_3319); 
{ /* Llib/ssl.scm 1223 */
long BgL_offsetz00_3324;
BgL_offsetz00_3324 = 
(
(long)(BgL_offsetz00_3323)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1223 */
long BgL_modz00_3325;
BgL_modz00_3325 = 
(BgL_offsetz00_3324 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1223 */
long BgL_restz00_3327;
BgL_restz00_3327 = 
(BgL_offsetz00_3324 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1223 */

{ /* Llib/ssl.scm 1223 */
obj_t BgL_bucketz00_3329;
BgL_bucketz00_3329 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3320),BgL_modz00_3325); 
BgL_res2523z00_3348 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3329),BgL_restz00_3327); } } } } } } } } 
BgL_method1331z00_1750 = BgL_res2523z00_3348; } 
return 
PROCEDURE_ENTRY(BgL_method1331z00_1750)(BgL_method1331z00_1750, 
((obj_t)BgL_sslzd2hmaczd2_125), BgL_hmacz00_126, BgL_keyz00_127, BEOA);} } 

}



/* &ssl-hmac-init */
obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4688, obj_t BgL_sslzd2hmaczd2_4689, obj_t BgL_hmacz00_4690, obj_t BgL_keyz00_4691)
{
{ /* Llib/ssl.scm 1223 */
{ /* Llib/ssl.scm 1223 */
obj_t BgL_auxz00_10047;obj_t BgL_auxz00_10040;BgL_sslzd2hmaczd2_bglt BgL_auxz00_10032;
if(
STRINGP(BgL_keyz00_4691))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_10047 = BgL_keyz00_4691
; }  else 
{ 
obj_t BgL_auxz00_10050;
BgL_auxz00_10050 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3351z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_keyz00_4691); 
FAILURE(BgL_auxz00_10050,BFALSE,BFALSE);} 
if(
STRINGP(BgL_hmacz00_4690))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_10040 = BgL_hmacz00_4690
; }  else 
{ 
obj_t BgL_auxz00_10043;
BgL_auxz00_10043 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3351z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_hmacz00_4690); 
FAILURE(BgL_auxz00_10043,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hmaczd2_4689, BGl_sslzd2hmaczd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_10032 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4689)
; }  else 
{ 
obj_t BgL_auxz00_10036;
BgL_auxz00_10036 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3351z00zz__ssl_sslz00, BGl_string3302z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4689); 
FAILURE(BgL_auxz00_10036,BFALSE,BFALSE);} 
return 
BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_auxz00_10032, BgL_auxz00_10040, BgL_auxz00_10047);} } 

}



/* ssl-hmac-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_128, obj_t BgL_dataz00_129, long BgL_offsetz00_130, long BgL_lenz00_131)
{
{ /* Llib/ssl.scm 1235 */
{ /* Llib/ssl.scm 1235 */
obj_t BgL_method1333z00_1751;
{ /* Llib/ssl.scm 1235 */
obj_t BgL_res2528z00_3379;
{ /* Llib/ssl.scm 1235 */
long BgL_objzd2classzd2numz00_3350;
BgL_objzd2classzd2numz00_3350 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_128)); 
{ /* Llib/ssl.scm 1235 */
obj_t BgL_arg1757z00_3351;
BgL_arg1757z00_3351 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1235 */
int BgL_offsetz00_3354;
BgL_offsetz00_3354 = 
(int)(BgL_objzd2classzd2numz00_3350); 
{ /* Llib/ssl.scm 1235 */
long BgL_offsetz00_3355;
BgL_offsetz00_3355 = 
(
(long)(BgL_offsetz00_3354)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1235 */
long BgL_modz00_3356;
BgL_modz00_3356 = 
(BgL_offsetz00_3355 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1235 */
long BgL_restz00_3358;
BgL_restz00_3358 = 
(BgL_offsetz00_3355 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1235 */

{ /* Llib/ssl.scm 1235 */
obj_t BgL_bucketz00_3360;
BgL_bucketz00_3360 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3351),BgL_modz00_3356); 
BgL_res2528z00_3379 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3360),BgL_restz00_3358); } } } } } } } } 
BgL_method1333z00_1751 = BgL_res2528z00_3379; } 
return 
PROCEDURE_ENTRY(BgL_method1333z00_1751)(BgL_method1333z00_1751, 
((obj_t)BgL_sslzd2hmaczd2_128), BgL_dataz00_129, 
BINT(BgL_offsetz00_130), 
BINT(BgL_lenz00_131), BEOA);} } 

}



/* &ssl-hmac-update! */
obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4692, obj_t BgL_sslzd2hmaczd2_4693, obj_t BgL_dataz00_4694, obj_t BgL_offsetz00_4695, obj_t BgL_lenz00_4696)
{
{ /* Llib/ssl.scm 1235 */
{ /* Llib/ssl.scm 1235 */
long BgL_auxz00_10114;long BgL_auxz00_10105;obj_t BgL_auxz00_10098;BgL_sslzd2hmaczd2_bglt BgL_auxz00_10090;
{ /* Llib/ssl.scm 1235 */
obj_t BgL_tmpz00_10115;
if(
INTEGERP(BgL_lenz00_4696))
{ /* Llib/ssl.scm 1235 */
BgL_tmpz00_10115 = BgL_lenz00_4696
; }  else 
{ 
obj_t BgL_auxz00_10118;
BgL_auxz00_10118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3352z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4696); 
FAILURE(BgL_auxz00_10118,BFALSE,BFALSE);} 
BgL_auxz00_10114 = 
(long)CINT(BgL_tmpz00_10115); } 
{ /* Llib/ssl.scm 1235 */
obj_t BgL_tmpz00_10106;
if(
INTEGERP(BgL_offsetz00_4695))
{ /* Llib/ssl.scm 1235 */
BgL_tmpz00_10106 = BgL_offsetz00_4695
; }  else 
{ 
obj_t BgL_auxz00_10109;
BgL_auxz00_10109 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3352z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4695); 
FAILURE(BgL_auxz00_10109,BFALSE,BFALSE);} 
BgL_auxz00_10105 = 
(long)CINT(BgL_tmpz00_10106); } 
if(
STRINGP(BgL_dataz00_4694))
{ /* Llib/ssl.scm 1235 */
BgL_auxz00_10098 = BgL_dataz00_4694
; }  else 
{ 
obj_t BgL_auxz00_10101;
BgL_auxz00_10101 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3352z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_dataz00_4694); 
FAILURE(BgL_auxz00_10101,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hmaczd2_4693, BGl_sslzd2hmaczd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1235 */
BgL_auxz00_10090 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4693)
; }  else 
{ 
obj_t BgL_auxz00_10094;
BgL_auxz00_10094 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3352z00zz__ssl_sslz00, BGl_string3302z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4693); 
FAILURE(BgL_auxz00_10094,BFALSE,BFALSE);} 
return 
BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_auxz00_10090, BgL_auxz00_10098, BgL_auxz00_10105, BgL_auxz00_10114);} } 

}



/* ssl-hmac-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_132)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1247 */
obj_t BgL_method1335z00_1752;
{ /* Llib/ssl.scm 1247 */
obj_t BgL_res2533z00_3410;
{ /* Llib/ssl.scm 1247 */
long BgL_objzd2classzd2numz00_3381;
BgL_objzd2classzd2numz00_3381 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_132)); 
{ /* Llib/ssl.scm 1247 */
obj_t BgL_arg1757z00_3382;
BgL_arg1757z00_3382 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1247 */
int BgL_offsetz00_3385;
BgL_offsetz00_3385 = 
(int)(BgL_objzd2classzd2numz00_3381); 
{ /* Llib/ssl.scm 1247 */
long BgL_offsetz00_3386;
BgL_offsetz00_3386 = 
(
(long)(BgL_offsetz00_3385)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1247 */
long BgL_modz00_3387;
BgL_modz00_3387 = 
(BgL_offsetz00_3386 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1247 */
long BgL_restz00_3389;
BgL_restz00_3389 = 
(BgL_offsetz00_3386 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1247 */

{ /* Llib/ssl.scm 1247 */
obj_t BgL_bucketz00_3391;
BgL_bucketz00_3391 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3382),BgL_modz00_3387); 
BgL_res2533z00_3410 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3391),BgL_restz00_3389); } } } } } } } } 
BgL_method1335z00_1752 = BgL_res2533z00_3410; } 
return 
PROCEDURE_ENTRY(BgL_method1335z00_1752)(BgL_method1335z00_1752, 
((obj_t)BgL_sslzd2hmaczd2_132), BEOA);} } 

}



/* &ssl-hmac-digest */
obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4697, obj_t BgL_sslzd2hmaczd2_4698)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1247 */
BgL_sslzd2hmaczd2_bglt BgL_auxz00_10154;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hmaczd2_4698, BGl_sslzd2hmaczd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1247 */
BgL_auxz00_10154 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4698)
; }  else 
{ 
obj_t BgL_auxz00_10158;
BgL_auxz00_10158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)50282)), BGl_string3353z00zz__ssl_sslz00, BGl_string3302z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4698); 
FAILURE(BgL_auxz00_10158,BFALSE,BFALSE);} 
return 
BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_auxz00_10154);} } 

}



/* ssl-sign-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_133, obj_t BgL_signz00_134)
{
{ /* Llib/ssl.scm 1258 */
{ /* Llib/ssl.scm 1258 */
obj_t BgL_method1337z00_1753;
{ /* Llib/ssl.scm 1258 */
obj_t BgL_res2538z00_3441;
{ /* Llib/ssl.scm 1258 */
long BgL_objzd2classzd2numz00_3412;
BgL_objzd2classzd2numz00_3412 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_133)); 
{ /* Llib/ssl.scm 1258 */
obj_t BgL_arg1757z00_3413;
BgL_arg1757z00_3413 = 
PROCEDURE_REF(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1258 */
int BgL_offsetz00_3416;
BgL_offsetz00_3416 = 
(int)(BgL_objzd2classzd2numz00_3412); 
{ /* Llib/ssl.scm 1258 */
long BgL_offsetz00_3417;
BgL_offsetz00_3417 = 
(
(long)(BgL_offsetz00_3416)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1258 */
long BgL_modz00_3418;
BgL_modz00_3418 = 
(BgL_offsetz00_3417 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1258 */
long BgL_restz00_3420;
BgL_restz00_3420 = 
(BgL_offsetz00_3417 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1258 */

{ /* Llib/ssl.scm 1258 */
obj_t BgL_bucketz00_3422;
BgL_bucketz00_3422 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3413),BgL_modz00_3418); 
BgL_res2538z00_3441 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3422),BgL_restz00_3420); } } } } } } } } 
BgL_method1337z00_1753 = BgL_res2538z00_3441; } 
return 
PROCEDURE_ENTRY(BgL_method1337z00_1753)(BgL_method1337z00_1753, 
((obj_t)BgL_sslzd2signzd2_133), BgL_signz00_134, BEOA);} } 

}



/* &ssl-sign-init */
obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4699, obj_t BgL_sslzd2signzd2_4700, obj_t BgL_signz00_4701)
{
{ /* Llib/ssl.scm 1258 */
{ /* Llib/ssl.scm 1258 */
obj_t BgL_auxz00_10202;BgL_sslzd2signzd2_bglt BgL_auxz00_10194;
if(
STRINGP(BgL_signz00_4701))
{ /* Llib/ssl.scm 1258 */
BgL_auxz00_10202 = BgL_signz00_4701
; }  else 
{ 
obj_t BgL_auxz00_10205;
BgL_auxz00_10205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)50728)), BGl_string3354z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_signz00_4701); 
FAILURE(BgL_auxz00_10205,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2signzd2_4700, BGl_sslzd2signzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1258 */
BgL_auxz00_10194 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4700)
; }  else 
{ 
obj_t BgL_auxz00_10198;
BgL_auxz00_10198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)50728)), BGl_string3354z00zz__ssl_sslz00, BGl_string3297z00zz__ssl_sslz00, BgL_sslzd2signzd2_4700); 
FAILURE(BgL_auxz00_10198,BFALSE,BFALSE);} 
return 
BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_auxz00_10194, BgL_auxz00_10202);} } 

}



/* ssl-sign-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_135, obj_t BgL_dataz00_136, long BgL_offsetz00_137, long BgL_lenz00_138)
{
{ /* Llib/ssl.scm 1270 */
{ /* Llib/ssl.scm 1270 */
obj_t BgL_method1339z00_1754;
{ /* Llib/ssl.scm 1270 */
obj_t BgL_res2543z00_3472;
{ /* Llib/ssl.scm 1270 */
long BgL_objzd2classzd2numz00_3443;
BgL_objzd2classzd2numz00_3443 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_135)); 
{ /* Llib/ssl.scm 1270 */
obj_t BgL_arg1757z00_3444;
BgL_arg1757z00_3444 = 
PROCEDURE_REF(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1270 */
int BgL_offsetz00_3447;
BgL_offsetz00_3447 = 
(int)(BgL_objzd2classzd2numz00_3443); 
{ /* Llib/ssl.scm 1270 */
long BgL_offsetz00_3448;
BgL_offsetz00_3448 = 
(
(long)(BgL_offsetz00_3447)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1270 */
long BgL_modz00_3449;
BgL_modz00_3449 = 
(BgL_offsetz00_3448 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1270 */
long BgL_restz00_3451;
BgL_restz00_3451 = 
(BgL_offsetz00_3448 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1270 */

{ /* Llib/ssl.scm 1270 */
obj_t BgL_bucketz00_3453;
BgL_bucketz00_3453 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3444),BgL_modz00_3449); 
BgL_res2543z00_3472 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3453),BgL_restz00_3451); } } } } } } } } 
BgL_method1339z00_1754 = BgL_res2543z00_3472; } 
return 
PROCEDURE_ENTRY(BgL_method1339z00_1754)(BgL_method1339z00_1754, 
((obj_t)BgL_sslzd2signzd2_135), BgL_dataz00_136, 
BINT(BgL_offsetz00_137), 
BINT(BgL_lenz00_138), BEOA);} } 

}



/* &ssl-sign-update! */
obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4702, obj_t BgL_sslzd2signzd2_4703, obj_t BgL_dataz00_4704, obj_t BgL_offsetz00_4705, obj_t BgL_lenz00_4706)
{
{ /* Llib/ssl.scm 1270 */
{ /* Llib/ssl.scm 1270 */
long BgL_auxz00_10269;long BgL_auxz00_10260;obj_t BgL_auxz00_10253;BgL_sslzd2signzd2_bglt BgL_auxz00_10245;
{ /* Llib/ssl.scm 1270 */
obj_t BgL_tmpz00_10270;
if(
INTEGERP(BgL_lenz00_4706))
{ /* Llib/ssl.scm 1270 */
BgL_tmpz00_10270 = BgL_lenz00_4706
; }  else 
{ 
obj_t BgL_auxz00_10273;
BgL_auxz00_10273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3355z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4706); 
FAILURE(BgL_auxz00_10273,BFALSE,BFALSE);} 
BgL_auxz00_10269 = 
(long)CINT(BgL_tmpz00_10270); } 
{ /* Llib/ssl.scm 1270 */
obj_t BgL_tmpz00_10261;
if(
INTEGERP(BgL_offsetz00_4705))
{ /* Llib/ssl.scm 1270 */
BgL_tmpz00_10261 = BgL_offsetz00_4705
; }  else 
{ 
obj_t BgL_auxz00_10264;
BgL_auxz00_10264 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3355z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4705); 
FAILURE(BgL_auxz00_10264,BFALSE,BFALSE);} 
BgL_auxz00_10260 = 
(long)CINT(BgL_tmpz00_10261); } 
if(
STRINGP(BgL_dataz00_4704))
{ /* Llib/ssl.scm 1270 */
BgL_auxz00_10253 = BgL_dataz00_4704
; }  else 
{ 
obj_t BgL_auxz00_10256;
BgL_auxz00_10256 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3355z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_dataz00_4704); 
FAILURE(BgL_auxz00_10256,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2signzd2_4703, BGl_sslzd2signzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1270 */
BgL_auxz00_10245 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4703)
; }  else 
{ 
obj_t BgL_auxz00_10249;
BgL_auxz00_10249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3355z00zz__ssl_sslz00, BGl_string3297z00zz__ssl_sslz00, BgL_sslzd2signzd2_4703); 
FAILURE(BgL_auxz00_10249,BFALSE,BFALSE);} 
return 
BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_10245, BgL_auxz00_10253, BgL_auxz00_10260, BgL_auxz00_10269);} } 

}



/* ssl-sign-sign */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_139, obj_t BgL_keyz00_140, long BgL_offsetz00_141, long BgL_lenz00_142)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1282 */
obj_t BgL_method1341z00_1755;
{ /* Llib/ssl.scm 1282 */
obj_t BgL_res2548z00_3503;
{ /* Llib/ssl.scm 1282 */
long BgL_objzd2classzd2numz00_3474;
BgL_objzd2classzd2numz00_3474 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_139)); 
{ /* Llib/ssl.scm 1282 */
obj_t BgL_arg1757z00_3475;
BgL_arg1757z00_3475 = 
PROCEDURE_REF(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1282 */
int BgL_offsetz00_3478;
BgL_offsetz00_3478 = 
(int)(BgL_objzd2classzd2numz00_3474); 
{ /* Llib/ssl.scm 1282 */
long BgL_offsetz00_3479;
BgL_offsetz00_3479 = 
(
(long)(BgL_offsetz00_3478)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1282 */
long BgL_modz00_3480;
BgL_modz00_3480 = 
(BgL_offsetz00_3479 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1282 */
long BgL_restz00_3482;
BgL_restz00_3482 = 
(BgL_offsetz00_3479 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1282 */

{ /* Llib/ssl.scm 1282 */
obj_t BgL_bucketz00_3484;
BgL_bucketz00_3484 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3475),BgL_modz00_3480); 
BgL_res2548z00_3503 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3484),BgL_restz00_3482); } } } } } } } } 
BgL_method1341z00_1755 = BgL_res2548z00_3503; } 
return 
PROCEDURE_ENTRY(BgL_method1341z00_1755)(BgL_method1341z00_1755, 
((obj_t)BgL_sslzd2signzd2_139), BgL_keyz00_140, 
BINT(BgL_offsetz00_141), 
BINT(BgL_lenz00_142), BEOA);} } 

}



/* &ssl-sign-sign */
obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t BgL_envz00_4707, obj_t BgL_sslzd2signzd2_4708, obj_t BgL_keyz00_4709, obj_t BgL_offsetz00_4710, obj_t BgL_lenz00_4711)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1282 */
long BgL_auxz00_10338;long BgL_auxz00_10329;obj_t BgL_auxz00_10322;BgL_sslzd2signzd2_bglt BgL_auxz00_10314;
{ /* Llib/ssl.scm 1282 */
obj_t BgL_tmpz00_10339;
if(
INTEGERP(BgL_lenz00_4711))
{ /* Llib/ssl.scm 1282 */
BgL_tmpz00_10339 = BgL_lenz00_4711
; }  else 
{ 
obj_t BgL_auxz00_10342;
BgL_auxz00_10342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3356z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4711); 
FAILURE(BgL_auxz00_10342,BFALSE,BFALSE);} 
BgL_auxz00_10338 = 
(long)CINT(BgL_tmpz00_10339); } 
{ /* Llib/ssl.scm 1282 */
obj_t BgL_tmpz00_10330;
if(
INTEGERP(BgL_offsetz00_4710))
{ /* Llib/ssl.scm 1282 */
BgL_tmpz00_10330 = BgL_offsetz00_4710
; }  else 
{ 
obj_t BgL_auxz00_10333;
BgL_auxz00_10333 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3356z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4710); 
FAILURE(BgL_auxz00_10333,BFALSE,BFALSE);} 
BgL_auxz00_10329 = 
(long)CINT(BgL_tmpz00_10330); } 
if(
STRINGP(BgL_keyz00_4709))
{ /* Llib/ssl.scm 1282 */
BgL_auxz00_10322 = BgL_keyz00_4709
; }  else 
{ 
obj_t BgL_auxz00_10325;
BgL_auxz00_10325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3356z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_keyz00_4709); 
FAILURE(BgL_auxz00_10325,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2signzd2_4708, BGl_sslzd2signzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1282 */
BgL_auxz00_10314 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4708)
; }  else 
{ 
obj_t BgL_auxz00_10318;
BgL_auxz00_10318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3356z00zz__ssl_sslz00, BGl_string3297z00zz__ssl_sslz00, BgL_sslzd2signzd2_4708); 
FAILURE(BgL_auxz00_10318,BFALSE,BFALSE);} 
return 
BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_auxz00_10314, BgL_auxz00_10322, BgL_auxz00_10329, BgL_auxz00_10338);} } 

}



/* ssl-verify-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_143, obj_t BgL_verifyz00_144)
{
{ /* Llib/ssl.scm 1293 */
{ /* Llib/ssl.scm 1293 */
obj_t BgL_method1343z00_1756;
{ /* Llib/ssl.scm 1293 */
obj_t BgL_res2553z00_3534;
{ /* Llib/ssl.scm 1293 */
long BgL_objzd2classzd2numz00_3505;
BgL_objzd2classzd2numz00_3505 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_143)); 
{ /* Llib/ssl.scm 1293 */
obj_t BgL_arg1757z00_3506;
BgL_arg1757z00_3506 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1293 */
int BgL_offsetz00_3509;
BgL_offsetz00_3509 = 
(int)(BgL_objzd2classzd2numz00_3505); 
{ /* Llib/ssl.scm 1293 */
long BgL_offsetz00_3510;
BgL_offsetz00_3510 = 
(
(long)(BgL_offsetz00_3509)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1293 */
long BgL_modz00_3511;
BgL_modz00_3511 = 
(BgL_offsetz00_3510 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1293 */
long BgL_restz00_3513;
BgL_restz00_3513 = 
(BgL_offsetz00_3510 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1293 */

{ /* Llib/ssl.scm 1293 */
obj_t BgL_bucketz00_3515;
BgL_bucketz00_3515 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3506),BgL_modz00_3511); 
BgL_res2553z00_3534 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3515),BgL_restz00_3513); } } } } } } } } 
BgL_method1343z00_1756 = BgL_res2553z00_3534; } 
return 
PROCEDURE_ENTRY(BgL_method1343z00_1756)(BgL_method1343z00_1756, 
((obj_t)BgL_sslzd2verifyzd2_143), BgL_verifyz00_144, BEOA);} } 

}



/* &ssl-verify-init */
obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4712, obj_t BgL_sslzd2verifyzd2_4713, obj_t BgL_verifyz00_4714)
{
{ /* Llib/ssl.scm 1293 */
{ /* Llib/ssl.scm 1293 */
obj_t BgL_auxz00_10387;BgL_sslzd2verifyzd2_bglt BgL_auxz00_10379;
if(
STRINGP(BgL_verifyz00_4714))
{ /* Llib/ssl.scm 1293 */
BgL_auxz00_10387 = BgL_verifyz00_4714
; }  else 
{ 
obj_t BgL_auxz00_10390;
BgL_auxz00_10390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)52164)), BGl_string3357z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_verifyz00_4714); 
FAILURE(BgL_auxz00_10390,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2verifyzd2_4713, BGl_sslzd2verifyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1293 */
BgL_auxz00_10379 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4713)
; }  else 
{ 
obj_t BgL_auxz00_10383;
BgL_auxz00_10383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)52164)), BGl_string3357z00zz__ssl_sslz00, BGl_string3292z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4713); 
FAILURE(BgL_auxz00_10383,BFALSE,BFALSE);} 
return 
BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_auxz00_10379, BgL_auxz00_10387);} } 

}



/* ssl-verify-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_145, obj_t BgL_dataz00_146, long BgL_offsetz00_147, long BgL_lenz00_148)
{
{ /* Llib/ssl.scm 1305 */
{ /* Llib/ssl.scm 1305 */
obj_t BgL_method1345z00_1757;
{ /* Llib/ssl.scm 1305 */
obj_t BgL_res2558z00_3565;
{ /* Llib/ssl.scm 1305 */
long BgL_objzd2classzd2numz00_3536;
BgL_objzd2classzd2numz00_3536 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_145)); 
{ /* Llib/ssl.scm 1305 */
obj_t BgL_arg1757z00_3537;
BgL_arg1757z00_3537 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1305 */
int BgL_offsetz00_3540;
BgL_offsetz00_3540 = 
(int)(BgL_objzd2classzd2numz00_3536); 
{ /* Llib/ssl.scm 1305 */
long BgL_offsetz00_3541;
BgL_offsetz00_3541 = 
(
(long)(BgL_offsetz00_3540)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1305 */
long BgL_modz00_3542;
BgL_modz00_3542 = 
(BgL_offsetz00_3541 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1305 */
long BgL_restz00_3544;
BgL_restz00_3544 = 
(BgL_offsetz00_3541 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1305 */

{ /* Llib/ssl.scm 1305 */
obj_t BgL_bucketz00_3546;
BgL_bucketz00_3546 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3537),BgL_modz00_3542); 
BgL_res2558z00_3565 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3546),BgL_restz00_3544); } } } } } } } } 
BgL_method1345z00_1757 = BgL_res2558z00_3565; } 
return 
PROCEDURE_ENTRY(BgL_method1345z00_1757)(BgL_method1345z00_1757, 
((obj_t)BgL_sslzd2verifyzd2_145), BgL_dataz00_146, 
BINT(BgL_offsetz00_147), 
BINT(BgL_lenz00_148), BEOA);} } 

}



/* &ssl-verify-update! */
obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4715, obj_t BgL_sslzd2verifyzd2_4716, obj_t BgL_dataz00_4717, obj_t BgL_offsetz00_4718, obj_t BgL_lenz00_4719)
{
{ /* Llib/ssl.scm 1305 */
{ /* Llib/ssl.scm 1305 */
long BgL_auxz00_10454;long BgL_auxz00_10445;obj_t BgL_auxz00_10438;BgL_sslzd2verifyzd2_bglt BgL_auxz00_10430;
{ /* Llib/ssl.scm 1305 */
obj_t BgL_tmpz00_10455;
if(
INTEGERP(BgL_lenz00_4719))
{ /* Llib/ssl.scm 1305 */
BgL_tmpz00_10455 = BgL_lenz00_4719
; }  else 
{ 
obj_t BgL_auxz00_10458;
BgL_auxz00_10458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3358z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4719); 
FAILURE(BgL_auxz00_10458,BFALSE,BFALSE);} 
BgL_auxz00_10454 = 
(long)CINT(BgL_tmpz00_10455); } 
{ /* Llib/ssl.scm 1305 */
obj_t BgL_tmpz00_10446;
if(
INTEGERP(BgL_offsetz00_4718))
{ /* Llib/ssl.scm 1305 */
BgL_tmpz00_10446 = BgL_offsetz00_4718
; }  else 
{ 
obj_t BgL_auxz00_10449;
BgL_auxz00_10449 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3358z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4718); 
FAILURE(BgL_auxz00_10449,BFALSE,BFALSE);} 
BgL_auxz00_10445 = 
(long)CINT(BgL_tmpz00_10446); } 
if(
STRINGP(BgL_dataz00_4717))
{ /* Llib/ssl.scm 1305 */
BgL_auxz00_10438 = BgL_dataz00_4717
; }  else 
{ 
obj_t BgL_auxz00_10441;
BgL_auxz00_10441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3358z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_dataz00_4717); 
FAILURE(BgL_auxz00_10441,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2verifyzd2_4716, BGl_sslzd2verifyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1305 */
BgL_auxz00_10430 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4716)
; }  else 
{ 
obj_t BgL_auxz00_10434;
BgL_auxz00_10434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3358z00zz__ssl_sslz00, BGl_string3292z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4716); 
FAILURE(BgL_auxz00_10434,BFALSE,BFALSE);} 
return 
BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_10430, BgL_auxz00_10438, BgL_auxz00_10445, BgL_auxz00_10454);} } 

}



/* ssl-verify-final */
BGL_EXPORTED_DEF bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_149, obj_t BgL_keyz00_150, long BgL_koffsetz00_151, long BgL_klenz00_152, obj_t BgL_sigz00_153, long BgL_soffsetz00_154, long BgL_slenz00_155)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1317 */
obj_t BgL_method1347z00_1758;
{ /* Llib/ssl.scm 1317 */
obj_t BgL_res2563z00_3596;
{ /* Llib/ssl.scm 1317 */
long BgL_objzd2classzd2numz00_3567;
BgL_objzd2classzd2numz00_3567 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_149)); 
{ /* Llib/ssl.scm 1317 */
obj_t BgL_arg1757z00_3568;
BgL_arg1757z00_3568 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1317 */
int BgL_offsetz00_3571;
BgL_offsetz00_3571 = 
(int)(BgL_objzd2classzd2numz00_3567); 
{ /* Llib/ssl.scm 1317 */
long BgL_offsetz00_3572;
BgL_offsetz00_3572 = 
(
(long)(BgL_offsetz00_3571)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1317 */
long BgL_modz00_3573;
BgL_modz00_3573 = 
(BgL_offsetz00_3572 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1317 */
long BgL_restz00_3575;
BgL_restz00_3575 = 
(BgL_offsetz00_3572 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1317 */

{ /* Llib/ssl.scm 1317 */
obj_t BgL_bucketz00_3577;
BgL_bucketz00_3577 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3568),BgL_modz00_3573); 
BgL_res2563z00_3596 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3577),BgL_restz00_3575); } } } } } } } } 
BgL_method1347z00_1758 = BgL_res2563z00_3596; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1347z00_1758)(BgL_method1347z00_1758, 
((obj_t)BgL_sslzd2verifyzd2_149), BgL_keyz00_150, 
BINT(BgL_koffsetz00_151), 
BINT(BgL_klenz00_152), BgL_sigz00_153, 
BINT(BgL_soffsetz00_154), 
BINT(BgL_slenz00_155), BEOA));} } 

}



/* &ssl-verify-final */
obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4720, obj_t BgL_sslzd2verifyzd2_4721, obj_t BgL_keyz00_4722, obj_t BgL_koffsetz00_4723, obj_t BgL_klenz00_4724, obj_t BgL_sigz00_4725, obj_t BgL_soffsetz00_4726, obj_t BgL_slenz00_4727)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1317 */
bool_t BgL_tmpz00_10505;
{ /* Llib/ssl.scm 1317 */
long BgL_auxz00_10555;long BgL_auxz00_10546;obj_t BgL_auxz00_10539;long BgL_auxz00_10530;long BgL_auxz00_10521;obj_t BgL_auxz00_10514;BgL_sslzd2verifyzd2_bglt BgL_auxz00_10506;
{ /* Llib/ssl.scm 1317 */
obj_t BgL_tmpz00_10556;
if(
INTEGERP(BgL_slenz00_4727))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_10556 = BgL_slenz00_4727
; }  else 
{ 
obj_t BgL_auxz00_10559;
BgL_auxz00_10559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_slenz00_4727); 
FAILURE(BgL_auxz00_10559,BFALSE,BFALSE);} 
BgL_auxz00_10555 = 
(long)CINT(BgL_tmpz00_10556); } 
{ /* Llib/ssl.scm 1317 */
obj_t BgL_tmpz00_10547;
if(
INTEGERP(BgL_soffsetz00_4726))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_10547 = BgL_soffsetz00_4726
; }  else 
{ 
obj_t BgL_auxz00_10550;
BgL_auxz00_10550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_soffsetz00_4726); 
FAILURE(BgL_auxz00_10550,BFALSE,BFALSE);} 
BgL_auxz00_10546 = 
(long)CINT(BgL_tmpz00_10547); } 
if(
STRINGP(BgL_sigz00_4725))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_10539 = BgL_sigz00_4725
; }  else 
{ 
obj_t BgL_auxz00_10542;
BgL_auxz00_10542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_sigz00_4725); 
FAILURE(BgL_auxz00_10542,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1317 */
obj_t BgL_tmpz00_10531;
if(
INTEGERP(BgL_klenz00_4724))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_10531 = BgL_klenz00_4724
; }  else 
{ 
obj_t BgL_auxz00_10534;
BgL_auxz00_10534 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_klenz00_4724); 
FAILURE(BgL_auxz00_10534,BFALSE,BFALSE);} 
BgL_auxz00_10530 = 
(long)CINT(BgL_tmpz00_10531); } 
{ /* Llib/ssl.scm 1317 */
obj_t BgL_tmpz00_10522;
if(
INTEGERP(BgL_koffsetz00_4723))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_10522 = BgL_koffsetz00_4723
; }  else 
{ 
obj_t BgL_auxz00_10525;
BgL_auxz00_10525 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_koffsetz00_4723); 
FAILURE(BgL_auxz00_10525,BFALSE,BFALSE);} 
BgL_auxz00_10521 = 
(long)CINT(BgL_tmpz00_10522); } 
if(
STRINGP(BgL_keyz00_4722))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_10514 = BgL_keyz00_4722
; }  else 
{ 
obj_t BgL_auxz00_10517;
BgL_auxz00_10517 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_keyz00_4722); 
FAILURE(BgL_auxz00_10517,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2verifyzd2_4721, BGl_sslzd2verifyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_10506 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4721)
; }  else 
{ 
obj_t BgL_auxz00_10510;
BgL_auxz00_10510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3359z00zz__ssl_sslz00, BGl_string3292z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4721); 
FAILURE(BgL_auxz00_10510,BFALSE,BFALSE);} 
BgL_tmpz00_10505 = 
BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_auxz00_10506, BgL_auxz00_10514, BgL_auxz00_10521, BgL_auxz00_10530, BgL_auxz00_10539, BgL_auxz00_10546, BgL_auxz00_10555); } 
return 
BBOOL(BgL_tmpz00_10505);} } 

}



/* ssl-cipher-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_156, obj_t BgL_cipherz00_157, obj_t BgL_keyz00_158, long BgL_offsetz00_159, long BgL_lenz00_160, bool_t BgL_encz00_161)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
obj_t BgL_method1349z00_1759;
{ /* Llib/ssl.scm 1331 */
obj_t BgL_res2568z00_3627;
{ /* Llib/ssl.scm 1331 */
long BgL_objzd2classzd2numz00_3598;
BgL_objzd2classzd2numz00_3598 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_156)); 
{ /* Llib/ssl.scm 1331 */
obj_t BgL_arg1757z00_3599;
BgL_arg1757z00_3599 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1331 */
int BgL_offsetz00_3602;
BgL_offsetz00_3602 = 
(int)(BgL_objzd2classzd2numz00_3598); 
{ /* Llib/ssl.scm 1331 */
long BgL_offsetz00_3603;
BgL_offsetz00_3603 = 
(
(long)(BgL_offsetz00_3602)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1331 */
long BgL_modz00_3604;
BgL_modz00_3604 = 
(BgL_offsetz00_3603 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1331 */
long BgL_restz00_3606;
BgL_restz00_3606 = 
(BgL_offsetz00_3603 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1331 */

{ /* Llib/ssl.scm 1331 */
obj_t BgL_bucketz00_3608;
BgL_bucketz00_3608 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3599),BgL_modz00_3604); 
BgL_res2568z00_3627 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3608),BgL_restz00_3606); } } } } } } } } 
BgL_method1349z00_1759 = BgL_res2568z00_3627; } 
return 
PROCEDURE_ENTRY(BgL_method1349z00_1759)(BgL_method1349z00_1759, 
((obj_t)BgL_sslzd2cipherzd2_156), BgL_cipherz00_157, BgL_keyz00_158, 
BINT(BgL_offsetz00_159), 
BINT(BgL_lenz00_160), 
BBOOL(BgL_encz00_161), BEOA);} } 

}



/* &ssl-cipher-init */
obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4728, obj_t BgL_sslzd2cipherzd2_4729, obj_t BgL_cipherz00_4730, obj_t BgL_keyz00_4731, obj_t BgL_offsetz00_4732, obj_t BgL_lenz00_4733, obj_t BgL_encz00_4734)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
long BgL_auxz00_10635;long BgL_auxz00_10626;obj_t BgL_auxz00_10619;obj_t BgL_auxz00_10612;BgL_sslzd2cipherzd2_bglt BgL_auxz00_10604;
{ /* Llib/ssl.scm 1331 */
obj_t BgL_tmpz00_10636;
if(
INTEGERP(BgL_lenz00_4733))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_10636 = BgL_lenz00_4733
; }  else 
{ 
obj_t BgL_auxz00_10639;
BgL_auxz00_10639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3360z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4733); 
FAILURE(BgL_auxz00_10639,BFALSE,BFALSE);} 
BgL_auxz00_10635 = 
(long)CINT(BgL_tmpz00_10636); } 
{ /* Llib/ssl.scm 1331 */
obj_t BgL_tmpz00_10627;
if(
INTEGERP(BgL_offsetz00_4732))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_10627 = BgL_offsetz00_4732
; }  else 
{ 
obj_t BgL_auxz00_10630;
BgL_auxz00_10630 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3360z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4732); 
FAILURE(BgL_auxz00_10630,BFALSE,BFALSE);} 
BgL_auxz00_10626 = 
(long)CINT(BgL_tmpz00_10627); } 
if(
STRINGP(BgL_keyz00_4731))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_10619 = BgL_keyz00_4731
; }  else 
{ 
obj_t BgL_auxz00_10622;
BgL_auxz00_10622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3360z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_keyz00_4731); 
FAILURE(BgL_auxz00_10622,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4730))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_10612 = BgL_cipherz00_4730
; }  else 
{ 
obj_t BgL_auxz00_10615;
BgL_auxz00_10615 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3360z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_cipherz00_4730); 
FAILURE(BgL_auxz00_10615,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4729, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_10604 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4729)
; }  else 
{ 
obj_t BgL_auxz00_10608;
BgL_auxz00_10608 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3360z00zz__ssl_sslz00, BGl_string3361z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4729); 
FAILURE(BgL_auxz00_10608,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_auxz00_10604, BgL_auxz00_10612, BgL_auxz00_10619, BgL_auxz00_10626, BgL_auxz00_10635, 
CBOOL(BgL_encz00_4734));} } 

}



/* ssl-cipher-initiv */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_162, obj_t BgL_cipherz00_163, obj_t BgL_keyz00_164, long BgL_offsetz00_165, long BgL_lenz00_166, obj_t BgL_ivz00_167, long BgL_ivoffsetz00_168, long BgL_ivlenz00_169, bool_t BgL_encz00_170)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
obj_t BgL_method1351z00_1760;
{ /* Llib/ssl.scm 1345 */
obj_t BgL_res2573z00_3658;
{ /* Llib/ssl.scm 1345 */
long BgL_objzd2classzd2numz00_3629;
BgL_objzd2classzd2numz00_3629 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_162)); 
{ /* Llib/ssl.scm 1345 */
obj_t BgL_arg1757z00_3630;
BgL_arg1757z00_3630 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1345 */
int BgL_offsetz00_3633;
BgL_offsetz00_3633 = 
(int)(BgL_objzd2classzd2numz00_3629); 
{ /* Llib/ssl.scm 1345 */
long BgL_offsetz00_3634;
BgL_offsetz00_3634 = 
(
(long)(BgL_offsetz00_3633)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1345 */
long BgL_modz00_3635;
BgL_modz00_3635 = 
(BgL_offsetz00_3634 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1345 */
long BgL_restz00_3637;
BgL_restz00_3637 = 
(BgL_offsetz00_3634 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1345 */

{ /* Llib/ssl.scm 1345 */
obj_t BgL_bucketz00_3639;
BgL_bucketz00_3639 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3630),BgL_modz00_3635); 
BgL_res2573z00_3658 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3639),BgL_restz00_3637); } } } } } } } } 
BgL_method1351z00_1760 = BgL_res2573z00_3658; } 
return 
PROCEDURE_ENTRY(BgL_method1351z00_1760)(BgL_method1351z00_1760, 
((obj_t)BgL_sslzd2cipherzd2_162), BgL_cipherz00_163, BgL_keyz00_164, 
BINT(BgL_offsetz00_165), 
BINT(BgL_lenz00_166), BgL_ivz00_167, 
BINT(BgL_ivoffsetz00_168), 
BINT(BgL_ivlenz00_169), 
BBOOL(BgL_encz00_170), BEOA);} } 

}



/* &ssl-cipher-initiv */
obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t BgL_envz00_4735, obj_t BgL_sslzd2cipherzd2_4736, obj_t BgL_cipherz00_4737, obj_t BgL_keyz00_4738, obj_t BgL_offsetz00_4739, obj_t BgL_lenz00_4740, obj_t BgL_ivz00_4741, obj_t BgL_ivoffsetz00_4742, obj_t BgL_ivlenz00_4743, obj_t BgL_encz00_4744)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
long BgL_auxz00_10745;long BgL_auxz00_10736;obj_t BgL_auxz00_10729;long BgL_auxz00_10720;long BgL_auxz00_10711;obj_t BgL_auxz00_10704;obj_t BgL_auxz00_10697;BgL_sslzd2cipherzd2_bglt BgL_auxz00_10689;
{ /* Llib/ssl.scm 1345 */
obj_t BgL_tmpz00_10746;
if(
INTEGERP(BgL_ivlenz00_4743))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_10746 = BgL_ivlenz00_4743
; }  else 
{ 
obj_t BgL_auxz00_10749;
BgL_auxz00_10749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_ivlenz00_4743); 
FAILURE(BgL_auxz00_10749,BFALSE,BFALSE);} 
BgL_auxz00_10745 = 
(long)CINT(BgL_tmpz00_10746); } 
{ /* Llib/ssl.scm 1345 */
obj_t BgL_tmpz00_10737;
if(
INTEGERP(BgL_ivoffsetz00_4742))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_10737 = BgL_ivoffsetz00_4742
; }  else 
{ 
obj_t BgL_auxz00_10740;
BgL_auxz00_10740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_ivoffsetz00_4742); 
FAILURE(BgL_auxz00_10740,BFALSE,BFALSE);} 
BgL_auxz00_10736 = 
(long)CINT(BgL_tmpz00_10737); } 
if(
STRINGP(BgL_ivz00_4741))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_10729 = BgL_ivz00_4741
; }  else 
{ 
obj_t BgL_auxz00_10732;
BgL_auxz00_10732 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_ivz00_4741); 
FAILURE(BgL_auxz00_10732,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1345 */
obj_t BgL_tmpz00_10721;
if(
INTEGERP(BgL_lenz00_4740))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_10721 = BgL_lenz00_4740
; }  else 
{ 
obj_t BgL_auxz00_10724;
BgL_auxz00_10724 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4740); 
FAILURE(BgL_auxz00_10724,BFALSE,BFALSE);} 
BgL_auxz00_10720 = 
(long)CINT(BgL_tmpz00_10721); } 
{ /* Llib/ssl.scm 1345 */
obj_t BgL_tmpz00_10712;
if(
INTEGERP(BgL_offsetz00_4739))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_10712 = BgL_offsetz00_4739
; }  else 
{ 
obj_t BgL_auxz00_10715;
BgL_auxz00_10715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4739); 
FAILURE(BgL_auxz00_10715,BFALSE,BFALSE);} 
BgL_auxz00_10711 = 
(long)CINT(BgL_tmpz00_10712); } 
if(
STRINGP(BgL_keyz00_4738))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_10704 = BgL_keyz00_4738
; }  else 
{ 
obj_t BgL_auxz00_10707;
BgL_auxz00_10707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_keyz00_4738); 
FAILURE(BgL_auxz00_10707,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4737))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_10697 = BgL_cipherz00_4737
; }  else 
{ 
obj_t BgL_auxz00_10700;
BgL_auxz00_10700 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_cipherz00_4737); 
FAILURE(BgL_auxz00_10700,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4736, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_10689 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4736)
; }  else 
{ 
obj_t BgL_auxz00_10693;
BgL_auxz00_10693 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3362z00zz__ssl_sslz00, BGl_string3361z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4736); 
FAILURE(BgL_auxz00_10693,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_auxz00_10689, BgL_auxz00_10697, BgL_auxz00_10704, BgL_auxz00_10711, BgL_auxz00_10720, BgL_auxz00_10729, BgL_auxz00_10736, BgL_auxz00_10745, 
CBOOL(BgL_encz00_4744));} } 

}



/* ssl-cipher-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_171, obj_t BgL_dataz00_172, long BgL_offsetz00_173, long BgL_lenz00_174)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1362 */
obj_t BgL_method1353z00_1761;
{ /* Llib/ssl.scm 1362 */
obj_t BgL_res2578z00_3689;
{ /* Llib/ssl.scm 1362 */
long BgL_objzd2classzd2numz00_3660;
BgL_objzd2classzd2numz00_3660 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_171)); 
{ /* Llib/ssl.scm 1362 */
obj_t BgL_arg1757z00_3661;
BgL_arg1757z00_3661 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1362 */
int BgL_offsetz00_3664;
BgL_offsetz00_3664 = 
(int)(BgL_objzd2classzd2numz00_3660); 
{ /* Llib/ssl.scm 1362 */
long BgL_offsetz00_3665;
BgL_offsetz00_3665 = 
(
(long)(BgL_offsetz00_3664)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1362 */
long BgL_modz00_3666;
BgL_modz00_3666 = 
(BgL_offsetz00_3665 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1362 */
long BgL_restz00_3668;
BgL_restz00_3668 = 
(BgL_offsetz00_3665 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1362 */

{ /* Llib/ssl.scm 1362 */
obj_t BgL_bucketz00_3670;
BgL_bucketz00_3670 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3661),BgL_modz00_3666); 
BgL_res2578z00_3689 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3670),BgL_restz00_3668); } } } } } } } } 
BgL_method1353z00_1761 = BgL_res2578z00_3689; } 
return 
PROCEDURE_ENTRY(BgL_method1353z00_1761)(BgL_method1353z00_1761, 
((obj_t)BgL_sslzd2cipherzd2_171), BgL_dataz00_172, 
BINT(BgL_offsetz00_173), 
BINT(BgL_lenz00_174), BEOA);} } 

}



/* &ssl-cipher-update! */
obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4745, obj_t BgL_sslzd2cipherzd2_4746, obj_t BgL_dataz00_4747, obj_t BgL_offsetz00_4748, obj_t BgL_lenz00_4749)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1362 */
long BgL_auxz00_10815;long BgL_auxz00_10806;obj_t BgL_auxz00_10799;BgL_sslzd2cipherzd2_bglt BgL_auxz00_10791;
{ /* Llib/ssl.scm 1362 */
obj_t BgL_tmpz00_10816;
if(
INTEGERP(BgL_lenz00_4749))
{ /* Llib/ssl.scm 1362 */
BgL_tmpz00_10816 = BgL_lenz00_4749
; }  else 
{ 
obj_t BgL_auxz00_10819;
BgL_auxz00_10819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3363z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_lenz00_4749); 
FAILURE(BgL_auxz00_10819,BFALSE,BFALSE);} 
BgL_auxz00_10815 = 
(long)CINT(BgL_tmpz00_10816); } 
{ /* Llib/ssl.scm 1362 */
obj_t BgL_tmpz00_10807;
if(
INTEGERP(BgL_offsetz00_4748))
{ /* Llib/ssl.scm 1362 */
BgL_tmpz00_10807 = BgL_offsetz00_4748
; }  else 
{ 
obj_t BgL_auxz00_10810;
BgL_auxz00_10810 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3363z00zz__ssl_sslz00, BGl_string2982z00zz__ssl_sslz00, BgL_offsetz00_4748); 
FAILURE(BgL_auxz00_10810,BFALSE,BFALSE);} 
BgL_auxz00_10806 = 
(long)CINT(BgL_tmpz00_10807); } 
if(
STRINGP(BgL_dataz00_4747))
{ /* Llib/ssl.scm 1362 */
BgL_auxz00_10799 = BgL_dataz00_4747
; }  else 
{ 
obj_t BgL_auxz00_10802;
BgL_auxz00_10802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3363z00zz__ssl_sslz00, BGl_string2983z00zz__ssl_sslz00, BgL_dataz00_4747); 
FAILURE(BgL_auxz00_10802,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4746, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1362 */
BgL_auxz00_10791 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4746)
; }  else 
{ 
obj_t BgL_auxz00_10795;
BgL_auxz00_10795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3363z00zz__ssl_sslz00, BGl_string3361z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4746); 
FAILURE(BgL_auxz00_10795,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_10791, BgL_auxz00_10799, BgL_auxz00_10806, BgL_auxz00_10815);} } 

}



/* ssl-cipher-set-auto-padding */
BGL_EXPORTED_DEF bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_175, bool_t BgL_autozd2paddingzd2_176)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1373 */
obj_t BgL_method1355z00_1762;
{ /* Llib/ssl.scm 1373 */
obj_t BgL_res2583z00_3720;
{ /* Llib/ssl.scm 1373 */
long BgL_objzd2classzd2numz00_3691;
BgL_objzd2classzd2numz00_3691 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_175)); 
{ /* Llib/ssl.scm 1373 */
obj_t BgL_arg1757z00_3692;
BgL_arg1757z00_3692 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1373 */
int BgL_offsetz00_3695;
BgL_offsetz00_3695 = 
(int)(BgL_objzd2classzd2numz00_3691); 
{ /* Llib/ssl.scm 1373 */
long BgL_offsetz00_3696;
BgL_offsetz00_3696 = 
(
(long)(BgL_offsetz00_3695)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1373 */
long BgL_modz00_3697;
BgL_modz00_3697 = 
(BgL_offsetz00_3696 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1373 */
long BgL_restz00_3699;
BgL_restz00_3699 = 
(BgL_offsetz00_3696 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1373 */

{ /* Llib/ssl.scm 1373 */
obj_t BgL_bucketz00_3701;
BgL_bucketz00_3701 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3692),BgL_modz00_3697); 
BgL_res2583z00_3720 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3701),BgL_restz00_3699); } } } } } } } } 
BgL_method1355z00_1762 = BgL_res2583z00_3720; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1355z00_1762)(BgL_method1355z00_1762, 
((obj_t)BgL_sslzd2cipherzd2_175), 
BBOOL(BgL_autozd2paddingzd2_176), BEOA));} } 

}



/* &ssl-cipher-set-auto-padding */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t BgL_envz00_4750, obj_t BgL_sslzd2cipherzd2_4751, obj_t BgL_autozd2paddingzd2_4752)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1373 */
bool_t BgL_tmpz00_10858;
{ /* Llib/ssl.scm 1373 */
BgL_sslzd2cipherzd2_bglt BgL_auxz00_10859;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4751, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1373 */
BgL_auxz00_10859 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4751)
; }  else 
{ 
obj_t BgL_auxz00_10863;
BgL_auxz00_10863 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)55279)), BGl_string3364z00zz__ssl_sslz00, BGl_string3361z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4751); 
FAILURE(BgL_auxz00_10863,BFALSE,BFALSE);} 
BgL_tmpz00_10858 = 
BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_auxz00_10859, 
CBOOL(BgL_autozd2paddingzd2_4752)); } 
return 
BBOOL(BgL_tmpz00_10858);} } 

}



/* ssl-cipher-final */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_177)
{
{ /* Llib/ssl.scm 1383 */
{ /* Llib/ssl.scm 1383 */
obj_t BgL_method1357z00_1763;
{ /* Llib/ssl.scm 1383 */
obj_t BgL_res2588z00_3751;
{ /* Llib/ssl.scm 1383 */
long BgL_objzd2classzd2numz00_3722;
BgL_objzd2classzd2numz00_3722 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_177)); 
{ /* Llib/ssl.scm 1383 */
obj_t BgL_arg1757z00_3723;
BgL_arg1757z00_3723 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1383 */
int BgL_offsetz00_3726;
BgL_offsetz00_3726 = 
(int)(BgL_objzd2classzd2numz00_3722); 
{ /* Llib/ssl.scm 1383 */
long BgL_offsetz00_3727;
BgL_offsetz00_3727 = 
(
(long)(BgL_offsetz00_3726)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1383 */
long BgL_modz00_3728;
BgL_modz00_3728 = 
(BgL_offsetz00_3727 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1383 */
long BgL_restz00_3730;
BgL_restz00_3730 = 
(BgL_offsetz00_3727 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1383 */

{ /* Llib/ssl.scm 1383 */
obj_t BgL_bucketz00_3732;
BgL_bucketz00_3732 = 
VECTOR_REF(
((obj_t)BgL_arg1757z00_3723),BgL_modz00_3728); 
BgL_res2588z00_3751 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3732),BgL_restz00_3730); } } } } } } } } 
BgL_method1357z00_1763 = BgL_res2588z00_3751; } 
return 
PROCEDURE_ENTRY(BgL_method1357z00_1763)(BgL_method1357z00_1763, 
((obj_t)BgL_sslzd2cipherzd2_177), BEOA);} } 

}



/* &ssl-cipher-final */
obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4753, obj_t BgL_sslzd2cipherzd2_4754)
{
{ /* Llib/ssl.scm 1383 */
{ /* Llib/ssl.scm 1383 */
BgL_sslzd2cipherzd2_bglt BgL_auxz00_10900;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4754, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1383 */
BgL_auxz00_10900 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4754)
; }  else 
{ 
obj_t BgL_auxz00_10904;
BgL_auxz00_10904 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2980z00zz__ssl_sslz00, 
BINT(((long)55708)), BGl_string3365z00zz__ssl_sslz00, BGl_string3361z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4754); 
FAILURE(BgL_auxz00_10904,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_auxz00_10900);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
