/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static obj_t BGl_symbol2721z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2723z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2725z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2727z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2729z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
static obj_t BGl_symbol2731z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2733z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol2735z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_symbol2737z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol2739z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_symbol2741z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2743z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static obj_t BGl_symbol2745z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2747z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2749z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00(obj_t);
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_keyword2796z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_expandz00zz__expandz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2751z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2753z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2755z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_symbol2760z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2681z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2763z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2765z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2768z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2689z00zz__evaluatez00 = BUNSPEC;
extern int bgl_debug();
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2770z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2772z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2691z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_symbol2774z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2693z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2694z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2776z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2696z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2778z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2698z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_symbol2780z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2782z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2784z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
static obj_t BGl_symbol2786z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2788z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00();
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol2790z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2792z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2794z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_symbol2798z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluatez00();
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00();
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_symbol2700z00zz__evaluatez00 = BUNSPEC;
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_symbol2702z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2704z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2706z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2707z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
static obj_t BGl_symbol2709z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2711z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2713z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2715z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2717z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2719z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2761z00zz__evaluatez00, BgL_bgl_string2761za700za7za7_2801za7, "\\@", 2 );
DEFINE_STRING( BGl_string2680z00zz__evaluatez00, BgL_bgl_string2680za700za7za7_2802za7, "vector", 6 );
DEFINE_STRING( BGl_string2762z00zz__evaluatez00, BgL_bgl_string2762za700za7za7_2803za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string2682z00zz__evaluatez00, BgL_bgl_string2682za700za7za7_2804za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2764z00zz__evaluatez00, BgL_bgl_string2764za700za7za7_2805za7, "begin", 5 );
DEFINE_STRING( BGl_string2683z00zz__evaluatez00, BgL_bgl_string2683za700za7za7_2806za7, "eval", 4 );
DEFINE_STRING( BGl_string2684z00zz__evaluatez00, BgL_bgl_string2684za700za7za7_2807za7, "Bad syntax", 10 );
DEFINE_STRING( BGl_string2766z00zz__evaluatez00, BgL_bgl_string2766za700za7za7_2808za7, " ", 1 );
DEFINE_STRING( BGl_string2685z00zz__evaluatez00, BgL_bgl_string2685za700za7za7_2809za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2767z00zz__evaluatez00, BgL_bgl_string2767za700za7za7_2810za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string2686z00zz__evaluatez00, BgL_bgl_string2686za700za7za7_2811za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2687z00zz__evaluatez00, BgL_bgl_string2687za700za7za7_2812za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2769z00zz__evaluatez00, BgL_bgl_string2769za700za7za7_2813za7, "module", 6 );
DEFINE_STRING( BGl_string2688z00zz__evaluatez00, BgL_bgl_string2688za700za7za7_2814za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2771z00zz__evaluatez00, BgL_bgl_string2771za700za7za7_2815za7, "@", 1 );
DEFINE_STRING( BGl_string2690z00zz__evaluatez00, BgL_bgl_string2690za700za7za7_2816za7, "pair", 4 );
DEFINE_STRING( BGl_string2773z00zz__evaluatez00, BgL_bgl_string2773za700za7za7_2817za7, "->", 2 );
DEFINE_STRING( BGl_string2692z00zz__evaluatez00, BgL_bgl_string2692za700za7za7_2818za7, "pair?", 5 );
DEFINE_STRING( BGl_string2775z00zz__evaluatez00, BgL_bgl_string2775za700za7za7_2819za7, "trap", 4 );
DEFINE_STRING( BGl_string2695z00zz__evaluatez00, BgL_bgl_string2695za700za7za7_2820za7, "vector?", 7 );
DEFINE_STRING( BGl_string2777z00zz__evaluatez00, BgL_bgl_string2777za700za7za7_2821za7, "or", 2 );
DEFINE_STRING( BGl_string2697z00zz__evaluatez00, BgL_bgl_string2697za700za7za7_2822za7, "symbol", 6 );
DEFINE_STRING( BGl_string2779z00zz__evaluatez00, BgL_bgl_string2779za700za7za7_2823za7, "and", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2824z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2699z00zz__evaluatez00, BgL_bgl_string2699za700za7za7_2825za7, "symbol?", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat2826z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2781z00zz__evaluatez00, BgL_bgl_string2781za700za7za7_2827za7, "let*", 4 );
DEFINE_STRING( BGl_string2783z00zz__evaluatez00, BgL_bgl_string2783za700za7za7_2828za7, "letrec", 6 );
DEFINE_STRING( BGl_string2785z00zz__evaluatez00, BgL_bgl_string2785za700za7za7_2829za7, "set!", 4 );
DEFINE_STRING( BGl_string2787z00zz__evaluatez00, BgL_bgl_string2787za700za7za7_2830za7, "define", 6 );
DEFINE_STRING( BGl_string2789z00zz__evaluatez00, BgL_bgl_string2789za700za7za7_2831za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string2791z00zz__evaluatez00, BgL_bgl_string2791za700za7za7_2832za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string2793z00zz__evaluatez00, BgL_bgl_string2793za700za7za7_2833za7, "with-handler", 12 );
DEFINE_STRING( BGl_string2795z00zz__evaluatez00, BgL_bgl_string2795za700za7za7_2834za7, "synchronize", 11 );
DEFINE_STRING( BGl_string2797z00zz__evaluatez00, BgL_bgl_string2797za700za7za7_2835za7, "prelock", 7 );
DEFINE_STRING( BGl_string2799z00zz__evaluatez00, BgL_bgl_string2799za700za7za7_2836za7, "free-pragma::obj", 16 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2837z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat2838z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2701z00zz__evaluatez00, BgL_bgl_string2701za700za7za7_2839za7, "char", 4 );
DEFINE_STRING( BGl_string2703z00zz__evaluatez00, BgL_bgl_string2703za700za7za7_2840za7, "char?", 5 );
DEFINE_STRING( BGl_string2705z00zz__evaluatez00, BgL_bgl_string2705za700za7za7_2841za7, "int", 3 );
DEFINE_STRING( BGl_string2708z00zz__evaluatez00, BgL_bgl_string2708za700za7za7_2842za7, "integer?", 8 );
DEFINE_STRING( BGl_string2710z00zz__evaluatez00, BgL_bgl_string2710za700za7za7_2843za7, "real", 4 );
DEFINE_STRING( BGl_string2712z00zz__evaluatez00, BgL_bgl_string2712za700za7za7_2844za7, "breal", 5 );
DEFINE_STRING( BGl_string2714z00zz__evaluatez00, BgL_bgl_string2714za700za7za7_2845za7, "real?", 5 );
DEFINE_STRING( BGl_string2716z00zz__evaluatez00, BgL_bgl_string2716za700za7za7_2846za7, "bool", 4 );
DEFINE_STRING( BGl_string2718z00zz__evaluatez00, BgL_bgl_string2718za700za7za7_2847za7, "boolean?", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za72848za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2800z00zz__evaluatez00, BgL_bgl_string2800za700za7za7_2849za7, "__evaluate", 10 );
DEFINE_STRING( BGl_string2720z00zz__evaluatez00, BgL_bgl_string2720za700za7za7_2850za7, "struct", 6 );
DEFINE_STRING( BGl_string2722z00zz__evaluatez00, BgL_bgl_string2722za700za7za7_2851za7, "struct?", 7 );
DEFINE_STRING( BGl_string2724z00zz__evaluatez00, BgL_bgl_string2724za700za7za7_2852za7, "class", 5 );
DEFINE_STRING( BGl_string2726z00zz__evaluatez00, BgL_bgl_string2726za700za7za7_2853za7, "class?", 6 );
DEFINE_STRING( BGl_string2728z00zz__evaluatez00, BgL_bgl_string2728za700za7za7_2854za7, "string", 6 );
DEFINE_STRING( BGl_string2730z00zz__evaluatez00, BgL_bgl_string2730za700za7za7_2855za7, "bstring", 7 );
DEFINE_STRING( BGl_string2732z00zz__evaluatez00, BgL_bgl_string2732za700za7za7_2856za7, "string?", 7 );
DEFINE_STRING( BGl_string2734z00zz__evaluatez00, BgL_bgl_string2734za700za7za7_2857za7, "o", 1 );
DEFINE_STRING( BGl_string2736z00zz__evaluatez00, BgL_bgl_string2736za700za7za7_2858za7, "quote", 5 );
DEFINE_STRING( BGl_string2738z00zz__evaluatez00, BgL_bgl_string2738za700za7za7_2859za7, "class-exists", 12 );
DEFINE_STRING( BGl_string2740z00zz__evaluatez00, BgL_bgl_string2740za700za7za7_2860za7, "c", 1 );
DEFINE_STRING( BGl_string2742z00zz__evaluatez00, BgL_bgl_string2742za700za7za7_2861za7, "isa?", 4 );
DEFINE_STRING( BGl_string2744z00zz__evaluatez00, BgL_bgl_string2744za700za7za7_2862za7, "if", 2 );
DEFINE_STRING( BGl_string2746z00zz__evaluatez00, BgL_bgl_string2746za700za7za7_2863za7, "let", 3 );
DEFINE_STRING( BGl_string2748z00zz__evaluatez00, BgL_bgl_string2748za700za7za7_2864za7, "lambda", 6 );
DEFINE_STRING( BGl_string2750z00zz__evaluatez00, BgL_bgl_string2750za700za7za7_2865za7, "bigloo-type-error/location", 26 );
DEFINE_STRING( BGl_string2752z00zz__evaluatez00, BgL_bgl_string2752za700za7za7_2866za7, "bigloo-type-error", 17 );
DEFINE_STRING( BGl_string2754z00zz__evaluatez00, BgL_bgl_string2754za700za7za7_2867za7, "at", 2 );
DEFINE_STRING( BGl_string2756z00zz__evaluatez00, BgL_bgl_string2756za700za7za7_2868za7, "tmp", 3 );
DEFINE_STRING( BGl_string2675z00zz__evaluatez00, BgL_bgl_string2675za700za7za7_2869za7, "", 0 );
DEFINE_STRING( BGl_string2757z00zz__evaluatez00, BgL_bgl_string2757za700za7za7_2870za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string2676z00zz__evaluatez00, BgL_bgl_string2676za700za7za7_2871za7, "/builddir/build/BUILD/bigloo-4.4b/runtime/Eval/evaluate.scm", 59 );
DEFINE_STRING( BGl_string2758z00zz__evaluatez00, BgL_bgl_string2758za700za7za7_2872za7, "free-pragma", 11 );
DEFINE_STRING( BGl_string2677z00zz__evaluatez00, BgL_bgl_string2677za700za7za7_2873za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2759z00zz__evaluatez00, BgL_bgl_string2759za700za7za7_2874za7, "not supported in eval", 21 );
DEFINE_STRING( BGl_string2678z00zz__evaluatez00, BgL_bgl_string2678za700za7za7_2875za7, "bint", 4 );
DEFINE_STRING( BGl_string2679z00zz__evaluatez00, BgL_bgl_string2679za700za7za7_2876za7, "&evaluate2-restore-state!", 25 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2721z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2723z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2725z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2727z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2729z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2731z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2733z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2735z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2737z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2739z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2741z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2743z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2745z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2747z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2749z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword2796z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2751z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2753z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2755z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2760z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2681z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2763z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2765z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2768z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2689z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2770z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2772z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2691z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2774z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2693z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2694z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2776z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2696z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2778z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2698z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2780z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2782z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2784z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2786z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2788z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2790z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2792z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2794z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2798z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2700z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2702z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2704z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2706z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2707z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2709z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2711z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2713z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2715z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2717z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2719z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1363>\" \"Eval/evaluate.scm\" 4796) \"BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5084) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5377) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5715) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6016) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6437) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7149) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7530) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8597) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 9944) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10386) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10822) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11104) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12230) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12330) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12883) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13355) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13921) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13488) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13727) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17675) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14468) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13794) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4169, char * BgL_fromz00_4170)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
BGl_symbol2681z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2682z00zz__evaluatez00); 
BGl_symbol2689z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2690z00zz__evaluatez00); 
BGl_symbol2691z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2692z00zz__evaluatez00); 
BGl_symbol2693z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2680z00zz__evaluatez00); 
BGl_symbol2694z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2695z00zz__evaluatez00); 
BGl_symbol2696z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2697z00zz__evaluatez00); 
BGl_symbol2698z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2699z00zz__evaluatez00); 
BGl_symbol2700z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2701z00zz__evaluatez00); 
BGl_symbol2702z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2703z00zz__evaluatez00); 
BGl_symbol2704z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2705z00zz__evaluatez00); 
BGl_symbol2706z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2678z00zz__evaluatez00); 
BGl_symbol2707z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2708z00zz__evaluatez00); 
BGl_symbol2709z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2710z00zz__evaluatez00); 
BGl_symbol2711z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2712z00zz__evaluatez00); 
BGl_symbol2713z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2714z00zz__evaluatez00); 
BGl_symbol2715z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2716z00zz__evaluatez00); 
BGl_symbol2717z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2718z00zz__evaluatez00); 
BGl_symbol2719z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2720z00zz__evaluatez00); 
BGl_symbol2721z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2722z00zz__evaluatez00); 
BGl_symbol2723z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2724z00zz__evaluatez00); 
BGl_symbol2725z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2726z00zz__evaluatez00); 
BGl_symbol2727z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2728z00zz__evaluatez00); 
BGl_symbol2729z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2730z00zz__evaluatez00); 
BGl_symbol2731z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2732z00zz__evaluatez00); 
BGl_symbol2733z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2734z00zz__evaluatez00); 
BGl_symbol2735z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2736z00zz__evaluatez00); 
BGl_symbol2737z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2738z00zz__evaluatez00); 
BGl_symbol2739z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2740z00zz__evaluatez00); 
BGl_symbol2741z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2742z00zz__evaluatez00); 
BGl_symbol2743z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2744z00zz__evaluatez00); 
BGl_symbol2745z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2746z00zz__evaluatez00); 
BGl_symbol2747z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2748z00zz__evaluatez00); 
BGl_symbol2749z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2750z00zz__evaluatez00); 
BGl_symbol2751z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2752z00zz__evaluatez00); 
BGl_symbol2753z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2754z00zz__evaluatez00); 
BGl_symbol2755z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2756z00zz__evaluatez00); 
BGl_symbol2760z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2761z00zz__evaluatez00); 
BGl_symbol2763z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2764z00zz__evaluatez00); 
BGl_symbol2765z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2766z00zz__evaluatez00); 
BGl_symbol2768z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2769z00zz__evaluatez00); 
BGl_symbol2770z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2771z00zz__evaluatez00); 
BGl_symbol2772z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2773z00zz__evaluatez00); 
BGl_symbol2774z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2775z00zz__evaluatez00); 
BGl_symbol2776z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2777z00zz__evaluatez00); 
BGl_symbol2778z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2779z00zz__evaluatez00); 
BGl_symbol2780z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2781z00zz__evaluatez00); 
BGl_symbol2782z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2783z00zz__evaluatez00); 
BGl_symbol2784z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2785z00zz__evaluatez00); 
BGl_symbol2786z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2787z00zz__evaluatez00); 
BGl_symbol2788z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2789z00zz__evaluatez00); 
BGl_symbol2790z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2791z00zz__evaluatez00); 
BGl_symbol2792z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2793z00zz__evaluatez00); 
BGl_symbol2794z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2795z00zz__evaluatez00); 
BGl_keyword2796z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string2797z00zz__evaluatez00); 
return ( 
BGl_symbol2798z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2799z00zz__evaluatez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_1139;
BgL_headz00_1139 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1140;obj_t BgL_tailz00_1141;
BgL_prevz00_1140 = BgL_headz00_1139; 
BgL_tailz00_1141 = BgL_l1z00_1; 
BgL_loopz00_1142:
if(
PAIRP(BgL_tailz00_1141))
{ 
obj_t BgL_newzd2prevzd2_1144;
BgL_newzd2prevzd2_1144 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1141), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1140, BgL_newzd2prevzd2_1144); 
{ 
obj_t BgL_tailz00_4242;obj_t BgL_prevz00_4241;
BgL_prevz00_4241 = BgL_newzd2prevzd2_1144; 
BgL_tailz00_4242 = 
CDR(BgL_tailz00_1141); 
BgL_tailz00_1141 = BgL_tailz00_4242; 
BgL_prevz00_1140 = BgL_prevz00_4241; 
goto BgL_loopz00_1142;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1139);} } } 

}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
obj_t BgL_stringz00_1147;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_arg2515z00_3125;
BgL_arg2515z00_3125 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_stringz00_1147 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3125); } 
{ /* Eval/evaluate.scm 74 */
long BgL_lenz00_1148;
BgL_lenz00_1148 = 
STRING_LENGTH(BgL_stringz00_1147); 
{ /* Eval/evaluate.scm 75 */

{ 
long BgL_walkerz00_1150;
BgL_walkerz00_1150 = ((long)0); 
BgL_zc3z04anonymousza31328ze3z87_1151:
if(
(BgL_walkerz00_1150==BgL_lenz00_1148))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
bool_t BgL_test2880z00_4251;
if(
(
STRING_REF(BgL_stringz00_1147, BgL_walkerz00_1150)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1150<
(BgL_lenz00_1148-((long)1))))
{ /* Eval/evaluate.scm 81 */
BgL_test2880z00_4251 = 
(
STRING_REF(BgL_stringz00_1147, 
(BgL_walkerz00_1150+((long)1)))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_test2880z00_4251 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_test2880z00_4251 = ((bool_t)0)
; } 
if(BgL_test2880z00_4251)
{ /* Eval/evaluate.scm 83 */
obj_t BgL_arg1341z00_1162;obj_t BgL_arg1343z00_1163;
BgL_arg1341z00_1162 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1147, ((long)0), BgL_walkerz00_1150)); 
{ /* Eval/evaluate.scm 84 */
obj_t BgL_arg1345z00_1165;
{ /* Eval/evaluate.scm 84 */
long BgL_arg1346z00_1166;
BgL_arg1346z00_1166 = 
(BgL_walkerz00_1150+((long)2)); 
{ /* Ieee/string.scm 190 */
long BgL_endz00_1169;
BgL_endz00_1169 = 
STRING_LENGTH(BgL_stringz00_1147); 
{ /* Ieee/string.scm 190 */

BgL_arg1345z00_1165 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1147, BgL_arg1346z00_1166, BgL_endz00_1169); } } } 
BgL_arg1343z00_1163 = 
bstring_to_symbol(BgL_arg1345z00_1165); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1341z00_1162, BgL_arg1343z00_1163);}  else 
{ 
long BgL_walkerz00_4268;
BgL_walkerz00_4268 = 
(BgL_walkerz00_1150+((long)1)); 
BgL_walkerz00_1150 = BgL_walkerz00_4268; 
goto BgL_zc3z04anonymousza31328ze3z87_1151;} } } } } } } 

}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
{
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
obj_t BgL_sz00_1178;
BgL_sz00_1178 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
obj_t BgL_bpz00_1179;
BgL_bpz00_1179 = 
VECTOR_REF(
((obj_t)BgL_sz00_1178),((long)0)); 
{ /* Eval/evaluate.scm 94 */
obj_t BgL_rz00_1180;
BgL_rz00_1180 = 
make_vector(
(long)CINT(BgL_bpz00_1179), BGl_string2675z00zz__evaluatez00); 
{ 
long BgL_iz00_1182;
BgL_iz00_1182 = ((long)0); 
BgL_zc3z04anonymousza31353ze3z87_1183:
if(
(BgL_iz00_1182<
(long)CINT(BgL_bpz00_1179)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
obj_t BgL_arg1356z00_1185;
BgL_arg1356z00_1185 = 
VECTOR_REF(
((obj_t)BgL_sz00_1178),BgL_iz00_1182); 
VECTOR_SET(BgL_rz00_1180,BgL_iz00_1182,BgL_arg1356z00_1185); } 
{ 
long BgL_iz00_4281;
BgL_iz00_4281 = 
(BgL_iz00_1182+((long)1)); 
BgL_iz00_1182 = BgL_iz00_4281; 
goto BgL_zc3z04anonymousza31353ze3z87_1183;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1180;} } } } 

}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4118)
{
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 

}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
obj_t BgL_sz00_1188;
BgL_sz00_1188 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
obj_t BgL_bpz00_1189;
BgL_bpz00_1189 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),((long)0)); 
{ 
long BgL_iz00_1191;
{ /* Eval/evaluate.scm 107 */
bool_t BgL_tmpz00_4287;
BgL_iz00_1191 = ((long)0); 
BgL_zc3z04anonymousza31358ze3z87_1192:
if(
(BgL_iz00_1191<
(long)CINT(BgL_bpz00_1189)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
obj_t BgL_arg1360z00_1194;
BgL_arg1360z00_1194 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1191); 
VECTOR_SET(
((obj_t)BgL_sz00_1188),BgL_iz00_1191,BgL_arg1360z00_1194); } 
{ 
long BgL_iz00_4295;
BgL_iz00_4295 = 
(BgL_iz00_1191+((long)1)); 
BgL_iz00_1191 = BgL_iz00_4295; 
goto BgL_zc3z04anonymousza31358ze3z87_1192;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4287 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4287);} } } } } 

}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4119, obj_t BgL_vz00_4120)
{
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4120);} 

}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
obj_t BgL_sz00_1197;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4299;
BgL_tmpz00_4299 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1197 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4299); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1197),((long)0),
BINT(BgL_bpz00_5));} } 

}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4121, obj_t BgL_bpz00_4122)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
int BgL_auxz00_4305;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4306;
if(
INTEGERP(BgL_bpz00_4122))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4306 = BgL_bpz00_4122
; }  else 
{ 
obj_t BgL_auxz00_4309;
BgL_auxz00_4309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2676z00zz__evaluatez00, 
BINT(((long)3890)), BGl_string2677z00zz__evaluatez00, BGl_string2678z00zz__evaluatez00, BgL_bpz00_4122); 
FAILURE(BgL_auxz00_4309,BFALSE,BFALSE);} 
BgL_auxz00_4305 = 
CINT(BgL_tmpz00_4306); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4305);} } 

}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
obj_t BgL_tmpz00_4315;
BgL_tmpz00_4315 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4315, BgL_statez00_6);} } 

}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4123, obj_t BgL_statez00_4124)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
obj_t BgL_auxz00_4318;
if(
VECTORP(BgL_statez00_4124))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4318 = BgL_statez00_4124
; }  else 
{ 
obj_t BgL_auxz00_4321;
BgL_auxz00_4321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2676z00zz__evaluatez00, 
BINT(((long)4240)), BGl_string2679z00zz__evaluatez00, BGl_string2680z00zz__evaluatez00, BgL_statez00_4124); 
FAILURE(BgL_auxz00_4321,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4318);} } 

}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
BgL_ev_exprz00_bglt BgL_astz00_1200;
{ /* Eval/evaluate.scm 130 */
obj_t BgL_arg1364z00_1210;
BgL_arg1364z00_1210 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1200 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1364z00_1210)); } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1200); 
{ /* Eval/evaluate.scm 132 */
int BgL_nz00_1201;
BgL_nz00_1201 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1200); 
{ /* Eval/evaluate.scm 133 */
obj_t BgL_fz00_1202;
BgL_fz00_1202 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1200); 
{ /* Eval/evaluate.scm 134 */
obj_t BgL_sz00_1203;
BgL_sz00_1203 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 135 */
obj_t BgL_bpz00_1204;
BgL_bpz00_1204 = 
VECTOR_REF(
((obj_t)BgL_sz00_1203),((long)0)); 
{ /* Eval/evaluate.scm 136 */
obj_t BgL_exitd1064z00_1205;
BgL_exitd1064z00_1205 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 138 */
obj_t BgL_zc3z04anonymousza31363ze3z87_4125;
BgL_zc3z04anonymousza31363ze3z87_4125 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31363ze3z87_4125, 
(int)(((long)0)), BgL_sz00_1203); 
PROCEDURE_SET(BgL_zc3z04anonymousza31363ze3z87_4125, 
(int)(((long)1)), BgL_bpz00_1204); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1064z00_1205, BgL_zc3z04anonymousza31363ze3z87_4125); 
{ /* Eval/evaluate.scm 137 */
obj_t BgL_tmp1066z00_1207;
BgL_tmp1066z00_1207 = 
PROCEDURE_ENTRY(BgL_fz00_1202)(BgL_fz00_1202, BgL_sz00_1203, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1064z00_1205); 
BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00(BgL_zc3z04anonymousza31363ze3z87_4125); 
return BgL_tmp1066z00_1207;} } } } } } } } } 

}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4126, obj_t BgL_sexpz00_4127, obj_t BgL_envz00_4128, obj_t BgL_locz00_4129)
{
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4127, BgL_envz00_4128, BgL_locz00_4129);} 

}



/* &<@anonymous:1363> */
obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00(obj_t BgL_envz00_4130)
{
{ /* Eval/evaluate.scm 136 */
{ /* Eval/evaluate.scm 138 */
obj_t BgL_sz00_4131;obj_t BgL_bpz00_4132;
BgL_sz00_4131 = 
PROCEDURE_REF(BgL_envz00_4130, 
(int)(((long)0))); 
BgL_bpz00_4132 = 
PROCEDURE_REF(BgL_envz00_4130, 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4131),((long)0),BgL_bpz00_4132);} } 

}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{
{ /* Eval/evaluate.scm 143 */
{ /* Eval/evaluate.scm 144 */
obj_t BgL__ortest_1067z00_1211;
BgL__ortest_1067z00_1211 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1067z00_1211))
{ /* Eval/evaluate.scm 144 */
return BgL__ortest_1067z00_1211;}  else 
{ /* Eval/evaluate.scm 144 */
return BgL_locz00_11;} } } 

}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{
{ /* Eval/evaluate.scm 149 */
{ /* Eval/evaluate.scm 150 */
obj_t BgL__ortest_1068z00_1212;
BgL__ortest_1068z00_1212 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1068z00_1212))
{ /* Eval/evaluate.scm 150 */
return BgL__ortest_1068z00_1212;}  else 
{ /* Eval/evaluate.scm 151 */
obj_t BgL__ortest_1069z00_1213;
BgL__ortest_1069z00_1213 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1069z00_1213))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1069z00_1213;}  else 
{ /* Eval/evaluate.scm 151 */
return BgL_locz00_14;} } } } 

}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{
{ /* Eval/evaluate.scm 157 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2681z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 

}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{
{ /* Eval/evaluate.scm 163 */
{ 
obj_t BgL_lz00_1215;
BgL_lz00_1215 = BgL_localsz00_19; 
BgL_zc3z04anonymousza31365ze3z87_1216:
if(
NULLP(BgL_lz00_1215))
{ /* Eval/evaluate.scm 165 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 167 */
obj_t BgL_rvz00_1218;
BgL_rvz00_1218 = 
CAR(
((obj_t)BgL_lz00_1215)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1218)))->BgL_namez00)))
{ /* Eval/evaluate.scm 169 */
return BgL_rvz00_1218;}  else 
{ 
obj_t BgL_lz00_4375;
BgL_lz00_4375 = 
CDR(
((obj_t)BgL_lz00_1215)); 
BgL_lz00_1215 = BgL_lz00_4375; 
goto BgL_zc3z04anonymousza31365ze3z87_1216;} } } } 

}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{
{ /* Eval/evaluate.scm 176 */
{ /* Eval/evaluate.scm 177 */
obj_t BgL_locz00_1225;
BgL_locz00_1225 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
obj_t BgL_e1z00_1229;obj_t BgL_rz00_1230;obj_t BgL_ez00_1227;
if(
NULLP(BgL_lz00_20))
{ 
BgL_ev_littz00_bglt BgL_auxz00_4381;
{ /* Eval/evaluate.scm 180 */
BgL_ev_littz00_bglt BgL_new1072z00_1242;
{ /* Eval/evaluate.scm 181 */
BgL_ev_littz00_bglt BgL_new1071z00_1243;
BgL_new1071z00_1243 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 181 */
long BgL_arg1379z00_1244;
BgL_arg1379z00_1244 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_1243), BgL_arg1379z00_1244); } 
BgL_new1072z00_1242 = BgL_new1071z00_1243; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1072z00_1242))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4381 = BgL_new1072z00_1242; } 
return 
((obj_t)BgL_auxz00_4381);}  else 
{ /* Eval/evaluate.scm 178 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 178 */
if(
NULLP(
CDR(BgL_lz00_20)))
{ /* Eval/evaluate.scm 178 */
BgL_ez00_1227 = 
CAR(BgL_lz00_20); 
return 
BGl_convz00zz__evaluatez00(BgL_ez00_1227, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1227, BgL_locz00_1225), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 178 */
obj_t BgL_arg1376z00_1239;obj_t BgL_arg1377z00_1240;
BgL_arg1376z00_1239 = 
CAR(BgL_lz00_20); 
BgL_arg1377z00_1240 = 
CDR(BgL_lz00_20); 
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_4398;
BgL_e1z00_1229 = BgL_arg1376z00_1239; 
BgL_rz00_1230 = BgL_arg1377z00_1240; 
{ /* Eval/evaluate.scm 185 */
BgL_ev_prog2z00_bglt BgL_new1074z00_1246;
{ /* Eval/evaluate.scm 186 */
BgL_ev_prog2z00_bglt BgL_new1073z00_1248;
BgL_new1073z00_1248 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 186 */
long BgL_arg1382z00_1249;
BgL_arg1382z00_1249 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1248), BgL_arg1382z00_1249); } 
BgL_new1074z00_1246 = BgL_new1073z00_1248; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4403;
{ /* Eval/evaluate.scm 186 */
obj_t BgL_arg1381z00_1247;
BgL_arg1381z00_1247 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1229, BgL_locz00_1225); 
BgL_auxz00_4403 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1229, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1381z00_1247, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1074z00_1246))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4403),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1074z00_1246))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1230, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1225, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4398 = BgL_new1074z00_1246; } 
return 
((obj_t)BgL_auxz00_4398);} } }  else 
{ /* Eval/evaluate.scm 178 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1225, BGl_string2683z00zz__evaluatez00, BGl_string2684z00zz__evaluatez00, BgL_lz00_20);} } } } } 

}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{
{ /* Eval/evaluate.scm 194 */
{ /* Eval/evaluate.scm 195 */
BgL_ev_globalz00_bglt BgL_new1076z00_1250;
{ /* Eval/evaluate.scm 196 */
BgL_ev_globalz00_bglt BgL_new1075z00_1252;
BgL_new1075z00_1252 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 196 */
long BgL_arg1384z00_1253;
BgL_arg1384z00_1253 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_1252), BgL_arg1384z00_1253); } 
BgL_new1076z00_1250 = BgL_new1075z00_1252; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1250))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1250))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
obj_t BgL_auxz00_4419;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4419 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4419 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1250))->BgL_modz00)=((obj_t)BgL_auxz00_4419),BUNSPEC); } 
return BgL_new1076z00_1250;} } 

}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{
{ /* Eval/evaluate.scm 203 */
{ /* Eval/evaluate.scm 204 */
obj_t BgL_lz00_1254;
BgL_lz00_1254 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 204 */
obj_t BgL_vz00_1255;
BgL_vz00_1255 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1254)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 205 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1255, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 208 */
obj_t BgL_g1078z00_1258;obj_t BgL_g1079z00_1259;
{ /* Eval/evaluate.scm 209 */
obj_t BgL_arg1402z00_1282;
BgL_arg1402z00_1282 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1255)))->BgL_typez00); 
BgL_g1078z00_1258 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1402z00_1282); } 
BgL_g1079z00_1259 = 
CDR(
((obj_t)BgL_lz00_1254)); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1261;obj_t BgL_klassz00_1262;obj_t BgL_fieldsz00_1263;
BgL_nodez00_1261 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1255)); 
BgL_klassz00_1262 = BgL_g1078z00_1258; 
BgL_fieldsz00_1263 = BgL_g1079z00_1259; 
BgL_zc3z04anonymousza31386ze3z87_1264:
if(
NULLP(BgL_fieldsz00_1263))
{ /* Eval/evaluate.scm 212 */
return 
((obj_t)BgL_nodez00_1261);}  else 
{ /* Eval/evaluate.scm 212 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1262))
{ /* Eval/evaluate.scm 215 */
obj_t BgL_fieldz00_1267;
{ /* Eval/evaluate.scm 215 */
obj_t BgL_arg1400z00_1278;
BgL_arg1400z00_1278 = 
CAR(
((obj_t)BgL_fieldsz00_1263)); 
BgL_fieldz00_1267 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1262, BgL_arg1400z00_1278); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1267))
{ /* Eval/evaluate.scm 217 */
BgL_ev_appz00_bglt BgL_nodez00_1269;
BgL_nodez00_1269 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1267, BgL_nodez00_1261, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 220 */
obj_t BgL_arg1390z00_1270;obj_t BgL_arg1392z00_1271;
BgL_arg1390z00_1270 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1267); 
BgL_arg1392z00_1271 = 
CDR(
((obj_t)BgL_fieldsz00_1263)); 
{ 
obj_t BgL_fieldsz00_4453;obj_t BgL_klassz00_4452;BgL_ev_exprz00_bglt BgL_nodez00_4450;
BgL_nodez00_4450 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1269); 
BgL_klassz00_4452 = BgL_arg1390z00_1270; 
BgL_fieldsz00_4453 = BgL_arg1392z00_1271; 
BgL_fieldsz00_1263 = BgL_fieldsz00_4453; 
BgL_klassz00_1262 = BgL_klassz00_4452; 
BgL_nodez00_1261 = BgL_nodez00_4450; 
goto BgL_zc3z04anonymousza31386ze3z87_1264;} } }  else 
{ /* Eval/evaluate.scm 222 */
obj_t BgL_arg1393z00_1272;obj_t BgL_arg1394z00_1273;
BgL_arg1393z00_1272 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1255)))->BgL_typez00); 
{ /* Eval/evaluate.scm 223 */
obj_t BgL_arg1396z00_1274;obj_t BgL_arg1397z00_1275;
BgL_arg1396z00_1274 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1255)))->BgL_typez00); 
BgL_arg1397z00_1275 = 
CAR(
((obj_t)BgL_fieldsz00_1263)); 
{ /* Eval/evaluate.scm 223 */
obj_t BgL_list1398z00_1276;
{ /* Eval/evaluate.scm 223 */
obj_t BgL_arg1399z00_1277;
BgL_arg1399z00_1277 = 
MAKE_YOUNG_PAIR(BgL_arg1397z00_1275, BNIL); 
BgL_list1398z00_1276 = 
MAKE_YOUNG_PAIR(BgL_arg1396z00_1274, BgL_arg1399z00_1277); } 
BgL_arg1394z00_1273 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2685z00zz__evaluatez00, BgL_list1398z00_1276); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1393z00_1272, BgL_arg1394z00_1273, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 226 */
obj_t BgL_arg1401z00_1279;
{ /* Eval/evaluate.scm 226 */
obj_t BgL__ortest_1080z00_1280;
BgL__ortest_1080z00_1280 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1255)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1080z00_1280))
{ /* Eval/evaluate.scm 226 */
BgL_arg1401z00_1279 = BgL__ortest_1080z00_1280; }  else 
{ /* Eval/evaluate.scm 226 */
BgL_arg1401z00_1279 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1255)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1401z00_1279, BGl_string2686z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 228 */
obj_t BgL_arg1403z00_1283;
{ /* Eval/evaluate.scm 228 */
obj_t BgL_pairz00_3191;
BgL_pairz00_3191 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1403z00_1283 = 
CAR(BgL_pairz00_3191); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1403z00_1283, BGl_string2687z00zz__evaluatez00, BgL_ez00_30);} } } } } 

}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{
{ /* Eval/evaluate.scm 233 */
{ /* Eval/evaluate.scm 234 */
obj_t BgL_vz00_1285;
BgL_vz00_1285 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 234 */
obj_t BgL_e2z00_1286;
BgL_e2z00_1286 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 235 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1285, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 238 */
obj_t BgL_g1082z00_1289;obj_t BgL_g1083z00_1290;
{ /* Eval/evaluate.scm 239 */
obj_t BgL_arg1428z00_1321;
BgL_arg1428z00_1321 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1285)))->BgL_typez00); 
BgL_g1082z00_1289 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1428z00_1321); } 
BgL_g1083z00_1290 = 
CDR(BgL_lz00_37); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1292;obj_t BgL_klassz00_1293;obj_t BgL_fieldsz00_1294;
BgL_nodez00_1292 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1285)); 
BgL_klassz00_1293 = BgL_g1082z00_1289; 
BgL_fieldsz00_1294 = BgL_g1083z00_1290; 
BgL_zc3z04anonymousza31406ze3z87_1295:
if(
NULLP(BgL_fieldsz00_1294))
{ /* Eval/evaluate.scm 242 */
return 
((obj_t)BgL_nodez00_1292);}  else 
{ /* Eval/evaluate.scm 242 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1293))
{ /* Eval/evaluate.scm 245 */
obj_t BgL_fieldz00_1298;
{ /* Eval/evaluate.scm 245 */
obj_t BgL_arg1426z00_1317;
BgL_arg1426z00_1317 = 
CAR(
((obj_t)BgL_fieldsz00_1294)); 
BgL_fieldz00_1298 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1293, BgL_arg1426z00_1317); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1298))
{ /* Eval/evaluate.scm 246 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1294))))
{ /* Eval/evaluate.scm 247 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1298))
{ /* Eval/evaluate.scm 250 */
obj_t BgL_arg1413z00_1303;
{ /* Eval/evaluate.scm 250 */
obj_t BgL_list1414z00_1304;
{ /* Eval/evaluate.scm 250 */
obj_t BgL_arg1415z00_1305;
BgL_arg1415z00_1305 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1286, BNIL); 
BgL_list1414z00_1304 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_nodez00_1292), BgL_arg1415z00_1305); } 
BgL_arg1413z00_1303 = BgL_list1414z00_1304; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1298, BgL_arg1413z00_1303, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 251 */
obj_t BgL_arg1416z00_1306;
BgL_arg1416z00_1306 = 
CAR(
((obj_t)BgL_fieldsz00_1294)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1416z00_1306, BGl_string2688z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 254 */
BgL_ev_appz00_bglt BgL_nodez00_1307;
BgL_nodez00_1307 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1298, BgL_nodez00_1292, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 257 */
obj_t BgL_arg1417z00_1308;obj_t BgL_arg1418z00_1309;
BgL_arg1417z00_1308 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1298); 
BgL_arg1418z00_1309 = 
CDR(
((obj_t)BgL_fieldsz00_1294)); 
{ 
obj_t BgL_fieldsz00_4517;obj_t BgL_klassz00_4516;BgL_ev_exprz00_bglt BgL_nodez00_4514;
BgL_nodez00_4514 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1307); 
BgL_klassz00_4516 = BgL_arg1417z00_1308; 
BgL_fieldsz00_4517 = BgL_arg1418z00_1309; 
BgL_fieldsz00_1294 = BgL_fieldsz00_4517; 
BgL_klassz00_1293 = BgL_klassz00_4516; 
BgL_nodez00_1292 = BgL_nodez00_4514; 
goto BgL_zc3z04anonymousza31406ze3z87_1295;} } } }  else 
{ /* Eval/evaluate.scm 259 */
obj_t BgL_arg1420z00_1311;obj_t BgL_arg1421z00_1312;
BgL_arg1420z00_1311 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1285)))->BgL_typez00); 
{ /* Eval/evaluate.scm 260 */
obj_t BgL_arg1422z00_1313;obj_t BgL_arg1423z00_1314;
BgL_arg1422z00_1313 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1285)))->BgL_typez00); 
BgL_arg1423z00_1314 = 
CAR(
((obj_t)BgL_fieldsz00_1294)); 
{ /* Eval/evaluate.scm 260 */
obj_t BgL_list1424z00_1315;
{ /* Eval/evaluate.scm 260 */
obj_t BgL_arg1425z00_1316;
BgL_arg1425z00_1316 = 
MAKE_YOUNG_PAIR(BgL_arg1423z00_1314, BNIL); 
BgL_list1424z00_1315 = 
MAKE_YOUNG_PAIR(BgL_arg1422z00_1313, BgL_arg1425z00_1316); } 
BgL_arg1421z00_1312 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2685z00zz__evaluatez00, BgL_list1424z00_1315); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1420z00_1311, BgL_arg1421z00_1312, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 264 */
obj_t BgL_arg1427z00_1318;
{ /* Eval/evaluate.scm 264 */
obj_t BgL__ortest_1084z00_1319;
BgL__ortest_1084z00_1319 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1285)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1084z00_1319))
{ /* Eval/evaluate.scm 264 */
BgL_arg1427z00_1318 = BgL__ortest_1084z00_1319; }  else 
{ /* Eval/evaluate.scm 264 */
BgL_arg1427z00_1318 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1285)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1427z00_1318, BGl_string2686z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 236 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2687z00zz__evaluatez00, BgL_ez00_39);} } } } } 

}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, BgL_ev_exprz00_bglt BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{
{ /* Eval/evaluate.scm 270 */
{ /* Eval/evaluate.scm 271 */
obj_t BgL_getz00_1324;
BgL_getz00_1324 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 272 */
BgL_ev_appz00_bglt BgL_new1086z00_1325;
{ /* Eval/evaluate.scm 273 */
BgL_ev_appz00_bglt BgL_new1085z00_1330;
BgL_new1085z00_1330 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 273 */
long BgL_arg1434z00_1331;
BgL_arg1434z00_1331 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_1330), BgL_arg1434z00_1331); } 
BgL_new1086z00_1325 = BgL_new1085z00_1330; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1325))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4545;
{ /* Eval/evaluate.scm 274 */
BgL_ev_littz00_bglt BgL_new1088z00_1326;
{ /* Eval/evaluate.scm 274 */
BgL_ev_littz00_bglt BgL_new1087z00_1327;
BgL_new1087z00_1327 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
long BgL_arg1431z00_1328;
{ /* Eval/evaluate.scm 274 */
obj_t BgL_classz00_3204;
BgL_classz00_3204 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1431z00_1328 = 
BGL_CLASS_INDEX(BgL_classz00_3204); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_1327), BgL_arg1431z00_1328); } 
BgL_new1088z00_1326 = BgL_new1087z00_1327; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1088z00_1326))->BgL_valuez00)=((obj_t)BgL_getz00_1324),BUNSPEC); 
BgL_auxz00_4545 = 
((BgL_ev_exprz00_bglt)BgL_new1088z00_1326); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1325))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4545),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4553;
{ /* Eval/evaluate.scm 275 */
obj_t BgL_list1432z00_1329;
BgL_list1432z00_1329 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_argz00_47), BNIL); 
BgL_auxz00_4553 = BgL_list1432z00_1329; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1325))->BgL_argsz00)=((obj_t)BgL_auxz00_4553),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1325))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1086z00_1325;} } } 

}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{
{ /* Eval/evaluate.scm 281 */
{ /* Eval/evaluate.scm 282 */
obj_t BgL_setz00_1332;
BgL_setz00_1332 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 283 */
BgL_ev_appz00_bglt BgL_new1090z00_1333;
{ /* Eval/evaluate.scm 284 */
BgL_ev_appz00_bglt BgL_new1089z00_1337;
BgL_new1089z00_1337 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 284 */
long BgL_arg1436z00_1338;
BgL_arg1436z00_1338 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_1337), BgL_arg1436z00_1338); } 
BgL_new1090z00_1333 = BgL_new1089z00_1337; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1333))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4564;
{ /* Eval/evaluate.scm 285 */
BgL_ev_littz00_bglt BgL_new1092z00_1334;
{ /* Eval/evaluate.scm 285 */
BgL_ev_littz00_bglt BgL_new1091z00_1335;
BgL_new1091z00_1335 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
long BgL_arg1435z00_1336;
{ /* Eval/evaluate.scm 285 */
obj_t BgL_classz00_3211;
BgL_classz00_3211 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1435z00_1336 = 
BGL_CLASS_INDEX(BgL_classz00_3211); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_1335), BgL_arg1435z00_1336); } 
BgL_new1092z00_1334 = BgL_new1091z00_1335; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1092z00_1334))->BgL_valuez00)=((obj_t)BgL_setz00_1332),BUNSPEC); 
BgL_auxz00_4564 = 
((BgL_ev_exprz00_bglt)BgL_new1092z00_1334); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1333))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4564),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1333))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1333))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1090z00_1333;} } } 

}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{
{ /* Eval/evaluate.scm 292 */
{ /* Eval/evaluate.scm 293 */
obj_t BgL_arg1437z00_1339;obj_t BgL_arg1438z00_1340;
BgL_arg1437z00_1339 = 
CAR(BgL_pz00_54); 
BgL_arg1438z00_1340 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 293 */
obj_t BgL_res2664z00_3216;
BgL_res2664z00_3216 = 
MAKE_YOUNG_EPAIR(BgL_arg1437z00_1339, BgL_arg1438z00_1340, BgL_locz00_55); 
return BgL_res2664z00_3216;} } } 

}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{
{ /* Eval/evaluate.scm 298 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 301 */
obj_t BgL_predz00_1342;
if(
(BgL_tnamez00_57==BGl_symbol2689z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2691z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2693z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2694z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2696z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2698z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2700z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2702z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
bool_t BgL_test2913z00_4587;
{ /* Eval/evaluate.scm 301 */
bool_t BgL__ortest_1093z00_1418;
BgL__ortest_1093z00_1418 = 
(BgL_tnamez00_57==BGl_symbol2704z00zz__evaluatez00); 
if(BgL__ortest_1093z00_1418)
{ /* Eval/evaluate.scm 301 */
BgL_test2913z00_4587 = BgL__ortest_1093z00_1418
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2913z00_4587 = 
(BgL_tnamez00_57==BGl_symbol2706z00zz__evaluatez00)
; } } 
if(BgL_test2913z00_4587)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2707z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
bool_t BgL_test2915z00_4591;
{ /* Eval/evaluate.scm 301 */
bool_t BgL__ortest_1094z00_1417;
BgL__ortest_1094z00_1417 = 
(BgL_tnamez00_57==BGl_symbol2709z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1417)
{ /* Eval/evaluate.scm 301 */
BgL_test2915z00_4591 = BgL__ortest_1094z00_1417
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2915z00_4591 = 
(BgL_tnamez00_57==BGl_symbol2711z00zz__evaluatez00)
; } } 
if(BgL_test2915z00_4591)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2713z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2715z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2717z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2719z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2721z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2723z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2725z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
bool_t BgL_test2920z00_4601;
{ /* Eval/evaluate.scm 301 */
bool_t BgL__ortest_1095z00_1416;
BgL__ortest_1095z00_1416 = 
(BgL_tnamez00_57==BGl_symbol2727z00zz__evaluatez00); 
if(BgL__ortest_1095z00_1416)
{ /* Eval/evaluate.scm 301 */
BgL_test2920z00_4601 = BgL__ortest_1095z00_1416
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2920z00_4601 = 
(BgL_tnamez00_57==BGl_symbol2729z00zz__evaluatez00)
; } } 
if(BgL_test2920z00_4601)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1342 = BGl_symbol2731z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 312 */
obj_t BgL_arg1482z00_1396;
{ /* Eval/evaluate.scm 312 */
obj_t BgL_arg1483z00_1397;obj_t BgL_arg1485z00_1398;
BgL_arg1483z00_1397 = 
MAKE_YOUNG_PAIR(BGl_symbol2733z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1486z00_1399;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1487z00_1400;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1488z00_1401;obj_t BgL_arg1489z00_1402;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1490z00_1403;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1491z00_1404;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1492z00_1405;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1493z00_1406;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1494z00_1407;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1495z00_1408;
BgL_arg1495z00_1408 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1494z00_1407 = 
MAKE_YOUNG_PAIR(BGl_symbol2735z00zz__evaluatez00, BgL_arg1495z00_1408); } 
BgL_arg1493z00_1406 = 
MAKE_YOUNG_PAIR(BgL_arg1494z00_1407, BNIL); } 
BgL_arg1492z00_1405 = 
MAKE_YOUNG_PAIR(BGl_symbol2737z00zz__evaluatez00, BgL_arg1493z00_1406); } 
BgL_arg1491z00_1404 = 
MAKE_YOUNG_PAIR(BgL_arg1492z00_1405, BNIL); } 
BgL_arg1490z00_1403 = 
MAKE_YOUNG_PAIR(BGl_symbol2739z00zz__evaluatez00, BgL_arg1491z00_1404); } 
BgL_arg1488z00_1401 = 
MAKE_YOUNG_PAIR(BgL_arg1490z00_1403, BNIL); } 
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1496z00_1409;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1497z00_1410;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1498z00_1411;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1499z00_1412;obj_t BgL_arg1501z00_1413;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1503z00_1414;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1504z00_1415;
BgL_arg1504z00_1415 = 
MAKE_YOUNG_PAIR(BGl_symbol2739z00zz__evaluatez00, BNIL); 
BgL_arg1503z00_1414 = 
MAKE_YOUNG_PAIR(BGl_symbol2733z00zz__evaluatez00, BgL_arg1504z00_1415); } 
BgL_arg1499z00_1412 = 
MAKE_YOUNG_PAIR(BGl_symbol2741z00zz__evaluatez00, BgL_arg1503z00_1414); } 
BgL_arg1501z00_1413 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1498z00_1411 = 
MAKE_YOUNG_PAIR(BgL_arg1499z00_1412, BgL_arg1501z00_1413); } 
BgL_arg1497z00_1410 = 
MAKE_YOUNG_PAIR(BGl_symbol2739z00zz__evaluatez00, BgL_arg1498z00_1411); } 
BgL_arg1496z00_1409 = 
MAKE_YOUNG_PAIR(BGl_symbol2743z00zz__evaluatez00, BgL_arg1497z00_1410); } 
BgL_arg1489z00_1402 = 
MAKE_YOUNG_PAIR(BgL_arg1496z00_1409, BNIL); } 
BgL_arg1487z00_1400 = 
MAKE_YOUNG_PAIR(BgL_arg1488z00_1401, BgL_arg1489z00_1402); } 
BgL_arg1486z00_1399 = 
MAKE_YOUNG_PAIR(BGl_symbol2745z00zz__evaluatez00, BgL_arg1487z00_1400); } 
BgL_arg1485z00_1398 = 
MAKE_YOUNG_PAIR(BgL_arg1486z00_1399, BNIL); } 
BgL_arg1482z00_1396 = 
MAKE_YOUNG_PAIR(BgL_arg1483z00_1397, BgL_arg1485z00_1398); } 
BgL_predz00_1342 = 
MAKE_YOUNG_PAIR(BGl_symbol2747z00zz__evaluatez00, BgL_arg1482z00_1396); } } } } } } } } } } 
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1440z00_1343;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1441z00_1344;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1442z00_1345;obj_t BgL_arg1443z00_1346;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1444z00_1347;
BgL_arg1444z00_1347 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1442z00_1345 = 
MAKE_YOUNG_PAIR(BgL_predz00_1342, BgL_arg1444z00_1347); } 
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1445z00_1348;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1446z00_1349;
{ 
obj_t BgL_fnamez00_1350;obj_t BgL_posz00_1351;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 316 */
obj_t BgL_cdrzd2138zd2_1356;
BgL_cdrzd2138zd2_1356 = 
CDR(BgL_locz00_58); 
if(
(
CAR(BgL_locz00_58)==BGl_symbol2753z00zz__evaluatez00))
{ /* Eval/evaluate.scm 316 */
if(
PAIRP(BgL_cdrzd2138zd2_1356))
{ /* Eval/evaluate.scm 316 */
obj_t BgL_cdrzd2142zd2_1360;
BgL_cdrzd2142zd2_1360 = 
CDR(BgL_cdrzd2138zd2_1356); 
if(
PAIRP(BgL_cdrzd2142zd2_1360))
{ /* Eval/evaluate.scm 316 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1360)))
{ /* Eval/evaluate.scm 316 */
BgL_fnamez00_1350 = 
CAR(BgL_cdrzd2138zd2_1356); 
BgL_posz00_1351 = 
CAR(BgL_cdrzd2142zd2_1360); 
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1458z00_1368;
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1459z00_1369;obj_t BgL_arg1460z00_1370;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg2515z00_3225;
BgL_arg2515z00_3225 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1459z00_1369 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3225); }  else 
{ /* Eval/evaluate.scm 321 */
BgL_arg1459z00_1369 = BFALSE; } 
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg1462z00_1372;obj_t BgL_arg1463z00_1373;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg2515z00_3227;
BgL_arg2515z00_3227 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1462z00_1372 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3227); } 
{ /* Eval/evaluate.scm 320 */
obj_t BgL_arg1464z00_1374;
{ /* Eval/evaluate.scm 320 */
obj_t BgL_arg1465z00_1375;
BgL_arg1465z00_1375 = 
MAKE_YOUNG_PAIR(BgL_posz00_1351, BNIL); 
BgL_arg1464z00_1374 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1350, BgL_arg1465z00_1375); } 
BgL_arg1463z00_1373 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1464z00_1374); } 
BgL_arg1460z00_1370 = 
MAKE_YOUNG_PAIR(BgL_arg1462z00_1372, BgL_arg1463z00_1373); } 
BgL_arg1458z00_1368 = 
MAKE_YOUNG_PAIR(BgL_arg1459z00_1369, BgL_arg1460z00_1370); } 
BgL_arg1446z00_1349 = 
MAKE_YOUNG_PAIR(BGl_symbol2749z00zz__evaluatez00, BgL_arg1458z00_1368); } }  else 
{ /* Eval/evaluate.scm 316 */
BgL_tagzd2131zd2_1353:
{ /* Eval/evaluate.scm 326 */
obj_t BgL_arg1466z00_1376;
{ /* Eval/evaluate.scm 326 */
obj_t BgL_arg1467z00_1377;obj_t BgL_arg1468z00_1378;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 326 */
obj_t BgL_arg2515z00_3229;
BgL_arg2515z00_3229 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1467z00_1377 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3229); }  else 
{ /* Eval/evaluate.scm 326 */
BgL_arg1467z00_1377 = BFALSE; } 
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg1470z00_1380;obj_t BgL_arg1471z00_1381;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg2515z00_3231;
BgL_arg2515z00_3231 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1470z00_1380 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3231); } 
BgL_arg1471z00_1381 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1468z00_1378 = 
MAKE_YOUNG_PAIR(BgL_arg1470z00_1380, BgL_arg1471z00_1381); } 
BgL_arg1466z00_1376 = 
MAKE_YOUNG_PAIR(BgL_arg1467z00_1377, BgL_arg1468z00_1378); } 
BgL_arg1446z00_1349 = 
MAKE_YOUNG_PAIR(BGl_symbol2751z00zz__evaluatez00, BgL_arg1466z00_1376); } } }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1353;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1353;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1353;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1353;} } 
BgL_arg1445z00_1348 = 
MAKE_YOUNG_PAIR(BgL_arg1446z00_1349, BNIL); } 
BgL_arg1443z00_1346 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1445z00_1348); } 
BgL_arg1441z00_1344 = 
MAKE_YOUNG_PAIR(BgL_arg1442z00_1345, BgL_arg1443z00_1346); } 
BgL_arg1440z00_1343 = 
MAKE_YOUNG_PAIR(BGl_symbol2743z00zz__evaluatez00, BgL_arg1441z00_1344); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1440z00_1343, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 300 */
return BgL_bodyz00_60;} } 

}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{
{ /* Eval/evaluate.scm 334 */
{ /* Eval/evaluate.scm 335 */
bool_t BgL_test2929z00_4673;
{ /* Eval/evaluate.scm 335 */
int BgL_arg1515z00_1437;
BgL_arg1515z00_1437 = 
bgl_debug(); 
BgL_test2929z00_4673 = 
(
(long)(BgL_arg1515z00_1437)<=((long)0)); } 
if(BgL_test2929z00_4673)
{ /* Eval/evaluate.scm 335 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 335 */
return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4164, obj_t BgL_procnamez00_4163, obj_t BgL_locz00_4162, obj_t BgL_varsz00_1422, obj_t BgL_srcsz00_1423)
{
{ /* Eval/evaluate.scm 337 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1422))
{ /* Eval/evaluate.scm 339 */
return BgL_bodyz00_4164;}  else 
{ /* Eval/evaluate.scm 341 */
obj_t BgL_vz00_1426;
BgL_vz00_1426 = 
CAR(
((obj_t)BgL_varsz00_1422)); 
{ /* Eval/evaluate.scm 341 */
obj_t BgL_idz00_1427;
BgL_idz00_1427 = 
CAR(
((obj_t)BgL_vz00_1426)); 
{ /* Eval/evaluate.scm 342 */
obj_t BgL_tnamez00_1428;
BgL_tnamez00_1428 = 
CDR(
((obj_t)BgL_vz00_1426)); 
{ /* Eval/evaluate.scm 343 */

if(
CBOOL(BgL_tnamez00_1428))
{ /* Eval/evaluate.scm 345 */
obj_t BgL_locz00_1429;
{ /* Eval/evaluate.scm 345 */
obj_t BgL_arg1512z00_1433;
BgL_arg1512z00_1433 = 
CAR(
((obj_t)BgL_srcsz00_1423)); 
BgL_locz00_1429 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1512z00_1433, BgL_srcsz00_1423, BgL_locz00_4162); } 
{ /* Eval/evaluate.scm 347 */
obj_t BgL_arg1509z00_1430;
{ /* Eval/evaluate.scm 347 */
obj_t BgL_arg1510z00_1431;obj_t BgL_arg1511z00_1432;
BgL_arg1510z00_1431 = 
CDR(
((obj_t)BgL_varsz00_1422)); 
BgL_arg1511z00_1432 = 
CDR(
((obj_t)BgL_srcsz00_1423)); 
BgL_arg1509z00_1430 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4164, BgL_procnamez00_4163, BgL_locz00_4162, BgL_arg1510z00_1431, BgL_arg1511z00_1432); } 
return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1427, BgL_tnamez00_1428, BgL_locz00_1429, BgL_procnamez00_4163, BgL_arg1509z00_1430);} }  else 
{ /* Eval/evaluate.scm 348 */
obj_t BgL_arg1513z00_1434;obj_t BgL_arg1514z00_1435;
BgL_arg1513z00_1434 = 
CDR(
((obj_t)BgL_varsz00_1422)); 
BgL_arg1514z00_1435 = 
CDR(
((obj_t)BgL_srcsz00_1423)); 
{ 
obj_t BgL_srcsz00_4702;obj_t BgL_varsz00_4701;
BgL_varsz00_4701 = BgL_arg1513z00_1434; 
BgL_srcsz00_4702 = BgL_arg1514z00_1435; 
BgL_srcsz00_1423 = BgL_srcsz00_4702; 
BgL_varsz00_1422 = BgL_varsz00_4701; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 

}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{
{ /* Eval/evaluate.scm 353 */
{ /* Eval/evaluate.scm 354 */
bool_t BgL_test2932z00_4703;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 354 */
int BgL_arg1530z00_1452;
BgL_arg1530z00_1452 = 
bgl_debug(); 
BgL_test2932z00_4703 = 
(
(long)(BgL_arg1530z00_1452)>=((long)1)); }  else 
{ /* Eval/evaluate.scm 354 */
BgL_test2932z00_4703 = ((bool_t)0)
; } 
if(BgL_test2932z00_4703)
{ /* Eval/evaluate.scm 355 */
obj_t BgL_tmpz00_1440;
BgL_tmpz00_1440 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol2755z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1518z00_1441;obj_t BgL_arg1519z00_1442;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1520z00_1443;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1521z00_1444;obj_t BgL_arg1522z00_1445;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1524z00_1446;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1525z00_1447;obj_t BgL_arg1526z00_1448;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1527z00_1449;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_list1528z00_1450;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1529z00_1451;
BgL_arg1529z00_1451 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1528z00_1450 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1440, BgL_arg1529z00_1451); } 
BgL_arg1527z00_1449 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2757z00zz__evaluatez00, BgL_list1528z00_1450); } 
BgL_arg1525z00_1447 = 
bstring_to_symbol(BgL_arg1527z00_1449); } 
BgL_arg1526z00_1448 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1524z00_1446 = 
MAKE_YOUNG_PAIR(BgL_arg1525z00_1447, BgL_arg1526z00_1448); } 
BgL_arg1521z00_1444 = 
MAKE_YOUNG_PAIR(BgL_arg1524z00_1446, BNIL); } 
BgL_arg1522z00_1445 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1440, BNIL); 
BgL_arg1520z00_1443 = 
MAKE_YOUNG_PAIR(BgL_arg1521z00_1444, BgL_arg1522z00_1445); } 
BgL_arg1518z00_1441 = 
MAKE_YOUNG_PAIR(BGl_symbol2745z00zz__evaluatez00, BgL_arg1520z00_1443); } 
BgL_arg1519z00_1442 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1518z00_1441, BgL_arg1519z00_1442);} }  else 
{ /* Eval/evaluate.scm 354 */
return BgL_bodyz00_67;} } } 

}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{
{ /* Eval/evaluate.scm 365 */
BGl_convz00zz__evaluatez00:
{ 
obj_t BgL_ez00_2638;obj_t BgL_locz00_2639;obj_t BgL_wherez00_2640;obj_t BgL_ez00_2648;obj_t BgL_wherez00_2649;
{ 
obj_t BgL_xz00_1461;obj_t BgL_bahz00_1463;obj_t BgL_idz00_1465;obj_t BgL_modnamez00_1466;obj_t BgL_lz00_1468;obj_t BgL_funz00_1470;obj_t BgL_argsz00_1471;obj_t BgL_ez00_1473;obj_t BgL_vz00_1475;obj_t BgL_pz00_1477;obj_t BgL_tz00_1478;obj_t BgL_oz00_1479;obj_t BgL_pz00_1481;obj_t BgL_tz00_1482;obj_t BgL_argsz00_1484;obj_t BgL_argsz00_1486;obj_t BgL_lz00_1488;obj_t BgL_bindsz00_1490;obj_t BgL_bodyz00_1491;obj_t BgL_bindsz00_1493;obj_t BgL_bodyz00_1494;obj_t BgL_bindsz00_1496;obj_t BgL_bodyz00_1497;obj_t BgL_idz00_1499;obj_t BgL_modnamez00_1500;obj_t BgL_ez00_1501;obj_t BgL_lz00_1503;obj_t BgL_e2z00_1504;obj_t BgL_vz00_1506;obj_t BgL_ez00_1507;obj_t BgL_gvz00_1510;obj_t BgL_formalsz00_1511;obj_t BgL_bodyz00_1512;obj_t BgL_gvz00_1514;obj_t BgL_gez00_1515;obj_t BgL_vz00_1517;obj_t BgL_bodyz00_1518;obj_t BgL_ez00_1520;obj_t BgL_bodyz00_1521;obj_t BgL_hz00_1523;obj_t BgL_bodyz00_1524;obj_t BgL_mz00_1526;obj_t BgL_pz00_1527;obj_t BgL_bodyz00_1528;obj_t BgL_mz00_1530;obj_t BgL_bodyz00_1531;obj_t BgL_formalsz00_1533;obj_t BgL_bodyz00_1534;obj_t BgL_fz00_1537;obj_t BgL_argsz00_1538;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2768z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_bahz00_1463 = 
CDR(BgL_ez00_69); 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 432 */
obj_t BgL_formsz00_2328;
BgL_formsz00_2328 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 433 */
obj_t BgL_arg2208z00_2329;obj_t BgL_arg2209z00_2330;
BgL_arg2208z00_2329 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2328); 
BgL_arg2209z00_2330 = 
BGL_MODULE(); 
{ 
bool_t BgL_topzf3zf3_4736;obj_t BgL_wherez00_4735;obj_t BgL_tailzf3zf3_4734;obj_t BgL_globalsz00_4733;obj_t BgL_ez00_4732;
BgL_ez00_4732 = BgL_arg2208z00_2329; 
BgL_globalsz00_4733 = BgL_arg2209z00_2330; 
BgL_tailzf3zf3_4734 = BgL_wherez00_73; 
BgL_wherez00_4735 = BFALSE; 
BgL_topzf3zf3_4736 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_4736; 
BgL_wherez00_73 = BgL_wherez00_4735; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_4734; 
BgL_globalsz00_71 = BgL_globalsz00_4733; 
BgL_ez00_69 = BgL_ez00_4732; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 431 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2683z00zz__evaluatez00, BGl_string2767z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd2250zd2_1546;
BgL_cdrzd2250zd2_1546 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1546))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd2253zd2_1550;obj_t BgL_cdrzd2254zd2_1551;
BgL_carzd2253zd2_1550 = 
CAR(BgL_cdrzd2250zd2_1546); 
BgL_cdrzd2254zd2_1551 = 
CDR(BgL_cdrzd2250zd2_1546); 
if(
SYMBOLP(BgL_carzd2253zd2_1550))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2254zd2_1551))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd2258zd2_1554;
BgL_carzd2258zd2_1554 = 
CAR(BgL_cdrzd2254zd2_1551); 
if(
SYMBOLP(BgL_carzd2258zd2_1554))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2254zd2_1551)))
{ 
BgL_ev_globalz00_bglt BgL_auxz00_4757;
BgL_idz00_1465 = BgL_carzd2253zd2_1550; 
BgL_modnamez00_1466 = BgL_carzd2258zd2_1554; 
{ /* Eval/evaluate.scm 437 */
BgL_ev_globalz00_bglt BgL_new1106z00_2332;
{ /* Eval/evaluate.scm 438 */
BgL_ev_globalz00_bglt BgL_new1105z00_2333;
BgL_new1105z00_2333 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 438 */
long BgL_arg2211z00_2334;
BgL_arg2211z00_2334 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_2333), BgL_arg2211z00_2334); } 
BgL_new1106z00_2332 = BgL_new1105z00_2333; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2332))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2332))->BgL_namez00)=((obj_t)BgL_idz00_1465),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2332))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1466)),BUNSPEC); 
BgL_auxz00_4757 = BgL_new1106z00_2332; } 
return 
((obj_t)BgL_auxz00_4757);}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd2303zd2_1558;
BgL_carzd2303zd2_1558 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd2303zd2_1558))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2303zd2_1558, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_4773;
BgL_funz00_1470 = BgL_carzd2303zd2_1558; 
BgL_argsz00_1471 = BgL_cdrzd2250zd2_1546; 
BgL_tagzd2152zd2_1472:
{ /* Eval/evaluate.scm 449 */
obj_t BgL_funz00_2361;obj_t BgL_argsz00_2362;
BgL_funz00_2361 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1470); 
BgL_argsz00_2362 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1471); 
{ /* Eval/evaluate.scm 450 */
BgL_ev_appz00_bglt BgL_new1108z00_2363;
{ /* Eval/evaluate.scm 451 */
BgL_ev_appz00_bglt BgL_new1107z00_2364;
BgL_new1107z00_2364 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 451 */
long BgL_arg2225z00_2365;
BgL_arg2225z00_2365 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_2364), BgL_arg2225z00_2365); } 
BgL_new1108z00_2363 = BgL_new1107z00_2364; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2363))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2363))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2361)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2363))->BgL_argsz00)=((obj_t)BgL_argsz00_2362),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2363))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_4773 = BgL_new1108z00_2363; } } 
return 
((obj_t)BgL_auxz00_4773);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4786;
BgL_fz00_1537 = BgL_carzd2303zd2_1558; 
BgL_argsz00_1538 = BgL_cdrzd2250zd2_1546; 
BgL_tagzd2176zd2_1539:
{ /* Eval/evaluate.scm 599 */
obj_t BgL_funz00_2627;obj_t BgL_argsz00_2628;
BgL_funz00_2627 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1537); 
BgL_argsz00_2628 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1538); 
{ /* Eval/evaluate.scm 600 */
BgL_ev_appz00_bglt BgL_new1156z00_2629;
{ /* Eval/evaluate.scm 601 */
BgL_ev_appz00_bglt BgL_new1155z00_2630;
BgL_new1155z00_2630 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 601 */
long BgL_arg2345z00_2631;
BgL_arg2345z00_2631 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2630), BgL_arg2345z00_2631); } 
BgL_new1156z00_2629 = BgL_new1155z00_2630; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2629))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2629))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2627)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2629))->BgL_argsz00)=((obj_t)BgL_argsz00_2628),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2629))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_4786 = BgL_new1156z00_2629; } } 
return 
((obj_t)BgL_auxz00_4786);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4799;
{ 
obj_t BgL_argsz00_4801;obj_t BgL_fz00_4800;
BgL_fz00_4800 = BgL_carzd2303zd2_1558; 
BgL_argsz00_4801 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4801; 
BgL_fz00_1537 = BgL_fz00_4800; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4799);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd21010zd2_1569;
BgL_carzd21010zd2_1569 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21010zd2_1569))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21010zd2_1569, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_4809;
{ 
obj_t BgL_argsz00_4811;obj_t BgL_funz00_4810;
BgL_funz00_4810 = BgL_carzd21010zd2_1569; 
BgL_argsz00_4811 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1471 = BgL_argsz00_4811; 
BgL_funz00_1470 = BgL_funz00_4810; 
goto BgL_tagzd2152zd2_1472;} 
return 
((obj_t)BgL_auxz00_4809);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4813;
{ 
obj_t BgL_argsz00_4815;obj_t BgL_fz00_4814;
BgL_fz00_4814 = BgL_carzd21010zd2_1569; 
BgL_argsz00_4815 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4815; 
BgL_fz00_1537 = BgL_fz00_4814; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4813);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4817;
{ 
obj_t BgL_argsz00_4819;obj_t BgL_fz00_4818;
BgL_fz00_4818 = BgL_carzd21010zd2_1569; 
BgL_argsz00_4819 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4819; 
BgL_fz00_1537 = BgL_fz00_4818; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4817);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd21717zd2_1579;
BgL_carzd21717zd2_1579 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21717zd2_1579))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21717zd2_1579, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_4827;
{ 
obj_t BgL_argsz00_4829;obj_t BgL_funz00_4828;
BgL_funz00_4828 = BgL_carzd21717zd2_1579; 
BgL_argsz00_4829 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1471 = BgL_argsz00_4829; 
BgL_funz00_1470 = BgL_funz00_4828; 
goto BgL_tagzd2152zd2_1472;} 
return 
((obj_t)BgL_auxz00_4827);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4831;
{ 
obj_t BgL_argsz00_4833;obj_t BgL_fz00_4832;
BgL_fz00_4832 = BgL_carzd21717zd2_1579; 
BgL_argsz00_4833 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4833; 
BgL_fz00_1537 = BgL_fz00_4832; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4831);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4835;
{ 
obj_t BgL_argsz00_4837;obj_t BgL_fz00_4836;
BgL_fz00_4836 = BgL_carzd21717zd2_1579; 
BgL_argsz00_4837 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4837; 
BgL_fz00_1537 = BgL_fz00_4836; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4835);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd22424zd2_1589;
BgL_carzd22424zd2_1589 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd22424zd2_1589))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22424zd2_1589, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_4845;
{ 
obj_t BgL_argsz00_4847;obj_t BgL_funz00_4846;
BgL_funz00_4846 = BgL_carzd22424zd2_1589; 
BgL_argsz00_4847 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1471 = BgL_argsz00_4847; 
BgL_funz00_1470 = BgL_funz00_4846; 
goto BgL_tagzd2152zd2_1472;} 
return 
((obj_t)BgL_auxz00_4845);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4849;
{ 
obj_t BgL_argsz00_4851;obj_t BgL_fz00_4850;
BgL_fz00_4850 = BgL_carzd22424zd2_1589; 
BgL_argsz00_4851 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4851; 
BgL_fz00_1537 = BgL_fz00_4850; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4849);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4853;
{ 
obj_t BgL_argsz00_4855;obj_t BgL_fz00_4854;
BgL_fz00_4854 = BgL_carzd22424zd2_1589; 
BgL_argsz00_4855 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4855; 
BgL_fz00_1537 = BgL_fz00_4854; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4853);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd23131zd2_1599;
BgL_carzd23131zd2_1599 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23131zd2_1599))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23131zd2_1599, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_4863;
{ 
obj_t BgL_argsz00_4865;obj_t BgL_funz00_4864;
BgL_funz00_4864 = BgL_carzd23131zd2_1599; 
BgL_argsz00_4865 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1471 = BgL_argsz00_4865; 
BgL_funz00_1470 = BgL_funz00_4864; 
goto BgL_tagzd2152zd2_1472;} 
return 
((obj_t)BgL_auxz00_4863);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4867;
{ 
obj_t BgL_argsz00_4869;obj_t BgL_fz00_4868;
BgL_fz00_4868 = BgL_carzd23131zd2_1599; 
BgL_argsz00_4869 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4869; 
BgL_fz00_1537 = BgL_fz00_4868; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4867);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4871;
{ 
obj_t BgL_argsz00_4873;obj_t BgL_fz00_4872;
BgL_fz00_4872 = BgL_carzd23131zd2_1599; 
BgL_argsz00_4873 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1538 = BgL_argsz00_4873; 
BgL_fz00_1537 = BgL_fz00_4872; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4871);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2772z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1468 = BgL_cdrzd2250zd2_1546; 
{ /* Eval/evaluate.scm 442 */
bool_t BgL_test2954z00_4878;
if(
PAIRP(BgL_lz00_1468))
{ /* Eval/evaluate.scm 442 */
bool_t BgL_test2956z00_4881;
{ /* Eval/evaluate.scm 442 */
obj_t BgL_tmpz00_4882;
BgL_tmpz00_4882 = 
CDR(BgL_lz00_1468); 
BgL_test2956z00_4881 = 
PAIRP(BgL_tmpz00_4882); } 
if(BgL_test2956z00_4881)
{ 
obj_t BgL_l1205z00_2352;
BgL_l1205z00_2352 = BgL_lz00_1468; 
BgL_zc3z04anonymousza32221ze3z87_2353:
if(
NULLP(BgL_l1205z00_2352))
{ /* Eval/evaluate.scm 442 */
BgL_test2954z00_4878 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 442 */
bool_t BgL_test2958z00_4887;
{ /* Eval/evaluate.scm 442 */
obj_t BgL_tmpz00_4888;
BgL_tmpz00_4888 = 
CAR(
((obj_t)BgL_l1205z00_2352)); 
BgL_test2958z00_4887 = 
SYMBOLP(BgL_tmpz00_4888); } 
if(BgL_test2958z00_4887)
{ 
obj_t BgL_l1205z00_4892;
BgL_l1205z00_4892 = 
CDR(
((obj_t)BgL_l1205z00_2352)); 
BgL_l1205z00_2352 = BgL_l1205z00_4892; 
goto BgL_zc3z04anonymousza32221ze3z87_2353;}  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2954z00_4878 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2954z00_4878 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2954z00_4878 = ((bool_t)0)
; } 
if(BgL_test2954z00_4878)
{ /* Eval/evaluate.scm 442 */
return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 442 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2683z00zz__evaluatez00, BGl_string2762z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd23841zd2_1612;
BgL_carzd23841zd2_1612 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23841zd2_1612))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23841zd2_1612, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_4903;
{ 
obj_t BgL_argsz00_4905;obj_t BgL_funz00_4904;
BgL_funz00_4904 = BgL_carzd23841zd2_1612; 
BgL_argsz00_4905 = BgL_cdrzd2250zd2_1546; 
BgL_argsz00_1471 = BgL_argsz00_4905; 
BgL_funz00_1470 = BgL_funz00_4904; 
goto BgL_tagzd2152zd2_1472;} 
return 
((obj_t)BgL_auxz00_4903);}  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1612==BGl_symbol2774z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1546))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1546)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1601z00_1623;
BgL_arg1601z00_1623 = 
CAR(BgL_cdrzd2250zd2_1546); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_4915;
BgL_ez00_1473 = BgL_arg1601z00_1623; 
BgL_tagzd2153zd2_1474:
{ /* Eval/evaluate.scm 456 */
BgL_ev_trapz00_bglt BgL_new1110z00_2366;
{ /* Eval/evaluate.scm 457 */
BgL_ev_trapz00_bglt BgL_new1109z00_2367;
BgL_new1109z00_2367 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 457 */
long BgL_arg2226z00_2368;
BgL_arg2226z00_2368 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_2367), BgL_arg2226z00_2368); } 
BgL_new1110z00_2366 = BgL_new1109z00_2367; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1110z00_2366)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1473))),BUNSPEC); 
BgL_auxz00_4915 = BgL_new1110z00_2366; } 
return 
((obj_t)BgL_auxz00_4915);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1602z00_1624;obj_t BgL_arg1604z00_1625;
BgL_arg1602z00_1624 = 
CAR(BgL_ez00_69); 
BgL_arg1604z00_1625 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4927;
{ 
obj_t BgL_argsz00_4929;obj_t BgL_fz00_4928;
BgL_fz00_4928 = BgL_arg1602z00_1624; 
BgL_argsz00_4929 = BgL_arg1604z00_1625; 
BgL_argsz00_1538 = BgL_argsz00_4929; 
BgL_fz00_1537 = BgL_fz00_4928; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4927);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1608z00_1627;obj_t BgL_arg1609z00_1628;
BgL_arg1608z00_1627 = 
CAR(BgL_ez00_69); 
BgL_arg1609z00_1628 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4933;
{ 
obj_t BgL_argsz00_4935;obj_t BgL_fz00_4934;
BgL_fz00_4934 = BgL_arg1608z00_1627; 
BgL_argsz00_4935 = BgL_arg1609z00_1628; 
BgL_argsz00_1538 = BgL_argsz00_4935; 
BgL_fz00_1537 = BgL_fz00_4934; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4933);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd24514zd2_1629;
BgL_cdrzd24514zd2_1629 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2735z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1629))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd24514zd2_1629)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1615z00_1635;
BgL_arg1615z00_1635 = 
CAR(BgL_cdrzd24514zd2_1629); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_4947;
BgL_vz00_1475 = BgL_arg1615z00_1635; 
BgL_tagzd2154zd2_1476:
{ /* Eval/evaluate.scm 459 */
BgL_ev_littz00_bglt BgL_new1112z00_2369;
{ /* Eval/evaluate.scm 460 */
BgL_ev_littz00_bglt BgL_new1111z00_2370;
BgL_new1111z00_2370 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 460 */
long BgL_arg2227z00_2371;
BgL_arg2227z00_2371 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_2370), BgL_arg2227z00_2371); } 
BgL_new1112z00_2369 = BgL_new1111z00_2370; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1112z00_2369))->BgL_valuez00)=((obj_t)BgL_vz00_1475),BUNSPEC); 
BgL_auxz00_4947 = BgL_new1112z00_2369; } 
return 
((obj_t)BgL_auxz00_4947);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1616z00_1636;
BgL_arg1616z00_1636 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4955;
{ 
obj_t BgL_argsz00_4957;obj_t BgL_fz00_4956;
BgL_fz00_4956 = BgL_arg1616z00_1636; 
BgL_argsz00_4957 = BgL_cdrzd24514zd2_1629; 
BgL_argsz00_1538 = BgL_argsz00_4957; 
BgL_fz00_1537 = BgL_fz00_4956; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4955);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1619z00_1639;
BgL_arg1619z00_1639 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_4960;
{ 
obj_t BgL_argsz00_4962;obj_t BgL_fz00_4961;
BgL_fz00_4961 = BgL_arg1619z00_1639; 
BgL_argsz00_4962 = BgL_cdrzd24514zd2_1629; 
BgL_argsz00_1538 = BgL_argsz00_4962; 
BgL_fz00_1537 = BgL_fz00_4961; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_4960);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2743z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1629))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25128zd2_1645;
BgL_cdrzd25128zd2_1645 = 
CDR(BgL_cdrzd24514zd2_1629); 
if(
PAIRP(BgL_cdrzd25128zd2_1645))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25133zd2_1647;
BgL_cdrzd25133zd2_1647 = 
CDR(BgL_cdrzd25128zd2_1645); 
if(
PAIRP(BgL_cdrzd25133zd2_1647))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd25133zd2_1647)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1629z00_1651;obj_t BgL_arg1630z00_1652;obj_t BgL_arg1631z00_1653;
BgL_arg1629z00_1651 = 
CAR(BgL_cdrzd24514zd2_1629); 
BgL_arg1630z00_1652 = 
CAR(BgL_cdrzd25128zd2_1645); 
BgL_arg1631z00_1653 = 
CAR(BgL_cdrzd25133zd2_1647); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_4981;
BgL_pz00_1477 = BgL_arg1629z00_1651; 
BgL_tz00_1478 = BgL_arg1630z00_1652; 
BgL_oz00_1479 = BgL_arg1631z00_1653; 
BgL_tagzd2155zd2_1480:
{ /* Eval/evaluate.scm 462 */
BgL_ev_ifz00_bglt BgL_new1114z00_2372;
{ /* Eval/evaluate.scm 463 */
BgL_ev_ifz00_bglt BgL_new1113z00_2376;
BgL_new1113z00_2376 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 463 */
long BgL_arg2231z00_2377;
BgL_arg2231z00_2377 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_2376), BgL_arg2231z00_2377); } 
BgL_new1114z00_2372 = BgL_new1113z00_2376; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4986;
{ /* Eval/evaluate.scm 463 */
obj_t BgL_arg2228z00_2373;
BgL_arg2228z00_2373 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1477, BgL_locz00_74); 
BgL_auxz00_4986 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1477, BgL_arg2228z00_2373)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2372))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4986),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4991;
{ /* Eval/evaluate.scm 464 */
obj_t BgL_arg2229z00_2374;
BgL_arg2229z00_2374 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1478, BgL_locz00_74); 
BgL_auxz00_4991 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1478, BgL_arg2229z00_2374)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2372))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4991),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4996;
{ /* Eval/evaluate.scm 465 */
obj_t BgL_arg2230z00_2375;
BgL_arg2230z00_2375 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1479, BgL_locz00_74); 
BgL_auxz00_4996 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1479, BgL_arg2230z00_2375)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2372))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4996),BUNSPEC); } 
BgL_auxz00_4981 = BgL_new1114z00_2372; } 
return 
((obj_t)BgL_auxz00_4981);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1632z00_1654;obj_t BgL_arg1633z00_1655;
BgL_arg1632z00_1654 = 
CAR(BgL_ez00_69); 
BgL_arg1633z00_1655 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5004;
{ 
obj_t BgL_argsz00_5006;obj_t BgL_fz00_5005;
BgL_fz00_5005 = BgL_arg1632z00_1654; 
BgL_argsz00_5006 = BgL_arg1633z00_1655; 
BgL_argsz00_1538 = BgL_argsz00_5006; 
BgL_fz00_1537 = BgL_fz00_5005; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5004);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25433zd2_1657;
BgL_cdrzd25433zd2_1657 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25439zd2_1658;
BgL_cdrzd25439zd2_1658 = 
CDR(
((obj_t)BgL_cdrzd25433zd2_1657)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25439zd2_1658))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1637z00_1661;obj_t BgL_arg1638z00_1662;
BgL_arg1637z00_1661 = 
CAR(
((obj_t)BgL_cdrzd25433zd2_1657)); 
BgL_arg1638z00_1662 = 
CAR(
((obj_t)BgL_cdrzd25439zd2_1658)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5019;
BgL_pz00_1481 = BgL_arg1637z00_1661; 
BgL_tz00_1482 = BgL_arg1638z00_1662; 
BgL_tagzd2156zd2_1483:
{ /* Eval/evaluate.scm 467 */
BgL_ev_ifz00_bglt BgL_new1116z00_2378;
{ /* Eval/evaluate.scm 468 */
BgL_ev_ifz00_bglt BgL_new1115z00_2382;
BgL_new1115z00_2382 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 468 */
long BgL_arg2235z00_2383;
BgL_arg2235z00_2383 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_2382), BgL_arg2235z00_2383); } 
BgL_new1116z00_2378 = BgL_new1115z00_2382; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5024;
{ /* Eval/evaluate.scm 468 */
obj_t BgL_arg2232z00_2379;
BgL_arg2232z00_2379 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1481, BgL_locz00_74); 
BgL_auxz00_5024 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1481, BgL_arg2232z00_2379)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2378))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5024),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5029;
{ /* Eval/evaluate.scm 469 */
obj_t BgL_arg2233z00_2380;
BgL_arg2233z00_2380 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1482, BgL_locz00_74); 
BgL_auxz00_5029 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1482, BgL_arg2233z00_2380)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2378))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5029),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5034;
{ /* Eval/evaluate.scm 470 */
obj_t BgL_arg2234z00_2381;
BgL_arg2234z00_2381 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5034 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2234z00_2381)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2378))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5034),BUNSPEC); } 
BgL_auxz00_5019 = BgL_new1116z00_2378; } 
return 
((obj_t)BgL_auxz00_5019);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1640z00_1663;
BgL_arg1640z00_1663 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5041;
{ 
obj_t BgL_argsz00_5043;obj_t BgL_fz00_5042;
BgL_fz00_5042 = BgL_arg1640z00_1663; 
BgL_argsz00_5043 = BgL_cdrzd25433zd2_1657; 
BgL_argsz00_1538 = BgL_argsz00_5043; 
BgL_fz00_1537 = BgL_fz00_5042; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5041);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1643z00_1666;obj_t BgL_arg1644z00_1667;
BgL_arg1643z00_1666 = 
CAR(BgL_ez00_69); 
BgL_arg1644z00_1667 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5047;
{ 
obj_t BgL_argsz00_5049;obj_t BgL_fz00_5048;
BgL_fz00_5048 = BgL_arg1643z00_1666; 
BgL_argsz00_5049 = BgL_arg1644z00_1667; 
BgL_argsz00_1538 = BgL_argsz00_5049; 
BgL_fz00_1537 = BgL_fz00_5048; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5047);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1645z00_1668;obj_t BgL_arg1646z00_1669;
BgL_arg1645z00_1668 = 
CAR(BgL_ez00_69); 
BgL_arg1646z00_1669 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5053;
{ 
obj_t BgL_argsz00_5055;obj_t BgL_fz00_5054;
BgL_fz00_5054 = BgL_arg1645z00_1668; 
BgL_argsz00_5055 = BgL_arg1646z00_1669; 
BgL_argsz00_1538 = BgL_argsz00_5055; 
BgL_fz00_1537 = BgL_fz00_5054; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5053);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2776z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1649z00_1672;
BgL_arg1649z00_1672 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_5061;
BgL_argsz00_1484 = BgL_arg1649z00_1672; 
BgL_tagzd2157zd2_1485:
{ /* Eval/evaluate.scm 472 */
BgL_ev_orz00_bglt BgL_new1118z00_2384;
{ /* Eval/evaluate.scm 473 */
BgL_ev_orz00_bglt BgL_new1117z00_2385;
BgL_new1117z00_2385 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 473 */
long BgL_arg2236z00_2386;
BgL_arg2236z00_2386 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_2385), BgL_arg2236z00_2386); } 
BgL_new1118z00_2384 = BgL_new1117z00_2385; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1118z00_2384)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1484)),BUNSPEC); 
BgL_auxz00_5061 = BgL_new1118z00_2384; } 
return 
((obj_t)BgL_auxz00_5061);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2778z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1654z00_1675;
BgL_arg1654z00_1675 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_5074;
BgL_argsz00_1486 = BgL_arg1654z00_1675; 
BgL_tagzd2158zd2_1487:
{ /* Eval/evaluate.scm 475 */
BgL_ev_andz00_bglt BgL_new1120z00_2387;
{ /* Eval/evaluate.scm 476 */
BgL_ev_andz00_bglt BgL_new1119z00_2388;
BgL_new1119z00_2388 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 476 */
long BgL_arg2237z00_2389;
BgL_arg2237z00_2389 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_2388), BgL_arg2237z00_2389); } 
BgL_new1120z00_2387 = BgL_new1119z00_2388; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1120z00_2387)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1486)),BUNSPEC); 
BgL_auxz00_5074 = BgL_new1120z00_2387; } 
return 
((obj_t)BgL_auxz00_5074);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2763z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1488 = 
CDR(BgL_ez00_69); 
BgL_tagzd2159zd2_1489:
return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1488, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26338zd2_1679;
BgL_cdrzd26338zd2_1679 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2745z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1679))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1661z00_1683;obj_t BgL_arg1662z00_1684;
BgL_arg1661z00_1683 = 
CAR(BgL_cdrzd26338zd2_1679); 
BgL_arg1662z00_1684 = 
CDR(BgL_cdrzd26338zd2_1679); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_5096;
BgL_bindsz00_1490 = BgL_arg1661z00_1683; 
BgL_bodyz00_1491 = BgL_arg1662z00_1684; 
BgL_tagzd2160zd2_1492:
{ /* Eval/evaluate.scm 480 */
obj_t BgL_ubindsz00_2390;
if(
NULLP(BgL_bindsz00_1490))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2390 = BNIL; }  else 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_head1210z00_2435;
BgL_head1210z00_2435 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1208z00_2437;obj_t BgL_tail1211z00_2438;
BgL_l1208z00_2437 = BgL_bindsz00_1490; 
BgL_tail1211z00_2438 = BgL_head1210z00_2435; 
BgL_zc3z04anonymousza32256ze3z87_2439:
if(
NULLP(BgL_l1208z00_2437))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2390 = 
CDR(BgL_head1210z00_2435); }  else 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_newtail1212z00_2441;
{ /* Eval/evaluate.scm 480 */
obj_t BgL_arg2259z00_2443;
{ /* Eval/evaluate.scm 480 */
obj_t BgL_bz00_2444;
BgL_bz00_2444 = 
CAR(
((obj_t)BgL_l1208z00_2437)); 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_arg2260z00_2445;
BgL_arg2260z00_2445 = 
CAR(
((obj_t)BgL_bz00_2444)); 
BgL_arg2259z00_2443 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2260z00_2445); } } 
BgL_newtail1212z00_2441 = 
MAKE_YOUNG_PAIR(BgL_arg2259z00_2443, BNIL); } 
SET_CDR(BgL_tail1211z00_2438, BgL_newtail1212z00_2441); 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_arg2258z00_2442;
BgL_arg2258z00_2442 = 
CDR(
((obj_t)BgL_l1208z00_2437)); 
{ 
obj_t BgL_tail1211z00_5113;obj_t BgL_l1208z00_5112;
BgL_l1208z00_5112 = BgL_arg2258z00_2442; 
BgL_tail1211z00_5113 = BgL_newtail1212z00_2441; 
BgL_tail1211z00_2438 = BgL_tail1211z00_5113; 
BgL_l1208z00_2437 = BgL_l1208z00_5112; 
goto BgL_zc3z04anonymousza32256ze3z87_2439;} } } } } 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_varsz00_2391;
if(
NULLP(BgL_ubindsz00_2390))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2391 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_head1215z00_2419;
BgL_head1215z00_2419 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1213z00_2421;obj_t BgL_tail1216z00_2422;
BgL_l1213z00_2421 = BgL_ubindsz00_2390; 
BgL_tail1216z00_2422 = BgL_head1215z00_2419; 
BgL_zc3z04anonymousza32250ze3z87_2423:
if(
NULLP(BgL_l1213z00_2421))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2391 = 
CDR(BgL_head1215z00_2419); }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_newtail1217z00_2425;
{ /* Eval/evaluate.scm 481 */
BgL_ev_varz00_bglt BgL_arg2253z00_2427;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_iz00_2428;
BgL_iz00_2428 = 
CAR(
((obj_t)BgL_l1213z00_2421)); 
{ /* Eval/evaluate.scm 482 */
BgL_ev_varz00_bglt BgL_new1122z00_2429;
{ /* Eval/evaluate.scm 484 */
BgL_ev_varz00_bglt BgL_new1121z00_2430;
BgL_new1121z00_2430 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 484 */
long BgL_arg2254z00_2431;
BgL_arg2254z00_2431 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_2430), BgL_arg2254z00_2431); } 
BgL_new1122z00_2429 = BgL_new1121z00_2430; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2429))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2428))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2429))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2429))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2428))),BUNSPEC); 
BgL_arg2253z00_2427 = BgL_new1122z00_2429; } } 
BgL_newtail1217z00_2425 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2253z00_2427), BNIL); } 
SET_CDR(BgL_tail1216z00_2422, BgL_newtail1217z00_2425); 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2252z00_2426;
BgL_arg2252z00_2426 = 
CDR(
((obj_t)BgL_l1213z00_2421)); 
{ 
obj_t BgL_tail1216z00_5139;obj_t BgL_l1213z00_5138;
BgL_l1213z00_5138 = BgL_arg2252z00_2426; 
BgL_tail1216z00_5139 = BgL_newtail1217z00_2425; 
BgL_tail1216z00_2422 = BgL_tail1216z00_5139; 
BgL_l1213z00_2421 = BgL_l1213z00_5138; 
goto BgL_zc3z04anonymousza32250ze3z87_2423;} } } } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_bodyz00_2392;
{ /* Eval/evaluate.scm 486 */
bool_t BgL_test2982z00_5140;
{ /* Eval/evaluate.scm 486 */
obj_t BgL_tmpz00_5141;
BgL_tmpz00_5141 = 
CDR(
((obj_t)BgL_bodyz00_1491)); 
BgL_test2982z00_5140 = 
PAIRP(BgL_tmpz00_5141); } 
if(BgL_test2982z00_5140)
{ /* Eval/evaluate.scm 486 */
obj_t BgL_res2665z00_3313;
BgL_res2665z00_3313 = 
MAKE_YOUNG_EPAIR(BGl_symbol2763z00zz__evaluatez00, BgL_bodyz00_1491, BgL_locz00_74); 
BgL_bodyz00_2392 = BgL_res2665z00_3313; }  else 
{ /* Eval/evaluate.scm 486 */
BgL_bodyz00_2392 = 
CAR(
((obj_t)BgL_bodyz00_1491)); } } 
{ /* Eval/evaluate.scm 486 */
obj_t BgL_tbodyz00_2393;
BgL_tbodyz00_2393 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2390, BgL_bindsz00_1490, BgL_bodyz00_2392, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 487 */

{ /* Eval/evaluate.scm 488 */
obj_t BgL_blocz00_2394;
BgL_blocz00_2394 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1490, BgL_locz00_74); 
{ /* Eval/evaluate.scm 489 */
BgL_ev_letz00_bglt BgL_new1124z00_2395;
{ /* Eval/evaluate.scm 490 */
BgL_ev_letz00_bglt BgL_new1123z00_2412;
BgL_new1123z00_2412 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 490 */
long BgL_arg2245z00_2413;
BgL_arg2245z00_2413 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_2412), BgL_arg2245z00_2413); } 
BgL_new1124z00_2395 = BgL_new1123z00_2412; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2395)))->BgL_varsz00)=((obj_t)BgL_varsz00_2391),BUNSPEC); 
{ 
obj_t BgL_auxz00_5156;
if(
NULLP(BgL_bindsz00_1490))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5156 = BNIL
; }  else 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_head1220z00_2398;
BgL_head1220z00_2398 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1218z00_2400;obj_t BgL_tail1221z00_2401;
BgL_l1218z00_2400 = BgL_bindsz00_1490; 
BgL_tail1221z00_2401 = BgL_head1220z00_2398; 
BgL_zc3z04anonymousza32239ze3z87_2402:
if(
NULLP(BgL_l1218z00_2400))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5156 = 
CDR(BgL_head1220z00_2398)
; }  else 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_newtail1222z00_2404;
{ /* Eval/evaluate.scm 491 */
obj_t BgL_arg2242z00_2406;
{ /* Eval/evaluate.scm 491 */
obj_t BgL_bz00_2407;
BgL_bz00_2407 = 
CAR(
((obj_t)BgL_l1218z00_2400)); 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_locz00_2408;
BgL_locz00_2408 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2407, BgL_blocz00_2394); 
{ /* Eval/evaluate.scm 493 */
obj_t BgL_arg2243z00_2409;
{ /* Eval/evaluate.scm 493 */
obj_t BgL_pairz00_3323;
BgL_pairz00_3323 = 
CDR(
((obj_t)BgL_bz00_2407)); 
BgL_arg2243z00_2409 = 
CAR(BgL_pairz00_3323); } 
BgL_arg2242z00_2406 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2243z00_2409, BgL_locz00_2408); } } } 
BgL_newtail1222z00_2404 = 
MAKE_YOUNG_PAIR(BgL_arg2242z00_2406, BNIL); } 
SET_CDR(BgL_tail1221z00_2401, BgL_newtail1222z00_2404); 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_arg2241z00_2405;
BgL_arg2241z00_2405 = 
CDR(
((obj_t)BgL_l1218z00_2400)); 
{ 
obj_t BgL_tail1221z00_5176;obj_t BgL_l1218z00_5175;
BgL_l1218z00_5175 = BgL_arg2241z00_2405; 
BgL_tail1221z00_5176 = BgL_newtail1222z00_2404; 
BgL_tail1221z00_2401 = BgL_tail1221z00_5176; 
BgL_l1218z00_2400 = BgL_l1218z00_5175; 
goto BgL_zc3z04anonymousza32239ze3z87_2402;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2395)))->BgL_valsz00)=((obj_t)BgL_auxz00_5156),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5178;
{ /* Eval/evaluate.scm 495 */
obj_t BgL_arg2244z00_2411;
BgL_arg2244z00_2411 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2391, BgL_localsz00_70); 
BgL_auxz00_5178 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2393, BgL_arg2244z00_2411, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2395)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5178),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1124z00_2395))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5096 = BgL_new1124z00_2395; } } } } } } } 
return 
((obj_t)BgL_auxz00_5096);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1663z00_1685;
BgL_arg1663z00_1685 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5187;
{ 
obj_t BgL_argsz00_5189;obj_t BgL_fz00_5188;
BgL_fz00_5188 = BgL_arg1663z00_1685; 
BgL_argsz00_5189 = BgL_cdrzd26338zd2_1679; 
BgL_argsz00_1538 = BgL_argsz00_5189; 
BgL_fz00_1537 = BgL_fz00_5188; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5187);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2780z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1679))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1674z00_1691;obj_t BgL_arg1677z00_1692;
BgL_arg1674z00_1691 = 
CAR(BgL_cdrzd26338zd2_1679); 
BgL_arg1677z00_1692 = 
CDR(BgL_cdrzd26338zd2_1679); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_5198;
BgL_bindsz00_1493 = BgL_arg1674z00_1691; 
BgL_bodyz00_1494 = BgL_arg1677z00_1692; 
BgL_tagzd2161zd2_1495:
{ /* Eval/evaluate.scm 503 */
obj_t BgL_varsz00_2448;obj_t BgL_blocz00_2449;
if(
NULLP(BgL_bindsz00_1493))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2448 = BNIL; }  else 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_head1225z00_2457;
BgL_head1225z00_2457 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1223z00_2459;obj_t BgL_tail1226z00_2460;
BgL_l1223z00_2459 = BgL_bindsz00_1493; 
BgL_tail1226z00_2460 = BgL_head1225z00_2457; 
BgL_zc3z04anonymousza32265ze3z87_2461:
if(
NULLP(BgL_l1223z00_2459))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2448 = 
CDR(BgL_head1225z00_2457); }  else 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_newtail1227z00_2463;
{ /* Eval/evaluate.scm 503 */
BgL_ev_varz00_bglt BgL_arg2268z00_2465;
{ /* Eval/evaluate.scm 503 */
obj_t BgL_bz00_2466;
BgL_bz00_2466 = 
CAR(
((obj_t)BgL_l1223z00_2459)); 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_iz00_2467;
{ /* Eval/evaluate.scm 504 */
obj_t BgL_arg2270z00_2471;
BgL_arg2270z00_2471 = 
CAR(
((obj_t)BgL_bz00_2466)); 
BgL_iz00_2467 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2270z00_2471); } 
{ /* Eval/evaluate.scm 505 */
BgL_ev_varz00_bglt BgL_new1126z00_2468;
{ /* Eval/evaluate.scm 507 */
BgL_ev_varz00_bglt BgL_new1125z00_2469;
BgL_new1125z00_2469 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 507 */
long BgL_arg2269z00_2470;
BgL_arg2269z00_2470 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2469), BgL_arg2269z00_2470); } 
BgL_new1126z00_2468 = BgL_new1125z00_2469; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2468))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2467)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2468))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2468))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2467)),BUNSPEC); 
BgL_arg2268z00_2465 = BgL_new1126z00_2468; } } } 
BgL_newtail1227z00_2463 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2268z00_2465), BNIL); } 
SET_CDR(BgL_tail1226z00_2460, BgL_newtail1227z00_2463); 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_arg2267z00_2464;
BgL_arg2267z00_2464 = 
CDR(
((obj_t)BgL_l1223z00_2459)); 
{ 
obj_t BgL_tail1226z00_5225;obj_t BgL_l1223z00_5224;
BgL_l1223z00_5224 = BgL_arg2267z00_2464; 
BgL_tail1226z00_5225 = BgL_newtail1227z00_2463; 
BgL_tail1226z00_2460 = BgL_tail1226z00_5225; 
BgL_l1223z00_2459 = BgL_l1223z00_5224; 
goto BgL_zc3z04anonymousza32265ze3z87_2461;} } } } } 
BgL_blocz00_2449 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1493, BgL_locz00_74); 
{ /* Eval/evaluate.scm 510 */
BgL_ev_letza2za2_bglt BgL_new1128z00_2450;
{ /* Eval/evaluate.scm 511 */
BgL_ev_letza2za2_bglt BgL_new1127z00_2453;
BgL_new1127z00_2453 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 511 */
long BgL_arg2263z00_2454;
BgL_arg2263z00_2454 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_2453), BgL_arg2263z00_2454); } 
BgL_new1128z00_2450 = BgL_new1127z00_2453; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2450)))->BgL_varsz00)=((obj_t)BgL_varsz00_2448),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2450)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1493, BgL_varsz00_2448, BgL_localsz00_70, BgL_blocz00_2449)),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5236;
{ /* Eval/evaluate.scm 513 */
obj_t BgL_arg2261z00_2451;
{ /* Eval/evaluate.scm 513 */
obj_t BgL_arg2262z00_2452;
BgL_arg2262z00_2452 = 
bgl_reverse(BgL_varsz00_2448); 
BgL_arg2261z00_2451 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_arg2262z00_2452, BgL_localsz00_70); } 
BgL_auxz00_5236 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1494, BgL_arg2261z00_2451, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2450)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5236),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1128z00_2450))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5198 = BgL_new1128z00_2450; } } 
return 
((obj_t)BgL_auxz00_5198);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1678z00_1693;obj_t BgL_arg1680z00_1694;
BgL_arg1678z00_1693 = 
CAR(BgL_ez00_69); 
BgL_arg1680z00_1694 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5247;
{ 
obj_t BgL_argsz00_5249;obj_t BgL_fz00_5248;
BgL_fz00_5248 = BgL_arg1678z00_1693; 
BgL_argsz00_5249 = BgL_arg1680z00_1694; 
BgL_argsz00_1538 = BgL_argsz00_5249; 
BgL_fz00_1537 = BgL_fz00_5248; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5247);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26736zd2_1695;
BgL_cdrzd26736zd2_1695 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2782z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1695))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1684z00_1699;obj_t BgL_arg1687z00_1700;
BgL_arg1684z00_1699 = 
CAR(BgL_cdrzd26736zd2_1695); 
BgL_arg1687z00_1700 = 
CDR(BgL_cdrzd26736zd2_1695); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_5259;
BgL_bindsz00_1496 = BgL_arg1684z00_1699; 
BgL_bodyz00_1497 = BgL_arg1687z00_1700; 
BgL_tagzd2162zd2_1498:
{ /* Eval/evaluate.scm 515 */
obj_t BgL_ubindsz00_2489;
if(
NULLP(BgL_bindsz00_1496))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2489 = BNIL; }  else 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_head1230z00_2539;
BgL_head1230z00_2539 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1228z00_2541;obj_t BgL_tail1231z00_2542;
BgL_l1228z00_2541 = BgL_bindsz00_1496; 
BgL_tail1231z00_2542 = BgL_head1230z00_2539; 
BgL_zc3z04anonymousza32304ze3z87_2543:
if(
NULLP(BgL_l1228z00_2541))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2489 = 
CDR(BgL_head1230z00_2539); }  else 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_newtail1232z00_2545;
{ /* Eval/evaluate.scm 515 */
obj_t BgL_arg2307z00_2547;
{ /* Eval/evaluate.scm 515 */
obj_t BgL_bz00_2548;
BgL_bz00_2548 = 
CAR(
((obj_t)BgL_l1228z00_2541)); 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_arg2308z00_2549;
BgL_arg2308z00_2549 = 
CAR(
((obj_t)BgL_bz00_2548)); 
BgL_arg2307z00_2547 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2308z00_2549); } } 
BgL_newtail1232z00_2545 = 
MAKE_YOUNG_PAIR(BgL_arg2307z00_2547, BNIL); } 
SET_CDR(BgL_tail1231z00_2542, BgL_newtail1232z00_2545); 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_arg2306z00_2546;
BgL_arg2306z00_2546 = 
CDR(
((obj_t)BgL_l1228z00_2541)); 
{ 
obj_t BgL_tail1231z00_5276;obj_t BgL_l1228z00_5275;
BgL_l1228z00_5275 = BgL_arg2306z00_2546; 
BgL_tail1231z00_5276 = BgL_newtail1232z00_2545; 
BgL_tail1231z00_2542 = BgL_tail1231z00_5276; 
BgL_l1228z00_2541 = BgL_l1228z00_5275; 
goto BgL_zc3z04anonymousza32304ze3z87_2543;} } } } } 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_varsz00_2490;
if(
NULLP(BgL_ubindsz00_2489))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2490 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_head1235z00_2523;
BgL_head1235z00_2523 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1233z00_2525;obj_t BgL_tail1236z00_2526;
BgL_l1233z00_2525 = BgL_ubindsz00_2489; 
BgL_tail1236z00_2526 = BgL_head1235z00_2523; 
BgL_zc3z04anonymousza32298ze3z87_2527:
if(
NULLP(BgL_l1233z00_2525))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2490 = 
CDR(BgL_head1235z00_2523); }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_newtail1237z00_2529;
{ /* Eval/evaluate.scm 516 */
BgL_ev_varz00_bglt BgL_arg2301z00_2531;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_iz00_2532;
BgL_iz00_2532 = 
CAR(
((obj_t)BgL_l1233z00_2525)); 
{ /* Eval/evaluate.scm 517 */
BgL_ev_varz00_bglt BgL_new1130z00_2533;
{ /* Eval/evaluate.scm 519 */
BgL_ev_varz00_bglt BgL_new1129z00_2534;
BgL_new1129z00_2534 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 519 */
long BgL_arg2302z00_2535;
BgL_arg2302z00_2535 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2534), BgL_arg2302z00_2535); } 
BgL_new1130z00_2533 = BgL_new1129z00_2534; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2533))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2532))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2533))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2533))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2532))),BUNSPEC); 
BgL_arg2301z00_2531 = BgL_new1130z00_2533; } } 
BgL_newtail1237z00_2529 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2301z00_2531), BNIL); } 
SET_CDR(BgL_tail1236z00_2526, BgL_newtail1237z00_2529); 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2300z00_2530;
BgL_arg2300z00_2530 = 
CDR(
((obj_t)BgL_l1233z00_2525)); 
{ 
obj_t BgL_tail1236z00_5302;obj_t BgL_l1233z00_5301;
BgL_l1233z00_5301 = BgL_arg2300z00_2530; 
BgL_tail1236z00_5302 = BgL_newtail1237z00_2529; 
BgL_tail1236z00_2526 = BgL_tail1236z00_5302; 
BgL_l1233z00_2525 = BgL_l1233z00_5301; 
goto BgL_zc3z04anonymousza32298ze3z87_2527;} } } } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_localsz00_2491;
BgL_localsz00_2491 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2490, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 521 */
obj_t BgL_bodyz00_2492;
{ /* Eval/evaluate.scm 522 */
bool_t BgL_test2995z00_5304;
{ /* Eval/evaluate.scm 522 */
obj_t BgL_tmpz00_5305;
BgL_tmpz00_5305 = 
CDR(
((obj_t)BgL_bodyz00_1497)); 
BgL_test2995z00_5304 = 
PAIRP(BgL_tmpz00_5305); } 
if(BgL_test2995z00_5304)
{ /* Eval/evaluate.scm 522 */
obj_t BgL_res2666z00_3365;
BgL_res2666z00_3365 = 
MAKE_YOUNG_EPAIR(BGl_symbol2763z00zz__evaluatez00, BgL_bodyz00_1497, BgL_locz00_74); 
BgL_bodyz00_2492 = BgL_res2666z00_3365; }  else 
{ /* Eval/evaluate.scm 522 */
BgL_bodyz00_2492 = 
CAR(
((obj_t)BgL_bodyz00_1497)); } } 
{ /* Eval/evaluate.scm 522 */
obj_t BgL_tbodyz00_2493;
BgL_tbodyz00_2493 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2489, BgL_bindsz00_1496, BgL_bodyz00_2492, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 523 */
obj_t BgL_blocz00_2494;
BgL_blocz00_2494 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1496, BgL_locz00_74); 
{ /* Eval/evaluate.scm 524 */

{ /* Eval/evaluate.scm 525 */
BgL_ev_letrecz00_bglt BgL_new1132z00_2495;
{ /* Eval/evaluate.scm 526 */
BgL_ev_letrecz00_bglt BgL_new1131z00_2516;
BgL_new1131z00_2516 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 526 */
long BgL_arg2293z00_2517;
BgL_arg2293z00_2517 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_2516), BgL_arg2293z00_2517); } 
BgL_new1132z00_2495 = BgL_new1131z00_2516; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2495)))->BgL_varsz00)=((obj_t)BgL_varsz00_2490),BUNSPEC); 
{ 
obj_t BgL_auxz00_5320;
if(
NULLP(BgL_bindsz00_1496))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5320 = BNIL
; }  else 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_head1240z00_2498;
BgL_head1240z00_2498 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1238z00_2500;obj_t BgL_tail1241z00_2501;
BgL_l1238z00_2500 = BgL_bindsz00_1496; 
BgL_tail1241z00_2501 = BgL_head1240z00_2498; 
BgL_zc3z04anonymousza32282ze3z87_2502:
if(
NULLP(BgL_l1238z00_2500))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5320 = 
CDR(BgL_head1240z00_2498)
; }  else 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_newtail1242z00_2504;
{ /* Eval/evaluate.scm 527 */
obj_t BgL_arg2285z00_2506;
{ /* Eval/evaluate.scm 527 */
obj_t BgL_bz00_2507;
BgL_bz00_2507 = 
CAR(
((obj_t)BgL_l1238z00_2500)); 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2286z00_2508;obj_t BgL_arg2287z00_2509;obj_t BgL_arg2288z00_2510;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_pairz00_3375;
BgL_pairz00_3375 = 
CDR(
((obj_t)BgL_bz00_2507)); 
BgL_arg2286z00_2508 = 
CAR(BgL_pairz00_3375); } 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2289z00_2511;
BgL_arg2289z00_2511 = 
CAR(
((obj_t)BgL_bz00_2507)); 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_list2290z00_2512;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2291z00_2513;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2292z00_2514;
BgL_arg2292z00_2514 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2291z00_2513 = 
MAKE_YOUNG_PAIR(BGl_symbol2765z00zz__evaluatez00, BgL_arg2292z00_2514); } 
BgL_list2290z00_2512 = 
MAKE_YOUNG_PAIR(BgL_arg2289z00_2511, BgL_arg2291z00_2513); } 
BgL_arg2287z00_2509 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2290z00_2512); } } 
BgL_arg2288z00_2510 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2507, BgL_blocz00_2494); 
BgL_arg2285z00_2506 = 
BGl_convz00zz__evaluatez00(BgL_arg2286z00_2508, BgL_localsz00_2491, BgL_globalsz00_71, BFALSE, BgL_arg2287z00_2509, BgL_arg2288z00_2510, ((bool_t)0)); } } 
BgL_newtail1242z00_2504 = 
MAKE_YOUNG_PAIR(BgL_arg2285z00_2506, BNIL); } 
SET_CDR(BgL_tail1241z00_2501, BgL_newtail1242z00_2504); 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_arg2284z00_2505;
BgL_arg2284z00_2505 = 
CDR(
((obj_t)BgL_l1238z00_2500)); 
{ 
obj_t BgL_tail1241z00_5346;obj_t BgL_l1238z00_5345;
BgL_l1238z00_5345 = BgL_arg2284z00_2505; 
BgL_tail1241z00_5346 = BgL_newtail1242z00_2504; 
BgL_tail1241z00_2501 = BgL_tail1241z00_5346; 
BgL_l1238z00_2500 = BgL_l1238z00_5345; 
goto BgL_zc3z04anonymousza32282ze3z87_2502;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2495)))->BgL_valsz00)=((obj_t)BgL_auxz00_5320),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2495)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2493, BgL_localsz00_2491, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5259 = BgL_new1132z00_2495; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5259);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1688z00_1701;
BgL_arg1688z00_1701 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5354;
{ 
obj_t BgL_argsz00_5356;obj_t BgL_fz00_5355;
BgL_fz00_5355 = BgL_arg1688z00_1701; 
BgL_argsz00_5356 = BgL_cdrzd26736zd2_1695; 
BgL_argsz00_1538 = BgL_argsz00_5356; 
BgL_fz00_1537 = BgL_fz00_5355; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5354);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2784z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1695))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd26912zd2_1707;obj_t BgL_cdrzd26913zd2_1708;
BgL_carzd26912zd2_1707 = 
CAR(BgL_cdrzd26736zd2_1695); 
BgL_cdrzd26913zd2_1708 = 
CDR(BgL_cdrzd26736zd2_1695); 
if(
PAIRP(BgL_carzd26912zd2_1707))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26917zd2_1710;
BgL_cdrzd26917zd2_1710 = 
CDR(BgL_carzd26912zd2_1707); 
if(
(
CAR(BgL_carzd26912zd2_1707)==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26917zd2_1710))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd26920zd2_1714;obj_t BgL_cdrzd26921zd2_1715;
BgL_carzd26920zd2_1714 = 
CAR(BgL_cdrzd26917zd2_1710); 
BgL_cdrzd26921zd2_1715 = 
CDR(BgL_cdrzd26917zd2_1710); 
if(
SYMBOLP(BgL_carzd26920zd2_1714))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26921zd2_1715))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd26925zd2_1718;
BgL_carzd26925zd2_1718 = 
CAR(BgL_cdrzd26921zd2_1715); 
if(
SYMBOLP(BgL_carzd26925zd2_1718))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26921zd2_1715)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26913zd2_1708))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26913zd2_1708)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1707z00_1725;
BgL_arg1707z00_1725 = 
CAR(BgL_cdrzd26913zd2_1708); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5391;
BgL_idz00_1499 = BgL_carzd26920zd2_1714; 
BgL_modnamez00_1500 = BgL_carzd26925zd2_1718; 
BgL_ez00_1501 = BgL_arg1707z00_1725; 
BgL_tagzd2163zd2_1502:
{ /* Eval/evaluate.scm 531 */
BgL_ev_setglobalz00_bglt BgL_new1134z00_2551;
{ /* Eval/evaluate.scm 535 */
BgL_ev_setglobalz00_bglt BgL_new1133z00_2552;
BgL_new1133z00_2552 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 535 */
long BgL_arg2309z00_2553;
BgL_arg2309z00_2553 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_2552), BgL_arg2309z00_2553); } 
BgL_new1134z00_2551 = BgL_new1133z00_2552; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1134z00_2551)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1501))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2551))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2551))->BgL_namez00)=((obj_t)BgL_idz00_1499),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2551))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1500)),BUNSPEC); 
BgL_auxz00_5391 = BgL_new1134z00_2551; } 
return 
((obj_t)BgL_auxz00_5391);} }  else 
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2166zd2_1509:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2683z00zz__evaluatez00, BGl_string2762z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27041zd2_1727;
BgL_cdrzd27041zd2_1727 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27045zd2_1728;
BgL_cdrzd27045zd2_1728 = 
CDR(
((obj_t)BgL_cdrzd27041zd2_1727)); 
if(
PAIRP(BgL_cdrzd27045zd2_1728))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27045zd2_1728)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1712z00_1732;obj_t BgL_arg1713z00_1733;
BgL_arg1712z00_1732 = 
CAR(
((obj_t)BgL_cdrzd27041zd2_1727)); 
BgL_arg1713z00_1733 = 
CAR(BgL_cdrzd27045zd2_1728); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5417;
BgL_vz00_1506 = BgL_arg1712z00_1732; 
BgL_ez00_1507 = BgL_arg1713z00_1733; 
BgL_tagzd2165zd2_1508:
{ /* Eval/evaluate.scm 541 */
obj_t BgL_cvz00_2580;obj_t BgL_ez00_2581;
BgL_cvz00_2580 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1506, BgL_localsz00_70); 
BgL_ez00_2581 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1507); 
if(
CBOOL(BgL_cvz00_2580))
{ /* Eval/evaluate.scm 543 */
BgL_ev_setlocalz00_bglt BgL_new1136z00_2582;
{ /* Eval/evaluate.scm 545 */
BgL_ev_setlocalz00_bglt BgL_new1135z00_2583;
BgL_new1135z00_2583 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 545 */
long BgL_arg2323z00_2584;
BgL_arg2323z00_2584 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_2583), BgL_arg2323z00_2584); } 
BgL_new1136z00_2582 = BgL_new1135z00_2583; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1136z00_2582)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2581)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1136z00_2582))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2580)),BUNSPEC); 
BgL_auxz00_5417 = 
((BgL_ev_hookz00_bglt)BgL_new1136z00_2582); }  else 
{ /* Eval/evaluate.scm 546 */
BgL_ev_setglobalz00_bglt BgL_new1138z00_2585;
{ /* Eval/evaluate.scm 550 */
BgL_ev_setglobalz00_bglt BgL_new1137z00_2587;
BgL_new1137z00_2587 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 550 */
long BgL_arg2325z00_2588;
BgL_arg2325z00_2588 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_2587), BgL_arg2325z00_2588); } 
BgL_new1138z00_2585 = BgL_new1137z00_2587; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1138z00_2585)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2581)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2585))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2585))->BgL_namez00)=((obj_t)BgL_vz00_1506),BUNSPEC); 
{ 
obj_t BgL_auxz00_5441;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5441 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5441 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2585))->BgL_modz00)=((obj_t)BgL_auxz00_5441),BUNSPEC); } 
BgL_auxz00_5417 = 
((BgL_ev_hookz00_bglt)BgL_new1138z00_2585); } } 
return 
((obj_t)BgL_auxz00_5417);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27102zd2_1736;
BgL_cdrzd27102zd2_1736 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27106zd2_1737;
BgL_cdrzd27106zd2_1737 = 
CDR(
((obj_t)BgL_cdrzd27102zd2_1736)); 
if(
PAIRP(BgL_cdrzd27106zd2_1737))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27106zd2_1737)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1719z00_1741;obj_t BgL_arg1720z00_1742;
BgL_arg1719z00_1741 = 
CAR(
((obj_t)BgL_cdrzd27102zd2_1736)); 
BgL_arg1720z00_1742 = 
CAR(BgL_cdrzd27106zd2_1737); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5459;
{ 
obj_t BgL_ez00_5461;obj_t BgL_vz00_5460;
BgL_vz00_5460 = BgL_arg1719z00_1741; 
BgL_ez00_5461 = BgL_arg1720z00_1742; 
BgL_ez00_1507 = BgL_ez00_5461; 
BgL_vz00_1506 = BgL_vz00_5460; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_5459);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27163zd2_1744;
BgL_cdrzd27163zd2_1744 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27167zd2_1745;
BgL_cdrzd27167zd2_1745 = 
CDR(
((obj_t)BgL_cdrzd27163zd2_1744)); 
if(
PAIRP(BgL_cdrzd27167zd2_1745))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27167zd2_1745)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1725z00_1749;obj_t BgL_arg1726z00_1750;
BgL_arg1725z00_1749 = 
CAR(
((obj_t)BgL_cdrzd27163zd2_1744)); 
BgL_arg1726z00_1750 = 
CAR(BgL_cdrzd27167zd2_1745); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5474;
{ 
obj_t BgL_ez00_5476;obj_t BgL_vz00_5475;
BgL_vz00_5475 = BgL_arg1725z00_1749; 
BgL_ez00_5476 = BgL_arg1726z00_1750; 
BgL_ez00_1507 = BgL_ez00_5476; 
BgL_vz00_1506 = BgL_vz00_5475; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_5474);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27224zd2_1752;
BgL_cdrzd27224zd2_1752 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27228zd2_1753;
BgL_cdrzd27228zd2_1753 = 
CDR(
((obj_t)BgL_cdrzd27224zd2_1752)); 
if(
PAIRP(BgL_cdrzd27228zd2_1753))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27228zd2_1753)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1731z00_1757;obj_t BgL_arg1732z00_1758;
BgL_arg1731z00_1757 = 
CAR(
((obj_t)BgL_cdrzd27224zd2_1752)); 
BgL_arg1732z00_1758 = 
CAR(BgL_cdrzd27228zd2_1753); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5489;
{ 
obj_t BgL_ez00_5491;obj_t BgL_vz00_5490;
BgL_vz00_5490 = BgL_arg1731z00_1757; 
BgL_ez00_5491 = BgL_arg1732z00_1758; 
BgL_ez00_1507 = BgL_ez00_5491; 
BgL_vz00_1506 = BgL_vz00_5490; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_5489);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27285zd2_1760;
BgL_cdrzd27285zd2_1760 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27289zd2_1761;
BgL_cdrzd27289zd2_1761 = 
CDR(
((obj_t)BgL_cdrzd27285zd2_1760)); 
if(
PAIRP(BgL_cdrzd27289zd2_1761))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27289zd2_1761)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1737z00_1765;obj_t BgL_arg1738z00_1766;
BgL_arg1737z00_1765 = 
CAR(
((obj_t)BgL_cdrzd27285zd2_1760)); 
BgL_arg1738z00_1766 = 
CAR(BgL_cdrzd27289zd2_1761); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5504;
{ 
obj_t BgL_ez00_5506;obj_t BgL_vz00_5505;
BgL_vz00_5505 = BgL_arg1737z00_1765; 
BgL_ez00_5506 = BgL_arg1738z00_1766; 
BgL_ez00_1507 = BgL_ez00_5506; 
BgL_vz00_1506 = BgL_vz00_5505; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_5504);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27333zd2_1768;
BgL_cdrzd27333zd2_1768 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd27336zd2_1769;obj_t BgL_cdrzd27337zd2_1770;
BgL_carzd27336zd2_1769 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1768)); 
BgL_cdrzd27337zd2_1770 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1768)); 
if(
(
CAR(
((obj_t)BgL_carzd27336zd2_1769))==BGl_symbol2772z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27337zd2_1770))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27337zd2_1770)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1746z00_1776;obj_t BgL_arg1747z00_1777;
BgL_arg1746z00_1776 = 
CDR(
((obj_t)BgL_carzd27336zd2_1769)); 
BgL_arg1747z00_1777 = 
CAR(BgL_cdrzd27337zd2_1770); 
BgL_lz00_1503 = BgL_arg1746z00_1776; 
BgL_e2z00_1504 = BgL_arg1747z00_1777; 
BgL_tagzd2164zd2_1505:
{ /* Eval/evaluate.scm 537 */
bool_t BgL_test3024z00_5525;
if(
PAIRP(BgL_lz00_1503))
{ /* Eval/evaluate.scm 537 */
bool_t BgL_test3026z00_5528;
{ /* Eval/evaluate.scm 537 */
obj_t BgL_tmpz00_5529;
BgL_tmpz00_5529 = 
CDR(BgL_lz00_1503); 
BgL_test3026z00_5528 = 
PAIRP(BgL_tmpz00_5529); } 
if(BgL_test3026z00_5528)
{ 
obj_t BgL_l1243z00_2571;
BgL_l1243z00_2571 = BgL_lz00_1503; 
BgL_zc3z04anonymousza32319ze3z87_2572:
if(
NULLP(BgL_l1243z00_2571))
{ /* Eval/evaluate.scm 537 */
BgL_test3024z00_5525 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 537 */
bool_t BgL_test3028z00_5534;
{ /* Eval/evaluate.scm 537 */
obj_t BgL_tmpz00_5535;
BgL_tmpz00_5535 = 
CAR(
((obj_t)BgL_l1243z00_2571)); 
BgL_test3028z00_5534 = 
SYMBOLP(BgL_tmpz00_5535); } 
if(BgL_test3028z00_5534)
{ 
obj_t BgL_l1243z00_5539;
BgL_l1243z00_5539 = 
CDR(
((obj_t)BgL_l1243z00_2571)); 
BgL_l1243z00_2571 = BgL_l1243z00_5539; 
goto BgL_zc3z04anonymousza32319ze3z87_2572;}  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3024z00_5525 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3024z00_5525 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3024z00_5525 = ((bool_t)0)
; } 
if(BgL_test3024z00_5525)
{ /* Eval/evaluate.scm 537 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1503, BgL_e2z00_1504, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 537 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2683z00zz__evaluatez00, BGl_string2762z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27413zd2_1780;
BgL_cdrzd27413zd2_1780 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1768)); 
if(
PAIRP(BgL_cdrzd27413zd2_1780))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27413zd2_1780)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1752z00_1784;obj_t BgL_arg1753z00_1785;
BgL_arg1752z00_1784 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1768)); 
BgL_arg1753z00_1785 = 
CAR(BgL_cdrzd27413zd2_1780); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5554;
{ 
obj_t BgL_ez00_5556;obj_t BgL_vz00_5555;
BgL_vz00_5555 = BgL_arg1752z00_1784; 
BgL_ez00_5556 = BgL_arg1753z00_1785; 
BgL_ez00_1507 = BgL_ez00_5556; 
BgL_vz00_1506 = BgL_vz00_5555; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_5554);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27470zd2_1789;
BgL_cdrzd27470zd2_1789 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27474zd2_1790;
BgL_cdrzd27474zd2_1790 = 
CDR(
((obj_t)BgL_cdrzd27470zd2_1789)); 
if(
PAIRP(BgL_cdrzd27474zd2_1790))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27474zd2_1790)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1760z00_1794;obj_t BgL_arg1762z00_1795;
BgL_arg1760z00_1794 = 
CAR(
((obj_t)BgL_cdrzd27470zd2_1789)); 
BgL_arg1762z00_1795 = 
CAR(BgL_cdrzd27474zd2_1790); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5569;
{ 
obj_t BgL_ez00_5571;obj_t BgL_vz00_5570;
BgL_vz00_5570 = BgL_arg1760z00_1794; 
BgL_ez00_5571 = BgL_arg1762z00_1795; 
BgL_ez00_1507 = BgL_ez00_5571; 
BgL_vz00_1506 = BgL_vz00_5570; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_5569);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27595zd2_1797;
BgL_cdrzd27595zd2_1797 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2786z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1797))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27600zd2_1801;
BgL_cdrzd27600zd2_1801 = 
CDR(BgL_cdrzd27595zd2_1797); 
if(
PAIRP(BgL_cdrzd27600zd2_1801))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd27604zd2_1803;
BgL_carzd27604zd2_1803 = 
CAR(BgL_cdrzd27600zd2_1801); 
if(
PAIRP(BgL_carzd27604zd2_1803))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27609zd2_1805;
BgL_cdrzd27609zd2_1805 = 
CDR(BgL_carzd27604zd2_1803); 
if(
(
CAR(BgL_carzd27604zd2_1803)==BGl_symbol2747z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27609zd2_1805))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27613zd2_1809;
BgL_cdrzd27613zd2_1809 = 
CDR(BgL_cdrzd27609zd2_1805); 
if(
PAIRP(BgL_cdrzd27613zd2_1809))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27613zd2_1809)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27600zd2_1801)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1777z00_1815;obj_t BgL_arg1778z00_1816;obj_t BgL_arg1779z00_1817;
BgL_arg1777z00_1815 = 
CAR(BgL_cdrzd27595zd2_1797); 
BgL_arg1778z00_1816 = 
CAR(BgL_cdrzd27609zd2_1805); 
BgL_arg1779z00_1817 = 
CAR(BgL_cdrzd27613zd2_1809); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5603;
BgL_gvz00_1510 = BgL_arg1777z00_1815; 
BgL_formalsz00_1511 = BgL_arg1778z00_1816; 
BgL_bodyz00_1512 = BgL_arg1779z00_1817; 
BgL_tagzd2167zd2_1513:
{ /* Eval/evaluate.scm 554 */
obj_t BgL_tidz00_2589;
BgL_tidz00_2589 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1510); 
{ /* Eval/evaluate.scm 555 */
BgL_ev_defglobalz00_bglt BgL_new1140z00_2590;
{ /* Eval/evaluate.scm 559 */
BgL_ev_defglobalz00_bglt BgL_new1139z00_2593;
BgL_new1139z00_2593 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 559 */
long BgL_arg2328z00_2594;
BgL_arg2328z00_2594 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2593), BgL_arg2328z00_2594); } 
BgL_new1140z00_2590 = BgL_new1139z00_2593; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5609;
{ /* Eval/evaluate.scm 559 */
obj_t BgL_arg2326z00_2591;
BgL_arg2326z00_2591 = 
CDR(BgL_tidz00_2589); 
BgL_auxz00_5609 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1511, BgL_bodyz00_1512, BgL_gvz00_1510, BgL_arg2326z00_2591)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1140z00_2590)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5609),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2590)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2590)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2589)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5620;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5620 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5620 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2590)))->BgL_modz00)=((obj_t)BgL_auxz00_5620),BUNSPEC); } 
BgL_auxz00_5603 = BgL_new1140z00_2590; } } 
return 
((obj_t)BgL_auxz00_5603);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1780z00_1818;
BgL_arg1780z00_1818 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5628;
{ 
obj_t BgL_argsz00_5630;obj_t BgL_fz00_5629;
BgL_fz00_5629 = BgL_arg1780z00_1818; 
BgL_argsz00_5630 = BgL_cdrzd27595zd2_1797; 
BgL_argsz00_1538 = BgL_argsz00_5630; 
BgL_fz00_1537 = BgL_fz00_5629; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5628);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27715zd2_1822;
BgL_cdrzd27715zd2_1822 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27715zd2_1822))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1785z00_1825;obj_t BgL_arg1786z00_1826;
BgL_arg1785z00_1825 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
BgL_arg1786z00_1826 = 
CAR(
((obj_t)BgL_cdrzd27715zd2_1822)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5642;
BgL_gvz00_1514 = BgL_arg1785z00_1825; 
BgL_gez00_1515 = BgL_arg1786z00_1826; 
BgL_tagzd2168zd2_1516:
{ /* Eval/evaluate.scm 561 */
obj_t BgL_tidz00_2595;
BgL_tidz00_2595 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1514); 
{ /* Eval/evaluate.scm 562 */
BgL_ev_defglobalz00_bglt BgL_new1142z00_2596;
{ /* Eval/evaluate.scm 566 */
BgL_ev_defglobalz00_bglt BgL_new1141z00_2601;
BgL_new1141z00_2601 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 566 */
long BgL_arg2333z00_2602;
BgL_arg2333z00_2602 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2601), BgL_arg2333z00_2602); } 
BgL_new1142z00_2596 = BgL_new1141z00_2601; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5648;
{ /* Eval/evaluate.scm 567 */
obj_t BgL_arg2329z00_2597;
{ /* Eval/evaluate.scm 567 */
obj_t BgL_arg2331z00_2599;
BgL_arg2331z00_2599 = 
CDR(BgL_tidz00_2595); 
BgL_arg2329z00_2597 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2331z00_2599, BgL_gez00_1515, BgL_locz00_74); } 
{ 
obj_t BgL_auxz00_5652;
BgL_ez00_2648 = BgL_arg2329z00_2597; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2649 = BgL_gvz00_1514; }  else 
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2649 = BgL_wherez00_73; } 
BgL_ez00_2638 = BgL_ez00_2648; 
BgL_locz00_2639 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2648, BgL_locz00_74); 
BgL_wherez00_2640 = BgL_wherez00_2649; 
BgL_auxz00_5652 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2638, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2640, BgL_locz00_2639, ((bool_t)0)); 
BgL_auxz00_5648 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5652); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1142z00_2596)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5648),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2596)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2596)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2595)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5663;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5663 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5663 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2596)))->BgL_modz00)=((obj_t)BgL_auxz00_5663),BUNSPEC); } 
BgL_auxz00_5642 = BgL_new1142z00_2596; } } 
return 
((obj_t)BgL_auxz00_5642);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1787z00_1827;obj_t BgL_arg1788z00_1828;
BgL_arg1787z00_1827 = 
CAR(BgL_ez00_69); 
BgL_arg1788z00_1828 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5672;
{ 
obj_t BgL_argsz00_5674;obj_t BgL_fz00_5673;
BgL_fz00_5673 = BgL_arg1787z00_1827; 
BgL_argsz00_5674 = BgL_arg1788z00_1828; 
BgL_argsz00_1538 = BgL_argsz00_5674; 
BgL_fz00_1537 = BgL_fz00_5673; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5672);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27804zd2_1832;
BgL_cdrzd27804zd2_1832 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27804zd2_1832))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1793z00_1835;obj_t BgL_arg1794z00_1836;
BgL_arg1793z00_1835 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
BgL_arg1794z00_1836 = 
CAR(
((obj_t)BgL_cdrzd27804zd2_1832)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5686;
{ 
obj_t BgL_gez00_5688;obj_t BgL_gvz00_5687;
BgL_gvz00_5687 = BgL_arg1793z00_1835; 
BgL_gez00_5688 = BgL_arg1794z00_1836; 
BgL_gez00_1515 = BgL_gez00_5688; 
BgL_gvz00_1514 = BgL_gvz00_5687; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_5686);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1795z00_1837;obj_t BgL_arg1796z00_1838;
BgL_arg1795z00_1837 = 
CAR(BgL_ez00_69); 
BgL_arg1796z00_1838 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5692;
{ 
obj_t BgL_argsz00_5694;obj_t BgL_fz00_5693;
BgL_fz00_5693 = BgL_arg1795z00_1837; 
BgL_argsz00_5694 = BgL_arg1796z00_1838; 
BgL_argsz00_1538 = BgL_argsz00_5694; 
BgL_fz00_1537 = BgL_fz00_5693; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5692);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27893zd2_1841;
BgL_cdrzd27893zd2_1841 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27893zd2_1841))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1800z00_1844;obj_t BgL_arg1801z00_1845;
BgL_arg1800z00_1844 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
BgL_arg1801z00_1845 = 
CAR(
((obj_t)BgL_cdrzd27893zd2_1841)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5706;
{ 
obj_t BgL_gez00_5708;obj_t BgL_gvz00_5707;
BgL_gvz00_5707 = BgL_arg1800z00_1844; 
BgL_gez00_5708 = BgL_arg1801z00_1845; 
BgL_gez00_1515 = BgL_gez00_5708; 
BgL_gvz00_1514 = BgL_gvz00_5707; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_5706);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1803z00_1846;obj_t BgL_arg1804z00_1847;
BgL_arg1803z00_1846 = 
CAR(BgL_ez00_69); 
BgL_arg1804z00_1847 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5712;
{ 
obj_t BgL_argsz00_5714;obj_t BgL_fz00_5713;
BgL_fz00_5713 = BgL_arg1803z00_1846; 
BgL_argsz00_5714 = BgL_arg1804z00_1847; 
BgL_argsz00_1538 = BgL_argsz00_5714; 
BgL_fz00_1537 = BgL_fz00_5713; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5712);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27982zd2_1850;
BgL_cdrzd27982zd2_1850 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27982zd2_1850))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1809z00_1853;obj_t BgL_arg1810z00_1854;
BgL_arg1809z00_1853 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
BgL_arg1810z00_1854 = 
CAR(
((obj_t)BgL_cdrzd27982zd2_1850)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5726;
{ 
obj_t BgL_gez00_5728;obj_t BgL_gvz00_5727;
BgL_gvz00_5727 = BgL_arg1809z00_1853; 
BgL_gez00_5728 = BgL_arg1810z00_1854; 
BgL_gez00_1515 = BgL_gez00_5728; 
BgL_gvz00_1514 = BgL_gvz00_5727; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_5726);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1811z00_1855;obj_t BgL_arg1812z00_1856;
BgL_arg1811z00_1855 = 
CAR(BgL_ez00_69); 
BgL_arg1812z00_1856 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5732;
{ 
obj_t BgL_argsz00_5734;obj_t BgL_fz00_5733;
BgL_fz00_5733 = BgL_arg1811z00_1855; 
BgL_argsz00_5734 = BgL_arg1812z00_1856; 
BgL_argsz00_1538 = BgL_argsz00_5734; 
BgL_fz00_1537 = BgL_fz00_5733; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5732);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28071zd2_1860;
BgL_cdrzd28071zd2_1860 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28071zd2_1860))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1817z00_1863;obj_t BgL_arg1818z00_1864;
BgL_arg1817z00_1863 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1797)); 
BgL_arg1818z00_1864 = 
CAR(
((obj_t)BgL_cdrzd28071zd2_1860)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5746;
{ 
obj_t BgL_gez00_5748;obj_t BgL_gvz00_5747;
BgL_gvz00_5747 = BgL_arg1817z00_1863; 
BgL_gez00_5748 = BgL_arg1818z00_1864; 
BgL_gez00_1515 = BgL_gez00_5748; 
BgL_gvz00_1514 = BgL_gvz00_5747; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_5746);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1819z00_1865;obj_t BgL_arg1820z00_1866;
BgL_arg1819z00_1865 = 
CAR(BgL_ez00_69); 
BgL_arg1820z00_1866 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5752;
{ 
obj_t BgL_argsz00_5754;obj_t BgL_fz00_5753;
BgL_fz00_5753 = BgL_arg1819z00_1865; 
BgL_argsz00_5754 = BgL_arg1820z00_1866; 
BgL_argsz00_1538 = BgL_argsz00_5754; 
BgL_fz00_1537 = BgL_fz00_5753; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5752);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1822z00_1868;
BgL_arg1822z00_1868 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5757;
{ 
obj_t BgL_argsz00_5759;obj_t BgL_fz00_5758;
BgL_fz00_5758 = BgL_arg1822z00_1868; 
BgL_argsz00_5759 = BgL_cdrzd27595zd2_1797; 
BgL_argsz00_1538 = BgL_argsz00_5759; 
BgL_fz00_1537 = BgL_fz00_5758; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5757);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1824z00_1870;
BgL_arg1824z00_1870 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5762;
{ 
obj_t BgL_argsz00_5764;obj_t BgL_fz00_5763;
BgL_fz00_5763 = BgL_arg1824z00_1870; 
BgL_argsz00_5764 = BgL_cdrzd27595zd2_1797; 
BgL_argsz00_1538 = BgL_argsz00_5764; 
BgL_fz00_1537 = BgL_fz00_5763; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5762);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2788z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1797))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd28319zd2_1876;
BgL_carzd28319zd2_1876 = 
CAR(BgL_cdrzd27595zd2_1797); 
if(
PAIRP(BgL_carzd28319zd2_1876))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd28319zd2_1876)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1832z00_1880;obj_t BgL_arg1833z00_1881;
BgL_arg1832z00_1880 = 
CAR(BgL_carzd28319zd2_1876); 
BgL_arg1833z00_1881 = 
CDR(BgL_cdrzd27595zd2_1797); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5779;
BgL_vz00_1517 = BgL_arg1832z00_1880; 
BgL_bodyz00_1518 = BgL_arg1833z00_1881; 
BgL_tagzd2169zd2_1519:
{ /* Eval/evaluate.scm 570 */
BgL_ev_varz00_bglt BgL_varz00_2603;
{ /* Eval/evaluate.scm 570 */
BgL_ev_varz00_bglt BgL_new1144z00_2608;
{ /* Eval/evaluate.scm 570 */
BgL_ev_varz00_bglt BgL_new1143z00_2609;
BgL_new1143z00_2609 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 570 */
long BgL_arg2336z00_2610;
BgL_arg2336z00_2610 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2609), BgL_arg2336z00_2610); } 
BgL_new1144z00_2608 = BgL_new1143z00_2609; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2608))->BgL_namez00)=((obj_t)BgL_vz00_1517),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2608))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2608))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2603 = BgL_new1144z00_2608; } 
{ /* Eval/evaluate.scm 571 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1146z00_2604;
{ /* Eval/evaluate.scm 572 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1145z00_2606;
BgL_new1145z00_2606 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 572 */
long BgL_arg2335z00_2607;
BgL_arg2335z00_2607 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_2606), BgL_arg2335z00_2607); } 
BgL_new1146z00_2604 = BgL_new1145z00_2606; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2604))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2603),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5792;
{ /* Eval/evaluate.scm 573 */
obj_t BgL_arg2334z00_2605;
BgL_arg2334z00_2605 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2603), BgL_localsz00_70); 
BgL_auxz00_5792 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1518, BgL_arg2334z00_2605, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2604))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5792),BUNSPEC); } 
BgL_auxz00_5779 = BgL_new1146z00_2604; } } 
return 
((obj_t)BgL_auxz00_5779);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1834z00_1882;obj_t BgL_arg1835z00_1883;
BgL_arg1834z00_1882 = 
CAR(BgL_ez00_69); 
BgL_arg1835z00_1883 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5801;
{ 
obj_t BgL_argsz00_5803;obj_t BgL_fz00_5802;
BgL_fz00_5802 = BgL_arg1834z00_1882; 
BgL_argsz00_5803 = BgL_arg1835z00_1883; 
BgL_argsz00_1538 = BgL_argsz00_5803; 
BgL_fz00_1537 = BgL_fz00_5802; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5801);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1837z00_1885;obj_t BgL_arg1838z00_1886;
BgL_arg1837z00_1885 = 
CAR(BgL_ez00_69); 
BgL_arg1838z00_1886 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5807;
{ 
obj_t BgL_argsz00_5809;obj_t BgL_fz00_5808;
BgL_fz00_5808 = BgL_arg1837z00_1885; 
BgL_argsz00_5809 = BgL_arg1838z00_1886; 
BgL_argsz00_1538 = BgL_argsz00_5809; 
BgL_fz00_1537 = BgL_fz00_5808; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5807);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1839z00_1887;obj_t BgL_arg1840z00_1888;
BgL_arg1839z00_1887 = 
CAR(BgL_ez00_69); 
BgL_arg1840z00_1888 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5813;
{ 
obj_t BgL_argsz00_5815;obj_t BgL_fz00_5814;
BgL_fz00_5814 = BgL_arg1839z00_1887; 
BgL_argsz00_5815 = BgL_arg1840z00_1888; 
BgL_argsz00_1538 = BgL_argsz00_5815; 
BgL_fz00_1537 = BgL_fz00_5814; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5813);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28490zd2_1889;
BgL_cdrzd28490zd2_1889 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2790z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1889))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1844z00_1893;obj_t BgL_arg1845z00_1894;
BgL_arg1844z00_1893 = 
CAR(BgL_cdrzd28490zd2_1889); 
BgL_arg1845z00_1894 = 
CDR(BgL_cdrzd28490zd2_1889); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5825;
BgL_ez00_1520 = BgL_arg1844z00_1893; 
BgL_bodyz00_1521 = BgL_arg1845z00_1894; 
BgL_tagzd2170zd2_1522:
{ /* Eval/evaluate.scm 575 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1148z00_2611;
{ /* Eval/evaluate.scm 576 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1147z00_2612;
BgL_new1147z00_2612 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 576 */
long BgL_arg2337z00_2613;
BgL_arg2337z00_2613 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_2612), BgL_arg2337z00_2613); } 
BgL_new1148z00_2611 = BgL_new1147z00_2612; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2611))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1520))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2611))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1521, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5825 = BgL_new1148z00_2611; } 
return 
((obj_t)BgL_auxz00_5825);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1846z00_1895;
BgL_arg1846z00_1895 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5838;
{ 
obj_t BgL_argsz00_5840;obj_t BgL_fz00_5839;
BgL_fz00_5839 = BgL_arg1846z00_1895; 
BgL_argsz00_5840 = BgL_cdrzd28490zd2_1889; 
BgL_argsz00_1538 = BgL_argsz00_5840; 
BgL_fz00_1537 = BgL_fz00_5839; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5838);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2792z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1889))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1851z00_1901;obj_t BgL_arg1852z00_1902;
BgL_arg1851z00_1901 = 
CAR(BgL_cdrzd28490zd2_1889); 
BgL_arg1852z00_1902 = 
CDR(BgL_cdrzd28490zd2_1889); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5849;
BgL_hz00_1523 = BgL_arg1851z00_1901; 
BgL_bodyz00_1524 = BgL_arg1852z00_1902; 
BgL_tagzd2171zd2_1525:
{ /* Eval/evaluate.scm 579 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1150z00_2614;
{ /* Eval/evaluate.scm 580 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1149z00_2615;
BgL_new1149z00_2615 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 580 */
long BgL_arg2338z00_2616;
BgL_arg2338z00_2616 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_2615), BgL_arg2338z00_2616); } 
BgL_new1150z00_2614 = BgL_new1149z00_2615; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2614))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1523))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2614))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1524, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5849 = BgL_new1150z00_2614; } 
return 
((obj_t)BgL_auxz00_5849);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1853z00_1903;obj_t BgL_arg1854z00_1904;
BgL_arg1853z00_1903 = 
CAR(BgL_ez00_69); 
BgL_arg1854z00_1904 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5863;
{ 
obj_t BgL_argsz00_5865;obj_t BgL_fz00_5864;
BgL_fz00_5864 = BgL_arg1853z00_1903; 
BgL_argsz00_5865 = BgL_arg1854z00_1904; 
BgL_argsz00_1538 = BgL_argsz00_5865; 
BgL_fz00_1537 = BgL_fz00_5864; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5863);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28597zd2_1905;
BgL_cdrzd28597zd2_1905 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2794z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1905))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28602zd2_1909;
BgL_cdrzd28602zd2_1909 = 
CDR(BgL_cdrzd28597zd2_1905); 
if(
PAIRP(BgL_cdrzd28602zd2_1909))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28607zd2_1911;
BgL_cdrzd28607zd2_1911 = 
CDR(BgL_cdrzd28602zd2_1909); 
if(
(
CAR(BgL_cdrzd28602zd2_1909)==BGl_keyword2796z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28607zd2_1911))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1862z00_1915;obj_t BgL_arg1863z00_1916;obj_t BgL_arg1864z00_1917;
BgL_arg1862z00_1915 = 
CAR(BgL_cdrzd28597zd2_1905); 
BgL_arg1863z00_1916 = 
CAR(BgL_cdrzd28607zd2_1911); 
BgL_arg1864z00_1917 = 
CDR(BgL_cdrzd28607zd2_1911); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5885;
BgL_mz00_1526 = BgL_arg1862z00_1915; 
BgL_pz00_1527 = BgL_arg1863z00_1916; 
BgL_bodyz00_1528 = BgL_arg1864z00_1917; 
BgL_tagzd2172zd2_1529:
{ /* Eval/evaluate.scm 583 */
BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2617;
{ /* Eval/evaluate.scm 584 */
BgL_ev_synchroniza7eza7_bglt BgL_new1151z00_2618;
BgL_new1151z00_2618 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 584 */
long BgL_arg2339z00_2619;
BgL_arg2339z00_2619 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_2618), BgL_arg2339z00_2619); } 
BgL_new1152z00_2617 = BgL_new1151z00_2618; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2617))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2617))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1526))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2617))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1527))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2617))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1528, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5885 = BgL_new1152z00_2617; } 
return 
((obj_t)BgL_auxz00_5885);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1865z00_1919;obj_t BgL_arg1866z00_1920;
BgL_arg1865z00_1919 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1905)); 
BgL_arg1866z00_1920 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1905)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5905;
BgL_mz00_1530 = BgL_arg1865z00_1919; 
BgL_bodyz00_1531 = BgL_arg1866z00_1920; 
BgL_tagzd2173zd2_1532:
{ /* Eval/evaluate.scm 589 */
BgL_ev_synchroniza7eza7_bglt BgL_new1154z00_2620;
{ /* Eval/evaluate.scm 590 */
BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2621;
BgL_new1153z00_2621 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 590 */
long BgL_arg2340z00_2622;
BgL_arg2340z00_2622 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_2621), BgL_arg2340z00_2622); } 
BgL_new1154z00_2620 = BgL_new1153z00_2621; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2620))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2620))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1530))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2620))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2620))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1531, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5905 = BgL_new1154z00_2620; } 
return 
((obj_t)BgL_auxz00_5905);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1867z00_1922;obj_t BgL_arg1868z00_1923;
BgL_arg1867z00_1922 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1905)); 
BgL_arg1868z00_1923 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1905)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5925;
{ 
obj_t BgL_bodyz00_5927;obj_t BgL_mz00_5926;
BgL_mz00_5926 = BgL_arg1867z00_1922; 
BgL_bodyz00_5927 = BgL_arg1868z00_1923; 
BgL_bodyz00_1531 = BgL_bodyz00_5927; 
BgL_mz00_1530 = BgL_mz00_5926; 
goto BgL_tagzd2173zd2_1532;} 
return 
((obj_t)BgL_auxz00_5925);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1870z00_1926;obj_t BgL_arg1871z00_1927;
BgL_arg1870z00_1926 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1905)); 
BgL_arg1871z00_1927 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1905)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5933;
{ 
obj_t BgL_bodyz00_5935;obj_t BgL_mz00_5934;
BgL_mz00_5934 = BgL_arg1870z00_1926; 
BgL_bodyz00_5935 = BgL_arg1871z00_1927; 
BgL_bodyz00_1531 = BgL_bodyz00_5935; 
BgL_mz00_1530 = BgL_mz00_5934; 
goto BgL_tagzd2173zd2_1532;} 
return 
((obj_t)BgL_auxz00_5933);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1872z00_1928;
BgL_arg1872z00_1928 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5938;
{ 
obj_t BgL_argsz00_5940;obj_t BgL_fz00_5939;
BgL_fz00_5939 = BgL_arg1872z00_1928; 
BgL_argsz00_5940 = BgL_cdrzd28597zd2_1905; 
BgL_argsz00_1538 = BgL_argsz00_5940; 
BgL_fz00_1537 = BgL_fz00_5939; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5938);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2747z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1905))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28709zd2_1934;
BgL_cdrzd28709zd2_1934 = 
CDR(BgL_cdrzd28597zd2_1905); 
if(
PAIRP(BgL_cdrzd28709zd2_1934))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd28709zd2_1934)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1880z00_1938;obj_t BgL_arg1881z00_1939;
BgL_arg1880z00_1938 = 
CAR(BgL_cdrzd28597zd2_1905); 
BgL_arg1881z00_1939 = 
CAR(BgL_cdrzd28709zd2_1934); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_5955;
BgL_formalsz00_1533 = BgL_arg1880z00_1938; 
BgL_bodyz00_1534 = BgL_arg1881z00_1939; 
BgL_tagzd2174zd2_1535:
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2341z00_2623;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2342z00_2624;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2343z00_2625;obj_t BgL_arg2344z00_2626;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_symbolz00_3419;
BgL_symbolz00_3419 = BGl_symbol2760z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2515z00_3420;
BgL_arg2515z00_3420 = 
SYMBOL_TO_STRING(BgL_symbolz00_3419); 
BgL_arg2343z00_2625 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3420); } } 
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2515z00_3422;
BgL_arg2515z00_3422 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_arg2344z00_2626 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2515z00_3422); } 
BgL_arg2342z00_2624 = 
string_append(BgL_arg2343z00_2625, BgL_arg2344z00_2626); } 
BgL_arg2341z00_2623 = 
bstring_to_symbol(BgL_arg2342z00_2624); } 
BgL_auxz00_5955 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1533, BgL_bodyz00_1534, BgL_arg2341z00_2623, BFALSE); } 
return 
((obj_t)BgL_auxz00_5955);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1882z00_1940;obj_t BgL_arg1883z00_1941;
BgL_arg1882z00_1940 = 
CAR(BgL_ez00_69); 
BgL_arg1883z00_1941 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5967;
{ 
obj_t BgL_argsz00_5969;obj_t BgL_fz00_5968;
BgL_fz00_5968 = BgL_arg1882z00_1940; 
BgL_argsz00_5969 = BgL_arg1883z00_1941; 
BgL_argsz00_1538 = BgL_argsz00_5969; 
BgL_fz00_1537 = BgL_fz00_5968; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5967);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1885z00_1943;obj_t BgL_arg1886z00_1944;
BgL_arg1885z00_1943 = 
CAR(BgL_ez00_69); 
BgL_arg1886z00_1944 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5973;
{ 
obj_t BgL_argsz00_5975;obj_t BgL_fz00_5974;
BgL_fz00_5974 = BgL_arg1885z00_1943; 
BgL_argsz00_5975 = BgL_arg1886z00_1944; 
BgL_argsz00_1538 = BgL_argsz00_5975; 
BgL_fz00_1537 = BgL_fz00_5974; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5973);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1887z00_1945;obj_t BgL_arg1888z00_1946;
BgL_arg1887z00_1945 = 
CAR(BgL_ez00_69); 
BgL_arg1888z00_1946 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5979;
{ 
obj_t BgL_argsz00_5981;obj_t BgL_fz00_5980;
BgL_fz00_5980 = BgL_arg1887z00_1945; 
BgL_argsz00_5981 = BgL_arg1888z00_1946; 
BgL_argsz00_1538 = BgL_argsz00_5981; 
BgL_fz00_1537 = BgL_fz00_5980; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5979);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2798z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2175zd2_1536:
return 
BGl_errorz00zz__errorz00(BGl_string2758z00zz__evaluatez00, BGl_string2759z00zz__evaluatez00, BgL_ez00_69);}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1891z00_1949;obj_t BgL_arg1892z00_1950;
BgL_arg1891z00_1949 = 
CAR(BgL_ez00_69); 
BgL_arg1892z00_1950 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5989;
{ 
obj_t BgL_argsz00_5991;obj_t BgL_fz00_5990;
BgL_fz00_5990 = BgL_arg1891z00_1949; 
BgL_argsz00_5991 = BgL_arg1892z00_1950; 
BgL_argsz00_1538 = BgL_argsz00_5991; 
BgL_fz00_1537 = BgL_fz00_5990; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_5989);} } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1612==BGl_symbol2774z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1546))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1546)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1917z00_1975;
BgL_arg1917z00_1975 = 
CAR(BgL_cdrzd2250zd2_1546); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_6001;
{ 
obj_t BgL_ez00_6002;
BgL_ez00_6002 = BgL_arg1917z00_1975; 
BgL_ez00_1473 = BgL_ez00_6002; 
goto BgL_tagzd2153zd2_1474;} 
return 
((obj_t)BgL_auxz00_6001);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1918z00_1976;obj_t BgL_arg1919z00_1977;
BgL_arg1918z00_1976 = 
CAR(BgL_ez00_69); 
BgL_arg1919z00_1977 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6006;
{ 
obj_t BgL_argsz00_6008;obj_t BgL_fz00_6007;
BgL_fz00_6007 = BgL_arg1918z00_1976; 
BgL_argsz00_6008 = BgL_arg1919z00_1977; 
BgL_argsz00_1538 = BgL_argsz00_6008; 
BgL_fz00_1537 = BgL_fz00_6007; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6006);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1921z00_1979;obj_t BgL_arg1922z00_1980;
BgL_arg1921z00_1979 = 
CAR(BgL_ez00_69); 
BgL_arg1922z00_1980 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6012;
{ 
obj_t BgL_argsz00_6014;obj_t BgL_fz00_6013;
BgL_fz00_6013 = BgL_arg1921z00_1979; 
BgL_argsz00_6014 = BgL_arg1922z00_1980; 
BgL_argsz00_1538 = BgL_argsz00_6014; 
BgL_fz00_1537 = BgL_fz00_6013; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6012);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd29422zd2_1981;
BgL_cdrzd29422zd2_1981 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2735z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_1981))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd29422zd2_1981)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1928z00_1987;
BgL_arg1928z00_1987 = 
CAR(BgL_cdrzd29422zd2_1981); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_6026;
{ 
obj_t BgL_vz00_6027;
BgL_vz00_6027 = BgL_arg1928z00_1987; 
BgL_vz00_1475 = BgL_vz00_6027; 
goto BgL_tagzd2154zd2_1476;} 
return 
((obj_t)BgL_auxz00_6026);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1929z00_1988;
BgL_arg1929z00_1988 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6030;
{ 
obj_t BgL_argsz00_6032;obj_t BgL_fz00_6031;
BgL_fz00_6031 = BgL_arg1929z00_1988; 
BgL_argsz00_6032 = BgL_cdrzd29422zd2_1981; 
BgL_argsz00_1538 = BgL_argsz00_6032; 
BgL_fz00_1537 = BgL_fz00_6031; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6030);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1932z00_1991;
BgL_arg1932z00_1991 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6035;
{ 
obj_t BgL_argsz00_6037;obj_t BgL_fz00_6036;
BgL_fz00_6036 = BgL_arg1932z00_1991; 
BgL_argsz00_6037 = BgL_cdrzd29422zd2_1981; 
BgL_argsz00_1538 = BgL_argsz00_6037; 
BgL_fz00_1537 = BgL_fz00_6036; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6035);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2743z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_1981))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd210036zd2_1997;
BgL_cdrzd210036zd2_1997 = 
CDR(BgL_cdrzd29422zd2_1981); 
if(
PAIRP(BgL_cdrzd210036zd2_1997))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd210041zd2_1999;
BgL_cdrzd210041zd2_1999 = 
CDR(BgL_cdrzd210036zd2_1997); 
if(
PAIRP(BgL_cdrzd210041zd2_1999))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd210041zd2_1999)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1941z00_2003;obj_t BgL_arg1942z00_2004;obj_t BgL_arg1943z00_2005;
BgL_arg1941z00_2003 = 
CAR(BgL_cdrzd29422zd2_1981); 
BgL_arg1942z00_2004 = 
CAR(BgL_cdrzd210036zd2_1997); 
BgL_arg1943z00_2005 = 
CAR(BgL_cdrzd210041zd2_1999); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6056;
{ 
obj_t BgL_oz00_6059;obj_t BgL_tz00_6058;obj_t BgL_pz00_6057;
BgL_pz00_6057 = BgL_arg1941z00_2003; 
BgL_tz00_6058 = BgL_arg1942z00_2004; 
BgL_oz00_6059 = BgL_arg1943z00_2005; 
BgL_oz00_1479 = BgL_oz00_6059; 
BgL_tz00_1478 = BgL_tz00_6058; 
BgL_pz00_1477 = BgL_pz00_6057; 
goto BgL_tagzd2155zd2_1480;} 
return 
((obj_t)BgL_auxz00_6056);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1944z00_2006;obj_t BgL_arg1945z00_2007;
BgL_arg1944z00_2006 = 
CAR(BgL_ez00_69); 
BgL_arg1945z00_2007 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6063;
{ 
obj_t BgL_argsz00_6065;obj_t BgL_fz00_6064;
BgL_fz00_6064 = BgL_arg1944z00_2006; 
BgL_argsz00_6065 = BgL_arg1945z00_2007; 
BgL_argsz00_1538 = BgL_argsz00_6065; 
BgL_fz00_1537 = BgL_fz00_6064; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6063);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd210341zd2_2009;
BgL_cdrzd210341zd2_2009 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd210347zd2_2010;
BgL_cdrzd210347zd2_2010 = 
CDR(
((obj_t)BgL_cdrzd210341zd2_2009)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210347zd2_2010))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1949z00_2013;obj_t BgL_arg1950z00_2014;
BgL_arg1949z00_2013 = 
CAR(
((obj_t)BgL_cdrzd210341zd2_2009)); 
BgL_arg1950z00_2014 = 
CAR(
((obj_t)BgL_cdrzd210347zd2_2010)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6078;
{ 
obj_t BgL_tz00_6080;obj_t BgL_pz00_6079;
BgL_pz00_6079 = BgL_arg1949z00_2013; 
BgL_tz00_6080 = BgL_arg1950z00_2014; 
BgL_tz00_1482 = BgL_tz00_6080; 
BgL_pz00_1481 = BgL_pz00_6079; 
goto BgL_tagzd2156zd2_1483;} 
return 
((obj_t)BgL_auxz00_6078);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1951z00_2015;
BgL_arg1951z00_2015 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6083;
{ 
obj_t BgL_argsz00_6085;obj_t BgL_fz00_6084;
BgL_fz00_6084 = BgL_arg1951z00_2015; 
BgL_argsz00_6085 = BgL_cdrzd210341zd2_2009; 
BgL_argsz00_1538 = BgL_argsz00_6085; 
BgL_fz00_1537 = BgL_fz00_6084; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6083);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1954z00_2018;obj_t BgL_arg1955z00_2019;
BgL_arg1954z00_2018 = 
CAR(BgL_ez00_69); 
BgL_arg1955z00_2019 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6089;
{ 
obj_t BgL_argsz00_6091;obj_t BgL_fz00_6090;
BgL_fz00_6090 = BgL_arg1954z00_2018; 
BgL_argsz00_6091 = BgL_arg1955z00_2019; 
BgL_argsz00_1538 = BgL_argsz00_6091; 
BgL_fz00_1537 = BgL_fz00_6090; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6089);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1956z00_2020;obj_t BgL_arg1957z00_2021;
BgL_arg1956z00_2020 = 
CAR(BgL_ez00_69); 
BgL_arg1957z00_2021 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6095;
{ 
obj_t BgL_argsz00_6097;obj_t BgL_fz00_6096;
BgL_fz00_6096 = BgL_arg1956z00_2020; 
BgL_argsz00_6097 = BgL_arg1957z00_2021; 
BgL_argsz00_1538 = BgL_argsz00_6097; 
BgL_fz00_1537 = BgL_fz00_6096; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6095);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2776z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1960z00_2024;
BgL_arg1960z00_2024 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_6103;
{ 
obj_t BgL_argsz00_6104;
BgL_argsz00_6104 = BgL_arg1960z00_2024; 
BgL_argsz00_1484 = BgL_argsz00_6104; 
goto BgL_tagzd2157zd2_1485;} 
return 
((obj_t)BgL_auxz00_6103);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2778z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1963z00_2027;
BgL_arg1963z00_2027 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_6110;
{ 
obj_t BgL_argsz00_6111;
BgL_argsz00_6111 = BgL_arg1963z00_2027; 
BgL_argsz00_1486 = BgL_argsz00_6111; 
goto BgL_tagzd2158zd2_1487;} 
return 
((obj_t)BgL_auxz00_6110);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2763z00zz__evaluatez00))
{ 
obj_t BgL_lz00_6116;
BgL_lz00_6116 = 
CDR(BgL_ez00_69); 
BgL_lz00_1488 = BgL_lz00_6116; 
goto BgL_tagzd2159zd2_1489;}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211246zd2_2031;
BgL_cdrzd211246zd2_2031 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2745z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2031))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1970z00_2035;obj_t BgL_arg1971z00_2036;
BgL_arg1970z00_2035 = 
CAR(BgL_cdrzd211246zd2_2031); 
BgL_arg1971z00_2036 = 
CDR(BgL_cdrzd211246zd2_2031); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_6126;
{ 
obj_t BgL_bodyz00_6128;obj_t BgL_bindsz00_6127;
BgL_bindsz00_6127 = BgL_arg1970z00_2035; 
BgL_bodyz00_6128 = BgL_arg1971z00_2036; 
BgL_bodyz00_1491 = BgL_bodyz00_6128; 
BgL_bindsz00_1490 = BgL_bindsz00_6127; 
goto BgL_tagzd2160zd2_1492;} 
return 
((obj_t)BgL_auxz00_6126);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1972z00_2037;
BgL_arg1972z00_2037 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6131;
{ 
obj_t BgL_argsz00_6133;obj_t BgL_fz00_6132;
BgL_fz00_6132 = BgL_arg1972z00_2037; 
BgL_argsz00_6133 = BgL_cdrzd211246zd2_2031; 
BgL_argsz00_1538 = BgL_argsz00_6133; 
BgL_fz00_1537 = BgL_fz00_6132; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6131);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2780z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2031))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1977z00_2043;obj_t BgL_arg1978z00_2044;
BgL_arg1977z00_2043 = 
CAR(BgL_cdrzd211246zd2_2031); 
BgL_arg1978z00_2044 = 
CDR(BgL_cdrzd211246zd2_2031); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_6142;
{ 
obj_t BgL_bodyz00_6144;obj_t BgL_bindsz00_6143;
BgL_bindsz00_6143 = BgL_arg1977z00_2043; 
BgL_bodyz00_6144 = BgL_arg1978z00_2044; 
BgL_bodyz00_1494 = BgL_bodyz00_6144; 
BgL_bindsz00_1493 = BgL_bindsz00_6143; 
goto BgL_tagzd2161zd2_1495;} 
return 
((obj_t)BgL_auxz00_6142);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1979z00_2045;obj_t BgL_arg1980z00_2046;
BgL_arg1979z00_2045 = 
CAR(BgL_ez00_69); 
BgL_arg1980z00_2046 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6148;
{ 
obj_t BgL_argsz00_6150;obj_t BgL_fz00_6149;
BgL_fz00_6149 = BgL_arg1979z00_2045; 
BgL_argsz00_6150 = BgL_arg1980z00_2046; 
BgL_argsz00_1538 = BgL_argsz00_6150; 
BgL_fz00_1537 = BgL_fz00_6149; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6148);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211644zd2_2047;
BgL_cdrzd211644zd2_2047 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2782z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2047))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1984z00_2051;obj_t BgL_arg1985z00_2052;
BgL_arg1984z00_2051 = 
CAR(BgL_cdrzd211644zd2_2047); 
BgL_arg1985z00_2052 = 
CDR(BgL_cdrzd211644zd2_2047); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_6160;
{ 
obj_t BgL_bodyz00_6162;obj_t BgL_bindsz00_6161;
BgL_bindsz00_6161 = BgL_arg1984z00_2051; 
BgL_bodyz00_6162 = BgL_arg1985z00_2052; 
BgL_bodyz00_1497 = BgL_bodyz00_6162; 
BgL_bindsz00_1496 = BgL_bindsz00_6161; 
goto BgL_tagzd2162zd2_1498;} 
return 
((obj_t)BgL_auxz00_6160);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1986z00_2053;
BgL_arg1986z00_2053 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6165;
{ 
obj_t BgL_argsz00_6167;obj_t BgL_fz00_6166;
BgL_fz00_6166 = BgL_arg1986z00_2053; 
BgL_argsz00_6167 = BgL_cdrzd211644zd2_2047; 
BgL_argsz00_1538 = BgL_argsz00_6167; 
BgL_fz00_1537 = BgL_fz00_6166; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6165);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2784z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2047))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd211820zd2_2059;obj_t BgL_cdrzd211821zd2_2060;
BgL_carzd211820zd2_2059 = 
CAR(BgL_cdrzd211644zd2_2047); 
BgL_cdrzd211821zd2_2060 = 
CDR(BgL_cdrzd211644zd2_2047); 
if(
PAIRP(BgL_carzd211820zd2_2059))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211825zd2_2062;
BgL_cdrzd211825zd2_2062 = 
CDR(BgL_carzd211820zd2_2059); 
if(
(
CAR(BgL_carzd211820zd2_2059)==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211825zd2_2062))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd211828zd2_2066;obj_t BgL_cdrzd211829zd2_2067;
BgL_carzd211828zd2_2066 = 
CAR(BgL_cdrzd211825zd2_2062); 
BgL_cdrzd211829zd2_2067 = 
CDR(BgL_cdrzd211825zd2_2062); 
if(
SYMBOLP(BgL_carzd211828zd2_2066))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211829zd2_2067))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd211833zd2_2070;
BgL_carzd211833zd2_2070 = 
CAR(BgL_cdrzd211829zd2_2067); 
if(
SYMBOLP(BgL_carzd211833zd2_2070))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211829zd2_2067)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211821zd2_2060))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211821zd2_2060)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2003z00_2077;
BgL_arg2003z00_2077 = 
CAR(BgL_cdrzd211821zd2_2060); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_6202;
{ 
obj_t BgL_ez00_6205;obj_t BgL_modnamez00_6204;obj_t BgL_idz00_6203;
BgL_idz00_6203 = BgL_carzd211828zd2_2066; 
BgL_modnamez00_6204 = BgL_carzd211833zd2_2070; 
BgL_ez00_6205 = BgL_arg2003z00_2077; 
BgL_ez00_1501 = BgL_ez00_6205; 
BgL_modnamez00_1500 = BgL_modnamez00_6204; 
BgL_idz00_1499 = BgL_idz00_6203; 
goto BgL_tagzd2163zd2_1502;} 
return 
((obj_t)BgL_auxz00_6202);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211949zd2_2079;
BgL_cdrzd211949zd2_2079 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211953zd2_2080;
BgL_cdrzd211953zd2_2080 = 
CDR(
((obj_t)BgL_cdrzd211949zd2_2079)); 
if(
PAIRP(BgL_cdrzd211953zd2_2080))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211953zd2_2080)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2008z00_2084;obj_t BgL_arg2009z00_2085;
BgL_arg2008z00_2084 = 
CAR(
((obj_t)BgL_cdrzd211949zd2_2079)); 
BgL_arg2009z00_2085 = 
CAR(BgL_cdrzd211953zd2_2080); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6218;
{ 
obj_t BgL_ez00_6220;obj_t BgL_vz00_6219;
BgL_vz00_6219 = BgL_arg2008z00_2084; 
BgL_ez00_6220 = BgL_arg2009z00_2085; 
BgL_ez00_1507 = BgL_ez00_6220; 
BgL_vz00_1506 = BgL_vz00_6219; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6218);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212010zd2_2088;
BgL_cdrzd212010zd2_2088 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212014zd2_2089;
BgL_cdrzd212014zd2_2089 = 
CDR(
((obj_t)BgL_cdrzd212010zd2_2088)); 
if(
PAIRP(BgL_cdrzd212014zd2_2089))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212014zd2_2089)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2015z00_2093;obj_t BgL_arg2016z00_2094;
BgL_arg2015z00_2093 = 
CAR(
((obj_t)BgL_cdrzd212010zd2_2088)); 
BgL_arg2016z00_2094 = 
CAR(BgL_cdrzd212014zd2_2089); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6233;
{ 
obj_t BgL_ez00_6235;obj_t BgL_vz00_6234;
BgL_vz00_6234 = BgL_arg2015z00_2093; 
BgL_ez00_6235 = BgL_arg2016z00_2094; 
BgL_ez00_1507 = BgL_ez00_6235; 
BgL_vz00_1506 = BgL_vz00_6234; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6233);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212071zd2_2096;
BgL_cdrzd212071zd2_2096 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212075zd2_2097;
BgL_cdrzd212075zd2_2097 = 
CDR(
((obj_t)BgL_cdrzd212071zd2_2096)); 
if(
PAIRP(BgL_cdrzd212075zd2_2097))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212075zd2_2097)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2021z00_2101;obj_t BgL_arg2022z00_2102;
BgL_arg2021z00_2101 = 
CAR(
((obj_t)BgL_cdrzd212071zd2_2096)); 
BgL_arg2022z00_2102 = 
CAR(BgL_cdrzd212075zd2_2097); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6248;
{ 
obj_t BgL_ez00_6250;obj_t BgL_vz00_6249;
BgL_vz00_6249 = BgL_arg2021z00_2101; 
BgL_ez00_6250 = BgL_arg2022z00_2102; 
BgL_ez00_1507 = BgL_ez00_6250; 
BgL_vz00_1506 = BgL_vz00_6249; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6248);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212132zd2_2104;
BgL_cdrzd212132zd2_2104 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212136zd2_2105;
BgL_cdrzd212136zd2_2105 = 
CDR(
((obj_t)BgL_cdrzd212132zd2_2104)); 
if(
PAIRP(BgL_cdrzd212136zd2_2105))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212136zd2_2105)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2027z00_2109;obj_t BgL_arg2028z00_2110;
BgL_arg2027z00_2109 = 
CAR(
((obj_t)BgL_cdrzd212132zd2_2104)); 
BgL_arg2028z00_2110 = 
CAR(BgL_cdrzd212136zd2_2105); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6263;
{ 
obj_t BgL_ez00_6265;obj_t BgL_vz00_6264;
BgL_vz00_6264 = BgL_arg2027z00_2109; 
BgL_ez00_6265 = BgL_arg2028z00_2110; 
BgL_ez00_1507 = BgL_ez00_6265; 
BgL_vz00_1506 = BgL_vz00_6264; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6263);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212193zd2_2112;
BgL_cdrzd212193zd2_2112 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212197zd2_2113;
BgL_cdrzd212197zd2_2113 = 
CDR(
((obj_t)BgL_cdrzd212193zd2_2112)); 
if(
PAIRP(BgL_cdrzd212197zd2_2113))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212197zd2_2113)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2033z00_2117;obj_t BgL_arg2034z00_2118;
BgL_arg2033z00_2117 = 
CAR(
((obj_t)BgL_cdrzd212193zd2_2112)); 
BgL_arg2034z00_2118 = 
CAR(BgL_cdrzd212197zd2_2113); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6278;
{ 
obj_t BgL_ez00_6280;obj_t BgL_vz00_6279;
BgL_vz00_6279 = BgL_arg2033z00_2117; 
BgL_ez00_6280 = BgL_arg2034z00_2118; 
BgL_ez00_1507 = BgL_ez00_6280; 
BgL_vz00_1506 = BgL_vz00_6279; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6278);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212241zd2_2120;
BgL_cdrzd212241zd2_2120 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd212244zd2_2121;obj_t BgL_cdrzd212245zd2_2122;
BgL_carzd212244zd2_2121 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2120)); 
BgL_cdrzd212245zd2_2122 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2120)); 
if(
(
CAR(
((obj_t)BgL_carzd212244zd2_2121))==BGl_symbol2772z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212245zd2_2122))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212245zd2_2122)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2041z00_2128;obj_t BgL_arg2042z00_2129;
BgL_arg2041z00_2128 = 
CDR(
((obj_t)BgL_carzd212244zd2_2121)); 
BgL_arg2042z00_2129 = 
CAR(BgL_cdrzd212245zd2_2122); 
{ 
obj_t BgL_e2z00_6300;obj_t BgL_lz00_6299;
BgL_lz00_6299 = BgL_arg2041z00_2128; 
BgL_e2z00_6300 = BgL_arg2042z00_2129; 
BgL_e2z00_1504 = BgL_e2z00_6300; 
BgL_lz00_1503 = BgL_lz00_6299; 
goto BgL_tagzd2164zd2_1505;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212321zd2_2132;
BgL_cdrzd212321zd2_2132 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2120)); 
if(
PAIRP(BgL_cdrzd212321zd2_2132))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212321zd2_2132)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2047z00_2136;obj_t BgL_arg2048z00_2137;
BgL_arg2047z00_2136 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2120)); 
BgL_arg2048z00_2137 = 
CAR(BgL_cdrzd212321zd2_2132); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6311;
{ 
obj_t BgL_ez00_6313;obj_t BgL_vz00_6312;
BgL_vz00_6312 = BgL_arg2047z00_2136; 
BgL_ez00_6313 = BgL_arg2048z00_2137; 
BgL_ez00_1507 = BgL_ez00_6313; 
BgL_vz00_1506 = BgL_vz00_6312; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6311);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212378zd2_2141;
BgL_cdrzd212378zd2_2141 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212382zd2_2142;
BgL_cdrzd212382zd2_2142 = 
CDR(
((obj_t)BgL_cdrzd212378zd2_2141)); 
if(
PAIRP(BgL_cdrzd212382zd2_2142))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212382zd2_2142)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2055z00_2146;obj_t BgL_arg2056z00_2147;
BgL_arg2055z00_2146 = 
CAR(
((obj_t)BgL_cdrzd212378zd2_2141)); 
BgL_arg2056z00_2147 = 
CAR(BgL_cdrzd212382zd2_2142); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6326;
{ 
obj_t BgL_ez00_6328;obj_t BgL_vz00_6327;
BgL_vz00_6327 = BgL_arg2055z00_2146; 
BgL_ez00_6328 = BgL_arg2056z00_2147; 
BgL_ez00_1507 = BgL_ez00_6328; 
BgL_vz00_1506 = BgL_vz00_6327; 
goto BgL_tagzd2165zd2_1508;} 
return 
((obj_t)BgL_auxz00_6326);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1509;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212503zd2_2149;
BgL_cdrzd212503zd2_2149 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2786z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2149))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212508zd2_2153;
BgL_cdrzd212508zd2_2153 = 
CDR(BgL_cdrzd212503zd2_2149); 
if(
PAIRP(BgL_cdrzd212508zd2_2153))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd212512zd2_2155;
BgL_carzd212512zd2_2155 = 
CAR(BgL_cdrzd212508zd2_2153); 
if(
PAIRP(BgL_carzd212512zd2_2155))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212517zd2_2157;
BgL_cdrzd212517zd2_2157 = 
CDR(BgL_carzd212512zd2_2155); 
if(
(
CAR(BgL_carzd212512zd2_2155)==BGl_symbol2747z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212517zd2_2157))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212521zd2_2161;
BgL_cdrzd212521zd2_2161 = 
CDR(BgL_cdrzd212517zd2_2157); 
if(
PAIRP(BgL_cdrzd212521zd2_2161))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212521zd2_2161)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212508zd2_2153)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2071z00_2167;obj_t BgL_arg2072z00_2168;obj_t BgL_arg2073z00_2169;
BgL_arg2071z00_2167 = 
CAR(BgL_cdrzd212503zd2_2149); 
BgL_arg2072z00_2168 = 
CAR(BgL_cdrzd212517zd2_2157); 
BgL_arg2073z00_2169 = 
CAR(BgL_cdrzd212521zd2_2161); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6360;
{ 
obj_t BgL_bodyz00_6363;obj_t BgL_formalsz00_6362;obj_t BgL_gvz00_6361;
BgL_gvz00_6361 = BgL_arg2071z00_2167; 
BgL_formalsz00_6362 = BgL_arg2072z00_2168; 
BgL_bodyz00_6363 = BgL_arg2073z00_2169; 
BgL_bodyz00_1512 = BgL_bodyz00_6363; 
BgL_formalsz00_1511 = BgL_formalsz00_6362; 
BgL_gvz00_1510 = BgL_gvz00_6361; 
goto BgL_tagzd2167zd2_1513;} 
return 
((obj_t)BgL_auxz00_6360);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2074z00_2170;
BgL_arg2074z00_2170 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6366;
{ 
obj_t BgL_argsz00_6368;obj_t BgL_fz00_6367;
BgL_fz00_6367 = BgL_arg2074z00_2170; 
BgL_argsz00_6368 = BgL_cdrzd212503zd2_2149; 
BgL_argsz00_1538 = BgL_argsz00_6368; 
BgL_fz00_1537 = BgL_fz00_6367; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6366);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212623zd2_2174;
BgL_cdrzd212623zd2_2174 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212623zd2_2174))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2079z00_2177;obj_t BgL_arg2080z00_2178;
BgL_arg2079z00_2177 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
BgL_arg2080z00_2178 = 
CAR(
((obj_t)BgL_cdrzd212623zd2_2174)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6380;
{ 
obj_t BgL_gez00_6382;obj_t BgL_gvz00_6381;
BgL_gvz00_6381 = BgL_arg2079z00_2177; 
BgL_gez00_6382 = BgL_arg2080z00_2178; 
BgL_gez00_1515 = BgL_gez00_6382; 
BgL_gvz00_1514 = BgL_gvz00_6381; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_6380);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2081z00_2179;obj_t BgL_arg2082z00_2180;
BgL_arg2081z00_2179 = 
CAR(BgL_ez00_69); 
BgL_arg2082z00_2180 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6386;
{ 
obj_t BgL_argsz00_6388;obj_t BgL_fz00_6387;
BgL_fz00_6387 = BgL_arg2081z00_2179; 
BgL_argsz00_6388 = BgL_arg2082z00_2180; 
BgL_argsz00_1538 = BgL_argsz00_6388; 
BgL_fz00_1537 = BgL_fz00_6387; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6386);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212712zd2_2184;
BgL_cdrzd212712zd2_2184 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212712zd2_2184))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2087z00_2187;obj_t BgL_arg2088z00_2188;
BgL_arg2087z00_2187 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
BgL_arg2088z00_2188 = 
CAR(
((obj_t)BgL_cdrzd212712zd2_2184)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6400;
{ 
obj_t BgL_gez00_6402;obj_t BgL_gvz00_6401;
BgL_gvz00_6401 = BgL_arg2087z00_2187; 
BgL_gez00_6402 = BgL_arg2088z00_2188; 
BgL_gez00_1515 = BgL_gez00_6402; 
BgL_gvz00_1514 = BgL_gvz00_6401; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_6400);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2089z00_2189;obj_t BgL_arg2090z00_2190;
BgL_arg2089z00_2189 = 
CAR(BgL_ez00_69); 
BgL_arg2090z00_2190 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6406;
{ 
obj_t BgL_argsz00_6408;obj_t BgL_fz00_6407;
BgL_fz00_6407 = BgL_arg2089z00_2189; 
BgL_argsz00_6408 = BgL_arg2090z00_2190; 
BgL_argsz00_1538 = BgL_argsz00_6408; 
BgL_fz00_1537 = BgL_fz00_6407; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6406);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212801zd2_2193;
BgL_cdrzd212801zd2_2193 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212801zd2_2193))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2094z00_2196;obj_t BgL_arg2095z00_2197;
BgL_arg2094z00_2196 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
BgL_arg2095z00_2197 = 
CAR(
((obj_t)BgL_cdrzd212801zd2_2193)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6420;
{ 
obj_t BgL_gez00_6422;obj_t BgL_gvz00_6421;
BgL_gvz00_6421 = BgL_arg2094z00_2196; 
BgL_gez00_6422 = BgL_arg2095z00_2197; 
BgL_gez00_1515 = BgL_gez00_6422; 
BgL_gvz00_1514 = BgL_gvz00_6421; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_6420);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2096z00_2198;obj_t BgL_arg2097z00_2199;
BgL_arg2096z00_2198 = 
CAR(BgL_ez00_69); 
BgL_arg2097z00_2199 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6426;
{ 
obj_t BgL_argsz00_6428;obj_t BgL_fz00_6427;
BgL_fz00_6427 = BgL_arg2096z00_2198; 
BgL_argsz00_6428 = BgL_arg2097z00_2199; 
BgL_argsz00_1538 = BgL_argsz00_6428; 
BgL_fz00_1537 = BgL_fz00_6427; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6426);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212890zd2_2202;
BgL_cdrzd212890zd2_2202 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212890zd2_2202))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2101z00_2205;obj_t BgL_arg2102z00_2206;
BgL_arg2101z00_2205 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
BgL_arg2102z00_2206 = 
CAR(
((obj_t)BgL_cdrzd212890zd2_2202)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6440;
{ 
obj_t BgL_gez00_6442;obj_t BgL_gvz00_6441;
BgL_gvz00_6441 = BgL_arg2101z00_2205; 
BgL_gez00_6442 = BgL_arg2102z00_2206; 
BgL_gez00_1515 = BgL_gez00_6442; 
BgL_gvz00_1514 = BgL_gvz00_6441; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_6440);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2103z00_2207;obj_t BgL_arg2104z00_2208;
BgL_arg2103z00_2207 = 
CAR(BgL_ez00_69); 
BgL_arg2104z00_2208 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6446;
{ 
obj_t BgL_argsz00_6448;obj_t BgL_fz00_6447;
BgL_fz00_6447 = BgL_arg2103z00_2207; 
BgL_argsz00_6448 = BgL_arg2104z00_2208; 
BgL_argsz00_1538 = BgL_argsz00_6448; 
BgL_fz00_1537 = BgL_fz00_6447; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6446);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212979zd2_2212;
BgL_cdrzd212979zd2_2212 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212979zd2_2212))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2109z00_2215;obj_t BgL_arg2110z00_2216;
BgL_arg2109z00_2215 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2149)); 
BgL_arg2110z00_2216 = 
CAR(
((obj_t)BgL_cdrzd212979zd2_2212)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6460;
{ 
obj_t BgL_gez00_6462;obj_t BgL_gvz00_6461;
BgL_gvz00_6461 = BgL_arg2109z00_2215; 
BgL_gez00_6462 = BgL_arg2110z00_2216; 
BgL_gez00_1515 = BgL_gez00_6462; 
BgL_gvz00_1514 = BgL_gvz00_6461; 
goto BgL_tagzd2168zd2_1516;} 
return 
((obj_t)BgL_auxz00_6460);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2111z00_2217;obj_t BgL_arg2112z00_2218;
BgL_arg2111z00_2217 = 
CAR(BgL_ez00_69); 
BgL_arg2112z00_2218 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6466;
{ 
obj_t BgL_argsz00_6468;obj_t BgL_fz00_6467;
BgL_fz00_6467 = BgL_arg2111z00_2217; 
BgL_argsz00_6468 = BgL_arg2112z00_2218; 
BgL_argsz00_1538 = BgL_argsz00_6468; 
BgL_fz00_1537 = BgL_fz00_6467; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6466);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2114z00_2220;
BgL_arg2114z00_2220 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6471;
{ 
obj_t BgL_argsz00_6473;obj_t BgL_fz00_6472;
BgL_fz00_6472 = BgL_arg2114z00_2220; 
BgL_argsz00_6473 = BgL_cdrzd212503zd2_2149; 
BgL_argsz00_1538 = BgL_argsz00_6473; 
BgL_fz00_1537 = BgL_fz00_6472; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6471);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2116z00_2222;
BgL_arg2116z00_2222 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6476;
{ 
obj_t BgL_argsz00_6478;obj_t BgL_fz00_6477;
BgL_fz00_6477 = BgL_arg2116z00_2222; 
BgL_argsz00_6478 = BgL_cdrzd212503zd2_2149; 
BgL_argsz00_1538 = BgL_argsz00_6478; 
BgL_fz00_1537 = BgL_fz00_6477; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6476);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2788z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2149))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd213227zd2_2228;
BgL_carzd213227zd2_2228 = 
CAR(BgL_cdrzd212503zd2_2149); 
if(
PAIRP(BgL_carzd213227zd2_2228))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd213227zd2_2228)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2124z00_2232;obj_t BgL_arg2125z00_2233;
BgL_arg2124z00_2232 = 
CAR(BgL_carzd213227zd2_2228); 
BgL_arg2125z00_2233 = 
CDR(BgL_cdrzd212503zd2_2149); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6493;
{ 
obj_t BgL_bodyz00_6495;obj_t BgL_vz00_6494;
BgL_vz00_6494 = BgL_arg2124z00_2232; 
BgL_bodyz00_6495 = BgL_arg2125z00_2233; 
BgL_bodyz00_1518 = BgL_bodyz00_6495; 
BgL_vz00_1517 = BgL_vz00_6494; 
goto BgL_tagzd2169zd2_1519;} 
return 
((obj_t)BgL_auxz00_6493);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2126z00_2234;obj_t BgL_arg2127z00_2235;
BgL_arg2126z00_2234 = 
CAR(BgL_ez00_69); 
BgL_arg2127z00_2235 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6499;
{ 
obj_t BgL_argsz00_6501;obj_t BgL_fz00_6500;
BgL_fz00_6500 = BgL_arg2126z00_2234; 
BgL_argsz00_6501 = BgL_arg2127z00_2235; 
BgL_argsz00_1538 = BgL_argsz00_6501; 
BgL_fz00_1537 = BgL_fz00_6500; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6499);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2129z00_2237;obj_t BgL_arg2130z00_2238;
BgL_arg2129z00_2237 = 
CAR(BgL_ez00_69); 
BgL_arg2130z00_2238 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6505;
{ 
obj_t BgL_argsz00_6507;obj_t BgL_fz00_6506;
BgL_fz00_6506 = BgL_arg2129z00_2237; 
BgL_argsz00_6507 = BgL_arg2130z00_2238; 
BgL_argsz00_1538 = BgL_argsz00_6507; 
BgL_fz00_1537 = BgL_fz00_6506; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6505);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2131z00_2239;obj_t BgL_arg2132z00_2240;
BgL_arg2131z00_2239 = 
CAR(BgL_ez00_69); 
BgL_arg2132z00_2240 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6511;
{ 
obj_t BgL_argsz00_6513;obj_t BgL_fz00_6512;
BgL_fz00_6512 = BgL_arg2131z00_2239; 
BgL_argsz00_6513 = BgL_arg2132z00_2240; 
BgL_argsz00_1538 = BgL_argsz00_6513; 
BgL_fz00_1537 = BgL_fz00_6512; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6511);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213398zd2_2241;
BgL_cdrzd213398zd2_2241 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2790z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2241))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2136z00_2245;obj_t BgL_arg2137z00_2246;
BgL_arg2136z00_2245 = 
CAR(BgL_cdrzd213398zd2_2241); 
BgL_arg2137z00_2246 = 
CDR(BgL_cdrzd213398zd2_2241); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6523;
{ 
obj_t BgL_bodyz00_6525;obj_t BgL_ez00_6524;
BgL_ez00_6524 = BgL_arg2136z00_2245; 
BgL_bodyz00_6525 = BgL_arg2137z00_2246; 
BgL_bodyz00_1521 = BgL_bodyz00_6525; 
BgL_ez00_1520 = BgL_ez00_6524; 
goto BgL_tagzd2170zd2_1522;} 
return 
((obj_t)BgL_auxz00_6523);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2138z00_2247;
BgL_arg2138z00_2247 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6528;
{ 
obj_t BgL_argsz00_6530;obj_t BgL_fz00_6529;
BgL_fz00_6529 = BgL_arg2138z00_2247; 
BgL_argsz00_6530 = BgL_cdrzd213398zd2_2241; 
BgL_argsz00_1538 = BgL_argsz00_6530; 
BgL_fz00_1537 = BgL_fz00_6529; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6528);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2792z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2241))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2143z00_2253;obj_t BgL_arg2144z00_2254;
BgL_arg2143z00_2253 = 
CAR(BgL_cdrzd213398zd2_2241); 
BgL_arg2144z00_2254 = 
CDR(BgL_cdrzd213398zd2_2241); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6539;
{ 
obj_t BgL_bodyz00_6541;obj_t BgL_hz00_6540;
BgL_hz00_6540 = BgL_arg2143z00_2253; 
BgL_bodyz00_6541 = BgL_arg2144z00_2254; 
BgL_bodyz00_1524 = BgL_bodyz00_6541; 
BgL_hz00_1523 = BgL_hz00_6540; 
goto BgL_tagzd2171zd2_1525;} 
return 
((obj_t)BgL_auxz00_6539);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2145z00_2255;obj_t BgL_arg2146z00_2256;
BgL_arg2145z00_2255 = 
CAR(BgL_ez00_69); 
BgL_arg2146z00_2256 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6545;
{ 
obj_t BgL_argsz00_6547;obj_t BgL_fz00_6546;
BgL_fz00_6546 = BgL_arg2145z00_2255; 
BgL_argsz00_6547 = BgL_arg2146z00_2256; 
BgL_argsz00_1538 = BgL_argsz00_6547; 
BgL_fz00_1537 = BgL_fz00_6546; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6545);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213505zd2_2257;
BgL_cdrzd213505zd2_2257 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2794z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2257))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213510zd2_2261;
BgL_cdrzd213510zd2_2261 = 
CDR(BgL_cdrzd213505zd2_2257); 
if(
PAIRP(BgL_cdrzd213510zd2_2261))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213515zd2_2263;
BgL_cdrzd213515zd2_2263 = 
CDR(BgL_cdrzd213510zd2_2261); 
if(
(
CAR(BgL_cdrzd213510zd2_2261)==BGl_keyword2796z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213515zd2_2263))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2154z00_2267;obj_t BgL_arg2155z00_2268;obj_t BgL_arg2156z00_2269;
BgL_arg2154z00_2267 = 
CAR(BgL_cdrzd213505zd2_2257); 
BgL_arg2155z00_2268 = 
CAR(BgL_cdrzd213515zd2_2263); 
BgL_arg2156z00_2269 = 
CDR(BgL_cdrzd213515zd2_2263); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6567;
{ 
obj_t BgL_bodyz00_6570;obj_t BgL_pz00_6569;obj_t BgL_mz00_6568;
BgL_mz00_6568 = BgL_arg2154z00_2267; 
BgL_pz00_6569 = BgL_arg2155z00_2268; 
BgL_bodyz00_6570 = BgL_arg2156z00_2269; 
BgL_bodyz00_1528 = BgL_bodyz00_6570; 
BgL_pz00_1527 = BgL_pz00_6569; 
BgL_mz00_1526 = BgL_mz00_6568; 
goto BgL_tagzd2172zd2_1529;} 
return 
((obj_t)BgL_auxz00_6567);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2157z00_2271;obj_t BgL_arg2158z00_2272;
BgL_arg2157z00_2271 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2257)); 
BgL_arg2158z00_2272 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2257)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6576;
{ 
obj_t BgL_bodyz00_6578;obj_t BgL_mz00_6577;
BgL_mz00_6577 = BgL_arg2157z00_2271; 
BgL_bodyz00_6578 = BgL_arg2158z00_2272; 
BgL_bodyz00_1531 = BgL_bodyz00_6578; 
BgL_mz00_1530 = BgL_mz00_6577; 
goto BgL_tagzd2173zd2_1532;} 
return 
((obj_t)BgL_auxz00_6576);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2159z00_2274;obj_t BgL_arg2160z00_2275;
BgL_arg2159z00_2274 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2257)); 
BgL_arg2160z00_2275 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2257)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6584;
{ 
obj_t BgL_bodyz00_6586;obj_t BgL_mz00_6585;
BgL_mz00_6585 = BgL_arg2159z00_2274; 
BgL_bodyz00_6586 = BgL_arg2160z00_2275; 
BgL_bodyz00_1531 = BgL_bodyz00_6586; 
BgL_mz00_1530 = BgL_mz00_6585; 
goto BgL_tagzd2173zd2_1532;} 
return 
((obj_t)BgL_auxz00_6584);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2162z00_2278;obj_t BgL_arg2163z00_2279;
BgL_arg2162z00_2278 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2257)); 
BgL_arg2163z00_2279 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2257)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6592;
{ 
obj_t BgL_bodyz00_6594;obj_t BgL_mz00_6593;
BgL_mz00_6593 = BgL_arg2162z00_2278; 
BgL_bodyz00_6594 = BgL_arg2163z00_2279; 
BgL_bodyz00_1531 = BgL_bodyz00_6594; 
BgL_mz00_1530 = BgL_mz00_6593; 
goto BgL_tagzd2173zd2_1532;} 
return 
((obj_t)BgL_auxz00_6592);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2164z00_2280;
BgL_arg2164z00_2280 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6597;
{ 
obj_t BgL_argsz00_6599;obj_t BgL_fz00_6598;
BgL_fz00_6598 = BgL_arg2164z00_2280; 
BgL_argsz00_6599 = BgL_cdrzd213505zd2_2257; 
BgL_argsz00_1538 = BgL_argsz00_6599; 
BgL_fz00_1537 = BgL_fz00_6598; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6597);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2747z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2257))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213617zd2_2286;
BgL_cdrzd213617zd2_2286 = 
CDR(BgL_cdrzd213505zd2_2257); 
if(
PAIRP(BgL_cdrzd213617zd2_2286))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd213617zd2_2286)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2172z00_2290;obj_t BgL_arg2173z00_2291;
BgL_arg2172z00_2290 = 
CAR(BgL_cdrzd213505zd2_2257); 
BgL_arg2173z00_2291 = 
CAR(BgL_cdrzd213617zd2_2286); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6614;
{ 
obj_t BgL_bodyz00_6616;obj_t BgL_formalsz00_6615;
BgL_formalsz00_6615 = BgL_arg2172z00_2290; 
BgL_bodyz00_6616 = BgL_arg2173z00_2291; 
BgL_bodyz00_1534 = BgL_bodyz00_6616; 
BgL_formalsz00_1533 = BgL_formalsz00_6615; 
goto BgL_tagzd2174zd2_1535;} 
return 
((obj_t)BgL_auxz00_6614);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2174z00_2292;obj_t BgL_arg2175z00_2293;
BgL_arg2174z00_2292 = 
CAR(BgL_ez00_69); 
BgL_arg2175z00_2293 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6620;
{ 
obj_t BgL_argsz00_6622;obj_t BgL_fz00_6621;
BgL_fz00_6621 = BgL_arg2174z00_2292; 
BgL_argsz00_6622 = BgL_arg2175z00_2293; 
BgL_argsz00_1538 = BgL_argsz00_6622; 
BgL_fz00_1537 = BgL_fz00_6621; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6620);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2178z00_2295;obj_t BgL_arg2179z00_2296;
BgL_arg2178z00_2295 = 
CAR(BgL_ez00_69); 
BgL_arg2179z00_2296 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6626;
{ 
obj_t BgL_argsz00_6628;obj_t BgL_fz00_6627;
BgL_fz00_6627 = BgL_arg2178z00_2295; 
BgL_argsz00_6628 = BgL_arg2179z00_2296; 
BgL_argsz00_1538 = BgL_argsz00_6628; 
BgL_fz00_1537 = BgL_fz00_6627; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6626);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2180z00_2297;obj_t BgL_arg2181z00_2298;
BgL_arg2180z00_2297 = 
CAR(BgL_ez00_69); 
BgL_arg2181z00_2298 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6632;
{ 
obj_t BgL_argsz00_6634;obj_t BgL_fz00_6633;
BgL_fz00_6633 = BgL_arg2180z00_2297; 
BgL_argsz00_6634 = BgL_arg2181z00_2298; 
BgL_argsz00_1538 = BgL_argsz00_6634; 
BgL_fz00_1537 = BgL_fz00_6633; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6632);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2798z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2175zd2_1536;}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2184z00_2301;obj_t BgL_arg2185z00_2302;
BgL_arg2184z00_2301 = 
CAR(BgL_ez00_69); 
BgL_arg2185z00_2302 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6641;
{ 
obj_t BgL_argsz00_6643;obj_t BgL_fz00_6642;
BgL_fz00_6642 = BgL_arg2184z00_2301; 
BgL_argsz00_6643 = BgL_arg2185z00_2302; 
BgL_argsz00_1538 = BgL_argsz00_6643; 
BgL_fz00_1537 = BgL_fz00_6642; 
goto BgL_tagzd2176zd2_1539;} 
return 
((obj_t)BgL_auxz00_6641);} } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
BgL_xz00_1461 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1461))
{ /* Eval/evaluate.scm 427 */
obj_t BgL__ortest_1101z00_2324;
BgL__ortest_1101z00_2324 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1461, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1101z00_2324))
{ /* Eval/evaluate.scm 427 */
return BgL__ortest_1101z00_2324;}  else 
{ /* Eval/evaluate.scm 427 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1461, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 428 */
BgL_ev_littz00_bglt BgL_new1103z00_2325;
{ /* Eval/evaluate.scm 429 */
BgL_ev_littz00_bglt BgL_new1102z00_2326;
BgL_new1102z00_2326 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 429 */
long BgL_arg2207z00_2327;
BgL_arg2207z00_2327 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_2326), BgL_arg2207z00_2327); } 
BgL_new1103z00_2325 = BgL_new1102z00_2326; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1103z00_2325))->BgL_valuez00)=((obj_t)BgL_xz00_1461),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_2325);} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4140, obj_t BgL_globalsz00_4139, obj_t BgL_localsz00_4138, obj_t BgL_locz00_4137, obj_t BgL_esz00_2655)
{
{ /* Eval/evaluate.scm 386 */
if(
NULLP(BgL_esz00_2655))
{ /* Eval/evaluate.scm 387 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 389 */
obj_t BgL_ez00_2658;
BgL_ez00_2658 = 
CAR(
((obj_t)BgL_esz00_2655)); 
{ /* Eval/evaluate.scm 390 */
obj_t BgL_arg2358z00_2659;obj_t BgL_arg2359z00_2660;
BgL_arg2358z00_2659 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2658, BgL_localsz00_4138, BgL_globalsz00_4139, BFALSE, BgL_wherez00_4140, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2658, BgL_esz00_2655, BgL_locz00_4137), ((bool_t)0)); 
{ /* Eval/evaluate.scm 391 */
obj_t BgL_arg2361z00_2662;
BgL_arg2361z00_2662 = 
CDR(
((obj_t)BgL_esz00_2655)); 
BgL_arg2359z00_2660 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4140, BgL_globalsz00_4139, BgL_localsz00_4138, BgL_locz00_4137, BgL_arg2361z00_2662); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2358z00_2659, BgL_arg2359z00_2660);} } } 

}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4144, obj_t BgL_tailzf3zf3_4143, obj_t BgL_globalsz00_4142, obj_t BgL_localsz00_4141, obj_t BgL_ez00_2632, obj_t BgL_locz00_2633)
{
{ /* Eval/evaluate.scm 368 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2632, BgL_localsz00_4141, BgL_globalsz00_4142, BgL_tailzf3zf3_4143, BgL_wherez00_4144, BgL_locz00_2633, ((bool_t)0));} 

}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4147, obj_t BgL_globalsz00_4146, obj_t BgL_localsz00_4145, obj_t BgL_ez00_2642, obj_t BgL_locz00_2643)
{
{ /* Eval/evaluate.scm 377 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2642, BgL_localsz00_4145, BgL_globalsz00_4146, BFALSE, BgL_wherez00_4147, BgL_locz00_2643, ((bool_t)0));} 

}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4149, obj_t BgL_globalsz00_4148, obj_t BgL_lz00_2473, obj_t BgL_varsz00_2474, obj_t BgL_localsz00_2475, obj_t BgL_locz00_2476)
{
{ /* Eval/evaluate.scm 502 */
if(
NULLP(BgL_lz00_2473))
{ /* Eval/evaluate.scm 498 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 500 */
obj_t BgL_locz00_2479;
{ /* Eval/evaluate.scm 500 */
obj_t BgL_arg2280z00_2487;
BgL_arg2280z00_2487 = 
CAR(
((obj_t)BgL_lz00_2473)); 
BgL_locz00_2479 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2280z00_2487, BgL_locz00_2476); } 
{ /* Eval/evaluate.scm 501 */
obj_t BgL_arg2273z00_2480;obj_t BgL_arg2274z00_2481;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_arg2275z00_2482;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_pairz00_3332;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_pairz00_3331;
BgL_pairz00_3331 = 
CAR(
((obj_t)BgL_lz00_2473)); 
BgL_pairz00_3332 = 
CDR(BgL_pairz00_3331); } 
BgL_arg2275z00_2482 = 
CAR(BgL_pairz00_3332); } 
BgL_arg2273z00_2480 = 
BGl_convz00zz__evaluatez00(BgL_arg2275z00_2482, BgL_localsz00_2475, BgL_globalsz00_4148, BFALSE, BgL_wherez00_4149, BgL_locz00_2479, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2276z00_2483;obj_t BgL_arg2277z00_2484;obj_t BgL_arg2278z00_2485;
BgL_arg2276z00_2483 = 
CDR(
((obj_t)BgL_lz00_2473)); 
BgL_arg2277z00_2484 = 
CDR(
((obj_t)BgL_varsz00_2474)); 
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2279z00_2486;
BgL_arg2279z00_2486 = 
CAR(
((obj_t)BgL_varsz00_2474)); 
BgL_arg2278z00_2485 = 
MAKE_YOUNG_PAIR(BgL_arg2279z00_2486, BgL_localsz00_2475); } 
BgL_arg2274z00_2481 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4149, BgL_globalsz00_4148, BgL_arg2276z00_2483, BgL_arg2277z00_2484, BgL_arg2278z00_2485, BgL_locz00_2479); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2273z00_2480, BgL_arg2274z00_2481);} } } 

}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4153, obj_t BgL_localsz00_4152, obj_t BgL_ez00_4151, obj_t BgL_locz00_4150, obj_t BgL_formalsz00_2664, obj_t BgL_bodyz00_2665, obj_t BgL_wherez00_2666, obj_t BgL_typez00_2667)
{
{ /* Eval/evaluate.scm 404 */
{ 
obj_t BgL_lz00_2698;
{ /* Eval/evaluate.scm 406 */
obj_t BgL_argsz00_2670;
BgL_lz00_2698 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2664, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
obj_t BgL_rz00_2702;obj_t BgL_flatz00_2703;long BgL_arityz00_2704;
BgL_rz00_2702 = BgL_lz00_2698; 
BgL_flatz00_2703 = BNIL; 
BgL_arityz00_2704 = ((long)0); 
BgL_zc3z04anonymousza32375ze3z87_2705:
if(
NULLP(BgL_rz00_2702))
{ /* Eval/evaluate.scm 399 */
obj_t BgL_val0_1196z00_2707;
BgL_val0_1196z00_2707 = 
bgl_reverse_bang(BgL_flatz00_2703); 
{ /* Eval/evaluate.scm 399 */
int BgL_tmpz00_6692;
BgL_tmpz00_6692 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6692); } 
{ /* Eval/evaluate.scm 399 */
obj_t BgL_auxz00_6697;int BgL_tmpz00_6695;
BgL_auxz00_6697 = 
BINT(BgL_arityz00_2704); 
BgL_tmpz00_6695 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6695, BgL_auxz00_6697); } 
BgL_argsz00_2670 = BgL_val0_1196z00_2707; }  else 
{ /* Eval/evaluate.scm 398 */
if(
PAIRP(BgL_rz00_2702))
{ /* Eval/evaluate.scm 403 */
obj_t BgL_arg2378z00_2710;obj_t BgL_arg2379z00_2711;long BgL_arg2380z00_2712;
BgL_arg2378z00_2710 = 
CDR(BgL_rz00_2702); 
BgL_arg2379z00_2711 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2702)), BgL_flatz00_2703); 
BgL_arg2380z00_2712 = 
(BgL_arityz00_2704+((long)1)); 
{ 
long BgL_arityz00_6709;obj_t BgL_flatz00_6708;obj_t BgL_rz00_6707;
BgL_rz00_6707 = BgL_arg2378z00_2710; 
BgL_flatz00_6708 = BgL_arg2379z00_2711; 
BgL_arityz00_6709 = BgL_arg2380z00_2712; 
BgL_arityz00_2704 = BgL_arityz00_6709; 
BgL_flatz00_2703 = BgL_flatz00_6708; 
BgL_rz00_2702 = BgL_rz00_6707; 
goto BgL_zc3z04anonymousza32375ze3z87_2705;} }  else 
{ /* Eval/evaluate.scm 401 */
obj_t BgL_val0_1198z00_2715;long BgL_val1_1199z00_2716;
{ /* Eval/evaluate.scm 401 */
obj_t BgL_arg2383z00_2717;
BgL_arg2383z00_2717 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2702), BgL_flatz00_2703); 
BgL_val0_1198z00_2715 = 
bgl_reverse_bang(BgL_arg2383z00_2717); } 
BgL_val1_1199z00_2716 = 
(((long)-1)-BgL_arityz00_2704); 
{ /* Eval/evaluate.scm 401 */
int BgL_tmpz00_6714;
BgL_tmpz00_6714 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6714); } 
{ /* Eval/evaluate.scm 401 */
obj_t BgL_auxz00_6719;int BgL_tmpz00_6717;
BgL_auxz00_6719 = 
BINT(BgL_val1_1199z00_2716); 
BgL_tmpz00_6717 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6717, BgL_auxz00_6719); } 
BgL_argsz00_2670 = BgL_val0_1198z00_2715; } } } 
{ /* Eval/evaluate.scm 407 */
obj_t BgL_arityz00_2671;
{ /* Eval/evaluate.scm 408 */
int BgL_tmpz00_6723;
BgL_tmpz00_6723 = 
(int)(((long)1)); 
BgL_arityz00_2671 = 
BGL_MVALUES_VAL(BgL_tmpz00_6723); } 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_varsz00_2672;obj_t BgL_bodyz00_2673;obj_t BgL_nlocz00_2674;
if(
NULLP(BgL_argsz00_2670))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2672 = BNIL; }  else 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_head1202z00_2681;
BgL_head1202z00_2681 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1200z00_2683;obj_t BgL_tail1203z00_2684;
BgL_l1200z00_2683 = BgL_argsz00_2670; 
BgL_tail1203z00_2684 = BgL_head1202z00_2681; 
BgL_zc3z04anonymousza32366ze3z87_2685:
if(
NULLP(BgL_l1200z00_2683))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2672 = 
CDR(BgL_head1202z00_2681); }  else 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_newtail1204z00_2687;
{ /* Eval/evaluate.scm 408 */
BgL_ev_varz00_bglt BgL_arg2369z00_2689;
{ /* Eval/evaluate.scm 408 */
obj_t BgL_vz00_2690;
BgL_vz00_2690 = 
CAR(
((obj_t)BgL_l1200z00_2683)); 
{ /* Eval/evaluate.scm 409 */
BgL_ev_varz00_bglt BgL_new1098z00_2691;
{ /* Eval/evaluate.scm 411 */
BgL_ev_varz00_bglt BgL_new1097z00_2692;
BgL_new1097z00_2692 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 411 */
long BgL_arg2370z00_2693;
BgL_arg2370z00_2693 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_2692), BgL_arg2370z00_2693); } 
BgL_new1098z00_2691 = BgL_new1097z00_2692; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2691))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2690))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2691))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2691))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2690))),BUNSPEC); 
BgL_arg2369z00_2689 = BgL_new1098z00_2691; } } 
BgL_newtail1204z00_2687 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2369z00_2689), BNIL); } 
SET_CDR(BgL_tail1203z00_2684, BgL_newtail1204z00_2687); 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_arg2368z00_2688;
BgL_arg2368z00_2688 = 
CDR(
((obj_t)BgL_l1200z00_2683)); 
{ 
obj_t BgL_tail1203z00_6751;obj_t BgL_l1200z00_6750;
BgL_l1200z00_6750 = BgL_arg2368z00_2688; 
BgL_tail1203z00_6751 = BgL_newtail1204z00_2687; 
BgL_tail1203z00_2684 = BgL_tail1203z00_6751; 
BgL_l1200z00_2683 = BgL_l1200z00_6750; 
goto BgL_zc3z04anonymousza32366ze3z87_2685;} } } } } 
BgL_bodyz00_2673 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4151, BgL_formalsz00_2664, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2670, BgL_argsz00_2670, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2667, BgL_bodyz00_2665, BgL_locz00_4150), BgL_locz00_4150, BgL_wherez00_2666), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2674 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2665, BgL_locz00_4150); 
{ /* Eval/evaluate.scm 417 */
BgL_ev_absz00_bglt BgL_new1100z00_2675;
{ /* Eval/evaluate.scm 418 */
BgL_ev_absz00_bglt BgL_new1099z00_2677;
BgL_new1099z00_2677 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 418 */
long BgL_arg2364z00_2678;
BgL_arg2364z00_2678 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2677), BgL_arg2364z00_2678); } 
BgL_new1100z00_2675 = BgL_new1099z00_2677; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_locz00)=((obj_t)BgL_locz00_4150),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_wherez00)=((obj_t)BgL_wherez00_2666),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_arityz00)=((obj_t)BgL_arityz00_2671),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_varsz00)=((obj_t)BgL_varsz00_2672),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_6764;
{ /* Eval/evaluate.scm 422 */
obj_t BgL_arg2363z00_2676;
BgL_arg2363z00_2676 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2672, BgL_localsz00_4152); 
BgL_auxz00_6764 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2673, BgL_arg2363z00_2676, BgL_globalsz00_4153, BTRUE, BgL_wherez00_2666, BgL_nlocz00_2674, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6764),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2675))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1100z00_2675;} } } } } } 

}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4157, obj_t BgL_wherez00_4156, obj_t BgL_globalsz00_4155, obj_t BgL_localsz00_4154, obj_t BgL_ez00_2645)
{
{ /* Eval/evaluate.scm 380 */
return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4156, BgL_globalsz00_4155, BgL_localsz00_4154, BgL_ez00_2645, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2645, BgL_locz00_4157));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)483454155), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)70989603), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)479579181), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)169532048), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long)483789130), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)121298760), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)444000678), 
BSTRING_TO_STRING(BGl_string2800z00zz__evaluatez00));} 

}

#ifdef __cplusplus
}
#endif
