/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol4340z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4264z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4266z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_symbol4268z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33482ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31854ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4271z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4274z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4276z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol4278z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32827ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32908ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33629ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33378ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4280z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4282z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4284z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4286z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4288z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32933ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32771ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32763ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32755ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32747ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33387ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_symbol4371z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4290z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4292z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4294z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4296z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4379z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4298z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32103ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol4390z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4392z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4394z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4396z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32774ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31787ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32759ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza33086ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32768ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62run4201z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4203z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4205z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4207z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33201ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4209z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62compzd2ev_goto1427zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4211z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4213z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4215z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4217z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33113ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4219z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32965ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32868ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31896ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run4221z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4223z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_z62run4225z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4227z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4229z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33009ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4231z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4233z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4235z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4237z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4157z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4239z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4159z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32959ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33599ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4241z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4161z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4163z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4165z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4167z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32071ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4169z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_synchroniza7e1423z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4171z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run4173z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4175z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33214ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4177z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4179z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32985ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1425zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4181z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4183z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4185z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4187z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4200z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4189z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4202z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4204z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4206z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4208z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62run4191z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4193z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1429zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4195z62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62run4197z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4210z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4199z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4212z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4214z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4216z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4218z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza33070ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4220z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main4222z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4224z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4226z62zz__evaluate_compz00(obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62main4228z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32988ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33080ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4230z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4232z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4234z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4236z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4156z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62main4238z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4158z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32336ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32077ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4240z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4160z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4162z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4164z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4166z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4168z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33260ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32264ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4170z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main4172z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4174z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main4176z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4178z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33253ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32338ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4180z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62main4182z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_z62main4184z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4186z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4188z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33270ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33092ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33335ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32436ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4190z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4192z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1431zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4194z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4196z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4198z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33506ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33425ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33409ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33239ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32188ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32731ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33533ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33185ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33088ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62comp1386z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33194ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00(obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol4300z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4302z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4304z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4306z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4308z00zz__evaluate_compz00 = BUNSPEC;
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33292ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31834ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32482ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4310z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4312z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4314z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4316z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4318z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_symbol4320z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4322z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4324z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4326z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4246z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4328z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4248z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32913ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32751ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33456ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4330z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4250z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4332z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4334z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4336z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4256z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4338z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32388ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32299ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za74400z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_4401z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string4301z00zz__evaluate_compz00, BgL_bgl_string4301za700za7za7_4402za7, "*fx", 3 );
DEFINE_STRING( BGl_string4303z00zz__evaluate_compz00, BgL_bgl_string4303za700za7za7_4403za7, "/fx", 3 );
DEFINE_STRING( BGl_string4305z00zz__evaluate_compz00, BgL_bgl_string4305za700za7za7_4404za7, "<fx", 3 );
DEFINE_STRING( BGl_string4307z00zz__evaluate_compz00, BgL_bgl_string4307za700za7za7_4405za7, ">fx", 3 );
DEFINE_STRING( BGl_string4309z00zz__evaluate_compz00, BgL_bgl_string4309za700za7za7_4406za7, "<=fx", 4 );
DEFINE_STRING( BGl_string4311z00zz__evaluate_compz00, BgL_bgl_string4311za700za7za7_4407za7, ">=fx", 4 );
DEFINE_STRING( BGl_string4313z00zz__evaluate_compz00, BgL_bgl_string4313za700za7za7_4408za7, "=fx", 3 );
DEFINE_STRING( BGl_string4315z00zz__evaluate_compz00, BgL_bgl_string4315za700za7za7_4409za7, "+fl", 3 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string4317z00zz__evaluate_compz00, BgL_bgl_string4317za700za7za7_4410za7, "flonum", 6 );
DEFINE_STRING( BGl_string4319z00zz__evaluate_compz00, BgL_bgl_string4319za700za7za7_4411za7, "-fl", 3 );
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string4321z00zz__evaluate_compz00, BgL_bgl_string4321za700za7za7_4412za7, "*fl", 3 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4323z00zz__evaluate_compz00, BgL_bgl_string4323za700za7za7_4413za7, "/fl", 3 );
DEFINE_STRING( BGl_string4325z00zz__evaluate_compz00, BgL_bgl_string4325za700za7za7_4414za7, "<fl", 3 );
DEFINE_STRING( BGl_string4327z00zz__evaluate_compz00, BgL_bgl_string4327za700za7za7_4415za7, ">fl", 3 );
DEFINE_STRING( BGl_string4247z00zz__evaluate_compz00, BgL_bgl_string4247za700za7za7_4416za7, "all", 3 );
DEFINE_STRING( BGl_string4329z00zz__evaluate_compz00, BgL_bgl_string4329za700za7za7_4417za7, "<=fl", 4 );
DEFINE_STRING( BGl_string4249z00zz__evaluate_compz00, BgL_bgl_string4249za700za7za7_4418za7, "label-tag", 9 );
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4331z00zz__evaluate_compz00, BgL_bgl_string4331za700za7za7_4419za7, ">=fl", 4 );
DEFINE_STRING( BGl_string4251z00zz__evaluate_compz00, BgL_bgl_string4251za700za7za7_4420za7, "bounce", 6 );
DEFINE_STRING( BGl_string4333z00zz__evaluate_compz00, BgL_bgl_string4333za700za7za7_4421za7, "=fl", 3 );
DEFINE_STRING( BGl_string4252z00zz__evaluate_compz00, BgL_bgl_string4252za700za7za7_4422za7, "non non non", 11 );
DEFINE_STRING( BGl_string4253z00zz__evaluate_compz00, BgL_bgl_string4253za700za7za7_4423za7, " in ", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza74424za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string4335z00zz__evaluate_compz00, BgL_bgl_string4335za700za7za7_4425za7, "car", 3 );
DEFINE_STRING( BGl_string4254z00zz__evaluate_compz00, BgL_bgl_string4254za700za7za7_4426za7, "eval", 4 );
DEFINE_STRING( BGl_string4255z00zz__evaluate_compz00, BgL_bgl_string4255za700za7za7_4427za7, "internal error: not found", 25 );
DEFINE_STRING( BGl_string4337z00zz__evaluate_compz00, BgL_bgl_string4337za700za7za7_4428za7, "pair", 4 );
DEFINE_STRING( BGl_string4257z00zz__evaluate_compz00, BgL_bgl_string4257za700za7za7_4429za7, "at", 2 );
DEFINE_STRING( BGl_string4339z00zz__evaluate_compz00, BgL_bgl_string4339za700za7za7_4430za7, "cdr", 3 );
DEFINE_STRING( BGl_string4258z00zz__evaluate_compz00, BgL_bgl_string4258za700za7za7_4431za7, "", 0 );
DEFINE_STRING( BGl_string4259z00zz__evaluate_compz00, BgL_bgl_string4259za700za7za7_4432za7, "/builddir/build/BUILD/bigloo-4.4b/runtime/Eval/evaluate_comp.scm", 64 );
DEFINE_STRING( BGl_string4341z00zz__evaluate_compz00, BgL_bgl_string4341za700za7za7_4433za7, "cadr", 4 );
DEFINE_STRING( BGl_string4260z00zz__evaluate_compz00, BgL_bgl_string4260za700za7za7_4434za7, "&compile", 8 );
DEFINE_STRING( BGl_string4261z00zz__evaluate_compz00, BgL_bgl_string4261za700za7za7_4435za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string4343z00zz__evaluate_compz00, BgL_bgl_string4343za700za7za7_4436za7, "comp1386", 8 );
DEFINE_STRING( BGl_string4262z00zz__evaluate_compz00, BgL_bgl_string4262za700za7za7_4437za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string4344z00zz__evaluate_compz00, BgL_bgl_string4344za700za7za7_4438za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string4263z00zz__evaluate_compz00, BgL_bgl_string4263za700za7za7_4439za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string4345z00zz__evaluate_compz00, BgL_bgl_string4345za700za7za7_4440za7, "&comp", 5 );
DEFINE_STRING( BGl_string4265z00zz__evaluate_compz00, BgL_bgl_string4265za700za7za7_4441za7, "mcell", 5 );
DEFINE_STRING( BGl_string4347z00zz__evaluate_compz00, BgL_bgl_string4347za700za7za7_4442za7, "comp", 4 );
DEFINE_STRING( BGl_string4267z00zz__evaluate_compz00, BgL_bgl_string4267za700za7za7_4443za7, "internal", 8 );
DEFINE_STRING( BGl_string4269z00zz__evaluate_compz00, BgL_bgl_string4269za700za7za7_4444za7, "impossible", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4342z00zz__evaluate_compz00, BgL_bgl_za762comp1386za762za7za74445z00, BGl_z62comp1386z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4270z00zz__evaluate_compz00, BgL_bgl_string4270za700za7za7_4446za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4346z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra4447z00, BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4272z00zz__evaluate_compz00, BgL_bgl_string4272za700za7za7_4448za7, "user", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4348z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var4449z00, BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4273z00zz__evaluate_compz00, BgL_bgl_string4273za700za7za7_4450za7, "invalid byte code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4349z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4451z00, BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4275z00zz__evaluate_compz00, BgL_bgl_string4275za700za7za7_4452za7, "+", 1 );
DEFINE_STRING( BGl_string4277z00zz__evaluate_compz00, BgL_bgl_string4277za700za7za7_4453za7, "number", 6 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STRING( BGl_string4279z00zz__evaluate_compz00, BgL_bgl_string4279za700za7za7_4454za7, "-", 1 );
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4350z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo4455z00, BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4351z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4456z00, BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4352z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def4457z00, BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4353z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit4458z00, BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4354z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if14459z00, BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4355z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or14460z00, BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4356z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and4461z00, BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4281z00zz__evaluate_compz00, BgL_bgl_string4281za700za7za7_4462za7, "*", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4357z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro4463z00, BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4358z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4464z00, BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4283z00zz__evaluate_compz00, BgL_bgl_string4283za700za7za7_4465za7, "/", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4359z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4466z00, BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4285z00zz__evaluate_compz00, BgL_bgl_string4285za700za7za7_4467za7, "<", 1 );
DEFINE_STRING( BGl_string4287z00zz__evaluate_compz00, BgL_bgl_string4287za700za7za7_4468za7, ">", 1 );
DEFINE_STRING( BGl_string4369z00zz__evaluate_compz00, BgL_bgl_string4369za700za7za7_4469za7, "internal error", 14 );
DEFINE_STRING( BGl_string4289z00zz__evaluate_compz00, BgL_bgl_string4289za700za7za7_4470za7, "<=", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4360z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4471z00, BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4361z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin4472z00, BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4362z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw4473z00, BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4363z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit4474z00, BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4370z00zz__evaluate_compz00, BgL_bgl_string4370za700za7za7_4475za7, "must be dead code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4364z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn4476z00, BGl_z62compzd2ev_synchroniza7e1423z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4365z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab4477z00, BGl_z62compzd2ev_labels1425zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4372z00zz__evaluate_compz00, BgL_bgl_string4372za700za7za7_4478za7, "notyet", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4366z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got4479z00, BGl_z62compzd2ev_goto1427zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4291z00zz__evaluate_compz00, BgL_bgl_string4291za700za7za7_4480za7, ">=", 2 );
DEFINE_STRING( BGl_string4373z00zz__evaluate_compz00, BgL_bgl_string4373za700za7za7_4481za7, "synchronize", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4367z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app4482z00, BGl_z62compzd2ev_app1429zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4374z00zz__evaluate_compz00, BgL_bgl_string4374za700za7za7_4483za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4368z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs4484z00, BGl_z62compzd2ev_abs1431zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4293z00zz__evaluate_compz00, BgL_bgl_string4293za700za7za7_4485za7, "=", 1 );
DEFINE_STRING( BGl_string4375z00zz__evaluate_compz00, BgL_bgl_string4375za700za7za7_4486za7, "set!", 4 );
DEFINE_STRING( BGl_string4376z00zz__evaluate_compz00, BgL_bgl_string4376za700za7za7_4487za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string4295z00zz__evaluate_compz00, BgL_bgl_string4295za700za7za7_4488za7, "+fx", 3 );
DEFINE_STRING( BGl_string4377z00zz__evaluate_compz00, BgL_bgl_string4377za700za7za7_4489za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string4378z00zz__evaluate_compz00, BgL_bgl_string4378za700za7za7_4490za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string4297z00zz__evaluate_compz00, BgL_bgl_string4297za700za7za7_4491za7, "fixnum", 6 );
DEFINE_STRING( BGl_string4299z00zz__evaluate_compz00, BgL_bgl_string4299za700za7za7_4492za7, "-fx", 3 );
DEFINE_STRING( BGl_string4380z00zz__evaluate_compz00, BgL_bgl_string4380za700za7za7_4493za7, "@", 1 );
DEFINE_STRING( BGl_string4381z00zz__evaluate_compz00, BgL_bgl_string4381za700za7za7_4494za7, "Uninitialized variable", 22 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4382z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4495za7, BGl_z62zc3z04anonymousza32827ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4383z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4496za7, BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4384z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4497za7, BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4391z00zz__evaluate_compz00, BgL_bgl_string4391za700za7za7_4498za7, "get_sp", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4385z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4499za7, BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4386z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4500za7, BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4393z00zz__evaluate_compz00, BgL_bgl_string4393za700za7za7_4501za7, "reset_profile", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4387z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4502za7, BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4388z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4503za7, BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4395z00zz__evaluate_compz00, BgL_bgl_string4395za700za7za7_4504za7, "get_profile", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4389z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4505za7, BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4397z00zz__evaluate_compz00, BgL_bgl_string4397za700za7za7_4506za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string4398z00zz__evaluate_compz00, BgL_bgl_string4398za700za7za7_4507za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string4399z00zz__evaluate_compz00, BgL_bgl_string4399za700za7za7_4508za7, "__evaluate_comp", 15 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev4509z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol4340z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4264z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4266z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4268z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4271z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4274z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4276z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4278z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4280z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4282z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4284z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4286z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4288z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4371z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4290z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4292z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4294z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4296z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4379z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4298z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4390z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4392z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4394z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4396z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4300z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4302z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4304z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4306z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4308z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4310z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4312z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4314z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4316z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4318z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4320z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4322z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4324z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4326z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4246z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4328z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4248z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4330z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4250z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4332z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4334z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4336z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4256z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4338z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17544) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18918) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19526) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 20027) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20362) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20432) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20677) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20840) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 21077) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21237) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23383) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23648) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1787>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31787ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1811>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1834>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31834ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1854>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31854ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1876>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31876ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1896>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31896ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1919>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31919ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1921>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1925>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1939>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1955>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1969>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1985>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1987>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1991>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2010>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2031>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2050>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2071>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32071ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2073>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2077>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32077ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2103>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32103ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2131>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32131ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2157>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2186>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32186ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2188>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32188ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2192>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32192ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2227>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2264>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32264ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2299>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32299ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2336>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32336ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2338>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32338ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2342>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2388>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32388ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2436>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32436ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2482>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32482ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28599) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29243) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30631) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31463) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31480) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2651>\" \"Eval/evaluate_comp.scm\" 31744) \"BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32671) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2655>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2659>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2663>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2667>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2671>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2675>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2679>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2683>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2687>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2691>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2695>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2699>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2703>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2707>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2711>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2715>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2719>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2723>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2727>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2731>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32731ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2735>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2739>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2743>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2747>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32747ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2751>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32751ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2755>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32755ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2759>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32759ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2763>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32763ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2765>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2768>\" \"Eval/evaluate_comp.scm\" 32860) \"BGl_z62zc3z04anonymousza32768ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2771>\" \"Eval/evaluate_comp.scm\" 32860) \"BGl_z62zc3z04anonymousza32771ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2774>\" \"Eval/evaluate_comp.scm\" 32860) \"BGl_z62zc3z04anonymousza32774ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33248) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33304) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34318) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34404) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 38731) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 38987) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39257) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1386\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1386z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1431\" \"Eval/evaluate_comp.scm\" 38257) \"BGl_z62compzd2ev_abs1431zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3574>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3585>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4156\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4156z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4157\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4157z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3599>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33599ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4158\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4158z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4159\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4159z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3611>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4160\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4160z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4161\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4161z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3523>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4162\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4162z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4163\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4163z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3533>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33533ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4164\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4164z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4165\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4165z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3546>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4166\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4166z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4167\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4167z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3557>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4168\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4168z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4169\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4169z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3472>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4170\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4170z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4171\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4171z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3482>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33482ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4172\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4172z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4173\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4173z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3495>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4174\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4174z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4175\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4175z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3506>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33506ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4176\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4176z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4177\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4177z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3425>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33425ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4178\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4178z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4179\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4179z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3434>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4180\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4180z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4181\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4181z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3446>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4182\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4182z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4183\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4183z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3456>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33456ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4184\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4184z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4185\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4185z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3378>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33378ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4186\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4186z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4187\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4187z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3387>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33387ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4188\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4188z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4189\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4189z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3399>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4190\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4190z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4191\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4191z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3409>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33409ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4192\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4192z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4193\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4193z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3335>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33335ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4194\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4194z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4195\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4195z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3343>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4196\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4196z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4197\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4197z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3354>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4198\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4198z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4199\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4199z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3363>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4200\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4200z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4201\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4201z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3292>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33292ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4202\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4202z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4203\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4203z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3300>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4204\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4204z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4205\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4205z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3311>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4206\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4206z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4207\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4207z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3320>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4208\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4208z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4209\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4209z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3253>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33253ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4210\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4210z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4211\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4211z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3260>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33260ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4212\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4212z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4213\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4213z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3270>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33270ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4214\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4214z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4215\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4215z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3278>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4216\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4216z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4217\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4217z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3214>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33214ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4218\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4218z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4219\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4219z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3221>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4220\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4220z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4221\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4221z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3231>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4222\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4222z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4223\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4223z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3239>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33239ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4224\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4224z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4225\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4225z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3179>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4226\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4226z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4227\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4227z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3185>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33185ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4228\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4228z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4229\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4229z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3194>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33194ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4230\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4230z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4231\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4231z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3201>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33201ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4232\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4232z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4233\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4233z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3629>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33629ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4234\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4234z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4235\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4235z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3649>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4236\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4236z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4237\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4237z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3672>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4238\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4238z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4239\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4239z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3693>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4240\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main4240z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4241\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run4241z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1429\" \"Eval/evaluate_comp.scm\" 33872) \"BGl_z62compzd2ev_app1429zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1427\" \"Eval/evaluate_comp.scm\" 17884) \"BGl_z62compzd2ev_goto1427zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3118>\" \"Eval/evaluate_comp.scm\" 18509) \"BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3124>\" \"Eval/evaluate_comp.scm\" 18790) \"BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1425\" \"Eval/evaluate_comp.scm\" 16809) \"BGl_z62compzd2ev_labels1425zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3113>\" \"Eval/evaluate_comp.scm\" 17482) \"BGl_z62zc3z04anonymousza33113ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1423\" \"Eval/evaluate_comp.scm\" 16182) \"BGl_z62compzd2ev_synchroniza7e1423z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3092>\" \"Eval/evaluate_comp.scm\" 16392) \"BGl_z62zc3z04anonymousza33092ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1421\" \"Eval/evaluate_comp.scm\" 15840) \"BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3080>\" \"Eval/evaluate_comp.scm\" 16005) \"BGl_z62zc3z04anonymousza33080ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3086>~0\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_zc3z04exitza33086ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3088>\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_z62zc3z04anonymousza33088ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3089>\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1419\" \"Eval/evaluate_comp.scm\" 15532) \"BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3076>\" \"Eval/evaluate_comp.scm\" 15683) \"BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3077>\" \"Eval/evaluate_comp.scm\" 15752) \"BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1417\" \"Eval/evaluate_comp.scm\" 15077) \"BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3069>\" \"Eval/evaluate_comp.scm\" 15316) \"BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3070>~0\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_zc3z04exitza33070ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1415\" \"Eval/evaluate_comp.scm\" 14024) \"BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3030>\" \"Eval/evaluate_comp.scm\" 14306) \"BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3043>\" \"Eval/evaluate_comp.scm\" 14662) \"BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1413\" \"Eval/evaluate_comp.scm\" 13529) \"BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3009>\" \"Eval/evaluate_comp.scm\" 13764) \"BGl_z62zc3z04anonymousza33009ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1411\" \"Eval/evaluate_comp.scm\" 12849) \"BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2988>\" \"Eval/evaluate_comp.scm\" 13176) \"BGl_z62zc3z04anonymousza32988ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21409\" \"Eval/evaluate_comp.scm\" 12655) \"BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2985>\" \"Eval/evaluate_comp.scm\" 12785) \"BGl_z62zc3z04anonymousza32985ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1407\" \"Eval/evaluate_comp.scm\" 12369) \"BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2975>\" \"Eval/evaluate_comp.scm\" 12500) \"BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1405\" \"Eval/evaluate_comp.scm\" 12111) \"BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2965>\" \"Eval/evaluate_comp.scm\" 12240) \"BGl_z62zc3z04anonymousza32965ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1403\" \"Eval/evaluate_comp.scm\" 11907) \"BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2960>\" \"Eval/evaluate_comp.scm\" 12044) \"BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1401\" \"Eval/evaluate_comp.scm\" 11788) \"BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2959>\" \"Eval/evaluate_comp.scm\" 11867) \"BGl_z62zc3z04anonymousza32959ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1399\" \"Eval/evaluate_comp.scm\" 10831) \"BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2933>\" \"Eval/evaluate_comp.scm\" 10957) \"BGl_z62zc3z04anonymousza32933ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1397\" \"Eval/evaluate_comp.scm\" 9970) \"BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2908>\" \"Eval/evaluate_comp.scm\" 10180) \"BGl_z62zc3z04anonymousza32908ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2913>\" \"Eval/evaluate_comp.scm\" 10353) \"BGl_z62zc3z04anonymousza32913ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2924>\" \"Eval/evaluate_comp.scm\" 10613) \"BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1395\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2868>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3z04anonymousza32868ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2870>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2881>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1393\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2857>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2861>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1391\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2845>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2848>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2839>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2842>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2833>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2836>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2827>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32827ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2830>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2851>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2854>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1389\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2818>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_14064, char * BgL_fromz00_14065)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol4246z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4247z00zz__evaluate_compz00); 
BGl_symbol4248z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4249z00zz__evaluate_compz00); 
BGl_symbol4250z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4251z00zz__evaluate_compz00); 
BGl_symbol4256z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4257z00zz__evaluate_compz00); 
BGl_symbol4264z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4265z00zz__evaluate_compz00); 
BGl_symbol4266z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4267z00zz__evaluate_compz00); 
BGl_symbol4268z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4269z00zz__evaluate_compz00); 
BGl_symbol4271z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4272z00zz__evaluate_compz00); 
BGl_symbol4274z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4275z00zz__evaluate_compz00); 
BGl_symbol4276z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4277z00zz__evaluate_compz00); 
BGl_symbol4278z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4279z00zz__evaluate_compz00); 
BGl_symbol4280z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4281z00zz__evaluate_compz00); 
BGl_symbol4282z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4283z00zz__evaluate_compz00); 
BGl_symbol4284z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4285z00zz__evaluate_compz00); 
BGl_symbol4286z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4287z00zz__evaluate_compz00); 
BGl_symbol4288z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4289z00zz__evaluate_compz00); 
BGl_symbol4290z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4291z00zz__evaluate_compz00); 
BGl_symbol4292z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4293z00zz__evaluate_compz00); 
BGl_symbol4294z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4295z00zz__evaluate_compz00); 
BGl_symbol4296z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4297z00zz__evaluate_compz00); 
BGl_symbol4298z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4299z00zz__evaluate_compz00); 
BGl_symbol4300z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4301z00zz__evaluate_compz00); 
BGl_symbol4302z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4303z00zz__evaluate_compz00); 
BGl_symbol4304z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4305z00zz__evaluate_compz00); 
BGl_symbol4306z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4307z00zz__evaluate_compz00); 
BGl_symbol4308z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4309z00zz__evaluate_compz00); 
BGl_symbol4310z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4311z00zz__evaluate_compz00); 
BGl_symbol4312z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4313z00zz__evaluate_compz00); 
BGl_symbol4314z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4315z00zz__evaluate_compz00); 
BGl_symbol4316z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4317z00zz__evaluate_compz00); 
BGl_symbol4318z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4319z00zz__evaluate_compz00); 
BGl_symbol4320z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4321z00zz__evaluate_compz00); 
BGl_symbol4322z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4323z00zz__evaluate_compz00); 
BGl_symbol4324z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4325z00zz__evaluate_compz00); 
BGl_symbol4326z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4327z00zz__evaluate_compz00); 
BGl_symbol4328z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4329z00zz__evaluate_compz00); 
BGl_symbol4330z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4331z00zz__evaluate_compz00); 
BGl_symbol4332z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4333z00zz__evaluate_compz00); 
BGl_symbol4334z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4335z00zz__evaluate_compz00); 
BGl_symbol4336z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4337z00zz__evaluate_compz00); 
BGl_symbol4338z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4339z00zz__evaluate_compz00); 
BGl_symbol4340z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4341z00zz__evaluate_compz00); 
BGl_symbol4371z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4372z00zz__evaluate_compz00); 
BGl_symbol4379z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4380z00zz__evaluate_compz00); 
BGl_symbol4390z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4391z00zz__evaluate_compz00); 
BGl_symbol4392z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4393z00zz__evaluate_compz00); 
BGl_symbol4394z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4395z00zz__evaluate_compz00); 
return ( 
BGl_symbol4396z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4397z00zz__evaluate_compz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_arg1498z00_1354;
BgL_arg1498z00_1354 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_list1499z00_1355;
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_arg1501z00_1356;
BgL_arg1501z00_1356 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1498z00_1354), BNIL); 
BgL_list1499z00_1355 = 
MAKE_YOUNG_PAIR(BGl_symbol4246z00zz__evaluate_compz00, BgL_arg1501z00_1356); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1499z00_1355; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4248z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4250z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_1357;
BgL_headz00_1357 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1358;obj_t BgL_tailz00_1359;
BgL_prevz00_1358 = BgL_headz00_1357; 
BgL_tailz00_1359 = BgL_l1z00_1; 
BgL_loopz00_1360:
if(
PAIRP(BgL_tailz00_1359))
{ 
obj_t BgL_newzd2prevzd2_1362;
BgL_newzd2prevzd2_1362 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1359), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1358, BgL_newzd2prevzd2_1362); 
{ 
obj_t BgL_tailz00_14141;obj_t BgL_prevz00_14140;
BgL_prevz00_14140 = BgL_newzd2prevzd2_1362; 
BgL_tailz00_14141 = 
CDR(BgL_tailz00_1359); 
BgL_tailz00_1359 = BgL_tailz00_14141; 
BgL_prevz00_1358 = BgL_prevz00_14140; 
goto BgL_loopz00_1360;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1357);} } } 

}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_arg1520z00_1385;
BgL_arg1520z00_1385 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_list1521z00_1386;
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_arg1522z00_1387;
BgL_arg1522z00_1387 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1520z00_1385), BNIL); 
BgL_list1521z00_1386 = 
MAKE_YOUNG_PAIR(BGl_symbol4246z00zz__evaluate_compz00, BgL_arg1522z00_1387); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1521z00_1386, BUNSPEC) ;} } } 

}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1396)
{
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1396))
{ /* Ieee/fixnum.scm 983 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1396), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1396))
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_arg3867z00_6431;
BgL_arg3867z00_6431 = 
SYMBOL_TO_STRING(BgL_vz00_1396); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3867z00_6431);}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1396))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1396;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string4252z00zz__evaluate_compz00;} } } } 

}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_9652, obj_t BgL_t1z00_9653, obj_t BgL_t2z00_9654)
{
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
bool_t BgL_tmpz00_14158;
{ /* Eval/evaluate_comp.scm 142 */
obj_t BgL_v1z00_11644;obj_t BgL_v2z00_11645;
BgL_v1z00_11644 = 
CAR(
((obj_t)BgL_t1z00_9653)); 
BgL_v2z00_11645 = 
CAR(
((obj_t)BgL_t2z00_9654)); 
{ /* Eval/evaluate_comp.scm 143 */
bool_t BgL_test4515z00_14163;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_11644))
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4515z00_14163 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_11645)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4515z00_14163 = ((bool_t)0)
; } 
if(BgL_test4515z00_14163)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_14158 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_11644, BgL_v2z00_11645)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_14158 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_11644), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_11645))
; } } } 
return 
BBOOL(BgL_tmpz00_14158);} } 

}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 

}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1405)
{
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1534z00_1407;obj_t BgL_arg1535z00_1408;
BgL_arg1534z00_1407 = 
CDR(
((obj_t)BgL_tz00_1405)); 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1536z00_1409;
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_pairz00_6440;
BgL_pairz00_6440 = 
CDR(
((obj_t)BgL_tz00_1405)); 
BgL_arg1536z00_1409 = 
CDR(BgL_pairz00_6440); } 
BgL_arg1535z00_1408 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1536z00_1409); } 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_tmpz00_14179;
BgL_tmpz00_14179 = 
((obj_t)BgL_arg1534z00_1407); 
SET_CDR(BgL_tmpz00_14179, BgL_arg1535z00_1408); } } 
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_g1288z00_1410;
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_pairz00_6445;
BgL_pairz00_6445 = 
CDR(
((obj_t)BgL_tz00_1405)); 
BgL_g1288z00_1410 = 
CDR(BgL_pairz00_6445); } 
{ 
obj_t BgL_l1286z00_1412;
BgL_l1286z00_1412 = BgL_g1288z00_1410; 
BgL_zc3z04anonymousza31537ze3z87_1413:
if(
PAIRP(BgL_l1286z00_1412))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1286z00_1412)); 
{ 
obj_t BgL_l1286z00_14189;
BgL_l1286z00_14189 = 
CDR(BgL_l1286z00_1412); 
BgL_l1286z00_1412 = BgL_l1286z00_14189; 
goto BgL_zc3z04anonymousza31537ze3z87_1413;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 

}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{
{ /* Eval/evaluate_comp.scm 156 */
{ 
obj_t BgL_lz00_1420;long BgL_nz00_1421;
BgL_lz00_1420 = BgL_lz00_7; 
BgL_nz00_1421 = ((long)0); 
BgL_zc3z04anonymousza31540ze3z87_1422:
if(
NULLP(BgL_lz00_1420))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1420))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1421);}  else 
{ 
long BgL_nz00_14201;obj_t BgL_lz00_14198;
BgL_lz00_14198 = 
CDR(
((obj_t)BgL_lz00_1420)); 
BgL_nz00_14201 = 
(BgL_nz00_1421+((long)1)); 
BgL_nz00_1421 = BgL_nz00_14201; 
BgL_lz00_1420 = BgL_lz00_14198; 
goto BgL_zc3z04anonymousza31540ze3z87_1422;} } } } 

}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL__ortest_1077z00_1430;
BgL__ortest_1077z00_1430 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1077z00_1430))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1077z00_1430;}  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1549z00_1431;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1550z00_1432;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1550z00_1432 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_head1291z00_1438;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1563z00_1450;
BgL_arg1563z00_1450 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
BgL_head1291z00_1438 = 
MAKE_YOUNG_PAIR(BgL_arg1563z00_1450, BNIL); } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_g1294z00_1439;
BgL_g1294z00_1439 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
obj_t BgL_l1289z00_1441;obj_t BgL_tail1292z00_1442;
BgL_l1289z00_1441 = BgL_g1294z00_1439; 
BgL_tail1292z00_1442 = BgL_head1291z00_1438; 
BgL_zc3z04anonymousza31556ze3z87_1443:
if(
NULLP(BgL_l1289z00_1441))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1550z00_1432 = BgL_head1291z00_1438; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_newtail1293z00_1445;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1559z00_1447;
BgL_arg1559z00_1447 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1289z00_1441))); 
BgL_newtail1293z00_1445 = 
MAKE_YOUNG_PAIR(BgL_arg1559z00_1447, BNIL); } 
SET_CDR(BgL_tail1292z00_1442, BgL_newtail1293z00_1445); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1558z00_1446;
BgL_arg1558z00_1446 = 
CDR(
((obj_t)BgL_l1289z00_1441)); 
{ 
obj_t BgL_tail1292z00_14224;obj_t BgL_l1289z00_14223;
BgL_l1289z00_14223 = BgL_arg1558z00_1446; 
BgL_tail1292z00_14224 = BgL_newtail1293z00_1445; 
BgL_tail1292z00_1442 = BgL_tail1292z00_14224; 
BgL_l1289z00_1441 = BgL_l1289z00_14223; 
goto BgL_zc3z04anonymousza31556ze3z87_1443;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_list1551z00_1433;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1553z00_1434;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1554z00_1435;
BgL_arg1554z00_1435 = 
MAKE_YOUNG_PAIR(BgL_arg1550z00_1432, BNIL); 
BgL_arg1553z00_1434 = 
MAKE_YOUNG_PAIR(BGl_string4253z00zz__evaluate_compz00, BgL_arg1554z00_1435); } 
BgL_list1551z00_1433 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1553z00_1434); } 
BgL_arg1549z00_1431 = BgL_list1551z00_1433; } } 
return 
BGl_errorz00zz__errorz00(BGl_string4254z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_arg1549z00_1431);} } } 

}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{
{ /* Eval/evaluate_comp.scm 188 */
if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_16, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } 

}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{
{ /* Eval/evaluate_comp.scm 193 */
{ 
obj_t BgL_fnamez00_1471;obj_t BgL_locz00_1472;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2194zd2_1477;
BgL_cdrzd2194zd2_1477 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol4256z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1477))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2198zd2_1481;
BgL_cdrzd2198zd2_1481 = 
CDR(BgL_cdrzd2194zd2_1477); 
if(
PAIRP(BgL_cdrzd2198zd2_1481))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1481)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1471 = 
CAR(BgL_cdrzd2194zd2_1477); 
BgL_locz00_1472 = 
CAR(BgL_cdrzd2198zd2_1481); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1471, BgL_locz00_1472);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1474:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1474;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1474;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1474;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1474;} } } 

}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
obj_t BgL_stkz00_1499;
BgL_stkz00_1499 = 
make_vector(((long)8192), BGl_string4258z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1499,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1499;} } 

}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_sz00_1500;
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_tmpz00_14254;
BgL_tmpz00_14254 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1500 = 
BGL_ENV_EVSTATE(BgL_tmpz00_14254); } 
if(
VECTORP(BgL_sz00_1500))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1500;}  else 
{ /* Eval/evaluate_comp.scm 214 */
obj_t BgL_statez00_1502;
BgL_statez00_1502 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
obj_t BgL_tmpz00_14260;
BgL_tmpz00_14260 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_14260, BgL_statez00_1502); } 
return BgL_statez00_1502;} } } 

}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_9655)
{
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 

}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 

}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_9656, obj_t BgL_ez00_9657)
{
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
BgL_ev_exprz00_bglt BgL_auxz00_14265;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_9657, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_14265 = 
((BgL_ev_exprz00_bglt)BgL_ez00_9657)
; }  else 
{ 
obj_t BgL_auxz00_14269;
BgL_auxz00_14269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4259z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string4260z00zz__evaluate_compz00, BGl_string4261z00zz__evaluate_compz00, BgL_ez00_9657); 
FAILURE(BgL_auxz00_14269,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_14265);} } 

}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{
{ /* Eval/evaluate_comp.scm 332 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_gz00_1558;
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_arg1645z00_1559;obj_t BgL_arg1646z00_1560;
BgL_arg1645z00_1559 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1646z00_1560 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1558 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1645z00_1559, BgL_arg1646z00_1560); } 
if(
CBOOL(BgL_gz00_1558))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1558),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } 

}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{
{ /* Eval/evaluate_comp.scm 593 */
{ 
obj_t BgL_fz00_1570;
BgL_fz00_1570 = BgL_fz00_78; 
BgL_zc3z04anonymousza31655ze3z87_1571:
{ /* Eval/evaluate_comp.scm 597 */
obj_t BgL_rz00_1572;
BgL_rz00_1572 = 
PROCEDURE_ENTRY(BgL_fz00_1570)(BgL_fz00_1570, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 599 */
bool_t BgL_test4533z00_14290;
if(
PROCEDUREP(BgL_rz00_1572))
{ /* Eval/evaluate_comp.scm 599 */
obj_t BgL_arg1661z00_1577;
BgL_arg1661z00_1577 = 
PROCEDURE_ATTR(BgL_rz00_1572); 
if(
STRUCTP(BgL_arg1661z00_1577))
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4533z00_14290 = 
(
STRUCT_KEY(BgL_arg1661z00_1577)==BGl_symbol4248z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4533z00_14290 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 599 */
BgL_test4533z00_14290 = ((bool_t)0)
; } 
if(BgL_test4533z00_14290)
{ 
obj_t BgL_fz00_14298;
BgL_fz00_14298 = BgL_rz00_1572; 
BgL_fz00_1570 = BgL_fz00_14298; 
goto BgL_zc3z04anonymousza31655ze3z87_1571;}  else 
{ /* Eval/evaluate_comp.scm 599 */
return BgL_rz00_1572;} } } } } 

}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{
{ /* Eval/evaluate_comp.scm 623 */
{ 
obj_t BgL_lz00_1580;obj_t BgL_bsz00_1581;long BgL_spz00_1582;
BgL_lz00_1580 = BgL_argsz00_83; 
BgL_bsz00_1581 = BgL_boxesz00_84; 
BgL_spz00_1582 = BgL_spz00_85; 
BgL_zc3z04anonymousza31662ze3z87_1583:
if(
NULLP(BgL_lz00_1580))
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1581))
{ /* Eval/evaluate_comp.scm 626 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_arg1667z00_1586;
{ /* Eval/evaluate_comp.scm 629 */
long BgL_arg1669z00_1587;long BgL_arg1670z00_1588;
BgL_arg1669z00_1587 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1670z00_1588 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 628 */
obj_t BgL_list1671z00_1589;
{ /* Eval/evaluate_comp.scm 628 */
obj_t BgL_arg1674z00_1590;
BgL_arg1674z00_1590 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1670z00_1588), BNIL); 
BgL_list1671z00_1589 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1669z00_1587), BgL_arg1674z00_1590); } 
BgL_arg1667z00_1586 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4262z00zz__evaluate_compz00, BgL_list1671z00_1589); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4254z00zz__evaluate_compz00, BGl_string4263z00zz__evaluate_compz00, BgL_arg1667z00_1586);} }  else 
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1581))
{ /* Eval/evaluate_comp.scm 633 */
obj_t BgL_arg1677z00_1592;
{ /* Eval/evaluate_comp.scm 633 */
long BgL_arg1678z00_1593;long BgL_arg1680z00_1594;
BgL_arg1678z00_1593 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1680z00_1594 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 632 */
obj_t BgL_list1681z00_1595;
{ /* Eval/evaluate_comp.scm 632 */
obj_t BgL_arg1683z00_1596;
BgL_arg1683z00_1596 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1680z00_1594), BNIL); 
BgL_list1681z00_1595 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1678z00_1593), BgL_arg1683z00_1596); } 
BgL_arg1677z00_1592 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4262z00zz__evaluate_compz00, BgL_list1681z00_1595); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4254z00zz__evaluate_compz00, BGl_string4263z00zz__evaluate_compz00, BgL_arg1677z00_1592);}  else 
{ /* Eval/evaluate_comp.scm 630 */
{ /* Eval/evaluate_comp.scm 636 */
obj_t BgL_arg1684z00_1597;
{ /* Eval/evaluate_comp.scm 636 */
obj_t BgL_vz00_1598;
{ /* Eval/evaluate_comp.scm 636 */
obj_t BgL_fun1686z00_1600;
BgL_fun1686z00_1600 = 
CAR(
((obj_t)BgL_lz00_1580)); 
BgL_vz00_1598 = 
PROCEDURE_ENTRY(BgL_fun1686z00_1600)(BgL_fun1686z00_1600, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1581))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_6482;
BgL_newz00_6482 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_14333;
BgL_tmpz00_14333 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6482, BgL_tmpz00_14333, BgL_vz00_1598); } 
BgL_arg1684z00_1597 = BgL_newz00_6482; }  else 
{ /* Eval/evaluate_comp.scm 637 */
BgL_arg1684z00_1597 = BgL_vz00_1598; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1582,BgL_arg1684z00_1597); } 
{ /* Eval/evaluate_comp.scm 640 */
obj_t BgL_arg1687z00_1601;obj_t BgL_arg1688z00_1602;long BgL_arg1689z00_1603;
BgL_arg1687z00_1601 = 
CDR(
((obj_t)BgL_lz00_1580)); 
BgL_arg1688z00_1602 = 
CDR(
((obj_t)BgL_bsz00_1581)); 
BgL_arg1689z00_1603 = 
(BgL_spz00_1582+((long)1)); 
{ 
long BgL_spz00_14345;obj_t BgL_bsz00_14344;obj_t BgL_lz00_14343;
BgL_lz00_14343 = BgL_arg1687z00_1601; 
BgL_bsz00_14344 = BgL_arg1688z00_1602; 
BgL_spz00_14345 = BgL_arg1689z00_1603; 
BgL_spz00_1582 = BgL_spz00_14345; 
BgL_bsz00_1581 = BgL_bsz00_14344; 
BgL_lz00_1580 = BgL_lz00_14343; 
goto BgL_zc3z04anonymousza31662ze3z87_1583;} } } } } } 

}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{
{ /* Eval/evaluate_comp.scm 645 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 646 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 646 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 649 */
obj_t BgL_arg1694z00_1609;obj_t BgL_arg1695z00_1610;
BgL_arg1694z00_1609 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1695z00_1610 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
obj_t BgL_l2z00_14359;obj_t BgL_l1z00_14358;
BgL_l1z00_14358 = BgL_arg1694z00_1609; 
BgL_l2z00_14359 = BgL_arg1695z00_1610; 
BgL_l2z00_89 = BgL_l2z00_14359; 
BgL_l1z00_88 = BgL_l1z00_14358; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 647 */
return 
BGl_errorz00zz__errorz00(BGl_string4254z00zz__evaluate_compz00, BGl_symbol4266z00zz__evaluate_compz00, BGl_symbol4268z00zz__evaluate_compz00);} } } 

}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{
{ /* Eval/evaluate_comp.scm 669 */
{ /* Eval/evaluate_comp.scm 670 */
obj_t BgL_savedzd2bpzd2_1621;
BgL_savedzd2bpzd2_1621 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
obj_t BgL_fz00_1623;
BgL_fz00_1623 = BgL_fz00_93; 
BgL_zc3z04anonymousza31706ze3z87_1624:
{ /* Eval/evaluate_comp.scm 673 */
obj_t BgL_rz00_1625;
BgL_rz00_1625 = 
PROCEDURE_ENTRY(BgL_fz00_1623)(BgL_fz00_1623, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 674 */
bool_t BgL_test4542z00_14369;
if(
PROCEDUREP(BgL_rz00_1625))
{ /* Eval/evaluate_comp.scm 674 */
obj_t BgL_arg1710z00_1630;
BgL_arg1710z00_1630 = 
PROCEDURE_ATTR(BgL_rz00_1625); 
if(
STRUCTP(BgL_arg1710z00_1630))
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4542z00_14369 = 
(
STRUCT_KEY(BgL_arg1710z00_1630)==BGl_symbol4250z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4542z00_14369 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 674 */
BgL_test4542z00_14369 = ((bool_t)0)
; } 
if(BgL_test4542z00_14369)
{ 
obj_t BgL_fz00_14377;
BgL_fz00_14377 = BgL_rz00_1625; 
BgL_fz00_1623 = BgL_fz00_14377; 
goto BgL_zc3z04anonymousza31706ze3z87_1624;}  else 
{ /* Eval/evaluate_comp.scm 674 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1621); 
return BgL_rz00_1625;} } } } } } 

}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{
{ /* Eval/evaluate_comp.scm 685 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 

}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{
{ /* Eval/evaluate_comp.scm 688 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1726z00_1648;obj_t BgL_arg1727z00_1649;
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1728z00_1650;
BgL_arg1728z00_1650 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1726z00_1648 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1728z00_1650), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1729z00_1651;obj_t BgL_arg1730z00_1652;
BgL_arg1729z00_1651 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1731z00_1653;
BgL_arg1731z00_1653 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1730z00_1652 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1731z00_1653); } 
BgL_arg1727z00_1649 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1729z00_1651, BgL_arg1730z00_1652); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1726z00_1648, BgL_arg1727z00_1649);} } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_11629, obj_t BgL_lz00_1655, long BgL_iz00_1656)
{
{ /* Eval/evaluate_comp.scm 696 */
if(
NULLP(BgL_lz00_1655))
{ /* Eval/evaluate_comp.scm 697 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 697 */
if(
(BgL_iz00_1656==((long)0)))
{ /* Eval/evaluate_comp.scm 698 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1655, BgL_stkz00_11629);}  else 
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_arg1735z00_1660;obj_t BgL_arg1736z00_1661;
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_arg1737z00_1662;
BgL_arg1737z00_1662 = 
CAR(
((obj_t)BgL_lz00_1655)); 
BgL_arg1735z00_1660 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1737z00_1662), BgL_stkz00_11629); } 
{ /* Eval/evaluate_comp.scm 700 */
obj_t BgL_arg1738z00_1663;long BgL_arg1739z00_1664;
BgL_arg1738z00_1663 = 
CDR(
((obj_t)BgL_lz00_1655)); 
BgL_arg1739z00_1664 = 
(BgL_iz00_1656-((long)1)); 
BgL_arg1736z00_1661 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_11629, BgL_arg1738z00_1663, BgL_arg1739z00_1664); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1735z00_1660, BgL_arg1736z00_1661);} } } 

}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{
{ /* Eval/evaluate_comp.scm 702 */
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_argsz00_1666;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1666 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_head1340z00_1671;
BgL_head1340z00_1671 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1338z00_1673;obj_t BgL_tail1341z00_1674;
BgL_l1338z00_1673 = BgL_argsz00_124; 
BgL_tail1341z00_1674 = BgL_head1340z00_1671; 
BgL_zc3z04anonymousza31742ze3z87_1675:
if(
NULLP(BgL_l1338z00_1673))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1666 = 
CDR(BgL_head1340z00_1671); }  else 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_newtail1342z00_1677;
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_arg1745z00_1679;
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_az00_1680;
BgL_az00_1680 = 
CAR(
((obj_t)BgL_l1338z00_1673)); 
BgL_arg1745z00_1679 = 
PROCEDURE_ENTRY(BgL_az00_1680)(BgL_az00_1680, BgL_sz00_122, BEOA); } 
BgL_newtail1342z00_1677 = 
MAKE_YOUNG_PAIR(BgL_arg1745z00_1679, BNIL); } 
SET_CDR(BgL_tail1341z00_1674, BgL_newtail1342z00_1677); 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_arg1744z00_1678;
BgL_arg1744z00_1678 = 
CDR(
((obj_t)BgL_l1338z00_1673)); 
{ 
obj_t BgL_tail1341z00_14429;obj_t BgL_l1338z00_14428;
BgL_l1338z00_14428 = BgL_arg1744z00_1678; 
BgL_tail1341z00_14429 = BgL_newtail1342z00_1677; 
BgL_tail1341z00_1674 = BgL_tail1341z00_14429; 
BgL_l1338z00_1673 = BgL_l1338z00_14428; 
goto BgL_zc3z04anonymousza31742ze3z87_1675;} } } } } 
{ /* Eval/evaluate_comp.scm 705 */
long BgL_arg1740z00_1667;
BgL_arg1740z00_1667 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1740z00_1667)); } 
{ /* Eval/evaluate_comp.scm 706 */
obj_t BgL_za2za2resza2za2z00_1668;
BgL_za2za2resza2za2z00_1668 = 
apply(BgL_fz00_123, BgL_argsz00_1666); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1668;} } } 

}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{
{ /* Eval/evaluate_comp.scm 709 */
{ 
obj_t BgL_lz00_1683;obj_t BgL_spz00_1684;
BgL_lz00_1683 = BgL_argsz00_128; 
BgL_spz00_1684 = BgL_spz00_129; 
BgL_zc3z04anonymousza31746ze3z87_1685:
if(
NULLP(BgL_lz00_1683))
{ /* Eval/evaluate_comp.scm 711 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 711 */
{ /* Eval/evaluate_comp.scm 712 */
obj_t BgL_arg1748z00_1687;
{ /* Eval/evaluate_comp.scm 712 */
obj_t BgL_fun1749z00_1688;
BgL_fun1749z00_1688 = 
CAR(
((obj_t)BgL_lz00_1683)); 
BgL_arg1748z00_1687 = 
PROCEDURE_ENTRY(BgL_fun1749z00_1688)(BgL_fun1749z00_1688, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 712 */
long BgL_kz00_6544;
BgL_kz00_6544 = 
(long)CINT(BgL_spz00_1684); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6544,BgL_arg1748z00_1687); } } 
{ /* Eval/evaluate_comp.scm 713 */
obj_t BgL_arg1750z00_1689;long BgL_arg1751z00_1690;
BgL_arg1750z00_1689 = 
CDR(
((obj_t)BgL_lz00_1683)); 
BgL_arg1751z00_1690 = 
(
(long)CINT(BgL_spz00_1684)+((long)1)); 
{ 
obj_t BgL_spz00_14456;obj_t BgL_lz00_14455;
BgL_lz00_14455 = BgL_arg1750z00_1689; 
BgL_spz00_14456 = 
BINT(BgL_arg1751z00_1690); 
BgL_spz00_1684 = BgL_spz00_14456; 
BgL_lz00_1683 = BgL_lz00_14455; 
goto BgL_zc3z04anonymousza31746ze3z87_1685;} } } } } 

}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{
{ /* Eval/evaluate_comp.scm 715 */
{ /* Eval/evaluate_comp.scm 716 */
long BgL_g1146z00_1692;
BgL_g1146z00_1692 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
obj_t BgL_lz00_1694;obj_t BgL_spz00_1695;long BgL_nz00_1696;
BgL_lz00_1694 = BgL_argsz00_132; 
BgL_spz00_1695 = BgL_spz00_133; 
BgL_nz00_1696 = BgL_g1146z00_1692; 
BgL_zc3z04anonymousza31752ze3z87_1697:
if(
(BgL_nz00_1696==((long)0)))
{ 
obj_t BgL_lz00_1701;obj_t BgL_rz00_1702;
BgL_lz00_1701 = BgL_lz00_1694; 
BgL_rz00_1702 = BNIL; 
BgL_zc3z04anonymousza31754ze3z87_1703:
if(
NULLP(BgL_lz00_1701))
{ /* Eval/evaluate_comp.scm 720 */
obj_t BgL_arg1756z00_1705;
BgL_arg1756z00_1705 = 
bgl_reverse_bang(BgL_rz00_1702); 
{ /* Eval/evaluate_comp.scm 720 */
long BgL_kz00_6550;
BgL_kz00_6550 = 
(long)CINT(BgL_spz00_1695); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6550,BgL_arg1756z00_1705);} }  else 
{ /* Eval/evaluate_comp.scm 721 */
obj_t BgL_arg1757z00_1706;obj_t BgL_arg1758z00_1707;
BgL_arg1757z00_1706 = 
CDR(
((obj_t)BgL_lz00_1701)); 
{ /* Eval/evaluate_comp.scm 721 */
obj_t BgL_arg1759z00_1708;
{ /* Eval/evaluate_comp.scm 721 */
obj_t BgL_fun1760z00_1709;
BgL_fun1760z00_1709 = 
CAR(
((obj_t)BgL_lz00_1701)); 
BgL_arg1759z00_1708 = 
PROCEDURE_ENTRY(BgL_fun1760z00_1709)(BgL_fun1760z00_1709, BgL_sz00_131, BEOA); } 
BgL_arg1758z00_1707 = 
MAKE_YOUNG_PAIR(BgL_arg1759z00_1708, BgL_rz00_1702); } 
{ 
obj_t BgL_rz00_14478;obj_t BgL_lz00_14477;
BgL_lz00_14477 = BgL_arg1757z00_1706; 
BgL_rz00_14478 = BgL_arg1758z00_1707; 
BgL_rz00_1702 = BgL_rz00_14478; 
BgL_lz00_1701 = BgL_lz00_14477; 
goto BgL_zc3z04anonymousza31754ze3z87_1703;} } }  else 
{ /* Eval/evaluate_comp.scm 717 */
{ /* Eval/evaluate_comp.scm 722 */
obj_t BgL_arg1762z00_1711;
{ /* Eval/evaluate_comp.scm 722 */
obj_t BgL_fun1763z00_1712;
BgL_fun1763z00_1712 = 
CAR(
((obj_t)BgL_lz00_1694)); 
BgL_arg1762z00_1711 = 
PROCEDURE_ENTRY(BgL_fun1763z00_1712)(BgL_fun1763z00_1712, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 722 */
long BgL_kz00_6555;
BgL_kz00_6555 = 
(long)CINT(BgL_spz00_1695); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6555,BgL_arg1762z00_1711); } } 
{ /* Eval/evaluate_comp.scm 723 */
obj_t BgL_arg1764z00_1713;long BgL_arg1765z00_1714;long BgL_arg1766z00_1715;
BgL_arg1764z00_1713 = 
CDR(
((obj_t)BgL_lz00_1694)); 
BgL_arg1765z00_1714 = 
(
(long)CINT(BgL_spz00_1695)+((long)1)); 
BgL_arg1766z00_1715 = 
(BgL_nz00_1696-((long)1)); 
{ 
long BgL_nz00_14496;obj_t BgL_spz00_14494;obj_t BgL_lz00_14493;
BgL_lz00_14493 = BgL_arg1764z00_1713; 
BgL_spz00_14494 = 
BINT(BgL_arg1765z00_1714); 
BgL_nz00_14496 = BgL_arg1766z00_1715; 
BgL_nz00_1696 = BgL_nz00_14496; 
BgL_spz00_1695 = BgL_spz00_14494; 
BgL_lz00_1694 = BgL_lz00_14493; 
goto BgL_zc3z04anonymousza31752ze3z87_1697;} } } } } } 

}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{
{ /* Eval/evaluate_comp.scm 766 */
{ 
obj_t BgL_lz00_1718;obj_t BgL_stkz00_1719;
BgL_lz00_1718 = BgL_argsz00_134; 
BgL_stkz00_1719 = BgL_stkz00_135; 
BgL_zc3z04anonymousza31767ze3z87_1720:
{ /* Eval/evaluate_comp.scm 770 */
bool_t BgL_test4553z00_14497;
if(
NULLP(BgL_lz00_1718))
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4553z00_14497 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4553z00_14497 = 
NULLP(BgL_stkz00_1719)
; } 
if(BgL_test4553z00_14497)
{ /* Eval/evaluate_comp.scm 770 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 772 */
bool_t BgL_test4555z00_14501;
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_g1345z00_1737;
BgL_g1345z00_1737 = 
CDR(
((obj_t)BgL_lz00_1718)); 
{ 
obj_t BgL_l1343z00_1739;
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_tmpz00_14504;
BgL_l1343z00_1739 = BgL_g1345z00_1737; 
BgL_zc3z04anonymousza31778ze3z87_1740:
if(
NULLP(BgL_l1343z00_1739))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_14504 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL__ortest_1346z00_1742;
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_ez00_1744;
BgL_ez00_1744 = 
CAR(
((obj_t)BgL_l1343z00_1739)); 
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_arg1780z00_1745;obj_t BgL_arg1781z00_1746;
BgL_arg1780z00_1745 = 
CAR(
((obj_t)BgL_stkz00_1719)); 
BgL_arg1781z00_1746 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1744), BNIL); 
BgL__ortest_1346z00_1742 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1780z00_1745, BgL_arg1781z00_1746); } } 
if(
CBOOL(BgL__ortest_1346z00_1742))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_14504 = BgL__ortest_1346z00_1742
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_arg1779z00_1743;
BgL_arg1779z00_1743 = 
CDR(
((obj_t)BgL_l1343z00_1739)); 
{ 
obj_t BgL_l1343z00_14518;
BgL_l1343z00_14518 = BgL_arg1779z00_1743; 
BgL_l1343z00_1739 = BgL_l1343z00_14518; 
goto BgL_zc3z04anonymousza31778ze3z87_1740;} } } 
BgL_test4555z00_14501 = 
CBOOL(BgL_tmpz00_14504); } } } 
if(BgL_test4555z00_14501)
{ /* Eval/evaluate_comp.scm 772 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arg1776z00_1735;obj_t BgL_arg1777z00_1736;
BgL_arg1776z00_1735 = 
CDR(
((obj_t)BgL_lz00_1718)); 
BgL_arg1777z00_1736 = 
CDR(
((obj_t)BgL_stkz00_1719)); 
{ 
obj_t BgL_stkz00_14525;obj_t BgL_lz00_14524;
BgL_lz00_14524 = BgL_arg1776z00_1735; 
BgL_stkz00_14525 = BgL_arg1777z00_1736; 
BgL_stkz00_1719 = BgL_stkz00_14525; 
BgL_lz00_1718 = BgL_lz00_14524; 
goto BgL_zc3z04anonymousza31767ze3z87_1720;} } } } } } 

}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{
{ /* Eval/evaluate_comp.scm 776 */
{ /* Eval/evaluate_comp.scm 778 */
long BgL_siza7eza7_1751;long BgL_nbargsz00_1752;obj_t BgL_fz00_1753;obj_t BgL_symbzd2funzd2_1754;
BgL_siza7eza7_1751 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1752 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1753 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1754 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 780 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test4560z00_14539;
{ /* Eval/evaluate_comp.scm 787 */
int BgL_arg1831z00_1833;
BgL_arg1831z00_1833 = 
bgl_debug(); 
BgL_test4560z00_14539 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1831z00_1833), 
BINT(((long)0))); } 
if(BgL_test4560z00_14539)
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_argsz00_1760;
BgL_argsz00_1760 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_zc3z04anonymousza31787ze3z87_9658;
BgL_zc3z04anonymousza31787ze3z87_9658 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31787ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31787ze3z87_9658, 
(int)(((long)0)), BgL_fz00_1753); 
PROCEDURE_SET(BgL_zc3z04anonymousza31787ze3z87_9658, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31787ze3z87_9658, 
(int)(((long)2)), BgL_symbzd2funzd2_1754); 
PROCEDURE_SET(BgL_zc3z04anonymousza31787ze3z87_9658, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1752)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31787ze3z87_9658, 
(int)(((long)4)), BgL_argsz00_1760); 
PROCEDURE_SET(BgL_zc3z04anonymousza31787ze3z87_9658, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1751)); 
return BgL_zc3z04anonymousza31787ze3z87_9658;} }  else 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_argsz00_1798;
BgL_argsz00_1798 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_zc3z04anonymousza31811ze3z87_9659;
BgL_zc3z04anonymousza31811ze3z87_9659 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31811ze3z87_9659, 
(int)(((long)0)), BgL_fz00_1753); 
PROCEDURE_SET(BgL_zc3z04anonymousza31811ze3z87_9659, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31811ze3z87_9659, 
(int)(((long)2)), BgL_symbzd2funzd2_1754); 
PROCEDURE_SET(BgL_zc3z04anonymousza31811ze3z87_9659, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1752)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31811ze3z87_9659, 
(int)(((long)4)), BgL_argsz00_1798); 
PROCEDURE_SET(BgL_zc3z04anonymousza31811ze3z87_9659, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1751)); 
return BgL_zc3z04anonymousza31811ze3z87_9659;} } }  else 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test4561z00_14584;
{ /* Eval/evaluate_comp.scm 795 */
int BgL_arg1872z00_1903;
BgL_arg1872z00_1903 = 
bgl_debug(); 
BgL_test4561z00_14584 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1872z00_1903), 
BINT(((long)0))); } 
if(BgL_test4561z00_14584)
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_argsz00_1836;
BgL_argsz00_1836 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1751); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_zc3z04anonymousza31834ze3z87_9660;
BgL_zc3z04anonymousza31834ze3z87_9660 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31834ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31834ze3z87_9660, 
(int)(((long)0)), BgL_fz00_1753); 
PROCEDURE_SET(BgL_zc3z04anonymousza31834ze3z87_9660, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31834ze3z87_9660, 
(int)(((long)2)), BgL_symbzd2funzd2_1754); 
PROCEDURE_SET(BgL_zc3z04anonymousza31834ze3z87_9660, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1752)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31834ze3z87_9660, 
(int)(((long)4)), BgL_argsz00_1836); 
return BgL_zc3z04anonymousza31834ze3z87_9660;} }  else 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_argsz00_1871;
BgL_argsz00_1871 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1751); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_zc3z04anonymousza31854ze3z87_9661;
BgL_zc3z04anonymousza31854ze3z87_9661 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31854ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31854ze3z87_9661, 
(int)(((long)0)), BgL_fz00_1753); 
PROCEDURE_SET(BgL_zc3z04anonymousza31854ze3z87_9661, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31854ze3z87_9661, 
(int)(((long)2)), BgL_symbzd2funzd2_1754); 
PROCEDURE_SET(BgL_zc3z04anonymousza31854ze3z87_9661, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1752)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31854ze3z87_9661, 
(int)(((long)4)), BgL_argsz00_1871); 
return BgL_zc3z04anonymousza31854ze3z87_9661;} } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test4562z00_14623;
{ /* Eval/evaluate_comp.scm 781 */
int BgL_arg1913z00_1974;
BgL_arg1913z00_1974 = 
bgl_debug(); 
BgL_test4562z00_14623 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1913z00_1974), 
BINT(((long)0))); } 
if(BgL_test4562z00_14623)
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_argsz00_1907;
BgL_argsz00_1907 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_zc3z04anonymousza31876ze3z87_9662;
BgL_zc3z04anonymousza31876ze3z87_9662 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31876ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_9662, 
(int)(((long)0)), BgL_fz00_1753); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_9662, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_9662, 
(int)(((long)2)), BgL_symbzd2funzd2_1754); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_9662, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1752)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_9662, 
(int)(((long)4)), BgL_argsz00_1907); 
PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_9662, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1751)); 
return BgL_zc3z04anonymousza31876ze3z87_9662;} }  else 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_argsz00_1942;
BgL_argsz00_1942 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_zc3z04anonymousza31896ze3z87_9663;
BgL_zc3z04anonymousza31896ze3z87_9663 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31896ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31896ze3z87_9663, 
(int)(((long)0)), BgL_fz00_1753); 
PROCEDURE_SET(BgL_zc3z04anonymousza31896ze3z87_9663, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31896ze3z87_9663, 
(int)(((long)2)), BgL_symbzd2funzd2_1754); 
PROCEDURE_SET(BgL_zc3z04anonymousza31896ze3z87_9663, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1752)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31896ze3z87_9663, 
(int)(((long)4)), BgL_argsz00_1942); 
PROCEDURE_SET(BgL_zc3z04anonymousza31896ze3z87_9663, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1751)); 
return BgL_zc3z04anonymousza31896ze3z87_9663;} } } } } 

}



/* &<@anonymous:1787> */
obj_t BGl_z62zc3z04anonymousza31787ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9664, obj_t BgL_sz00_9671)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_9665;BgL_ev_appz00_bglt BgL_i1154z00_9666;obj_t BgL_symbzd2funzd2_9667;long BgL_nbargsz00_9668;obj_t BgL_argsz00_9669;long BgL_siza7eza7_9670;
BgL_fz00_9665 = 
PROCEDURE_REF(BgL_envz00_9664, 
(int)(((long)0))); 
BgL_i1154z00_9666 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_9664, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_9667 = 
PROCEDURE_REF(BgL_envz00_9664, 
(int)(((long)2))); 
BgL_nbargsz00_9668 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9664, 
(int)(((long)3)))); 
BgL_argsz00_9669 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9664, 
(int)(((long)4)))); 
BgL_siza7eza7_9670 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9664, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_bpz00_11650;
BgL_bpz00_11650 = 
VECTOR_REF(
((obj_t)BgL_sz00_9671),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_11651;
BgL_fz00_11651 = 
PROCEDURE_ENTRY(BgL_fz00_9665)(BgL_fz00_9665, BgL_sz00_9671, BEOA); 
if(
PROCEDUREP(BgL_fz00_11651))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9666))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11651); } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ufz00_11652;
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_tmpz00_14694;
BgL_tmpz00_14694 = 
((obj_t)BgL_fz00_11651); 
BgL_ufz00_11652 = 
PROCEDURE_ATTR(BgL_tmpz00_14694); } 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test4564z00_14697;
if(
STRUCTP(BgL_ufz00_11652))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4564z00_14697 = 
(
STRUCT_KEY(BgL_ufz00_11652)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4564z00_14697 = ((bool_t)0)
; } 
if(BgL_test4564z00_14697)
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_arityz00_11653;obj_t BgL_runz00_11654;obj_t BgL_sfz00_11655;
BgL_arityz00_11653 = 
STRUCT_REF(BgL_ufz00_11652, 
(int)(((long)0))); 
BgL_runz00_11654 = 
STRUCT_REF(BgL_ufz00_11652, 
(int)(((long)1))); 
BgL_sfz00_11655 = 
STRUCT_REF(BgL_ufz00_11652, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_spz00_11656;
BgL_spz00_11656 = 
(
(long)CINT(BgL_bpz00_11650)+BgL_siza7eza7_9670); 
if(
(
(long)CINT(BgL_arityz00_11653)==BgL_nbargsz00_9668))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_9671, BgL_argsz00_9669, 
BINT(BgL_spz00_11656)); 
{ /* Eval/evaluate_comp.scm 791 */
long BgL_arg1792z00_11657;
BgL_arg1792z00_11657 = 
(BgL_spz00_11656+BgL_nbargsz00_9668); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_9671, 
(long)CINT(BgL_bpz00_11650), BgL_sz00_9671, 
BINT(BgL_spz00_11656), 
BINT(BgL_arg1792z00_11657)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test4567z00_14720;
if(
(
(long)CINT(BgL_arityz00_11653)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4567z00_14720 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4567z00_14720 = 
(
(long)CINT(BgL_arityz00_11653)<
(((long)-1)-BgL_nbargsz00_9668))
; } 
if(BgL_test4567z00_14720)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9666))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_11652, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_9668), 
CINT(BgL_arityz00_11653)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_11653, BgL_sz00_9671, BgL_argsz00_9669, 
BINT(BgL_spz00_11656)); 
{ /* Eval/evaluate_comp.scm 793 */
long BgL_arg1798z00_11658;
BgL_arg1798z00_11658 = 
(BgL_spz00_11656+
(((long)0)-
(long)CINT(BgL_arityz00_11653))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_9671, 
(long)CINT(BgL_bpz00_11650), BgL_sz00_9671, 
BINT(BgL_spz00_11656), 
BINT(BgL_arg1798z00_11658)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_z12denvz12_11659;
BgL_z12denvz12_11659 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_tmpz00_14743;
BgL_tmpz00_14743 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9666))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11659, BgL_tmpz00_14743); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9671, BgL_bpz00_11650, BgL_sfz00_11655))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_11654;}  else 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_nsz00_11660;
BgL_nsz00_11660 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_arg1803z00_11661;
BgL_arg1803z00_11661 = 
(
(long)CINT(BgL_bpz00_11650)+BgL_nbargsz00_9668); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11660, ((long)2), BgL_sz00_9671, BgL_bpz00_11650, 
BINT(BgL_arg1803z00_11661)); } 
VECTOR_SET(BgL_nsz00_11660,((long)1),BgL_sz00_9671); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11659, BgL_nsz00_11660); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ez00_11662;
BgL_ez00_11662 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11662, BgL_sz00_9671); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_____rz00_11663;
BgL_____rz00_11663 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11654, BgL_nsz00_11660, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11662); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11659, BgL_sz00_9671); 
return BgL_____rz00_11663;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11651, 
(int)(BgL_nbargsz00_9668)))
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_auxz00_14766;obj_t BgL_tmpz00_14764;
BgL_auxz00_14766 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9666))->BgL_locz00); 
BgL_tmpz00_14764 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_14764, BgL_auxz00_14766); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_9671, BgL_fz00_11651, BgL_argsz00_9669, BgL_bpz00_11650, 
BINT(BgL_siza7eza7_9670));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9666))->BgL_locz00), BgL_symbzd2funzd2_9667, 
(int)(BgL_nbargsz00_9668), 
PROCEDURE_ARITY(BgL_fz00_11651));} } } } } } } } 

}



/* &<@anonymous:1811> */
obj_t BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9672, obj_t BgL_sz00_9679)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_9673;BgL_ev_appz00_bglt BgL_i1154z00_9674;obj_t BgL_symbzd2funzd2_9675;long BgL_nbargsz00_9676;obj_t BgL_argsz00_9677;long BgL_siza7eza7_9678;
BgL_fz00_9673 = 
PROCEDURE_REF(BgL_envz00_9672, 
(int)(((long)0))); 
BgL_i1154z00_9674 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_9672, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_9675 = 
PROCEDURE_REF(BgL_envz00_9672, 
(int)(((long)2))); 
BgL_nbargsz00_9676 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9672, 
(int)(((long)3)))); 
BgL_argsz00_9677 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9672, 
(int)(((long)4)))); 
BgL_siza7eza7_9678 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9672, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_bpz00_11664;
BgL_bpz00_11664 = 
VECTOR_REF(
((obj_t)BgL_sz00_9679),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_11665;
BgL_fz00_11665 = 
PROCEDURE_ENTRY(BgL_fz00_9673)(BgL_fz00_9673, BgL_sz00_9679, BEOA); 
if(
PROCEDUREP(BgL_fz00_11665))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9674))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11665); } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ufz00_11666;
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_tmpz00_14801;
BgL_tmpz00_14801 = 
((obj_t)BgL_fz00_11665); 
BgL_ufz00_11666 = 
PROCEDURE_ATTR(BgL_tmpz00_14801); } 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test4574z00_14804;
if(
STRUCTP(BgL_ufz00_11666))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4574z00_14804 = 
(
STRUCT_KEY(BgL_ufz00_11666)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4574z00_14804 = ((bool_t)0)
; } 
if(BgL_test4574z00_14804)
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_arityz00_11667;obj_t BgL_runz00_11668;obj_t BgL_sfz00_11669;
BgL_arityz00_11667 = 
STRUCT_REF(BgL_ufz00_11666, 
(int)(((long)0))); 
BgL_runz00_11668 = 
STRUCT_REF(BgL_ufz00_11666, 
(int)(((long)1))); 
BgL_sfz00_11669 = 
STRUCT_REF(BgL_ufz00_11666, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_spz00_11670;
BgL_spz00_11670 = 
(
(long)CINT(BgL_bpz00_11664)+BgL_siza7eza7_9678); 
if(
(
(long)CINT(BgL_arityz00_11667)==BgL_nbargsz00_9676))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_9679, BgL_argsz00_9677, 
BINT(BgL_spz00_11670)); 
{ /* Eval/evaluate_comp.scm 791 */
long BgL_arg1816z00_11671;
BgL_arg1816z00_11671 = 
(BgL_spz00_11670+BgL_nbargsz00_9676); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_9679, 
(long)CINT(BgL_bpz00_11664), BgL_sz00_9679, 
BINT(BgL_spz00_11670), 
BINT(BgL_arg1816z00_11671)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test4577z00_14827;
if(
(
(long)CINT(BgL_arityz00_11667)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4577z00_14827 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4577z00_14827 = 
(
(long)CINT(BgL_arityz00_11667)<
(((long)-1)-BgL_nbargsz00_9676))
; } 
if(BgL_test4577z00_14827)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9674))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_11666, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_9676), 
CINT(BgL_arityz00_11667)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_11667, BgL_sz00_9679, BgL_argsz00_9677, 
BINT(BgL_spz00_11670)); 
{ /* Eval/evaluate_comp.scm 793 */
long BgL_arg1822z00_11672;
BgL_arg1822z00_11672 = 
(BgL_spz00_11670+
(((long)0)-
(long)CINT(BgL_arityz00_11667))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_9679, 
(long)CINT(BgL_bpz00_11664), BgL_sz00_9679, 
BINT(BgL_spz00_11670), 
BINT(BgL_arg1822z00_11672)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_z12denvz12_11673;
BgL_z12denvz12_11673 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9679, BgL_bpz00_11664, BgL_sfz00_11669))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_11668;}  else 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_nsz00_11674;
BgL_nsz00_11674 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_arg1826z00_11675;
BgL_arg1826z00_11675 = 
(
(long)CINT(BgL_bpz00_11664)+BgL_nbargsz00_9676); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11674, ((long)2), BgL_sz00_9679, BgL_bpz00_11664, 
BINT(BgL_arg1826z00_11675)); } 
VECTOR_SET(BgL_nsz00_11674,((long)1),BgL_sz00_9679); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11673, BgL_nsz00_11674); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ez00_11676;
BgL_ez00_11676 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11676, BgL_sz00_9679); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_____rz00_11677;
BgL_____rz00_11677 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11668, BgL_nsz00_11674, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11676); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11673, BgL_sz00_9679); 
return BgL_____rz00_11677;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11665, 
(int)(BgL_nbargsz00_9676)))
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_9679, BgL_fz00_11665, BgL_argsz00_9677, BgL_bpz00_11664, 
BINT(BgL_siza7eza7_9678));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9674))->BgL_locz00), BgL_symbzd2funzd2_9675, 
(int)(BgL_nbargsz00_9676), 
PROCEDURE_ARITY(BgL_fz00_11665));} } } } } } } } 

}



/* &<@anonymous:1834> */
obj_t BGl_z62zc3z04anonymousza31834ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9680, obj_t BgL_sz00_9686)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_9681;BgL_ev_appz00_bglt BgL_i1154z00_9682;obj_t BgL_symbzd2funzd2_9683;long BgL_nbargsz00_9684;obj_t BgL_argsz00_9685;
BgL_fz00_9681 = 
PROCEDURE_REF(BgL_envz00_9680, 
(int)(((long)0))); 
BgL_i1154z00_9682 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_9680, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_9683 = 
PROCEDURE_REF(BgL_envz00_9680, 
(int)(((long)2))); 
BgL_nbargsz00_9684 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9680, 
(int)(((long)3)))); 
BgL_argsz00_9685 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9680, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_bpz00_11678;
BgL_bpz00_11678 = 
VECTOR_REF(
((obj_t)BgL_sz00_9686),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_11679;
BgL_fz00_11679 = 
PROCEDURE_ENTRY(BgL_fz00_9681)(BgL_fz00_9681, BgL_sz00_9686, BEOA); 
if(
PROCEDUREP(BgL_fz00_11679))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9682))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11679); } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ufz00_11680;
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_tmpz00_14897;
BgL_tmpz00_14897 = 
((obj_t)BgL_fz00_11679); 
BgL_ufz00_11680 = 
PROCEDURE_ATTR(BgL_tmpz00_14897); } 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test4582z00_14900;
if(
STRUCTP(BgL_ufz00_11680))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4582z00_14900 = 
(
STRUCT_KEY(BgL_ufz00_11680)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4582z00_14900 = ((bool_t)0)
; } 
if(BgL_test4582z00_14900)
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_arityz00_11681;obj_t BgL_runz00_11682;obj_t BgL_sfz00_11683;
BgL_arityz00_11681 = 
STRUCT_REF(BgL_ufz00_11680, 
(int)(((long)0))); 
BgL_runz00_11682 = 
STRUCT_REF(BgL_ufz00_11680, 
(int)(((long)1))); 
BgL_sfz00_11683 = 
STRUCT_REF(BgL_ufz00_11680, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11681)==BgL_nbargsz00_9684))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_9686, BgL_argsz00_9685, BgL_bpz00_11678)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test4585z00_14916;
if(
(
(long)CINT(BgL_arityz00_11681)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4585z00_14916 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4585z00_14916 = 
(
(long)CINT(BgL_arityz00_11681)<
(((long)-1)-BgL_nbargsz00_9684))
; } 
if(BgL_test4585z00_14916)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9682))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_11680, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_9684), 
CINT(BgL_arityz00_11681)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_11681, BgL_sz00_9686, BgL_argsz00_9685, BgL_bpz00_11678); } } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_z12denvz12_11684;
BgL_z12denvz12_11684 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_tmpz00_14931;
BgL_tmpz00_14931 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9682))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11684, BgL_tmpz00_14931); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9686, BgL_bpz00_11678, BgL_sfz00_11683))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_11682;}  else 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_nsz00_11685;
BgL_nsz00_11685 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
long BgL_arg1847z00_11686;
BgL_arg1847z00_11686 = 
(
(long)CINT(BgL_bpz00_11678)+BgL_nbargsz00_9684); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11685, ((long)2), BgL_sz00_9686, BgL_bpz00_11678, 
BINT(BgL_arg1847z00_11686)); } 
VECTOR_SET(BgL_nsz00_11685,((long)1),BgL_sz00_9686); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11684, BgL_nsz00_11685); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ez00_11687;
BgL_ez00_11687 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11687, BgL_sz00_9686); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_____rz00_11688;
BgL_____rz00_11688 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11682, BgL_nsz00_11685, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11687); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11684, BgL_sz00_9686); 
return BgL_____rz00_11688;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11679, 
(int)(BgL_nbargsz00_9684)))
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_auxz00_14954;obj_t BgL_tmpz00_14952;
BgL_auxz00_14954 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9682))->BgL_locz00); 
BgL_tmpz00_14952 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_14952, BgL_auxz00_14954); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_9686, BgL_fz00_11679, BgL_argsz00_9685, BgL_bpz00_11678, 
BINT(BgL_nbargsz00_9684));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9682))->BgL_locz00), BgL_symbzd2funzd2_9683, 
(int)(BgL_nbargsz00_9684), 
PROCEDURE_ARITY(BgL_fz00_11679));} } } } } } } } 

}



/* &<@anonymous:1854> */
obj_t BGl_z62zc3z04anonymousza31854ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9687, obj_t BgL_sz00_9693)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_9688;BgL_ev_appz00_bglt BgL_i1154z00_9689;obj_t BgL_symbzd2funzd2_9690;long BgL_nbargsz00_9691;obj_t BgL_argsz00_9692;
BgL_fz00_9688 = 
PROCEDURE_REF(BgL_envz00_9687, 
(int)(((long)0))); 
BgL_i1154z00_9689 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_9687, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_9690 = 
PROCEDURE_REF(BgL_envz00_9687, 
(int)(((long)2))); 
BgL_nbargsz00_9691 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9687, 
(int)(((long)3)))); 
BgL_argsz00_9692 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9687, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_bpz00_11689;
BgL_bpz00_11689 = 
VECTOR_REF(
((obj_t)BgL_sz00_9693),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_11690;
BgL_fz00_11690 = 
PROCEDURE_ENTRY(BgL_fz00_9688)(BgL_fz00_9688, BgL_sz00_9693, BEOA); 
if(
PROCEDUREP(BgL_fz00_11690))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9689))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11690); } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ufz00_11691;
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_tmpz00_14986;
BgL_tmpz00_14986 = 
((obj_t)BgL_fz00_11690); 
BgL_ufz00_11691 = 
PROCEDURE_ATTR(BgL_tmpz00_14986); } 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test4590z00_14989;
if(
STRUCTP(BgL_ufz00_11691))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4590z00_14989 = 
(
STRUCT_KEY(BgL_ufz00_11691)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4590z00_14989 = ((bool_t)0)
; } 
if(BgL_test4590z00_14989)
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_arityz00_11692;obj_t BgL_runz00_11693;obj_t BgL_sfz00_11694;
BgL_arityz00_11692 = 
STRUCT_REF(BgL_ufz00_11691, 
(int)(((long)0))); 
BgL_runz00_11693 = 
STRUCT_REF(BgL_ufz00_11691, 
(int)(((long)1))); 
BgL_sfz00_11694 = 
STRUCT_REF(BgL_ufz00_11691, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11692)==BgL_nbargsz00_9691))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_9693, BgL_argsz00_9692, BgL_bpz00_11689)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test4593z00_15005;
if(
(
(long)CINT(BgL_arityz00_11692)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4593z00_15005 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4593z00_15005 = 
(
(long)CINT(BgL_arityz00_11692)<
(((long)-1)-BgL_nbargsz00_9691))
; } 
if(BgL_test4593z00_15005)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9689))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_11691, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_9691), 
CINT(BgL_arityz00_11692)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_11692, BgL_sz00_9693, BgL_argsz00_9692, BgL_bpz00_11689); } } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_z12denvz12_11695;
BgL_z12denvz12_11695 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9693, BgL_bpz00_11689, BgL_sfz00_11694))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_11693;}  else 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_nsz00_11696;
BgL_nsz00_11696 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
long BgL_arg1867z00_11697;
BgL_arg1867z00_11697 = 
(
(long)CINT(BgL_bpz00_11689)+BgL_nbargsz00_9691); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11696, ((long)2), BgL_sz00_9693, BgL_bpz00_11689, 
BINT(BgL_arg1867z00_11697)); } 
VECTOR_SET(BgL_nsz00_11696,((long)1),BgL_sz00_9693); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11695, BgL_nsz00_11696); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ez00_11698;
BgL_ez00_11698 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11698, BgL_sz00_9693); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_____rz00_11699;
BgL_____rz00_11699 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11693, BgL_nsz00_11696, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11698); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11695, BgL_sz00_9693); 
return BgL_____rz00_11699;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11690, 
(int)(BgL_nbargsz00_9691)))
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_9693, BgL_fz00_11690, BgL_argsz00_9692, BgL_bpz00_11689, 
BINT(BgL_nbargsz00_9691));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9689))->BgL_locz00), BgL_symbzd2funzd2_9690, 
(int)(BgL_nbargsz00_9691), 
PROCEDURE_ARITY(BgL_fz00_11690));} } } } } } } } 

}



/* &<@anonymous:1876> */
obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9694, obj_t BgL_sz00_9701)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_9695;BgL_ev_appz00_bglt BgL_i1154z00_9696;obj_t BgL_symbzd2funzd2_9697;long BgL_nbargsz00_9698;obj_t BgL_argsz00_9699;long BgL_siza7eza7_9700;
BgL_fz00_9695 = 
PROCEDURE_REF(BgL_envz00_9694, 
(int)(((long)0))); 
BgL_i1154z00_9696 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_9694, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_9697 = 
PROCEDURE_REF(BgL_envz00_9694, 
(int)(((long)2))); 
BgL_nbargsz00_9698 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9694, 
(int)(((long)3)))); 
BgL_argsz00_9699 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9694, 
(int)(((long)4)))); 
BgL_siza7eza7_9700 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9694, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_bpz00_11700;
BgL_bpz00_11700 = 
VECTOR_REF(
((obj_t)BgL_sz00_9701),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_11701;
BgL_fz00_11701 = 
PROCEDURE_ENTRY(BgL_fz00_9695)(BgL_fz00_9695, BgL_sz00_9701, BEOA); 
if(
PROCEDUREP(BgL_fz00_11701))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9696))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11701); } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ufz00_11702;
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_tmpz00_15070;
BgL_tmpz00_15070 = 
((obj_t)BgL_fz00_11701); 
BgL_ufz00_11702 = 
PROCEDURE_ATTR(BgL_tmpz00_15070); } 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test4598z00_15073;
if(
STRUCTP(BgL_ufz00_11702))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4598z00_15073 = 
(
STRUCT_KEY(BgL_ufz00_11702)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4598z00_15073 = ((bool_t)0)
; } 
if(BgL_test4598z00_15073)
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_arityz00_11703;obj_t BgL_runz00_11704;obj_t BgL_sfz00_11705;
BgL_arityz00_11703 = 
STRUCT_REF(BgL_ufz00_11702, 
(int)(((long)0))); 
BgL_runz00_11704 = 
STRUCT_REF(BgL_ufz00_11702, 
(int)(((long)1))); 
BgL_sfz00_11705 = 
STRUCT_REF(BgL_ufz00_11702, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_spz00_11706;
BgL_spz00_11706 = 
(
(long)CINT(BgL_bpz00_11700)+BgL_siza7eza7_9700); 
if(
(
(long)CINT(BgL_arityz00_11703)==BgL_nbargsz00_9698))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_9701, BgL_argsz00_9699, 
BINT(BgL_spz00_11706))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test4601z00_15092;
if(
(
(long)CINT(BgL_arityz00_11703)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4601z00_15092 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4601z00_15092 = 
(
(long)CINT(BgL_arityz00_11703)<
(((long)-1)-BgL_nbargsz00_9698))
; } 
if(BgL_test4601z00_15092)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9696))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_11702, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_9698), 
CINT(BgL_arityz00_11703)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_11703, BgL_sz00_9701, BgL_argsz00_9699, 
BINT(BgL_spz00_11706)); } } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_z12denvz12_11707;
BgL_z12denvz12_11707 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_tmpz00_15108;
BgL_tmpz00_15108 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9696))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11707, BgL_tmpz00_15108); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9701, 
BINT(BgL_spz00_11706), BgL_sfz00_11705))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11704, BgL_sz00_9701, 
BINT(BgL_spz00_11706));}  else 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_nsz00_11708;
BgL_nsz00_11708 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_arg1889z00_11709;
BgL_arg1889z00_11709 = 
(BgL_spz00_11706+BgL_nbargsz00_9698); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11708, ((long)2), BgL_sz00_9701, 
BINT(BgL_spz00_11706), 
BINT(BgL_arg1889z00_11709)); } 
VECTOR_SET(BgL_nsz00_11708,((long)1),BgL_sz00_9701); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11707, BgL_nsz00_11708); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ez00_11710;
BgL_ez00_11710 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11710, BgL_sz00_9701); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_____rz00_11711;
BgL_____rz00_11711 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11704, BgL_nsz00_11708, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11710); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11707, BgL_sz00_9701); 
return BgL_____rz00_11711;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11701, 
(int)(BgL_nbargsz00_9698)))
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_auxz00_15134;obj_t BgL_tmpz00_15132;
BgL_auxz00_15134 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9696))->BgL_locz00); 
BgL_tmpz00_15132 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15132, BgL_auxz00_15134); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_9701, BgL_fz00_11701, BgL_argsz00_9699, BgL_bpz00_11700, 
BINT(BgL_siza7eza7_9700));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9696))->BgL_locz00), BgL_symbzd2funzd2_9697, 
(int)(BgL_nbargsz00_9698), 
PROCEDURE_ARITY(BgL_fz00_11701));} } } } } } } } 

}



/* &<@anonymous:1896> */
obj_t BGl_z62zc3z04anonymousza31896ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9702, obj_t BgL_sz00_9709)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_9703;BgL_ev_appz00_bglt BgL_i1154z00_9704;obj_t BgL_symbzd2funzd2_9705;long BgL_nbargsz00_9706;obj_t BgL_argsz00_9707;long BgL_siza7eza7_9708;
BgL_fz00_9703 = 
PROCEDURE_REF(BgL_envz00_9702, 
(int)(((long)0))); 
BgL_i1154z00_9704 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_9702, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_9705 = 
PROCEDURE_REF(BgL_envz00_9702, 
(int)(((long)2))); 
BgL_nbargsz00_9706 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9702, 
(int)(((long)3)))); 
BgL_argsz00_9707 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9702, 
(int)(((long)4)))); 
BgL_siza7eza7_9708 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9702, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_bpz00_11712;
BgL_bpz00_11712 = 
VECTOR_REF(
((obj_t)BgL_sz00_9709),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_11713;
BgL_fz00_11713 = 
PROCEDURE_ENTRY(BgL_fz00_9703)(BgL_fz00_9703, BgL_sz00_9709, BEOA); 
if(
PROCEDUREP(BgL_fz00_11713))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9704))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11713); } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ufz00_11714;
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_tmpz00_15169;
BgL_tmpz00_15169 = 
((obj_t)BgL_fz00_11713); 
BgL_ufz00_11714 = 
PROCEDURE_ATTR(BgL_tmpz00_15169); } 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test4606z00_15172;
if(
STRUCTP(BgL_ufz00_11714))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4606z00_15172 = 
(
STRUCT_KEY(BgL_ufz00_11714)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4606z00_15172 = ((bool_t)0)
; } 
if(BgL_test4606z00_15172)
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_arityz00_11715;obj_t BgL_runz00_11716;obj_t BgL_sfz00_11717;
BgL_arityz00_11715 = 
STRUCT_REF(BgL_ufz00_11714, 
(int)(((long)0))); 
BgL_runz00_11716 = 
STRUCT_REF(BgL_ufz00_11714, 
(int)(((long)1))); 
BgL_sfz00_11717 = 
STRUCT_REF(BgL_ufz00_11714, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_spz00_11718;
BgL_spz00_11718 = 
(
(long)CINT(BgL_bpz00_11712)+BgL_siza7eza7_9708); 
if(
(
(long)CINT(BgL_arityz00_11715)==BgL_nbargsz00_9706))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_9709, BgL_argsz00_9707, 
BINT(BgL_spz00_11718))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test4609z00_15191;
if(
(
(long)CINT(BgL_arityz00_11715)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4609z00_15191 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4609z00_15191 = 
(
(long)CINT(BgL_arityz00_11715)<
(((long)-1)-BgL_nbargsz00_9706))
; } 
if(BgL_test4609z00_15191)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9704))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_11714, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_9706), 
CINT(BgL_arityz00_11715)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_11715, BgL_sz00_9709, BgL_argsz00_9707, 
BINT(BgL_spz00_11718)); } } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_z12denvz12_11719;
BgL_z12denvz12_11719 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9709, 
BINT(BgL_spz00_11718), BgL_sfz00_11717))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11716, BgL_sz00_9709, 
BINT(BgL_spz00_11718));}  else 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_nsz00_11720;
BgL_nsz00_11720 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_arg1908z00_11721;
BgL_arg1908z00_11721 = 
(BgL_spz00_11718+BgL_nbargsz00_9706); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11720, ((long)2), BgL_sz00_9709, 
BINT(BgL_spz00_11718), 
BINT(BgL_arg1908z00_11721)); } 
VECTOR_SET(BgL_nsz00_11720,((long)1),BgL_sz00_9709); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11719, BgL_nsz00_11720); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ez00_11722;
BgL_ez00_11722 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11722, BgL_sz00_9709); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_____rz00_11723;
BgL_____rz00_11723 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11716, BgL_nsz00_11720, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11722); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11719, BgL_sz00_9709); 
return BgL_____rz00_11723;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11713, 
(int)(BgL_nbargsz00_9706)))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_9709, BgL_fz00_11713, BgL_argsz00_9707, BgL_bpz00_11712, 
BINT(BgL_siza7eza7_9708));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_9704))->BgL_locz00), BgL_symbzd2funzd2_9705, 
(int)(BgL_nbargsz00_9706), 
PROCEDURE_ARITY(BgL_fz00_11713));} } } } } } } } 

}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_1978;
BgL_cfunz00_1978 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_1978))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4614z00_15237;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1922z00_1992;
BgL_arg1922z00_1992 = 
bgl_debug(); 
BgL_test4614z00_15237 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1922z00_1992), 
BINT(((long)0))); } 
if(BgL_test4614z00_15237)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31919ze3z87_9710;
BgL_zc3z04anonymousza31919ze3z87_9710 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31919ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31919ze3z87_9710, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31919ze3z87_9710, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31919ze3z87_9710, 
(int)(((long)2)), BgL_cfunz00_1978); 
return BgL_zc3z04anonymousza31919ze3z87_9710;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31921ze3z87_9711;
BgL_zc3z04anonymousza31921ze3z87_9711 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31921ze3z87_9711, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31921ze3z87_9711, 
(int)(((long)1)), BgL_cfunz00_1978); 
return BgL_zc3z04anonymousza31921ze3z87_9711;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4616z00_15262;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1952z00_2056;
BgL_arg1952z00_2056 = 
bgl_debug(); 
BgL_test4616z00_15262 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1952z00_2056), 
BINT(((long)0))); } 
if(BgL_test4616z00_15262)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31925ze3z87_9712;
BgL_zc3z04anonymousza31925ze3z87_9712 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31925ze3z87_9712, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31925ze3z87_9712, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31925ze3z87_9712, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31925ze3z87_9712, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31925ze3z87_9712;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31939ze3z87_9713;
BgL_zc3z04anonymousza31939ze3z87_9713 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_9713, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_9713, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_9713, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_9713, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31939ze3z87_9713;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4617z00_15291;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1982z00_2120;
BgL_arg1982z00_2120 = 
bgl_debug(); 
BgL_test4617z00_15291 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1982z00_2120), 
BINT(((long)0))); } 
if(BgL_test4617z00_15291)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31955ze3z87_9714;
BgL_zc3z04anonymousza31955ze3z87_9714 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31955ze3z87_9714, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31955ze3z87_9714, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31955ze3z87_9714, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31955ze3z87_9714, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31955ze3z87_9714;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31969ze3z87_9715;
BgL_zc3z04anonymousza31969ze3z87_9715 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_9715, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_9715, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_9715, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31969ze3z87_9715, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31969ze3z87_9715;} } } } } 

}



/* &<@anonymous:1919> */
obj_t BGl_z62zc3z04anonymousza31919ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9716, obj_t BgL_sz00_9720)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_siza7eza7_9717;obj_t BgL_locz00_9718;obj_t BgL_cfunz00_9719;
BgL_siza7eza7_9717 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9716, 
(int)(((long)0)))); 
BgL_locz00_9718 = 
PROCEDURE_REF(BgL_envz00_9716, 
(int)(((long)1))); 
BgL_cfunz00_9719 = 
PROCEDURE_REF(BgL_envz00_9716, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11724;
BgL_bpz00_11724 = 
VECTOR_REF(
((obj_t)BgL_sz00_9720),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11725;
BgL_nbpz00_11725 = 
(
(long)CINT(BgL_bpz00_11724)+BgL_siza7eza7_9717); 
VECTOR_SET(
((obj_t)BgL_sz00_9720),((long)0),
BINT(BgL_nbpz00_11725)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15334;
BgL_tmpz00_15334 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15334, BgL_locz00_9718); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11726;
BgL_rz00_11726 = 
PROCEDURE_ENTRY(BgL_cfunz00_9719)(BgL_cfunz00_9719, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9720),((long)0),BgL_bpz00_11724); 
return BgL_rz00_11726;} } } } } } 

}



/* &<@anonymous:1921> */
obj_t BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9721, obj_t BgL_sz00_9724)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_siza7eza7_9722;obj_t BgL_cfunz00_9723;
BgL_siza7eza7_9722 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9721, 
(int)(((long)0)))); 
BgL_cfunz00_9723 = 
PROCEDURE_REF(BgL_envz00_9721, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11727;
BgL_bpz00_11727 = 
VECTOR_REF(
((obj_t)BgL_sz00_9724),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11728;
BgL_nbpz00_11728 = 
(
(long)CINT(BgL_bpz00_11727)+BgL_siza7eza7_9722); 
VECTOR_SET(
((obj_t)BgL_sz00_9724),((long)0),
BINT(BgL_nbpz00_11728)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11729;
BgL_rz00_11729 = 
PROCEDURE_ENTRY(BgL_cfunz00_9723)(BgL_cfunz00_9723, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9724),((long)0),BgL_bpz00_11727); 
return BgL_rz00_11729;} } } } } } 

}



/* &<@anonymous:1925> */
obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9725, obj_t BgL_sz00_9730)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9726;obj_t BgL_locz00_9727;obj_t BgL_symbzd2funzd2_9728;long BgL_siza7eza7_9729;
BgL_funz00_9726 = 
PROCEDURE_REF(BgL_envz00_9725, 
(int)(((long)0))); 
BgL_locz00_9727 = 
PROCEDURE_REF(BgL_envz00_9725, 
(int)(((long)1))); 
BgL_symbzd2funzd2_9728 = 
PROCEDURE_REF(BgL_envz00_9725, 
(int)(((long)2))); 
BgL_siza7eza7_9729 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9725, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11730;
BgL_bpz00_11730 = 
VECTOR_REF(
((obj_t)BgL_sz00_9730),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11731;
BgL_fz00_11731 = 
PROCEDURE_ENTRY(BgL_funz00_9726)(BgL_funz00_9726, BgL_sz00_9730, BEOA); 
if(
PROCEDUREP(BgL_fz00_11731))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9727, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11731); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11732;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15377;
BgL_tmpz00_15377 = 
((obj_t)BgL_fz00_11731); 
BgL_ufz00_11732 = 
PROCEDURE_ATTR(BgL_tmpz00_15377); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4619z00_15380;
if(
STRUCTP(BgL_ufz00_11732))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4619z00_15380 = 
(
STRUCT_KEY(BgL_ufz00_11732)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4619z00_15380 = ((bool_t)0)
; } 
if(BgL_test4619z00_15380)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11733;obj_t BgL_runz00_11734;obj_t BgL_sfz00_11735;
BgL_arityz00_11733 = 
STRUCT_REF(BgL_ufz00_11732, 
(int)(((long)0))); 
BgL_runz00_11734 = 
STRUCT_REF(BgL_ufz00_11732, 
(int)(((long)1))); 
BgL_sfz00_11735 = 
STRUCT_REF(BgL_ufz00_11732, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11733)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_11733))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11733)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1930z00_11738;obj_t BgL_arg1931z00_11739;
BgL_arg1930z00_11738 = 
(
(long)CINT(BgL_bpz00_11730)+((long)0)); 
BgL_arg1931z00_11739 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9730),BgL_arg1930z00_11738,BgL_arg1931z00_11739); } break;
default: 
BgL_case_else1170z00_11736:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1933z00_11737;
BgL_arg1933z00_11737 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11732), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9727, BgL_arg1933z00_11737, 
(int)(((long)0)), 
CINT(BgL_arityz00_11733)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1170z00_11736;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11740;
BgL_z12denvz12_11740 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11740, BgL_locz00_9727); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9730, BgL_bpz00_11730, BgL_sfz00_11735))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_11734;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11741;
BgL_nsz00_11741 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1935z00_11742;
BgL_arg1935z00_11742 = 
(
(long)CINT(BgL_bpz00_11730)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11741, ((long)2), BgL_sz00_9730, BgL_bpz00_11730, 
BINT(BgL_arg1935z00_11742)); } 
VECTOR_SET(BgL_nsz00_11741,((long)1),BgL_sz00_9730); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11740, BgL_nsz00_11741); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11743;
BgL_ez00_11743 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11743, BgL_sz00_9730); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11744;
BgL_____rz00_11744 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11734, BgL_nsz00_11741, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11743); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11740, BgL_sz00_9730); 
return BgL_____rz00_11744;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11731, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11745;
BgL_nbpz00_11745 = 
(
(long)CINT(BgL_bpz00_11730)+BgL_siza7eza7_9729); 
VECTOR_SET(
((obj_t)BgL_sz00_9730),((long)0),
BINT(BgL_nbpz00_11745)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15433;
BgL_tmpz00_15433 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15433, BgL_locz00_9727); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11746;
BgL_rz00_11746 = 
PROCEDURE_ENTRY(BgL_fz00_11731)(BgL_fz00_11731, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9730),((long)0),BgL_bpz00_11730); 
return BgL_rz00_11746;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9727, BgL_symbzd2funzd2_9728, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_11731));} } } } } } } } 

}



/* &<@anonymous:1939> */
obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9731, obj_t BgL_sz00_9736)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9732;obj_t BgL_locz00_9733;obj_t BgL_symbzd2funzd2_9734;long BgL_siza7eza7_9735;
BgL_funz00_9732 = 
PROCEDURE_REF(BgL_envz00_9731, 
(int)(((long)0))); 
BgL_locz00_9733 = 
PROCEDURE_REF(BgL_envz00_9731, 
(int)(((long)1))); 
BgL_symbzd2funzd2_9734 = 
PROCEDURE_REF(BgL_envz00_9731, 
(int)(((long)2))); 
BgL_siza7eza7_9735 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9731, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11747;
BgL_bpz00_11747 = 
VECTOR_REF(
((obj_t)BgL_sz00_9736),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11748;
BgL_fz00_11748 = 
PROCEDURE_ENTRY(BgL_funz00_9732)(BgL_funz00_9732, BgL_sz00_9736, BEOA); 
if(
PROCEDUREP(BgL_fz00_11748))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9733, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11748); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11749;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15462;
BgL_tmpz00_15462 = 
((obj_t)BgL_fz00_11748); 
BgL_ufz00_11749 = 
PROCEDURE_ATTR(BgL_tmpz00_15462); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4626z00_15465;
if(
STRUCTP(BgL_ufz00_11749))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4626z00_15465 = 
(
STRUCT_KEY(BgL_ufz00_11749)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4626z00_15465 = ((bool_t)0)
; } 
if(BgL_test4626z00_15465)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11750;obj_t BgL_runz00_11751;obj_t BgL_sfz00_11752;
BgL_arityz00_11750 = 
STRUCT_REF(BgL_ufz00_11749, 
(int)(((long)0))); 
BgL_runz00_11751 = 
STRUCT_REF(BgL_ufz00_11749, 
(int)(((long)1))); 
BgL_sfz00_11752 = 
STRUCT_REF(BgL_ufz00_11749, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11750)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_11750))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11750)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1944z00_11755;obj_t BgL_arg1945z00_11756;
BgL_arg1944z00_11755 = 
(
(long)CINT(BgL_bpz00_11747)+((long)0)); 
BgL_arg1945z00_11756 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9736),BgL_arg1944z00_11755,BgL_arg1945z00_11756); } break;
default: 
BgL_case_else1172z00_11753:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1947z00_11754;
BgL_arg1947z00_11754 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11749), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9733, BgL_arg1947z00_11754, 
(int)(((long)0)), 
CINT(BgL_arityz00_11750)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1172z00_11753;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11757;
BgL_z12denvz12_11757 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9736, BgL_bpz00_11747, BgL_sfz00_11752))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_11751;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11758;
BgL_nsz00_11758 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1949z00_11759;
BgL_arg1949z00_11759 = 
(
(long)CINT(BgL_bpz00_11747)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11758, ((long)2), BgL_sz00_9736, BgL_bpz00_11747, 
BINT(BgL_arg1949z00_11759)); } 
VECTOR_SET(BgL_nsz00_11758,((long)1),BgL_sz00_9736); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11757, BgL_nsz00_11758); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11760;
BgL_ez00_11760 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11760, BgL_sz00_9736); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11761;
BgL_____rz00_11761 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11751, BgL_nsz00_11758, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11760); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11757, BgL_sz00_9736); 
return BgL_____rz00_11761;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11748, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11762;
BgL_nbpz00_11762 = 
(
(long)CINT(BgL_bpz00_11747)+BgL_siza7eza7_9735); 
VECTOR_SET(
((obj_t)BgL_sz00_9736),((long)0),
BINT(BgL_nbpz00_11762)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11763;
BgL_rz00_11763 = 
PROCEDURE_ENTRY(BgL_fz00_11748)(BgL_fz00_11748, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9736),((long)0),BgL_bpz00_11747); 
return BgL_rz00_11763;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9733, BgL_symbzd2funzd2_9734, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_11748));} } } } } } } } 

}



/* &<@anonymous:1955> */
obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9737, obj_t BgL_sz00_9742)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9738;obj_t BgL_locz00_9739;obj_t BgL_symbzd2funzd2_9740;long BgL_siza7eza7_9741;
BgL_funz00_9738 = 
PROCEDURE_REF(BgL_envz00_9737, 
(int)(((long)0))); 
BgL_locz00_9739 = 
PROCEDURE_REF(BgL_envz00_9737, 
(int)(((long)1))); 
BgL_symbzd2funzd2_9740 = 
PROCEDURE_REF(BgL_envz00_9737, 
(int)(((long)2))); 
BgL_siza7eza7_9741 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9737, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11764;
BgL_bpz00_11764 = 
VECTOR_REF(
((obj_t)BgL_sz00_9742),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11765;
BgL_fz00_11765 = 
PROCEDURE_ENTRY(BgL_funz00_9738)(BgL_funz00_9738, BgL_sz00_9742, BEOA); 
if(
PROCEDUREP(BgL_fz00_11765))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9739, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11765); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11766;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15543;
BgL_tmpz00_15543 = 
((obj_t)BgL_fz00_11765); 
BgL_ufz00_11766 = 
PROCEDURE_ATTR(BgL_tmpz00_15543); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4633z00_15546;
if(
STRUCTP(BgL_ufz00_11766))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4633z00_15546 = 
(
STRUCT_KEY(BgL_ufz00_11766)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4633z00_15546 = ((bool_t)0)
; } 
if(BgL_test4633z00_15546)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11767;obj_t BgL_runz00_11768;obj_t BgL_sfz00_11769;
BgL_arityz00_11767 = 
STRUCT_REF(BgL_ufz00_11766, 
(int)(((long)0))); 
BgL_runz00_11768 = 
STRUCT_REF(BgL_ufz00_11766, 
(int)(((long)1))); 
BgL_sfz00_11769 = 
STRUCT_REF(BgL_ufz00_11766, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_11770;
BgL_spz00_11770 = 
(
(long)CINT(BgL_bpz00_11764)+BgL_siza7eza7_9741); 
if(
(
(long)CINT(BgL_arityz00_11767)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_11767))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11767)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1960z00_11773;obj_t BgL_arg1961z00_11774;
BgL_arg1960z00_11773 = 
(BgL_spz00_11770+((long)0)); 
BgL_arg1961z00_11774 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9742),BgL_arg1960z00_11773,BgL_arg1961z00_11774); } break;
default: 
BgL_case_else1174z00_11771:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1963z00_11772;
BgL_arg1963z00_11772 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11766), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9739, BgL_arg1963z00_11772, 
(int)(((long)0)), 
CINT(BgL_arityz00_11767)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1174z00_11771;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11775;
BgL_z12denvz12_11775 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11775, BgL_locz00_9739); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9742, 
BINT(BgL_spz00_11770), BgL_sfz00_11769))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11768, BgL_sz00_9742, 
BINT(BgL_spz00_11770));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11776;
BgL_nsz00_11776 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1965z00_11777;
BgL_arg1965z00_11777 = 
(BgL_spz00_11770+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11776, ((long)2), BgL_sz00_9742, 
BINT(BgL_spz00_11770), 
BINT(BgL_arg1965z00_11777)); } 
VECTOR_SET(BgL_nsz00_11776,((long)1),BgL_sz00_9742); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11775, BgL_nsz00_11776); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11778;
BgL_ez00_11778 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11778, BgL_sz00_9742); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11779;
BgL_____rz00_11779 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11768, BgL_nsz00_11776, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11778); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11775, BgL_sz00_9742); 
return BgL_____rz00_11779;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11765, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11780;
BgL_nbpz00_11780 = 
(
(long)CINT(BgL_bpz00_11764)+BgL_siza7eza7_9741); 
VECTOR_SET(
((obj_t)BgL_sz00_9742),((long)0),
BINT(BgL_nbpz00_11780)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15603;
BgL_tmpz00_15603 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15603, BgL_locz00_9739); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11781;
BgL_rz00_11781 = 
PROCEDURE_ENTRY(BgL_fz00_11765)(BgL_fz00_11765, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9742),((long)0),BgL_bpz00_11764); 
return BgL_rz00_11781;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9739, BgL_symbzd2funzd2_9740, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_11765));} } } } } } } } 

}



/* &<@anonymous:1969> */
obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9743, obj_t BgL_sz00_9748)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9744;obj_t BgL_locz00_9745;obj_t BgL_symbzd2funzd2_9746;long BgL_siza7eza7_9747;
BgL_funz00_9744 = 
PROCEDURE_REF(BgL_envz00_9743, 
(int)(((long)0))); 
BgL_locz00_9745 = 
PROCEDURE_REF(BgL_envz00_9743, 
(int)(((long)1))); 
BgL_symbzd2funzd2_9746 = 
PROCEDURE_REF(BgL_envz00_9743, 
(int)(((long)2))); 
BgL_siza7eza7_9747 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9743, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11782;
BgL_bpz00_11782 = 
VECTOR_REF(
((obj_t)BgL_sz00_9748),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11783;
BgL_fz00_11783 = 
PROCEDURE_ENTRY(BgL_funz00_9744)(BgL_funz00_9744, BgL_sz00_9748, BEOA); 
if(
PROCEDUREP(BgL_fz00_11783))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9745, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11783); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11784;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15632;
BgL_tmpz00_15632 = 
((obj_t)BgL_fz00_11783); 
BgL_ufz00_11784 = 
PROCEDURE_ATTR(BgL_tmpz00_15632); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4640z00_15635;
if(
STRUCTP(BgL_ufz00_11784))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4640z00_15635 = 
(
STRUCT_KEY(BgL_ufz00_11784)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4640z00_15635 = ((bool_t)0)
; } 
if(BgL_test4640z00_15635)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11785;obj_t BgL_runz00_11786;obj_t BgL_sfz00_11787;
BgL_arityz00_11785 = 
STRUCT_REF(BgL_ufz00_11784, 
(int)(((long)0))); 
BgL_runz00_11786 = 
STRUCT_REF(BgL_ufz00_11784, 
(int)(((long)1))); 
BgL_sfz00_11787 = 
STRUCT_REF(BgL_ufz00_11784, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_11788;
BgL_spz00_11788 = 
(
(long)CINT(BgL_bpz00_11782)+BgL_siza7eza7_9747); 
if(
(
(long)CINT(BgL_arityz00_11785)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_11785))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11785)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1974z00_11791;obj_t BgL_arg1975z00_11792;
BgL_arg1974z00_11791 = 
(BgL_spz00_11788+((long)0)); 
BgL_arg1975z00_11792 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9748),BgL_arg1974z00_11791,BgL_arg1975z00_11792); } break;
default: 
BgL_case_else1176z00_11789:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1977z00_11790;
BgL_arg1977z00_11790 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11784), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9745, BgL_arg1977z00_11790, 
(int)(((long)0)), 
CINT(BgL_arityz00_11785)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1176z00_11789;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11793;
BgL_z12denvz12_11793 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9748, 
BINT(BgL_spz00_11788), BgL_sfz00_11787))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11786, BgL_sz00_9748, 
BINT(BgL_spz00_11788));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11794;
BgL_nsz00_11794 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1979z00_11795;
BgL_arg1979z00_11795 = 
(BgL_spz00_11788+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11794, ((long)2), BgL_sz00_9748, 
BINT(BgL_spz00_11788), 
BINT(BgL_arg1979z00_11795)); } 
VECTOR_SET(BgL_nsz00_11794,((long)1),BgL_sz00_9748); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11793, BgL_nsz00_11794); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11796;
BgL_ez00_11796 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11796, BgL_sz00_9748); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11797;
BgL_____rz00_11797 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11786, BgL_nsz00_11794, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11796); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11793, BgL_sz00_9748); 
return BgL_____rz00_11797;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11783, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11798;
BgL_nbpz00_11798 = 
(
(long)CINT(BgL_bpz00_11782)+BgL_siza7eza7_9747); 
VECTOR_SET(
((obj_t)BgL_sz00_9748),((long)0),
BINT(BgL_nbpz00_11798)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11799;
BgL_rz00_11799 = 
PROCEDURE_ENTRY(BgL_fz00_11783)(BgL_fz00_11783, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9748),((long)0),BgL_bpz00_11782); 
return BgL_rz00_11799;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9745, BgL_symbzd2funzd2_9746, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_11783));} } } } } } } } 

}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2121;
BgL_cfunz00_2121 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2121))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4647z00_15702;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1988z00_2137;
BgL_arg1988z00_2137 = 
bgl_debug(); 
BgL_test4647z00_15702 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1988z00_2137), 
BINT(((long)0))); } 
if(BgL_test4647z00_15702)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31985ze3z87_9749;
BgL_zc3z04anonymousza31985ze3z87_9749 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31985ze3z87_9749, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31985ze3z87_9749, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31985ze3z87_9749, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza31985ze3z87_9749, 
(int)(((long)3)), BgL_cfunz00_2121); 
return BgL_zc3z04anonymousza31985ze3z87_9749;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31987ze3z87_9750;
BgL_zc3z04anonymousza31987ze3z87_9750 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31987ze3z87_9750, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31987ze3z87_9750, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31987ze3z87_9750, 
(int)(((long)2)), BgL_cfunz00_2121); 
return BgL_zc3z04anonymousza31987ze3z87_9750;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4649z00_15731;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2028z00_2213;
BgL_arg2028z00_2213 = 
bgl_debug(); 
BgL_test4649z00_15731 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2028z00_2213), 
BINT(((long)0))); } 
if(BgL_test4649z00_15731)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31991ze3z87_9751;
BgL_zc3z04anonymousza31991ze3z87_9751 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_9751, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_9751, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_9751, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_9751, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_9751, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza31991ze3z87_9751;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32010ze3z87_9752;
BgL_zc3z04anonymousza32010ze3z87_9752 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_9752, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_9752, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_9752, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_9752, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_9752, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32010ze3z87_9752;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4650z00_15764;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2068z00_2289;
BgL_arg2068z00_2289 = 
bgl_debug(); 
BgL_test4650z00_15764 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2068z00_2289), 
BINT(((long)0))); } 
if(BgL_test4650z00_15764)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32031ze3z87_9753;
BgL_zc3z04anonymousza32031ze3z87_9753 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_9753, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_9753, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_9753, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_9753, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_9753, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32031ze3z87_9753;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32050ze3z87_9754;
BgL_zc3z04anonymousza32050ze3z87_9754 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_9754, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_9754, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_9754, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_9754, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_9754, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32050ze3z87_9754;} } } } } 

}



/* &<@anonymous:1985> */
obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9755, obj_t BgL_sz00_9760)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9756;long BgL_siza7eza7_9757;obj_t BgL_locz00_9758;obj_t BgL_cfunz00_9759;
BgL_a1z00_9756 = 
PROCEDURE_REF(BgL_envz00_9755, 
(int)(((long)0))); 
BgL_siza7eza7_9757 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9755, 
(int)(((long)1)))); 
BgL_locz00_9758 = 
PROCEDURE_REF(BgL_envz00_9755, 
(int)(((long)2))); 
BgL_cfunz00_9759 = 
PROCEDURE_REF(BgL_envz00_9755, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11800;
BgL_bpz00_11800 = 
VECTOR_REF(
((obj_t)BgL_sz00_9760),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_11801;
BgL_a1z00_11801 = 
PROCEDURE_ENTRY(BgL_a1z00_9756)(BgL_a1z00_9756, BgL_sz00_9760, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11802;
BgL_nbpz00_11802 = 
(
(long)CINT(BgL_bpz00_11800)+BgL_siza7eza7_9757); 
VECTOR_SET(
((obj_t)BgL_sz00_9760),((long)0),
BINT(BgL_nbpz00_11802)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15817;
BgL_tmpz00_15817 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15817, BgL_locz00_9758); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11803;
BgL_rz00_11803 = 
PROCEDURE_ENTRY(BgL_cfunz00_9759)(BgL_cfunz00_9759, BgL_a1z00_11801, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9760),((long)0),BgL_bpz00_11800); 
return BgL_rz00_11803;} } } } } } 

}



/* &<@anonymous:1987> */
obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9761, obj_t BgL_sz00_9765)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9762;long BgL_siza7eza7_9763;obj_t BgL_cfunz00_9764;
BgL_a1z00_9762 = 
PROCEDURE_REF(BgL_envz00_9761, 
(int)(((long)0))); 
BgL_siza7eza7_9763 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9761, 
(int)(((long)1)))); 
BgL_cfunz00_9764 = 
PROCEDURE_REF(BgL_envz00_9761, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11804;
BgL_bpz00_11804 = 
VECTOR_REF(
((obj_t)BgL_sz00_9765),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_11805;
BgL_a1z00_11805 = 
PROCEDURE_ENTRY(BgL_a1z00_9762)(BgL_a1z00_9762, BgL_sz00_9765, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11806;
BgL_nbpz00_11806 = 
(
(long)CINT(BgL_bpz00_11804)+BgL_siza7eza7_9763); 
VECTOR_SET(
((obj_t)BgL_sz00_9765),((long)0),
BINT(BgL_nbpz00_11806)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11807;
BgL_rz00_11807 = 
PROCEDURE_ENTRY(BgL_cfunz00_9764)(BgL_cfunz00_9764, BgL_a1z00_11805, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9765),((long)0),BgL_bpz00_11804); 
return BgL_rz00_11807;} } } } } } 

}



/* &<@anonymous:1991> */
obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9766, obj_t BgL_sz00_9772)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9767;obj_t BgL_a1z00_9768;obj_t BgL_locz00_9769;obj_t BgL_symbzd2funzd2_9770;long BgL_siza7eza7_9771;
BgL_funz00_9767 = 
PROCEDURE_REF(BgL_envz00_9766, 
(int)(((long)0))); 
BgL_a1z00_9768 = 
PROCEDURE_REF(BgL_envz00_9766, 
(int)(((long)1))); 
BgL_locz00_9769 = 
PROCEDURE_REF(BgL_envz00_9766, 
(int)(((long)2))); 
BgL_symbzd2funzd2_9770 = 
PROCEDURE_REF(BgL_envz00_9766, 
(int)(((long)3))); 
BgL_siza7eza7_9771 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9766, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11808;
BgL_bpz00_11808 = 
VECTOR_REF(
((obj_t)BgL_sz00_9772),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11809;obj_t BgL_a1z00_11810;
BgL_fz00_11809 = 
PROCEDURE_ENTRY(BgL_funz00_9767)(BgL_funz00_9767, BgL_sz00_9772, BEOA); 
BgL_a1z00_11810 = 
PROCEDURE_ENTRY(BgL_a1z00_9768)(BgL_a1z00_9768, BgL_sz00_9772, BEOA); 
if(
PROCEDUREP(BgL_fz00_11809))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9769, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11809); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11811;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15874;
BgL_tmpz00_15874 = 
((obj_t)BgL_fz00_11809); 
BgL_ufz00_11811 = 
PROCEDURE_ATTR(BgL_tmpz00_15874); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4652z00_15877;
if(
STRUCTP(BgL_ufz00_11811))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4652z00_15877 = 
(
STRUCT_KEY(BgL_ufz00_11811)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4652z00_15877 = ((bool_t)0)
; } 
if(BgL_test4652z00_15877)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11812;obj_t BgL_runz00_11813;obj_t BgL_sfz00_11814;
BgL_arityz00_11812 = 
STRUCT_REF(BgL_ufz00_11811, 
(int)(((long)0))); 
BgL_runz00_11813 = 
STRUCT_REF(BgL_ufz00_11811, 
(int)(((long)1))); 
BgL_sfz00_11814 = 
STRUCT_REF(BgL_ufz00_11811, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11812)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1995z00_11815;
BgL_arg1995z00_11815 = 
(
(long)CINT(BgL_bpz00_11808)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9772),BgL_arg1995z00_11815,BgL_a1z00_11810); }  else 
{ 

if(
INTEGERP(BgL_arityz00_11812))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11812)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1997z00_11818;obj_t BgL_arg1998z00_11819;
BgL_arg1997z00_11818 = 
(
(long)CINT(BgL_bpz00_11808)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list1999z00_11820;
BgL_list1999z00_11820 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11810, BNIL); 
BgL_arg1998z00_11819 = BgL_list1999z00_11820; } 
VECTOR_SET(
((obj_t)BgL_sz00_9772),BgL_arg1997z00_11818,BgL_arg1998z00_11819); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2000z00_11821;
BgL_arg2000z00_11821 = 
(
(long)CINT(BgL_bpz00_11808)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9772),BgL_arg2000z00_11821,BgL_a1z00_11810); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2001z00_11822;obj_t BgL_arg2002z00_11823;
BgL_arg2001z00_11822 = 
(
(long)CINT(BgL_bpz00_11808)+((long)1)); 
BgL_arg2002z00_11823 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9772),BgL_arg2001z00_11822,BgL_arg2002z00_11823); } break;
default: 
BgL_case_else1178z00_11816:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2004z00_11817;
BgL_arg2004z00_11817 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11811), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9769, BgL_arg2004z00_11817, 
(int)(((long)1)), 
CINT(BgL_arityz00_11812)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1178z00_11816;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11824;
BgL_z12denvz12_11824 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11824, BgL_locz00_9769); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9772, BgL_bpz00_11808, BgL_sfz00_11814))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_11813;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11825;
BgL_nsz00_11825 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2006z00_11826;
BgL_arg2006z00_11826 = 
(
(long)CINT(BgL_bpz00_11808)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11825, ((long)2), BgL_sz00_9772, BgL_bpz00_11808, 
BINT(BgL_arg2006z00_11826)); } 
VECTOR_SET(BgL_nsz00_11825,((long)1),BgL_sz00_9772); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11824, BgL_nsz00_11825); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11827;
BgL_ez00_11827 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11827, BgL_sz00_9772); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11828;
BgL_____rz00_11828 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11813, BgL_nsz00_11825, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11827); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11824, BgL_sz00_9772); 
return BgL_____rz00_11828;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11809, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11829;
BgL_nbpz00_11829 = 
(
(long)CINT(BgL_bpz00_11808)+BgL_siza7eza7_9771); 
VECTOR_SET(
((obj_t)BgL_sz00_9772),((long)0),
BINT(BgL_nbpz00_11829)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15943;
BgL_tmpz00_15943 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15943, BgL_locz00_9769); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11830;
BgL_rz00_11830 = 
PROCEDURE_ENTRY(BgL_fz00_11809)(BgL_fz00_11809, BgL_a1z00_11810, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9772),((long)0),BgL_bpz00_11808); 
return BgL_rz00_11830;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9769, BgL_symbzd2funzd2_9770, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_11809));} } } } } } } } 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9773, obj_t BgL_sz00_9779)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9774;obj_t BgL_a1z00_9775;obj_t BgL_locz00_9776;obj_t BgL_symbzd2funzd2_9777;long BgL_siza7eza7_9778;
BgL_funz00_9774 = 
PROCEDURE_REF(BgL_envz00_9773, 
(int)(((long)0))); 
BgL_a1z00_9775 = 
PROCEDURE_REF(BgL_envz00_9773, 
(int)(((long)1))); 
BgL_locz00_9776 = 
PROCEDURE_REF(BgL_envz00_9773, 
(int)(((long)2))); 
BgL_symbzd2funzd2_9777 = 
PROCEDURE_REF(BgL_envz00_9773, 
(int)(((long)3))); 
BgL_siza7eza7_9778 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9773, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11831;
BgL_bpz00_11831 = 
VECTOR_REF(
((obj_t)BgL_sz00_9779),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11832;obj_t BgL_a1z00_11833;
BgL_fz00_11832 = 
PROCEDURE_ENTRY(BgL_funz00_9774)(BgL_funz00_9774, BgL_sz00_9779, BEOA); 
BgL_a1z00_11833 = 
PROCEDURE_ENTRY(BgL_a1z00_9775)(BgL_a1z00_9775, BgL_sz00_9779, BEOA); 
if(
PROCEDUREP(BgL_fz00_11832))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9776, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11832); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11834;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_15979;
BgL_tmpz00_15979 = 
((obj_t)BgL_fz00_11832); 
BgL_ufz00_11834 = 
PROCEDURE_ATTR(BgL_tmpz00_15979); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4659z00_15982;
if(
STRUCTP(BgL_ufz00_11834))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4659z00_15982 = 
(
STRUCT_KEY(BgL_ufz00_11834)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4659z00_15982 = ((bool_t)0)
; } 
if(BgL_test4659z00_15982)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11835;obj_t BgL_runz00_11836;obj_t BgL_sfz00_11837;
BgL_arityz00_11835 = 
STRUCT_REF(BgL_ufz00_11834, 
(int)(((long)0))); 
BgL_runz00_11836 = 
STRUCT_REF(BgL_ufz00_11834, 
(int)(((long)1))); 
BgL_sfz00_11837 = 
STRUCT_REF(BgL_ufz00_11834, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11835)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2014z00_11838;
BgL_arg2014z00_11838 = 
(
(long)CINT(BgL_bpz00_11831)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9779),BgL_arg2014z00_11838,BgL_a1z00_11833); }  else 
{ 

if(
INTEGERP(BgL_arityz00_11835))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11835)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2016z00_11841;obj_t BgL_arg2017z00_11842;
BgL_arg2016z00_11841 = 
(
(long)CINT(BgL_bpz00_11831)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2018z00_11843;
BgL_list2018z00_11843 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11833, BNIL); 
BgL_arg2017z00_11842 = BgL_list2018z00_11843; } 
VECTOR_SET(
((obj_t)BgL_sz00_9779),BgL_arg2016z00_11841,BgL_arg2017z00_11842); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2019z00_11844;
BgL_arg2019z00_11844 = 
(
(long)CINT(BgL_bpz00_11831)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9779),BgL_arg2019z00_11844,BgL_a1z00_11833); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2020z00_11845;obj_t BgL_arg2021z00_11846;
BgL_arg2020z00_11845 = 
(
(long)CINT(BgL_bpz00_11831)+((long)1)); 
BgL_arg2021z00_11846 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9779),BgL_arg2020z00_11845,BgL_arg2021z00_11846); } break;
default: 
BgL_case_else1180z00_11839:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2023z00_11840;
BgL_arg2023z00_11840 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11834), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9776, BgL_arg2023z00_11840, 
(int)(((long)1)), 
CINT(BgL_arityz00_11835)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1180z00_11839;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11847;
BgL_z12denvz12_11847 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9779, BgL_bpz00_11831, BgL_sfz00_11837))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_11836;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11848;
BgL_nsz00_11848 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2025z00_11849;
BgL_arg2025z00_11849 = 
(
(long)CINT(BgL_bpz00_11831)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11848, ((long)2), BgL_sz00_9779, BgL_bpz00_11831, 
BINT(BgL_arg2025z00_11849)); } 
VECTOR_SET(BgL_nsz00_11848,((long)1),BgL_sz00_9779); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11847, BgL_nsz00_11848); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11850;
BgL_ez00_11850 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11850, BgL_sz00_9779); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11851;
BgL_____rz00_11851 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11836, BgL_nsz00_11848, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11850); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11847, BgL_sz00_9779); 
return BgL_____rz00_11851;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11832, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11852;
BgL_nbpz00_11852 = 
(
(long)CINT(BgL_bpz00_11831)+BgL_siza7eza7_9778); 
VECTOR_SET(
((obj_t)BgL_sz00_9779),((long)0),
BINT(BgL_nbpz00_11852)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11853;
BgL_rz00_11853 = 
PROCEDURE_ENTRY(BgL_fz00_11832)(BgL_fz00_11832, BgL_a1z00_11833, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9779),((long)0),BgL_bpz00_11831); 
return BgL_rz00_11853;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9776, BgL_symbzd2funzd2_9777, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_11832));} } } } } } } } 

}



/* &<@anonymous:2031> */
obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9780, obj_t BgL_sz00_9786)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9781;obj_t BgL_a1z00_9782;obj_t BgL_locz00_9783;obj_t BgL_symbzd2funzd2_9784;long BgL_siza7eza7_9785;
BgL_funz00_9781 = 
PROCEDURE_REF(BgL_envz00_9780, 
(int)(((long)0))); 
BgL_a1z00_9782 = 
PROCEDURE_REF(BgL_envz00_9780, 
(int)(((long)1))); 
BgL_locz00_9783 = 
PROCEDURE_REF(BgL_envz00_9780, 
(int)(((long)2))); 
BgL_symbzd2funzd2_9784 = 
PROCEDURE_REF(BgL_envz00_9780, 
(int)(((long)3))); 
BgL_siza7eza7_9785 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9780, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11854;
BgL_bpz00_11854 = 
VECTOR_REF(
((obj_t)BgL_sz00_9786),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11855;obj_t BgL_a1z00_11856;
BgL_fz00_11855 = 
PROCEDURE_ENTRY(BgL_funz00_9781)(BgL_funz00_9781, BgL_sz00_9786, BEOA); 
BgL_a1z00_11856 = 
PROCEDURE_ENTRY(BgL_a1z00_9782)(BgL_a1z00_9782, BgL_sz00_9786, BEOA); 
if(
PROCEDUREP(BgL_fz00_11855))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9783, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11855); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11857;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16080;
BgL_tmpz00_16080 = 
((obj_t)BgL_fz00_11855); 
BgL_ufz00_11857 = 
PROCEDURE_ATTR(BgL_tmpz00_16080); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4666z00_16083;
if(
STRUCTP(BgL_ufz00_11857))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4666z00_16083 = 
(
STRUCT_KEY(BgL_ufz00_11857)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4666z00_16083 = ((bool_t)0)
; } 
if(BgL_test4666z00_16083)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11858;obj_t BgL_runz00_11859;obj_t BgL_sfz00_11860;
BgL_arityz00_11858 = 
STRUCT_REF(BgL_ufz00_11857, 
(int)(((long)0))); 
BgL_runz00_11859 = 
STRUCT_REF(BgL_ufz00_11857, 
(int)(((long)1))); 
BgL_sfz00_11860 = 
STRUCT_REF(BgL_ufz00_11857, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_11861;
BgL_spz00_11861 = 
(
(long)CINT(BgL_bpz00_11854)+BgL_siza7eza7_9785); 
if(
(
(long)CINT(BgL_arityz00_11858)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2035z00_11862;
BgL_arg2035z00_11862 = 
(BgL_spz00_11861+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9786),BgL_arg2035z00_11862,BgL_a1z00_11856); }  else 
{ 

if(
INTEGERP(BgL_arityz00_11858))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11858)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2037z00_11865;obj_t BgL_arg2038z00_11866;
BgL_arg2037z00_11865 = 
(BgL_spz00_11861+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2039z00_11867;
BgL_list2039z00_11867 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11856, BNIL); 
BgL_arg2038z00_11866 = BgL_list2039z00_11867; } 
VECTOR_SET(
((obj_t)BgL_sz00_9786),BgL_arg2037z00_11865,BgL_arg2038z00_11866); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2040z00_11868;
BgL_arg2040z00_11868 = 
(BgL_spz00_11861+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9786),BgL_arg2040z00_11868,BgL_a1z00_11856); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2041z00_11869;obj_t BgL_arg2042z00_11870;
BgL_arg2041z00_11869 = 
(BgL_spz00_11861+((long)1)); 
BgL_arg2042z00_11870 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9786),BgL_arg2041z00_11869,BgL_arg2042z00_11870); } break;
default: 
BgL_case_else1182z00_11863:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2044z00_11864;
BgL_arg2044z00_11864 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11857), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9783, BgL_arg2044z00_11864, 
(int)(((long)1)), 
CINT(BgL_arityz00_11858)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1182z00_11863;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11871;
BgL_z12denvz12_11871 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11871, BgL_locz00_9783); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9786, 
BINT(BgL_spz00_11861), BgL_sfz00_11860))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11859, BgL_sz00_9786, 
BINT(BgL_spz00_11861));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11872;
BgL_nsz00_11872 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2046z00_11873;
BgL_arg2046z00_11873 = 
(BgL_spz00_11861+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11872, ((long)2), BgL_sz00_9786, 
BINT(BgL_spz00_11861), 
BINT(BgL_arg2046z00_11873)); } 
VECTOR_SET(BgL_nsz00_11872,((long)1),BgL_sz00_9786); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11871, BgL_nsz00_11872); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11874;
BgL_ez00_11874 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11874, BgL_sz00_9786); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11875;
BgL_____rz00_11875 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11859, BgL_nsz00_11872, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11874); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11871, BgL_sz00_9786); 
return BgL_____rz00_11875;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11855, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11876;
BgL_nbpz00_11876 = 
(
(long)CINT(BgL_bpz00_11854)+BgL_siza7eza7_9785); 
VECTOR_SET(
((obj_t)BgL_sz00_9786),((long)0),
BINT(BgL_nbpz00_11876)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16150;
BgL_tmpz00_16150 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16150, BgL_locz00_9783); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11877;
BgL_rz00_11877 = 
PROCEDURE_ENTRY(BgL_fz00_11855)(BgL_fz00_11855, BgL_a1z00_11856, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9786),((long)0),BgL_bpz00_11854); 
return BgL_rz00_11877;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9783, BgL_symbzd2funzd2_9784, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_11855));} } } } } } } } 

}



/* &<@anonymous:2050> */
obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9787, obj_t BgL_sz00_9793)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9788;obj_t BgL_a1z00_9789;obj_t BgL_locz00_9790;obj_t BgL_symbzd2funzd2_9791;long BgL_siza7eza7_9792;
BgL_funz00_9788 = 
PROCEDURE_REF(BgL_envz00_9787, 
(int)(((long)0))); 
BgL_a1z00_9789 = 
PROCEDURE_REF(BgL_envz00_9787, 
(int)(((long)1))); 
BgL_locz00_9790 = 
PROCEDURE_REF(BgL_envz00_9787, 
(int)(((long)2))); 
BgL_symbzd2funzd2_9791 = 
PROCEDURE_REF(BgL_envz00_9787, 
(int)(((long)3))); 
BgL_siza7eza7_9792 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9787, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11878;
BgL_bpz00_11878 = 
VECTOR_REF(
((obj_t)BgL_sz00_9793),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11879;obj_t BgL_a1z00_11880;
BgL_fz00_11879 = 
PROCEDURE_ENTRY(BgL_funz00_9788)(BgL_funz00_9788, BgL_sz00_9793, BEOA); 
BgL_a1z00_11880 = 
PROCEDURE_ENTRY(BgL_a1z00_9789)(BgL_a1z00_9789, BgL_sz00_9793, BEOA); 
if(
PROCEDUREP(BgL_fz00_11879))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9790, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11879); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11881;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16186;
BgL_tmpz00_16186 = 
((obj_t)BgL_fz00_11879); 
BgL_ufz00_11881 = 
PROCEDURE_ATTR(BgL_tmpz00_16186); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4673z00_16189;
if(
STRUCTP(BgL_ufz00_11881))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4673z00_16189 = 
(
STRUCT_KEY(BgL_ufz00_11881)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4673z00_16189 = ((bool_t)0)
; } 
if(BgL_test4673z00_16189)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11882;obj_t BgL_runz00_11883;obj_t BgL_sfz00_11884;
BgL_arityz00_11882 = 
STRUCT_REF(BgL_ufz00_11881, 
(int)(((long)0))); 
BgL_runz00_11883 = 
STRUCT_REF(BgL_ufz00_11881, 
(int)(((long)1))); 
BgL_sfz00_11884 = 
STRUCT_REF(BgL_ufz00_11881, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_11885;
BgL_spz00_11885 = 
(
(long)CINT(BgL_bpz00_11878)+BgL_siza7eza7_9792); 
if(
(
(long)CINT(BgL_arityz00_11882)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2054z00_11886;
BgL_arg2054z00_11886 = 
(BgL_spz00_11885+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9793),BgL_arg2054z00_11886,BgL_a1z00_11880); }  else 
{ 

if(
INTEGERP(BgL_arityz00_11882))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11882)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2056z00_11889;obj_t BgL_arg2057z00_11890;
BgL_arg2056z00_11889 = 
(BgL_spz00_11885+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2058z00_11891;
BgL_list2058z00_11891 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11880, BNIL); 
BgL_arg2057z00_11890 = BgL_list2058z00_11891; } 
VECTOR_SET(
((obj_t)BgL_sz00_9793),BgL_arg2056z00_11889,BgL_arg2057z00_11890); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2059z00_11892;
BgL_arg2059z00_11892 = 
(BgL_spz00_11885+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9793),BgL_arg2059z00_11892,BgL_a1z00_11880); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2060z00_11893;obj_t BgL_arg2061z00_11894;
BgL_arg2060z00_11893 = 
(BgL_spz00_11885+((long)1)); 
BgL_arg2061z00_11894 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9793),BgL_arg2060z00_11893,BgL_arg2061z00_11894); } break;
default: 
BgL_case_else1184z00_11887:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2063z00_11888;
BgL_arg2063z00_11888 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11881), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9790, BgL_arg2063z00_11888, 
(int)(((long)1)), 
CINT(BgL_arityz00_11882)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1184z00_11887;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11895;
BgL_z12denvz12_11895 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9793, 
BINT(BgL_spz00_11885), BgL_sfz00_11884))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11883, BgL_sz00_9793, 
BINT(BgL_spz00_11885));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11896;
BgL_nsz00_11896 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2065z00_11897;
BgL_arg2065z00_11897 = 
(BgL_spz00_11885+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11896, ((long)2), BgL_sz00_9793, 
BINT(BgL_spz00_11885), 
BINT(BgL_arg2065z00_11897)); } 
VECTOR_SET(BgL_nsz00_11896,((long)1),BgL_sz00_9793); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11895, BgL_nsz00_11896); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11898;
BgL_ez00_11898 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11898, BgL_sz00_9793); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11899;
BgL_____rz00_11899 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11883, BgL_nsz00_11896, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11898); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11895, BgL_sz00_9793); 
return BgL_____rz00_11899;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11879, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11900;
BgL_nbpz00_11900 = 
(
(long)CINT(BgL_bpz00_11878)+BgL_siza7eza7_9792); 
VECTOR_SET(
((obj_t)BgL_sz00_9793),((long)0),
BINT(BgL_nbpz00_11900)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11901;
BgL_rz00_11901 = 
PROCEDURE_ENTRY(BgL_fz00_11879)(BgL_fz00_11879, BgL_a1z00_11880, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9793),((long)0),BgL_bpz00_11878); 
return BgL_rz00_11901;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9790, BgL_symbzd2funzd2_9791, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_11879));} } } } } } } } 

}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2290;
BgL_cfunz00_2290 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2290))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4680z00_16267;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2074z00_2308;
BgL_arg2074z00_2308 = 
bgl_debug(); 
BgL_test4680z00_16267 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2074z00_2308), 
BINT(((long)0))); } 
if(BgL_test4680z00_16267)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32071ze3z87_9794;
BgL_zc3z04anonymousza32071ze3z87_9794 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32071ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32071ze3z87_9794, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32071ze3z87_9794, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32071ze3z87_9794, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32071ze3z87_9794, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32071ze3z87_9794, 
(int)(((long)4)), BgL_cfunz00_2290); 
return BgL_zc3z04anonymousza32071ze3z87_9794;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32073ze3z87_9795;
BgL_zc3z04anonymousza32073ze3z87_9795 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_9795, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_9795, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_9795, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_9795, 
(int)(((long)3)), BgL_cfunz00_2290); 
return BgL_zc3z04anonymousza32073ze3z87_9795;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4682z00_16300;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2128z00_2400;
BgL_arg2128z00_2400 = 
bgl_debug(); 
BgL_test4682z00_16300 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2128z00_2400), 
BINT(((long)0))); } 
if(BgL_test4682z00_16300)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32077ze3z87_9796;
BgL_zc3z04anonymousza32077ze3z87_9796 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32077ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32077ze3z87_9796, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32077ze3z87_9796, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32077ze3z87_9796, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32077ze3z87_9796, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32077ze3z87_9796, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32077ze3z87_9796, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32077ze3z87_9796;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32103ze3z87_9797;
BgL_zc3z04anonymousza32103ze3z87_9797 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32103ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32103ze3z87_9797, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32103ze3z87_9797, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32103ze3z87_9797, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32103ze3z87_9797, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32103ze3z87_9797, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32103ze3z87_9797, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32103ze3z87_9797;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4683z00_16337;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2183z00_2492;
BgL_arg2183z00_2492 = 
bgl_debug(); 
BgL_test4683z00_16337 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2183z00_2492), 
BINT(((long)0))); } 
if(BgL_test4683z00_16337)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32131ze3z87_9798;
BgL_zc3z04anonymousza32131ze3z87_9798 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32131ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_9798, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_9798, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_9798, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_9798, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_9798, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_9798, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32131ze3z87_9798;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32157ze3z87_9799;
BgL_zc3z04anonymousza32157ze3z87_9799 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_9799, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_9799, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_9799, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_9799, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_9799, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_9799, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32157ze3z87_9799;} } } } } 

}



/* &<@anonymous:2071> */
obj_t BGl_z62zc3z04anonymousza32071ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9800, obj_t BgL_sz00_9806)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9801;obj_t BgL_a2z00_9802;long BgL_siza7eza7_9803;obj_t BgL_locz00_9804;obj_t BgL_cfunz00_9805;
BgL_a1z00_9801 = 
PROCEDURE_REF(BgL_envz00_9800, 
(int)(((long)0))); 
BgL_a2z00_9802 = 
PROCEDURE_REF(BgL_envz00_9800, 
(int)(((long)1))); 
BgL_siza7eza7_9803 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9800, 
(int)(((long)2)))); 
BgL_locz00_9804 = 
PROCEDURE_REF(BgL_envz00_9800, 
(int)(((long)3))); 
BgL_cfunz00_9805 = 
PROCEDURE_REF(BgL_envz00_9800, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11902;
BgL_bpz00_11902 = 
VECTOR_REF(
((obj_t)BgL_sz00_9806),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_11903;obj_t BgL_a2z00_11904;
BgL_a1z00_11903 = 
PROCEDURE_ENTRY(BgL_a1z00_9801)(BgL_a1z00_9801, BgL_sz00_9806, BEOA); 
BgL_a2z00_11904 = 
PROCEDURE_ENTRY(BgL_a2z00_9802)(BgL_a2z00_9802, BgL_sz00_9806, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11905;
BgL_nbpz00_11905 = 
(
(long)CINT(BgL_bpz00_11902)+BgL_siza7eza7_9803); 
VECTOR_SET(
((obj_t)BgL_sz00_9806),((long)0),
BINT(BgL_nbpz00_11905)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16400;
BgL_tmpz00_16400 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16400, BgL_locz00_9804); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11906;
BgL_rz00_11906 = 
PROCEDURE_ENTRY(BgL_cfunz00_9805)(BgL_cfunz00_9805, BgL_a1z00_11903, BgL_a2z00_11904, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9806),((long)0),BgL_bpz00_11902); 
return BgL_rz00_11906;} } } } } } 

}



/* &<@anonymous:2073> */
obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9807, obj_t BgL_sz00_9812)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9808;obj_t BgL_a2z00_9809;long BgL_siza7eza7_9810;obj_t BgL_cfunz00_9811;
BgL_a1z00_9808 = 
PROCEDURE_REF(BgL_envz00_9807, 
(int)(((long)0))); 
BgL_a2z00_9809 = 
PROCEDURE_REF(BgL_envz00_9807, 
(int)(((long)1))); 
BgL_siza7eza7_9810 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9807, 
(int)(((long)2)))); 
BgL_cfunz00_9811 = 
PROCEDURE_REF(BgL_envz00_9807, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11907;
BgL_bpz00_11907 = 
VECTOR_REF(
((obj_t)BgL_sz00_9812),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_11908;obj_t BgL_a2z00_11909;
BgL_a1z00_11908 = 
PROCEDURE_ENTRY(BgL_a1z00_9808)(BgL_a1z00_9808, BgL_sz00_9812, BEOA); 
BgL_a2z00_11909 = 
PROCEDURE_ENTRY(BgL_a2z00_9809)(BgL_a2z00_9809, BgL_sz00_9812, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11910;
BgL_nbpz00_11910 = 
(
(long)CINT(BgL_bpz00_11907)+BgL_siza7eza7_9810); 
VECTOR_SET(
((obj_t)BgL_sz00_9812),((long)0),
BINT(BgL_nbpz00_11910)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11911;
BgL_rz00_11911 = 
PROCEDURE_ENTRY(BgL_cfunz00_9811)(BgL_cfunz00_9811, BgL_a1z00_11908, BgL_a2z00_11909, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9812),((long)0),BgL_bpz00_11907); 
return BgL_rz00_11911;} } } } } } 

}



/* &<@anonymous:2077> */
obj_t BGl_z62zc3z04anonymousza32077ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9813, obj_t BgL_sz00_9820)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9814;obj_t BgL_a1z00_9815;obj_t BgL_a2z00_9816;obj_t BgL_locz00_9817;obj_t BgL_symbzd2funzd2_9818;long BgL_siza7eza7_9819;
BgL_funz00_9814 = 
PROCEDURE_REF(BgL_envz00_9813, 
(int)(((long)0))); 
BgL_a1z00_9815 = 
PROCEDURE_REF(BgL_envz00_9813, 
(int)(((long)1))); 
BgL_a2z00_9816 = 
PROCEDURE_REF(BgL_envz00_9813, 
(int)(((long)2))); 
BgL_locz00_9817 = 
PROCEDURE_REF(BgL_envz00_9813, 
(int)(((long)3))); 
BgL_symbzd2funzd2_9818 = 
PROCEDURE_REF(BgL_envz00_9813, 
(int)(((long)4))); 
BgL_siza7eza7_9819 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9813, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11912;
BgL_bpz00_11912 = 
VECTOR_REF(
((obj_t)BgL_sz00_9820),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11913;obj_t BgL_a1z00_11914;obj_t BgL_a2z00_11915;
BgL_fz00_11913 = 
PROCEDURE_ENTRY(BgL_funz00_9814)(BgL_funz00_9814, BgL_sz00_9820, BEOA); 
BgL_a1z00_11914 = 
PROCEDURE_ENTRY(BgL_a1z00_9815)(BgL_a1z00_9815, BgL_sz00_9820, BEOA); 
BgL_a2z00_11915 = 
PROCEDURE_ENTRY(BgL_a2z00_9816)(BgL_a2z00_9816, BgL_sz00_9820, BEOA); 
if(
PROCEDUREP(BgL_fz00_11913))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9817, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11913); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11916;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16471;
BgL_tmpz00_16471 = 
((obj_t)BgL_fz00_11913); 
BgL_ufz00_11916 = 
PROCEDURE_ATTR(BgL_tmpz00_16471); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4685z00_16474;
if(
STRUCTP(BgL_ufz00_11916))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4685z00_16474 = 
(
STRUCT_KEY(BgL_ufz00_11916)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4685z00_16474 = ((bool_t)0)
; } 
if(BgL_test4685z00_16474)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11917;obj_t BgL_runz00_11918;obj_t BgL_sfz00_11919;
BgL_arityz00_11917 = 
STRUCT_REF(BgL_ufz00_11916, 
(int)(((long)0))); 
BgL_runz00_11918 = 
STRUCT_REF(BgL_ufz00_11916, 
(int)(((long)1))); 
BgL_sfz00_11919 = 
STRUCT_REF(BgL_ufz00_11916, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11917)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2081z00_11920;
BgL_arg2081z00_11920 = 
(
(long)CINT(BgL_bpz00_11912)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2081z00_11920,BgL_a1z00_11914); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2082z00_11921;
BgL_arg2082z00_11921 = 
(
(long)CINT(BgL_bpz00_11912)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2082z00_11921,BgL_a2z00_11915); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_11917))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11917)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2084z00_11924;obj_t BgL_arg2085z00_11925;
BgL_arg2084z00_11924 = 
(
(long)CINT(BgL_bpz00_11912)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2086z00_11926;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2087z00_11927;
BgL_arg2087z00_11927 = 
MAKE_YOUNG_PAIR(BgL_a2z00_11915, BNIL); 
BgL_list2086z00_11926 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11914, BgL_arg2087z00_11927); } 
BgL_arg2085z00_11925 = BgL_list2086z00_11926; } 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2084z00_11924,BgL_arg2085z00_11925); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2088z00_11928;
BgL_arg2088z00_11928 = 
(
(long)CINT(BgL_bpz00_11912)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2088z00_11928,BgL_a1z00_11914); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2089z00_11929;obj_t BgL_arg2090z00_11930;
BgL_arg2089z00_11929 = 
(
(long)CINT(BgL_bpz00_11912)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2091z00_11931;
BgL_list2091z00_11931 = 
MAKE_YOUNG_PAIR(BgL_a2z00_11915, BNIL); 
BgL_arg2090z00_11930 = BgL_list2091z00_11931; } 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2089z00_11929,BgL_arg2090z00_11930); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2092z00_11932;
BgL_arg2092z00_11932 = 
(
(long)CINT(BgL_bpz00_11912)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2092z00_11932,BgL_a1z00_11914); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2093z00_11933;
BgL_arg2093z00_11933 = 
(
(long)CINT(BgL_bpz00_11912)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2093z00_11933,BgL_a2z00_11915); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2094z00_11934;obj_t BgL_arg2095z00_11935;
BgL_arg2094z00_11934 = 
(
(long)CINT(BgL_bpz00_11912)+((long)2)); 
BgL_arg2095z00_11935 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9820),BgL_arg2094z00_11934,BgL_arg2095z00_11935); } break;
default: 
BgL_case_else1186z00_11922:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2097z00_11923;
BgL_arg2097z00_11923 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11916), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9817, BgL_arg2097z00_11923, 
(int)(((long)2)), 
CINT(BgL_arityz00_11917)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1186z00_11922;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11936;
BgL_z12denvz12_11936 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11936, BgL_locz00_9817); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9820, BgL_bpz00_11912, BgL_sfz00_11919))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_11918;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11937;
BgL_nsz00_11937 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2099z00_11938;
BgL_arg2099z00_11938 = 
(
(long)CINT(BgL_bpz00_11912)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11937, ((long)2), BgL_sz00_9820, BgL_bpz00_11912, 
BINT(BgL_arg2099z00_11938)); } 
VECTOR_SET(BgL_nsz00_11937,((long)1),BgL_sz00_9820); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11936, BgL_nsz00_11937); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11939;
BgL_ez00_11939 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11939, BgL_sz00_9820); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11940;
BgL_____rz00_11940 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11918, BgL_nsz00_11937, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11939); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11936, BgL_sz00_9820); 
return BgL_____rz00_11940;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11913, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11941;
BgL_nbpz00_11941 = 
(
(long)CINT(BgL_bpz00_11912)+BgL_siza7eza7_9819); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),((long)0),
BINT(BgL_nbpz00_11941)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16558;
BgL_tmpz00_16558 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16558, BgL_locz00_9817); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11942;
BgL_rz00_11942 = 
PROCEDURE_ENTRY(BgL_fz00_11913)(BgL_fz00_11913, BgL_a1z00_11914, BgL_a2z00_11915, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9820),((long)0),BgL_bpz00_11912); 
return BgL_rz00_11942;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9817, BgL_symbzd2funzd2_9818, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_11913));} } } } } } } } 

}



/* &<@anonymous:2103> */
obj_t BGl_z62zc3z04anonymousza32103ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9821, obj_t BgL_sz00_9828)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9822;obj_t BgL_a1z00_9823;obj_t BgL_a2z00_9824;obj_t BgL_locz00_9825;obj_t BgL_symbzd2funzd2_9826;long BgL_siza7eza7_9827;
BgL_funz00_9822 = 
PROCEDURE_REF(BgL_envz00_9821, 
(int)(((long)0))); 
BgL_a1z00_9823 = 
PROCEDURE_REF(BgL_envz00_9821, 
(int)(((long)1))); 
BgL_a2z00_9824 = 
PROCEDURE_REF(BgL_envz00_9821, 
(int)(((long)2))); 
BgL_locz00_9825 = 
PROCEDURE_REF(BgL_envz00_9821, 
(int)(((long)3))); 
BgL_symbzd2funzd2_9826 = 
PROCEDURE_REF(BgL_envz00_9821, 
(int)(((long)4))); 
BgL_siza7eza7_9827 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9821, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11943;
BgL_bpz00_11943 = 
VECTOR_REF(
((obj_t)BgL_sz00_9828),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11944;obj_t BgL_a1z00_11945;obj_t BgL_a2z00_11946;
BgL_fz00_11944 = 
PROCEDURE_ENTRY(BgL_funz00_9822)(BgL_funz00_9822, BgL_sz00_9828, BEOA); 
BgL_a1z00_11945 = 
PROCEDURE_ENTRY(BgL_a1z00_9823)(BgL_a1z00_9823, BgL_sz00_9828, BEOA); 
BgL_a2z00_11946 = 
PROCEDURE_ENTRY(BgL_a2z00_9824)(BgL_a2z00_9824, BgL_sz00_9828, BEOA); 
if(
PROCEDUREP(BgL_fz00_11944))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9825, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11944); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11947;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16601;
BgL_tmpz00_16601 = 
((obj_t)BgL_fz00_11944); 
BgL_ufz00_11947 = 
PROCEDURE_ATTR(BgL_tmpz00_16601); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4692z00_16604;
if(
STRUCTP(BgL_ufz00_11947))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4692z00_16604 = 
(
STRUCT_KEY(BgL_ufz00_11947)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4692z00_16604 = ((bool_t)0)
; } 
if(BgL_test4692z00_16604)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11948;obj_t BgL_runz00_11949;obj_t BgL_sfz00_11950;
BgL_arityz00_11948 = 
STRUCT_REF(BgL_ufz00_11947, 
(int)(((long)0))); 
BgL_runz00_11949 = 
STRUCT_REF(BgL_ufz00_11947, 
(int)(((long)1))); 
BgL_sfz00_11950 = 
STRUCT_REF(BgL_ufz00_11947, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_11948)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2107z00_11951;
BgL_arg2107z00_11951 = 
(
(long)CINT(BgL_bpz00_11943)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2107z00_11951,BgL_a1z00_11945); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2108z00_11952;
BgL_arg2108z00_11952 = 
(
(long)CINT(BgL_bpz00_11943)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2108z00_11952,BgL_a2z00_11946); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_11948))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11948)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2110z00_11955;obj_t BgL_arg2111z00_11956;
BgL_arg2110z00_11955 = 
(
(long)CINT(BgL_bpz00_11943)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2112z00_11957;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2113z00_11958;
BgL_arg2113z00_11958 = 
MAKE_YOUNG_PAIR(BgL_a2z00_11946, BNIL); 
BgL_list2112z00_11957 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11945, BgL_arg2113z00_11958); } 
BgL_arg2111z00_11956 = BgL_list2112z00_11957; } 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2110z00_11955,BgL_arg2111z00_11956); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2114z00_11959;
BgL_arg2114z00_11959 = 
(
(long)CINT(BgL_bpz00_11943)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2114z00_11959,BgL_a1z00_11945); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2115z00_11960;obj_t BgL_arg2116z00_11961;
BgL_arg2115z00_11960 = 
(
(long)CINT(BgL_bpz00_11943)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2117z00_11962;
BgL_list2117z00_11962 = 
MAKE_YOUNG_PAIR(BgL_a2z00_11946, BNIL); 
BgL_arg2116z00_11961 = BgL_list2117z00_11962; } 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2115z00_11960,BgL_arg2116z00_11961); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2118z00_11963;
BgL_arg2118z00_11963 = 
(
(long)CINT(BgL_bpz00_11943)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2118z00_11963,BgL_a1z00_11945); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2119z00_11964;
BgL_arg2119z00_11964 = 
(
(long)CINT(BgL_bpz00_11943)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2119z00_11964,BgL_a2z00_11946); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2120z00_11965;obj_t BgL_arg2121z00_11966;
BgL_arg2120z00_11965 = 
(
(long)CINT(BgL_bpz00_11943)+((long)2)); 
BgL_arg2121z00_11966 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9828),BgL_arg2120z00_11965,BgL_arg2121z00_11966); } break;
default: 
BgL_case_else1188z00_11953:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2123z00_11954;
BgL_arg2123z00_11954 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11947), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9825, BgL_arg2123z00_11954, 
(int)(((long)2)), 
CINT(BgL_arityz00_11948)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1188z00_11953;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11967;
BgL_z12denvz12_11967 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9828, BgL_bpz00_11943, BgL_sfz00_11950))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_11949;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_11968;
BgL_nsz00_11968 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2125z00_11969;
BgL_arg2125z00_11969 = 
(
(long)CINT(BgL_bpz00_11943)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_11968, ((long)2), BgL_sz00_9828, BgL_bpz00_11943, 
BINT(BgL_arg2125z00_11969)); } 
VECTOR_SET(BgL_nsz00_11968,((long)1),BgL_sz00_9828); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11967, BgL_nsz00_11968); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_11970;
BgL_ez00_11970 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_11970, BgL_sz00_9828); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_11971;
BgL_____rz00_11971 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11949, BgL_nsz00_11968, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_11970); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11967, BgL_sz00_9828); 
return BgL_____rz00_11971;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11944, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_11972;
BgL_nbpz00_11972 = 
(
(long)CINT(BgL_bpz00_11943)+BgL_siza7eza7_9827); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),((long)0),
BINT(BgL_nbpz00_11972)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_11973;
BgL_rz00_11973 = 
PROCEDURE_ENTRY(BgL_fz00_11944)(BgL_fz00_11944, BgL_a1z00_11945, BgL_a2z00_11946, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9828),((long)0),BgL_bpz00_11943); 
return BgL_rz00_11973;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9825, BgL_symbzd2funzd2_9826, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_11944));} } } } } } } } 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9829, obj_t BgL_sz00_9836)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9830;obj_t BgL_a1z00_9831;obj_t BgL_a2z00_9832;obj_t BgL_locz00_9833;obj_t BgL_symbzd2funzd2_9834;long BgL_siza7eza7_9835;
BgL_funz00_9830 = 
PROCEDURE_REF(BgL_envz00_9829, 
(int)(((long)0))); 
BgL_a1z00_9831 = 
PROCEDURE_REF(BgL_envz00_9829, 
(int)(((long)1))); 
BgL_a2z00_9832 = 
PROCEDURE_REF(BgL_envz00_9829, 
(int)(((long)2))); 
BgL_locz00_9833 = 
PROCEDURE_REF(BgL_envz00_9829, 
(int)(((long)3))); 
BgL_symbzd2funzd2_9834 = 
PROCEDURE_REF(BgL_envz00_9829, 
(int)(((long)4))); 
BgL_siza7eza7_9835 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9829, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_11974;
BgL_bpz00_11974 = 
VECTOR_REF(
((obj_t)BgL_sz00_9836),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_11975;obj_t BgL_a1z00_11976;obj_t BgL_a2z00_11977;
BgL_fz00_11975 = 
PROCEDURE_ENTRY(BgL_funz00_9830)(BgL_funz00_9830, BgL_sz00_9836, BEOA); 
BgL_a1z00_11976 = 
PROCEDURE_ENTRY(BgL_a1z00_9831)(BgL_a1z00_9831, BgL_sz00_9836, BEOA); 
BgL_a2z00_11977 = 
PROCEDURE_ENTRY(BgL_a2z00_9832)(BgL_a2z00_9832, BgL_sz00_9836, BEOA); 
if(
PROCEDUREP(BgL_fz00_11975))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9833, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_11975); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_11978;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16727;
BgL_tmpz00_16727 = 
((obj_t)BgL_fz00_11975); 
BgL_ufz00_11978 = 
PROCEDURE_ATTR(BgL_tmpz00_16727); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4699z00_16730;
if(
STRUCTP(BgL_ufz00_11978))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4699z00_16730 = 
(
STRUCT_KEY(BgL_ufz00_11978)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4699z00_16730 = ((bool_t)0)
; } 
if(BgL_test4699z00_16730)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_11979;obj_t BgL_runz00_11980;obj_t BgL_sfz00_11981;
BgL_arityz00_11979 = 
STRUCT_REF(BgL_ufz00_11978, 
(int)(((long)0))); 
BgL_runz00_11980 = 
STRUCT_REF(BgL_ufz00_11978, 
(int)(((long)1))); 
BgL_sfz00_11981 = 
STRUCT_REF(BgL_ufz00_11978, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_11982;
BgL_spz00_11982 = 
(
(long)CINT(BgL_bpz00_11974)+BgL_siza7eza7_9835); 
if(
(
(long)CINT(BgL_arityz00_11979)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2135z00_11983;
BgL_arg2135z00_11983 = 
(BgL_spz00_11982+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2135z00_11983,BgL_a1z00_11976); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2136z00_11984;
BgL_arg2136z00_11984 = 
(BgL_spz00_11982+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2136z00_11984,BgL_a2z00_11977); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_11979))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_11979)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2138z00_11987;obj_t BgL_arg2139z00_11988;
BgL_arg2138z00_11987 = 
(BgL_spz00_11982+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2140z00_11989;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2141z00_11990;
BgL_arg2141z00_11990 = 
MAKE_YOUNG_PAIR(BgL_a2z00_11977, BNIL); 
BgL_list2140z00_11989 = 
MAKE_YOUNG_PAIR(BgL_a1z00_11976, BgL_arg2141z00_11990); } 
BgL_arg2139z00_11988 = BgL_list2140z00_11989; } 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2138z00_11987,BgL_arg2139z00_11988); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2142z00_11991;
BgL_arg2142z00_11991 = 
(BgL_spz00_11982+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2142z00_11991,BgL_a1z00_11976); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2143z00_11992;obj_t BgL_arg2144z00_11993;
BgL_arg2143z00_11992 = 
(BgL_spz00_11982+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2145z00_11994;
BgL_list2145z00_11994 = 
MAKE_YOUNG_PAIR(BgL_a2z00_11977, BNIL); 
BgL_arg2144z00_11993 = BgL_list2145z00_11994; } 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2143z00_11992,BgL_arg2144z00_11993); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2146z00_11995;
BgL_arg2146z00_11995 = 
(BgL_spz00_11982+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2146z00_11995,BgL_a1z00_11976); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2147z00_11996;
BgL_arg2147z00_11996 = 
(BgL_spz00_11982+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2147z00_11996,BgL_a2z00_11977); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2148z00_11997;obj_t BgL_arg2149z00_11998;
BgL_arg2148z00_11997 = 
(BgL_spz00_11982+((long)2)); 
BgL_arg2149z00_11998 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9836),BgL_arg2148z00_11997,BgL_arg2149z00_11998); } break;
default: 
BgL_case_else1190z00_11985:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2151z00_11986;
BgL_arg2151z00_11986 = 
STRUCT_REF(
((obj_t)BgL_ufz00_11978), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9833, BgL_arg2151z00_11986, 
(int)(((long)2)), 
CINT(BgL_arityz00_11979)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1190z00_11985;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_11999;
BgL_z12denvz12_11999 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_11999, BgL_locz00_9833); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9836, 
BINT(BgL_spz00_11982), BgL_sfz00_11981))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11980, BgL_sz00_9836, 
BINT(BgL_spz00_11982));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12000;
BgL_nsz00_12000 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2153z00_12001;
BgL_arg2153z00_12001 = 
(BgL_spz00_11982+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12000, ((long)2), BgL_sz00_9836, 
BINT(BgL_spz00_11982), 
BINT(BgL_arg2153z00_12001)); } 
VECTOR_SET(BgL_nsz00_12000,((long)1),BgL_sz00_9836); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11999, BgL_nsz00_12000); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12002;
BgL_ez00_12002 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12002, BgL_sz00_9836); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12003;
BgL_____rz00_12003 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11980, BgL_nsz00_12000, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12002); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_11999, BgL_sz00_9836); 
return BgL_____rz00_12003;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_11975, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12004;
BgL_nbpz00_12004 = 
(
(long)CINT(BgL_bpz00_11974)+BgL_siza7eza7_9835); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),((long)0),
BINT(BgL_nbpz00_12004)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16811;
BgL_tmpz00_16811 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16811, BgL_locz00_9833); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12005;
BgL_rz00_12005 = 
PROCEDURE_ENTRY(BgL_fz00_11975)(BgL_fz00_11975, BgL_a1z00_11976, BgL_a2z00_11977, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9836),((long)0),BgL_bpz00_11974); 
return BgL_rz00_12005;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9833, BgL_symbzd2funzd2_9834, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_11975));} } } } } } } } 

}



/* &<@anonymous:2157> */
obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9837, obj_t BgL_sz00_9844)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9838;obj_t BgL_a1z00_9839;obj_t BgL_a2z00_9840;obj_t BgL_locz00_9841;obj_t BgL_symbzd2funzd2_9842;long BgL_siza7eza7_9843;
BgL_funz00_9838 = 
PROCEDURE_REF(BgL_envz00_9837, 
(int)(((long)0))); 
BgL_a1z00_9839 = 
PROCEDURE_REF(BgL_envz00_9837, 
(int)(((long)1))); 
BgL_a2z00_9840 = 
PROCEDURE_REF(BgL_envz00_9837, 
(int)(((long)2))); 
BgL_locz00_9841 = 
PROCEDURE_REF(BgL_envz00_9837, 
(int)(((long)3))); 
BgL_symbzd2funzd2_9842 = 
PROCEDURE_REF(BgL_envz00_9837, 
(int)(((long)4))); 
BgL_siza7eza7_9843 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9837, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12006;
BgL_bpz00_12006 = 
VECTOR_REF(
((obj_t)BgL_sz00_9844),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12007;obj_t BgL_a1z00_12008;obj_t BgL_a2z00_12009;
BgL_fz00_12007 = 
PROCEDURE_ENTRY(BgL_funz00_9838)(BgL_funz00_9838, BgL_sz00_9844, BEOA); 
BgL_a1z00_12008 = 
PROCEDURE_ENTRY(BgL_a1z00_9839)(BgL_a1z00_9839, BgL_sz00_9844, BEOA); 
BgL_a2z00_12009 = 
PROCEDURE_ENTRY(BgL_a2z00_9840)(BgL_a2z00_9840, BgL_sz00_9844, BEOA); 
if(
PROCEDUREP(BgL_fz00_12007))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9841, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12007); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12010;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16854;
BgL_tmpz00_16854 = 
((obj_t)BgL_fz00_12007); 
BgL_ufz00_12010 = 
PROCEDURE_ATTR(BgL_tmpz00_16854); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4706z00_16857;
if(
STRUCTP(BgL_ufz00_12010))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4706z00_16857 = 
(
STRUCT_KEY(BgL_ufz00_12010)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4706z00_16857 = ((bool_t)0)
; } 
if(BgL_test4706z00_16857)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12011;obj_t BgL_runz00_12012;obj_t BgL_sfz00_12013;
BgL_arityz00_12011 = 
STRUCT_REF(BgL_ufz00_12010, 
(int)(((long)0))); 
BgL_runz00_12012 = 
STRUCT_REF(BgL_ufz00_12010, 
(int)(((long)1))); 
BgL_sfz00_12013 = 
STRUCT_REF(BgL_ufz00_12010, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12014;
BgL_spz00_12014 = 
(
(long)CINT(BgL_bpz00_12006)+BgL_siza7eza7_9843); 
if(
(
(long)CINT(BgL_arityz00_12011)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2161z00_12015;
BgL_arg2161z00_12015 = 
(BgL_spz00_12014+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2161z00_12015,BgL_a1z00_12008); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2162z00_12016;
BgL_arg2162z00_12016 = 
(BgL_spz00_12014+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2162z00_12016,BgL_a2z00_12009); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12011))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12011)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2164z00_12019;obj_t BgL_arg2165z00_12020;
BgL_arg2164z00_12019 = 
(BgL_spz00_12014+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2166z00_12021;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2167z00_12022;
BgL_arg2167z00_12022 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12009, BNIL); 
BgL_list2166z00_12021 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12008, BgL_arg2167z00_12022); } 
BgL_arg2165z00_12020 = BgL_list2166z00_12021; } 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2164z00_12019,BgL_arg2165z00_12020); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2168z00_12023;
BgL_arg2168z00_12023 = 
(BgL_spz00_12014+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2168z00_12023,BgL_a1z00_12008); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2169z00_12024;obj_t BgL_arg2170z00_12025;
BgL_arg2169z00_12024 = 
(BgL_spz00_12014+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2171z00_12026;
BgL_list2171z00_12026 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12009, BNIL); 
BgL_arg2170z00_12025 = BgL_list2171z00_12026; } 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2169z00_12024,BgL_arg2170z00_12025); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2172z00_12027;
BgL_arg2172z00_12027 = 
(BgL_spz00_12014+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2172z00_12027,BgL_a1z00_12008); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2173z00_12028;
BgL_arg2173z00_12028 = 
(BgL_spz00_12014+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2173z00_12028,BgL_a2z00_12009); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2174z00_12029;obj_t BgL_arg2175z00_12030;
BgL_arg2174z00_12029 = 
(BgL_spz00_12014+((long)2)); 
BgL_arg2175z00_12030 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9844),BgL_arg2174z00_12029,BgL_arg2175z00_12030); } break;
default: 
BgL_case_else1192z00_12017:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2178z00_12018;
BgL_arg2178z00_12018 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12010), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9841, BgL_arg2178z00_12018, 
(int)(((long)2)), 
CINT(BgL_arityz00_12011)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1192z00_12017;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12031;
BgL_z12denvz12_12031 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9844, 
BINT(BgL_spz00_12014), BgL_sfz00_12013))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12012, BgL_sz00_9844, 
BINT(BgL_spz00_12014));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12032;
BgL_nsz00_12032 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2180z00_12033;
BgL_arg2180z00_12033 = 
(BgL_spz00_12014+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12032, ((long)2), BgL_sz00_9844, 
BINT(BgL_spz00_12014), 
BINT(BgL_arg2180z00_12033)); } 
VECTOR_SET(BgL_nsz00_12032,((long)1),BgL_sz00_9844); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12031, BgL_nsz00_12032); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12034;
BgL_ez00_12034 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12034, BgL_sz00_9844); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12035;
BgL_____rz00_12035 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12012, BgL_nsz00_12032, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12034); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12031, BgL_sz00_9844); 
return BgL_____rz00_12035;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12007, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12036;
BgL_nbpz00_12036 = 
(
(long)CINT(BgL_bpz00_12006)+BgL_siza7eza7_9843); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),((long)0),
BINT(BgL_nbpz00_12036)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12037;
BgL_rz00_12037 = 
PROCEDURE_ENTRY(BgL_fz00_12007)(BgL_fz00_12007, BgL_a1z00_12008, BgL_a2z00_12009, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9844),((long)0),BgL_bpz00_12006); 
return BgL_rz00_12037;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9841, BgL_symbzd2funzd2_9842, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12007));} } } } } } } } 

}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2493;
BgL_cfunz00_2493 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2493))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4713z00_16950;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2189z00_2513;
BgL_arg2189z00_2513 = 
bgl_debug(); 
BgL_test4713z00_16950 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2189z00_2513), 
BINT(((long)0))); } 
if(BgL_test4713z00_16950)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32186ze3z87_9845;
BgL_zc3z04anonymousza32186ze3z87_9845 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32186ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32186ze3z87_9845, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32186ze3z87_9845, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32186ze3z87_9845, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32186ze3z87_9845, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32186ze3z87_9845, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32186ze3z87_9845, 
(int)(((long)5)), BgL_cfunz00_2493); 
return BgL_zc3z04anonymousza32186ze3z87_9845;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32188ze3z87_9846;
BgL_zc3z04anonymousza32188ze3z87_9846 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32188ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32188ze3z87_9846, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32188ze3z87_9846, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32188ze3z87_9846, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32188ze3z87_9846, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32188ze3z87_9846, 
(int)(((long)4)), BgL_cfunz00_2493); 
return BgL_zc3z04anonymousza32188ze3z87_9846;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4715z00_16987;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2261z00_2625;
BgL_arg2261z00_2625 = 
bgl_debug(); 
BgL_test4715z00_16987 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2261z00_2625), 
BINT(((long)0))); } 
if(BgL_test4715z00_16987)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32192ze3z87_9847;
BgL_zc3z04anonymousza32192ze3z87_9847 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32192ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_9847, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32192ze3z87_9847;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32227ze3z87_9848;
BgL_zc3z04anonymousza32227ze3z87_9848 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_9848, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32227ze3z87_9848;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4716z00_17028;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2333z00_2737;
BgL_arg2333z00_2737 = 
bgl_debug(); 
BgL_test4716z00_17028 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2333z00_2737), 
BINT(((long)0))); } 
if(BgL_test4716z00_17028)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32264ze3z87_9849;
BgL_zc3z04anonymousza32264ze3z87_9849 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32264ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32264ze3z87_9849, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32264ze3z87_9849;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32299ze3z87_9850;
BgL_zc3z04anonymousza32299ze3z87_9850 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32299ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32299ze3z87_9850, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32299ze3z87_9850;} } } } } 

}



/* &<@anonymous:2186> */
obj_t BGl_z62zc3z04anonymousza32186ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9851, obj_t BgL_sz00_9858)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9852;obj_t BgL_a2z00_9853;obj_t BgL_a3z00_9854;long BgL_siza7eza7_9855;obj_t BgL_locz00_9856;obj_t BgL_cfunz00_9857;
BgL_a1z00_9852 = 
PROCEDURE_REF(BgL_envz00_9851, 
(int)(((long)0))); 
BgL_a2z00_9853 = 
PROCEDURE_REF(BgL_envz00_9851, 
(int)(((long)1))); 
BgL_a3z00_9854 = 
PROCEDURE_REF(BgL_envz00_9851, 
(int)(((long)2))); 
BgL_siza7eza7_9855 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9851, 
(int)(((long)3)))); 
BgL_locz00_9856 = 
PROCEDURE_REF(BgL_envz00_9851, 
(int)(((long)4))); 
BgL_cfunz00_9857 = 
PROCEDURE_REF(BgL_envz00_9851, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12038;
BgL_bpz00_12038 = 
VECTOR_REF(
((obj_t)BgL_sz00_9858),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12039;obj_t BgL_a2z00_12040;obj_t BgL_a3z00_12041;
BgL_a1z00_12039 = 
PROCEDURE_ENTRY(BgL_a1z00_9852)(BgL_a1z00_9852, BgL_sz00_9858, BEOA); 
BgL_a2z00_12040 = 
PROCEDURE_ENTRY(BgL_a2z00_9853)(BgL_a2z00_9853, BgL_sz00_9858, BEOA); 
BgL_a3z00_12041 = 
PROCEDURE_ENTRY(BgL_a3z00_9854)(BgL_a3z00_9854, BgL_sz00_9858, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12042;
BgL_nbpz00_12042 = 
(
(long)CINT(BgL_bpz00_12038)+BgL_siza7eza7_9855); 
VECTOR_SET(
((obj_t)BgL_sz00_9858),((long)0),
BINT(BgL_nbpz00_12042)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17101;
BgL_tmpz00_17101 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17101, BgL_locz00_9856); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12043;
BgL_rz00_12043 = 
PROCEDURE_ENTRY(BgL_cfunz00_9857)(BgL_cfunz00_9857, BgL_a1z00_12039, BgL_a2z00_12040, BgL_a3z00_12041, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9858),((long)0),BgL_bpz00_12038); 
return BgL_rz00_12043;} } } } } } 

}



/* &<@anonymous:2188> */
obj_t BGl_z62zc3z04anonymousza32188ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9859, obj_t BgL_sz00_9865)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9860;obj_t BgL_a2z00_9861;obj_t BgL_a3z00_9862;long BgL_siza7eza7_9863;obj_t BgL_cfunz00_9864;
BgL_a1z00_9860 = 
PROCEDURE_REF(BgL_envz00_9859, 
(int)(((long)0))); 
BgL_a2z00_9861 = 
PROCEDURE_REF(BgL_envz00_9859, 
(int)(((long)1))); 
BgL_a3z00_9862 = 
PROCEDURE_REF(BgL_envz00_9859, 
(int)(((long)2))); 
BgL_siza7eza7_9863 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9859, 
(int)(((long)3)))); 
BgL_cfunz00_9864 = 
PROCEDURE_REF(BgL_envz00_9859, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12044;
BgL_bpz00_12044 = 
VECTOR_REF(
((obj_t)BgL_sz00_9865),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12045;obj_t BgL_a2z00_12046;obj_t BgL_a3z00_12047;
BgL_a1z00_12045 = 
PROCEDURE_ENTRY(BgL_a1z00_9860)(BgL_a1z00_9860, BgL_sz00_9865, BEOA); 
BgL_a2z00_12046 = 
PROCEDURE_ENTRY(BgL_a2z00_9861)(BgL_a2z00_9861, BgL_sz00_9865, BEOA); 
BgL_a3z00_12047 = 
PROCEDURE_ENTRY(BgL_a3z00_9862)(BgL_a3z00_9862, BgL_sz00_9865, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12048;
BgL_nbpz00_12048 = 
(
(long)CINT(BgL_bpz00_12044)+BgL_siza7eza7_9863); 
VECTOR_SET(
((obj_t)BgL_sz00_9865),((long)0),
BINT(BgL_nbpz00_12048)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12049;
BgL_rz00_12049 = 
PROCEDURE_ENTRY(BgL_cfunz00_9864)(BgL_cfunz00_9864, BgL_a1z00_12045, BgL_a2z00_12046, BgL_a3z00_12047, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9865),((long)0),BgL_bpz00_12044); 
return BgL_rz00_12049;} } } } } } 

}



/* &<@anonymous:2192> */
obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9866, obj_t BgL_sz00_9874)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9867;obj_t BgL_a1z00_9868;obj_t BgL_a2z00_9869;obj_t BgL_a3z00_9870;obj_t BgL_locz00_9871;obj_t BgL_symbzd2funzd2_9872;long BgL_siza7eza7_9873;
BgL_funz00_9867 = 
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)0))); 
BgL_a1z00_9868 = 
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)1))); 
BgL_a2z00_9869 = 
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)2))); 
BgL_a3z00_9870 = 
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)3))); 
BgL_locz00_9871 = 
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)4))); 
BgL_symbzd2funzd2_9872 = 
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)5))); 
BgL_siza7eza7_9873 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9866, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12050;
BgL_bpz00_12050 = 
VECTOR_REF(
((obj_t)BgL_sz00_9874),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12051;obj_t BgL_a1z00_12052;obj_t BgL_a2z00_12053;obj_t BgL_a3z00_12054;
BgL_fz00_12051 = 
PROCEDURE_ENTRY(BgL_funz00_9867)(BgL_funz00_9867, BgL_sz00_9874, BEOA); 
BgL_a1z00_12052 = 
PROCEDURE_ENTRY(BgL_a1z00_9868)(BgL_a1z00_9868, BgL_sz00_9874, BEOA); 
BgL_a2z00_12053 = 
PROCEDURE_ENTRY(BgL_a2z00_9869)(BgL_a2z00_9869, BgL_sz00_9874, BEOA); 
BgL_a3z00_12054 = 
PROCEDURE_ENTRY(BgL_a3z00_9870)(BgL_a3z00_9870, BgL_sz00_9874, BEOA); 
if(
PROCEDUREP(BgL_fz00_12051))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9871, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12051); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12055;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17186;
BgL_tmpz00_17186 = 
((obj_t)BgL_fz00_12051); 
BgL_ufz00_12055 = 
PROCEDURE_ATTR(BgL_tmpz00_17186); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4718z00_17189;
if(
STRUCTP(BgL_ufz00_12055))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4718z00_17189 = 
(
STRUCT_KEY(BgL_ufz00_12055)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4718z00_17189 = ((bool_t)0)
; } 
if(BgL_test4718z00_17189)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12056;obj_t BgL_runz00_12057;obj_t BgL_sfz00_12058;
BgL_arityz00_12056 = 
STRUCT_REF(BgL_ufz00_12055, 
(int)(((long)0))); 
BgL_runz00_12057 = 
STRUCT_REF(BgL_ufz00_12055, 
(int)(((long)1))); 
BgL_sfz00_12058 = 
STRUCT_REF(BgL_ufz00_12055, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12056)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2196z00_12059;
BgL_arg2196z00_12059 = 
(
(long)CINT(BgL_bpz00_12050)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2196z00_12059,BgL_a1z00_12052); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2197z00_12060;
BgL_arg2197z00_12060 = 
(
(long)CINT(BgL_bpz00_12050)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2197z00_12060,BgL_a2z00_12053); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2198z00_12061;
BgL_arg2198z00_12061 = 
(
(long)CINT(BgL_bpz00_12050)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2198z00_12061,BgL_a3z00_12054); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12056))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12056)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2200z00_12064;obj_t BgL_arg2201z00_12065;
BgL_arg2200z00_12064 = 
(
(long)CINT(BgL_bpz00_12050)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2202z00_12066;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2203z00_12067;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2204z00_12068;
BgL_arg2204z00_12068 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12054, BNIL); 
BgL_arg2203z00_12067 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12053, BgL_arg2204z00_12068); } 
BgL_list2202z00_12066 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12052, BgL_arg2203z00_12067); } 
BgL_arg2201z00_12065 = BgL_list2202z00_12066; } 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2200z00_12064,BgL_arg2201z00_12065); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2205z00_12069;
BgL_arg2205z00_12069 = 
(
(long)CINT(BgL_bpz00_12050)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2205z00_12069,BgL_a1z00_12052); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2206z00_12070;obj_t BgL_arg2207z00_12071;
BgL_arg2206z00_12070 = 
(
(long)CINT(BgL_bpz00_12050)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2208z00_12072;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2209z00_12073;
BgL_arg2209z00_12073 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12054, BNIL); 
BgL_list2208z00_12072 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12053, BgL_arg2209z00_12073); } 
BgL_arg2207z00_12071 = BgL_list2208z00_12072; } 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2206z00_12070,BgL_arg2207z00_12071); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2210z00_12074;
BgL_arg2210z00_12074 = 
(
(long)CINT(BgL_bpz00_12050)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2210z00_12074,BgL_a1z00_12052); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2211z00_12075;
BgL_arg2211z00_12075 = 
(
(long)CINT(BgL_bpz00_12050)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2211z00_12075,BgL_a2z00_12053); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2212z00_12076;obj_t BgL_arg2213z00_12077;
BgL_arg2212z00_12076 = 
(
(long)CINT(BgL_bpz00_12050)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2214z00_12078;
BgL_list2214z00_12078 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12054, BNIL); 
BgL_arg2213z00_12077 = BgL_list2214z00_12078; } 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2212z00_12076,BgL_arg2213z00_12077); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2215z00_12079;
BgL_arg2215z00_12079 = 
(
(long)CINT(BgL_bpz00_12050)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2215z00_12079,BgL_a1z00_12052); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2216z00_12080;
BgL_arg2216z00_12080 = 
(
(long)CINT(BgL_bpz00_12050)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2216z00_12080,BgL_a2z00_12053); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2217z00_12081;
BgL_arg2217z00_12081 = 
(
(long)CINT(BgL_bpz00_12050)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2217z00_12081,BgL_a3z00_12054); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2218z00_12082;obj_t BgL_arg2219z00_12083;
BgL_arg2218z00_12082 = 
(
(long)CINT(BgL_bpz00_12050)+((long)3)); 
BgL_arg2219z00_12083 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9874),BgL_arg2218z00_12082,BgL_arg2219z00_12083); } break;
default: 
BgL_case_else1194z00_12062:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2221z00_12063;
BgL_arg2221z00_12063 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12055), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9871, BgL_arg2221z00_12063, 
(int)(((long)3)), 
CINT(BgL_arityz00_12056)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1194z00_12062;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12084;
BgL_z12denvz12_12084 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12084, BgL_locz00_9871); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9874, BgL_bpz00_12050, BgL_sfz00_12058))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12057;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12085;
BgL_nsz00_12085 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2223z00_12086;
BgL_arg2223z00_12086 = 
(
(long)CINT(BgL_bpz00_12050)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12085, ((long)2), BgL_sz00_9874, BgL_bpz00_12050, 
BINT(BgL_arg2223z00_12086)); } 
VECTOR_SET(BgL_nsz00_12085,((long)1),BgL_sz00_9874); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12084, BgL_nsz00_12085); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12087;
BgL_ez00_12087 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12087, BgL_sz00_9874); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12088;
BgL_____rz00_12088 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12057, BgL_nsz00_12085, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12087); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12084, BgL_sz00_9874); 
return BgL_____rz00_12088;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12051, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12089;
BgL_nbpz00_12089 = 
(
(long)CINT(BgL_bpz00_12050)+BgL_siza7eza7_9873); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),((long)0),
BINT(BgL_nbpz00_12089)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17296;
BgL_tmpz00_17296 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17296, BgL_locz00_9871); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12090;
BgL_rz00_12090 = 
PROCEDURE_ENTRY(BgL_fz00_12051)(BgL_fz00_12051, BgL_a1z00_12052, BgL_a2z00_12053, BgL_a3z00_12054, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9874),((long)0),BgL_bpz00_12050); 
return BgL_rz00_12090;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9871, BgL_symbzd2funzd2_9872, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12051));} } } } } } } } 

}



/* &<@anonymous:2227> */
obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9875, obj_t BgL_sz00_9883)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9876;obj_t BgL_a1z00_9877;obj_t BgL_a2z00_9878;obj_t BgL_a3z00_9879;obj_t BgL_locz00_9880;obj_t BgL_symbzd2funzd2_9881;long BgL_siza7eza7_9882;
BgL_funz00_9876 = 
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)0))); 
BgL_a1z00_9877 = 
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)1))); 
BgL_a2z00_9878 = 
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)2))); 
BgL_a3z00_9879 = 
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)3))); 
BgL_locz00_9880 = 
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)4))); 
BgL_symbzd2funzd2_9881 = 
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)5))); 
BgL_siza7eza7_9882 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9875, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12091;
BgL_bpz00_12091 = 
VECTOR_REF(
((obj_t)BgL_sz00_9883),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12092;obj_t BgL_a1z00_12093;obj_t BgL_a2z00_12094;obj_t BgL_a3z00_12095;
BgL_fz00_12092 = 
PROCEDURE_ENTRY(BgL_funz00_9876)(BgL_funz00_9876, BgL_sz00_9883, BEOA); 
BgL_a1z00_12093 = 
PROCEDURE_ENTRY(BgL_a1z00_9877)(BgL_a1z00_9877, BgL_sz00_9883, BEOA); 
BgL_a2z00_12094 = 
PROCEDURE_ENTRY(BgL_a2z00_9878)(BgL_a2z00_9878, BgL_sz00_9883, BEOA); 
BgL_a3z00_12095 = 
PROCEDURE_ENTRY(BgL_a3z00_9879)(BgL_a3z00_9879, BgL_sz00_9883, BEOA); 
if(
PROCEDUREP(BgL_fz00_12092))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9880, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12092); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12096;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17346;
BgL_tmpz00_17346 = 
((obj_t)BgL_fz00_12092); 
BgL_ufz00_12096 = 
PROCEDURE_ATTR(BgL_tmpz00_17346); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4725z00_17349;
if(
STRUCTP(BgL_ufz00_12096))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4725z00_17349 = 
(
STRUCT_KEY(BgL_ufz00_12096)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4725z00_17349 = ((bool_t)0)
; } 
if(BgL_test4725z00_17349)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12097;obj_t BgL_runz00_12098;obj_t BgL_sfz00_12099;
BgL_arityz00_12097 = 
STRUCT_REF(BgL_ufz00_12096, 
(int)(((long)0))); 
BgL_runz00_12098 = 
STRUCT_REF(BgL_ufz00_12096, 
(int)(((long)1))); 
BgL_sfz00_12099 = 
STRUCT_REF(BgL_ufz00_12096, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12097)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2231z00_12100;
BgL_arg2231z00_12100 = 
(
(long)CINT(BgL_bpz00_12091)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2231z00_12100,BgL_a1z00_12093); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2232z00_12101;
BgL_arg2232z00_12101 = 
(
(long)CINT(BgL_bpz00_12091)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2232z00_12101,BgL_a2z00_12094); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2233z00_12102;
BgL_arg2233z00_12102 = 
(
(long)CINT(BgL_bpz00_12091)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2233z00_12102,BgL_a3z00_12095); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12097))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12097)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2235z00_12105;obj_t BgL_arg2236z00_12106;
BgL_arg2235z00_12105 = 
(
(long)CINT(BgL_bpz00_12091)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2237z00_12107;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2238z00_12108;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2239z00_12109;
BgL_arg2239z00_12109 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12095, BNIL); 
BgL_arg2238z00_12108 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12094, BgL_arg2239z00_12109); } 
BgL_list2237z00_12107 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12093, BgL_arg2238z00_12108); } 
BgL_arg2236z00_12106 = BgL_list2237z00_12107; } 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2235z00_12105,BgL_arg2236z00_12106); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2240z00_12110;
BgL_arg2240z00_12110 = 
(
(long)CINT(BgL_bpz00_12091)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2240z00_12110,BgL_a1z00_12093); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2241z00_12111;obj_t BgL_arg2242z00_12112;
BgL_arg2241z00_12111 = 
(
(long)CINT(BgL_bpz00_12091)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2243z00_12113;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2244z00_12114;
BgL_arg2244z00_12114 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12095, BNIL); 
BgL_list2243z00_12113 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12094, BgL_arg2244z00_12114); } 
BgL_arg2242z00_12112 = BgL_list2243z00_12113; } 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2241z00_12111,BgL_arg2242z00_12112); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2245z00_12115;
BgL_arg2245z00_12115 = 
(
(long)CINT(BgL_bpz00_12091)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2245z00_12115,BgL_a1z00_12093); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2246z00_12116;
BgL_arg2246z00_12116 = 
(
(long)CINT(BgL_bpz00_12091)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2246z00_12116,BgL_a2z00_12094); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2247z00_12117;obj_t BgL_arg2248z00_12118;
BgL_arg2247z00_12117 = 
(
(long)CINT(BgL_bpz00_12091)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2249z00_12119;
BgL_list2249z00_12119 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12095, BNIL); 
BgL_arg2248z00_12118 = BgL_list2249z00_12119; } 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2247z00_12117,BgL_arg2248z00_12118); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2250z00_12120;
BgL_arg2250z00_12120 = 
(
(long)CINT(BgL_bpz00_12091)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2250z00_12120,BgL_a1z00_12093); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2251z00_12121;
BgL_arg2251z00_12121 = 
(
(long)CINT(BgL_bpz00_12091)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2251z00_12121,BgL_a2z00_12094); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2252z00_12122;
BgL_arg2252z00_12122 = 
(
(long)CINT(BgL_bpz00_12091)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2252z00_12122,BgL_a3z00_12095); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2253z00_12123;obj_t BgL_arg2254z00_12124;
BgL_arg2253z00_12123 = 
(
(long)CINT(BgL_bpz00_12091)+((long)3)); 
BgL_arg2254z00_12124 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9883),BgL_arg2253z00_12123,BgL_arg2254z00_12124); } break;
default: 
BgL_case_else1196z00_12103:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2256z00_12104;
BgL_arg2256z00_12104 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12096), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9880, BgL_arg2256z00_12104, 
(int)(((long)3)), 
CINT(BgL_arityz00_12097)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1196z00_12103;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12125;
BgL_z12denvz12_12125 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9883, BgL_bpz00_12091, BgL_sfz00_12099))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12098;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12126;
BgL_nsz00_12126 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2258z00_12127;
BgL_arg2258z00_12127 = 
(
(long)CINT(BgL_bpz00_12091)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12126, ((long)2), BgL_sz00_9883, BgL_bpz00_12091, 
BINT(BgL_arg2258z00_12127)); } 
VECTOR_SET(BgL_nsz00_12126,((long)1),BgL_sz00_9883); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12125, BgL_nsz00_12126); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12128;
BgL_ez00_12128 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12128, BgL_sz00_9883); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12129;
BgL_____rz00_12129 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12098, BgL_nsz00_12126, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12128); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12125, BgL_sz00_9883); 
return BgL_____rz00_12129;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12092, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12130;
BgL_nbpz00_12130 = 
(
(long)CINT(BgL_bpz00_12091)+BgL_siza7eza7_9882); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),((long)0),
BINT(BgL_nbpz00_12130)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12131;
BgL_rz00_12131 = 
PROCEDURE_ENTRY(BgL_fz00_12092)(BgL_fz00_12092, BgL_a1z00_12093, BgL_a2z00_12094, BgL_a3z00_12095, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9883),((long)0),BgL_bpz00_12091); 
return BgL_rz00_12131;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9880, BgL_symbzd2funzd2_9881, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12092));} } } } } } } } 

}



/* &<@anonymous:2264> */
obj_t BGl_z62zc3z04anonymousza32264ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9884, obj_t BgL_sz00_9892)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9885;obj_t BgL_a1z00_9886;obj_t BgL_a2z00_9887;obj_t BgL_a3z00_9888;obj_t BgL_locz00_9889;obj_t BgL_symbzd2funzd2_9890;long BgL_siza7eza7_9891;
BgL_funz00_9885 = 
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)0))); 
BgL_a1z00_9886 = 
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)1))); 
BgL_a2z00_9887 = 
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)2))); 
BgL_a3z00_9888 = 
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)3))); 
BgL_locz00_9889 = 
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)4))); 
BgL_symbzd2funzd2_9890 = 
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)5))); 
BgL_siza7eza7_9891 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9884, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12132;
BgL_bpz00_12132 = 
VECTOR_REF(
((obj_t)BgL_sz00_9892),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12133;obj_t BgL_a1z00_12134;obj_t BgL_a2z00_12135;obj_t BgL_a3z00_12136;
BgL_fz00_12133 = 
PROCEDURE_ENTRY(BgL_funz00_9885)(BgL_funz00_9885, BgL_sz00_9892, BEOA); 
BgL_a1z00_12134 = 
PROCEDURE_ENTRY(BgL_a1z00_9886)(BgL_a1z00_9886, BgL_sz00_9892, BEOA); 
BgL_a2z00_12135 = 
PROCEDURE_ENTRY(BgL_a2z00_9887)(BgL_a2z00_9887, BgL_sz00_9892, BEOA); 
BgL_a3z00_12136 = 
PROCEDURE_ENTRY(BgL_a3z00_9888)(BgL_a3z00_9888, BgL_sz00_9892, BEOA); 
if(
PROCEDUREP(BgL_fz00_12133))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9889, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12133); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12137;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17502;
BgL_tmpz00_17502 = 
((obj_t)BgL_fz00_12133); 
BgL_ufz00_12137 = 
PROCEDURE_ATTR(BgL_tmpz00_17502); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4732z00_17505;
if(
STRUCTP(BgL_ufz00_12137))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4732z00_17505 = 
(
STRUCT_KEY(BgL_ufz00_12137)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4732z00_17505 = ((bool_t)0)
; } 
if(BgL_test4732z00_17505)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12138;obj_t BgL_runz00_12139;obj_t BgL_sfz00_12140;
BgL_arityz00_12138 = 
STRUCT_REF(BgL_ufz00_12137, 
(int)(((long)0))); 
BgL_runz00_12139 = 
STRUCT_REF(BgL_ufz00_12137, 
(int)(((long)1))); 
BgL_sfz00_12140 = 
STRUCT_REF(BgL_ufz00_12137, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12141;
BgL_spz00_12141 = 
(
(long)CINT(BgL_bpz00_12132)+BgL_siza7eza7_9891); 
if(
(
(long)CINT(BgL_arityz00_12138)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2268z00_12142;
BgL_arg2268z00_12142 = 
(BgL_spz00_12141+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2268z00_12142,BgL_a1z00_12134); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2269z00_12143;
BgL_arg2269z00_12143 = 
(BgL_spz00_12141+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2269z00_12143,BgL_a2z00_12135); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2270z00_12144;
BgL_arg2270z00_12144 = 
(BgL_spz00_12141+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2270z00_12144,BgL_a3z00_12136); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12138))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12138)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2272z00_12147;obj_t BgL_arg2273z00_12148;
BgL_arg2272z00_12147 = 
(BgL_spz00_12141+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2274z00_12149;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2275z00_12150;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2276z00_12151;
BgL_arg2276z00_12151 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12136, BNIL); 
BgL_arg2275z00_12150 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12135, BgL_arg2276z00_12151); } 
BgL_list2274z00_12149 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12134, BgL_arg2275z00_12150); } 
BgL_arg2273z00_12148 = BgL_list2274z00_12149; } 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2272z00_12147,BgL_arg2273z00_12148); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2277z00_12152;
BgL_arg2277z00_12152 = 
(BgL_spz00_12141+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2277z00_12152,BgL_a1z00_12134); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2278z00_12153;obj_t BgL_arg2279z00_12154;
BgL_arg2278z00_12153 = 
(BgL_spz00_12141+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2280z00_12155;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2281z00_12156;
BgL_arg2281z00_12156 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12136, BNIL); 
BgL_list2280z00_12155 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12135, BgL_arg2281z00_12156); } 
BgL_arg2279z00_12154 = BgL_list2280z00_12155; } 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2278z00_12153,BgL_arg2279z00_12154); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2282z00_12157;
BgL_arg2282z00_12157 = 
(BgL_spz00_12141+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2282z00_12157,BgL_a1z00_12134); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2283z00_12158;
BgL_arg2283z00_12158 = 
(BgL_spz00_12141+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2283z00_12158,BgL_a2z00_12135); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2284z00_12159;obj_t BgL_arg2285z00_12160;
BgL_arg2284z00_12159 = 
(BgL_spz00_12141+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2286z00_12161;
BgL_list2286z00_12161 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12136, BNIL); 
BgL_arg2285z00_12160 = BgL_list2286z00_12161; } 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2284z00_12159,BgL_arg2285z00_12160); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2287z00_12162;
BgL_arg2287z00_12162 = 
(BgL_spz00_12141+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2287z00_12162,BgL_a1z00_12134); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2288z00_12163;
BgL_arg2288z00_12163 = 
(BgL_spz00_12141+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2288z00_12163,BgL_a2z00_12135); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2289z00_12164;
BgL_arg2289z00_12164 = 
(BgL_spz00_12141+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2289z00_12164,BgL_a3z00_12136); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2290z00_12165;obj_t BgL_arg2291z00_12166;
BgL_arg2290z00_12165 = 
(BgL_spz00_12141+((long)3)); 
BgL_arg2291z00_12166 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9892),BgL_arg2290z00_12165,BgL_arg2291z00_12166); } break;
default: 
BgL_case_else1198z00_12145:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2293z00_12146;
BgL_arg2293z00_12146 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12137), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9889, BgL_arg2293z00_12146, 
(int)(((long)3)), 
CINT(BgL_arityz00_12138)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1198z00_12145;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12167;
BgL_z12denvz12_12167 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12167, BgL_locz00_9889); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9892, 
BINT(BgL_spz00_12141), BgL_sfz00_12140))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12139, BgL_sz00_9892, 
BINT(BgL_spz00_12141));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12168;
BgL_nsz00_12168 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2295z00_12169;
BgL_arg2295z00_12169 = 
(BgL_spz00_12141+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12168, ((long)2), BgL_sz00_9892, 
BINT(BgL_spz00_12141), 
BINT(BgL_arg2295z00_12169)); } 
VECTOR_SET(BgL_nsz00_12168,((long)1),BgL_sz00_9892); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12167, BgL_nsz00_12168); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12170;
BgL_ez00_12170 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12170, BgL_sz00_9892); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12171;
BgL_____rz00_12171 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12139, BgL_nsz00_12168, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12170); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12167, BgL_sz00_9892); 
return BgL_____rz00_12171;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12133, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12172;
BgL_nbpz00_12172 = 
(
(long)CINT(BgL_bpz00_12132)+BgL_siza7eza7_9891); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),((long)0),
BINT(BgL_nbpz00_12172)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17604;
BgL_tmpz00_17604 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17604, BgL_locz00_9889); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12173;
BgL_rz00_12173 = 
PROCEDURE_ENTRY(BgL_fz00_12133)(BgL_fz00_12133, BgL_a1z00_12134, BgL_a2z00_12135, BgL_a3z00_12136, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9892),((long)0),BgL_bpz00_12132); 
return BgL_rz00_12173;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9889, BgL_symbzd2funzd2_9890, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12133));} } } } } } } } 

}



/* &<@anonymous:2299> */
obj_t BGl_z62zc3z04anonymousza32299ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9893, obj_t BgL_sz00_9901)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9894;obj_t BgL_a1z00_9895;obj_t BgL_a2z00_9896;obj_t BgL_a3z00_9897;obj_t BgL_locz00_9898;obj_t BgL_symbzd2funzd2_9899;long BgL_siza7eza7_9900;
BgL_funz00_9894 = 
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)0))); 
BgL_a1z00_9895 = 
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)1))); 
BgL_a2z00_9896 = 
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)2))); 
BgL_a3z00_9897 = 
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)3))); 
BgL_locz00_9898 = 
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)4))); 
BgL_symbzd2funzd2_9899 = 
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)5))); 
BgL_siza7eza7_9900 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9893, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12174;
BgL_bpz00_12174 = 
VECTOR_REF(
((obj_t)BgL_sz00_9901),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12175;obj_t BgL_a1z00_12176;obj_t BgL_a2z00_12177;obj_t BgL_a3z00_12178;
BgL_fz00_12175 = 
PROCEDURE_ENTRY(BgL_funz00_9894)(BgL_funz00_9894, BgL_sz00_9901, BEOA); 
BgL_a1z00_12176 = 
PROCEDURE_ENTRY(BgL_a1z00_9895)(BgL_a1z00_9895, BgL_sz00_9901, BEOA); 
BgL_a2z00_12177 = 
PROCEDURE_ENTRY(BgL_a2z00_9896)(BgL_a2z00_9896, BgL_sz00_9901, BEOA); 
BgL_a3z00_12178 = 
PROCEDURE_ENTRY(BgL_a3z00_9897)(BgL_a3z00_9897, BgL_sz00_9901, BEOA); 
if(
PROCEDUREP(BgL_fz00_12175))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9898, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12175); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12179;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17654;
BgL_tmpz00_17654 = 
((obj_t)BgL_fz00_12175); 
BgL_ufz00_12179 = 
PROCEDURE_ATTR(BgL_tmpz00_17654); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4739z00_17657;
if(
STRUCTP(BgL_ufz00_12179))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4739z00_17657 = 
(
STRUCT_KEY(BgL_ufz00_12179)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4739z00_17657 = ((bool_t)0)
; } 
if(BgL_test4739z00_17657)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12180;obj_t BgL_runz00_12181;obj_t BgL_sfz00_12182;
BgL_arityz00_12180 = 
STRUCT_REF(BgL_ufz00_12179, 
(int)(((long)0))); 
BgL_runz00_12181 = 
STRUCT_REF(BgL_ufz00_12179, 
(int)(((long)1))); 
BgL_sfz00_12182 = 
STRUCT_REF(BgL_ufz00_12179, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12183;
BgL_spz00_12183 = 
(
(long)CINT(BgL_bpz00_12174)+BgL_siza7eza7_9900); 
if(
(
(long)CINT(BgL_arityz00_12180)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2303z00_12184;
BgL_arg2303z00_12184 = 
(BgL_spz00_12183+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2303z00_12184,BgL_a1z00_12176); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2304z00_12185;
BgL_arg2304z00_12185 = 
(BgL_spz00_12183+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2304z00_12185,BgL_a2z00_12177); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2305z00_12186;
BgL_arg2305z00_12186 = 
(BgL_spz00_12183+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2305z00_12186,BgL_a3z00_12178); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12180))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12180)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2307z00_12189;obj_t BgL_arg2308z00_12190;
BgL_arg2307z00_12189 = 
(BgL_spz00_12183+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2309z00_12191;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2310z00_12192;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2311z00_12193;
BgL_arg2311z00_12193 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12178, BNIL); 
BgL_arg2310z00_12192 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12177, BgL_arg2311z00_12193); } 
BgL_list2309z00_12191 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12176, BgL_arg2310z00_12192); } 
BgL_arg2308z00_12190 = BgL_list2309z00_12191; } 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2307z00_12189,BgL_arg2308z00_12190); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2312z00_12194;
BgL_arg2312z00_12194 = 
(BgL_spz00_12183+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2312z00_12194,BgL_a1z00_12176); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2313z00_12195;obj_t BgL_arg2314z00_12196;
BgL_arg2313z00_12195 = 
(BgL_spz00_12183+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2315z00_12197;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2316z00_12198;
BgL_arg2316z00_12198 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12178, BNIL); 
BgL_list2315z00_12197 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12177, BgL_arg2316z00_12198); } 
BgL_arg2314z00_12196 = BgL_list2315z00_12197; } 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2313z00_12195,BgL_arg2314z00_12196); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2317z00_12199;
BgL_arg2317z00_12199 = 
(BgL_spz00_12183+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2317z00_12199,BgL_a1z00_12176); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2318z00_12200;
BgL_arg2318z00_12200 = 
(BgL_spz00_12183+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2318z00_12200,BgL_a2z00_12177); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2319z00_12201;obj_t BgL_arg2320z00_12202;
BgL_arg2319z00_12201 = 
(BgL_spz00_12183+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2321z00_12203;
BgL_list2321z00_12203 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12178, BNIL); 
BgL_arg2320z00_12202 = BgL_list2321z00_12203; } 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2319z00_12201,BgL_arg2320z00_12202); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2322z00_12204;
BgL_arg2322z00_12204 = 
(BgL_spz00_12183+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2322z00_12204,BgL_a1z00_12176); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2323z00_12205;
BgL_arg2323z00_12205 = 
(BgL_spz00_12183+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2323z00_12205,BgL_a2z00_12177); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2324z00_12206;
BgL_arg2324z00_12206 = 
(BgL_spz00_12183+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2324z00_12206,BgL_a3z00_12178); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2325z00_12207;obj_t BgL_arg2326z00_12208;
BgL_arg2325z00_12207 = 
(BgL_spz00_12183+((long)3)); 
BgL_arg2326z00_12208 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9901),BgL_arg2325z00_12207,BgL_arg2326z00_12208); } break;
default: 
BgL_case_else1200z00_12187:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2328z00_12188;
BgL_arg2328z00_12188 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12179), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9898, BgL_arg2328z00_12188, 
(int)(((long)3)), 
CINT(BgL_arityz00_12180)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1200z00_12187;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12209;
BgL_z12denvz12_12209 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9901, 
BINT(BgL_spz00_12183), BgL_sfz00_12182))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12181, BgL_sz00_9901, 
BINT(BgL_spz00_12183));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12210;
BgL_nsz00_12210 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2330z00_12211;
BgL_arg2330z00_12211 = 
(BgL_spz00_12183+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12210, ((long)2), BgL_sz00_9901, 
BINT(BgL_spz00_12183), 
BINT(BgL_arg2330z00_12211)); } 
VECTOR_SET(BgL_nsz00_12210,((long)1),BgL_sz00_9901); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12209, BgL_nsz00_12210); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12212;
BgL_ez00_12212 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12212, BgL_sz00_9901); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12213;
BgL_____rz00_12213 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12181, BgL_nsz00_12210, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12212); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12209, BgL_sz00_9901); 
return BgL_____rz00_12213;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12175, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12214;
BgL_nbpz00_12214 = 
(
(long)CINT(BgL_bpz00_12174)+BgL_siza7eza7_9900); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),((long)0),
BINT(BgL_nbpz00_12214)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12215;
BgL_rz00_12215 = 
PROCEDURE_ENTRY(BgL_fz00_12175)(BgL_fz00_12175, BgL_a1z00_12176, BgL_a2z00_12177, BgL_a3z00_12178, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9901),((long)0),BgL_bpz00_12174); 
return BgL_rz00_12215;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9898, BgL_symbzd2funzd2_9899, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12175));} } } } } } } } 

}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2738;
BgL_cfunz00_2738 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2738))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4746z00_17769;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2339z00_2760;
BgL_arg2339z00_2760 = 
bgl_debug(); 
BgL_test4746z00_17769 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2339z00_2760), 
BINT(((long)0))); } 
if(BgL_test4746z00_17769)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32336ze3z87_9902;
BgL_zc3z04anonymousza32336ze3z87_9902 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32336ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32336ze3z87_9902, 
(int)(((long)6)), BgL_cfunz00_2738); 
return BgL_zc3z04anonymousza32336ze3z87_9902;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32338ze3z87_9903;
BgL_zc3z04anonymousza32338ze3z87_9903 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32338ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32338ze3z87_9903, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32338ze3z87_9903, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32338ze3z87_9903, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32338ze3z87_9903, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32338ze3z87_9903, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32338ze3z87_9903, 
(int)(((long)5)), BgL_cfunz00_2738); 
return BgL_zc3z04anonymousza32338ze3z87_9903;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4748z00_17810;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2433z00_2896;
BgL_arg2433z00_2896 = 
bgl_debug(); 
BgL_test4748z00_17810 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2433z00_2896), 
BINT(((long)0))); } 
if(BgL_test4748z00_17810)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32342ze3z87_9904;
BgL_zc3z04anonymousza32342ze3z87_9904 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_9904, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32342ze3z87_9904;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32388ze3z87_9905;
BgL_zc3z04anonymousza32388ze3z87_9905 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32388ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32388ze3z87_9905, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32388ze3z87_9905;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4749z00_17855;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2527z00_3032;
BgL_arg2527z00_3032 = 
bgl_debug(); 
BgL_test4749z00_17855 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2527z00_3032), 
BINT(((long)0))); } 
if(BgL_test4749z00_17855)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32436ze3z87_9906;
BgL_zc3z04anonymousza32436ze3z87_9906 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32436ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_9906, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32436ze3z87_9906;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32482ze3z87_9907;
BgL_zc3z04anonymousza32482ze3z87_9907 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32482ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_9907, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32482ze3z87_9907;} } } } } 

}



/* &<@anonymous:2336> */
obj_t BGl_z62zc3z04anonymousza32336ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9908, obj_t BgL_sz00_9916)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9909;obj_t BgL_a2z00_9910;obj_t BgL_a3z00_9911;obj_t BgL_a4z00_9912;long BgL_siza7eza7_9913;obj_t BgL_locz00_9914;obj_t BgL_cfunz00_9915;
BgL_a1z00_9909 = 
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)0))); 
BgL_a2z00_9910 = 
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)1))); 
BgL_a3z00_9911 = 
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)2))); 
BgL_a4z00_9912 = 
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)3))); 
BgL_siza7eza7_9913 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)4)))); 
BgL_locz00_9914 = 
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)5))); 
BgL_cfunz00_9915 = 
PROCEDURE_REF(BgL_envz00_9908, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12216;
BgL_bpz00_12216 = 
VECTOR_REF(
((obj_t)BgL_sz00_9916),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12217;obj_t BgL_a2z00_12218;obj_t BgL_a3z00_12219;obj_t BgL_a4z00_12220;
BgL_a1z00_12217 = 
PROCEDURE_ENTRY(BgL_a1z00_9909)(BgL_a1z00_9909, BgL_sz00_9916, BEOA); 
BgL_a2z00_12218 = 
PROCEDURE_ENTRY(BgL_a2z00_9910)(BgL_a2z00_9910, BgL_sz00_9916, BEOA); 
BgL_a3z00_12219 = 
PROCEDURE_ENTRY(BgL_a3z00_9911)(BgL_a3z00_9911, BgL_sz00_9916, BEOA); 
BgL_a4z00_12220 = 
PROCEDURE_ENTRY(BgL_a4z00_9912)(BgL_a4z00_9912, BgL_sz00_9916, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12221;
BgL_nbpz00_12221 = 
(
(long)CINT(BgL_bpz00_12216)+BgL_siza7eza7_9913); 
VECTOR_SET(
((obj_t)BgL_sz00_9916),((long)0),
BINT(BgL_nbpz00_12221)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17938;
BgL_tmpz00_17938 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17938, BgL_locz00_9914); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12222;
BgL_rz00_12222 = 
PROCEDURE_ENTRY(BgL_cfunz00_9915)(BgL_cfunz00_9915, BgL_a1z00_12217, BgL_a2z00_12218, BgL_a3z00_12219, BgL_a4z00_12220, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9916),((long)0),BgL_bpz00_12216); 
return BgL_rz00_12222;} } } } } } 

}



/* &<@anonymous:2338> */
obj_t BGl_z62zc3z04anonymousza32338ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9917, obj_t BgL_sz00_9924)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_9918;obj_t BgL_a2z00_9919;obj_t BgL_a3z00_9920;obj_t BgL_a4z00_9921;long BgL_siza7eza7_9922;obj_t BgL_cfunz00_9923;
BgL_a1z00_9918 = 
PROCEDURE_REF(BgL_envz00_9917, 
(int)(((long)0))); 
BgL_a2z00_9919 = 
PROCEDURE_REF(BgL_envz00_9917, 
(int)(((long)1))); 
BgL_a3z00_9920 = 
PROCEDURE_REF(BgL_envz00_9917, 
(int)(((long)2))); 
BgL_a4z00_9921 = 
PROCEDURE_REF(BgL_envz00_9917, 
(int)(((long)3))); 
BgL_siza7eza7_9922 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9917, 
(int)(((long)4)))); 
BgL_cfunz00_9923 = 
PROCEDURE_REF(BgL_envz00_9917, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12223;
BgL_bpz00_12223 = 
VECTOR_REF(
((obj_t)BgL_sz00_9924),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12224;obj_t BgL_a2z00_12225;obj_t BgL_a3z00_12226;obj_t BgL_a4z00_12227;
BgL_a1z00_12224 = 
PROCEDURE_ENTRY(BgL_a1z00_9918)(BgL_a1z00_9918, BgL_sz00_9924, BEOA); 
BgL_a2z00_12225 = 
PROCEDURE_ENTRY(BgL_a2z00_9919)(BgL_a2z00_9919, BgL_sz00_9924, BEOA); 
BgL_a3z00_12226 = 
PROCEDURE_ENTRY(BgL_a3z00_9920)(BgL_a3z00_9920, BgL_sz00_9924, BEOA); 
BgL_a4z00_12227 = 
PROCEDURE_ENTRY(BgL_a4z00_9921)(BgL_a4z00_9921, BgL_sz00_9924, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12228;
BgL_nbpz00_12228 = 
(
(long)CINT(BgL_bpz00_12223)+BgL_siza7eza7_9922); 
VECTOR_SET(
((obj_t)BgL_sz00_9924),((long)0),
BINT(BgL_nbpz00_12228)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12229;
BgL_rz00_12229 = 
PROCEDURE_ENTRY(BgL_cfunz00_9923)(BgL_cfunz00_9923, BgL_a1z00_12224, BgL_a2z00_12225, BgL_a3z00_12226, BgL_a4z00_12227, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9924),((long)0),BgL_bpz00_12223); 
return BgL_rz00_12229;} } } } } } 

}



/* &<@anonymous:2342> */
obj_t BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9925, obj_t BgL_sz00_9934)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9926;obj_t BgL_a1z00_9927;obj_t BgL_a2z00_9928;obj_t BgL_a3z00_9929;obj_t BgL_a4z00_9930;obj_t BgL_locz00_9931;obj_t BgL_symbzd2funzd2_9932;long BgL_siza7eza7_9933;
BgL_funz00_9926 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)0))); 
BgL_a1z00_9927 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)1))); 
BgL_a2z00_9928 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)2))); 
BgL_a3z00_9929 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)3))); 
BgL_a4z00_9930 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)4))); 
BgL_locz00_9931 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)5))); 
BgL_symbzd2funzd2_9932 = 
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)6))); 
BgL_siza7eza7_9933 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9925, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12230;
BgL_bpz00_12230 = 
VECTOR_REF(
((obj_t)BgL_sz00_9934),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12231;obj_t BgL_a1z00_12232;obj_t BgL_a2z00_12233;obj_t BgL_a3z00_12234;obj_t BgL_a4z00_12235;
BgL_fz00_12231 = 
PROCEDURE_ENTRY(BgL_funz00_9926)(BgL_funz00_9926, BgL_sz00_9934, BEOA); 
BgL_a1z00_12232 = 
PROCEDURE_ENTRY(BgL_a1z00_9927)(BgL_a1z00_9927, BgL_sz00_9934, BEOA); 
BgL_a2z00_12233 = 
PROCEDURE_ENTRY(BgL_a2z00_9928)(BgL_a2z00_9928, BgL_sz00_9934, BEOA); 
BgL_a3z00_12234 = 
PROCEDURE_ENTRY(BgL_a3z00_9929)(BgL_a3z00_9929, BgL_sz00_9934, BEOA); 
BgL_a4z00_12235 = 
PROCEDURE_ENTRY(BgL_a4z00_9930)(BgL_a4z00_9930, BgL_sz00_9934, BEOA); 
if(
PROCEDUREP(BgL_fz00_12231))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9931, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12231); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12236;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18037;
BgL_tmpz00_18037 = 
((obj_t)BgL_fz00_12231); 
BgL_ufz00_12236 = 
PROCEDURE_ATTR(BgL_tmpz00_18037); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4751z00_18040;
if(
STRUCTP(BgL_ufz00_12236))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4751z00_18040 = 
(
STRUCT_KEY(BgL_ufz00_12236)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4751z00_18040 = ((bool_t)0)
; } 
if(BgL_test4751z00_18040)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12237;obj_t BgL_runz00_12238;obj_t BgL_sfz00_12239;
BgL_arityz00_12237 = 
STRUCT_REF(BgL_ufz00_12236, 
(int)(((long)0))); 
BgL_runz00_12238 = 
STRUCT_REF(BgL_ufz00_12236, 
(int)(((long)1))); 
BgL_sfz00_12239 = 
STRUCT_REF(BgL_ufz00_12236, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12237)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2346z00_12240;
BgL_arg2346z00_12240 = 
(
(long)CINT(BgL_bpz00_12230)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2346z00_12240,BgL_a1z00_12232); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2347z00_12241;
BgL_arg2347z00_12241 = 
(
(long)CINT(BgL_bpz00_12230)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2347z00_12241,BgL_a2z00_12233); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2348z00_12242;
BgL_arg2348z00_12242 = 
(
(long)CINT(BgL_bpz00_12230)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2348z00_12242,BgL_a3z00_12234); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2349z00_12243;
BgL_arg2349z00_12243 = 
(
(long)CINT(BgL_bpz00_12230)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2349z00_12243,BgL_a4z00_12235); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12237))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12237)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2351z00_12246;obj_t BgL_arg2352z00_12247;
BgL_arg2351z00_12246 = 
(
(long)CINT(BgL_bpz00_12230)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2353z00_12248;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2354z00_12249;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2355z00_12250;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2356z00_12251;
BgL_arg2356z00_12251 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12235, BNIL); 
BgL_arg2355z00_12250 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12234, BgL_arg2356z00_12251); } 
BgL_arg2354z00_12249 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12233, BgL_arg2355z00_12250); } 
BgL_list2353z00_12248 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12232, BgL_arg2354z00_12249); } 
BgL_arg2352z00_12247 = BgL_list2353z00_12248; } 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2351z00_12246,BgL_arg2352z00_12247); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2357z00_12252;
BgL_arg2357z00_12252 = 
(
(long)CINT(BgL_bpz00_12230)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2357z00_12252,BgL_a1z00_12232); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2358z00_12253;obj_t BgL_arg2359z00_12254;
BgL_arg2358z00_12253 = 
(
(long)CINT(BgL_bpz00_12230)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2360z00_12255;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2361z00_12256;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2362z00_12257;
BgL_arg2362z00_12257 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12235, BNIL); 
BgL_arg2361z00_12256 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12234, BgL_arg2362z00_12257); } 
BgL_list2360z00_12255 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12233, BgL_arg2361z00_12256); } 
BgL_arg2359z00_12254 = BgL_list2360z00_12255; } 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2358z00_12253,BgL_arg2359z00_12254); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2363z00_12258;
BgL_arg2363z00_12258 = 
(
(long)CINT(BgL_bpz00_12230)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2363z00_12258,BgL_a1z00_12232); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2364z00_12259;
BgL_arg2364z00_12259 = 
(
(long)CINT(BgL_bpz00_12230)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2364z00_12259,BgL_a2z00_12233); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2365z00_12260;obj_t BgL_arg2366z00_12261;
BgL_arg2365z00_12260 = 
(
(long)CINT(BgL_bpz00_12230)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2367z00_12262;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2368z00_12263;
BgL_arg2368z00_12263 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12235, BNIL); 
BgL_list2367z00_12262 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12234, BgL_arg2368z00_12263); } 
BgL_arg2366z00_12261 = BgL_list2367z00_12262; } 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2365z00_12260,BgL_arg2366z00_12261); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2369z00_12264;
BgL_arg2369z00_12264 = 
(
(long)CINT(BgL_bpz00_12230)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2369z00_12264,BgL_a1z00_12232); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2370z00_12265;
BgL_arg2370z00_12265 = 
(
(long)CINT(BgL_bpz00_12230)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2370z00_12265,BgL_a2z00_12233); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2371z00_12266;
BgL_arg2371z00_12266 = 
(
(long)CINT(BgL_bpz00_12230)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2371z00_12266,BgL_a3z00_12234); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2372z00_12267;obj_t BgL_arg2373z00_12268;
BgL_arg2372z00_12267 = 
(
(long)CINT(BgL_bpz00_12230)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2374z00_12269;
BgL_list2374z00_12269 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12235, BNIL); 
BgL_arg2373z00_12268 = BgL_list2374z00_12269; } 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2372z00_12267,BgL_arg2373z00_12268); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2375z00_12270;
BgL_arg2375z00_12270 = 
(
(long)CINT(BgL_bpz00_12230)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2375z00_12270,BgL_a1z00_12232); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2376z00_12271;
BgL_arg2376z00_12271 = 
(
(long)CINT(BgL_bpz00_12230)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2376z00_12271,BgL_a2z00_12233); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2377z00_12272;
BgL_arg2377z00_12272 = 
(
(long)CINT(BgL_bpz00_12230)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2377z00_12272,BgL_a3z00_12234); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2378z00_12273;
BgL_arg2378z00_12273 = 
(
(long)CINT(BgL_bpz00_12230)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2378z00_12273,BgL_a4z00_12235); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2379z00_12274;obj_t BgL_arg2380z00_12275;
BgL_arg2379z00_12274 = 
(
(long)CINT(BgL_bpz00_12230)+((long)4)); 
BgL_arg2380z00_12275 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9934),BgL_arg2379z00_12274,BgL_arg2380z00_12275); } break;
default: 
BgL_case_else1202z00_12244:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2382z00_12245;
BgL_arg2382z00_12245 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12236), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9931, BgL_arg2382z00_12245, 
(int)(((long)4)), 
CINT(BgL_arityz00_12237)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1202z00_12244;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12276;
BgL_z12denvz12_12276 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12276, BgL_locz00_9931); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9934, BgL_bpz00_12230, BgL_sfz00_12239))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12238;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12277;
BgL_nsz00_12277 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2384z00_12278;
BgL_arg2384z00_12278 = 
(
(long)CINT(BgL_bpz00_12230)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12277, ((long)2), BgL_sz00_9934, BgL_bpz00_12230, 
BINT(BgL_arg2384z00_12278)); } 
VECTOR_SET(BgL_nsz00_12277,((long)1),BgL_sz00_9934); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12276, BgL_nsz00_12277); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12279;
BgL_ez00_12279 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12279, BgL_sz00_9934); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12280;
BgL_____rz00_12280 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12238, BgL_nsz00_12277, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12279); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12276, BgL_sz00_9934); 
return BgL_____rz00_12280;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12231, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12281;
BgL_nbpz00_12281 = 
(
(long)CINT(BgL_bpz00_12230)+BgL_siza7eza7_9933); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),((long)0),
BINT(BgL_nbpz00_12281)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18175;
BgL_tmpz00_18175 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18175, BgL_locz00_9931); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12282;
BgL_rz00_12282 = 
PROCEDURE_ENTRY(BgL_fz00_12231)(BgL_fz00_12231, BgL_a1z00_12232, BgL_a2z00_12233, BgL_a3z00_12234, BgL_a4z00_12235, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9934),((long)0),BgL_bpz00_12230); 
return BgL_rz00_12282;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9931, BgL_symbzd2funzd2_9932, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_12231));} } } } } } } } 

}



/* &<@anonymous:2388> */
obj_t BGl_z62zc3z04anonymousza32388ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9935, obj_t BgL_sz00_9944)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9936;obj_t BgL_a1z00_9937;obj_t BgL_a2z00_9938;obj_t BgL_a3z00_9939;obj_t BgL_a4z00_9940;obj_t BgL_locz00_9941;obj_t BgL_symbzd2funzd2_9942;long BgL_siza7eza7_9943;
BgL_funz00_9936 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)0))); 
BgL_a1z00_9937 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)1))); 
BgL_a2z00_9938 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)2))); 
BgL_a3z00_9939 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)3))); 
BgL_a4z00_9940 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)4))); 
BgL_locz00_9941 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)5))); 
BgL_symbzd2funzd2_9942 = 
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)6))); 
BgL_siza7eza7_9943 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9935, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12283;
BgL_bpz00_12283 = 
VECTOR_REF(
((obj_t)BgL_sz00_9944),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12284;obj_t BgL_a1z00_12285;obj_t BgL_a2z00_12286;obj_t BgL_a3z00_12287;obj_t BgL_a4z00_12288;
BgL_fz00_12284 = 
PROCEDURE_ENTRY(BgL_funz00_9936)(BgL_funz00_9936, BgL_sz00_9944, BEOA); 
BgL_a1z00_12285 = 
PROCEDURE_ENTRY(BgL_a1z00_9937)(BgL_a1z00_9937, BgL_sz00_9944, BEOA); 
BgL_a2z00_12286 = 
PROCEDURE_ENTRY(BgL_a2z00_9938)(BgL_a2z00_9938, BgL_sz00_9944, BEOA); 
BgL_a3z00_12287 = 
PROCEDURE_ENTRY(BgL_a3z00_9939)(BgL_a3z00_9939, BgL_sz00_9944, BEOA); 
BgL_a4z00_12288 = 
PROCEDURE_ENTRY(BgL_a4z00_9940)(BgL_a4z00_9940, BgL_sz00_9944, BEOA); 
if(
PROCEDUREP(BgL_fz00_12284))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9941, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12284); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12289;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18232;
BgL_tmpz00_18232 = 
((obj_t)BgL_fz00_12284); 
BgL_ufz00_12289 = 
PROCEDURE_ATTR(BgL_tmpz00_18232); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4758z00_18235;
if(
STRUCTP(BgL_ufz00_12289))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4758z00_18235 = 
(
STRUCT_KEY(BgL_ufz00_12289)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4758z00_18235 = ((bool_t)0)
; } 
if(BgL_test4758z00_18235)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12290;obj_t BgL_runz00_12291;obj_t BgL_sfz00_12292;
BgL_arityz00_12290 = 
STRUCT_REF(BgL_ufz00_12289, 
(int)(((long)0))); 
BgL_runz00_12291 = 
STRUCT_REF(BgL_ufz00_12289, 
(int)(((long)1))); 
BgL_sfz00_12292 = 
STRUCT_REF(BgL_ufz00_12289, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12290)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2392z00_12293;
BgL_arg2392z00_12293 = 
(
(long)CINT(BgL_bpz00_12283)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2392z00_12293,BgL_a1z00_12285); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2393z00_12294;
BgL_arg2393z00_12294 = 
(
(long)CINT(BgL_bpz00_12283)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2393z00_12294,BgL_a2z00_12286); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2394z00_12295;
BgL_arg2394z00_12295 = 
(
(long)CINT(BgL_bpz00_12283)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2394z00_12295,BgL_a3z00_12287); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2395z00_12296;
BgL_arg2395z00_12296 = 
(
(long)CINT(BgL_bpz00_12283)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2395z00_12296,BgL_a4z00_12288); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12290))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12290)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2397z00_12299;obj_t BgL_arg2398z00_12300;
BgL_arg2397z00_12299 = 
(
(long)CINT(BgL_bpz00_12283)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2399z00_12301;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2400z00_12302;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2401z00_12303;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2402z00_12304;
BgL_arg2402z00_12304 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12288, BNIL); 
BgL_arg2401z00_12303 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12287, BgL_arg2402z00_12304); } 
BgL_arg2400z00_12302 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12286, BgL_arg2401z00_12303); } 
BgL_list2399z00_12301 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12285, BgL_arg2400z00_12302); } 
BgL_arg2398z00_12300 = BgL_list2399z00_12301; } 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2397z00_12299,BgL_arg2398z00_12300); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2403z00_12305;
BgL_arg2403z00_12305 = 
(
(long)CINT(BgL_bpz00_12283)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2403z00_12305,BgL_a1z00_12285); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2404z00_12306;obj_t BgL_arg2405z00_12307;
BgL_arg2404z00_12306 = 
(
(long)CINT(BgL_bpz00_12283)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2406z00_12308;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2407z00_12309;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2408z00_12310;
BgL_arg2408z00_12310 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12288, BNIL); 
BgL_arg2407z00_12309 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12287, BgL_arg2408z00_12310); } 
BgL_list2406z00_12308 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12286, BgL_arg2407z00_12309); } 
BgL_arg2405z00_12307 = BgL_list2406z00_12308; } 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2404z00_12306,BgL_arg2405z00_12307); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2409z00_12311;
BgL_arg2409z00_12311 = 
(
(long)CINT(BgL_bpz00_12283)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2409z00_12311,BgL_a1z00_12285); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2410z00_12312;
BgL_arg2410z00_12312 = 
(
(long)CINT(BgL_bpz00_12283)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2410z00_12312,BgL_a2z00_12286); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2411z00_12313;obj_t BgL_arg2412z00_12314;
BgL_arg2411z00_12313 = 
(
(long)CINT(BgL_bpz00_12283)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2413z00_12315;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2414z00_12316;
BgL_arg2414z00_12316 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12288, BNIL); 
BgL_list2413z00_12315 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12287, BgL_arg2414z00_12316); } 
BgL_arg2412z00_12314 = BgL_list2413z00_12315; } 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2411z00_12313,BgL_arg2412z00_12314); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2415z00_12317;
BgL_arg2415z00_12317 = 
(
(long)CINT(BgL_bpz00_12283)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2415z00_12317,BgL_a1z00_12285); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2416z00_12318;
BgL_arg2416z00_12318 = 
(
(long)CINT(BgL_bpz00_12283)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2416z00_12318,BgL_a2z00_12286); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2417z00_12319;
BgL_arg2417z00_12319 = 
(
(long)CINT(BgL_bpz00_12283)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2417z00_12319,BgL_a3z00_12287); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2418z00_12320;obj_t BgL_arg2419z00_12321;
BgL_arg2418z00_12320 = 
(
(long)CINT(BgL_bpz00_12283)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2420z00_12322;
BgL_list2420z00_12322 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12288, BNIL); 
BgL_arg2419z00_12321 = BgL_list2420z00_12322; } 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2418z00_12320,BgL_arg2419z00_12321); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2421z00_12323;
BgL_arg2421z00_12323 = 
(
(long)CINT(BgL_bpz00_12283)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2421z00_12323,BgL_a1z00_12285); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2422z00_12324;
BgL_arg2422z00_12324 = 
(
(long)CINT(BgL_bpz00_12283)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2422z00_12324,BgL_a2z00_12286); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2423z00_12325;
BgL_arg2423z00_12325 = 
(
(long)CINT(BgL_bpz00_12283)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2423z00_12325,BgL_a3z00_12287); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2424z00_12326;
BgL_arg2424z00_12326 = 
(
(long)CINT(BgL_bpz00_12283)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2424z00_12326,BgL_a4z00_12288); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2425z00_12327;obj_t BgL_arg2426z00_12328;
BgL_arg2425z00_12327 = 
(
(long)CINT(BgL_bpz00_12283)+((long)4)); 
BgL_arg2426z00_12328 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9944),BgL_arg2425z00_12327,BgL_arg2426z00_12328); } break;
default: 
BgL_case_else1204z00_12297:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2428z00_12298;
BgL_arg2428z00_12298 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12289), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9941, BgL_arg2428z00_12298, 
(int)(((long)4)), 
CINT(BgL_arityz00_12290)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1204z00_12297;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12329;
BgL_z12denvz12_12329 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9944, BgL_bpz00_12283, BgL_sfz00_12292))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12291;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12330;
BgL_nsz00_12330 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2430z00_12331;
BgL_arg2430z00_12331 = 
(
(long)CINT(BgL_bpz00_12283)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12330, ((long)2), BgL_sz00_9944, BgL_bpz00_12283, 
BINT(BgL_arg2430z00_12331)); } 
VECTOR_SET(BgL_nsz00_12330,((long)1),BgL_sz00_9944); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12329, BgL_nsz00_12330); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12332;
BgL_ez00_12332 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12332, BgL_sz00_9944); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12333;
BgL_____rz00_12333 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12291, BgL_nsz00_12330, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12332); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12329, BgL_sz00_9944); 
return BgL_____rz00_12333;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12284, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12334;
BgL_nbpz00_12334 = 
(
(long)CINT(BgL_bpz00_12283)+BgL_siza7eza7_9943); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),((long)0),
BINT(BgL_nbpz00_12334)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12335;
BgL_rz00_12335 = 
PROCEDURE_ENTRY(BgL_fz00_12284)(BgL_fz00_12284, BgL_a1z00_12285, BgL_a2z00_12286, BgL_a3z00_12287, BgL_a4z00_12288, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9944),((long)0),BgL_bpz00_12283); 
return BgL_rz00_12335;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9941, BgL_symbzd2funzd2_9942, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_12284));} } } } } } } } 

}



/* &<@anonymous:2436> */
obj_t BGl_z62zc3z04anonymousza32436ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9945, obj_t BgL_sz00_9954)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9946;obj_t BgL_a1z00_9947;obj_t BgL_a2z00_9948;obj_t BgL_a3z00_9949;obj_t BgL_a4z00_9950;obj_t BgL_locz00_9951;obj_t BgL_symbzd2funzd2_9952;long BgL_siza7eza7_9953;
BgL_funz00_9946 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)0))); 
BgL_a1z00_9947 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)1))); 
BgL_a2z00_9948 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)2))); 
BgL_a3z00_9949 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)3))); 
BgL_a4z00_9950 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)4))); 
BgL_locz00_9951 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)5))); 
BgL_symbzd2funzd2_9952 = 
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)6))); 
BgL_siza7eza7_9953 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9945, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12336;
BgL_bpz00_12336 = 
VECTOR_REF(
((obj_t)BgL_sz00_9954),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12337;obj_t BgL_a1z00_12338;obj_t BgL_a2z00_12339;obj_t BgL_a3z00_12340;obj_t BgL_a4z00_12341;
BgL_fz00_12337 = 
PROCEDURE_ENTRY(BgL_funz00_9946)(BgL_funz00_9946, BgL_sz00_9954, BEOA); 
BgL_a1z00_12338 = 
PROCEDURE_ENTRY(BgL_a1z00_9947)(BgL_a1z00_9947, BgL_sz00_9954, BEOA); 
BgL_a2z00_12339 = 
PROCEDURE_ENTRY(BgL_a2z00_9948)(BgL_a2z00_9948, BgL_sz00_9954, BEOA); 
BgL_a3z00_12340 = 
PROCEDURE_ENTRY(BgL_a3z00_9949)(BgL_a3z00_9949, BgL_sz00_9954, BEOA); 
BgL_a4z00_12341 = 
PROCEDURE_ENTRY(BgL_a4z00_9950)(BgL_a4z00_9950, BgL_sz00_9954, BEOA); 
if(
PROCEDUREP(BgL_fz00_12337))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9951, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12337); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12342;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18423;
BgL_tmpz00_18423 = 
((obj_t)BgL_fz00_12337); 
BgL_ufz00_12342 = 
PROCEDURE_ATTR(BgL_tmpz00_18423); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4765z00_18426;
if(
STRUCTP(BgL_ufz00_12342))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4765z00_18426 = 
(
STRUCT_KEY(BgL_ufz00_12342)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4765z00_18426 = ((bool_t)0)
; } 
if(BgL_test4765z00_18426)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12343;obj_t BgL_runz00_12344;obj_t BgL_sfz00_12345;
BgL_arityz00_12343 = 
STRUCT_REF(BgL_ufz00_12342, 
(int)(((long)0))); 
BgL_runz00_12344 = 
STRUCT_REF(BgL_ufz00_12342, 
(int)(((long)1))); 
BgL_sfz00_12345 = 
STRUCT_REF(BgL_ufz00_12342, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12346;
BgL_spz00_12346 = 
(
(long)CINT(BgL_bpz00_12336)+BgL_siza7eza7_9953); 
if(
(
(long)CINT(BgL_arityz00_12343)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2440z00_12347;
BgL_arg2440z00_12347 = 
(BgL_spz00_12346+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2440z00_12347,BgL_a1z00_12338); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2441z00_12348;
BgL_arg2441z00_12348 = 
(BgL_spz00_12346+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2441z00_12348,BgL_a2z00_12339); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2442z00_12349;
BgL_arg2442z00_12349 = 
(BgL_spz00_12346+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2442z00_12349,BgL_a3z00_12340); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2443z00_12350;
BgL_arg2443z00_12350 = 
(BgL_spz00_12346+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2443z00_12350,BgL_a4z00_12341); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12343))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12343)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2445z00_12353;obj_t BgL_arg2446z00_12354;
BgL_arg2445z00_12353 = 
(BgL_spz00_12346+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2447z00_12355;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2448z00_12356;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2449z00_12357;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2450z00_12358;
BgL_arg2450z00_12358 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12341, BNIL); 
BgL_arg2449z00_12357 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12340, BgL_arg2450z00_12358); } 
BgL_arg2448z00_12356 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12339, BgL_arg2449z00_12357); } 
BgL_list2447z00_12355 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12338, BgL_arg2448z00_12356); } 
BgL_arg2446z00_12354 = BgL_list2447z00_12355; } 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2445z00_12353,BgL_arg2446z00_12354); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2451z00_12359;
BgL_arg2451z00_12359 = 
(BgL_spz00_12346+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2451z00_12359,BgL_a1z00_12338); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2452z00_12360;obj_t BgL_arg2453z00_12361;
BgL_arg2452z00_12360 = 
(BgL_spz00_12346+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2454z00_12362;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2455z00_12363;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2456z00_12364;
BgL_arg2456z00_12364 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12341, BNIL); 
BgL_arg2455z00_12363 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12340, BgL_arg2456z00_12364); } 
BgL_list2454z00_12362 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12339, BgL_arg2455z00_12363); } 
BgL_arg2453z00_12361 = BgL_list2454z00_12362; } 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2452z00_12360,BgL_arg2453z00_12361); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2457z00_12365;
BgL_arg2457z00_12365 = 
(BgL_spz00_12346+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2457z00_12365,BgL_a1z00_12338); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2458z00_12366;
BgL_arg2458z00_12366 = 
(BgL_spz00_12346+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2458z00_12366,BgL_a2z00_12339); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2459z00_12367;obj_t BgL_arg2460z00_12368;
BgL_arg2459z00_12367 = 
(BgL_spz00_12346+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2461z00_12369;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2462z00_12370;
BgL_arg2462z00_12370 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12341, BNIL); 
BgL_list2461z00_12369 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12340, BgL_arg2462z00_12370); } 
BgL_arg2460z00_12368 = BgL_list2461z00_12369; } 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2459z00_12367,BgL_arg2460z00_12368); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2463z00_12371;
BgL_arg2463z00_12371 = 
(BgL_spz00_12346+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2463z00_12371,BgL_a1z00_12338); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2464z00_12372;
BgL_arg2464z00_12372 = 
(BgL_spz00_12346+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2464z00_12372,BgL_a2z00_12339); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2465z00_12373;
BgL_arg2465z00_12373 = 
(BgL_spz00_12346+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2465z00_12373,BgL_a3z00_12340); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2466z00_12374;obj_t BgL_arg2467z00_12375;
BgL_arg2466z00_12374 = 
(BgL_spz00_12346+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2468z00_12376;
BgL_list2468z00_12376 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12341, BNIL); 
BgL_arg2467z00_12375 = BgL_list2468z00_12376; } 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2466z00_12374,BgL_arg2467z00_12375); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2469z00_12377;
BgL_arg2469z00_12377 = 
(BgL_spz00_12346+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2469z00_12377,BgL_a1z00_12338); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2470z00_12378;
BgL_arg2470z00_12378 = 
(BgL_spz00_12346+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2470z00_12378,BgL_a2z00_12339); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2471z00_12379;
BgL_arg2471z00_12379 = 
(BgL_spz00_12346+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2471z00_12379,BgL_a3z00_12340); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2472z00_12380;
BgL_arg2472z00_12380 = 
(BgL_spz00_12346+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2472z00_12380,BgL_a4z00_12341); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2473z00_12381;obj_t BgL_arg2474z00_12382;
BgL_arg2473z00_12381 = 
(BgL_spz00_12346+((long)4)); 
BgL_arg2474z00_12382 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9954),BgL_arg2473z00_12381,BgL_arg2474z00_12382); } break;
default: 
BgL_case_else1206z00_12351:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2476z00_12352;
BgL_arg2476z00_12352 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12342), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9951, BgL_arg2476z00_12352, 
(int)(((long)4)), 
CINT(BgL_arityz00_12343)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1206z00_12351;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12383;
BgL_z12denvz12_12383 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12383, BgL_locz00_9951); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9954, 
BINT(BgL_spz00_12346), BgL_sfz00_12345))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12344, BgL_sz00_9954, 
BINT(BgL_spz00_12346));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12384;
BgL_nsz00_12384 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2478z00_12385;
BgL_arg2478z00_12385 = 
(BgL_spz00_12346+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12384, ((long)2), BgL_sz00_9954, 
BINT(BgL_spz00_12346), 
BINT(BgL_arg2478z00_12385)); } 
VECTOR_SET(BgL_nsz00_12384,((long)1),BgL_sz00_9954); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12383, BgL_nsz00_12384); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12386;
BgL_ez00_12386 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12386, BgL_sz00_9954); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12387;
BgL_____rz00_12387 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12344, BgL_nsz00_12384, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12386); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12383, BgL_sz00_9954); 
return BgL_____rz00_12387;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12337, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12388;
BgL_nbpz00_12388 = 
(
(long)CINT(BgL_bpz00_12336)+BgL_siza7eza7_9953); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),((long)0),
BINT(BgL_nbpz00_12388)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18547;
BgL_tmpz00_18547 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18547, BgL_locz00_9951); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12389;
BgL_rz00_12389 = 
PROCEDURE_ENTRY(BgL_fz00_12337)(BgL_fz00_12337, BgL_a1z00_12338, BgL_a2z00_12339, BgL_a3z00_12340, BgL_a4z00_12341, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9954),((long)0),BgL_bpz00_12336); 
return BgL_rz00_12389;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9951, BgL_symbzd2funzd2_9952, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_12337));} } } } } } } } 

}



/* &<@anonymous:2482> */
obj_t BGl_z62zc3z04anonymousza32482ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9955, obj_t BgL_sz00_9964)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_9956;obj_t BgL_a1z00_9957;obj_t BgL_a2z00_9958;obj_t BgL_a3z00_9959;obj_t BgL_a4z00_9960;obj_t BgL_locz00_9961;obj_t BgL_symbzd2funzd2_9962;long BgL_siza7eza7_9963;
BgL_funz00_9956 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)0))); 
BgL_a1z00_9957 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)1))); 
BgL_a2z00_9958 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)2))); 
BgL_a3z00_9959 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)3))); 
BgL_a4z00_9960 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)4))); 
BgL_locz00_9961 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)5))); 
BgL_symbzd2funzd2_9962 = 
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)6))); 
BgL_siza7eza7_9963 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_9955, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12390;
BgL_bpz00_12390 = 
VECTOR_REF(
((obj_t)BgL_sz00_9964),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12391;obj_t BgL_a1z00_12392;obj_t BgL_a2z00_12393;obj_t BgL_a3z00_12394;obj_t BgL_a4z00_12395;
BgL_fz00_12391 = 
PROCEDURE_ENTRY(BgL_funz00_9956)(BgL_funz00_9956, BgL_sz00_9964, BEOA); 
BgL_a1z00_12392 = 
PROCEDURE_ENTRY(BgL_a1z00_9957)(BgL_a1z00_9957, BgL_sz00_9964, BEOA); 
BgL_a2z00_12393 = 
PROCEDURE_ENTRY(BgL_a2z00_9958)(BgL_a2z00_9958, BgL_sz00_9964, BEOA); 
BgL_a3z00_12394 = 
PROCEDURE_ENTRY(BgL_a3z00_9959)(BgL_a3z00_9959, BgL_sz00_9964, BEOA); 
BgL_a4z00_12395 = 
PROCEDURE_ENTRY(BgL_a4z00_9960)(BgL_a4z00_9960, BgL_sz00_9964, BEOA); 
if(
PROCEDUREP(BgL_fz00_12391))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_9961, BGl_string4254z00zz__evaluate_compz00, BGl_string4270z00zz__evaluate_compz00, BgL_fz00_12391); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12396;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18604;
BgL_tmpz00_18604 = 
((obj_t)BgL_fz00_12391); 
BgL_ufz00_12396 = 
PROCEDURE_ATTR(BgL_tmpz00_18604); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test4772z00_18607;
if(
STRUCTP(BgL_ufz00_12396))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4772z00_18607 = 
(
STRUCT_KEY(BgL_ufz00_12396)==BGl_symbol4271z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4772z00_18607 = ((bool_t)0)
; } 
if(BgL_test4772z00_18607)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12397;obj_t BgL_runz00_12398;obj_t BgL_sfz00_12399;
BgL_arityz00_12397 = 
STRUCT_REF(BgL_ufz00_12396, 
(int)(((long)0))); 
BgL_runz00_12398 = 
STRUCT_REF(BgL_ufz00_12396, 
(int)(((long)1))); 
BgL_sfz00_12399 = 
STRUCT_REF(BgL_ufz00_12396, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12400;
BgL_spz00_12400 = 
(
(long)CINT(BgL_bpz00_12390)+BgL_siza7eza7_9963); 
if(
(
(long)CINT(BgL_arityz00_12397)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2486z00_12401;
BgL_arg2486z00_12401 = 
(BgL_spz00_12400+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2486z00_12401,BgL_a1z00_12392); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2487z00_12402;
BgL_arg2487z00_12402 = 
(BgL_spz00_12400+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2487z00_12402,BgL_a2z00_12393); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2488z00_12403;
BgL_arg2488z00_12403 = 
(BgL_spz00_12400+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2488z00_12403,BgL_a3z00_12394); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2489z00_12404;
BgL_arg2489z00_12404 = 
(BgL_spz00_12400+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2489z00_12404,BgL_a4z00_12395); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12397))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12397)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2491z00_12407;obj_t BgL_arg2492z00_12408;
BgL_arg2491z00_12407 = 
(BgL_spz00_12400+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2493z00_12409;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2494z00_12410;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2495z00_12411;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2496z00_12412;
BgL_arg2496z00_12412 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12395, BNIL); 
BgL_arg2495z00_12411 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12394, BgL_arg2496z00_12412); } 
BgL_arg2494z00_12410 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12393, BgL_arg2495z00_12411); } 
BgL_list2493z00_12409 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12392, BgL_arg2494z00_12410); } 
BgL_arg2492z00_12408 = BgL_list2493z00_12409; } 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2491z00_12407,BgL_arg2492z00_12408); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2497z00_12413;
BgL_arg2497z00_12413 = 
(BgL_spz00_12400+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2497z00_12413,BgL_a1z00_12392); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2498z00_12414;obj_t BgL_arg2499z00_12415;
BgL_arg2498z00_12414 = 
(BgL_spz00_12400+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2500z00_12416;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2501z00_12417;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2502z00_12418;
BgL_arg2502z00_12418 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12395, BNIL); 
BgL_arg2501z00_12417 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12394, BgL_arg2502z00_12418); } 
BgL_list2500z00_12416 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12393, BgL_arg2501z00_12417); } 
BgL_arg2499z00_12415 = BgL_list2500z00_12416; } 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2498z00_12414,BgL_arg2499z00_12415); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2503z00_12419;
BgL_arg2503z00_12419 = 
(BgL_spz00_12400+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2503z00_12419,BgL_a1z00_12392); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2504z00_12420;
BgL_arg2504z00_12420 = 
(BgL_spz00_12400+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2504z00_12420,BgL_a2z00_12393); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2505z00_12421;obj_t BgL_arg2506z00_12422;
BgL_arg2505z00_12421 = 
(BgL_spz00_12400+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2507z00_12423;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2508z00_12424;
BgL_arg2508z00_12424 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12395, BNIL); 
BgL_list2507z00_12423 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12394, BgL_arg2508z00_12424); } 
BgL_arg2506z00_12422 = BgL_list2507z00_12423; } 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2505z00_12421,BgL_arg2506z00_12422); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2509z00_12425;
BgL_arg2509z00_12425 = 
(BgL_spz00_12400+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2509z00_12425,BgL_a1z00_12392); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2510z00_12426;
BgL_arg2510z00_12426 = 
(BgL_spz00_12400+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2510z00_12426,BgL_a2z00_12393); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2511z00_12427;
BgL_arg2511z00_12427 = 
(BgL_spz00_12400+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2511z00_12427,BgL_a3z00_12394); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2512z00_12428;obj_t BgL_arg2513z00_12429;
BgL_arg2512z00_12428 = 
(BgL_spz00_12400+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2514z00_12430;
BgL_list2514z00_12430 = 
MAKE_YOUNG_PAIR(BgL_a4z00_12395, BNIL); 
BgL_arg2513z00_12429 = BgL_list2514z00_12430; } 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2512z00_12428,BgL_arg2513z00_12429); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2515z00_12431;
BgL_arg2515z00_12431 = 
(BgL_spz00_12400+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2515z00_12431,BgL_a1z00_12392); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2516z00_12432;
BgL_arg2516z00_12432 = 
(BgL_spz00_12400+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2516z00_12432,BgL_a2z00_12393); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2517z00_12433;
BgL_arg2517z00_12433 = 
(BgL_spz00_12400+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2517z00_12433,BgL_a3z00_12394); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2518z00_12434;
BgL_arg2518z00_12434 = 
(BgL_spz00_12400+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2518z00_12434,BgL_a4z00_12395); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2519z00_12435;obj_t BgL_arg2520z00_12436;
BgL_arg2519z00_12435 = 
(BgL_spz00_12400+((long)4)); 
BgL_arg2520z00_12436 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_9964),BgL_arg2519z00_12435,BgL_arg2520z00_12436); } break;
default: 
BgL_case_else1208z00_12405:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2522z00_12406;
BgL_arg2522z00_12406 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12396), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9961, BgL_arg2522z00_12406, 
(int)(((long)4)), 
CINT(BgL_arityz00_12397)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1208z00_12405;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12437;
BgL_z12denvz12_12437 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_9964, 
BINT(BgL_spz00_12400), BgL_sfz00_12399))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12398, BgL_sz00_9964, 
BINT(BgL_spz00_12400));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12438;
BgL_nsz00_12438 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2524z00_12439;
BgL_arg2524z00_12439 = 
(BgL_spz00_12400+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12438, ((long)2), BgL_sz00_9964, 
BINT(BgL_spz00_12400), 
BINT(BgL_arg2524z00_12439)); } 
VECTOR_SET(BgL_nsz00_12438,((long)1),BgL_sz00_9964); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12437, BgL_nsz00_12438); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12440;
BgL_ez00_12440 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12440, BgL_sz00_9964); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12441;
BgL_____rz00_12441 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12398, BgL_nsz00_12438, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12440); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12437, BgL_sz00_9964); 
return BgL_____rz00_12441;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12391, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12442;
BgL_nbpz00_12442 = 
(
(long)CINT(BgL_bpz00_12390)+BgL_siza7eza7_9963); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),((long)0),
BINT(BgL_nbpz00_12442)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12443;
BgL_rz00_12443 = 
PROCEDURE_ENTRY(BgL_fz00_12391)(BgL_fz00_12391, BgL_a1z00_12392, BgL_a2z00_12393, BgL_a3z00_12394, BgL_a4z00_12395, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_9964),((long)0),BgL_bpz00_12390); 
return BgL_rz00_12443;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_9961, BgL_symbzd2funzd2_9962, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_12391));} } } } } } } } 

}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{
{ /* Eval/evaluate_comp.scm 899 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 903 */
obj_t BgL_gz00_3035;
{ /* Eval/evaluate_comp.scm 903 */
obj_t BgL_arg2534z00_3043;obj_t BgL_arg2535z00_3044;
BgL_arg2534z00_3043 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2535z00_3044 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3035 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2534z00_3043, BgL_arg2535z00_3044); } 
if(
CBOOL(BgL_gz00_3035))
{ /* Eval/evaluate_comp.scm 905 */
bool_t BgL_test4780z00_18749;
{ /* Eval/evaluate_comp.scm 905 */
int BgL_arg2533z00_3042;
{ /* Eval/evaluate_comp.scm 905 */
int BgL_res4112z00_7733;
BgL_res4112z00_7733 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3035),((long)0))); 
BgL_arg2533z00_3042 = BgL_res4112z00_7733; } 
BgL_test4780z00_18749 = 
(
(long)(BgL_arg2533z00_3042)==((long)0)); } 
if(BgL_test4780z00_18749)
{ /* Eval/evaluate_comp.scm 906 */
obj_t BgL_valz00_3038;
BgL_valz00_3038 = 
VECTOR_REF(
((obj_t)BgL_gz00_3035),((long)2)); 
{ /* Eval/evaluate_comp.scm 907 */
bool_t BgL_test4781z00_18757;
if(
PROCEDUREP(BgL_valz00_3038))
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4781z00_18757 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3038, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4781z00_18757 = ((bool_t)0)
; } 
if(BgL_test4781z00_18757)
{ /* Eval/evaluate_comp.scm 907 */
return BgL_valz00_3038;}  else 
{ /* Eval/evaluate_comp.scm 907 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 905 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 904 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 910 */
bool_t BgL_test4783z00_18762;
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 911 */
obj_t BgL_tmpz00_18766;
BgL_tmpz00_18766 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4783z00_18762 = 
PROCEDUREP(BgL_tmpz00_18766); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_test4783z00_18762 = ((bool_t)0)
; } 
if(BgL_test4783z00_18762)
{ /* Eval/evaluate_comp.scm 913 */
bool_t BgL_test4785z00_18770;
{ /* Eval/evaluate_comp.scm 913 */
obj_t BgL_arg2543z00_3054;
BgL_arg2543z00_3054 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4785z00_18770 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2543z00_3054, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_test4785z00_18770)
{ /* Eval/evaluate_comp.scm 913 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 915 */
int BgL_arg2541z00_3052;
{ /* Eval/evaluate_comp.scm 915 */
obj_t BgL_arg2542z00_3053;
BgL_arg2542z00_3053 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2541z00_3052 = 
PROCEDURE_ARITY(BgL_arg2542z00_3053); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2541z00_3052);} }  else 
{ /* Eval/evaluate_comp.scm 910 */
return BFALSE;} } } 

}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{
{ /* Eval/evaluate_comp.scm 918 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 922 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 924 */
obj_t BgL_v1347z00_3063;
BgL_v1347z00_3063 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1347z00_3063,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 924 */
double BgL_arg2548z00_3064;
BgL_arg2548z00_3064 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1347z00_3063,((long)1),
DOUBLE_TO_REAL(BgL_arg2548z00_3064)); } 
return BgL_v1347z00_3063;}  else 
{ /* Eval/evaluate_comp.scm 925 */
bool_t BgL_test4788z00_18797;
{ /* Eval/evaluate_comp.scm 925 */
obj_t BgL_tmpz00_18798;
BgL_tmpz00_18798 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_test4788z00_18797 = 
REALP(BgL_tmpz00_18798); } 
if(BgL_test4788z00_18797)
{ /* Eval/evaluate_comp.scm 925 */
obj_t BgL_v1348z00_3068;
BgL_v1348z00_3068 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1348z00_3068,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 925 */
obj_t BgL_arg2552z00_3069;
BgL_arg2552z00_3069 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1348z00_3068,((long)1),BgL_arg2552z00_3069); } 
return BgL_v1348z00_3068;}  else 
{ /* Eval/evaluate_comp.scm 926 */
obj_t BgL_v1349z00_3070;
BgL_v1349z00_3070 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1349z00_3070,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 926 */
obj_t BgL_arg2553z00_3071;
BgL_arg2553z00_3071 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_littz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1349z00_3070,((long)1),BgL_arg2553z00_3071); } 
return BgL_v1349z00_3070;} } }  else 
{ /* Eval/evaluate_comp.scm 922 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 927 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 930 */
obj_t BgL_v1350z00_3077;
BgL_v1350z00_3077 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1350z00_3077,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1350z00_3077,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1350z00_3077;}  else 
{ /* Eval/evaluate_comp.scm 931 */
obj_t BgL_v1351z00_3079;
BgL_v1351z00_3079 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1351z00_3079,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1351z00_3079,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1351z00_3079;} }  else 
{ /* Eval/evaluate_comp.scm 927 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 934 */
obj_t BgL_gz00_3083;
{ /* Eval/evaluate_comp.scm 934 */
obj_t BgL_arg2565z00_3091;obj_t BgL_arg2566z00_3092;
BgL_arg2565z00_3091 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2566z00_3092 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3083 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2565z00_3091, BgL_arg2566z00_3092); } 
if(
CBOOL(BgL_gz00_3083))
{ /* Eval/evaluate_comp.scm 936 */
bool_t BgL_test4793z00_18840;
{ /* Eval/evaluate_comp.scm 936 */
int BgL_arg2563z00_3088;
{ /* Eval/evaluate_comp.scm 936 */
int BgL_res4113z00_7750;
BgL_res4113z00_7750 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3083),((long)0))); 
BgL_arg2563z00_3088 = BgL_res4113z00_7750; } 
BgL_test4793z00_18840 = 
(
BINT(BgL_arg2563z00_3088)==
BINT(((long)1))); } 
if(BgL_test4793z00_18840)
{ /* Eval/evaluate_comp.scm 937 */
obj_t BgL_v1352z00_3086;
BgL_v1352z00_3086 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1352z00_3086,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1352z00_3086,((long)1),BgL_gz00_3083); 
return BgL_v1352z00_3086;}  else 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_v1353z00_3087;
BgL_v1353z00_3087 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1353z00_3087,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1353z00_3087,((long)1),BgL_gz00_3083); 
return BgL_v1353z00_3087;} }  else 
{ /* Eval/evaluate_comp.scm 939 */
obj_t BgL_v1354z00_3089;
BgL_v1354z00_3089 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1354z00_3089,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 939 */
obj_t BgL_arg2564z00_3090;
BgL_arg2564z00_3090 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_globalz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1354z00_3089,((long)1),BgL_arg2564z00_3090); } 
return BgL_v1354z00_3089;} }  else 
{ /* Eval/evaluate_comp.scm 932 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_appz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_fvalz00_3095;
{ /* Eval/evaluate_comp.scm 942 */
BgL_ev_exprz00_bglt BgL_arg2608z00_3143;
BgL_arg2608z00_3143 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3095 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2608z00_3143); } 
if(
(BgL_fvalz00_3095==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_v1355z00_3097;
BgL_v1355z00_3097 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1355z00_3097,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2569z00_3098;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2570z00_3099;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_pairz00_7758;
BgL_pairz00_7758 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2570z00_3099 = 
CAR(BgL_pairz00_7758); } 
BgL_arg2569z00_3098 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2570z00_3099, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3097,((long)1),BgL_arg2569z00_3098); } 
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2572z00_3101;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2573z00_3102;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_pairz00_7760;
BgL_pairz00_7760 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2573z00_3102 = 
CAR(
CDR(BgL_pairz00_7760)); } 
BgL_arg2572z00_3101 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2573z00_3102, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3097,((long)2),BgL_arg2572z00_3101); } 
return BgL_v1355z00_3097;}  else 
{ /* Eval/evaluate_comp.scm 944 */
if(
(BgL_fvalz00_3095==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_v1356z00_3105;
BgL_v1356z00_3105 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1356z00_3105,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2576z00_3106;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2577z00_3107;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_pairz00_7766;
BgL_pairz00_7766 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2577z00_3107 = 
CAR(BgL_pairz00_7766); } 
BgL_arg2576z00_3106 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2577z00_3107, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3105,((long)1),BgL_arg2576z00_3106); } 
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2579z00_3109;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2580z00_3110;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_pairz00_7768;
BgL_pairz00_7768 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2580z00_3110 = 
CAR(
CDR(BgL_pairz00_7768)); } 
BgL_arg2579z00_3109 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2580z00_3110, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3105,((long)2),BgL_arg2579z00_3109); } 
return BgL_v1356z00_3105;}  else 
{ /* Eval/evaluate_comp.scm 946 */
if(
(BgL_fvalz00_3095==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_v1357z00_3113;
BgL_v1357z00_3113 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1357z00_3113,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2583z00_3114;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2584z00_3115;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_pairz00_7774;
BgL_pairz00_7774 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2584z00_3115 = 
CAR(BgL_pairz00_7774); } 
BgL_arg2583z00_3114 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2584z00_3115, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3113,((long)1),BgL_arg2583z00_3114); } 
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2586z00_3117;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2587z00_3118;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_pairz00_7776;
BgL_pairz00_7776 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2587z00_3118 = 
CAR(
CDR(BgL_pairz00_7776)); } 
BgL_arg2586z00_3117 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2587z00_3118, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3113,((long)2),BgL_arg2586z00_3117); } 
return BgL_v1357z00_3113;}  else 
{ /* Eval/evaluate_comp.scm 948 */
if(
(BgL_fvalz00_3095==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_v1358z00_3121;
BgL_v1358z00_3121 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1358z00_3121,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2590z00_3122;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2591z00_3123;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_pairz00_7782;
BgL_pairz00_7782 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2591z00_3123 = 
CAR(BgL_pairz00_7782); } 
BgL_arg2590z00_3122 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2591z00_3123, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1358z00_3121,((long)1),BgL_arg2590z00_3122); } 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2593z00_3125;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2594z00_3126;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_pairz00_7784;
BgL_pairz00_7784 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2594z00_3126 = 
CAR(
CDR(BgL_pairz00_7784)); } 
BgL_arg2593z00_3125 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2594z00_3126, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1358z00_3121,((long)2),BgL_arg2593z00_3125); } 
return BgL_v1358z00_3121;}  else 
{ /* Eval/evaluate_comp.scm 950 */
if(
(BgL_fvalz00_3095==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_v1359z00_3129;
BgL_v1359z00_3129 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1359z00_3129,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_arg2597z00_3130;
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_arg2598z00_3131;
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_pairz00_7790;
BgL_pairz00_7790 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2598z00_3131 = 
CAR(BgL_pairz00_7790); } 
BgL_arg2597z00_3130 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2598z00_3131), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1359z00_3129,((long)1),BgL_arg2597z00_3130); } 
return BgL_v1359z00_3129;}  else 
{ /* Eval/evaluate_comp.scm 952 */
if(
(BgL_fvalz00_3095==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_v1360z00_3134;
BgL_v1360z00_3134 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1360z00_3134,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2601z00_3135;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2602z00_3136;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_pairz00_7793;
BgL_pairz00_7793 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2602z00_3136 = 
CAR(BgL_pairz00_7793); } 
BgL_arg2601z00_3135 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2602z00_3136), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1360z00_3134,((long)1),BgL_arg2601z00_3135); } 
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2604z00_3138;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2605z00_3139;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_pairz00_7795;
BgL_pairz00_7795 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2605z00_3139 = 
CAR(
CDR(BgL_pairz00_7795)); } 
BgL_arg2604z00_3138 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2605z00_3139), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1360z00_3134,((long)2),BgL_arg2604z00_3138); } 
return BgL_v1360z00_3134;}  else 
{ /* Eval/evaluate_comp.scm 957 */
obj_t BgL_v1361z00_3141;
BgL_v1361z00_3141 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1361z00_3141,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 957 */
obj_t BgL_arg2607z00_3142;
BgL_arg2607z00_3142 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1361z00_3141,((long)1),BgL_arg2607z00_3142); } 
return BgL_v1361z00_3141;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_v1362z00_3144;
BgL_v1362z00_3144 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1362z00_3144,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_arg2609z00_3145;
BgL_arg2609z00_3145 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1362z00_3144,((long)1),BgL_arg2609z00_3145); } 
return BgL_v1362z00_3144;} } } } } 

}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{
{ /* Eval/evaluate_comp.scm 960 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 

}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_11627, obj_t BgL_bcz00_3150)
{
{ /* Eval/evaluate_comp.scm 975 */
{ 

{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_aux1218z00_3153;
BgL_aux1218z00_3153 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)0)); 
if(
INTEGERP(BgL_aux1218z00_3153))
{ /* Eval/evaluate_comp.scm 962 */
switch( 
(long)CINT(BgL_aux1218z00_3153)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_fun2613z00_3155;
BgL_fun2613z00_3155 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2613z00_3155)(BgL_fun2613z00_3155, BgL_sz00_11627, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 965 */
long BgL_arg2614z00_3156;
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2615z00_3157;obj_t BgL_arg2616z00_3158;
BgL_arg2615z00_3157 = 
VECTOR_REF(
((obj_t)BgL_sz00_11627),((long)0)); 
BgL_arg2616z00_3158 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2614z00_3156 = 
(
(long)CINT(BgL_arg2615z00_3157)+
(long)CINT(BgL_arg2616z00_3158)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_11627),BgL_arg2614z00_3156);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2617z00_3159;
{ /* Eval/evaluate_comp.scm 966 */
long BgL_arg2618z00_3160;
{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2619z00_3161;obj_t BgL_arg2620z00_3162;
BgL_arg2619z00_3161 = 
VECTOR_REF(
((obj_t)BgL_sz00_11627),((long)0)); 
BgL_arg2620z00_3162 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2618z00_3160 = 
(
(long)CINT(BgL_arg2619z00_3161)+
(long)CINT(BgL_arg2620z00_3162)); } 
BgL_arg2617z00_3159 = 
VECTOR_REF(
((obj_t)BgL_sz00_11627),BgL_arg2618z00_3160); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2617z00_3159), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2621z00_3163;
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2622z00_3164;
BgL_arg2622z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2621z00_3163 = 
VECTOR_REF(
((obj_t)BgL_arg2622z00_3164),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2621z00_3163);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 968 */
obj_t BgL_arg2623z00_3165;
BgL_arg2623z00_3165 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2623z00_3165),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 969 */
obj_t BgL_arg2624z00_3166;obj_t BgL_arg2625z00_3167;
{ /* Eval/evaluate_comp.scm 969 */
obj_t BgL_arg2626z00_3168;
BgL_arg2626z00_3168 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2624z00_3166 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2626z00_3168); } 
{ /* Eval/evaluate_comp.scm 969 */
obj_t BgL_arg2627z00_3169;
BgL_arg2627z00_3169 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)2)); 
BgL_arg2625z00_3167 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2627z00_3169); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2624z00_3166)+
REAL_TO_DOUBLE(BgL_arg2625z00_3167)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 970 */
obj_t BgL_arg2628z00_3170;obj_t BgL_arg2629z00_3171;
{ /* Eval/evaluate_comp.scm 970 */
obj_t BgL_arg2630z00_3172;
BgL_arg2630z00_3172 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2628z00_3170 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2630z00_3172); } 
{ /* Eval/evaluate_comp.scm 970 */
obj_t BgL_arg2631z00_3173;
BgL_arg2631z00_3173 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)2)); 
BgL_arg2629z00_3171 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2631z00_3173); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2628z00_3170)-
REAL_TO_DOUBLE(BgL_arg2629z00_3171)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 971 */
obj_t BgL_arg2632z00_3174;obj_t BgL_arg2633z00_3175;
{ /* Eval/evaluate_comp.scm 971 */
obj_t BgL_arg2634z00_3176;
BgL_arg2634z00_3176 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2632z00_3174 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2634z00_3176); } 
{ /* Eval/evaluate_comp.scm 971 */
obj_t BgL_arg2635z00_3177;
BgL_arg2635z00_3177 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)2)); 
BgL_arg2633z00_3175 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2635z00_3177); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2632z00_3174)*
REAL_TO_DOUBLE(BgL_arg2633z00_3175)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 972 */
obj_t BgL_arg2636z00_3178;obj_t BgL_arg2637z00_3179;
{ /* Eval/evaluate_comp.scm 972 */
obj_t BgL_arg2638z00_3180;
BgL_arg2638z00_3180 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2636z00_3178 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2638z00_3180); } 
{ /* Eval/evaluate_comp.scm 972 */
obj_t BgL_arg2639z00_3181;
BgL_arg2639z00_3181 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)2)); 
BgL_arg2637z00_3179 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_11627, BgL_arg2639z00_3181); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2636z00_3178)/
REAL_TO_DOUBLE(BgL_arg2637z00_3179)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_arg2640z00_3182;
{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_fun2641z00_3183;
BgL_fun2641z00_3183 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2640z00_3182 = 
PROCEDURE_ENTRY(BgL_fun2641z00_3183)(BgL_fun2641z00_3183, BgL_sz00_11627, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2640z00_3182)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 974 */
obj_t BgL_arg2642z00_3184;obj_t BgL_arg2643z00_3185;
{ /* Eval/evaluate_comp.scm 974 */
obj_t BgL_fun2644z00_3186;
BgL_fun2644z00_3186 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)1)); 
BgL_arg2642z00_3184 = 
PROCEDURE_ENTRY(BgL_fun2644z00_3186)(BgL_fun2644z00_3186, BgL_sz00_11627, BEOA); } 
{ /* Eval/evaluate_comp.scm 974 */
obj_t BgL_fun2645z00_3187;
BgL_fun2645z00_3187 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)2)); 
BgL_arg2643z00_3185 = 
PROCEDURE_ENTRY(BgL_fun2645z00_3187)(BgL_fun2645z00_3187, BgL_sz00_11627, BEOA); } 
{ /* Eval/evaluate_comp.scm 974 */
double BgL_tmpz00_19078;
{ /* Eval/evaluate_comp.scm 974 */
long BgL_tmpz00_19079;
BgL_tmpz00_19079 = 
(long)CINT(BgL_arg2643z00_3185); 
BgL_tmpz00_19078 = 
BGL_F64VREF(BgL_arg2642z00_3184, BgL_tmpz00_19079); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_19078);} } break;
default: 
BgL_case_else1217z00_3152:
{ /* Eval/evaluate_comp.scm 975 */
obj_t BgL_arg2646z00_3188;
BgL_arg2646z00_3188 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3150),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string4254z00zz__evaluate_compz00, BGl_string4273z00zz__evaluate_compz00, BgL_arg2646z00_3188);} } }  else 
{ /* Eval/evaluate_comp.scm 962 */
goto BgL_case_else1217z00_3152;} } } } 

}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{
{ /* Eval/evaluate_comp.scm 978 */
{ /* Eval/evaluate_comp.scm 980 */
obj_t BgL_fvalz00_3191;
BgL_fvalz00_3191 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 981 */
bool_t BgL_test4802z00_19090;
if(
(BgL_fvalz00_3191==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 981 */
BgL_test4802z00_19090 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 981 */
if(
(BgL_fvalz00_3191==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 981 */
BgL_test4802z00_19090 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 981 */
if(
(BgL_fvalz00_3191==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 981 */
BgL_test4802z00_19090 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 981 */
BgL_test4802z00_19090 = 
(BgL_fvalz00_3191==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_test4802z00_19090)
{ /* Eval/evaluate_comp.scm 982 */
obj_t BgL_bcz00_3196;
BgL_bcz00_3196 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 983 */
obj_t BgL_zc3z04anonymousza32651ze3z87_9982;
BgL_zc3z04anonymousza32651ze3z87_9982 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_9982, 
(int)(((long)0)), BgL_bcz00_3196); 
return BgL_zc3z04anonymousza32651ze3z87_9982;} }  else 
{ /* Eval/evaluate_comp.scm 981 */
return BFALSE;} } } } 

}



/* &<@anonymous:2651> */
obj_t BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_9983, obj_t BgL_sz00_9985)
{
{ /* Eval/evaluate_comp.scm 983 */
{ /* Eval/evaluate_comp.scm 983 */
obj_t BgL_bcz00_9984;
BgL_bcz00_9984 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_9983, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 983 */
double BgL_tmpz00_19108;
{ /* Eval/evaluate_comp.scm 983 */
obj_t BgL_bpz00_12444;
BgL_bpz00_12444 = 
VECTOR_REF(
((obj_t)BgL_sz00_9985),((long)0)); 
BgL_tmpz00_19108 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_9984, BgL_sz00_9985); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_19108);} } } 

}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{
{ /* Eval/evaluate_comp.scm 1012 */
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_valz00_3204;
BgL_valz00_3204 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3204))
{ /* Eval/evaluate_comp.scm 1015 */
long BgL_nz00_3205;
BgL_nz00_3205 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1016 */
obj_t BgL__ortest_1224z00_3206;
if(
(BgL_nz00_3205==((long)1)))
{ /* Eval/evaluate_comp.scm 1017 */
obj_t BgL_a1z00_3497;
BgL_a1z00_3497 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3204==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_3499;
BgL_a1z00_3499 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3497), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_zc3z04anonymousza32768ze3z87_10015;
BgL_zc3z04anonymousza32768ze3z87_10015 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32768ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32768ze3z87_10015, 
(int)(((long)0)), BgL_a1z00_3499); 
PROCEDURE_SET(BgL_zc3z04anonymousza32768ze3z87_10015, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1224z00_3206 = BgL_zc3z04anonymousza32768ze3z87_10015; } }  else 
{ /* Eval/evaluate_comp.scm 1018 */
if(
(BgL_valz00_3204==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_3506;
BgL_a1z00_3506 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3497), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_zc3z04anonymousza32771ze3z87_10016;
BgL_zc3z04anonymousza32771ze3z87_10016 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32771ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32771ze3z87_10016, 
(int)(((long)0)), BgL_a1z00_3506); 
PROCEDURE_SET(BgL_zc3z04anonymousza32771ze3z87_10016, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1224z00_3206 = BgL_zc3z04anonymousza32771ze3z87_10016; } }  else 
{ /* Eval/evaluate_comp.scm 1018 */
if(
(BgL_valz00_3204==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_3513;
BgL_a1z00_3513 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3497), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_zc3z04anonymousza32774ze3z87_10017;
BgL_zc3z04anonymousza32774ze3z87_10017 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32774ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32774ze3z87_10017, 
(int)(((long)0)), BgL_a1z00_3513); 
PROCEDURE_SET(BgL_zc3z04anonymousza32774ze3z87_10017, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1224z00_3206 = BgL_zc3z04anonymousza32774ze3z87_10017; } }  else 
{ /* Eval/evaluate_comp.scm 1018 */
BgL__ortest_1224z00_3206 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1016 */
BgL__ortest_1224z00_3206 = BFALSE; } 
if(
CBOOL(BgL__ortest_1224z00_3206))
{ /* Eval/evaluate_comp.scm 1016 */
return BgL__ortest_1224z00_3206;}  else 
{ /* Eval/evaluate_comp.scm 1016 */
if(
(BgL_nz00_3205==((long)2)))
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_a1z00_3208;obj_t BgL_a2z00_3209;
BgL_a1z00_3208 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_pairz00_7864;
BgL_pairz00_7864 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3209 = 
CAR(BgL_pairz00_7864); } 
if(
(BgL_valz00_3204==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3211;obj_t BgL_a2z00_3212;
BgL_a1z00_3211 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3212 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32655ze3z87_9986;
BgL_zc3z04anonymousza32655ze3z87_9986 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_9986, 
(int)(((long)0)), BgL_a1z00_3211); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_9986, 
(int)(((long)1)), BgL_a2z00_3212); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_9986, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32655ze3z87_9986;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3221;obj_t BgL_a2z00_3222;
BgL_a1z00_3221 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3222 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32659ze3z87_9987;
BgL_zc3z04anonymousza32659ze3z87_9987 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_9987, 
(int)(((long)0)), BgL_a1z00_3221); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_9987, 
(int)(((long)1)), BgL_a2z00_3222); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_9987, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32659ze3z87_9987;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3231;obj_t BgL_a2z00_3232;
BgL_a1z00_3231 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3232 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32663ze3z87_9988;
BgL_zc3z04anonymousza32663ze3z87_9988 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32663ze3z87_9988, 
(int)(((long)0)), BgL_a1z00_3231); 
PROCEDURE_SET(BgL_zc3z04anonymousza32663ze3z87_9988, 
(int)(((long)1)), BgL_a2z00_3232); 
PROCEDURE_SET(BgL_zc3z04anonymousza32663ze3z87_9988, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32663ze3z87_9988;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3241;obj_t BgL_a2z00_3242;
BgL_a1z00_3241 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3242 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32667ze3z87_9989;
BgL_zc3z04anonymousza32667ze3z87_9989 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32667ze3z87_9989, 
(int)(((long)0)), BgL_a1z00_3241); 
PROCEDURE_SET(BgL_zc3z04anonymousza32667ze3z87_9989, 
(int)(((long)1)), BgL_a2z00_3242); 
PROCEDURE_SET(BgL_zc3z04anonymousza32667ze3z87_9989, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32667ze3z87_9989;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3251;obj_t BgL_a2z00_3252;
BgL_a1z00_3251 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3252 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32671ze3z87_9990;
BgL_zc3z04anonymousza32671ze3z87_9990 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32671ze3z87_9990, 
(int)(((long)0)), BgL_a1z00_3251); 
PROCEDURE_SET(BgL_zc3z04anonymousza32671ze3z87_9990, 
(int)(((long)1)), BgL_a2z00_3252); 
PROCEDURE_SET(BgL_zc3z04anonymousza32671ze3z87_9990, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32671ze3z87_9990;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3261;obj_t BgL_a2z00_3262;
BgL_a1z00_3261 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3262 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32675ze3z87_9991;
BgL_zc3z04anonymousza32675ze3z87_9991 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32675ze3z87_9991, 
(int)(((long)0)), BgL_a1z00_3261); 
PROCEDURE_SET(BgL_zc3z04anonymousza32675ze3z87_9991, 
(int)(((long)1)), BgL_a2z00_3262); 
PROCEDURE_SET(BgL_zc3z04anonymousza32675ze3z87_9991, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32675ze3z87_9991;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3271;obj_t BgL_a2z00_3272;
BgL_a1z00_3271 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3272 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32679ze3z87_9992;
BgL_zc3z04anonymousza32679ze3z87_9992 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32679ze3z87_9992, 
(int)(((long)0)), BgL_a1z00_3271); 
PROCEDURE_SET(BgL_zc3z04anonymousza32679ze3z87_9992, 
(int)(((long)1)), BgL_a2z00_3272); 
PROCEDURE_SET(BgL_zc3z04anonymousza32679ze3z87_9992, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32679ze3z87_9992;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3281;obj_t BgL_a2z00_3282;
BgL_a1z00_3281 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3282 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32683ze3z87_9993;
BgL_zc3z04anonymousza32683ze3z87_9993 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32683ze3z87_9993, 
(int)(((long)0)), BgL_a1z00_3281); 
PROCEDURE_SET(BgL_zc3z04anonymousza32683ze3z87_9993, 
(int)(((long)1)), BgL_a2z00_3282); 
PROCEDURE_SET(BgL_zc3z04anonymousza32683ze3z87_9993, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32683ze3z87_9993;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3291;obj_t BgL_a2z00_3292;
BgL_a1z00_3291 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3292 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32687ze3z87_9994;
BgL_zc3z04anonymousza32687ze3z87_9994 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32687ze3z87_9994, 
(int)(((long)0)), BgL_a1z00_3291); 
PROCEDURE_SET(BgL_zc3z04anonymousza32687ze3z87_9994, 
(int)(((long)1)), BgL_a2z00_3292); 
PROCEDURE_SET(BgL_zc3z04anonymousza32687ze3z87_9994, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32687ze3z87_9994;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3301;obj_t BgL_a2z00_3302;
BgL_a1z00_3301 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3302 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32691ze3z87_9995;
BgL_zc3z04anonymousza32691ze3z87_9995 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_9995, 
(int)(((long)0)), BgL_a1z00_3301); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_9995, 
(int)(((long)1)), BgL_a2z00_3302); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_9995, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32691ze3z87_9995;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3311;obj_t BgL_a2z00_3312;
BgL_a1z00_3311 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3312 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32695ze3z87_9996;
BgL_zc3z04anonymousza32695ze3z87_9996 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32695ze3z87_9996, 
(int)(((long)0)), BgL_a1z00_3311); 
PROCEDURE_SET(BgL_zc3z04anonymousza32695ze3z87_9996, 
(int)(((long)1)), BgL_a2z00_3312); 
PROCEDURE_SET(BgL_zc3z04anonymousza32695ze3z87_9996, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32695ze3z87_9996;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3321;obj_t BgL_a2z00_3322;
BgL_a1z00_3321 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3322 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32699ze3z87_9997;
BgL_zc3z04anonymousza32699ze3z87_9997 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32699ze3z87_9997, 
(int)(((long)0)), BgL_a1z00_3321); 
PROCEDURE_SET(BgL_zc3z04anonymousza32699ze3z87_9997, 
(int)(((long)1)), BgL_a2z00_3322); 
PROCEDURE_SET(BgL_zc3z04anonymousza32699ze3z87_9997, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32699ze3z87_9997;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3331;obj_t BgL_a2z00_3332;
BgL_a1z00_3331 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3332 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32703ze3z87_9998;
BgL_zc3z04anonymousza32703ze3z87_9998 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_9998, 
(int)(((long)0)), BgL_a1z00_3331); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_9998, 
(int)(((long)1)), BgL_a2z00_3332); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_9998, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32703ze3z87_9998;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3341;obj_t BgL_a2z00_3342;
BgL_a1z00_3341 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3342 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32707ze3z87_9999;
BgL_zc3z04anonymousza32707ze3z87_9999 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32707ze3z87_9999, 
(int)(((long)0)), BgL_a1z00_3341); 
PROCEDURE_SET(BgL_zc3z04anonymousza32707ze3z87_9999, 
(int)(((long)1)), BgL_a2z00_3342); 
PROCEDURE_SET(BgL_zc3z04anonymousza32707ze3z87_9999, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32707ze3z87_9999;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3351;obj_t BgL_a2z00_3352;
BgL_a1z00_3351 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3352 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32711ze3z87_10000;
BgL_zc3z04anonymousza32711ze3z87_10000 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32711ze3z87_10000, 
(int)(((long)0)), BgL_a1z00_3351); 
PROCEDURE_SET(BgL_zc3z04anonymousza32711ze3z87_10000, 
(int)(((long)1)), BgL_a2z00_3352); 
PROCEDURE_SET(BgL_zc3z04anonymousza32711ze3z87_10000, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32711ze3z87_10000;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3361;obj_t BgL_a2z00_3362;
BgL_a1z00_3361 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3362 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32715ze3z87_10001;
BgL_zc3z04anonymousza32715ze3z87_10001 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_10001, 
(int)(((long)0)), BgL_a1z00_3361); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_10001, 
(int)(((long)1)), BgL_a2z00_3362); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_10001, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32715ze3z87_10001;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3371;obj_t BgL_a2z00_3372;
BgL_a1z00_3371 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3372 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32719ze3z87_10002;
BgL_zc3z04anonymousza32719ze3z87_10002 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32719ze3z87_10002, 
(int)(((long)0)), BgL_a1z00_3371); 
PROCEDURE_SET(BgL_zc3z04anonymousza32719ze3z87_10002, 
(int)(((long)1)), BgL_a2z00_3372); 
PROCEDURE_SET(BgL_zc3z04anonymousza32719ze3z87_10002, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32719ze3z87_10002;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3381;obj_t BgL_a2z00_3382;
BgL_a1z00_3381 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3382 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32723ze3z87_10003;
BgL_zc3z04anonymousza32723ze3z87_10003 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32723ze3z87_10003, 
(int)(((long)0)), BgL_a1z00_3381); 
PROCEDURE_SET(BgL_zc3z04anonymousza32723ze3z87_10003, 
(int)(((long)1)), BgL_a2z00_3382); 
PROCEDURE_SET(BgL_zc3z04anonymousza32723ze3z87_10003, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32723ze3z87_10003;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3391;obj_t BgL_a2z00_3392;
BgL_a1z00_3391 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3392 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32727ze3z87_10004;
BgL_zc3z04anonymousza32727ze3z87_10004 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_10004, 
(int)(((long)0)), BgL_a1z00_3391); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_10004, 
(int)(((long)1)), BgL_a2z00_3392); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_10004, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32727ze3z87_10004;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3401;obj_t BgL_a2z00_3402;
BgL_a1z00_3401 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3402 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32731ze3z87_10005;
BgL_zc3z04anonymousza32731ze3z87_10005 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32731ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32731ze3z87_10005, 
(int)(((long)0)), BgL_a1z00_3401); 
PROCEDURE_SET(BgL_zc3z04anonymousza32731ze3z87_10005, 
(int)(((long)1)), BgL_a2z00_3402); 
PROCEDURE_SET(BgL_zc3z04anonymousza32731ze3z87_10005, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32731ze3z87_10005;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3411;obj_t BgL_a2z00_3412;
BgL_a1z00_3411 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3412 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32735ze3z87_10006;
BgL_zc3z04anonymousza32735ze3z87_10006 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32735ze3z87_10006, 
(int)(((long)0)), BgL_a1z00_3411); 
PROCEDURE_SET(BgL_zc3z04anonymousza32735ze3z87_10006, 
(int)(((long)1)), BgL_a2z00_3412); 
PROCEDURE_SET(BgL_zc3z04anonymousza32735ze3z87_10006, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32735ze3z87_10006;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3421;obj_t BgL_a2z00_3422;
BgL_a1z00_3421 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3422 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32739ze3z87_10007;
BgL_zc3z04anonymousza32739ze3z87_10007 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32739ze3z87_10007, 
(int)(((long)0)), BgL_a1z00_3421); 
PROCEDURE_SET(BgL_zc3z04anonymousza32739ze3z87_10007, 
(int)(((long)1)), BgL_a2z00_3422); 
PROCEDURE_SET(BgL_zc3z04anonymousza32739ze3z87_10007, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32739ze3z87_10007;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3431;obj_t BgL_a2z00_3432;
BgL_a1z00_3431 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3432 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32743ze3z87_10008;
BgL_zc3z04anonymousza32743ze3z87_10008 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32743ze3z87_10008, 
(int)(((long)0)), BgL_a1z00_3431); 
PROCEDURE_SET(BgL_zc3z04anonymousza32743ze3z87_10008, 
(int)(((long)1)), BgL_a2z00_3432); 
PROCEDURE_SET(BgL_zc3z04anonymousza32743ze3z87_10008, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32743ze3z87_10008;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3441;obj_t BgL_a2z00_3442;
BgL_a1z00_3441 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3442 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32747ze3z87_10009;
BgL_zc3z04anonymousza32747ze3z87_10009 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32747ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32747ze3z87_10009, 
(int)(((long)0)), BgL_a1z00_3441); 
PROCEDURE_SET(BgL_zc3z04anonymousza32747ze3z87_10009, 
(int)(((long)1)), BgL_a2z00_3442); 
PROCEDURE_SET(BgL_zc3z04anonymousza32747ze3z87_10009, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32747ze3z87_10009;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3451;obj_t BgL_a2z00_3452;
BgL_a1z00_3451 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3452 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32751ze3z87_10010;
BgL_zc3z04anonymousza32751ze3z87_10010 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32751ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32751ze3z87_10010, 
(int)(((long)0)), BgL_a1z00_3451); 
PROCEDURE_SET(BgL_zc3z04anonymousza32751ze3z87_10010, 
(int)(((long)1)), BgL_a2z00_3452); 
PROCEDURE_SET(BgL_zc3z04anonymousza32751ze3z87_10010, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32751ze3z87_10010;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3461;obj_t BgL_a2z00_3462;
BgL_a1z00_3461 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3462 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32755ze3z87_10011;
BgL_zc3z04anonymousza32755ze3z87_10011 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32755ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32755ze3z87_10011, 
(int)(((long)0)), BgL_a1z00_3461); 
PROCEDURE_SET(BgL_zc3z04anonymousza32755ze3z87_10011, 
(int)(((long)1)), BgL_a2z00_3462); 
PROCEDURE_SET(BgL_zc3z04anonymousza32755ze3z87_10011, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32755ze3z87_10011;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3471;obj_t BgL_a2z00_3472;
BgL_a1z00_3471 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3472 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32759ze3z87_10012;
BgL_zc3z04anonymousza32759ze3z87_10012 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32759ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32759ze3z87_10012, 
(int)(((long)0)), BgL_a1z00_3471); 
PROCEDURE_SET(BgL_zc3z04anonymousza32759ze3z87_10012, 
(int)(((long)1)), BgL_a2z00_3472); 
PROCEDURE_SET(BgL_zc3z04anonymousza32759ze3z87_10012, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32759ze3z87_10012;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3481;obj_t BgL_a2z00_3482;
BgL_a1z00_3481 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3482 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32763ze3z87_10013;
BgL_zc3z04anonymousza32763ze3z87_10013 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32763ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32763ze3z87_10013, 
(int)(((long)0)), BgL_a1z00_3481); 
PROCEDURE_SET(BgL_zc3z04anonymousza32763ze3z87_10013, 
(int)(((long)1)), BgL_a2z00_3482); 
return BgL_zc3z04anonymousza32763ze3z87_10013;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3204==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3489;obj_t BgL_a2z00_3490;
BgL_a1z00_3489 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3208), BgL_stkz00_196); 
BgL_a2z00_3490 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3209), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32765ze3z87_10014;
BgL_zc3z04anonymousza32765ze3z87_10014 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_10014, 
(int)(((long)0)), BgL_a1z00_3489); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_10014, 
(int)(((long)1)), BgL_a2z00_3490); 
return BgL_zc3z04anonymousza32765ze3z87_10014;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1019 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1014 */
return BFALSE;} } } 

}



/* &<@anonymous:2655> */
obj_t BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10018, obj_t BgL_sz00_10022)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10019;obj_t BgL_a2z00_10020;obj_t BgL_locz00_10021;
BgL_a1z00_10019 = 
PROCEDURE_REF(BgL_envz00_10018, 
(int)(((long)0))); 
BgL_a2z00_10020 = 
PROCEDURE_REF(BgL_envz00_10018, 
(int)(((long)1))); 
BgL_locz00_10021 = 
PROCEDURE_REF(BgL_envz00_10018, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12445;
BgL_bpz00_12445 = 
VECTOR_REF(
((obj_t)BgL_sz00_10022),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12446;obj_t BgL_a2z00_12447;
BgL_a1z00_12446 = 
PROCEDURE_ENTRY(BgL_a1z00_10019)(BgL_a1z00_10019, BgL_sz00_10022, BEOA); 
BgL_a2z00_12447 = 
PROCEDURE_ENTRY(BgL_a2z00_10020)(BgL_a2z00_10020, BgL_sz00_10022, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12446))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4274z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12446, BgL_locz00_10021); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12447))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4274z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12447, BgL_locz00_10021); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_12446, BgL_a2z00_12447);} } } } 

}



/* &<@anonymous:2659> */
obj_t BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10023, obj_t BgL_sz00_10027)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10024;obj_t BgL_a2z00_10025;obj_t BgL_locz00_10026;
BgL_a1z00_10024 = 
PROCEDURE_REF(BgL_envz00_10023, 
(int)(((long)0))); 
BgL_a2z00_10025 = 
PROCEDURE_REF(BgL_envz00_10023, 
(int)(((long)1))); 
BgL_locz00_10026 = 
PROCEDURE_REF(BgL_envz00_10023, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12448;
BgL_bpz00_12448 = 
VECTOR_REF(
((obj_t)BgL_sz00_10027),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12449;obj_t BgL_a2z00_12450;
BgL_a1z00_12449 = 
PROCEDURE_ENTRY(BgL_a1z00_10024)(BgL_a1z00_10024, BgL_sz00_10027, BEOA); 
BgL_a2z00_12450 = 
PROCEDURE_ENTRY(BgL_a2z00_10025)(BgL_a2z00_10025, BgL_sz00_10027, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12449))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4278z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12449, BgL_locz00_10026); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12450))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4278z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12450, BgL_locz00_10026); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_12449, BgL_a2z00_12450);} } } } 

}



/* &<@anonymous:2663> */
obj_t BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10028, obj_t BgL_sz00_10032)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10029;obj_t BgL_a2z00_10030;obj_t BgL_locz00_10031;
BgL_a1z00_10029 = 
PROCEDURE_REF(BgL_envz00_10028, 
(int)(((long)0))); 
BgL_a2z00_10030 = 
PROCEDURE_REF(BgL_envz00_10028, 
(int)(((long)1))); 
BgL_locz00_10031 = 
PROCEDURE_REF(BgL_envz00_10028, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12451;
BgL_bpz00_12451 = 
VECTOR_REF(
((obj_t)BgL_sz00_10032),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12452;obj_t BgL_a2z00_12453;
BgL_a1z00_12452 = 
PROCEDURE_ENTRY(BgL_a1z00_10029)(BgL_a1z00_10029, BgL_sz00_10032, BEOA); 
BgL_a2z00_12453 = 
PROCEDURE_ENTRY(BgL_a2z00_10030)(BgL_a2z00_10030, BgL_sz00_10032, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12452))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4280z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12452, BgL_locz00_10031); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12453))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4280z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12453, BgL_locz00_10031); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_12452, BgL_a2z00_12453);} } } } 

}



/* &<@anonymous:2667> */
obj_t BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10033, obj_t BgL_sz00_10037)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10034;obj_t BgL_a2z00_10035;obj_t BgL_locz00_10036;
BgL_a1z00_10034 = 
PROCEDURE_REF(BgL_envz00_10033, 
(int)(((long)0))); 
BgL_a2z00_10035 = 
PROCEDURE_REF(BgL_envz00_10033, 
(int)(((long)1))); 
BgL_locz00_10036 = 
PROCEDURE_REF(BgL_envz00_10033, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12454;
BgL_bpz00_12454 = 
VECTOR_REF(
((obj_t)BgL_sz00_10037),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12455;obj_t BgL_a2z00_12456;
BgL_a1z00_12455 = 
PROCEDURE_ENTRY(BgL_a1z00_10034)(BgL_a1z00_10034, BgL_sz00_10037, BEOA); 
BgL_a2z00_12456 = 
PROCEDURE_ENTRY(BgL_a2z00_10035)(BgL_a2z00_10035, BgL_sz00_10037, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12455))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4282z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12455, BgL_locz00_10036); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12456))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4282z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12456, BgL_locz00_10036); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_12455, BgL_a2z00_12456);} } } } 

}



/* &<@anonymous:2671> */
obj_t BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10038, obj_t BgL_sz00_10042)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10039;obj_t BgL_a2z00_10040;obj_t BgL_locz00_10041;
BgL_a1z00_10039 = 
PROCEDURE_REF(BgL_envz00_10038, 
(int)(((long)0))); 
BgL_a2z00_10040 = 
PROCEDURE_REF(BgL_envz00_10038, 
(int)(((long)1))); 
BgL_locz00_10041 = 
PROCEDURE_REF(BgL_envz00_10038, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19692;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12457;
BgL_bpz00_12457 = 
VECTOR_REF(
((obj_t)BgL_sz00_10042),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12458;obj_t BgL_a2z00_12459;
BgL_a1z00_12458 = 
PROCEDURE_ENTRY(BgL_a1z00_10039)(BgL_a1z00_10039, BgL_sz00_10042, BEOA); 
BgL_a2z00_12459 = 
PROCEDURE_ENTRY(BgL_a2z00_10040)(BgL_a2z00_10040, BgL_sz00_10042, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12458))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4284z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12458, BgL_locz00_10041); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12459))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4284z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12459, BgL_locz00_10041); } 
BgL_tmpz00_19692 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_12458, BgL_a2z00_12459); } } 
return 
BBOOL(BgL_tmpz00_19692);} } } 

}



/* &<@anonymous:2675> */
obj_t BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10043, obj_t BgL_sz00_10047)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10044;obj_t BgL_a2z00_10045;obj_t BgL_locz00_10046;
BgL_a1z00_10044 = 
PROCEDURE_REF(BgL_envz00_10043, 
(int)(((long)0))); 
BgL_a2z00_10045 = 
PROCEDURE_REF(BgL_envz00_10043, 
(int)(((long)1))); 
BgL_locz00_10046 = 
PROCEDURE_REF(BgL_envz00_10043, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19717;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12460;
BgL_bpz00_12460 = 
VECTOR_REF(
((obj_t)BgL_sz00_10047),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12461;obj_t BgL_a2z00_12462;
BgL_a1z00_12461 = 
PROCEDURE_ENTRY(BgL_a1z00_10044)(BgL_a1z00_10044, BgL_sz00_10047, BEOA); 
BgL_a2z00_12462 = 
PROCEDURE_ENTRY(BgL_a2z00_10045)(BgL_a2z00_10045, BgL_sz00_10047, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12461))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4286z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12461, BgL_locz00_10046); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12462))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4286z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12462, BgL_locz00_10046); } 
BgL_tmpz00_19717 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_12461, BgL_a2z00_12462); } } 
return 
BBOOL(BgL_tmpz00_19717);} } } 

}



/* &<@anonymous:2679> */
obj_t BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10048, obj_t BgL_sz00_10052)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10049;obj_t BgL_a2z00_10050;obj_t BgL_locz00_10051;
BgL_a1z00_10049 = 
PROCEDURE_REF(BgL_envz00_10048, 
(int)(((long)0))); 
BgL_a2z00_10050 = 
PROCEDURE_REF(BgL_envz00_10048, 
(int)(((long)1))); 
BgL_locz00_10051 = 
PROCEDURE_REF(BgL_envz00_10048, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19742;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12463;
BgL_bpz00_12463 = 
VECTOR_REF(
((obj_t)BgL_sz00_10052),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12464;obj_t BgL_a2z00_12465;
BgL_a1z00_12464 = 
PROCEDURE_ENTRY(BgL_a1z00_10049)(BgL_a1z00_10049, BgL_sz00_10052, BEOA); 
BgL_a2z00_12465 = 
PROCEDURE_ENTRY(BgL_a2z00_10050)(BgL_a2z00_10050, BgL_sz00_10052, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12464))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4288z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12464, BgL_locz00_10051); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12465))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4288z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12465, BgL_locz00_10051); } 
BgL_tmpz00_19742 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_12464, BgL_a2z00_12465); } } 
return 
BBOOL(BgL_tmpz00_19742);} } } 

}



/* &<@anonymous:2683> */
obj_t BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10053, obj_t BgL_sz00_10057)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10054;obj_t BgL_a2z00_10055;obj_t BgL_locz00_10056;
BgL_a1z00_10054 = 
PROCEDURE_REF(BgL_envz00_10053, 
(int)(((long)0))); 
BgL_a2z00_10055 = 
PROCEDURE_REF(BgL_envz00_10053, 
(int)(((long)1))); 
BgL_locz00_10056 = 
PROCEDURE_REF(BgL_envz00_10053, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19767;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12466;
BgL_bpz00_12466 = 
VECTOR_REF(
((obj_t)BgL_sz00_10057),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12467;obj_t BgL_a2z00_12468;
BgL_a1z00_12467 = 
PROCEDURE_ENTRY(BgL_a1z00_10054)(BgL_a1z00_10054, BgL_sz00_10057, BEOA); 
BgL_a2z00_12468 = 
PROCEDURE_ENTRY(BgL_a2z00_10055)(BgL_a2z00_10055, BgL_sz00_10057, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12467))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4290z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12467, BgL_locz00_10056); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12468))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4290z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12468, BgL_locz00_10056); } 
BgL_tmpz00_19767 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_12467, BgL_a2z00_12468); } } 
return 
BBOOL(BgL_tmpz00_19767);} } } 

}



/* &<@anonymous:2687> */
obj_t BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10058, obj_t BgL_sz00_10062)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10059;obj_t BgL_a2z00_10060;obj_t BgL_locz00_10061;
BgL_a1z00_10059 = 
PROCEDURE_REF(BgL_envz00_10058, 
(int)(((long)0))); 
BgL_a2z00_10060 = 
PROCEDURE_REF(BgL_envz00_10058, 
(int)(((long)1))); 
BgL_locz00_10061 = 
PROCEDURE_REF(BgL_envz00_10058, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19792;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12469;
BgL_bpz00_12469 = 
VECTOR_REF(
((obj_t)BgL_sz00_10062),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12470;obj_t BgL_a2z00_12471;
BgL_a1z00_12470 = 
PROCEDURE_ENTRY(BgL_a1z00_10059)(BgL_a1z00_10059, BgL_sz00_10062, BEOA); 
BgL_a2z00_12471 = 
PROCEDURE_ENTRY(BgL_a2z00_10060)(BgL_a2z00_10060, BgL_sz00_10062, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_12470))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4292z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a1z00_12470, BgL_locz00_10061); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_12471))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4292z00zz__evaluate_compz00, BGl_symbol4276z00zz__evaluate_compz00, BgL_a2z00_12471, BgL_locz00_10061); } 
BgL_tmpz00_19792 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_12470, BgL_a2z00_12471); } } 
return 
BBOOL(BgL_tmpz00_19792);} } } 

}



/* &<@anonymous:2691> */
obj_t BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10063, obj_t BgL_sz00_10067)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10064;obj_t BgL_a2z00_10065;obj_t BgL_locz00_10066;
BgL_a1z00_10064 = 
PROCEDURE_REF(BgL_envz00_10063, 
(int)(((long)0))); 
BgL_a2z00_10065 = 
PROCEDURE_REF(BgL_envz00_10063, 
(int)(((long)1))); 
BgL_locz00_10066 = 
PROCEDURE_REF(BgL_envz00_10063, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_19817;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12472;
BgL_bpz00_12472 = 
VECTOR_REF(
((obj_t)BgL_sz00_10067),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12473;obj_t BgL_a2z00_12474;
BgL_a1z00_12473 = 
PROCEDURE_ENTRY(BgL_a1z00_10064)(BgL_a1z00_10064, BgL_sz00_10067, BEOA); 
BgL_a2z00_12474 = 
PROCEDURE_ENTRY(BgL_a2z00_10065)(BgL_a2z00_10065, BgL_sz00_10067, BEOA); 
if(
INTEGERP(BgL_a1z00_12473))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4294z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12473, BgL_locz00_10066); } 
if(
INTEGERP(BgL_a2z00_12474))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4294z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12474, BgL_locz00_10066); } 
BgL_tmpz00_19817 = 
(
(long)CINT(BgL_a1z00_12473)+
(long)CINT(BgL_a2z00_12474)); } } 
return 
BINT(BgL_tmpz00_19817);} } } 

}



/* &<@anonymous:2695> */
obj_t BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10068, obj_t BgL_sz00_10072)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10069;obj_t BgL_a2z00_10070;obj_t BgL_locz00_10071;
BgL_a1z00_10069 = 
PROCEDURE_REF(BgL_envz00_10068, 
(int)(((long)0))); 
BgL_a2z00_10070 = 
PROCEDURE_REF(BgL_envz00_10068, 
(int)(((long)1))); 
BgL_locz00_10071 = 
PROCEDURE_REF(BgL_envz00_10068, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_19844;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12475;
BgL_bpz00_12475 = 
VECTOR_REF(
((obj_t)BgL_sz00_10072),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12476;obj_t BgL_a2z00_12477;
BgL_a1z00_12476 = 
PROCEDURE_ENTRY(BgL_a1z00_10069)(BgL_a1z00_10069, BgL_sz00_10072, BEOA); 
BgL_a2z00_12477 = 
PROCEDURE_ENTRY(BgL_a2z00_10070)(BgL_a2z00_10070, BgL_sz00_10072, BEOA); 
if(
INTEGERP(BgL_a1z00_12476))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4298z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12476, BgL_locz00_10071); } 
if(
INTEGERP(BgL_a2z00_12477))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4298z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12477, BgL_locz00_10071); } 
BgL_tmpz00_19844 = 
(
(long)CINT(BgL_a1z00_12476)-
(long)CINT(BgL_a2z00_12477)); } } 
return 
BINT(BgL_tmpz00_19844);} } } 

}



/* &<@anonymous:2699> */
obj_t BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10073, obj_t BgL_sz00_10077)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10074;obj_t BgL_a2z00_10075;obj_t BgL_locz00_10076;
BgL_a1z00_10074 = 
PROCEDURE_REF(BgL_envz00_10073, 
(int)(((long)0))); 
BgL_a2z00_10075 = 
PROCEDURE_REF(BgL_envz00_10073, 
(int)(((long)1))); 
BgL_locz00_10076 = 
PROCEDURE_REF(BgL_envz00_10073, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_19871;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12478;
BgL_bpz00_12478 = 
VECTOR_REF(
((obj_t)BgL_sz00_10077),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12479;obj_t BgL_a2z00_12480;
BgL_a1z00_12479 = 
PROCEDURE_ENTRY(BgL_a1z00_10074)(BgL_a1z00_10074, BgL_sz00_10077, BEOA); 
BgL_a2z00_12480 = 
PROCEDURE_ENTRY(BgL_a2z00_10075)(BgL_a2z00_10075, BgL_sz00_10077, BEOA); 
if(
INTEGERP(BgL_a1z00_12479))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4300z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12479, BgL_locz00_10076); } 
if(
INTEGERP(BgL_a2z00_12480))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4300z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12480, BgL_locz00_10076); } 
BgL_tmpz00_19871 = 
(
(long)CINT(BgL_a1z00_12479)*
(long)CINT(BgL_a2z00_12480)); } } 
return 
BINT(BgL_tmpz00_19871);} } } 

}



/* &<@anonymous:2703> */
obj_t BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10078, obj_t BgL_sz00_10082)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10079;obj_t BgL_a2z00_10080;obj_t BgL_locz00_10081;
BgL_a1z00_10079 = 
PROCEDURE_REF(BgL_envz00_10078, 
(int)(((long)0))); 
BgL_a2z00_10080 = 
PROCEDURE_REF(BgL_envz00_10078, 
(int)(((long)1))); 
BgL_locz00_10081 = 
PROCEDURE_REF(BgL_envz00_10078, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_19898;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12481;
BgL_bpz00_12481 = 
VECTOR_REF(
((obj_t)BgL_sz00_10082),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12482;obj_t BgL_a2z00_12483;
BgL_a1z00_12482 = 
PROCEDURE_ENTRY(BgL_a1z00_10079)(BgL_a1z00_10079, BgL_sz00_10082, BEOA); 
BgL_a2z00_12483 = 
PROCEDURE_ENTRY(BgL_a2z00_10080)(BgL_a2z00_10080, BgL_sz00_10082, BEOA); 
if(
INTEGERP(BgL_a1z00_12482))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4302z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12482, BgL_locz00_10081); } 
if(
INTEGERP(BgL_a2z00_12483))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4302z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12483, BgL_locz00_10081); } 
BgL_tmpz00_19898 = 
(
(long)CINT(BgL_a1z00_12482)/
(long)CINT(BgL_a2z00_12483)); } } 
return 
BINT(BgL_tmpz00_19898);} } } 

}



/* &<@anonymous:2707> */
obj_t BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10083, obj_t BgL_sz00_10087)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10084;obj_t BgL_a2z00_10085;obj_t BgL_locz00_10086;
BgL_a1z00_10084 = 
PROCEDURE_REF(BgL_envz00_10083, 
(int)(((long)0))); 
BgL_a2z00_10085 = 
PROCEDURE_REF(BgL_envz00_10083, 
(int)(((long)1))); 
BgL_locz00_10086 = 
PROCEDURE_REF(BgL_envz00_10083, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19925;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12484;
BgL_bpz00_12484 = 
VECTOR_REF(
((obj_t)BgL_sz00_10087),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12485;obj_t BgL_a2z00_12486;
BgL_a1z00_12485 = 
PROCEDURE_ENTRY(BgL_a1z00_10084)(BgL_a1z00_10084, BgL_sz00_10087, BEOA); 
BgL_a2z00_12486 = 
PROCEDURE_ENTRY(BgL_a2z00_10085)(BgL_a2z00_10085, BgL_sz00_10087, BEOA); 
if(
INTEGERP(BgL_a1z00_12485))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4304z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12485, BgL_locz00_10086); } 
if(
INTEGERP(BgL_a2z00_12486))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4304z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12486, BgL_locz00_10086); } 
BgL_tmpz00_19925 = 
(
(long)CINT(BgL_a1z00_12485)<
(long)CINT(BgL_a2z00_12486)); } } 
return 
BBOOL(BgL_tmpz00_19925);} } } 

}



/* &<@anonymous:2711> */
obj_t BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10088, obj_t BgL_sz00_10092)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10089;obj_t BgL_a2z00_10090;obj_t BgL_locz00_10091;
BgL_a1z00_10089 = 
PROCEDURE_REF(BgL_envz00_10088, 
(int)(((long)0))); 
BgL_a2z00_10090 = 
PROCEDURE_REF(BgL_envz00_10088, 
(int)(((long)1))); 
BgL_locz00_10091 = 
PROCEDURE_REF(BgL_envz00_10088, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19952;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12487;
BgL_bpz00_12487 = 
VECTOR_REF(
((obj_t)BgL_sz00_10092),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12488;obj_t BgL_a2z00_12489;
BgL_a1z00_12488 = 
PROCEDURE_ENTRY(BgL_a1z00_10089)(BgL_a1z00_10089, BgL_sz00_10092, BEOA); 
BgL_a2z00_12489 = 
PROCEDURE_ENTRY(BgL_a2z00_10090)(BgL_a2z00_10090, BgL_sz00_10092, BEOA); 
if(
INTEGERP(BgL_a1z00_12488))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4306z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12488, BgL_locz00_10091); } 
if(
INTEGERP(BgL_a2z00_12489))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4306z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12489, BgL_locz00_10091); } 
BgL_tmpz00_19952 = 
(
(long)CINT(BgL_a1z00_12488)>
(long)CINT(BgL_a2z00_12489)); } } 
return 
BBOOL(BgL_tmpz00_19952);} } } 

}



/* &<@anonymous:2715> */
obj_t BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10093, obj_t BgL_sz00_10097)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10094;obj_t BgL_a2z00_10095;obj_t BgL_locz00_10096;
BgL_a1z00_10094 = 
PROCEDURE_REF(BgL_envz00_10093, 
(int)(((long)0))); 
BgL_a2z00_10095 = 
PROCEDURE_REF(BgL_envz00_10093, 
(int)(((long)1))); 
BgL_locz00_10096 = 
PROCEDURE_REF(BgL_envz00_10093, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_19979;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12490;
BgL_bpz00_12490 = 
VECTOR_REF(
((obj_t)BgL_sz00_10097),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12491;obj_t BgL_a2z00_12492;
BgL_a1z00_12491 = 
PROCEDURE_ENTRY(BgL_a1z00_10094)(BgL_a1z00_10094, BgL_sz00_10097, BEOA); 
BgL_a2z00_12492 = 
PROCEDURE_ENTRY(BgL_a2z00_10095)(BgL_a2z00_10095, BgL_sz00_10097, BEOA); 
if(
INTEGERP(BgL_a1z00_12491))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4308z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12491, BgL_locz00_10096); } 
if(
INTEGERP(BgL_a2z00_12492))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4308z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12492, BgL_locz00_10096); } 
BgL_tmpz00_19979 = 
(
(long)CINT(BgL_a1z00_12491)<=
(long)CINT(BgL_a2z00_12492)); } } 
return 
BBOOL(BgL_tmpz00_19979);} } } 

}



/* &<@anonymous:2719> */
obj_t BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10098, obj_t BgL_sz00_10102)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10099;obj_t BgL_a2z00_10100;obj_t BgL_locz00_10101;
BgL_a1z00_10099 = 
PROCEDURE_REF(BgL_envz00_10098, 
(int)(((long)0))); 
BgL_a2z00_10100 = 
PROCEDURE_REF(BgL_envz00_10098, 
(int)(((long)1))); 
BgL_locz00_10101 = 
PROCEDURE_REF(BgL_envz00_10098, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20006;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12493;
BgL_bpz00_12493 = 
VECTOR_REF(
((obj_t)BgL_sz00_10102),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12494;obj_t BgL_a2z00_12495;
BgL_a1z00_12494 = 
PROCEDURE_ENTRY(BgL_a1z00_10099)(BgL_a1z00_10099, BgL_sz00_10102, BEOA); 
BgL_a2z00_12495 = 
PROCEDURE_ENTRY(BgL_a2z00_10100)(BgL_a2z00_10100, BgL_sz00_10102, BEOA); 
if(
INTEGERP(BgL_a1z00_12494))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4310z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12494, BgL_locz00_10101); } 
if(
INTEGERP(BgL_a2z00_12495))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4310z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12495, BgL_locz00_10101); } 
BgL_tmpz00_20006 = 
(
(long)CINT(BgL_a1z00_12494)>=
(long)CINT(BgL_a2z00_12495)); } } 
return 
BBOOL(BgL_tmpz00_20006);} } } 

}



/* &<@anonymous:2723> */
obj_t BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10103, obj_t BgL_sz00_10107)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10104;obj_t BgL_a2z00_10105;obj_t BgL_locz00_10106;
BgL_a1z00_10104 = 
PROCEDURE_REF(BgL_envz00_10103, 
(int)(((long)0))); 
BgL_a2z00_10105 = 
PROCEDURE_REF(BgL_envz00_10103, 
(int)(((long)1))); 
BgL_locz00_10106 = 
PROCEDURE_REF(BgL_envz00_10103, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20033;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12496;
BgL_bpz00_12496 = 
VECTOR_REF(
((obj_t)BgL_sz00_10107),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12497;obj_t BgL_a2z00_12498;
BgL_a1z00_12497 = 
PROCEDURE_ENTRY(BgL_a1z00_10104)(BgL_a1z00_10104, BgL_sz00_10107, BEOA); 
BgL_a2z00_12498 = 
PROCEDURE_ENTRY(BgL_a2z00_10105)(BgL_a2z00_10105, BgL_sz00_10107, BEOA); 
if(
INTEGERP(BgL_a1z00_12497))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4312z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a1z00_12497, BgL_locz00_10106); } 
if(
INTEGERP(BgL_a2z00_12498))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4312z00zz__evaluate_compz00, BGl_symbol4296z00zz__evaluate_compz00, BgL_a2z00_12498, BgL_locz00_10106); } 
BgL_tmpz00_20033 = 
(
(long)CINT(BgL_a1z00_12497)==
(long)CINT(BgL_a2z00_12498)); } } 
return 
BBOOL(BgL_tmpz00_20033);} } } 

}



/* &<@anonymous:2727> */
obj_t BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10108, obj_t BgL_sz00_10112)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10109;obj_t BgL_a2z00_10110;obj_t BgL_locz00_10111;
BgL_a1z00_10109 = 
PROCEDURE_REF(BgL_envz00_10108, 
(int)(((long)0))); 
BgL_a2z00_10110 = 
PROCEDURE_REF(BgL_envz00_10108, 
(int)(((long)1))); 
BgL_locz00_10111 = 
PROCEDURE_REF(BgL_envz00_10108, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_20060;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12499;
BgL_bpz00_12499 = 
VECTOR_REF(
((obj_t)BgL_sz00_10112),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12500;obj_t BgL_a2z00_12501;
BgL_a1z00_12500 = 
PROCEDURE_ENTRY(BgL_a1z00_10109)(BgL_a1z00_10109, BgL_sz00_10112, BEOA); 
BgL_a2z00_12501 = 
PROCEDURE_ENTRY(BgL_a2z00_10110)(BgL_a2z00_10110, BgL_sz00_10112, BEOA); 
if(
REALP(BgL_a1z00_12500))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4314z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12500, BgL_locz00_10111); } 
if(
REALP(BgL_a2z00_12501))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4314z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12501, BgL_locz00_10111); } 
BgL_tmpz00_20060 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12500)+
REAL_TO_DOUBLE(BgL_a2z00_12501)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20060);} } } 

}



/* &<@anonymous:2731> */
obj_t BGl_z62zc3z04anonymousza32731ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10113, obj_t BgL_sz00_10117)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10114;obj_t BgL_a2z00_10115;obj_t BgL_locz00_10116;
BgL_a1z00_10114 = 
PROCEDURE_REF(BgL_envz00_10113, 
(int)(((long)0))); 
BgL_a2z00_10115 = 
PROCEDURE_REF(BgL_envz00_10113, 
(int)(((long)1))); 
BgL_locz00_10116 = 
PROCEDURE_REF(BgL_envz00_10113, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_20087;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12502;
BgL_bpz00_12502 = 
VECTOR_REF(
((obj_t)BgL_sz00_10117),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12503;obj_t BgL_a2z00_12504;
BgL_a1z00_12503 = 
PROCEDURE_ENTRY(BgL_a1z00_10114)(BgL_a1z00_10114, BgL_sz00_10117, BEOA); 
BgL_a2z00_12504 = 
PROCEDURE_ENTRY(BgL_a2z00_10115)(BgL_a2z00_10115, BgL_sz00_10117, BEOA); 
if(
REALP(BgL_a1z00_12503))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4318z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12503, BgL_locz00_10116); } 
if(
REALP(BgL_a2z00_12504))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4318z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12504, BgL_locz00_10116); } 
BgL_tmpz00_20087 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12503)-
REAL_TO_DOUBLE(BgL_a2z00_12504)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20087);} } } 

}



/* &<@anonymous:2735> */
obj_t BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10118, obj_t BgL_sz00_10122)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10119;obj_t BgL_a2z00_10120;obj_t BgL_locz00_10121;
BgL_a1z00_10119 = 
PROCEDURE_REF(BgL_envz00_10118, 
(int)(((long)0))); 
BgL_a2z00_10120 = 
PROCEDURE_REF(BgL_envz00_10118, 
(int)(((long)1))); 
BgL_locz00_10121 = 
PROCEDURE_REF(BgL_envz00_10118, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_20114;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12505;
BgL_bpz00_12505 = 
VECTOR_REF(
((obj_t)BgL_sz00_10122),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12506;obj_t BgL_a2z00_12507;
BgL_a1z00_12506 = 
PROCEDURE_ENTRY(BgL_a1z00_10119)(BgL_a1z00_10119, BgL_sz00_10122, BEOA); 
BgL_a2z00_12507 = 
PROCEDURE_ENTRY(BgL_a2z00_10120)(BgL_a2z00_10120, BgL_sz00_10122, BEOA); 
if(
REALP(BgL_a1z00_12506))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4320z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12506, BgL_locz00_10121); } 
if(
REALP(BgL_a2z00_12507))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4320z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12507, BgL_locz00_10121); } 
BgL_tmpz00_20114 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12506)*
REAL_TO_DOUBLE(BgL_a2z00_12507)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20114);} } } 

}



/* &<@anonymous:2739> */
obj_t BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10123, obj_t BgL_sz00_10127)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10124;obj_t BgL_a2z00_10125;obj_t BgL_locz00_10126;
BgL_a1z00_10124 = 
PROCEDURE_REF(BgL_envz00_10123, 
(int)(((long)0))); 
BgL_a2z00_10125 = 
PROCEDURE_REF(BgL_envz00_10123, 
(int)(((long)1))); 
BgL_locz00_10126 = 
PROCEDURE_REF(BgL_envz00_10123, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_20141;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12508;
BgL_bpz00_12508 = 
VECTOR_REF(
((obj_t)BgL_sz00_10127),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12509;obj_t BgL_a2z00_12510;
BgL_a1z00_12509 = 
PROCEDURE_ENTRY(BgL_a1z00_10124)(BgL_a1z00_10124, BgL_sz00_10127, BEOA); 
BgL_a2z00_12510 = 
PROCEDURE_ENTRY(BgL_a2z00_10125)(BgL_a2z00_10125, BgL_sz00_10127, BEOA); 
if(
REALP(BgL_a1z00_12509))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4322z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12509, BgL_locz00_10126); } 
if(
REALP(BgL_a2z00_12510))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4322z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12510, BgL_locz00_10126); } 
BgL_tmpz00_20141 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12509)/
REAL_TO_DOUBLE(BgL_a2z00_12510)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20141);} } } 

}



/* &<@anonymous:2743> */
obj_t BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10128, obj_t BgL_sz00_10132)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10129;obj_t BgL_a2z00_10130;obj_t BgL_locz00_10131;
BgL_a1z00_10129 = 
PROCEDURE_REF(BgL_envz00_10128, 
(int)(((long)0))); 
BgL_a2z00_10130 = 
PROCEDURE_REF(BgL_envz00_10128, 
(int)(((long)1))); 
BgL_locz00_10131 = 
PROCEDURE_REF(BgL_envz00_10128, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20168;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12511;
BgL_bpz00_12511 = 
VECTOR_REF(
((obj_t)BgL_sz00_10132),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12512;obj_t BgL_a2z00_12513;
BgL_a1z00_12512 = 
PROCEDURE_ENTRY(BgL_a1z00_10129)(BgL_a1z00_10129, BgL_sz00_10132, BEOA); 
BgL_a2z00_12513 = 
PROCEDURE_ENTRY(BgL_a2z00_10130)(BgL_a2z00_10130, BgL_sz00_10132, BEOA); 
if(
REALP(BgL_a1z00_12512))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4324z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12512, BgL_locz00_10131); } 
if(
REALP(BgL_a2z00_12513))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4324z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12513, BgL_locz00_10131); } 
BgL_tmpz00_20168 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12512)<
REAL_TO_DOUBLE(BgL_a2z00_12513)); } } 
return 
BBOOL(BgL_tmpz00_20168);} } } 

}



/* &<@anonymous:2747> */
obj_t BGl_z62zc3z04anonymousza32747ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10133, obj_t BgL_sz00_10137)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10134;obj_t BgL_a2z00_10135;obj_t BgL_locz00_10136;
BgL_a1z00_10134 = 
PROCEDURE_REF(BgL_envz00_10133, 
(int)(((long)0))); 
BgL_a2z00_10135 = 
PROCEDURE_REF(BgL_envz00_10133, 
(int)(((long)1))); 
BgL_locz00_10136 = 
PROCEDURE_REF(BgL_envz00_10133, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20195;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12514;
BgL_bpz00_12514 = 
VECTOR_REF(
((obj_t)BgL_sz00_10137),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12515;obj_t BgL_a2z00_12516;
BgL_a1z00_12515 = 
PROCEDURE_ENTRY(BgL_a1z00_10134)(BgL_a1z00_10134, BgL_sz00_10137, BEOA); 
BgL_a2z00_12516 = 
PROCEDURE_ENTRY(BgL_a2z00_10135)(BgL_a2z00_10135, BgL_sz00_10137, BEOA); 
if(
REALP(BgL_a1z00_12515))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4326z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12515, BgL_locz00_10136); } 
if(
REALP(BgL_a2z00_12516))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4326z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12516, BgL_locz00_10136); } 
BgL_tmpz00_20195 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12515)>
REAL_TO_DOUBLE(BgL_a2z00_12516)); } } 
return 
BBOOL(BgL_tmpz00_20195);} } } 

}



/* &<@anonymous:2751> */
obj_t BGl_z62zc3z04anonymousza32751ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10138, obj_t BgL_sz00_10142)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10139;obj_t BgL_a2z00_10140;obj_t BgL_locz00_10141;
BgL_a1z00_10139 = 
PROCEDURE_REF(BgL_envz00_10138, 
(int)(((long)0))); 
BgL_a2z00_10140 = 
PROCEDURE_REF(BgL_envz00_10138, 
(int)(((long)1))); 
BgL_locz00_10141 = 
PROCEDURE_REF(BgL_envz00_10138, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20222;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12517;
BgL_bpz00_12517 = 
VECTOR_REF(
((obj_t)BgL_sz00_10142),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12518;obj_t BgL_a2z00_12519;
BgL_a1z00_12518 = 
PROCEDURE_ENTRY(BgL_a1z00_10139)(BgL_a1z00_10139, BgL_sz00_10142, BEOA); 
BgL_a2z00_12519 = 
PROCEDURE_ENTRY(BgL_a2z00_10140)(BgL_a2z00_10140, BgL_sz00_10142, BEOA); 
if(
REALP(BgL_a1z00_12518))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4328z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12518, BgL_locz00_10141); } 
if(
REALP(BgL_a2z00_12519))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4328z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12519, BgL_locz00_10141); } 
BgL_tmpz00_20222 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12518)<=
REAL_TO_DOUBLE(BgL_a2z00_12519)); } } 
return 
BBOOL(BgL_tmpz00_20222);} } } 

}



/* &<@anonymous:2755> */
obj_t BGl_z62zc3z04anonymousza32755ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10143, obj_t BgL_sz00_10147)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10144;obj_t BgL_a2z00_10145;obj_t BgL_locz00_10146;
BgL_a1z00_10144 = 
PROCEDURE_REF(BgL_envz00_10143, 
(int)(((long)0))); 
BgL_a2z00_10145 = 
PROCEDURE_REF(BgL_envz00_10143, 
(int)(((long)1))); 
BgL_locz00_10146 = 
PROCEDURE_REF(BgL_envz00_10143, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20249;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12520;
BgL_bpz00_12520 = 
VECTOR_REF(
((obj_t)BgL_sz00_10147),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12521;obj_t BgL_a2z00_12522;
BgL_a1z00_12521 = 
PROCEDURE_ENTRY(BgL_a1z00_10144)(BgL_a1z00_10144, BgL_sz00_10147, BEOA); 
BgL_a2z00_12522 = 
PROCEDURE_ENTRY(BgL_a2z00_10145)(BgL_a2z00_10145, BgL_sz00_10147, BEOA); 
if(
REALP(BgL_a1z00_12521))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4330z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12521, BgL_locz00_10146); } 
if(
REALP(BgL_a2z00_12522))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4330z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12522, BgL_locz00_10146); } 
BgL_tmpz00_20249 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12521)>=
REAL_TO_DOUBLE(BgL_a2z00_12522)); } } 
return 
BBOOL(BgL_tmpz00_20249);} } } 

}



/* &<@anonymous:2759> */
obj_t BGl_z62zc3z04anonymousza32759ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10148, obj_t BgL_sz00_10152)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10149;obj_t BgL_a2z00_10150;obj_t BgL_locz00_10151;
BgL_a1z00_10149 = 
PROCEDURE_REF(BgL_envz00_10148, 
(int)(((long)0))); 
BgL_a2z00_10150 = 
PROCEDURE_REF(BgL_envz00_10148, 
(int)(((long)1))); 
BgL_locz00_10151 = 
PROCEDURE_REF(BgL_envz00_10148, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20276;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12523;
BgL_bpz00_12523 = 
VECTOR_REF(
((obj_t)BgL_sz00_10152),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12524;obj_t BgL_a2z00_12525;
BgL_a1z00_12524 = 
PROCEDURE_ENTRY(BgL_a1z00_10149)(BgL_a1z00_10149, BgL_sz00_10152, BEOA); 
BgL_a2z00_12525 = 
PROCEDURE_ENTRY(BgL_a2z00_10150)(BgL_a2z00_10150, BgL_sz00_10152, BEOA); 
if(
REALP(BgL_a1z00_12524))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4332z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a1z00_12524, BgL_locz00_10151); } 
if(
REALP(BgL_a2z00_12525))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4332z00zz__evaluate_compz00, BGl_symbol4316z00zz__evaluate_compz00, BgL_a2z00_12525, BgL_locz00_10151); } 
BgL_tmpz00_20276 = 
(
REAL_TO_DOUBLE(BgL_a1z00_12524)==
REAL_TO_DOUBLE(BgL_a2z00_12525)); } } 
return 
BBOOL(BgL_tmpz00_20276);} } } 

}



/* &<@anonymous:2763> */
obj_t BGl_z62zc3z04anonymousza32763ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10153, obj_t BgL_sz00_10156)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10154;obj_t BgL_a2z00_10155;
BgL_a1z00_10154 = 
PROCEDURE_REF(BgL_envz00_10153, 
(int)(((long)0))); 
BgL_a2z00_10155 = 
PROCEDURE_REF(BgL_envz00_10153, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20301;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12526;
BgL_bpz00_12526 = 
VECTOR_REF(
((obj_t)BgL_sz00_10156),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12527;obj_t BgL_a2z00_12528;
BgL_a1z00_12527 = 
PROCEDURE_ENTRY(BgL_a1z00_10154)(BgL_a1z00_10154, BgL_sz00_10156, BEOA); 
BgL_a2z00_12528 = 
PROCEDURE_ENTRY(BgL_a2z00_10155)(BgL_a2z00_10155, BgL_sz00_10156, BEOA); 
BgL_tmpz00_20301 = 
(BgL_a1z00_12527==BgL_a2z00_12528); } } 
return 
BBOOL(BgL_tmpz00_20301);} } } 

}



/* &<@anonymous:2765> */
obj_t BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10157, obj_t BgL_sz00_10160)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10158;obj_t BgL_a2z00_10159;
BgL_a1z00_10158 = 
PROCEDURE_REF(BgL_envz00_10157, 
(int)(((long)0))); 
BgL_a2z00_10159 = 
PROCEDURE_REF(BgL_envz00_10157, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_12529;
BgL_bpz00_12529 = 
VECTOR_REF(
((obj_t)BgL_sz00_10160),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_12530;obj_t BgL_a2z00_12531;
BgL_a1z00_12530 = 
PROCEDURE_ENTRY(BgL_a1z00_10158)(BgL_a1z00_10158, BgL_sz00_10160, BEOA); 
BgL_a2z00_12531 = 
PROCEDURE_ENTRY(BgL_a2z00_10159)(BgL_a2z00_10159, BgL_sz00_10160, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_12530, BgL_a2z00_12531);} } } } 

}



/* &<@anonymous:2768> */
obj_t BGl_z62zc3z04anonymousza32768ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10161, obj_t BgL_sz00_10164)
{
{ /* Eval/evaluate_comp.scm 1018 */
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_10162;obj_t BgL_locz00_10163;
BgL_a1z00_10162 = 
PROCEDURE_REF(BgL_envz00_10161, 
(int)(((long)0))); 
BgL_locz00_10163 = 
PROCEDURE_REF(BgL_envz00_10161, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_bpz00_12532;
BgL_bpz00_12532 = 
VECTOR_REF(
((obj_t)BgL_sz00_10164),((long)0)); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_12533;
BgL_a1z00_12533 = 
PROCEDURE_ENTRY(BgL_a1z00_10162)(BgL_a1z00_10162, BgL_sz00_10164, BEOA); 
if(
PAIRP(BgL_a1z00_12533))
{ /* Eval/evaluate_comp.scm 1018 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1018 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4334z00zz__evaluate_compz00, BGl_symbol4336z00zz__evaluate_compz00, BgL_a1z00_12533, BgL_locz00_10163); } 
return 
CAR(
((obj_t)BgL_a1z00_12533));} } } } 

}



/* &<@anonymous:2771> */
obj_t BGl_z62zc3z04anonymousza32771ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10165, obj_t BgL_sz00_10168)
{
{ /* Eval/evaluate_comp.scm 1018 */
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_10166;obj_t BgL_locz00_10167;
BgL_a1z00_10166 = 
PROCEDURE_REF(BgL_envz00_10165, 
(int)(((long)0))); 
BgL_locz00_10167 = 
PROCEDURE_REF(BgL_envz00_10165, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_bpz00_12534;
BgL_bpz00_12534 = 
VECTOR_REF(
((obj_t)BgL_sz00_10168),((long)0)); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_12535;
BgL_a1z00_12535 = 
PROCEDURE_ENTRY(BgL_a1z00_10166)(BgL_a1z00_10166, BgL_sz00_10168, BEOA); 
if(
PAIRP(BgL_a1z00_12535))
{ /* Eval/evaluate_comp.scm 1018 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1018 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4338z00zz__evaluate_compz00, BGl_symbol4336z00zz__evaluate_compz00, BgL_a1z00_12535, BgL_locz00_10167); } 
return 
CDR(
((obj_t)BgL_a1z00_12535));} } } } 

}



/* &<@anonymous:2774> */
obj_t BGl_z62zc3z04anonymousza32774ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10169, obj_t BgL_sz00_10172)
{
{ /* Eval/evaluate_comp.scm 1018 */
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_10170;obj_t BgL_locz00_10171;
BgL_a1z00_10170 = 
PROCEDURE_REF(BgL_envz00_10169, 
(int)(((long)0))); 
BgL_locz00_10171 = 
PROCEDURE_REF(BgL_envz00_10169, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_bpz00_12536;
BgL_bpz00_12536 = 
VECTOR_REF(
((obj_t)BgL_sz00_10172),((long)0)); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_12537;
BgL_a1z00_12537 = 
PROCEDURE_ENTRY(BgL_a1z00_10170)(BgL_a1z00_10170, BgL_sz00_10172, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_12537))
{ /* Eval/evaluate_comp.scm 1018 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_arg2776z00_12538;
BgL_arg2776z00_12538 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_12537); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4340z00zz__evaluate_compz00, BGl_symbol4336z00zz__evaluate_compz00, BgL_arg2776z00_12538, BgL_locz00_10171); } 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_pairz00_12539;
BgL_pairz00_12539 = 
CDR(
((obj_t)BgL_a1z00_12537)); 
return 
CAR(BgL_pairz00_12539);} } } } } 

}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{
{ /* Eval/evaluate_comp.scm 1026 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1027 */
obj_t BgL_tmpz00_20378;
BgL_tmpz00_20378 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_20378);}  else 
{ /* Eval/evaluate_comp.scm 1027 */
return ((bool_t)0);} } 

}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{
{ /* Eval/evaluate_comp.scm 1029 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1030 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1030 */
return BgL_vz00_198;} } 

}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{
{ /* Eval/evaluate_comp.scm 1058 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1059 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1059 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 

}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{
{ /* Eval/evaluate_comp.scm 1063 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1065 */
long BgL_g1234z00_3525;
BgL_g1234z00_3525 = 
(((long)-1)-BgL_arityz00_206); 
{ 
long BgL_rz00_3527;long BgL_spz00_3528;obj_t BgL_lz00_3529;
BgL_rz00_3527 = BgL_g1234z00_3525; 
BgL_spz00_3528 = BgL_spz00_205; 
BgL_lz00_3529 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32781ze3z87_3530:
if(
(BgL_rz00_3527==((long)0)))
{ /* Eval/evaluate_comp.scm 1067 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3528,BgL_lz00_3529);}  else 
{ /* Eval/evaluate_comp.scm 1067 */
if(
PAIRP(BgL_lz00_3529))
{ /* Eval/evaluate_comp.scm 1069 */
{ /* Eval/evaluate_comp.scm 1072 */
obj_t BgL_arg2784z00_3533;
BgL_arg2784z00_3533 = 
CAR(BgL_lz00_3529); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3528,BgL_arg2784z00_3533); } 
{ 
obj_t BgL_lz00_20407;long BgL_spz00_20405;long BgL_rz00_20403;
BgL_rz00_20403 = 
(BgL_rz00_3527-((long)1)); 
BgL_spz00_20405 = 
(BgL_spz00_3528+((long)1)); 
BgL_lz00_20407 = 
CDR(BgL_lz00_3529); 
BgL_lz00_3529 = BgL_lz00_20407; 
BgL_spz00_3528 = BgL_spz00_20405; 
BgL_rz00_3527 = BgL_rz00_20403; 
goto BgL_zc3z04anonymousza32781ze3z87_3530;} }  else 
{ /* Eval/evaluate_comp.scm 1070 */
long BgL_arg2788z00_3537;
BgL_arg2788z00_3537 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2788z00_3537));} } } }  else 
{ 
long BgL_rz00_3540;long BgL_spz00_3541;obj_t BgL_lz00_3542;
BgL_rz00_3540 = BgL_arityz00_206; 
BgL_spz00_3541 = BgL_spz00_205; 
BgL_lz00_3542 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32789ze3z87_3543:
if(
(BgL_rz00_3540==((long)0)))
{ /* Eval/evaluate_comp.scm 1076 */
if(
NULLP(BgL_lz00_3542))
{ /* Eval/evaluate_comp.scm 1077 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1078 */
long BgL_arg2792z00_3546;
BgL_arg2792z00_3546 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2792z00_3546));} }  else 
{ /* Eval/evaluate_comp.scm 1076 */
if(
PAIRP(BgL_lz00_3542))
{ /* Eval/evaluate_comp.scm 1079 */
{ /* Eval/evaluate_comp.scm 1082 */
obj_t BgL_arg2794z00_3548;
BgL_arg2794z00_3548 = 
CAR(BgL_lz00_3542); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3541,BgL_arg2794z00_3548); } 
{ 
obj_t BgL_lz00_20430;long BgL_spz00_20428;long BgL_rz00_20426;
BgL_rz00_20426 = 
(BgL_rz00_3540-((long)1)); 
BgL_spz00_20428 = 
(BgL_spz00_3541+((long)1)); 
BgL_lz00_20430 = 
CDR(BgL_lz00_3542); 
BgL_lz00_3542 = BgL_lz00_20430; 
BgL_spz00_3541 = BgL_spz00_20428; 
BgL_rz00_3540 = BgL_rz00_20426; 
goto BgL_zc3z04anonymousza32789ze3z87_3543;} }  else 
{ /* Eval/evaluate_comp.scm 1080 */
long BgL_arg2798z00_3552;
BgL_arg2798z00_3552 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2798z00_3552));} } } } 

}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{
{ /* Eval/evaluate_comp.scm 1177 */
{ 
long BgL_iz00_3556;
BgL_iz00_3556 = ((long)0); 
BgL_zc3z04anonymousza32799ze3z87_3557:
{ /* Eval/evaluate_comp.scm 1180 */
long BgL_spz00_3558;
{ /* Eval/evaluate_comp.scm 1180 */
obj_t BgL_arg2803z00_3563;
BgL_arg2803z00_3563 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3556); 
BgL_spz00_3558 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2803z00_3563)); } 
{ /* Eval/evaluate_comp.scm 1181 */
obj_t BgL_arg2800z00_3559;
{ /* Eval/evaluate_comp.scm 1181 */
obj_t BgL_arg2801z00_3560;
BgL_arg2801z00_3560 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3558); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_7962;
BgL_newz00_7962 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_20445;
BgL_tmpz00_20445 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_7962, BgL_tmpz00_20445, BgL_arg2801z00_3560); } 
BgL_arg2800z00_3559 = BgL_newz00_7962; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3558,BgL_arg2800z00_3559); } 
{ /* Eval/evaluate_comp.scm 1182 */
long BgL_niz00_3561;
BgL_niz00_3561 = 
(BgL_iz00_3556+((long)1)); 
if(
(BgL_niz00_3561<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
long BgL_iz00_20455;
BgL_iz00_20455 = BgL_niz00_3561; 
BgL_iz00_3556 = BgL_iz00_20455; 
goto BgL_zc3z04anonymousza32799ze3z87_3557;}  else 
{ /* Eval/evaluate_comp.scm 1183 */
return ((bool_t)0);} } } } } 

}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{
{ /* Eval/evaluate_comp.scm 1185 */
{ /* Eval/evaluate_comp.scm 1186 */
obj_t BgL_rz00_3566;
BgL_rz00_3566 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1186 */

{ 
long BgL_iz00_3568;
BgL_iz00_3568 = ((long)0); 
BgL_zc3z04anonymousza32804ze3z87_3569:
if(
(BgL_iz00_3568>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1188 */
return BgL_rz00_3566;}  else 
{ /* Eval/evaluate_comp.scm 1188 */
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2806z00_3571;
{ /* Eval/evaluate_comp.scm 1191 */
long BgL_arg2807z00_3572;
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2808z00_3573;
BgL_arg2808z00_3573 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3568); 
BgL_arg2807z00_3572 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2808z00_3573)); } 
BgL_arg2806z00_3571 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2807z00_3572); } 
VECTOR_SET(BgL_rz00_3566,BgL_iz00_3568,BgL_arg2806z00_3571); } 
{ 
long BgL_iz00_20471;
BgL_iz00_20471 = 
(BgL_iz00_3568+((long)1)); 
BgL_iz00_3568 = BgL_iz00_20471; 
goto BgL_zc3z04anonymousza32804ze3z87_3569;} } } } } } 

}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{
{ /* Eval/evaluate_comp.scm 1194 */
{ /* Eval/evaluate_comp.scm 1195 */
long BgL_stopz00_3577;
BgL_stopz00_3577 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
long BgL_iz00_3579;long BgL_spz00_3580;
BgL_iz00_3579 = ((long)0); 
BgL_spz00_3580 = BgL_spz00_219; 
BgL_zc3z04anonymousza32811ze3z87_3581:
if(
(BgL_spz00_3580<BgL_stopz00_3577))
{ /* Eval/evaluate_comp.scm 1197 */
{ /* Eval/evaluate_comp.scm 1198 */
obj_t BgL_arg2813z00_3583;
BgL_arg2813z00_3583 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3579); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3580,BgL_arg2813z00_3583); } 
{ 
long BgL_spz00_20484;long BgL_iz00_20482;
BgL_iz00_20482 = 
(BgL_iz00_3579+((long)1)); 
BgL_spz00_20484 = 
(BgL_spz00_3580+((long)1)); 
BgL_spz00_3580 = BgL_spz00_20484; 
BgL_iz00_3579 = BgL_iz00_20482; 
goto BgL_zc3z04anonymousza32811ze3z87_3581;} }  else 
{ /* Eval/evaluate_comp.scm 1197 */
return ((bool_t)0);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc4342z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string4343z00zz__evaluate_compz00);} 

}



/* &comp1386 */
obj_t BGl_z62comp1386z62zz__evaluate_compz00(obj_t BgL_envz00_10258, obj_t BgL_ez00_10259, obj_t BgL_stkz00_10260)
{
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string4254z00zz__evaluate_compz00, BGl_string4344z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_10259)));} 

}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_method1387z00_3593;
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_res4119z00_8023;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_objzd2classzd2numz00_7994;
BgL_objzd2classzd2numz00_7994 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_arg4006z00_7995;
BgL_arg4006z00_7995 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
int BgL_offsetz00_7998;
BgL_offsetz00_7998 = 
(int)(BgL_objzd2classzd2numz00_7994); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_offsetz00_7999;
BgL_offsetz00_7999 = 
(
(long)(BgL_offsetz00_7998)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_modz00_8000;
BgL_modz00_8000 = 
(BgL_offsetz00_7999 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_restz00_8002;
BgL_restz00_8002 = 
(BgL_offsetz00_7999 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_bucketz00_8004;
BgL_bucketz00_8004 = 
VECTOR_REF(
((obj_t)BgL_arg4006z00_7995),BgL_modz00_8000); 
BgL_res4119z00_8023 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8004),BgL_restz00_8002); } } } } } } } } 
BgL_method1387z00_3593 = BgL_res4119z00_8023; } 
return 
PROCEDURE_ENTRY(BgL_method1387z00_3593)(BgL_method1387z00_3593, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 

}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_10261, obj_t BgL_ez00_10262, obj_t BgL_stkz00_10263)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
BgL_ev_exprz00_bglt BgL_auxz00_20521;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10262, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_20521 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10262)
; }  else 
{ 
obj_t BgL_auxz00_20525;
BgL_auxz00_20525 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4259z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string4345z00zz__evaluate_compz00, BGl_string4261z00zz__evaluate_compz00, BgL_ez00_10262); 
FAILURE(BgL_auxz00_20525,BFALSE,BFALSE);} 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_20521, BgL_stkz00_10263);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc4346z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4348z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc4349z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc4350z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc4351z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc4352z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc4353z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4354z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4355z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4356z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc4357z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4358z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc4359z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc4360z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc4361z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc4362z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc4363z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc4364z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc4365z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc4366z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4367z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4368z00zz__evaluate_compz00, BGl_string4347z00zz__evaluate_compz00);} 

}



/* &comp-ev_abs1431 */
obj_t BGl_z62compzd2ev_abs1431zb0zz__evaluate_compz00(obj_t BgL_envz00_10458, obj_t BgL_ez00_10459, obj_t BgL_stkz00_10460)
{
{ /* Eval/evaluate_comp.scm 1165 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12542;obj_t BgL_iboxesz00_12543;long BgL_siza7eza7_12544;long BgL_siza7ezd2framez75_12545;obj_t BgL_nstkz00_12546;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3717z00_12547;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_l1363z00_12548;
BgL_l1363z00_12548 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_freez00); 
if(
NULLP(BgL_l1363z00_12548))
{ /* Eval/evaluate_comp.scm 1167 */
BgL_arg3717z00_12547 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_head1365z00_12549;
BgL_head1365z00_12549 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1363z00_12551;obj_t BgL_tail1366z00_12552;
BgL_l1363z00_12551 = BgL_l1363z00_12548; 
BgL_tail1366z00_12552 = BgL_head1365z00_12549; 
BgL_zc3z04anonymousza33719ze3z87_12550:
if(
NULLP(BgL_l1363z00_12551))
{ /* Eval/evaluate_comp.scm 1167 */
BgL_arg3717z00_12547 = 
CDR(BgL_head1365z00_12549); }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_newtail1367z00_12553;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3722z00_12554;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_vz00_12555;
BgL_vz00_12555 = 
CAR(
((obj_t)BgL_l1363z00_12551)); 
BgL_arg3722z00_12554 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_12555, BgL_stkz00_10460); } 
BgL_newtail1367z00_12553 = 
MAKE_YOUNG_PAIR(BgL_arg3722z00_12554, BNIL); } 
SET_CDR(BgL_tail1366z00_12552, BgL_newtail1367z00_12553); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3721z00_12556;
BgL_arg3721z00_12556 = 
CDR(
((obj_t)BgL_l1363z00_12551)); 
{ 
obj_t BgL_tail1366z00_20568;obj_t BgL_l1363z00_20567;
BgL_l1363z00_20567 = BgL_arg3721z00_12556; 
BgL_tail1366z00_20568 = BgL_newtail1367z00_12553; 
BgL_tail1366z00_12552 = BgL_tail1366z00_20568; 
BgL_l1363z00_12551 = BgL_l1363z00_20567; 
goto BgL_zc3z04anonymousza33719ze3z87_12550;} } } } } } 
BgL_ifreesz00_12542 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3717z00_12547); } 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_arg3723z00_12557;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_l1368z00_12558;
BgL_l1368z00_12558 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_boxesz00); 
if(
NULLP(BgL_l1368z00_12558))
{ /* Eval/evaluate_comp.scm 1168 */
BgL_arg3723z00_12557 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_head1370z00_12559;
BgL_head1370z00_12559 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1368z00_12561;obj_t BgL_tail1371z00_12562;
BgL_l1368z00_12561 = BgL_l1368z00_12558; 
BgL_tail1371z00_12562 = BgL_head1370z00_12559; 
BgL_zc3z04anonymousza33725ze3z87_12560:
if(
NULLP(BgL_l1368z00_12561))
{ /* Eval/evaluate_comp.scm 1168 */
BgL_arg3723z00_12557 = 
CDR(BgL_head1370z00_12559); }  else 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_newtail1372z00_12563;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_arg3728z00_12564;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_vz00_12565;
BgL_vz00_12565 = 
CAR(
((obj_t)BgL_l1368z00_12561)); 
BgL_arg3728z00_12564 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_12565, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_varsz00)); } 
BgL_newtail1372z00_12563 = 
MAKE_YOUNG_PAIR(BgL_arg3728z00_12564, BNIL); } 
SET_CDR(BgL_tail1371z00_12562, BgL_newtail1372z00_12563); 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_arg3727z00_12566;
BgL_arg3727z00_12566 = 
CDR(
((obj_t)BgL_l1368z00_12561)); 
{ 
obj_t BgL_tail1371z00_20588;obj_t BgL_l1368z00_20587;
BgL_l1368z00_20587 = BgL_arg3727z00_12566; 
BgL_tail1371z00_20588 = BgL_newtail1372z00_12563; 
BgL_tail1371z00_12562 = BgL_tail1371z00_20588; 
BgL_l1368z00_12561 = BgL_l1368z00_20587; 
goto BgL_zc3z04anonymousza33725ze3z87_12560;} } } } } } 
BgL_iboxesz00_12543 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3723z00_12557); } 
BgL_siza7eza7_12544 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_12545 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_freez00))); 
BgL_nstkz00_12546 = 
BGl_appendzd221010zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1172 */
obj_t BgL_bodyz00_12567;
BgL_bodyz00_12567 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_bodyz00), BgL_nstkz00_12546); 
{ 

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_aux1246z00_12573;
BgL_aux1246z00_12573 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_10459)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1246z00_12573))
{ /* Eval/evaluate_comp.scm 1174 */
switch( 
(long)CINT(BgL_aux1246z00_12573)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33179ze3z87_12574;
BgL_zc3z04anonymousza33179ze3z87_12574 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_12574, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_12574, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_12574, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33179ze3z87_12574;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33185ze3z87_12575;
BgL_zc3z04anonymousza33185ze3z87_12575 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33185ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33185ze3z87_12575, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33185ze3z87_12575, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33185ze3z87_12575, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33185ze3z87_12575, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33185ze3z87_12575;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33194ze3z87_12576;
BgL_zc3z04anonymousza33194ze3z87_12576 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33194ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33194ze3z87_12576, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33194ze3z87_12576, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33194ze3z87_12576, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33194ze3z87_12576, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33194ze3z87_12576, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33194ze3z87_12576;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33201ze3z87_12577;
BgL_zc3z04anonymousza33201ze3z87_12577 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33201ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33201ze3z87_12577, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33201ze3z87_12577, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33201ze3z87_12577, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33201ze3z87_12577, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33201ze3z87_12577, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33201ze3z87_12577, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33201ze3z87_12577;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33214ze3z87_12578;
BgL_zc3z04anonymousza33214ze3z87_12578 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33214ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33214ze3z87_12578, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33214ze3z87_12578, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33214ze3z87_12578, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33214ze3z87_12578;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33221ze3z87_12579;
BgL_zc3z04anonymousza33221ze3z87_12579 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_12579, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_12579, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_12579, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_12579, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33221ze3z87_12579;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33231ze3z87_12580;
BgL_zc3z04anonymousza33231ze3z87_12580 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_12580, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_12580, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_12580, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_12580, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_12580, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33231ze3z87_12580;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33239ze3z87_12581;
BgL_zc3z04anonymousza33239ze3z87_12581 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33239ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33239ze3z87_12581, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33239ze3z87_12581, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33239ze3z87_12581, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33239ze3z87_12581, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33239ze3z87_12581, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33239ze3z87_12581, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33239ze3z87_12581;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33253ze3z87_12582;
BgL_zc3z04anonymousza33253ze3z87_12582 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33253ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33253ze3z87_12582, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33253ze3z87_12582, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33253ze3z87_12582, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33253ze3z87_12582;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33260ze3z87_12583;
BgL_zc3z04anonymousza33260ze3z87_12583 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33260ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33260ze3z87_12583, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33260ze3z87_12583, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33260ze3z87_12583, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33260ze3z87_12583, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33260ze3z87_12583;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33270ze3z87_12584;
BgL_zc3z04anonymousza33270ze3z87_12584 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33270ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33270ze3z87_12584, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33270ze3z87_12584, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33270ze3z87_12584, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33270ze3z87_12584, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33270ze3z87_12584, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33270ze3z87_12584;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33278ze3z87_12585;
BgL_zc3z04anonymousza33278ze3z87_12585 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_12585, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_12585, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_12585, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_12585, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_12585, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_12585, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33278ze3z87_12585;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33292ze3z87_12586;
BgL_zc3z04anonymousza33292ze3z87_12586 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33292ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33292ze3z87_12586, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33292ze3z87_12586, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33292ze3z87_12586, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33292ze3z87_12586;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33300ze3z87_12587;
BgL_zc3z04anonymousza33300ze3z87_12587 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33300ze3z87_12587, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33300ze3z87_12587, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33300ze3z87_12587, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33300ze3z87_12587, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33300ze3z87_12587;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33311ze3z87_12588;
BgL_zc3z04anonymousza33311ze3z87_12588 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_12588, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_12588, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_12588, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_12588, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_12588, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33311ze3z87_12588;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33320ze3z87_12589;
BgL_zc3z04anonymousza33320ze3z87_12589 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_12589, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_12589, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_12589, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_12589, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_12589, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_12589, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33320ze3z87_12589;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33335ze3z87_12590;
BgL_zc3z04anonymousza33335ze3z87_12590 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33335ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33335ze3z87_12590, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33335ze3z87_12590, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33335ze3z87_12590, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33335ze3z87_12590;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33343ze3z87_12591;
BgL_zc3z04anonymousza33343ze3z87_12591 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_12591, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_12591, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_12591, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_12591, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33343ze3z87_12591;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33354ze3z87_12592;
BgL_zc3z04anonymousza33354ze3z87_12592 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_12592, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_12592, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_12592, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_12592, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_12592, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33354ze3z87_12592;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33363ze3z87_12593;
BgL_zc3z04anonymousza33363ze3z87_12593 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_12593, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_12593, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_12593, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_12593, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_12593, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_12593, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33363ze3z87_12593;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33378ze3z87_12594;
BgL_zc3z04anonymousza33378ze3z87_12594 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33378ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33378ze3z87_12594, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33378ze3z87_12594, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33378ze3z87_12594, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33378ze3z87_12594;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33387ze3z87_12595;
BgL_zc3z04anonymousza33387ze3z87_12595 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33387ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33387ze3z87_12595, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33387ze3z87_12595, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33387ze3z87_12595, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33387ze3z87_12595, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33387ze3z87_12595;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33399ze3z87_12596;
BgL_zc3z04anonymousza33399ze3z87_12596 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_12596, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_12596, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_12596, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_12596, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_12596, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33399ze3z87_12596;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33409ze3z87_12597;
BgL_zc3z04anonymousza33409ze3z87_12597 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33409ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33409ze3z87_12597, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33409ze3z87_12597, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33409ze3z87_12597, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33409ze3z87_12597, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33409ze3z87_12597, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33409ze3z87_12597, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33409ze3z87_12597;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33425ze3z87_12598;
BgL_zc3z04anonymousza33425ze3z87_12598 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33425ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33425ze3z87_12598, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33425ze3z87_12598, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33425ze3z87_12598, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33425ze3z87_12598;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33434ze3z87_12599;
BgL_zc3z04anonymousza33434ze3z87_12599 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33434ze3z87_12599, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33434ze3z87_12599, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33434ze3z87_12599, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33434ze3z87_12599, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33434ze3z87_12599;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33446ze3z87_12600;
BgL_zc3z04anonymousza33446ze3z87_12600 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_12600, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_12600, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_12600, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_12600, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_12600, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33446ze3z87_12600;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33456ze3z87_12601;
BgL_zc3z04anonymousza33456ze3z87_12601 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33456ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33456ze3z87_12601, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33456ze3z87_12601, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33456ze3z87_12601, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33456ze3z87_12601, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33456ze3z87_12601, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33456ze3z87_12601, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33456ze3z87_12601;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33472ze3z87_12602;
BgL_zc3z04anonymousza33472ze3z87_12602 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_12602, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_12602, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_12602, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33472ze3z87_12602;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33482ze3z87_12603;
BgL_zc3z04anonymousza33482ze3z87_12603 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33482ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33482ze3z87_12603, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33482ze3z87_12603, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33482ze3z87_12603, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33482ze3z87_12603, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33482ze3z87_12603;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33495ze3z87_12604;
BgL_zc3z04anonymousza33495ze3z87_12604 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33495ze3z87_12604, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33495ze3z87_12604, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33495ze3z87_12604, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33495ze3z87_12604, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33495ze3z87_12604, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33495ze3z87_12604;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33506ze3z87_12605;
BgL_zc3z04anonymousza33506ze3z87_12605 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33506ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33506ze3z87_12605, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33506ze3z87_12605, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33506ze3z87_12605, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33506ze3z87_12605, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33506ze3z87_12605, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33506ze3z87_12605, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33506ze3z87_12605;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33523ze3z87_12606;
BgL_zc3z04anonymousza33523ze3z87_12606 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_12606, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_12606, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_12606, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33523ze3z87_12606;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33533ze3z87_12607;
BgL_zc3z04anonymousza33533ze3z87_12607 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33533ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33533ze3z87_12607, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33533ze3z87_12607, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33533ze3z87_12607, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33533ze3z87_12607, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33533ze3z87_12607;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33546ze3z87_12608;
BgL_zc3z04anonymousza33546ze3z87_12608 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33546ze3z87_12608, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33546ze3z87_12608, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33546ze3z87_12608, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33546ze3z87_12608, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33546ze3z87_12608, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33546ze3z87_12608;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33557ze3z87_12609;
BgL_zc3z04anonymousza33557ze3z87_12609 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_12609, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_12609, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_12609, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_12609, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_12609, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_12609, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33557ze3z87_12609;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33574ze3z87_12610;
BgL_zc3z04anonymousza33574ze3z87_12610 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33574ze3z87_12610, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33574ze3z87_12610, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33574ze3z87_12610, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33574ze3z87_12610;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33585ze3z87_12611;
BgL_zc3z04anonymousza33585ze3z87_12611 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33585ze3z87_12611, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33585ze3z87_12611, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33585ze3z87_12611, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33585ze3z87_12611, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33585ze3z87_12611;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33599ze3z87_12612;
BgL_zc3z04anonymousza33599ze3z87_12612 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33599ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33599ze3z87_12612, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33599ze3z87_12612, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33599ze3z87_12612, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33599ze3z87_12612, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33599ze3z87_12612, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33599ze3z87_12612;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33611ze3z87_12613;
BgL_zc3z04anonymousza33611ze3z87_12613 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_12613, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_12613, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_12613, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_12613, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_12613, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_12613, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33611ze3z87_12613;} } break;
default: 
BgL_case_else1245z00_12568:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_12542)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33629ze3z87_12569;
BgL_zc3z04anonymousza33629ze3z87_12569 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33629ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33629ze3z87_12569, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33629ze3z87_12569, 
(int)(((long)1)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33629ze3z87_12569, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33629ze3z87_12569;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33649ze3z87_12570;
BgL_zc3z04anonymousza33649ze3z87_12570 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33649ze3z87_12570, 
(int)(((long)0)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33649ze3z87_12570, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33649ze3z87_12570, 
(int)(((long)2)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33649ze3z87_12570, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33649ze3z87_12570;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_12543)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33672ze3z87_12571;
BgL_zc3z04anonymousza33672ze3z87_12571 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33672ze3z87_12571, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33672ze3z87_12571, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33672ze3z87_12571, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33672ze3z87_12571, 
(int)(((long)3)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33672ze3z87_12571, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33672ze3z87_12571;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33693ze3z87_12572;
BgL_zc3z04anonymousza33693ze3z87_12572 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33693ze3z87_12572, 
(int)(((long)0)), BgL_ifreesz00_12542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33693ze3z87_12572, 
(int)(((long)1)), BgL_iboxesz00_12543); 
PROCEDURE_SET(BgL_zc3z04anonymousza33693ze3z87_12572, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_12544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33693ze3z87_12572, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_10459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33693ze3z87_12572, 
(int)(((long)4)), BgL_bodyz00_12567); 
PROCEDURE_SET(BgL_zc3z04anonymousza33693ze3z87_12572, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12545)); 
return BgL_zc3z04anonymousza33693ze3z87_12572;} } } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
goto BgL_case_else1245z00_12568;} } } } } } 

}



/* &<@anonymous:3574> */
obj_t BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10461, obj_t BgL_sz00_10465)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10462;obj_t BgL_bodyz00_10463;long BgL_siza7ezd2framez75_10464;
BgL_i1244z00_10462 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10461, 
(int)(((long)0)))); 
BgL_bodyz00_10463 = 
PROCEDURE_REF(BgL_envz00_10461, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10464 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10461, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12614;
BgL_bpz00_12614 = 
VECTOR_REF(
((obj_t)BgL_sz00_10465),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12615;
BgL_runz00_12615 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_12615, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10462)); 
PROCEDURE_SET(BgL_runz00_12615, 
(int)(((long)1)), BgL_bodyz00_10463); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12616;
BgL_mainz00_12616 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_12616, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10462)); 
PROCEDURE_SET(BgL_mainz00_12616, 
(int)(((long)1)), BgL_bodyz00_10463); 
PROCEDURE_SET(BgL_mainz00_12616, 
(int)(((long)2)), BgL_runz00_12615); 
PROCEDURE_SET(BgL_mainz00_12616, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10464)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12617;
BgL_objz00_12617 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12615, BgL_objz00_12617); BgL_objz00_12617; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3575z00_12618;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3576z00_12619;
BgL_arg3576z00_12619 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10462))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12620;
BgL_newz00_12620 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21430;
BgL_tmpz00_21430 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12620, BgL_tmpz00_21430, BgL_arg3576z00_12619); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21435;int BgL_tmpz00_21433;
BgL_auxz00_21435 = 
BINT(BgL_siza7ezd2framez75_10464); 
BgL_tmpz00_21433 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12620, BgL_tmpz00_21433, BgL_auxz00_21435); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21438;
BgL_tmpz00_21438 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12620, BgL_tmpz00_21438, BgL_runz00_12615); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21443;int BgL_tmpz00_21441;
BgL_auxz00_21443 = 
BINT(((long)-5)); 
BgL_tmpz00_21441 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12620, BgL_tmpz00_21441, BgL_auxz00_21443); } 
BgL_arg3575z00_12618 = BgL_newz00_12620; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12616, BgL_arg3575z00_12618); BgL_arg3575z00_12618; } 
return BgL_mainz00_12616;} } } } } } 

}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_10466, obj_t BgL_az00_10471, obj_t BgL_bz00_10472, obj_t BgL_cz00_10473, obj_t BgL_dz00_10474, obj_t BgL_lastz00_10475)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10469;long BgL_siza7ezd2framez75_10470;
BgL_runz00_10469 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10466, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10470 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10466, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12621;
BgL_sz00_12621 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12622;
BgL_bpz00_12622 = 
VECTOR_REF(
((obj_t)BgL_sz00_12621),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12621, BgL_bpz00_12622, 
BINT(BgL_siza7ezd2framez75_10470)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3579z00_12623;
BgL_arg3579z00_12623 = 
(
(long)CINT(BgL_bpz00_12622)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12621),BgL_arg3579z00_12623,BgL_az00_10471); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3580z00_12624;
BgL_arg3580z00_12624 = 
(
(long)CINT(BgL_bpz00_12622)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12621),BgL_arg3580z00_12624,BgL_bz00_10472); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3581z00_12625;
BgL_arg3581z00_12625 = 
(
(long)CINT(BgL_bpz00_12622)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12621),BgL_arg3581z00_12625,BgL_cz00_10473); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3582z00_12626;
BgL_arg3582z00_12626 = 
(
(long)CINT(BgL_bpz00_12622)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12621),BgL_arg3582z00_12626,BgL_dz00_10474); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3583z00_12627;
BgL_arg3583z00_12627 = 
(
(long)CINT(BgL_bpz00_12622)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_12621),BgL_arg3583z00_12627,BgL_lastz00_10475); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12628;
BgL_ez00_12628 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12628, BgL_bpz00_12622); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12629;
BgL_accz00_12629 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10469, BgL_sz00_12621, BgL_bpz00_12622); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12628); 
VECTOR_SET(
((obj_t)BgL_sz00_12621),((long)0),BgL_bpz00_12622); 
return BgL_accz00_12629;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12630;
BgL_nsz00_12630 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12630,((long)1),BgL_sz00_12621); 
VECTOR_SET(BgL_nsz00_12630,((long)2),BgL_az00_10471); 
VECTOR_SET(BgL_nsz00_12630,((long)3),BgL_bz00_10472); 
VECTOR_SET(BgL_nsz00_12630,((long)4),BgL_cz00_10473); 
VECTOR_SET(BgL_nsz00_12630,((long)5),BgL_dz00_10474); 
VECTOR_SET(BgL_nsz00_12630,((long)6),BgL_lastz00_10475); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12631;
BgL_z12denvz12_12631 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12631, BgL_nsz00_12630); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12632;
BgL_ez00_12632 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12632, BgL_sz00_12621); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12633;
BgL_____rz00_12633 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10469, BgL_nsz00_12630, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12632); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12631, BgL_sz00_12621); 
return BgL_____rz00_12633;} } } } } } } } 

}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_10476, obj_t BgL_sz00_10479)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10477;obj_t BgL_bodyz00_10478;
BgL_i1244z00_10477 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10476, 
(int)(((long)0)))); 
BgL_bodyz00_10478 = 
PROCEDURE_REF(BgL_envz00_10476, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12634;
BgL_bpz00_12634 = 
VECTOR_REF(
((obj_t)BgL_sz00_10479),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12635;obj_t BgL_wherez00_12636;obj_t BgL_locz00_12637;
BgL_z12denvz12_12635 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12636 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10477))->BgL_wherez00); 
BgL_locz00_12637 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10477))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12635, BgL_wherez00_12636, BgL_locz00_12637); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12638;
BgL_za2za2resza2za2z00_12638 = 
PROCEDURE_ENTRY(BgL_bodyz00_10478)(BgL_bodyz00_10478, BgL_sz00_10479, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12635); 
return BgL_za2za2resza2za2z00_12638;} } } } } } 

}



/* &<@anonymous:3585> */
obj_t BGl_z62zc3z04anonymousza33585ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10480, obj_t BgL_sz00_10485)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10481;BgL_ev_absz00_bglt BgL_i1244z00_10482;obj_t BgL_bodyz00_10483;long BgL_siza7ezd2framez75_10484;
BgL_iboxesz00_10481 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10480, 
(int)(((long)0)))); 
BgL_i1244z00_10482 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10480, 
(int)(((long)1)))); 
BgL_bodyz00_10483 = 
PROCEDURE_REF(BgL_envz00_10480, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_10484 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10480, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12639;
BgL_bpz00_12639 = 
VECTOR_REF(
((obj_t)BgL_sz00_10485),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12640;
BgL_runz00_12640 = 
MAKE_FX_PROCEDURE(BGl_z62run4157z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_12640, 
(int)(((long)0)), BgL_iboxesz00_10481); 
PROCEDURE_SET(BgL_runz00_12640, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10482)); 
PROCEDURE_SET(BgL_runz00_12640, 
(int)(((long)2)), BgL_bodyz00_10483); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12641;
BgL_mainz00_12641 = 
MAKE_VA_PROCEDURE(BGl_z62main4156z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_12641, 
(int)(((long)0)), BgL_iboxesz00_10481); 
PROCEDURE_SET(BgL_mainz00_12641, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10482)); 
PROCEDURE_SET(BgL_mainz00_12641, 
(int)(((long)2)), BgL_bodyz00_10483); 
PROCEDURE_SET(BgL_mainz00_12641, 
(int)(((long)3)), BgL_runz00_12640); 
PROCEDURE_SET(BgL_mainz00_12641, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_10484)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12642;
BgL_objz00_12642 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12640, BgL_objz00_12642); BgL_objz00_12642; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3586z00_12643;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3587z00_12644;
BgL_arg3587z00_12644 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10482))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12645;
BgL_newz00_12645 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21558;
BgL_tmpz00_21558 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12645, BgL_tmpz00_21558, BgL_arg3587z00_12644); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21563;int BgL_tmpz00_21561;
BgL_auxz00_21563 = 
BINT(BgL_siza7ezd2framez75_10484); 
BgL_tmpz00_21561 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12645, BgL_tmpz00_21561, BgL_auxz00_21563); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21566;
BgL_tmpz00_21566 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12645, BgL_tmpz00_21566, BgL_runz00_12640); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21571;int BgL_tmpz00_21569;
BgL_auxz00_21571 = 
BINT(((long)-5)); 
BgL_tmpz00_21569 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12645, BgL_tmpz00_21569, BgL_auxz00_21571); } 
BgL_arg3586z00_12643 = BgL_newz00_12645; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12641, BgL_arg3586z00_12643); BgL_arg3586z00_12643; } 
return BgL_mainz00_12641;} } } } } } 

}



/* &main4156 */
obj_t BGl_z62main4156z62zz__evaluate_compz00(obj_t BgL_envz00_10486, obj_t BgL_az00_10492, obj_t BgL_bz00_10493, obj_t BgL_cz00_10494, obj_t BgL_dz00_10495, obj_t BgL_lastz00_10496)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10490;long BgL_siza7ezd2framez75_10491;
BgL_runz00_10490 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10486, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_10491 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10486, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12646;
BgL_sz00_12646 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12647;
BgL_bpz00_12647 = 
VECTOR_REF(
((obj_t)BgL_sz00_12646),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12646, BgL_bpz00_12647, 
BINT(BgL_siza7ezd2framez75_10491)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3590z00_12648;
BgL_arg3590z00_12648 = 
(
(long)CINT(BgL_bpz00_12647)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12646),BgL_arg3590z00_12648,BgL_az00_10492); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3591z00_12649;
BgL_arg3591z00_12649 = 
(
(long)CINT(BgL_bpz00_12647)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12646),BgL_arg3591z00_12649,BgL_bz00_10493); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3592z00_12650;
BgL_arg3592z00_12650 = 
(
(long)CINT(BgL_bpz00_12647)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12646),BgL_arg3592z00_12650,BgL_cz00_10494); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3593z00_12651;
BgL_arg3593z00_12651 = 
(
(long)CINT(BgL_bpz00_12647)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12646),BgL_arg3593z00_12651,BgL_dz00_10495); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3594z00_12652;
BgL_arg3594z00_12652 = 
(
(long)CINT(BgL_bpz00_12647)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_12646),BgL_arg3594z00_12652,BgL_lastz00_10496); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12653;
BgL_ez00_12653 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12653, BgL_bpz00_12647); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12654;
BgL_accz00_12654 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10490, BgL_sz00_12646, BgL_bpz00_12647); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12653); 
VECTOR_SET(
((obj_t)BgL_sz00_12646),((long)0),BgL_bpz00_12647); 
return BgL_accz00_12654;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12655;
BgL_nsz00_12655 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12655,((long)1),BgL_sz00_12646); 
VECTOR_SET(BgL_nsz00_12655,((long)2),BgL_az00_10492); 
VECTOR_SET(BgL_nsz00_12655,((long)3),BgL_bz00_10493); 
VECTOR_SET(BgL_nsz00_12655,((long)4),BgL_cz00_10494); 
VECTOR_SET(BgL_nsz00_12655,((long)5),BgL_dz00_10495); 
VECTOR_SET(BgL_nsz00_12655,((long)6),BgL_lastz00_10496); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12656;
BgL_z12denvz12_12656 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12656, BgL_nsz00_12655); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12657;
BgL_ez00_12657 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12657, BgL_sz00_12646); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12658;
BgL_____rz00_12658 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10490, BgL_nsz00_12655, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12657); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12656, BgL_sz00_12646); 
return BgL_____rz00_12658;} } } } } } } } 

}



/* &run4157 */
obj_t BGl_z62run4157z62zz__evaluate_compz00(obj_t BgL_envz00_10497, obj_t BgL_sz00_10501)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10498;BgL_ev_absz00_bglt BgL_i1244z00_10499;obj_t BgL_bodyz00_10500;
BgL_iboxesz00_10498 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10497, 
(int)(((long)0)))); 
BgL_i1244z00_10499 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10497, 
(int)(((long)1)))); 
BgL_bodyz00_10500 = 
PROCEDURE_REF(BgL_envz00_10497, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12659;
BgL_bpz00_12659 = 
VECTOR_REF(
((obj_t)BgL_sz00_10501),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10501, BgL_iboxesz00_10498, BgL_bpz00_12659); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12660;obj_t BgL_wherez00_12661;obj_t BgL_locz00_12662;
BgL_z12denvz12_12660 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12661 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10499))->BgL_wherez00); 
BgL_locz00_12662 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10499))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12660, BgL_wherez00_12661, BgL_locz00_12662); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12663;
BgL_za2za2resza2za2z00_12663 = 
PROCEDURE_ENTRY(BgL_bodyz00_10500)(BgL_bodyz00_10500, BgL_sz00_10501, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12660); 
return BgL_za2za2resza2za2z00_12663;} } } } } } 

}



/* &<@anonymous:3599> */
obj_t BGl_z62zc3z04anonymousza33599ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10502, obj_t BgL_sz00_10508)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10503;long BgL_siza7eza7_10504;BgL_ev_absz00_bglt BgL_i1244z00_10505;obj_t BgL_bodyz00_10506;long BgL_siza7ezd2framez75_10507;
BgL_ifreesz00_10503 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10502, 
(int)(((long)0)))); 
BgL_siza7eza7_10504 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10502, 
(int)(((long)1)))); 
BgL_i1244z00_10505 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10502, 
(int)(((long)2)))); 
BgL_bodyz00_10506 = 
PROCEDURE_REF(BgL_envz00_10502, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_10507 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10502, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12664;
BgL_bpz00_12664 = 
VECTOR_REF(
((obj_t)BgL_sz00_10508),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12665;
BgL_valza2za2_12665 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10508, BgL_bpz00_12664, BgL_ifreesz00_10503); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12666;
BgL_runz00_12666 = 
MAKE_FX_PROCEDURE(BGl_z62run4159z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_12666, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10504)); 
PROCEDURE_SET(BgL_runz00_12666, 
(int)(((long)1)), BgL_valza2za2_12665); 
PROCEDURE_SET(BgL_runz00_12666, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10505)); 
PROCEDURE_SET(BgL_runz00_12666, 
(int)(((long)3)), BgL_bodyz00_10506); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12667;
BgL_mainz00_12667 = 
MAKE_VA_PROCEDURE(BGl_z62main4158z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_12667, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10504)); 
PROCEDURE_SET(BgL_mainz00_12667, 
(int)(((long)1)), BgL_valza2za2_12665); 
PROCEDURE_SET(BgL_mainz00_12667, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10505)); 
PROCEDURE_SET(BgL_mainz00_12667, 
(int)(((long)3)), BgL_bodyz00_10506); 
PROCEDURE_SET(BgL_mainz00_12667, 
(int)(((long)4)), BgL_runz00_12666); 
PROCEDURE_SET(BgL_mainz00_12667, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_10507)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12668;
BgL_objz00_12668 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12666, BgL_objz00_12668); BgL_objz00_12668; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3600z00_12669;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3601z00_12670;
BgL_arg3601z00_12670 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10505))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12671;
BgL_newz00_12671 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21700;
BgL_tmpz00_21700 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12671, BgL_tmpz00_21700, BgL_arg3601z00_12670); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21705;int BgL_tmpz00_21703;
BgL_auxz00_21705 = 
BINT(BgL_siza7ezd2framez75_10507); 
BgL_tmpz00_21703 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12671, BgL_tmpz00_21703, BgL_auxz00_21705); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21708;
BgL_tmpz00_21708 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12671, BgL_tmpz00_21708, BgL_runz00_12666); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21713;int BgL_tmpz00_21711;
BgL_auxz00_21713 = 
BINT(((long)-5)); 
BgL_tmpz00_21711 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12671, BgL_tmpz00_21711, BgL_auxz00_21713); } 
BgL_arg3600z00_12669 = BgL_newz00_12671; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12667, BgL_arg3600z00_12669); BgL_arg3600z00_12669; } 
return BgL_mainz00_12667;} } } } } } 

}



/* &main4158 */
obj_t BGl_z62main4158z62zz__evaluate_compz00(obj_t BgL_envz00_10509, obj_t BgL_az00_10516, obj_t BgL_bz00_10517, obj_t BgL_cz00_10518, obj_t BgL_dz00_10519, obj_t BgL_lastz00_10520)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10514;long BgL_siza7ezd2framez75_10515;
BgL_runz00_10514 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10509, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_10515 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10509, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12672;
BgL_sz00_12672 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12673;
BgL_bpz00_12673 = 
VECTOR_REF(
((obj_t)BgL_sz00_12672),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12672, BgL_bpz00_12673, 
BINT(BgL_siza7ezd2framez75_10515)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3604z00_12674;
BgL_arg3604z00_12674 = 
(
(long)CINT(BgL_bpz00_12673)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12672),BgL_arg3604z00_12674,BgL_az00_10516); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3605z00_12675;
BgL_arg3605z00_12675 = 
(
(long)CINT(BgL_bpz00_12673)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12672),BgL_arg3605z00_12675,BgL_bz00_10517); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3606z00_12676;
BgL_arg3606z00_12676 = 
(
(long)CINT(BgL_bpz00_12673)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12672),BgL_arg3606z00_12676,BgL_cz00_10518); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3607z00_12677;
BgL_arg3607z00_12677 = 
(
(long)CINT(BgL_bpz00_12673)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12672),BgL_arg3607z00_12677,BgL_dz00_10519); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3608z00_12678;
BgL_arg3608z00_12678 = 
(
(long)CINT(BgL_bpz00_12673)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_12672),BgL_arg3608z00_12678,BgL_lastz00_10520); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12679;
BgL_ez00_12679 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12679, BgL_bpz00_12673); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12680;
BgL_accz00_12680 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10514, BgL_sz00_12672, BgL_bpz00_12673); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12679); 
VECTOR_SET(
((obj_t)BgL_sz00_12672),((long)0),BgL_bpz00_12673); 
return BgL_accz00_12680;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12681;
BgL_nsz00_12681 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12681,((long)1),BgL_sz00_12672); 
VECTOR_SET(BgL_nsz00_12681,((long)2),BgL_az00_10516); 
VECTOR_SET(BgL_nsz00_12681,((long)3),BgL_bz00_10517); 
VECTOR_SET(BgL_nsz00_12681,((long)4),BgL_cz00_10518); 
VECTOR_SET(BgL_nsz00_12681,((long)5),BgL_dz00_10519); 
VECTOR_SET(BgL_nsz00_12681,((long)6),BgL_lastz00_10520); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12682;
BgL_z12denvz12_12682 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12682, BgL_nsz00_12681); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12683;
BgL_ez00_12683 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12683, BgL_sz00_12672); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12684;
BgL_____rz00_12684 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10514, BgL_nsz00_12681, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12683); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12682, BgL_sz00_12672); 
return BgL_____rz00_12684;} } } } } } } } 

}



/* &run4159 */
obj_t BGl_z62run4159z62zz__evaluate_compz00(obj_t BgL_envz00_10521, obj_t BgL_sz00_10526)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_10522;obj_t BgL_valza2za2_10523;BgL_ev_absz00_bglt BgL_i1244z00_10524;obj_t BgL_bodyz00_10525;
BgL_siza7eza7_10522 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)0)))); 
BgL_valza2za2_10523 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)1)))); 
BgL_i1244z00_10524 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)2)))); 
BgL_bodyz00_10525 = 
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12685;
BgL_bpz00_12685 = 
VECTOR_REF(
((obj_t)BgL_sz00_10526),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10526, BgL_valza2za2_10523, 
(
(long)CINT(BgL_bpz00_12685)+BgL_siza7eza7_10522)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12686;obj_t BgL_wherez00_12687;obj_t BgL_locz00_12688;
BgL_z12denvz12_12686 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12687 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10524))->BgL_wherez00); 
BgL_locz00_12688 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10524))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12686, BgL_wherez00_12687, BgL_locz00_12688); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12689;
BgL_za2za2resza2za2z00_12689 = 
PROCEDURE_ENTRY(BgL_bodyz00_10525)(BgL_bodyz00_10525, BgL_sz00_10526, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12686); 
return BgL_za2za2resza2za2z00_12689;} } } } } } 

}



/* &<@anonymous:3611> */
obj_t BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10527, obj_t BgL_sz00_10534)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10528;obj_t BgL_iboxesz00_10529;long BgL_siza7eza7_10530;BgL_ev_absz00_bglt BgL_i1244z00_10531;obj_t BgL_bodyz00_10532;long BgL_siza7ezd2framez75_10533;
BgL_ifreesz00_10528 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10527, 
(int)(((long)0)))); 
BgL_iboxesz00_10529 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10527, 
(int)(((long)1)))); 
BgL_siza7eza7_10530 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10527, 
(int)(((long)2)))); 
BgL_i1244z00_10531 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10527, 
(int)(((long)3)))); 
BgL_bodyz00_10532 = 
PROCEDURE_REF(BgL_envz00_10527, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_10533 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10527, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12690;
BgL_bpz00_12690 = 
VECTOR_REF(
((obj_t)BgL_sz00_10534),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12691;
BgL_valza2za2_12691 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10534, BgL_bpz00_12690, BgL_ifreesz00_10528); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12692;
BgL_runz00_12692 = 
MAKE_FX_PROCEDURE(BGl_z62run4161z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_12692, 
(int)(((long)0)), BgL_iboxesz00_10529); 
PROCEDURE_SET(BgL_runz00_12692, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10530)); 
PROCEDURE_SET(BgL_runz00_12692, 
(int)(((long)2)), BgL_valza2za2_12691); 
PROCEDURE_SET(BgL_runz00_12692, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10531)); 
PROCEDURE_SET(BgL_runz00_12692, 
(int)(((long)4)), BgL_bodyz00_10532); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12693;
BgL_mainz00_12693 = 
MAKE_VA_PROCEDURE(BGl_z62main4160z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)0)), BgL_iboxesz00_10529); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10530)); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)2)), BgL_valza2za2_12691); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10531)); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)4)), BgL_bodyz00_10532); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)5)), BgL_runz00_12692); 
PROCEDURE_SET(BgL_mainz00_12693, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_10533)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12694;
BgL_objz00_12694 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12692, BgL_objz00_12694); BgL_objz00_12694; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3612z00_12695;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3613z00_12696;
BgL_arg3613z00_12696 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10531))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12697;
BgL_newz00_12697 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21854;
BgL_tmpz00_21854 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12697, BgL_tmpz00_21854, BgL_arg3613z00_12696); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21859;int BgL_tmpz00_21857;
BgL_auxz00_21859 = 
BINT(BgL_siza7ezd2framez75_10533); 
BgL_tmpz00_21857 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12697, BgL_tmpz00_21857, BgL_auxz00_21859); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21862;
BgL_tmpz00_21862 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12697, BgL_tmpz00_21862, BgL_runz00_12692); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21867;int BgL_tmpz00_21865;
BgL_auxz00_21867 = 
BINT(((long)-5)); 
BgL_tmpz00_21865 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12697, BgL_tmpz00_21865, BgL_auxz00_21867); } 
BgL_arg3612z00_12695 = BgL_newz00_12697; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12693, BgL_arg3612z00_12695); BgL_arg3612z00_12695; } 
return BgL_mainz00_12693;} } } } } } 

}



/* &main4160 */
obj_t BGl_z62main4160z62zz__evaluate_compz00(obj_t BgL_envz00_10535, obj_t BgL_az00_10543, obj_t BgL_bz00_10544, obj_t BgL_cz00_10545, obj_t BgL_dz00_10546, obj_t BgL_lastz00_10547)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10541;long BgL_siza7ezd2framez75_10542;
BgL_runz00_10541 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10535, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_10542 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10535, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12698;
BgL_sz00_12698 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12699;
BgL_bpz00_12699 = 
VECTOR_REF(
((obj_t)BgL_sz00_12698),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12698, BgL_bpz00_12699, 
BINT(BgL_siza7ezd2framez75_10542)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3616z00_12700;
BgL_arg3616z00_12700 = 
(
(long)CINT(BgL_bpz00_12699)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12698),BgL_arg3616z00_12700,BgL_az00_10543); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3617z00_12701;
BgL_arg3617z00_12701 = 
(
(long)CINT(BgL_bpz00_12699)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12698),BgL_arg3617z00_12701,BgL_bz00_10544); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3618z00_12702;
BgL_arg3618z00_12702 = 
(
(long)CINT(BgL_bpz00_12699)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12698),BgL_arg3618z00_12702,BgL_cz00_10545); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3619z00_12703;
BgL_arg3619z00_12703 = 
(
(long)CINT(BgL_bpz00_12699)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12698),BgL_arg3619z00_12703,BgL_dz00_10546); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3620z00_12704;
BgL_arg3620z00_12704 = 
(
(long)CINT(BgL_bpz00_12699)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_12698),BgL_arg3620z00_12704,BgL_lastz00_10547); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12705;
BgL_ez00_12705 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12705, BgL_bpz00_12699); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12706;
BgL_accz00_12706 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10541, BgL_sz00_12698, BgL_bpz00_12699); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12705); 
VECTOR_SET(
((obj_t)BgL_sz00_12698),((long)0),BgL_bpz00_12699); 
return BgL_accz00_12706;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12707;
BgL_nsz00_12707 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12707,((long)1),BgL_sz00_12698); 
VECTOR_SET(BgL_nsz00_12707,((long)2),BgL_az00_10543); 
VECTOR_SET(BgL_nsz00_12707,((long)3),BgL_bz00_10544); 
VECTOR_SET(BgL_nsz00_12707,((long)4),BgL_cz00_10545); 
VECTOR_SET(BgL_nsz00_12707,((long)5),BgL_dz00_10546); 
VECTOR_SET(BgL_nsz00_12707,((long)6),BgL_lastz00_10547); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12708;
BgL_z12denvz12_12708 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12708, BgL_nsz00_12707); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12709;
BgL_ez00_12709 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12709, BgL_sz00_12698); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12710;
BgL_____rz00_12710 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10541, BgL_nsz00_12707, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12709); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12708, BgL_sz00_12698); 
return BgL_____rz00_12710;} } } } } } } } 

}



/* &run4161 */
obj_t BGl_z62run4161z62zz__evaluate_compz00(obj_t BgL_envz00_10548, obj_t BgL_sz00_10554)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10549;long BgL_siza7eza7_10550;obj_t BgL_valza2za2_10551;BgL_ev_absz00_bglt BgL_i1244z00_10552;obj_t BgL_bodyz00_10553;
BgL_iboxesz00_10549 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10548, 
(int)(((long)0)))); 
BgL_siza7eza7_10550 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10548, 
(int)(((long)1)))); 
BgL_valza2za2_10551 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10548, 
(int)(((long)2)))); 
BgL_i1244z00_10552 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10548, 
(int)(((long)3)))); 
BgL_bodyz00_10553 = 
PROCEDURE_REF(BgL_envz00_10548, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12711;
BgL_bpz00_12711 = 
VECTOR_REF(
((obj_t)BgL_sz00_10554),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10554, BgL_iboxesz00_10549, BgL_bpz00_12711); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10554, BgL_valza2za2_10551, 
(
(long)CINT(BgL_bpz00_12711)+BgL_siza7eza7_10550)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12712;obj_t BgL_wherez00_12713;obj_t BgL_locz00_12714;
BgL_z12denvz12_12712 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12713 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10552))->BgL_wherez00); 
BgL_locz00_12714 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10552))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12712, BgL_wherez00_12713, BgL_locz00_12714); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12715;
BgL_za2za2resza2za2z00_12715 = 
PROCEDURE_ENTRY(BgL_bodyz00_10553)(BgL_bodyz00_10553, BgL_sz00_10554, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12712); 
return BgL_za2za2resza2za2z00_12715;} } } } } } 

}



/* &<@anonymous:3523> */
obj_t BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10555, obj_t BgL_sz00_10559)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10556;obj_t BgL_bodyz00_10557;long BgL_siza7ezd2framez75_10558;
BgL_i1244z00_10556 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)0)))); 
BgL_bodyz00_10557 = 
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10558 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12716;
BgL_bpz00_12716 = 
VECTOR_REF(
((obj_t)BgL_sz00_10559),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12717;
BgL_runz00_12717 = 
MAKE_FX_PROCEDURE(BGl_z62run4163z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_12717, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10556)); 
PROCEDURE_SET(BgL_runz00_12717, 
(int)(((long)1)), BgL_bodyz00_10557); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12718;
BgL_mainz00_12718 = 
MAKE_FX_PROCEDURE(BGl_z62main4162z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_12718, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10556)); 
PROCEDURE_SET(BgL_mainz00_12718, 
(int)(((long)1)), BgL_bodyz00_10557); 
PROCEDURE_SET(BgL_mainz00_12718, 
(int)(((long)2)), BgL_runz00_12717); 
PROCEDURE_SET(BgL_mainz00_12718, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10558)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12719;
BgL_objz00_12719 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12717, BgL_objz00_12719); BgL_objz00_12719; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3524z00_12720;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3525z00_12721;
BgL_arg3525z00_12721 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10556))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12722;
BgL_newz00_12722 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21988;
BgL_tmpz00_21988 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12722, BgL_tmpz00_21988, BgL_arg3525z00_12721); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_21993;int BgL_tmpz00_21991;
BgL_auxz00_21993 = 
BINT(BgL_siza7ezd2framez75_10558); 
BgL_tmpz00_21991 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12722, BgL_tmpz00_21991, BgL_auxz00_21993); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_21996;
BgL_tmpz00_21996 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12722, BgL_tmpz00_21996, BgL_runz00_12717); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22001;int BgL_tmpz00_21999;
BgL_auxz00_22001 = 
BINT(((long)4)); 
BgL_tmpz00_21999 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12722, BgL_tmpz00_21999, BgL_auxz00_22001); } 
BgL_arg3524z00_12720 = BgL_newz00_12722; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12718, BgL_arg3524z00_12720); BgL_arg3524z00_12720; } 
return BgL_mainz00_12718;} } } } } } 

}



/* &main4162 */
obj_t BGl_z62main4162z62zz__evaluate_compz00(obj_t BgL_envz00_10560, obj_t BgL_az00_10565, obj_t BgL_bz00_10566, obj_t BgL_cz00_10567, obj_t BgL_dz00_10568)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10563;long BgL_siza7ezd2framez75_10564;
BgL_runz00_10563 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10560, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10564 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10560, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12723;
BgL_sz00_12723 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12724;
BgL_bpz00_12724 = 
VECTOR_REF(
((obj_t)BgL_sz00_12723),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12723, BgL_bpz00_12724, 
BINT(BgL_siza7ezd2framez75_10564)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3528z00_12725;
BgL_arg3528z00_12725 = 
(
(long)CINT(BgL_bpz00_12724)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12723),BgL_arg3528z00_12725,BgL_az00_10565); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3529z00_12726;
BgL_arg3529z00_12726 = 
(
(long)CINT(BgL_bpz00_12724)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12723),BgL_arg3529z00_12726,BgL_bz00_10566); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3530z00_12727;
BgL_arg3530z00_12727 = 
(
(long)CINT(BgL_bpz00_12724)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12723),BgL_arg3530z00_12727,BgL_cz00_10567); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3531z00_12728;
BgL_arg3531z00_12728 = 
(
(long)CINT(BgL_bpz00_12724)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12723),BgL_arg3531z00_12728,BgL_dz00_10568); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12729;
BgL_ez00_12729 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12729, BgL_bpz00_12724); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12730;
BgL_accz00_12730 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10563, BgL_sz00_12723, BgL_bpz00_12724); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12729); 
VECTOR_SET(
((obj_t)BgL_sz00_12723),((long)0),BgL_bpz00_12724); 
return BgL_accz00_12730;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12731;
BgL_nsz00_12731 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12731,((long)1),BgL_sz00_12723); 
VECTOR_SET(BgL_nsz00_12731,((long)2),BgL_az00_10565); 
VECTOR_SET(BgL_nsz00_12731,((long)3),BgL_bz00_10566); 
VECTOR_SET(BgL_nsz00_12731,((long)4),BgL_cz00_10567); 
VECTOR_SET(BgL_nsz00_12731,((long)5),BgL_dz00_10568); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12732;
BgL_z12denvz12_12732 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12732, BgL_nsz00_12731); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12733;
BgL_ez00_12733 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12733, BgL_sz00_12723); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12734;
BgL_____rz00_12734 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10563, BgL_nsz00_12731, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12733); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12732, BgL_sz00_12723); 
return BgL_____rz00_12734;} } } } } } } } 

}



/* &run4163 */
obj_t BGl_z62run4163z62zz__evaluate_compz00(obj_t BgL_envz00_10569, obj_t BgL_sz00_10572)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10570;obj_t BgL_bodyz00_10571;
BgL_i1244z00_10570 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10569, 
(int)(((long)0)))); 
BgL_bodyz00_10571 = 
PROCEDURE_REF(BgL_envz00_10569, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12735;
BgL_bpz00_12735 = 
VECTOR_REF(
((obj_t)BgL_sz00_10572),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12736;obj_t BgL_wherez00_12737;obj_t BgL_locz00_12738;
BgL_z12denvz12_12736 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12737 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10570))->BgL_wherez00); 
BgL_locz00_12738 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10570))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12736, BgL_wherez00_12737, BgL_locz00_12738); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12739;
BgL_za2za2resza2za2z00_12739 = 
PROCEDURE_ENTRY(BgL_bodyz00_10571)(BgL_bodyz00_10571, BgL_sz00_10572, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12736); 
return BgL_za2za2resza2za2z00_12739;} } } } } } 

}



/* &<@anonymous:3533> */
obj_t BGl_z62zc3z04anonymousza33533ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10573, obj_t BgL_sz00_10578)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10574;BgL_ev_absz00_bglt BgL_i1244z00_10575;obj_t BgL_bodyz00_10576;long BgL_siza7ezd2framez75_10577;
BgL_iboxesz00_10574 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10573, 
(int)(((long)0)))); 
BgL_i1244z00_10575 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10573, 
(int)(((long)1)))); 
BgL_bodyz00_10576 = 
PROCEDURE_REF(BgL_envz00_10573, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_10577 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10573, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12740;
BgL_bpz00_12740 = 
VECTOR_REF(
((obj_t)BgL_sz00_10578),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12741;
BgL_runz00_12741 = 
MAKE_FX_PROCEDURE(BGl_z62run4165z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_12741, 
(int)(((long)0)), BgL_iboxesz00_10574); 
PROCEDURE_SET(BgL_runz00_12741, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10575)); 
PROCEDURE_SET(BgL_runz00_12741, 
(int)(((long)2)), BgL_bodyz00_10576); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12742;
BgL_mainz00_12742 = 
MAKE_FX_PROCEDURE(BGl_z62main4164z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_12742, 
(int)(((long)0)), BgL_iboxesz00_10574); 
PROCEDURE_SET(BgL_mainz00_12742, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10575)); 
PROCEDURE_SET(BgL_mainz00_12742, 
(int)(((long)2)), BgL_bodyz00_10576); 
PROCEDURE_SET(BgL_mainz00_12742, 
(int)(((long)3)), BgL_runz00_12741); 
PROCEDURE_SET(BgL_mainz00_12742, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_10577)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12743;
BgL_objz00_12743 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12741, BgL_objz00_12743); BgL_objz00_12743; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3534z00_12744;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3535z00_12745;
BgL_arg3535z00_12745 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10575))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12746;
BgL_newz00_12746 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22111;
BgL_tmpz00_22111 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12746, BgL_tmpz00_22111, BgL_arg3535z00_12745); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22116;int BgL_tmpz00_22114;
BgL_auxz00_22116 = 
BINT(BgL_siza7ezd2framez75_10577); 
BgL_tmpz00_22114 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12746, BgL_tmpz00_22114, BgL_auxz00_22116); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22119;
BgL_tmpz00_22119 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12746, BgL_tmpz00_22119, BgL_runz00_12741); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22124;int BgL_tmpz00_22122;
BgL_auxz00_22124 = 
BINT(((long)4)); 
BgL_tmpz00_22122 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12746, BgL_tmpz00_22122, BgL_auxz00_22124); } 
BgL_arg3534z00_12744 = BgL_newz00_12746; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12742, BgL_arg3534z00_12744); BgL_arg3534z00_12744; } 
return BgL_mainz00_12742;} } } } } } 

}



/* &main4164 */
obj_t BGl_z62main4164z62zz__evaluate_compz00(obj_t BgL_envz00_10579, obj_t BgL_az00_10585, obj_t BgL_bz00_10586, obj_t BgL_cz00_10587, obj_t BgL_dz00_10588)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10583;long BgL_siza7ezd2framez75_10584;
BgL_runz00_10583 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_10584 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12747;
BgL_sz00_12747 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12748;
BgL_bpz00_12748 = 
VECTOR_REF(
((obj_t)BgL_sz00_12747),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12747, BgL_bpz00_12748, 
BINT(BgL_siza7ezd2framez75_10584)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3538z00_12749;
BgL_arg3538z00_12749 = 
(
(long)CINT(BgL_bpz00_12748)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12747),BgL_arg3538z00_12749,BgL_az00_10585); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3539z00_12750;
BgL_arg3539z00_12750 = 
(
(long)CINT(BgL_bpz00_12748)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12747),BgL_arg3539z00_12750,BgL_bz00_10586); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3540z00_12751;
BgL_arg3540z00_12751 = 
(
(long)CINT(BgL_bpz00_12748)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12747),BgL_arg3540z00_12751,BgL_cz00_10587); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3541z00_12752;
BgL_arg3541z00_12752 = 
(
(long)CINT(BgL_bpz00_12748)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12747),BgL_arg3541z00_12752,BgL_dz00_10588); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12753;
BgL_ez00_12753 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12753, BgL_bpz00_12748); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12754;
BgL_accz00_12754 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10583, BgL_sz00_12747, BgL_bpz00_12748); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12753); 
VECTOR_SET(
((obj_t)BgL_sz00_12747),((long)0),BgL_bpz00_12748); 
return BgL_accz00_12754;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12755;
BgL_nsz00_12755 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12755,((long)1),BgL_sz00_12747); 
VECTOR_SET(BgL_nsz00_12755,((long)2),BgL_az00_10585); 
VECTOR_SET(BgL_nsz00_12755,((long)3),BgL_bz00_10586); 
VECTOR_SET(BgL_nsz00_12755,((long)4),BgL_cz00_10587); 
VECTOR_SET(BgL_nsz00_12755,((long)5),BgL_dz00_10588); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12756;
BgL_z12denvz12_12756 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12756, BgL_nsz00_12755); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12757;
BgL_ez00_12757 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12757, BgL_sz00_12747); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12758;
BgL_____rz00_12758 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10583, BgL_nsz00_12755, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12757); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12756, BgL_sz00_12747); 
return BgL_____rz00_12758;} } } } } } } } 

}



/* &run4165 */
obj_t BGl_z62run4165z62zz__evaluate_compz00(obj_t BgL_envz00_10589, obj_t BgL_sz00_10593)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10590;BgL_ev_absz00_bglt BgL_i1244z00_10591;obj_t BgL_bodyz00_10592;
BgL_iboxesz00_10590 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10589, 
(int)(((long)0)))); 
BgL_i1244z00_10591 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10589, 
(int)(((long)1)))); 
BgL_bodyz00_10592 = 
PROCEDURE_REF(BgL_envz00_10589, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12759;
BgL_bpz00_12759 = 
VECTOR_REF(
((obj_t)BgL_sz00_10593),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10593, BgL_iboxesz00_10590, BgL_bpz00_12759); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12760;obj_t BgL_wherez00_12761;obj_t BgL_locz00_12762;
BgL_z12denvz12_12760 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12761 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10591))->BgL_wherez00); 
BgL_locz00_12762 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10591))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12760, BgL_wherez00_12761, BgL_locz00_12762); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12763;
BgL_za2za2resza2za2z00_12763 = 
PROCEDURE_ENTRY(BgL_bodyz00_10592)(BgL_bodyz00_10592, BgL_sz00_10593, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12760); 
return BgL_za2za2resza2za2z00_12763;} } } } } } 

}



/* &<@anonymous:3546> */
obj_t BGl_z62zc3z04anonymousza33546ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10594, obj_t BgL_sz00_10600)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10595;long BgL_siza7eza7_10596;BgL_ev_absz00_bglt BgL_i1244z00_10597;obj_t BgL_bodyz00_10598;long BgL_siza7ezd2framez75_10599;
BgL_ifreesz00_10595 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)0)))); 
BgL_siza7eza7_10596 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)1)))); 
BgL_i1244z00_10597 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)2)))); 
BgL_bodyz00_10598 = 
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_10599 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10594, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12764;
BgL_bpz00_12764 = 
VECTOR_REF(
((obj_t)BgL_sz00_10600),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12765;
BgL_valza2za2_12765 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10600, BgL_bpz00_12764, BgL_ifreesz00_10595); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12766;
BgL_runz00_12766 = 
MAKE_FX_PROCEDURE(BGl_z62run4167z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_12766, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10596)); 
PROCEDURE_SET(BgL_runz00_12766, 
(int)(((long)1)), BgL_valza2za2_12765); 
PROCEDURE_SET(BgL_runz00_12766, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10597)); 
PROCEDURE_SET(BgL_runz00_12766, 
(int)(((long)3)), BgL_bodyz00_10598); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12767;
BgL_mainz00_12767 = 
MAKE_FX_PROCEDURE(BGl_z62main4166z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_12767, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10596)); 
PROCEDURE_SET(BgL_mainz00_12767, 
(int)(((long)1)), BgL_valza2za2_12765); 
PROCEDURE_SET(BgL_mainz00_12767, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10597)); 
PROCEDURE_SET(BgL_mainz00_12767, 
(int)(((long)3)), BgL_bodyz00_10598); 
PROCEDURE_SET(BgL_mainz00_12767, 
(int)(((long)4)), BgL_runz00_12766); 
PROCEDURE_SET(BgL_mainz00_12767, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_10599)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12768;
BgL_objz00_12768 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12766, BgL_objz00_12768); BgL_objz00_12768; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3547z00_12769;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3548z00_12770;
BgL_arg3548z00_12770 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10597))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12771;
BgL_newz00_12771 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22248;
BgL_tmpz00_22248 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12771, BgL_tmpz00_22248, BgL_arg3548z00_12770); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22253;int BgL_tmpz00_22251;
BgL_auxz00_22253 = 
BINT(BgL_siza7ezd2framez75_10599); 
BgL_tmpz00_22251 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12771, BgL_tmpz00_22251, BgL_auxz00_22253); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22256;
BgL_tmpz00_22256 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12771, BgL_tmpz00_22256, BgL_runz00_12766); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22261;int BgL_tmpz00_22259;
BgL_auxz00_22261 = 
BINT(((long)4)); 
BgL_tmpz00_22259 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12771, BgL_tmpz00_22259, BgL_auxz00_22261); } 
BgL_arg3547z00_12769 = BgL_newz00_12771; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12767, BgL_arg3547z00_12769); BgL_arg3547z00_12769; } 
return BgL_mainz00_12767;} } } } } } 

}



/* &main4166 */
obj_t BGl_z62main4166z62zz__evaluate_compz00(obj_t BgL_envz00_10601, obj_t BgL_az00_10608, obj_t BgL_bz00_10609, obj_t BgL_cz00_10610, obj_t BgL_dz00_10611)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10606;long BgL_siza7ezd2framez75_10607;
BgL_runz00_10606 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10601, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_10607 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10601, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12772;
BgL_sz00_12772 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12773;
BgL_bpz00_12773 = 
VECTOR_REF(
((obj_t)BgL_sz00_12772),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12772, BgL_bpz00_12773, 
BINT(BgL_siza7ezd2framez75_10607)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3551z00_12774;
BgL_arg3551z00_12774 = 
(
(long)CINT(BgL_bpz00_12773)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12772),BgL_arg3551z00_12774,BgL_az00_10608); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3552z00_12775;
BgL_arg3552z00_12775 = 
(
(long)CINT(BgL_bpz00_12773)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12772),BgL_arg3552z00_12775,BgL_bz00_10609); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3553z00_12776;
BgL_arg3553z00_12776 = 
(
(long)CINT(BgL_bpz00_12773)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12772),BgL_arg3553z00_12776,BgL_cz00_10610); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3554z00_12777;
BgL_arg3554z00_12777 = 
(
(long)CINT(BgL_bpz00_12773)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12772),BgL_arg3554z00_12777,BgL_dz00_10611); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12778;
BgL_ez00_12778 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12778, BgL_bpz00_12773); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12779;
BgL_accz00_12779 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10606, BgL_sz00_12772, BgL_bpz00_12773); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12778); 
VECTOR_SET(
((obj_t)BgL_sz00_12772),((long)0),BgL_bpz00_12773); 
return BgL_accz00_12779;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12780;
BgL_nsz00_12780 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12780,((long)1),BgL_sz00_12772); 
VECTOR_SET(BgL_nsz00_12780,((long)2),BgL_az00_10608); 
VECTOR_SET(BgL_nsz00_12780,((long)3),BgL_bz00_10609); 
VECTOR_SET(BgL_nsz00_12780,((long)4),BgL_cz00_10610); 
VECTOR_SET(BgL_nsz00_12780,((long)5),BgL_dz00_10611); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12781;
BgL_z12denvz12_12781 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12781, BgL_nsz00_12780); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12782;
BgL_ez00_12782 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12782, BgL_sz00_12772); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12783;
BgL_____rz00_12783 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10606, BgL_nsz00_12780, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12782); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12781, BgL_sz00_12772); 
return BgL_____rz00_12783;} } } } } } } } 

}



/* &run4167 */
obj_t BGl_z62run4167z62zz__evaluate_compz00(obj_t BgL_envz00_10612, obj_t BgL_sz00_10617)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_10613;obj_t BgL_valza2za2_10614;BgL_ev_absz00_bglt BgL_i1244z00_10615;obj_t BgL_bodyz00_10616;
BgL_siza7eza7_10613 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10612, 
(int)(((long)0)))); 
BgL_valza2za2_10614 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10612, 
(int)(((long)1)))); 
BgL_i1244z00_10615 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10612, 
(int)(((long)2)))); 
BgL_bodyz00_10616 = 
PROCEDURE_REF(BgL_envz00_10612, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12784;
BgL_bpz00_12784 = 
VECTOR_REF(
((obj_t)BgL_sz00_10617),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10617, BgL_valza2za2_10614, 
(
(long)CINT(BgL_bpz00_12784)+BgL_siza7eza7_10613)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12785;obj_t BgL_wherez00_12786;obj_t BgL_locz00_12787;
BgL_z12denvz12_12785 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12786 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10615))->BgL_wherez00); 
BgL_locz00_12787 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10615))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12785, BgL_wherez00_12786, BgL_locz00_12787); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12788;
BgL_za2za2resza2za2z00_12788 = 
PROCEDURE_ENTRY(BgL_bodyz00_10616)(BgL_bodyz00_10616, BgL_sz00_10617, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12785); 
return BgL_za2za2resza2za2z00_12788;} } } } } } 

}



/* &<@anonymous:3557> */
obj_t BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10618, obj_t BgL_sz00_10625)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10619;obj_t BgL_iboxesz00_10620;long BgL_siza7eza7_10621;BgL_ev_absz00_bglt BgL_i1244z00_10622;obj_t BgL_bodyz00_10623;long BgL_siza7ezd2framez75_10624;
BgL_ifreesz00_10619 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10618, 
(int)(((long)0)))); 
BgL_iboxesz00_10620 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10618, 
(int)(((long)1)))); 
BgL_siza7eza7_10621 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10618, 
(int)(((long)2)))); 
BgL_i1244z00_10622 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10618, 
(int)(((long)3)))); 
BgL_bodyz00_10623 = 
PROCEDURE_REF(BgL_envz00_10618, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_10624 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10618, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12789;
BgL_bpz00_12789 = 
VECTOR_REF(
((obj_t)BgL_sz00_10625),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12790;
BgL_valza2za2_12790 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10625, BgL_bpz00_12789, BgL_ifreesz00_10619); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12791;
BgL_runz00_12791 = 
MAKE_FX_PROCEDURE(BGl_z62run4169z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_12791, 
(int)(((long)0)), BgL_iboxesz00_10620); 
PROCEDURE_SET(BgL_runz00_12791, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10621)); 
PROCEDURE_SET(BgL_runz00_12791, 
(int)(((long)2)), BgL_valza2za2_12790); 
PROCEDURE_SET(BgL_runz00_12791, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10622)); 
PROCEDURE_SET(BgL_runz00_12791, 
(int)(((long)4)), BgL_bodyz00_10623); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12792;
BgL_mainz00_12792 = 
MAKE_FX_PROCEDURE(BGl_z62main4168z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)0)), BgL_iboxesz00_10620); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10621)); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)2)), BgL_valza2za2_12790); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10622)); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)4)), BgL_bodyz00_10623); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)5)), BgL_runz00_12791); 
PROCEDURE_SET(BgL_mainz00_12792, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_10624)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12793;
BgL_objz00_12793 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12791, BgL_objz00_12793); BgL_objz00_12793; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3558z00_12794;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3559z00_12795;
BgL_arg3559z00_12795 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10622))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12796;
BgL_newz00_12796 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22397;
BgL_tmpz00_22397 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12796, BgL_tmpz00_22397, BgL_arg3559z00_12795); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22402;int BgL_tmpz00_22400;
BgL_auxz00_22402 = 
BINT(BgL_siza7ezd2framez75_10624); 
BgL_tmpz00_22400 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12796, BgL_tmpz00_22400, BgL_auxz00_22402); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22405;
BgL_tmpz00_22405 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12796, BgL_tmpz00_22405, BgL_runz00_12791); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22410;int BgL_tmpz00_22408;
BgL_auxz00_22410 = 
BINT(((long)4)); 
BgL_tmpz00_22408 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12796, BgL_tmpz00_22408, BgL_auxz00_22410); } 
BgL_arg3558z00_12794 = BgL_newz00_12796; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12792, BgL_arg3558z00_12794); BgL_arg3558z00_12794; } 
return BgL_mainz00_12792;} } } } } } 

}



/* &main4168 */
obj_t BGl_z62main4168z62zz__evaluate_compz00(obj_t BgL_envz00_10626, obj_t BgL_az00_10634, obj_t BgL_bz00_10635, obj_t BgL_cz00_10636, obj_t BgL_dz00_10637)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10632;long BgL_siza7ezd2framez75_10633;
BgL_runz00_10632 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10626, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_10633 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10626, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12797;
BgL_sz00_12797 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12798;
BgL_bpz00_12798 = 
VECTOR_REF(
((obj_t)BgL_sz00_12797),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12797, BgL_bpz00_12798, 
BINT(BgL_siza7ezd2framez75_10633)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3562z00_12799;
BgL_arg3562z00_12799 = 
(
(long)CINT(BgL_bpz00_12798)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12797),BgL_arg3562z00_12799,BgL_az00_10634); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3563z00_12800;
BgL_arg3563z00_12800 = 
(
(long)CINT(BgL_bpz00_12798)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12797),BgL_arg3563z00_12800,BgL_bz00_10635); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3564z00_12801;
BgL_arg3564z00_12801 = 
(
(long)CINT(BgL_bpz00_12798)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12797),BgL_arg3564z00_12801,BgL_cz00_10636); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3565z00_12802;
BgL_arg3565z00_12802 = 
(
(long)CINT(BgL_bpz00_12798)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12797),BgL_arg3565z00_12802,BgL_dz00_10637); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12803;
BgL_ez00_12803 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12803, BgL_bpz00_12798); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12804;
BgL_accz00_12804 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10632, BgL_sz00_12797, BgL_bpz00_12798); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12803); 
VECTOR_SET(
((obj_t)BgL_sz00_12797),((long)0),BgL_bpz00_12798); 
return BgL_accz00_12804;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12805;
BgL_nsz00_12805 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12805,((long)1),BgL_sz00_12797); 
VECTOR_SET(BgL_nsz00_12805,((long)2),BgL_az00_10634); 
VECTOR_SET(BgL_nsz00_12805,((long)3),BgL_bz00_10635); 
VECTOR_SET(BgL_nsz00_12805,((long)4),BgL_cz00_10636); 
VECTOR_SET(BgL_nsz00_12805,((long)5),BgL_dz00_10637); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12806;
BgL_z12denvz12_12806 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12806, BgL_nsz00_12805); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12807;
BgL_ez00_12807 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12807, BgL_sz00_12797); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12808;
BgL_____rz00_12808 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10632, BgL_nsz00_12805, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12807); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12806, BgL_sz00_12797); 
return BgL_____rz00_12808;} } } } } } } } 

}



/* &run4169 */
obj_t BGl_z62run4169z62zz__evaluate_compz00(obj_t BgL_envz00_10638, obj_t BgL_sz00_10644)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10639;long BgL_siza7eza7_10640;obj_t BgL_valza2za2_10641;BgL_ev_absz00_bglt BgL_i1244z00_10642;obj_t BgL_bodyz00_10643;
BgL_iboxesz00_10639 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)0)))); 
BgL_siza7eza7_10640 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)1)))); 
BgL_valza2za2_10641 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)2)))); 
BgL_i1244z00_10642 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)3)))); 
BgL_bodyz00_10643 = 
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12809;
BgL_bpz00_12809 = 
VECTOR_REF(
((obj_t)BgL_sz00_10644),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10644, BgL_iboxesz00_10639, BgL_bpz00_12809); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10644, BgL_valza2za2_10641, 
(
(long)CINT(BgL_bpz00_12809)+BgL_siza7eza7_10640)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12810;obj_t BgL_wherez00_12811;obj_t BgL_locz00_12812;
BgL_z12denvz12_12810 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12811 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10642))->BgL_wherez00); 
BgL_locz00_12812 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10642))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12810, BgL_wherez00_12811, BgL_locz00_12812); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12813;
BgL_za2za2resza2za2z00_12813 = 
PROCEDURE_ENTRY(BgL_bodyz00_10643)(BgL_bodyz00_10643, BgL_sz00_10644, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12810); 
return BgL_za2za2resza2za2z00_12813;} } } } } } 

}



/* &<@anonymous:3472> */
obj_t BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10645, obj_t BgL_sz00_10649)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10646;obj_t BgL_bodyz00_10647;long BgL_siza7ezd2framez75_10648;
BgL_i1244z00_10646 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)0)))); 
BgL_bodyz00_10647 = 
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10648 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12814;
BgL_bpz00_12814 = 
VECTOR_REF(
((obj_t)BgL_sz00_10649),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12815;
BgL_runz00_12815 = 
MAKE_FX_PROCEDURE(BGl_z62run4171z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_12815, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10646)); 
PROCEDURE_SET(BgL_runz00_12815, 
(int)(((long)1)), BgL_bodyz00_10647); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12816;
BgL_mainz00_12816 = 
MAKE_VA_PROCEDURE(BGl_z62main4170z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_12816, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10646)); 
PROCEDURE_SET(BgL_mainz00_12816, 
(int)(((long)1)), BgL_bodyz00_10647); 
PROCEDURE_SET(BgL_mainz00_12816, 
(int)(((long)2)), BgL_runz00_12815); 
PROCEDURE_SET(BgL_mainz00_12816, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10648)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12817;
BgL_objz00_12817 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12815, BgL_objz00_12817); BgL_objz00_12817; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3473z00_12818;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3474z00_12819;
BgL_arg3474z00_12819 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10646))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12820;
BgL_newz00_12820 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22526;
BgL_tmpz00_22526 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12820, BgL_tmpz00_22526, BgL_arg3474z00_12819); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22531;int BgL_tmpz00_22529;
BgL_auxz00_22531 = 
BINT(BgL_siza7ezd2framez75_10648); 
BgL_tmpz00_22529 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12820, BgL_tmpz00_22529, BgL_auxz00_22531); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22534;
BgL_tmpz00_22534 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12820, BgL_tmpz00_22534, BgL_runz00_12815); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22539;int BgL_tmpz00_22537;
BgL_auxz00_22539 = 
BINT(((long)-4)); 
BgL_tmpz00_22537 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12820, BgL_tmpz00_22537, BgL_auxz00_22539); } 
BgL_arg3473z00_12818 = BgL_newz00_12820; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12816, BgL_arg3473z00_12818); BgL_arg3473z00_12818; } 
return BgL_mainz00_12816;} } } } } } 

}



/* &main4170 */
obj_t BGl_z62main4170z62zz__evaluate_compz00(obj_t BgL_envz00_10650, obj_t BgL_bz00_10655, obj_t BgL_cz00_10656, obj_t BgL_dz00_10657, obj_t BgL_lastz00_10658)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10653;long BgL_siza7ezd2framez75_10654;
BgL_runz00_10653 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10650, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10654 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10650, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12821;
BgL_sz00_12821 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12822;
BgL_bpz00_12822 = 
VECTOR_REF(
((obj_t)BgL_sz00_12821),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12821, BgL_bpz00_12822, 
BINT(BgL_siza7ezd2framez75_10654)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3477z00_12823;
BgL_arg3477z00_12823 = 
(
(long)CINT(BgL_bpz00_12822)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12821),BgL_arg3477z00_12823,BgL_bz00_10655); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3478z00_12824;
BgL_arg3478z00_12824 = 
(
(long)CINT(BgL_bpz00_12822)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12821),BgL_arg3478z00_12824,BgL_cz00_10656); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3479z00_12825;
BgL_arg3479z00_12825 = 
(
(long)CINT(BgL_bpz00_12822)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12821),BgL_arg3479z00_12825,BgL_dz00_10657); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3480z00_12826;
BgL_arg3480z00_12826 = 
(
(long)CINT(BgL_bpz00_12822)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12821),BgL_arg3480z00_12826,BgL_lastz00_10658); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12827;
BgL_ez00_12827 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12827, BgL_bpz00_12822); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12828;
BgL_accz00_12828 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10653, BgL_sz00_12821, BgL_bpz00_12822); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12827); 
VECTOR_SET(
((obj_t)BgL_sz00_12821),((long)0),BgL_bpz00_12822); 
return BgL_accz00_12828;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12829;
BgL_nsz00_12829 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12829,((long)1),BgL_sz00_12821); 
VECTOR_SET(BgL_nsz00_12829,((long)2),BgL_bz00_10655); 
VECTOR_SET(BgL_nsz00_12829,((long)3),BgL_cz00_10656); 
VECTOR_SET(BgL_nsz00_12829,((long)4),BgL_dz00_10657); 
VECTOR_SET(BgL_nsz00_12829,((long)5),BgL_lastz00_10658); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12830;
BgL_z12denvz12_12830 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12830, BgL_nsz00_12829); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12831;
BgL_ez00_12831 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12831, BgL_sz00_12821); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12832;
BgL_____rz00_12832 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10653, BgL_nsz00_12829, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12831); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12830, BgL_sz00_12821); 
return BgL_____rz00_12832;} } } } } } } } 

}



/* &run4171 */
obj_t BGl_z62run4171z62zz__evaluate_compz00(obj_t BgL_envz00_10659, obj_t BgL_sz00_10662)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10660;obj_t BgL_bodyz00_10661;
BgL_i1244z00_10660 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)0)))); 
BgL_bodyz00_10661 = 
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12833;
BgL_bpz00_12833 = 
VECTOR_REF(
((obj_t)BgL_sz00_10662),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12834;obj_t BgL_wherez00_12835;obj_t BgL_locz00_12836;
BgL_z12denvz12_12834 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12835 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10660))->BgL_wherez00); 
BgL_locz00_12836 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10660))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12834, BgL_wherez00_12835, BgL_locz00_12836); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12837;
BgL_za2za2resza2za2z00_12837 = 
PROCEDURE_ENTRY(BgL_bodyz00_10661)(BgL_bodyz00_10661, BgL_sz00_10662, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12834); 
return BgL_za2za2resza2za2z00_12837;} } } } } } 

}



/* &<@anonymous:3482> */
obj_t BGl_z62zc3z04anonymousza33482ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10663, obj_t BgL_sz00_10668)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10664;BgL_ev_absz00_bglt BgL_i1244z00_10665;obj_t BgL_bodyz00_10666;long BgL_siza7ezd2framez75_10667;
BgL_iboxesz00_10664 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10663, 
(int)(((long)0)))); 
BgL_i1244z00_10665 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10663, 
(int)(((long)1)))); 
BgL_bodyz00_10666 = 
PROCEDURE_REF(BgL_envz00_10663, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_10667 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10663, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12838;
BgL_bpz00_12838 = 
VECTOR_REF(
((obj_t)BgL_sz00_10668),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12839;
BgL_runz00_12839 = 
MAKE_FX_PROCEDURE(BGl_z62run4173z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_12839, 
(int)(((long)0)), BgL_iboxesz00_10664); 
PROCEDURE_SET(BgL_runz00_12839, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10665)); 
PROCEDURE_SET(BgL_runz00_12839, 
(int)(((long)2)), BgL_bodyz00_10666); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12840;
BgL_mainz00_12840 = 
MAKE_VA_PROCEDURE(BGl_z62main4172z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_12840, 
(int)(((long)0)), BgL_iboxesz00_10664); 
PROCEDURE_SET(BgL_mainz00_12840, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10665)); 
PROCEDURE_SET(BgL_mainz00_12840, 
(int)(((long)2)), BgL_bodyz00_10666); 
PROCEDURE_SET(BgL_mainz00_12840, 
(int)(((long)3)), BgL_runz00_12839); 
PROCEDURE_SET(BgL_mainz00_12840, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_10667)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12841;
BgL_objz00_12841 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12839, BgL_objz00_12841); BgL_objz00_12841; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3483z00_12842;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3484z00_12843;
BgL_arg3484z00_12843 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10665))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12844;
BgL_newz00_12844 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22649;
BgL_tmpz00_22649 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12844, BgL_tmpz00_22649, BgL_arg3484z00_12843); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22654;int BgL_tmpz00_22652;
BgL_auxz00_22654 = 
BINT(BgL_siza7ezd2framez75_10667); 
BgL_tmpz00_22652 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12844, BgL_tmpz00_22652, BgL_auxz00_22654); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22657;
BgL_tmpz00_22657 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12844, BgL_tmpz00_22657, BgL_runz00_12839); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22662;int BgL_tmpz00_22660;
BgL_auxz00_22662 = 
BINT(((long)-4)); 
BgL_tmpz00_22660 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12844, BgL_tmpz00_22660, BgL_auxz00_22662); } 
BgL_arg3483z00_12842 = BgL_newz00_12844; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12840, BgL_arg3483z00_12842); BgL_arg3483z00_12842; } 
return BgL_mainz00_12840;} } } } } } 

}



/* &main4172 */
obj_t BGl_z62main4172z62zz__evaluate_compz00(obj_t BgL_envz00_10669, obj_t BgL_bz00_10675, obj_t BgL_cz00_10676, obj_t BgL_dz00_10677, obj_t BgL_lastz00_10678)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10673;long BgL_siza7ezd2framez75_10674;
BgL_runz00_10673 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10669, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_10674 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10669, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12845;
BgL_sz00_12845 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12846;
BgL_bpz00_12846 = 
VECTOR_REF(
((obj_t)BgL_sz00_12845),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12845, BgL_bpz00_12846, 
BINT(BgL_siza7ezd2framez75_10674)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3487z00_12847;
BgL_arg3487z00_12847 = 
(
(long)CINT(BgL_bpz00_12846)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12845),BgL_arg3487z00_12847,BgL_bz00_10675); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3488z00_12848;
BgL_arg3488z00_12848 = 
(
(long)CINT(BgL_bpz00_12846)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12845),BgL_arg3488z00_12848,BgL_cz00_10676); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3489z00_12849;
BgL_arg3489z00_12849 = 
(
(long)CINT(BgL_bpz00_12846)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12845),BgL_arg3489z00_12849,BgL_dz00_10677); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3490z00_12850;
BgL_arg3490z00_12850 = 
(
(long)CINT(BgL_bpz00_12846)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12845),BgL_arg3490z00_12850,BgL_lastz00_10678); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12851;
BgL_ez00_12851 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12851, BgL_bpz00_12846); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12852;
BgL_accz00_12852 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10673, BgL_sz00_12845, BgL_bpz00_12846); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12851); 
VECTOR_SET(
((obj_t)BgL_sz00_12845),((long)0),BgL_bpz00_12846); 
return BgL_accz00_12852;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12853;
BgL_nsz00_12853 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12853,((long)1),BgL_sz00_12845); 
VECTOR_SET(BgL_nsz00_12853,((long)2),BgL_bz00_10675); 
VECTOR_SET(BgL_nsz00_12853,((long)3),BgL_cz00_10676); 
VECTOR_SET(BgL_nsz00_12853,((long)4),BgL_dz00_10677); 
VECTOR_SET(BgL_nsz00_12853,((long)5),BgL_lastz00_10678); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12854;
BgL_z12denvz12_12854 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12854, BgL_nsz00_12853); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12855;
BgL_ez00_12855 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12855, BgL_sz00_12845); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12856;
BgL_____rz00_12856 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10673, BgL_nsz00_12853, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12855); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12854, BgL_sz00_12845); 
return BgL_____rz00_12856;} } } } } } } } 

}



/* &run4173 */
obj_t BGl_z62run4173z62zz__evaluate_compz00(obj_t BgL_envz00_10679, obj_t BgL_sz00_10683)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10680;BgL_ev_absz00_bglt BgL_i1244z00_10681;obj_t BgL_bodyz00_10682;
BgL_iboxesz00_10680 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)0)))); 
BgL_i1244z00_10681 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)1)))); 
BgL_bodyz00_10682 = 
PROCEDURE_REF(BgL_envz00_10679, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12857;
BgL_bpz00_12857 = 
VECTOR_REF(
((obj_t)BgL_sz00_10683),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10683, BgL_iboxesz00_10680, BgL_bpz00_12857); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12858;obj_t BgL_wherez00_12859;obj_t BgL_locz00_12860;
BgL_z12denvz12_12858 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12859 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10681))->BgL_wherez00); 
BgL_locz00_12860 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10681))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12858, BgL_wherez00_12859, BgL_locz00_12860); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12861;
BgL_za2za2resza2za2z00_12861 = 
PROCEDURE_ENTRY(BgL_bodyz00_10682)(BgL_bodyz00_10682, BgL_sz00_10683, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12858); 
return BgL_za2za2resza2za2z00_12861;} } } } } } 

}



/* &<@anonymous:3495> */
obj_t BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10684, obj_t BgL_sz00_10690)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10685;long BgL_siza7eza7_10686;BgL_ev_absz00_bglt BgL_i1244z00_10687;obj_t BgL_bodyz00_10688;long BgL_siza7ezd2framez75_10689;
BgL_ifreesz00_10685 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10684, 
(int)(((long)0)))); 
BgL_siza7eza7_10686 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10684, 
(int)(((long)1)))); 
BgL_i1244z00_10687 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10684, 
(int)(((long)2)))); 
BgL_bodyz00_10688 = 
PROCEDURE_REF(BgL_envz00_10684, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_10689 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10684, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12862;
BgL_bpz00_12862 = 
VECTOR_REF(
((obj_t)BgL_sz00_10690),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12863;
BgL_valza2za2_12863 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10690, BgL_bpz00_12862, BgL_ifreesz00_10685); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12864;
BgL_runz00_12864 = 
MAKE_FX_PROCEDURE(BGl_z62run4175z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_12864, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10686)); 
PROCEDURE_SET(BgL_runz00_12864, 
(int)(((long)1)), BgL_valza2za2_12863); 
PROCEDURE_SET(BgL_runz00_12864, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10687)); 
PROCEDURE_SET(BgL_runz00_12864, 
(int)(((long)3)), BgL_bodyz00_10688); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12865;
BgL_mainz00_12865 = 
MAKE_VA_PROCEDURE(BGl_z62main4174z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_12865, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10686)); 
PROCEDURE_SET(BgL_mainz00_12865, 
(int)(((long)1)), BgL_valza2za2_12863); 
PROCEDURE_SET(BgL_mainz00_12865, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10687)); 
PROCEDURE_SET(BgL_mainz00_12865, 
(int)(((long)3)), BgL_bodyz00_10688); 
PROCEDURE_SET(BgL_mainz00_12865, 
(int)(((long)4)), BgL_runz00_12864); 
PROCEDURE_SET(BgL_mainz00_12865, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_10689)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12866;
BgL_objz00_12866 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12864, BgL_objz00_12866); BgL_objz00_12866; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3496z00_12867;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3497z00_12868;
BgL_arg3497z00_12868 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10687))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12869;
BgL_newz00_12869 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22786;
BgL_tmpz00_22786 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12869, BgL_tmpz00_22786, BgL_arg3497z00_12868); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22791;int BgL_tmpz00_22789;
BgL_auxz00_22791 = 
BINT(BgL_siza7ezd2framez75_10689); 
BgL_tmpz00_22789 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12869, BgL_tmpz00_22789, BgL_auxz00_22791); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22794;
BgL_tmpz00_22794 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12869, BgL_tmpz00_22794, BgL_runz00_12864); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22799;int BgL_tmpz00_22797;
BgL_auxz00_22799 = 
BINT(((long)-4)); 
BgL_tmpz00_22797 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12869, BgL_tmpz00_22797, BgL_auxz00_22799); } 
BgL_arg3496z00_12867 = BgL_newz00_12869; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12865, BgL_arg3496z00_12867); BgL_arg3496z00_12867; } 
return BgL_mainz00_12865;} } } } } } 

}



/* &main4174 */
obj_t BGl_z62main4174z62zz__evaluate_compz00(obj_t BgL_envz00_10691, obj_t BgL_bz00_10698, obj_t BgL_cz00_10699, obj_t BgL_dz00_10700, obj_t BgL_lastz00_10701)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10696;long BgL_siza7ezd2framez75_10697;
BgL_runz00_10696 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_10697 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12870;
BgL_sz00_12870 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12871;
BgL_bpz00_12871 = 
VECTOR_REF(
((obj_t)BgL_sz00_12870),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12870, BgL_bpz00_12871, 
BINT(BgL_siza7ezd2framez75_10697)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3500z00_12872;
BgL_arg3500z00_12872 = 
(
(long)CINT(BgL_bpz00_12871)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12870),BgL_arg3500z00_12872,BgL_bz00_10698); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3501z00_12873;
BgL_arg3501z00_12873 = 
(
(long)CINT(BgL_bpz00_12871)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12870),BgL_arg3501z00_12873,BgL_cz00_10699); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3502z00_12874;
BgL_arg3502z00_12874 = 
(
(long)CINT(BgL_bpz00_12871)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12870),BgL_arg3502z00_12874,BgL_dz00_10700); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3503z00_12875;
BgL_arg3503z00_12875 = 
(
(long)CINT(BgL_bpz00_12871)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12870),BgL_arg3503z00_12875,BgL_lastz00_10701); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12876;
BgL_ez00_12876 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12876, BgL_bpz00_12871); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12877;
BgL_accz00_12877 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10696, BgL_sz00_12870, BgL_bpz00_12871); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12876); 
VECTOR_SET(
((obj_t)BgL_sz00_12870),((long)0),BgL_bpz00_12871); 
return BgL_accz00_12877;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12878;
BgL_nsz00_12878 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12878,((long)1),BgL_sz00_12870); 
VECTOR_SET(BgL_nsz00_12878,((long)2),BgL_bz00_10698); 
VECTOR_SET(BgL_nsz00_12878,((long)3),BgL_cz00_10699); 
VECTOR_SET(BgL_nsz00_12878,((long)4),BgL_dz00_10700); 
VECTOR_SET(BgL_nsz00_12878,((long)5),BgL_lastz00_10701); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12879;
BgL_z12denvz12_12879 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12879, BgL_nsz00_12878); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12880;
BgL_ez00_12880 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12880, BgL_sz00_12870); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12881;
BgL_____rz00_12881 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10696, BgL_nsz00_12878, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12880); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12879, BgL_sz00_12870); 
return BgL_____rz00_12881;} } } } } } } } 

}



/* &run4175 */
obj_t BGl_z62run4175z62zz__evaluate_compz00(obj_t BgL_envz00_10702, obj_t BgL_sz00_10707)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_10703;obj_t BgL_valza2za2_10704;BgL_ev_absz00_bglt BgL_i1244z00_10705;obj_t BgL_bodyz00_10706;
BgL_siza7eza7_10703 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)0)))); 
BgL_valza2za2_10704 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)1)))); 
BgL_i1244z00_10705 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)2)))); 
BgL_bodyz00_10706 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12882;
BgL_bpz00_12882 = 
VECTOR_REF(
((obj_t)BgL_sz00_10707),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10707, BgL_valza2za2_10704, 
(
(long)CINT(BgL_bpz00_12882)+BgL_siza7eza7_10703)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12883;obj_t BgL_wherez00_12884;obj_t BgL_locz00_12885;
BgL_z12denvz12_12883 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12884 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10705))->BgL_wherez00); 
BgL_locz00_12885 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10705))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12883, BgL_wherez00_12884, BgL_locz00_12885); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12886;
BgL_za2za2resza2za2z00_12886 = 
PROCEDURE_ENTRY(BgL_bodyz00_10706)(BgL_bodyz00_10706, BgL_sz00_10707, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12883); 
return BgL_za2za2resza2za2z00_12886;} } } } } } 

}



/* &<@anonymous:3506> */
obj_t BGl_z62zc3z04anonymousza33506ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10708, obj_t BgL_sz00_10715)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10709;obj_t BgL_iboxesz00_10710;long BgL_siza7eza7_10711;BgL_ev_absz00_bglt BgL_i1244z00_10712;obj_t BgL_bodyz00_10713;long BgL_siza7ezd2framez75_10714;
BgL_ifreesz00_10709 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)0)))); 
BgL_iboxesz00_10710 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)1)))); 
BgL_siza7eza7_10711 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)2)))); 
BgL_i1244z00_10712 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)3)))); 
BgL_bodyz00_10713 = 
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_10714 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12887;
BgL_bpz00_12887 = 
VECTOR_REF(
((obj_t)BgL_sz00_10715),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12888;
BgL_valza2za2_12888 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10715, BgL_bpz00_12887, BgL_ifreesz00_10709); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12889;
BgL_runz00_12889 = 
MAKE_FX_PROCEDURE(BGl_z62run4177z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_12889, 
(int)(((long)0)), BgL_iboxesz00_10710); 
PROCEDURE_SET(BgL_runz00_12889, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10711)); 
PROCEDURE_SET(BgL_runz00_12889, 
(int)(((long)2)), BgL_valza2za2_12888); 
PROCEDURE_SET(BgL_runz00_12889, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10712)); 
PROCEDURE_SET(BgL_runz00_12889, 
(int)(((long)4)), BgL_bodyz00_10713); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12890;
BgL_mainz00_12890 = 
MAKE_VA_PROCEDURE(BGl_z62main4176z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)0)), BgL_iboxesz00_10710); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10711)); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)2)), BgL_valza2za2_12888); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10712)); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)4)), BgL_bodyz00_10713); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)5)), BgL_runz00_12889); 
PROCEDURE_SET(BgL_mainz00_12890, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_10714)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12891;
BgL_objz00_12891 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12889, BgL_objz00_12891); BgL_objz00_12891; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3507z00_12892;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3508z00_12893;
BgL_arg3508z00_12893 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10712))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12894;
BgL_newz00_12894 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22935;
BgL_tmpz00_22935 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12894, BgL_tmpz00_22935, BgL_arg3508z00_12893); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22940;int BgL_tmpz00_22938;
BgL_auxz00_22940 = 
BINT(BgL_siza7ezd2framez75_10714); 
BgL_tmpz00_22938 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12894, BgL_tmpz00_22938, BgL_auxz00_22940); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22943;
BgL_tmpz00_22943 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12894, BgL_tmpz00_22943, BgL_runz00_12889); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22948;int BgL_tmpz00_22946;
BgL_auxz00_22948 = 
BINT(((long)-4)); 
BgL_tmpz00_22946 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12894, BgL_tmpz00_22946, BgL_auxz00_22948); } 
BgL_arg3507z00_12892 = BgL_newz00_12894; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12890, BgL_arg3507z00_12892); BgL_arg3507z00_12892; } 
return BgL_mainz00_12890;} } } } } } 

}



/* &main4176 */
obj_t BGl_z62main4176z62zz__evaluate_compz00(obj_t BgL_envz00_10716, obj_t BgL_bz00_10724, obj_t BgL_cz00_10725, obj_t BgL_dz00_10726, obj_t BgL_lastz00_10727)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10722;long BgL_siza7ezd2framez75_10723;
BgL_runz00_10722 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10716, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_10723 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10716, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12895;
BgL_sz00_12895 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12896;
BgL_bpz00_12896 = 
VECTOR_REF(
((obj_t)BgL_sz00_12895),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12895, BgL_bpz00_12896, 
BINT(BgL_siza7ezd2framez75_10723)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3511z00_12897;
BgL_arg3511z00_12897 = 
(
(long)CINT(BgL_bpz00_12896)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12895),BgL_arg3511z00_12897,BgL_bz00_10724); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3512z00_12898;
BgL_arg3512z00_12898 = 
(
(long)CINT(BgL_bpz00_12896)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12895),BgL_arg3512z00_12898,BgL_cz00_10725); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3513z00_12899;
BgL_arg3513z00_12899 = 
(
(long)CINT(BgL_bpz00_12896)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12895),BgL_arg3513z00_12899,BgL_dz00_10726); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3514z00_12900;
BgL_arg3514z00_12900 = 
(
(long)CINT(BgL_bpz00_12896)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_12895),BgL_arg3514z00_12900,BgL_lastz00_10727); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12901;
BgL_ez00_12901 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12901, BgL_bpz00_12896); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12902;
BgL_accz00_12902 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10722, BgL_sz00_12895, BgL_bpz00_12896); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12901); 
VECTOR_SET(
((obj_t)BgL_sz00_12895),((long)0),BgL_bpz00_12896); 
return BgL_accz00_12902;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12903;
BgL_nsz00_12903 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12903,((long)1),BgL_sz00_12895); 
VECTOR_SET(BgL_nsz00_12903,((long)2),BgL_bz00_10724); 
VECTOR_SET(BgL_nsz00_12903,((long)3),BgL_cz00_10725); 
VECTOR_SET(BgL_nsz00_12903,((long)4),BgL_dz00_10726); 
VECTOR_SET(BgL_nsz00_12903,((long)5),BgL_lastz00_10727); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12904;
BgL_z12denvz12_12904 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12904, BgL_nsz00_12903); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12905;
BgL_ez00_12905 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12905, BgL_sz00_12895); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12906;
BgL_____rz00_12906 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10722, BgL_nsz00_12903, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12905); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12904, BgL_sz00_12895); 
return BgL_____rz00_12906;} } } } } } } } 

}



/* &run4177 */
obj_t BGl_z62run4177z62zz__evaluate_compz00(obj_t BgL_envz00_10728, obj_t BgL_sz00_10734)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10729;long BgL_siza7eza7_10730;obj_t BgL_valza2za2_10731;BgL_ev_absz00_bglt BgL_i1244z00_10732;obj_t BgL_bodyz00_10733;
BgL_iboxesz00_10729 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)0)))); 
BgL_siza7eza7_10730 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)1)))); 
BgL_valza2za2_10731 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)2)))); 
BgL_i1244z00_10732 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)3)))); 
BgL_bodyz00_10733 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12907;
BgL_bpz00_12907 = 
VECTOR_REF(
((obj_t)BgL_sz00_10734),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10734, BgL_iboxesz00_10729, BgL_bpz00_12907); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10734, BgL_valza2za2_10731, 
(
(long)CINT(BgL_bpz00_12907)+BgL_siza7eza7_10730)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12908;obj_t BgL_wherez00_12909;obj_t BgL_locz00_12910;
BgL_z12denvz12_12908 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12909 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10732))->BgL_wherez00); 
BgL_locz00_12910 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10732))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12908, BgL_wherez00_12909, BgL_locz00_12910); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12911;
BgL_za2za2resza2za2z00_12911 = 
PROCEDURE_ENTRY(BgL_bodyz00_10733)(BgL_bodyz00_10733, BgL_sz00_10734, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12908); 
return BgL_za2za2resza2za2z00_12911;} } } } } } 

}



/* &<@anonymous:3425> */
obj_t BGl_z62zc3z04anonymousza33425ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10735, obj_t BgL_sz00_10739)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10736;obj_t BgL_bodyz00_10737;long BgL_siza7ezd2framez75_10738;
BgL_i1244z00_10736 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10735, 
(int)(((long)0)))); 
BgL_bodyz00_10737 = 
PROCEDURE_REF(BgL_envz00_10735, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10738 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10735, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12912;
BgL_bpz00_12912 = 
VECTOR_REF(
((obj_t)BgL_sz00_10739),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12913;
BgL_runz00_12913 = 
MAKE_FX_PROCEDURE(BGl_z62run4179z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_12913, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10736)); 
PROCEDURE_SET(BgL_runz00_12913, 
(int)(((long)1)), BgL_bodyz00_10737); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12914;
BgL_mainz00_12914 = 
MAKE_FX_PROCEDURE(BGl_z62main4178z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_12914, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10736)); 
PROCEDURE_SET(BgL_mainz00_12914, 
(int)(((long)1)), BgL_bodyz00_10737); 
PROCEDURE_SET(BgL_mainz00_12914, 
(int)(((long)2)), BgL_runz00_12913); 
PROCEDURE_SET(BgL_mainz00_12914, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10738)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12915;
BgL_objz00_12915 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12913, BgL_objz00_12915); BgL_objz00_12915; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3426z00_12916;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3427z00_12917;
BgL_arg3427z00_12917 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10736))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12918;
BgL_newz00_12918 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23064;
BgL_tmpz00_23064 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12918, BgL_tmpz00_23064, BgL_arg3427z00_12917); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23069;int BgL_tmpz00_23067;
BgL_auxz00_23069 = 
BINT(BgL_siza7ezd2framez75_10738); 
BgL_tmpz00_23067 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12918, BgL_tmpz00_23067, BgL_auxz00_23069); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23072;
BgL_tmpz00_23072 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12918, BgL_tmpz00_23072, BgL_runz00_12913); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23077;int BgL_tmpz00_23075;
BgL_auxz00_23077 = 
BINT(((long)3)); 
BgL_tmpz00_23075 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12918, BgL_tmpz00_23075, BgL_auxz00_23077); } 
BgL_arg3426z00_12916 = BgL_newz00_12918; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12914, BgL_arg3426z00_12916); BgL_arg3426z00_12916; } 
return BgL_mainz00_12914;} } } } } } 

}



/* &main4178 */
obj_t BGl_z62main4178z62zz__evaluate_compz00(obj_t BgL_envz00_10740, obj_t BgL_bz00_10745, obj_t BgL_cz00_10746, obj_t BgL_dz00_10747)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10743;long BgL_siza7ezd2framez75_10744;
BgL_runz00_10743 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10744 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12919;
BgL_sz00_12919 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12920;
BgL_bpz00_12920 = 
VECTOR_REF(
((obj_t)BgL_sz00_12919),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12919, BgL_bpz00_12920, 
BINT(BgL_siza7ezd2framez75_10744)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3430z00_12921;
BgL_arg3430z00_12921 = 
(
(long)CINT(BgL_bpz00_12920)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12919),BgL_arg3430z00_12921,BgL_bz00_10745); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3431z00_12922;
BgL_arg3431z00_12922 = 
(
(long)CINT(BgL_bpz00_12920)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12919),BgL_arg3431z00_12922,BgL_cz00_10746); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3432z00_12923;
BgL_arg3432z00_12923 = 
(
(long)CINT(BgL_bpz00_12920)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12919),BgL_arg3432z00_12923,BgL_dz00_10747); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12924;
BgL_ez00_12924 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12924, BgL_bpz00_12920); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12925;
BgL_accz00_12925 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10743, BgL_sz00_12919, BgL_bpz00_12920); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12924); 
VECTOR_SET(
((obj_t)BgL_sz00_12919),((long)0),BgL_bpz00_12920); 
return BgL_accz00_12925;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12926;
BgL_nsz00_12926 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12926,((long)1),BgL_sz00_12919); 
VECTOR_SET(BgL_nsz00_12926,((long)2),BgL_bz00_10745); 
VECTOR_SET(BgL_nsz00_12926,((long)3),BgL_cz00_10746); 
VECTOR_SET(BgL_nsz00_12926,((long)4),BgL_dz00_10747); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12927;
BgL_z12denvz12_12927 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12927, BgL_nsz00_12926); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12928;
BgL_ez00_12928 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12928, BgL_sz00_12919); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12929;
BgL_____rz00_12929 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10743, BgL_nsz00_12926, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12928); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12927, BgL_sz00_12919); 
return BgL_____rz00_12929;} } } } } } } } 

}



/* &run4179 */
obj_t BGl_z62run4179z62zz__evaluate_compz00(obj_t BgL_envz00_10748, obj_t BgL_sz00_10751)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10749;obj_t BgL_bodyz00_10750;
BgL_i1244z00_10749 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10748, 
(int)(((long)0)))); 
BgL_bodyz00_10750 = 
PROCEDURE_REF(BgL_envz00_10748, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12930;
BgL_bpz00_12930 = 
VECTOR_REF(
((obj_t)BgL_sz00_10751),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12931;obj_t BgL_wherez00_12932;obj_t BgL_locz00_12933;
BgL_z12denvz12_12931 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12932 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10749))->BgL_wherez00); 
BgL_locz00_12933 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10749))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12931, BgL_wherez00_12932, BgL_locz00_12933); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12934;
BgL_za2za2resza2za2z00_12934 = 
PROCEDURE_ENTRY(BgL_bodyz00_10750)(BgL_bodyz00_10750, BgL_sz00_10751, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12931); 
return BgL_za2za2resza2za2z00_12934;} } } } } } 

}



/* &<@anonymous:3434> */
obj_t BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10752, obj_t BgL_sz00_10757)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10753;BgL_ev_absz00_bglt BgL_i1244z00_10754;obj_t BgL_bodyz00_10755;long BgL_siza7ezd2framez75_10756;
BgL_iboxesz00_10753 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)0)))); 
BgL_i1244z00_10754 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)1)))); 
BgL_bodyz00_10755 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_10756 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12935;
BgL_bpz00_12935 = 
VECTOR_REF(
((obj_t)BgL_sz00_10757),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12936;
BgL_runz00_12936 = 
MAKE_FX_PROCEDURE(BGl_z62run4181z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_12936, 
(int)(((long)0)), BgL_iboxesz00_10753); 
PROCEDURE_SET(BgL_runz00_12936, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10754)); 
PROCEDURE_SET(BgL_runz00_12936, 
(int)(((long)2)), BgL_bodyz00_10755); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12937;
BgL_mainz00_12937 = 
MAKE_FX_PROCEDURE(BGl_z62main4180z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_12937, 
(int)(((long)0)), BgL_iboxesz00_10753); 
PROCEDURE_SET(BgL_mainz00_12937, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10754)); 
PROCEDURE_SET(BgL_mainz00_12937, 
(int)(((long)2)), BgL_bodyz00_10755); 
PROCEDURE_SET(BgL_mainz00_12937, 
(int)(((long)3)), BgL_runz00_12936); 
PROCEDURE_SET(BgL_mainz00_12937, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_10756)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12938;
BgL_objz00_12938 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12936, BgL_objz00_12938); BgL_objz00_12938; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3435z00_12939;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3436z00_12940;
BgL_arg3436z00_12940 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10754))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12941;
BgL_newz00_12941 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23182;
BgL_tmpz00_23182 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12941, BgL_tmpz00_23182, BgL_arg3436z00_12940); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23187;int BgL_tmpz00_23185;
BgL_auxz00_23187 = 
BINT(BgL_siza7ezd2framez75_10756); 
BgL_tmpz00_23185 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12941, BgL_tmpz00_23185, BgL_auxz00_23187); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23190;
BgL_tmpz00_23190 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12941, BgL_tmpz00_23190, BgL_runz00_12936); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23195;int BgL_tmpz00_23193;
BgL_auxz00_23195 = 
BINT(((long)3)); 
BgL_tmpz00_23193 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12941, BgL_tmpz00_23193, BgL_auxz00_23195); } 
BgL_arg3435z00_12939 = BgL_newz00_12941; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12937, BgL_arg3435z00_12939); BgL_arg3435z00_12939; } 
return BgL_mainz00_12937;} } } } } } 

}



/* &main4180 */
obj_t BGl_z62main4180z62zz__evaluate_compz00(obj_t BgL_envz00_10758, obj_t BgL_bz00_10764, obj_t BgL_cz00_10765, obj_t BgL_dz00_10766)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10762;long BgL_siza7ezd2framez75_10763;
BgL_runz00_10762 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_10763 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10758, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12942;
BgL_sz00_12942 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12943;
BgL_bpz00_12943 = 
VECTOR_REF(
((obj_t)BgL_sz00_12942),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12942, BgL_bpz00_12943, 
BINT(BgL_siza7ezd2framez75_10763)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3439z00_12944;
BgL_arg3439z00_12944 = 
(
(long)CINT(BgL_bpz00_12943)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12942),BgL_arg3439z00_12944,BgL_bz00_10764); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3440z00_12945;
BgL_arg3440z00_12945 = 
(
(long)CINT(BgL_bpz00_12943)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12942),BgL_arg3440z00_12945,BgL_cz00_10765); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3441z00_12946;
BgL_arg3441z00_12946 = 
(
(long)CINT(BgL_bpz00_12943)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12942),BgL_arg3441z00_12946,BgL_dz00_10766); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12947;
BgL_ez00_12947 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12947, BgL_bpz00_12943); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12948;
BgL_accz00_12948 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10762, BgL_sz00_12942, BgL_bpz00_12943); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12947); 
VECTOR_SET(
((obj_t)BgL_sz00_12942),((long)0),BgL_bpz00_12943); 
return BgL_accz00_12948;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12949;
BgL_nsz00_12949 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12949,((long)1),BgL_sz00_12942); 
VECTOR_SET(BgL_nsz00_12949,((long)2),BgL_bz00_10764); 
VECTOR_SET(BgL_nsz00_12949,((long)3),BgL_cz00_10765); 
VECTOR_SET(BgL_nsz00_12949,((long)4),BgL_dz00_10766); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12950;
BgL_z12denvz12_12950 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12950, BgL_nsz00_12949); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12951;
BgL_ez00_12951 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12951, BgL_sz00_12942); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12952;
BgL_____rz00_12952 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10762, BgL_nsz00_12949, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12951); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12950, BgL_sz00_12942); 
return BgL_____rz00_12952;} } } } } } } } 

}



/* &run4181 */
obj_t BGl_z62run4181z62zz__evaluate_compz00(obj_t BgL_envz00_10767, obj_t BgL_sz00_10771)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10768;BgL_ev_absz00_bglt BgL_i1244z00_10769;obj_t BgL_bodyz00_10770;
BgL_iboxesz00_10768 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)0)))); 
BgL_i1244z00_10769 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)1)))); 
BgL_bodyz00_10770 = 
PROCEDURE_REF(BgL_envz00_10767, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12953;
BgL_bpz00_12953 = 
VECTOR_REF(
((obj_t)BgL_sz00_10771),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10771, BgL_iboxesz00_10768, BgL_bpz00_12953); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12954;obj_t BgL_wherez00_12955;obj_t BgL_locz00_12956;
BgL_z12denvz12_12954 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12955 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10769))->BgL_wherez00); 
BgL_locz00_12956 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10769))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12954, BgL_wherez00_12955, BgL_locz00_12956); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_12957;
BgL_za2za2resza2za2z00_12957 = 
PROCEDURE_ENTRY(BgL_bodyz00_10770)(BgL_bodyz00_10770, BgL_sz00_10771, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12954); 
return BgL_za2za2resza2za2z00_12957;} } } } } } 

}



/* &<@anonymous:3446> */
obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10772, obj_t BgL_sz00_10778)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10773;long BgL_siza7eza7_10774;BgL_ev_absz00_bglt BgL_i1244z00_10775;obj_t BgL_bodyz00_10776;long BgL_siza7ezd2framez75_10777;
BgL_ifreesz00_10773 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)0)))); 
BgL_siza7eza7_10774 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)1)))); 
BgL_i1244z00_10775 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)2)))); 
BgL_bodyz00_10776 = 
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_10777 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12958;
BgL_bpz00_12958 = 
VECTOR_REF(
((obj_t)BgL_sz00_10778),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12959;
BgL_valza2za2_12959 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10778, BgL_bpz00_12958, BgL_ifreesz00_10773); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12960;
BgL_runz00_12960 = 
MAKE_FX_PROCEDURE(BGl_z62run4183z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_12960, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10774)); 
PROCEDURE_SET(BgL_runz00_12960, 
(int)(((long)1)), BgL_valza2za2_12959); 
PROCEDURE_SET(BgL_runz00_12960, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10775)); 
PROCEDURE_SET(BgL_runz00_12960, 
(int)(((long)3)), BgL_bodyz00_10776); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12961;
BgL_mainz00_12961 = 
MAKE_FX_PROCEDURE(BGl_z62main4182z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_12961, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10774)); 
PROCEDURE_SET(BgL_mainz00_12961, 
(int)(((long)1)), BgL_valza2za2_12959); 
PROCEDURE_SET(BgL_mainz00_12961, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10775)); 
PROCEDURE_SET(BgL_mainz00_12961, 
(int)(((long)3)), BgL_bodyz00_10776); 
PROCEDURE_SET(BgL_mainz00_12961, 
(int)(((long)4)), BgL_runz00_12960); 
PROCEDURE_SET(BgL_mainz00_12961, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_10777)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12962;
BgL_objz00_12962 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12960, BgL_objz00_12962); BgL_objz00_12962; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3447z00_12963;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3448z00_12964;
BgL_arg3448z00_12964 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10775))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12965;
BgL_newz00_12965 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23314;
BgL_tmpz00_23314 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12965, BgL_tmpz00_23314, BgL_arg3448z00_12964); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23319;int BgL_tmpz00_23317;
BgL_auxz00_23319 = 
BINT(BgL_siza7ezd2framez75_10777); 
BgL_tmpz00_23317 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12965, BgL_tmpz00_23317, BgL_auxz00_23319); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23322;
BgL_tmpz00_23322 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12965, BgL_tmpz00_23322, BgL_runz00_12960); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23327;int BgL_tmpz00_23325;
BgL_auxz00_23327 = 
BINT(((long)3)); 
BgL_tmpz00_23325 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12965, BgL_tmpz00_23325, BgL_auxz00_23327); } 
BgL_arg3447z00_12963 = BgL_newz00_12965; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12961, BgL_arg3447z00_12963); BgL_arg3447z00_12963; } 
return BgL_mainz00_12961;} } } } } } 

}



/* &main4182 */
obj_t BGl_z62main4182z62zz__evaluate_compz00(obj_t BgL_envz00_10779, obj_t BgL_bz00_10786, obj_t BgL_cz00_10787, obj_t BgL_dz00_10788)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10784;long BgL_siza7ezd2framez75_10785;
BgL_runz00_10784 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10779, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_10785 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10779, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12966;
BgL_sz00_12966 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12967;
BgL_bpz00_12967 = 
VECTOR_REF(
((obj_t)BgL_sz00_12966),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12966, BgL_bpz00_12967, 
BINT(BgL_siza7ezd2framez75_10785)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3451z00_12968;
BgL_arg3451z00_12968 = 
(
(long)CINT(BgL_bpz00_12967)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12966),BgL_arg3451z00_12968,BgL_bz00_10786); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3452z00_12969;
BgL_arg3452z00_12969 = 
(
(long)CINT(BgL_bpz00_12967)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12966),BgL_arg3452z00_12969,BgL_cz00_10787); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3453z00_12970;
BgL_arg3453z00_12970 = 
(
(long)CINT(BgL_bpz00_12967)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12966),BgL_arg3453z00_12970,BgL_dz00_10788); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12971;
BgL_ez00_12971 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12971, BgL_bpz00_12967); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12972;
BgL_accz00_12972 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10784, BgL_sz00_12966, BgL_bpz00_12967); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12971); 
VECTOR_SET(
((obj_t)BgL_sz00_12966),((long)0),BgL_bpz00_12967); 
return BgL_accz00_12972;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12973;
BgL_nsz00_12973 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12973,((long)1),BgL_sz00_12966); 
VECTOR_SET(BgL_nsz00_12973,((long)2),BgL_bz00_10786); 
VECTOR_SET(BgL_nsz00_12973,((long)3),BgL_cz00_10787); 
VECTOR_SET(BgL_nsz00_12973,((long)4),BgL_dz00_10788); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12974;
BgL_z12denvz12_12974 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12974, BgL_nsz00_12973); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12975;
BgL_ez00_12975 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12975, BgL_sz00_12966); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_12976;
BgL_____rz00_12976 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10784, BgL_nsz00_12973, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12975); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12974, BgL_sz00_12966); 
return BgL_____rz00_12976;} } } } } } } } 

}



/* &run4183 */
obj_t BGl_z62run4183z62zz__evaluate_compz00(obj_t BgL_envz00_10789, obj_t BgL_sz00_10794)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_10790;obj_t BgL_valza2za2_10791;BgL_ev_absz00_bglt BgL_i1244z00_10792;obj_t BgL_bodyz00_10793;
BgL_siza7eza7_10790 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10789, 
(int)(((long)0)))); 
BgL_valza2za2_10791 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10789, 
(int)(((long)1)))); 
BgL_i1244z00_10792 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10789, 
(int)(((long)2)))); 
BgL_bodyz00_10793 = 
PROCEDURE_REF(BgL_envz00_10789, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12977;
BgL_bpz00_12977 = 
VECTOR_REF(
((obj_t)BgL_sz00_10794),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10794, BgL_valza2za2_10791, 
(
(long)CINT(BgL_bpz00_12977)+BgL_siza7eza7_10790)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_12978;obj_t BgL_wherez00_12979;obj_t BgL_locz00_12980;
BgL_z12denvz12_12978 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_12979 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10792))->BgL_wherez00); 
BgL_locz00_12980 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10792))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_12978, BgL_wherez00_12979, BgL_locz00_12980); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_12981;
BgL_za2za2resza2za2z00_12981 = 
PROCEDURE_ENTRY(BgL_bodyz00_10793)(BgL_bodyz00_10793, BgL_sz00_10794, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_12978); 
return BgL_za2za2resza2za2z00_12981;} } } } } } 

}



/* &<@anonymous:3456> */
obj_t BGl_z62zc3z04anonymousza33456ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10795, obj_t BgL_sz00_10802)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10796;obj_t BgL_iboxesz00_10797;long BgL_siza7eza7_10798;BgL_ev_absz00_bglt BgL_i1244z00_10799;obj_t BgL_bodyz00_10800;long BgL_siza7ezd2framez75_10801;
BgL_ifreesz00_10796 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)0)))); 
BgL_iboxesz00_10797 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)1)))); 
BgL_siza7eza7_10798 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)2)))); 
BgL_i1244z00_10799 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)3)))); 
BgL_bodyz00_10800 = 
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_10801 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12982;
BgL_bpz00_12982 = 
VECTOR_REF(
((obj_t)BgL_sz00_10802),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_12983;
BgL_valza2za2_12983 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10802, BgL_bpz00_12982, BgL_ifreesz00_10796); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12984;
BgL_runz00_12984 = 
MAKE_FX_PROCEDURE(BGl_z62run4185z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_12984, 
(int)(((long)0)), BgL_iboxesz00_10797); 
PROCEDURE_SET(BgL_runz00_12984, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10798)); 
PROCEDURE_SET(BgL_runz00_12984, 
(int)(((long)2)), BgL_valza2za2_12983); 
PROCEDURE_SET(BgL_runz00_12984, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10799)); 
PROCEDURE_SET(BgL_runz00_12984, 
(int)(((long)4)), BgL_bodyz00_10800); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_12985;
BgL_mainz00_12985 = 
MAKE_FX_PROCEDURE(BGl_z62main4184z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)0)), BgL_iboxesz00_10797); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10798)); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)2)), BgL_valza2za2_12983); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10799)); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)4)), BgL_bodyz00_10800); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)5)), BgL_runz00_12984); 
PROCEDURE_SET(BgL_mainz00_12985, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_10801)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_12986;
BgL_objz00_12986 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_12984, BgL_objz00_12986); BgL_objz00_12986; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3457z00_12987;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3458z00_12988;
BgL_arg3458z00_12988 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10799))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_12989;
BgL_newz00_12989 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23458;
BgL_tmpz00_23458 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_12989, BgL_tmpz00_23458, BgL_arg3458z00_12988); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23463;int BgL_tmpz00_23461;
BgL_auxz00_23463 = 
BINT(BgL_siza7ezd2framez75_10801); 
BgL_tmpz00_23461 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_12989, BgL_tmpz00_23461, BgL_auxz00_23463); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23466;
BgL_tmpz00_23466 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_12989, BgL_tmpz00_23466, BgL_runz00_12984); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23471;int BgL_tmpz00_23469;
BgL_auxz00_23471 = 
BINT(((long)3)); 
BgL_tmpz00_23469 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_12989, BgL_tmpz00_23469, BgL_auxz00_23471); } 
BgL_arg3457z00_12987 = BgL_newz00_12989; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_12985, BgL_arg3457z00_12987); BgL_arg3457z00_12987; } 
return BgL_mainz00_12985;} } } } } } 

}



/* &main4184 */
obj_t BGl_z62main4184z62zz__evaluate_compz00(obj_t BgL_envz00_10803, obj_t BgL_bz00_10811, obj_t BgL_cz00_10812, obj_t BgL_dz00_10813)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10809;long BgL_siza7ezd2framez75_10810;
BgL_runz00_10809 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_10810 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_12990;
BgL_sz00_12990 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_12991;
BgL_bpz00_12991 = 
VECTOR_REF(
((obj_t)BgL_sz00_12990),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_12990, BgL_bpz00_12991, 
BINT(BgL_siza7ezd2framez75_10810)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3461z00_12992;
BgL_arg3461z00_12992 = 
(
(long)CINT(BgL_bpz00_12991)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_12990),BgL_arg3461z00_12992,BgL_bz00_10811); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3462z00_12993;
BgL_arg3462z00_12993 = 
(
(long)CINT(BgL_bpz00_12991)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_12990),BgL_arg3462z00_12993,BgL_cz00_10812); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3463z00_12994;
BgL_arg3463z00_12994 = 
(
(long)CINT(BgL_bpz00_12991)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_12990),BgL_arg3463z00_12994,BgL_dz00_10813); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12995;
BgL_ez00_12995 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12995, BgL_bpz00_12991); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_12996;
BgL_accz00_12996 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10809, BgL_sz00_12990, BgL_bpz00_12991); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12995); 
VECTOR_SET(
((obj_t)BgL_sz00_12990),((long)0),BgL_bpz00_12991); 
return BgL_accz00_12996;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_12997;
BgL_nsz00_12997 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_12997,((long)1),BgL_sz00_12990); 
VECTOR_SET(BgL_nsz00_12997,((long)2),BgL_bz00_10811); 
VECTOR_SET(BgL_nsz00_12997,((long)3),BgL_cz00_10812); 
VECTOR_SET(BgL_nsz00_12997,((long)4),BgL_dz00_10813); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_12998;
BgL_z12denvz12_12998 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12998, BgL_nsz00_12997); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_12999;
BgL_ez00_12999 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12999, BgL_sz00_12990); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13000;
BgL_____rz00_13000 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10809, BgL_nsz00_12997, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12999); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12998, BgL_sz00_12990); 
return BgL_____rz00_13000;} } } } } } } } 

}



/* &run4185 */
obj_t BGl_z62run4185z62zz__evaluate_compz00(obj_t BgL_envz00_10814, obj_t BgL_sz00_10820)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10815;long BgL_siza7eza7_10816;obj_t BgL_valza2za2_10817;BgL_ev_absz00_bglt BgL_i1244z00_10818;obj_t BgL_bodyz00_10819;
BgL_iboxesz00_10815 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10814, 
(int)(((long)0)))); 
BgL_siza7eza7_10816 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10814, 
(int)(((long)1)))); 
BgL_valza2za2_10817 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10814, 
(int)(((long)2)))); 
BgL_i1244z00_10818 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10814, 
(int)(((long)3)))); 
BgL_bodyz00_10819 = 
PROCEDURE_REF(BgL_envz00_10814, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13001;
BgL_bpz00_13001 = 
VECTOR_REF(
((obj_t)BgL_sz00_10820),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10820, BgL_iboxesz00_10815, BgL_bpz00_13001); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10820, BgL_valza2za2_10817, 
(
(long)CINT(BgL_bpz00_13001)+BgL_siza7eza7_10816)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13002;obj_t BgL_wherez00_13003;obj_t BgL_locz00_13004;
BgL_z12denvz12_13002 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13003 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10818))->BgL_wherez00); 
BgL_locz00_13004 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10818))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13002, BgL_wherez00_13003, BgL_locz00_13004); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13005;
BgL_za2za2resza2za2z00_13005 = 
PROCEDURE_ENTRY(BgL_bodyz00_10819)(BgL_bodyz00_10819, BgL_sz00_10820, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13002); 
return BgL_za2za2resza2za2z00_13005;} } } } } } 

}



/* &<@anonymous:3378> */
obj_t BGl_z62zc3z04anonymousza33378ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10821, obj_t BgL_sz00_10825)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10822;obj_t BgL_bodyz00_10823;long BgL_siza7ezd2framez75_10824;
BgL_i1244z00_10822 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10821, 
(int)(((long)0)))); 
BgL_bodyz00_10823 = 
PROCEDURE_REF(BgL_envz00_10821, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10824 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10821, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13006;
BgL_bpz00_13006 = 
VECTOR_REF(
((obj_t)BgL_sz00_10825),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13007;
BgL_runz00_13007 = 
MAKE_FX_PROCEDURE(BGl_z62run4187z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13007, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10822)); 
PROCEDURE_SET(BgL_runz00_13007, 
(int)(((long)1)), BgL_bodyz00_10823); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13008;
BgL_mainz00_13008 = 
MAKE_VA_PROCEDURE(BGl_z62main4186z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13008, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10822)); 
PROCEDURE_SET(BgL_mainz00_13008, 
(int)(((long)1)), BgL_bodyz00_10823); 
PROCEDURE_SET(BgL_mainz00_13008, 
(int)(((long)2)), BgL_runz00_13007); 
PROCEDURE_SET(BgL_mainz00_13008, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10824)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13009;
BgL_objz00_13009 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13007, BgL_objz00_13009); BgL_objz00_13009; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3379z00_13010;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3380z00_13011;
BgL_arg3380z00_13011 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10822))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13012;
BgL_newz00_13012 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23582;
BgL_tmpz00_23582 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13012, BgL_tmpz00_23582, BgL_arg3380z00_13011); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23587;int BgL_tmpz00_23585;
BgL_auxz00_23587 = 
BINT(BgL_siza7ezd2framez75_10824); 
BgL_tmpz00_23585 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13012, BgL_tmpz00_23585, BgL_auxz00_23587); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23590;
BgL_tmpz00_23590 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13012, BgL_tmpz00_23590, BgL_runz00_13007); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23595;int BgL_tmpz00_23593;
BgL_auxz00_23595 = 
BINT(((long)-3)); 
BgL_tmpz00_23593 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13012, BgL_tmpz00_23593, BgL_auxz00_23595); } 
BgL_arg3379z00_13010 = BgL_newz00_13012; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13008, BgL_arg3379z00_13010); BgL_arg3379z00_13010; } 
return BgL_mainz00_13008;} } } } } } 

}



/* &main4186 */
obj_t BGl_z62main4186z62zz__evaluate_compz00(obj_t BgL_envz00_10826, obj_t BgL_cz00_10831, obj_t BgL_dz00_10832, obj_t BgL_lastz00_10833)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10829;long BgL_siza7ezd2framez75_10830;
BgL_runz00_10829 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10830 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13013;
BgL_sz00_13013 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13014;
BgL_bpz00_13014 = 
VECTOR_REF(
((obj_t)BgL_sz00_13013),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13013, BgL_bpz00_13014, 
BINT(BgL_siza7ezd2framez75_10830)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3383z00_13015;
BgL_arg3383z00_13015 = 
(
(long)CINT(BgL_bpz00_13014)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13013),BgL_arg3383z00_13015,BgL_cz00_10831); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3384z00_13016;
BgL_arg3384z00_13016 = 
(
(long)CINT(BgL_bpz00_13014)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13013),BgL_arg3384z00_13016,BgL_dz00_10832); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3385z00_13017;
BgL_arg3385z00_13017 = 
(
(long)CINT(BgL_bpz00_13014)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13013),BgL_arg3385z00_13017,BgL_lastz00_10833); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13018;
BgL_ez00_13018 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13018, BgL_bpz00_13014); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13019;
BgL_accz00_13019 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10829, BgL_sz00_13013, BgL_bpz00_13014); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13018); 
VECTOR_SET(
((obj_t)BgL_sz00_13013),((long)0),BgL_bpz00_13014); 
return BgL_accz00_13019;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13020;
BgL_nsz00_13020 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13020,((long)1),BgL_sz00_13013); 
VECTOR_SET(BgL_nsz00_13020,((long)2),BgL_cz00_10831); 
VECTOR_SET(BgL_nsz00_13020,((long)3),BgL_dz00_10832); 
VECTOR_SET(BgL_nsz00_13020,((long)4),BgL_lastz00_10833); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13021;
BgL_z12denvz12_13021 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13021, BgL_nsz00_13020); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13022;
BgL_ez00_13022 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13022, BgL_sz00_13013); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13023;
BgL_____rz00_13023 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10829, BgL_nsz00_13020, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13022); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13021, BgL_sz00_13013); 
return BgL_____rz00_13023;} } } } } } } } 

}



/* &run4187 */
obj_t BGl_z62run4187z62zz__evaluate_compz00(obj_t BgL_envz00_10834, obj_t BgL_sz00_10837)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10835;obj_t BgL_bodyz00_10836;
BgL_i1244z00_10835 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10834, 
(int)(((long)0)))); 
BgL_bodyz00_10836 = 
PROCEDURE_REF(BgL_envz00_10834, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13024;
BgL_bpz00_13024 = 
VECTOR_REF(
((obj_t)BgL_sz00_10837),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13025;obj_t BgL_wherez00_13026;obj_t BgL_locz00_13027;
BgL_z12denvz12_13025 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13026 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10835))->BgL_wherez00); 
BgL_locz00_13027 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10835))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13025, BgL_wherez00_13026, BgL_locz00_13027); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13028;
BgL_za2za2resza2za2z00_13028 = 
PROCEDURE_ENTRY(BgL_bodyz00_10836)(BgL_bodyz00_10836, BgL_sz00_10837, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13025); 
return BgL_za2za2resza2za2z00_13028;} } } } } } 

}



/* &<@anonymous:3387> */
obj_t BGl_z62zc3z04anonymousza33387ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10838, obj_t BgL_sz00_10843)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10839;BgL_ev_absz00_bglt BgL_i1244z00_10840;obj_t BgL_bodyz00_10841;long BgL_siza7ezd2framez75_10842;
BgL_iboxesz00_10839 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10838, 
(int)(((long)0)))); 
BgL_i1244z00_10840 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10838, 
(int)(((long)1)))); 
BgL_bodyz00_10841 = 
PROCEDURE_REF(BgL_envz00_10838, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_10842 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10838, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13029;
BgL_bpz00_13029 = 
VECTOR_REF(
((obj_t)BgL_sz00_10843),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13030;
BgL_runz00_13030 = 
MAKE_FX_PROCEDURE(BGl_z62run4189z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13030, 
(int)(((long)0)), BgL_iboxesz00_10839); 
PROCEDURE_SET(BgL_runz00_13030, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10840)); 
PROCEDURE_SET(BgL_runz00_13030, 
(int)(((long)2)), BgL_bodyz00_10841); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13031;
BgL_mainz00_13031 = 
MAKE_VA_PROCEDURE(BGl_z62main4188z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13031, 
(int)(((long)0)), BgL_iboxesz00_10839); 
PROCEDURE_SET(BgL_mainz00_13031, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10840)); 
PROCEDURE_SET(BgL_mainz00_13031, 
(int)(((long)2)), BgL_bodyz00_10841); 
PROCEDURE_SET(BgL_mainz00_13031, 
(int)(((long)3)), BgL_runz00_13030); 
PROCEDURE_SET(BgL_mainz00_13031, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_10842)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13032;
BgL_objz00_13032 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13030, BgL_objz00_13032); BgL_objz00_13032; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3388z00_13033;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3389z00_13034;
BgL_arg3389z00_13034 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10840))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13035;
BgL_newz00_13035 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23700;
BgL_tmpz00_23700 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13035, BgL_tmpz00_23700, BgL_arg3389z00_13034); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23705;int BgL_tmpz00_23703;
BgL_auxz00_23705 = 
BINT(BgL_siza7ezd2framez75_10842); 
BgL_tmpz00_23703 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13035, BgL_tmpz00_23703, BgL_auxz00_23705); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23708;
BgL_tmpz00_23708 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13035, BgL_tmpz00_23708, BgL_runz00_13030); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23713;int BgL_tmpz00_23711;
BgL_auxz00_23713 = 
BINT(((long)-3)); 
BgL_tmpz00_23711 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13035, BgL_tmpz00_23711, BgL_auxz00_23713); } 
BgL_arg3388z00_13033 = BgL_newz00_13035; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13031, BgL_arg3388z00_13033); BgL_arg3388z00_13033; } 
return BgL_mainz00_13031;} } } } } } 

}



/* &main4188 */
obj_t BGl_z62main4188z62zz__evaluate_compz00(obj_t BgL_envz00_10844, obj_t BgL_cz00_10850, obj_t BgL_dz00_10851, obj_t BgL_lastz00_10852)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10848;long BgL_siza7ezd2framez75_10849;
BgL_runz00_10848 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10844, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_10849 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10844, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13036;
BgL_sz00_13036 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13037;
BgL_bpz00_13037 = 
VECTOR_REF(
((obj_t)BgL_sz00_13036),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13036, BgL_bpz00_13037, 
BINT(BgL_siza7ezd2framez75_10849)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3392z00_13038;
BgL_arg3392z00_13038 = 
(
(long)CINT(BgL_bpz00_13037)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13036),BgL_arg3392z00_13038,BgL_cz00_10850); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3393z00_13039;
BgL_arg3393z00_13039 = 
(
(long)CINT(BgL_bpz00_13037)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13036),BgL_arg3393z00_13039,BgL_dz00_10851); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3394z00_13040;
BgL_arg3394z00_13040 = 
(
(long)CINT(BgL_bpz00_13037)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13036),BgL_arg3394z00_13040,BgL_lastz00_10852); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13041;
BgL_ez00_13041 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13041, BgL_bpz00_13037); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13042;
BgL_accz00_13042 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10848, BgL_sz00_13036, BgL_bpz00_13037); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13041); 
VECTOR_SET(
((obj_t)BgL_sz00_13036),((long)0),BgL_bpz00_13037); 
return BgL_accz00_13042;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13043;
BgL_nsz00_13043 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13043,((long)1),BgL_sz00_13036); 
VECTOR_SET(BgL_nsz00_13043,((long)2),BgL_cz00_10850); 
VECTOR_SET(BgL_nsz00_13043,((long)3),BgL_dz00_10851); 
VECTOR_SET(BgL_nsz00_13043,((long)4),BgL_lastz00_10852); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13044;
BgL_z12denvz12_13044 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13044, BgL_nsz00_13043); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13045;
BgL_ez00_13045 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13045, BgL_sz00_13036); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13046;
BgL_____rz00_13046 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10848, BgL_nsz00_13043, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13045); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13044, BgL_sz00_13036); 
return BgL_____rz00_13046;} } } } } } } } 

}



/* &run4189 */
obj_t BGl_z62run4189z62zz__evaluate_compz00(obj_t BgL_envz00_10853, obj_t BgL_sz00_10857)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10854;BgL_ev_absz00_bglt BgL_i1244z00_10855;obj_t BgL_bodyz00_10856;
BgL_iboxesz00_10854 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10853, 
(int)(((long)0)))); 
BgL_i1244z00_10855 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10853, 
(int)(((long)1)))); 
BgL_bodyz00_10856 = 
PROCEDURE_REF(BgL_envz00_10853, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13047;
BgL_bpz00_13047 = 
VECTOR_REF(
((obj_t)BgL_sz00_10857),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10857, BgL_iboxesz00_10854, BgL_bpz00_13047); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13048;obj_t BgL_wherez00_13049;obj_t BgL_locz00_13050;
BgL_z12denvz12_13048 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13049 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10855))->BgL_wherez00); 
BgL_locz00_13050 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10855))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13048, BgL_wherez00_13049, BgL_locz00_13050); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13051;
BgL_za2za2resza2za2z00_13051 = 
PROCEDURE_ENTRY(BgL_bodyz00_10856)(BgL_bodyz00_10856, BgL_sz00_10857, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13048); 
return BgL_za2za2resza2za2z00_13051;} } } } } } 

}



/* &<@anonymous:3399> */
obj_t BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10858, obj_t BgL_sz00_10864)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10859;long BgL_siza7eza7_10860;BgL_ev_absz00_bglt BgL_i1244z00_10861;obj_t BgL_bodyz00_10862;long BgL_siza7ezd2framez75_10863;
BgL_ifreesz00_10859 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)0)))); 
BgL_siza7eza7_10860 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)1)))); 
BgL_i1244z00_10861 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)2)))); 
BgL_bodyz00_10862 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_10863 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13052;
BgL_bpz00_13052 = 
VECTOR_REF(
((obj_t)BgL_sz00_10864),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13053;
BgL_valza2za2_13053 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10864, BgL_bpz00_13052, BgL_ifreesz00_10859); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13054;
BgL_runz00_13054 = 
MAKE_FX_PROCEDURE(BGl_z62run4191z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13054, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10860)); 
PROCEDURE_SET(BgL_runz00_13054, 
(int)(((long)1)), BgL_valza2za2_13053); 
PROCEDURE_SET(BgL_runz00_13054, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10861)); 
PROCEDURE_SET(BgL_runz00_13054, 
(int)(((long)3)), BgL_bodyz00_10862); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13055;
BgL_mainz00_13055 = 
MAKE_VA_PROCEDURE(BGl_z62main4190z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13055, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10860)); 
PROCEDURE_SET(BgL_mainz00_13055, 
(int)(((long)1)), BgL_valza2za2_13053); 
PROCEDURE_SET(BgL_mainz00_13055, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10861)); 
PROCEDURE_SET(BgL_mainz00_13055, 
(int)(((long)3)), BgL_bodyz00_10862); 
PROCEDURE_SET(BgL_mainz00_13055, 
(int)(((long)4)), BgL_runz00_13054); 
PROCEDURE_SET(BgL_mainz00_13055, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_10863)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13056;
BgL_objz00_13056 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13054, BgL_objz00_13056); BgL_objz00_13056; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3400z00_13057;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3401z00_13058;
BgL_arg3401z00_13058 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10861))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13059;
BgL_newz00_13059 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23832;
BgL_tmpz00_23832 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13059, BgL_tmpz00_23832, BgL_arg3401z00_13058); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23837;int BgL_tmpz00_23835;
BgL_auxz00_23837 = 
BINT(BgL_siza7ezd2framez75_10863); 
BgL_tmpz00_23835 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13059, BgL_tmpz00_23835, BgL_auxz00_23837); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23840;
BgL_tmpz00_23840 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13059, BgL_tmpz00_23840, BgL_runz00_13054); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23845;int BgL_tmpz00_23843;
BgL_auxz00_23845 = 
BINT(((long)-3)); 
BgL_tmpz00_23843 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13059, BgL_tmpz00_23843, BgL_auxz00_23845); } 
BgL_arg3400z00_13057 = BgL_newz00_13059; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13055, BgL_arg3400z00_13057); BgL_arg3400z00_13057; } 
return BgL_mainz00_13055;} } } } } } 

}



/* &main4190 */
obj_t BGl_z62main4190z62zz__evaluate_compz00(obj_t BgL_envz00_10865, obj_t BgL_cz00_10872, obj_t BgL_dz00_10873, obj_t BgL_lastz00_10874)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10870;long BgL_siza7ezd2framez75_10871;
BgL_runz00_10870 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10865, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_10871 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10865, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13060;
BgL_sz00_13060 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13061;
BgL_bpz00_13061 = 
VECTOR_REF(
((obj_t)BgL_sz00_13060),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13060, BgL_bpz00_13061, 
BINT(BgL_siza7ezd2framez75_10871)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3404z00_13062;
BgL_arg3404z00_13062 = 
(
(long)CINT(BgL_bpz00_13061)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13060),BgL_arg3404z00_13062,BgL_cz00_10872); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3405z00_13063;
BgL_arg3405z00_13063 = 
(
(long)CINT(BgL_bpz00_13061)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13060),BgL_arg3405z00_13063,BgL_dz00_10873); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3406z00_13064;
BgL_arg3406z00_13064 = 
(
(long)CINT(BgL_bpz00_13061)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13060),BgL_arg3406z00_13064,BgL_lastz00_10874); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13065;
BgL_ez00_13065 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13065, BgL_bpz00_13061); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13066;
BgL_accz00_13066 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10870, BgL_sz00_13060, BgL_bpz00_13061); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13065); 
VECTOR_SET(
((obj_t)BgL_sz00_13060),((long)0),BgL_bpz00_13061); 
return BgL_accz00_13066;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13067;
BgL_nsz00_13067 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13067,((long)1),BgL_sz00_13060); 
VECTOR_SET(BgL_nsz00_13067,((long)2),BgL_cz00_10872); 
VECTOR_SET(BgL_nsz00_13067,((long)3),BgL_dz00_10873); 
VECTOR_SET(BgL_nsz00_13067,((long)4),BgL_lastz00_10874); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13068;
BgL_z12denvz12_13068 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13068, BgL_nsz00_13067); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13069;
BgL_ez00_13069 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13069, BgL_sz00_13060); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13070;
BgL_____rz00_13070 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10870, BgL_nsz00_13067, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13069); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13068, BgL_sz00_13060); 
return BgL_____rz00_13070;} } } } } } } } 

}



/* &run4191 */
obj_t BGl_z62run4191z62zz__evaluate_compz00(obj_t BgL_envz00_10875, obj_t BgL_sz00_10880)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_10876;obj_t BgL_valza2za2_10877;BgL_ev_absz00_bglt BgL_i1244z00_10878;obj_t BgL_bodyz00_10879;
BgL_siza7eza7_10876 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10875, 
(int)(((long)0)))); 
BgL_valza2za2_10877 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10875, 
(int)(((long)1)))); 
BgL_i1244z00_10878 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10875, 
(int)(((long)2)))); 
BgL_bodyz00_10879 = 
PROCEDURE_REF(BgL_envz00_10875, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13071;
BgL_bpz00_13071 = 
VECTOR_REF(
((obj_t)BgL_sz00_10880),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10880, BgL_valza2za2_10877, 
(
(long)CINT(BgL_bpz00_13071)+BgL_siza7eza7_10876)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13072;obj_t BgL_wherez00_13073;obj_t BgL_locz00_13074;
BgL_z12denvz12_13072 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13073 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10878))->BgL_wherez00); 
BgL_locz00_13074 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10878))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13072, BgL_wherez00_13073, BgL_locz00_13074); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13075;
BgL_za2za2resza2za2z00_13075 = 
PROCEDURE_ENTRY(BgL_bodyz00_10879)(BgL_bodyz00_10879, BgL_sz00_10880, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13072); 
return BgL_za2za2resza2za2z00_13075;} } } } } } 

}



/* &<@anonymous:3409> */
obj_t BGl_z62zc3z04anonymousza33409ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10881, obj_t BgL_sz00_10888)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10882;obj_t BgL_iboxesz00_10883;long BgL_siza7eza7_10884;BgL_ev_absz00_bglt BgL_i1244z00_10885;obj_t BgL_bodyz00_10886;long BgL_siza7ezd2framez75_10887;
BgL_ifreesz00_10882 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10881, 
(int)(((long)0)))); 
BgL_iboxesz00_10883 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10881, 
(int)(((long)1)))); 
BgL_siza7eza7_10884 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10881, 
(int)(((long)2)))); 
BgL_i1244z00_10885 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10881, 
(int)(((long)3)))); 
BgL_bodyz00_10886 = 
PROCEDURE_REF(BgL_envz00_10881, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_10887 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10881, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13076;
BgL_bpz00_13076 = 
VECTOR_REF(
((obj_t)BgL_sz00_10888),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13077;
BgL_valza2za2_13077 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10888, BgL_bpz00_13076, BgL_ifreesz00_10882); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13078;
BgL_runz00_13078 = 
MAKE_FX_PROCEDURE(BGl_z62run4193z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13078, 
(int)(((long)0)), BgL_iboxesz00_10883); 
PROCEDURE_SET(BgL_runz00_13078, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10884)); 
PROCEDURE_SET(BgL_runz00_13078, 
(int)(((long)2)), BgL_valza2za2_13077); 
PROCEDURE_SET(BgL_runz00_13078, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10885)); 
PROCEDURE_SET(BgL_runz00_13078, 
(int)(((long)4)), BgL_bodyz00_10886); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13079;
BgL_mainz00_13079 = 
MAKE_VA_PROCEDURE(BGl_z62main4192z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)0)), BgL_iboxesz00_10883); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10884)); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)2)), BgL_valza2za2_13077); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10885)); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)4)), BgL_bodyz00_10886); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)5)), BgL_runz00_13078); 
PROCEDURE_SET(BgL_mainz00_13079, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_10887)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13080;
BgL_objz00_13080 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13078, BgL_objz00_13080); BgL_objz00_13080; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3410z00_13081;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3411z00_13082;
BgL_arg3411z00_13082 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10885))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13083;
BgL_newz00_13083 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23976;
BgL_tmpz00_23976 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13083, BgL_tmpz00_23976, BgL_arg3411z00_13082); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23981;int BgL_tmpz00_23979;
BgL_auxz00_23981 = 
BINT(BgL_siza7ezd2framez75_10887); 
BgL_tmpz00_23979 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13083, BgL_tmpz00_23979, BgL_auxz00_23981); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23984;
BgL_tmpz00_23984 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13083, BgL_tmpz00_23984, BgL_runz00_13078); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23989;int BgL_tmpz00_23987;
BgL_auxz00_23989 = 
BINT(((long)-3)); 
BgL_tmpz00_23987 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13083, BgL_tmpz00_23987, BgL_auxz00_23989); } 
BgL_arg3410z00_13081 = BgL_newz00_13083; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13079, BgL_arg3410z00_13081); BgL_arg3410z00_13081; } 
return BgL_mainz00_13079;} } } } } } 

}



/* &main4192 */
obj_t BGl_z62main4192z62zz__evaluate_compz00(obj_t BgL_envz00_10889, obj_t BgL_cz00_10897, obj_t BgL_dz00_10898, obj_t BgL_lastz00_10899)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10895;long BgL_siza7ezd2framez75_10896;
BgL_runz00_10895 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10889, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_10896 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10889, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13084;
BgL_sz00_13084 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13085;
BgL_bpz00_13085 = 
VECTOR_REF(
((obj_t)BgL_sz00_13084),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13084, BgL_bpz00_13085, 
BINT(BgL_siza7ezd2framez75_10896)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3414z00_13086;
BgL_arg3414z00_13086 = 
(
(long)CINT(BgL_bpz00_13085)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13084),BgL_arg3414z00_13086,BgL_cz00_10897); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3415z00_13087;
BgL_arg3415z00_13087 = 
(
(long)CINT(BgL_bpz00_13085)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13084),BgL_arg3415z00_13087,BgL_dz00_10898); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3416z00_13088;
BgL_arg3416z00_13088 = 
(
(long)CINT(BgL_bpz00_13085)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13084),BgL_arg3416z00_13088,BgL_lastz00_10899); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13089;
BgL_ez00_13089 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13089, BgL_bpz00_13085); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13090;
BgL_accz00_13090 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10895, BgL_sz00_13084, BgL_bpz00_13085); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13089); 
VECTOR_SET(
((obj_t)BgL_sz00_13084),((long)0),BgL_bpz00_13085); 
return BgL_accz00_13090;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13091;
BgL_nsz00_13091 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13091,((long)1),BgL_sz00_13084); 
VECTOR_SET(BgL_nsz00_13091,((long)2),BgL_cz00_10897); 
VECTOR_SET(BgL_nsz00_13091,((long)3),BgL_dz00_10898); 
VECTOR_SET(BgL_nsz00_13091,((long)4),BgL_lastz00_10899); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13092;
BgL_z12denvz12_13092 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13092, BgL_nsz00_13091); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13093;
BgL_ez00_13093 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13093, BgL_sz00_13084); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13094;
BgL_____rz00_13094 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10895, BgL_nsz00_13091, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13093); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13092, BgL_sz00_13084); 
return BgL_____rz00_13094;} } } } } } } } 

}



/* &run4193 */
obj_t BGl_z62run4193z62zz__evaluate_compz00(obj_t BgL_envz00_10900, obj_t BgL_sz00_10906)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10901;long BgL_siza7eza7_10902;obj_t BgL_valza2za2_10903;BgL_ev_absz00_bglt BgL_i1244z00_10904;obj_t BgL_bodyz00_10905;
BgL_iboxesz00_10901 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)0)))); 
BgL_siza7eza7_10902 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)1)))); 
BgL_valza2za2_10903 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)2)))); 
BgL_i1244z00_10904 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)3)))); 
BgL_bodyz00_10905 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13095;
BgL_bpz00_13095 = 
VECTOR_REF(
((obj_t)BgL_sz00_10906),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10906, BgL_iboxesz00_10901, BgL_bpz00_13095); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10906, BgL_valza2za2_10903, 
(
(long)CINT(BgL_bpz00_13095)+BgL_siza7eza7_10902)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13096;obj_t BgL_wherez00_13097;obj_t BgL_locz00_13098;
BgL_z12denvz12_13096 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13097 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10904))->BgL_wherez00); 
BgL_locz00_13098 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10904))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13096, BgL_wherez00_13097, BgL_locz00_13098); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13099;
BgL_za2za2resza2za2z00_13099 = 
PROCEDURE_ENTRY(BgL_bodyz00_10905)(BgL_bodyz00_10905, BgL_sz00_10906, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13096); 
return BgL_za2za2resza2za2z00_13099;} } } } } } 

}



/* &<@anonymous:3335> */
obj_t BGl_z62zc3z04anonymousza33335ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10907, obj_t BgL_sz00_10911)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10908;obj_t BgL_bodyz00_10909;long BgL_siza7ezd2framez75_10910;
BgL_i1244z00_10908 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10907, 
(int)(((long)0)))); 
BgL_bodyz00_10909 = 
PROCEDURE_REF(BgL_envz00_10907, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10910 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10907, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13100;
BgL_bpz00_13100 = 
VECTOR_REF(
((obj_t)BgL_sz00_10911),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13101;
BgL_runz00_13101 = 
MAKE_FX_PROCEDURE(BGl_z62run4195z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13101, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10908)); 
PROCEDURE_SET(BgL_runz00_13101, 
(int)(((long)1)), BgL_bodyz00_10909); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13102;
BgL_mainz00_13102 = 
MAKE_FX_PROCEDURE(BGl_z62main4194z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13102, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10908)); 
PROCEDURE_SET(BgL_mainz00_13102, 
(int)(((long)1)), BgL_bodyz00_10909); 
PROCEDURE_SET(BgL_mainz00_13102, 
(int)(((long)2)), BgL_runz00_13101); 
PROCEDURE_SET(BgL_mainz00_13102, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10910)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13103;
BgL_objz00_13103 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13101, BgL_objz00_13103); BgL_objz00_13103; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3336z00_13104;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3337z00_13105;
BgL_arg3337z00_13105 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10908))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13106;
BgL_newz00_13106 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24100;
BgL_tmpz00_24100 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13106, BgL_tmpz00_24100, BgL_arg3337z00_13105); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24105;int BgL_tmpz00_24103;
BgL_auxz00_24105 = 
BINT(BgL_siza7ezd2framez75_10910); 
BgL_tmpz00_24103 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13106, BgL_tmpz00_24103, BgL_auxz00_24105); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24108;
BgL_tmpz00_24108 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13106, BgL_tmpz00_24108, BgL_runz00_13101); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24113;int BgL_tmpz00_24111;
BgL_auxz00_24113 = 
BINT(((long)2)); 
BgL_tmpz00_24111 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13106, BgL_tmpz00_24111, BgL_auxz00_24113); } 
BgL_arg3336z00_13104 = BgL_newz00_13106; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13102, BgL_arg3336z00_13104); BgL_arg3336z00_13104; } 
return BgL_mainz00_13102;} } } } } } 

}



/* &main4194 */
obj_t BGl_z62main4194z62zz__evaluate_compz00(obj_t BgL_envz00_10912, obj_t BgL_cz00_10917, obj_t BgL_dz00_10918)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10915;long BgL_siza7ezd2framez75_10916;
BgL_runz00_10915 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10912, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10916 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10912, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13107;
BgL_sz00_13107 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13108;
BgL_bpz00_13108 = 
VECTOR_REF(
((obj_t)BgL_sz00_13107),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13107, BgL_bpz00_13108, 
BINT(BgL_siza7ezd2framez75_10916)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3340z00_13109;
BgL_arg3340z00_13109 = 
(
(long)CINT(BgL_bpz00_13108)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13107),BgL_arg3340z00_13109,BgL_cz00_10917); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3341z00_13110;
BgL_arg3341z00_13110 = 
(
(long)CINT(BgL_bpz00_13108)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13107),BgL_arg3341z00_13110,BgL_dz00_10918); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13111;
BgL_ez00_13111 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13111, BgL_bpz00_13108); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13112;
BgL_accz00_13112 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10915, BgL_sz00_13107, BgL_bpz00_13108); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13111); 
VECTOR_SET(
((obj_t)BgL_sz00_13107),((long)0),BgL_bpz00_13108); 
return BgL_accz00_13112;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13113;
BgL_nsz00_13113 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13113,((long)1),BgL_sz00_13107); 
VECTOR_SET(BgL_nsz00_13113,((long)2),BgL_cz00_10917); 
VECTOR_SET(BgL_nsz00_13113,((long)3),BgL_dz00_10918); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13114;
BgL_z12denvz12_13114 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13114, BgL_nsz00_13113); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13115;
BgL_ez00_13115 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13115, BgL_sz00_13107); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13116;
BgL_____rz00_13116 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10915, BgL_nsz00_13113, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13115); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13114, BgL_sz00_13107); 
return BgL_____rz00_13116;} } } } } } } } 

}



/* &run4195 */
obj_t BGl_z62run4195z62zz__evaluate_compz00(obj_t BgL_envz00_10919, obj_t BgL_sz00_10922)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10920;obj_t BgL_bodyz00_10921;
BgL_i1244z00_10920 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)0)))); 
BgL_bodyz00_10921 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13117;
BgL_bpz00_13117 = 
VECTOR_REF(
((obj_t)BgL_sz00_10922),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13118;obj_t BgL_wherez00_13119;obj_t BgL_locz00_13120;
BgL_z12denvz12_13118 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13119 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10920))->BgL_wherez00); 
BgL_locz00_13120 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10920))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13118, BgL_wherez00_13119, BgL_locz00_13120); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13121;
BgL_za2za2resza2za2z00_13121 = 
PROCEDURE_ENTRY(BgL_bodyz00_10921)(BgL_bodyz00_10921, BgL_sz00_10922, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13118); 
return BgL_za2za2resza2za2z00_13121;} } } } } } 

}



/* &<@anonymous:3343> */
obj_t BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10923, obj_t BgL_sz00_10928)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10924;BgL_ev_absz00_bglt BgL_i1244z00_10925;obj_t BgL_bodyz00_10926;long BgL_siza7ezd2framez75_10927;
BgL_iboxesz00_10924 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10923, 
(int)(((long)0)))); 
BgL_i1244z00_10925 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10923, 
(int)(((long)1)))); 
BgL_bodyz00_10926 = 
PROCEDURE_REF(BgL_envz00_10923, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_10927 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10923, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13122;
BgL_bpz00_13122 = 
VECTOR_REF(
((obj_t)BgL_sz00_10928),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13123;
BgL_runz00_13123 = 
MAKE_FX_PROCEDURE(BGl_z62run4197z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13123, 
(int)(((long)0)), BgL_iboxesz00_10924); 
PROCEDURE_SET(BgL_runz00_13123, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10925)); 
PROCEDURE_SET(BgL_runz00_13123, 
(int)(((long)2)), BgL_bodyz00_10926); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13124;
BgL_mainz00_13124 = 
MAKE_FX_PROCEDURE(BGl_z62main4196z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13124, 
(int)(((long)0)), BgL_iboxesz00_10924); 
PROCEDURE_SET(BgL_mainz00_13124, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_10925)); 
PROCEDURE_SET(BgL_mainz00_13124, 
(int)(((long)2)), BgL_bodyz00_10926); 
PROCEDURE_SET(BgL_mainz00_13124, 
(int)(((long)3)), BgL_runz00_13123); 
PROCEDURE_SET(BgL_mainz00_13124, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_10927)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13125;
BgL_objz00_13125 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13123, BgL_objz00_13125); BgL_objz00_13125; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3344z00_13126;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3345z00_13127;
BgL_arg3345z00_13127 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10925))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13128;
BgL_newz00_13128 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24213;
BgL_tmpz00_24213 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13128, BgL_tmpz00_24213, BgL_arg3345z00_13127); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24218;int BgL_tmpz00_24216;
BgL_auxz00_24218 = 
BINT(BgL_siza7ezd2framez75_10927); 
BgL_tmpz00_24216 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13128, BgL_tmpz00_24216, BgL_auxz00_24218); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24221;
BgL_tmpz00_24221 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13128, BgL_tmpz00_24221, BgL_runz00_13123); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24226;int BgL_tmpz00_24224;
BgL_auxz00_24226 = 
BINT(((long)2)); 
BgL_tmpz00_24224 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13128, BgL_tmpz00_24224, BgL_auxz00_24226); } 
BgL_arg3344z00_13126 = BgL_newz00_13128; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13124, BgL_arg3344z00_13126); BgL_arg3344z00_13126; } 
return BgL_mainz00_13124;} } } } } } 

}



/* &main4196 */
obj_t BGl_z62main4196z62zz__evaluate_compz00(obj_t BgL_envz00_10929, obj_t BgL_cz00_10935, obj_t BgL_dz00_10936)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10933;long BgL_siza7ezd2framez75_10934;
BgL_runz00_10933 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_10934 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13129;
BgL_sz00_13129 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13130;
BgL_bpz00_13130 = 
VECTOR_REF(
((obj_t)BgL_sz00_13129),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13129, BgL_bpz00_13130, 
BINT(BgL_siza7ezd2framez75_10934)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3348z00_13131;
BgL_arg3348z00_13131 = 
(
(long)CINT(BgL_bpz00_13130)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13129),BgL_arg3348z00_13131,BgL_cz00_10935); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3349z00_13132;
BgL_arg3349z00_13132 = 
(
(long)CINT(BgL_bpz00_13130)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13129),BgL_arg3349z00_13132,BgL_dz00_10936); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13133;
BgL_ez00_13133 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13133, BgL_bpz00_13130); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13134;
BgL_accz00_13134 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10933, BgL_sz00_13129, BgL_bpz00_13130); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13133); 
VECTOR_SET(
((obj_t)BgL_sz00_13129),((long)0),BgL_bpz00_13130); 
return BgL_accz00_13134;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13135;
BgL_nsz00_13135 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13135,((long)1),BgL_sz00_13129); 
VECTOR_SET(BgL_nsz00_13135,((long)2),BgL_cz00_10935); 
VECTOR_SET(BgL_nsz00_13135,((long)3),BgL_dz00_10936); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13136;
BgL_z12denvz12_13136 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13136, BgL_nsz00_13135); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13137;
BgL_ez00_13137 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13137, BgL_sz00_13129); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13138;
BgL_____rz00_13138 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10933, BgL_nsz00_13135, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13137); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13136, BgL_sz00_13129); 
return BgL_____rz00_13138;} } } } } } } } 

}



/* &run4197 */
obj_t BGl_z62run4197z62zz__evaluate_compz00(obj_t BgL_envz00_10937, obj_t BgL_sz00_10941)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10938;BgL_ev_absz00_bglt BgL_i1244z00_10939;obj_t BgL_bodyz00_10940;
BgL_iboxesz00_10938 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10937, 
(int)(((long)0)))); 
BgL_i1244z00_10939 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10937, 
(int)(((long)1)))); 
BgL_bodyz00_10940 = 
PROCEDURE_REF(BgL_envz00_10937, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13139;
BgL_bpz00_13139 = 
VECTOR_REF(
((obj_t)BgL_sz00_10941),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10941, BgL_iboxesz00_10938, BgL_bpz00_13139); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13140;obj_t BgL_wherez00_13141;obj_t BgL_locz00_13142;
BgL_z12denvz12_13140 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13141 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10939))->BgL_wherez00); 
BgL_locz00_13142 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10939))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13140, BgL_wherez00_13141, BgL_locz00_13142); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13143;
BgL_za2za2resza2za2z00_13143 = 
PROCEDURE_ENTRY(BgL_bodyz00_10940)(BgL_bodyz00_10940, BgL_sz00_10941, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13140); 
return BgL_za2za2resza2za2z00_13143;} } } } } } 

}



/* &<@anonymous:3354> */
obj_t BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10942, obj_t BgL_sz00_10948)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10943;long BgL_siza7eza7_10944;BgL_ev_absz00_bglt BgL_i1244z00_10945;obj_t BgL_bodyz00_10946;long BgL_siza7ezd2framez75_10947;
BgL_ifreesz00_10943 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10942, 
(int)(((long)0)))); 
BgL_siza7eza7_10944 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10942, 
(int)(((long)1)))); 
BgL_i1244z00_10945 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10942, 
(int)(((long)2)))); 
BgL_bodyz00_10946 = 
PROCEDURE_REF(BgL_envz00_10942, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_10947 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10942, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13144;
BgL_bpz00_13144 = 
VECTOR_REF(
((obj_t)BgL_sz00_10948),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13145;
BgL_valza2za2_13145 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10948, BgL_bpz00_13144, BgL_ifreesz00_10943); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13146;
BgL_runz00_13146 = 
MAKE_FX_PROCEDURE(BGl_z62run4199z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13146, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10944)); 
PROCEDURE_SET(BgL_runz00_13146, 
(int)(((long)1)), BgL_valza2za2_13145); 
PROCEDURE_SET(BgL_runz00_13146, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10945)); 
PROCEDURE_SET(BgL_runz00_13146, 
(int)(((long)3)), BgL_bodyz00_10946); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13147;
BgL_mainz00_13147 = 
MAKE_FX_PROCEDURE(BGl_z62main4198z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13147, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_10944)); 
PROCEDURE_SET(BgL_mainz00_13147, 
(int)(((long)1)), BgL_valza2za2_13145); 
PROCEDURE_SET(BgL_mainz00_13147, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_10945)); 
PROCEDURE_SET(BgL_mainz00_13147, 
(int)(((long)3)), BgL_bodyz00_10946); 
PROCEDURE_SET(BgL_mainz00_13147, 
(int)(((long)4)), BgL_runz00_13146); 
PROCEDURE_SET(BgL_mainz00_13147, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_10947)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13148;
BgL_objz00_13148 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13146, BgL_objz00_13148); BgL_objz00_13148; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3355z00_13149;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3356z00_13150;
BgL_arg3356z00_13150 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10945))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13151;
BgL_newz00_13151 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24340;
BgL_tmpz00_24340 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13151, BgL_tmpz00_24340, BgL_arg3356z00_13150); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24345;int BgL_tmpz00_24343;
BgL_auxz00_24345 = 
BINT(BgL_siza7ezd2framez75_10947); 
BgL_tmpz00_24343 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13151, BgL_tmpz00_24343, BgL_auxz00_24345); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24348;
BgL_tmpz00_24348 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13151, BgL_tmpz00_24348, BgL_runz00_13146); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24353;int BgL_tmpz00_24351;
BgL_auxz00_24353 = 
BINT(((long)2)); 
BgL_tmpz00_24351 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13151, BgL_tmpz00_24351, BgL_auxz00_24353); } 
BgL_arg3355z00_13149 = BgL_newz00_13151; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13147, BgL_arg3355z00_13149); BgL_arg3355z00_13149; } 
return BgL_mainz00_13147;} } } } } } 

}



/* &main4198 */
obj_t BGl_z62main4198z62zz__evaluate_compz00(obj_t BgL_envz00_10949, obj_t BgL_cz00_10956, obj_t BgL_dz00_10957)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10954;long BgL_siza7ezd2framez75_10955;
BgL_runz00_10954 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10949, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_10955 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10949, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13152;
BgL_sz00_13152 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13153;
BgL_bpz00_13153 = 
VECTOR_REF(
((obj_t)BgL_sz00_13152),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13152, BgL_bpz00_13153, 
BINT(BgL_siza7ezd2framez75_10955)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3359z00_13154;
BgL_arg3359z00_13154 = 
(
(long)CINT(BgL_bpz00_13153)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13152),BgL_arg3359z00_13154,BgL_cz00_10956); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3360z00_13155;
BgL_arg3360z00_13155 = 
(
(long)CINT(BgL_bpz00_13153)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13152),BgL_arg3360z00_13155,BgL_dz00_10957); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13156;
BgL_ez00_13156 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13156, BgL_bpz00_13153); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13157;
BgL_accz00_13157 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10954, BgL_sz00_13152, BgL_bpz00_13153); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13156); 
VECTOR_SET(
((obj_t)BgL_sz00_13152),((long)0),BgL_bpz00_13153); 
return BgL_accz00_13157;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13158;
BgL_nsz00_13158 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13158,((long)1),BgL_sz00_13152); 
VECTOR_SET(BgL_nsz00_13158,((long)2),BgL_cz00_10956); 
VECTOR_SET(BgL_nsz00_13158,((long)3),BgL_dz00_10957); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13159;
BgL_z12denvz12_13159 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13159, BgL_nsz00_13158); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13160;
BgL_ez00_13160 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13160, BgL_sz00_13152); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13161;
BgL_____rz00_13161 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10954, BgL_nsz00_13158, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13160); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13159, BgL_sz00_13152); 
return BgL_____rz00_13161;} } } } } } } } 

}



/* &run4199 */
obj_t BGl_z62run4199z62zz__evaluate_compz00(obj_t BgL_envz00_10958, obj_t BgL_sz00_10963)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_10959;obj_t BgL_valza2za2_10960;BgL_ev_absz00_bglt BgL_i1244z00_10961;obj_t BgL_bodyz00_10962;
BgL_siza7eza7_10959 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)0)))); 
BgL_valza2za2_10960 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)1)))); 
BgL_i1244z00_10961 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)2)))); 
BgL_bodyz00_10962 = 
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13162;
BgL_bpz00_13162 = 
VECTOR_REF(
((obj_t)BgL_sz00_10963),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10963, BgL_valza2za2_10960, 
(
(long)CINT(BgL_bpz00_13162)+BgL_siza7eza7_10959)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13163;obj_t BgL_wherez00_13164;obj_t BgL_locz00_13165;
BgL_z12denvz12_13163 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13164 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10961))->BgL_wherez00); 
BgL_locz00_13165 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10961))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13163, BgL_wherez00_13164, BgL_locz00_13165); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13166;
BgL_za2za2resza2za2z00_13166 = 
PROCEDURE_ENTRY(BgL_bodyz00_10962)(BgL_bodyz00_10962, BgL_sz00_10963, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13163); 
return BgL_za2za2resza2za2z00_13166;} } } } } } 

}



/* &<@anonymous:3363> */
obj_t BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10964, obj_t BgL_sz00_10971)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_10965;obj_t BgL_iboxesz00_10966;long BgL_siza7eza7_10967;BgL_ev_absz00_bglt BgL_i1244z00_10968;obj_t BgL_bodyz00_10969;long BgL_siza7ezd2framez75_10970;
BgL_ifreesz00_10965 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)0)))); 
BgL_iboxesz00_10966 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)1)))); 
BgL_siza7eza7_10967 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)2)))); 
BgL_i1244z00_10968 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)3)))); 
BgL_bodyz00_10969 = 
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_10970 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13167;
BgL_bpz00_13167 = 
VECTOR_REF(
((obj_t)BgL_sz00_10971),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13168;
BgL_valza2za2_13168 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_10971, BgL_bpz00_13167, BgL_ifreesz00_10965); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13169;
BgL_runz00_13169 = 
MAKE_FX_PROCEDURE(BGl_z62run4201z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13169, 
(int)(((long)0)), BgL_iboxesz00_10966); 
PROCEDURE_SET(BgL_runz00_13169, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10967)); 
PROCEDURE_SET(BgL_runz00_13169, 
(int)(((long)2)), BgL_valza2za2_13168); 
PROCEDURE_SET(BgL_runz00_13169, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10968)); 
PROCEDURE_SET(BgL_runz00_13169, 
(int)(((long)4)), BgL_bodyz00_10969); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13170;
BgL_mainz00_13170 = 
MAKE_FX_PROCEDURE(BGl_z62main4200z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)0)), BgL_iboxesz00_10966); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_10967)); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)2)), BgL_valza2za2_13168); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_10968)); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)4)), BgL_bodyz00_10969); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)5)), BgL_runz00_13169); 
PROCEDURE_SET(BgL_mainz00_13170, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_10970)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13171;
BgL_objz00_13171 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13169, BgL_objz00_13171); BgL_objz00_13171; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3364z00_13172;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3365z00_13173;
BgL_arg3365z00_13173 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10968))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13174;
BgL_newz00_13174 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24479;
BgL_tmpz00_24479 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13174, BgL_tmpz00_24479, BgL_arg3365z00_13173); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24484;int BgL_tmpz00_24482;
BgL_auxz00_24484 = 
BINT(BgL_siza7ezd2framez75_10970); 
BgL_tmpz00_24482 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13174, BgL_tmpz00_24482, BgL_auxz00_24484); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24487;
BgL_tmpz00_24487 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13174, BgL_tmpz00_24487, BgL_runz00_13169); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24492;int BgL_tmpz00_24490;
BgL_auxz00_24492 = 
BINT(((long)2)); 
BgL_tmpz00_24490 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13174, BgL_tmpz00_24490, BgL_auxz00_24492); } 
BgL_arg3364z00_13172 = BgL_newz00_13174; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13170, BgL_arg3364z00_13172); BgL_arg3364z00_13172; } 
return BgL_mainz00_13170;} } } } } } 

}



/* &main4200 */
obj_t BGl_z62main4200z62zz__evaluate_compz00(obj_t BgL_envz00_10972, obj_t BgL_cz00_10980, obj_t BgL_dz00_10981)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10978;long BgL_siza7ezd2framez75_10979;
BgL_runz00_10978 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_10979 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13175;
BgL_sz00_13175 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13176;
BgL_bpz00_13176 = 
VECTOR_REF(
((obj_t)BgL_sz00_13175),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13175, BgL_bpz00_13176, 
BINT(BgL_siza7ezd2framez75_10979)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3368z00_13177;
BgL_arg3368z00_13177 = 
(
(long)CINT(BgL_bpz00_13176)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13175),BgL_arg3368z00_13177,BgL_cz00_10980); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3369z00_13178;
BgL_arg3369z00_13178 = 
(
(long)CINT(BgL_bpz00_13176)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13175),BgL_arg3369z00_13178,BgL_dz00_10981); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13179;
BgL_ez00_13179 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13179, BgL_bpz00_13176); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13180;
BgL_accz00_13180 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10978, BgL_sz00_13175, BgL_bpz00_13176); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13179); 
VECTOR_SET(
((obj_t)BgL_sz00_13175),((long)0),BgL_bpz00_13176); 
return BgL_accz00_13180;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13181;
BgL_nsz00_13181 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13181,((long)1),BgL_sz00_13175); 
VECTOR_SET(BgL_nsz00_13181,((long)2),BgL_cz00_10980); 
VECTOR_SET(BgL_nsz00_13181,((long)3),BgL_dz00_10981); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13182;
BgL_z12denvz12_13182 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13182, BgL_nsz00_13181); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13183;
BgL_ez00_13183 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13183, BgL_sz00_13175); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13184;
BgL_____rz00_13184 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10978, BgL_nsz00_13181, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13183); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13182, BgL_sz00_13175); 
return BgL_____rz00_13184;} } } } } } } } 

}



/* &run4201 */
obj_t BGl_z62run4201z62zz__evaluate_compz00(obj_t BgL_envz00_10982, obj_t BgL_sz00_10988)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_10983;long BgL_siza7eza7_10984;obj_t BgL_valza2za2_10985;BgL_ev_absz00_bglt BgL_i1244z00_10986;obj_t BgL_bodyz00_10987;
BgL_iboxesz00_10983 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10982, 
(int)(((long)0)))); 
BgL_siza7eza7_10984 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10982, 
(int)(((long)1)))); 
BgL_valza2za2_10985 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10982, 
(int)(((long)2)))); 
BgL_i1244z00_10986 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10982, 
(int)(((long)3)))); 
BgL_bodyz00_10987 = 
PROCEDURE_REF(BgL_envz00_10982, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13185;
BgL_bpz00_13185 = 
VECTOR_REF(
((obj_t)BgL_sz00_10988),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_10988, BgL_iboxesz00_10983, BgL_bpz00_13185); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_10988, BgL_valza2za2_10985, 
(
(long)CINT(BgL_bpz00_13185)+BgL_siza7eza7_10984)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13186;obj_t BgL_wherez00_13187;obj_t BgL_locz00_13188;
BgL_z12denvz12_13186 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13187 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10986))->BgL_wherez00); 
BgL_locz00_13188 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10986))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13186, BgL_wherez00_13187, BgL_locz00_13188); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13189;
BgL_za2za2resza2za2z00_13189 = 
PROCEDURE_ENTRY(BgL_bodyz00_10987)(BgL_bodyz00_10987, BgL_sz00_10988, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13186); 
return BgL_za2za2resza2za2z00_13189;} } } } } } 

}



/* &<@anonymous:3292> */
obj_t BGl_z62zc3z04anonymousza33292ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10989, obj_t BgL_sz00_10993)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_10990;obj_t BgL_bodyz00_10991;long BgL_siza7ezd2framez75_10992;
BgL_i1244z00_10990 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)0)))); 
BgL_bodyz00_10991 = 
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_10992 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13190;
BgL_bpz00_13190 = 
VECTOR_REF(
((obj_t)BgL_sz00_10993),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13191;
BgL_runz00_13191 = 
MAKE_FX_PROCEDURE(BGl_z62run4203z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13191, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10990)); 
PROCEDURE_SET(BgL_runz00_13191, 
(int)(((long)1)), BgL_bodyz00_10991); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13192;
BgL_mainz00_13192 = 
MAKE_VA_PROCEDURE(BGl_z62main4202z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13192, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_10990)); 
PROCEDURE_SET(BgL_mainz00_13192, 
(int)(((long)1)), BgL_bodyz00_10991); 
PROCEDURE_SET(BgL_mainz00_13192, 
(int)(((long)2)), BgL_runz00_13191); 
PROCEDURE_SET(BgL_mainz00_13192, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_10992)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13193;
BgL_objz00_13193 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13191, BgL_objz00_13193); BgL_objz00_13193; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3293z00_13194;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3294z00_13195;
BgL_arg3294z00_13195 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_10990))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13196;
BgL_newz00_13196 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24598;
BgL_tmpz00_24598 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13196, BgL_tmpz00_24598, BgL_arg3294z00_13195); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24603;int BgL_tmpz00_24601;
BgL_auxz00_24603 = 
BINT(BgL_siza7ezd2framez75_10992); 
BgL_tmpz00_24601 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13196, BgL_tmpz00_24601, BgL_auxz00_24603); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24606;
BgL_tmpz00_24606 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13196, BgL_tmpz00_24606, BgL_runz00_13191); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24611;int BgL_tmpz00_24609;
BgL_auxz00_24611 = 
BINT(((long)-2)); 
BgL_tmpz00_24609 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13196, BgL_tmpz00_24609, BgL_auxz00_24611); } 
BgL_arg3293z00_13194 = BgL_newz00_13196; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13192, BgL_arg3293z00_13194); BgL_arg3293z00_13194; } 
return BgL_mainz00_13192;} } } } } } 

}



/* &main4202 */
obj_t BGl_z62main4202z62zz__evaluate_compz00(obj_t BgL_envz00_10994, obj_t BgL_dz00_10999, obj_t BgL_lastz00_11000)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_10997;long BgL_siza7ezd2framez75_10998;
BgL_runz00_10997 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10994, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_10998 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10994, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13197;
BgL_sz00_13197 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13198;
BgL_bpz00_13198 = 
VECTOR_REF(
((obj_t)BgL_sz00_13197),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13197, BgL_bpz00_13198, 
BINT(BgL_siza7ezd2framez75_10998)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3297z00_13199;
BgL_arg3297z00_13199 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13197),BgL_arg3297z00_13199,BgL_dz00_10999); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3298z00_13200;
BgL_arg3298z00_13200 = 
(
(long)CINT(BgL_bpz00_13198)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13197),BgL_arg3298z00_13200,BgL_lastz00_11000); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13201;
BgL_ez00_13201 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13201, BgL_bpz00_13198); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13202;
BgL_accz00_13202 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10997, BgL_sz00_13197, BgL_bpz00_13198); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13201); 
VECTOR_SET(
((obj_t)BgL_sz00_13197),((long)0),BgL_bpz00_13198); 
return BgL_accz00_13202;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13203;
BgL_nsz00_13203 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13203,((long)1),BgL_sz00_13197); 
VECTOR_SET(BgL_nsz00_13203,((long)2),BgL_dz00_10999); 
VECTOR_SET(BgL_nsz00_13203,((long)3),BgL_lastz00_11000); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13204;
BgL_z12denvz12_13204 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13204, BgL_nsz00_13203); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13205;
BgL_ez00_13205 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13205, BgL_sz00_13197); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13206;
BgL_____rz00_13206 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_10997, BgL_nsz00_13203, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13205); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13204, BgL_sz00_13197); 
return BgL_____rz00_13206;} } } } } } } } 

}



/* &run4203 */
obj_t BGl_z62run4203z62zz__evaluate_compz00(obj_t BgL_envz00_11001, obj_t BgL_sz00_11004)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11002;obj_t BgL_bodyz00_11003;
BgL_i1244z00_11002 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11001, 
(int)(((long)0)))); 
BgL_bodyz00_11003 = 
PROCEDURE_REF(BgL_envz00_11001, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13207;
BgL_bpz00_13207 = 
VECTOR_REF(
((obj_t)BgL_sz00_11004),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13208;obj_t BgL_wherez00_13209;obj_t BgL_locz00_13210;
BgL_z12denvz12_13208 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13209 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11002))->BgL_wherez00); 
BgL_locz00_13210 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11002))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13208, BgL_wherez00_13209, BgL_locz00_13210); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13211;
BgL_za2za2resza2za2z00_13211 = 
PROCEDURE_ENTRY(BgL_bodyz00_11003)(BgL_bodyz00_11003, BgL_sz00_11004, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13208); 
return BgL_za2za2resza2za2z00_13211;} } } } } } 

}



/* &<@anonymous:3300> */
obj_t BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11005, obj_t BgL_sz00_11010)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11006;BgL_ev_absz00_bglt BgL_i1244z00_11007;obj_t BgL_bodyz00_11008;long BgL_siza7ezd2framez75_11009;
BgL_iboxesz00_11006 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)0)))); 
BgL_i1244z00_11007 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)1)))); 
BgL_bodyz00_11008 = 
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11009 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11005, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13212;
BgL_bpz00_13212 = 
VECTOR_REF(
((obj_t)BgL_sz00_11010),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13213;
BgL_runz00_13213 = 
MAKE_FX_PROCEDURE(BGl_z62run4205z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13213, 
(int)(((long)0)), BgL_iboxesz00_11006); 
PROCEDURE_SET(BgL_runz00_13213, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11007)); 
PROCEDURE_SET(BgL_runz00_13213, 
(int)(((long)2)), BgL_bodyz00_11008); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13214;
BgL_mainz00_13214 = 
MAKE_VA_PROCEDURE(BGl_z62main4204z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13214, 
(int)(((long)0)), BgL_iboxesz00_11006); 
PROCEDURE_SET(BgL_mainz00_13214, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11007)); 
PROCEDURE_SET(BgL_mainz00_13214, 
(int)(((long)2)), BgL_bodyz00_11008); 
PROCEDURE_SET(BgL_mainz00_13214, 
(int)(((long)3)), BgL_runz00_13213); 
PROCEDURE_SET(BgL_mainz00_13214, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11009)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13215;
BgL_objz00_13215 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13213, BgL_objz00_13215); BgL_objz00_13215; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3301z00_13216;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3302z00_13217;
BgL_arg3302z00_13217 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11007))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13218;
BgL_newz00_13218 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24711;
BgL_tmpz00_24711 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13218, BgL_tmpz00_24711, BgL_arg3302z00_13217); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24716;int BgL_tmpz00_24714;
BgL_auxz00_24716 = 
BINT(BgL_siza7ezd2framez75_11009); 
BgL_tmpz00_24714 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13218, BgL_tmpz00_24714, BgL_auxz00_24716); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24719;
BgL_tmpz00_24719 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13218, BgL_tmpz00_24719, BgL_runz00_13213); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24724;int BgL_tmpz00_24722;
BgL_auxz00_24724 = 
BINT(((long)-2)); 
BgL_tmpz00_24722 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13218, BgL_tmpz00_24722, BgL_auxz00_24724); } 
BgL_arg3301z00_13216 = BgL_newz00_13218; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13214, BgL_arg3301z00_13216); BgL_arg3301z00_13216; } 
return BgL_mainz00_13214;} } } } } } 

}



/* &main4204 */
obj_t BGl_z62main4204z62zz__evaluate_compz00(obj_t BgL_envz00_11011, obj_t BgL_dz00_11017, obj_t BgL_lastz00_11018)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11015;long BgL_siza7ezd2framez75_11016;
BgL_runz00_11015 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11011, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11016 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11011, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13219;
BgL_sz00_13219 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13220;
BgL_bpz00_13220 = 
VECTOR_REF(
((obj_t)BgL_sz00_13219),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13219, BgL_bpz00_13220, 
BINT(BgL_siza7ezd2framez75_11016)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3305z00_13221;
BgL_arg3305z00_13221 = 
(
(long)CINT(BgL_bpz00_13220)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13219),BgL_arg3305z00_13221,BgL_dz00_11017); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3306z00_13222;
BgL_arg3306z00_13222 = 
(
(long)CINT(BgL_bpz00_13220)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13219),BgL_arg3306z00_13222,BgL_lastz00_11018); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13223;
BgL_ez00_13223 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13223, BgL_bpz00_13220); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13224;
BgL_accz00_13224 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11015, BgL_sz00_13219, BgL_bpz00_13220); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13223); 
VECTOR_SET(
((obj_t)BgL_sz00_13219),((long)0),BgL_bpz00_13220); 
return BgL_accz00_13224;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13225;
BgL_nsz00_13225 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13225,((long)1),BgL_sz00_13219); 
VECTOR_SET(BgL_nsz00_13225,((long)2),BgL_dz00_11017); 
VECTOR_SET(BgL_nsz00_13225,((long)3),BgL_lastz00_11018); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13226;
BgL_z12denvz12_13226 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13226, BgL_nsz00_13225); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13227;
BgL_ez00_13227 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13227, BgL_sz00_13219); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13228;
BgL_____rz00_13228 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11015, BgL_nsz00_13225, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13227); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13226, BgL_sz00_13219); 
return BgL_____rz00_13228;} } } } } } } } 

}



/* &run4205 */
obj_t BGl_z62run4205z62zz__evaluate_compz00(obj_t BgL_envz00_11019, obj_t BgL_sz00_11023)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11020;BgL_ev_absz00_bglt BgL_i1244z00_11021;obj_t BgL_bodyz00_11022;
BgL_iboxesz00_11020 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11019, 
(int)(((long)0)))); 
BgL_i1244z00_11021 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11019, 
(int)(((long)1)))); 
BgL_bodyz00_11022 = 
PROCEDURE_REF(BgL_envz00_11019, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13229;
BgL_bpz00_13229 = 
VECTOR_REF(
((obj_t)BgL_sz00_11023),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11023, BgL_iboxesz00_11020, BgL_bpz00_13229); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13230;obj_t BgL_wherez00_13231;obj_t BgL_locz00_13232;
BgL_z12denvz12_13230 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13231 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11021))->BgL_wherez00); 
BgL_locz00_13232 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11021))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13230, BgL_wherez00_13231, BgL_locz00_13232); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13233;
BgL_za2za2resza2za2z00_13233 = 
PROCEDURE_ENTRY(BgL_bodyz00_11022)(BgL_bodyz00_11022, BgL_sz00_11023, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13230); 
return BgL_za2za2resza2za2z00_13233;} } } } } } 

}



/* &<@anonymous:3311> */
obj_t BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11024, obj_t BgL_sz00_11030)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11025;long BgL_siza7eza7_11026;BgL_ev_absz00_bglt BgL_i1244z00_11027;obj_t BgL_bodyz00_11028;long BgL_siza7ezd2framez75_11029;
BgL_ifreesz00_11025 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)0)))); 
BgL_siza7eza7_11026 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)1)))); 
BgL_i1244z00_11027 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)2)))); 
BgL_bodyz00_11028 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11029 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13234;
BgL_bpz00_13234 = 
VECTOR_REF(
((obj_t)BgL_sz00_11030),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13235;
BgL_valza2za2_13235 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11030, BgL_bpz00_13234, BgL_ifreesz00_11025); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13236;
BgL_runz00_13236 = 
MAKE_FX_PROCEDURE(BGl_z62run4207z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13236, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11026)); 
PROCEDURE_SET(BgL_runz00_13236, 
(int)(((long)1)), BgL_valza2za2_13235); 
PROCEDURE_SET(BgL_runz00_13236, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11027)); 
PROCEDURE_SET(BgL_runz00_13236, 
(int)(((long)3)), BgL_bodyz00_11028); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13237;
BgL_mainz00_13237 = 
MAKE_VA_PROCEDURE(BGl_z62main4206z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13237, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11026)); 
PROCEDURE_SET(BgL_mainz00_13237, 
(int)(((long)1)), BgL_valza2za2_13235); 
PROCEDURE_SET(BgL_mainz00_13237, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11027)); 
PROCEDURE_SET(BgL_mainz00_13237, 
(int)(((long)3)), BgL_bodyz00_11028); 
PROCEDURE_SET(BgL_mainz00_13237, 
(int)(((long)4)), BgL_runz00_13236); 
PROCEDURE_SET(BgL_mainz00_13237, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11029)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13238;
BgL_objz00_13238 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13236, BgL_objz00_13238); BgL_objz00_13238; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3312z00_13239;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3313z00_13240;
BgL_arg3313z00_13240 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11027))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13241;
BgL_newz00_13241 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24838;
BgL_tmpz00_24838 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13241, BgL_tmpz00_24838, BgL_arg3313z00_13240); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24843;int BgL_tmpz00_24841;
BgL_auxz00_24843 = 
BINT(BgL_siza7ezd2framez75_11029); 
BgL_tmpz00_24841 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13241, BgL_tmpz00_24841, BgL_auxz00_24843); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24846;
BgL_tmpz00_24846 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13241, BgL_tmpz00_24846, BgL_runz00_13236); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24851;int BgL_tmpz00_24849;
BgL_auxz00_24851 = 
BINT(((long)-2)); 
BgL_tmpz00_24849 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13241, BgL_tmpz00_24849, BgL_auxz00_24851); } 
BgL_arg3312z00_13239 = BgL_newz00_13241; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13237, BgL_arg3312z00_13239); BgL_arg3312z00_13239; } 
return BgL_mainz00_13237;} } } } } } 

}



/* &main4206 */
obj_t BGl_z62main4206z62zz__evaluate_compz00(obj_t BgL_envz00_11031, obj_t BgL_dz00_11038, obj_t BgL_lastz00_11039)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11036;long BgL_siza7ezd2framez75_11037;
BgL_runz00_11036 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11031, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11037 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11031, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13242;
BgL_sz00_13242 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13243;
BgL_bpz00_13243 = 
VECTOR_REF(
((obj_t)BgL_sz00_13242),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13242, BgL_bpz00_13243, 
BINT(BgL_siza7ezd2framez75_11037)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3316z00_13244;
BgL_arg3316z00_13244 = 
(
(long)CINT(BgL_bpz00_13243)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13242),BgL_arg3316z00_13244,BgL_dz00_11038); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3317z00_13245;
BgL_arg3317z00_13245 = 
(
(long)CINT(BgL_bpz00_13243)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13242),BgL_arg3317z00_13245,BgL_lastz00_11039); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13246;
BgL_ez00_13246 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13246, BgL_bpz00_13243); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13247;
BgL_accz00_13247 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11036, BgL_sz00_13242, BgL_bpz00_13243); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13246); 
VECTOR_SET(
((obj_t)BgL_sz00_13242),((long)0),BgL_bpz00_13243); 
return BgL_accz00_13247;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13248;
BgL_nsz00_13248 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13248,((long)1),BgL_sz00_13242); 
VECTOR_SET(BgL_nsz00_13248,((long)2),BgL_dz00_11038); 
VECTOR_SET(BgL_nsz00_13248,((long)3),BgL_lastz00_11039); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13249;
BgL_z12denvz12_13249 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13249, BgL_nsz00_13248); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13250;
BgL_ez00_13250 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13250, BgL_sz00_13242); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13251;
BgL_____rz00_13251 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11036, BgL_nsz00_13248, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13250); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13249, BgL_sz00_13242); 
return BgL_____rz00_13251;} } } } } } } } 

}



/* &run4207 */
obj_t BGl_z62run4207z62zz__evaluate_compz00(obj_t BgL_envz00_11040, obj_t BgL_sz00_11045)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11041;obj_t BgL_valza2za2_11042;BgL_ev_absz00_bglt BgL_i1244z00_11043;obj_t BgL_bodyz00_11044;
BgL_siza7eza7_11041 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)0)))); 
BgL_valza2za2_11042 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)1)))); 
BgL_i1244z00_11043 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)2)))); 
BgL_bodyz00_11044 = 
PROCEDURE_REF(BgL_envz00_11040, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13252;
BgL_bpz00_13252 = 
VECTOR_REF(
((obj_t)BgL_sz00_11045),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11045, BgL_valza2za2_11042, 
(
(long)CINT(BgL_bpz00_13252)+BgL_siza7eza7_11041)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13253;obj_t BgL_wherez00_13254;obj_t BgL_locz00_13255;
BgL_z12denvz12_13253 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13254 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11043))->BgL_wherez00); 
BgL_locz00_13255 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11043))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13253, BgL_wherez00_13254, BgL_locz00_13255); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13256;
BgL_za2za2resza2za2z00_13256 = 
PROCEDURE_ENTRY(BgL_bodyz00_11044)(BgL_bodyz00_11044, BgL_sz00_11045, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13253); 
return BgL_za2za2resza2za2z00_13256;} } } } } } 

}



/* &<@anonymous:3320> */
obj_t BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11046, obj_t BgL_sz00_11053)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11047;obj_t BgL_iboxesz00_11048;long BgL_siza7eza7_11049;BgL_ev_absz00_bglt BgL_i1244z00_11050;obj_t BgL_bodyz00_11051;long BgL_siza7ezd2framez75_11052;
BgL_ifreesz00_11047 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11046, 
(int)(((long)0)))); 
BgL_iboxesz00_11048 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11046, 
(int)(((long)1)))); 
BgL_siza7eza7_11049 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11046, 
(int)(((long)2)))); 
BgL_i1244z00_11050 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11046, 
(int)(((long)3)))); 
BgL_bodyz00_11051 = 
PROCEDURE_REF(BgL_envz00_11046, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11052 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11046, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13257;
BgL_bpz00_13257 = 
VECTOR_REF(
((obj_t)BgL_sz00_11053),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13258;
BgL_valza2za2_13258 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11053, BgL_bpz00_13257, BgL_ifreesz00_11047); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13259;
BgL_runz00_13259 = 
MAKE_FX_PROCEDURE(BGl_z62run4209z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13259, 
(int)(((long)0)), BgL_iboxesz00_11048); 
PROCEDURE_SET(BgL_runz00_13259, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11049)); 
PROCEDURE_SET(BgL_runz00_13259, 
(int)(((long)2)), BgL_valza2za2_13258); 
PROCEDURE_SET(BgL_runz00_13259, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11050)); 
PROCEDURE_SET(BgL_runz00_13259, 
(int)(((long)4)), BgL_bodyz00_11051); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13260;
BgL_mainz00_13260 = 
MAKE_VA_PROCEDURE(BGl_z62main4208z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)0)), BgL_iboxesz00_11048); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11049)); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)2)), BgL_valza2za2_13258); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11050)); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)4)), BgL_bodyz00_11051); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)5)), BgL_runz00_13259); 
PROCEDURE_SET(BgL_mainz00_13260, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11052)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13261;
BgL_objz00_13261 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13259, BgL_objz00_13261); BgL_objz00_13261; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3321z00_13262;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3322z00_13263;
BgL_arg3322z00_13263 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11050))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13264;
BgL_newz00_13264 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24977;
BgL_tmpz00_24977 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13264, BgL_tmpz00_24977, BgL_arg3322z00_13263); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24982;int BgL_tmpz00_24980;
BgL_auxz00_24982 = 
BINT(BgL_siza7ezd2framez75_11052); 
BgL_tmpz00_24980 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13264, BgL_tmpz00_24980, BgL_auxz00_24982); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24985;
BgL_tmpz00_24985 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13264, BgL_tmpz00_24985, BgL_runz00_13259); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24990;int BgL_tmpz00_24988;
BgL_auxz00_24990 = 
BINT(((long)-2)); 
BgL_tmpz00_24988 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13264, BgL_tmpz00_24988, BgL_auxz00_24990); } 
BgL_arg3321z00_13262 = BgL_newz00_13264; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13260, BgL_arg3321z00_13262); BgL_arg3321z00_13262; } 
return BgL_mainz00_13260;} } } } } } 

}



/* &main4208 */
obj_t BGl_z62main4208z62zz__evaluate_compz00(obj_t BgL_envz00_11054, obj_t BgL_dz00_11062, obj_t BgL_lastz00_11063)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11060;long BgL_siza7ezd2framez75_11061;
BgL_runz00_11060 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11061 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13265;
BgL_sz00_13265 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13266;
BgL_bpz00_13266 = 
VECTOR_REF(
((obj_t)BgL_sz00_13265),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13265, BgL_bpz00_13266, 
BINT(BgL_siza7ezd2framez75_11061)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3325z00_13267;
BgL_arg3325z00_13267 = 
(
(long)CINT(BgL_bpz00_13266)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13265),BgL_arg3325z00_13267,BgL_dz00_11062); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3326z00_13268;
BgL_arg3326z00_13268 = 
(
(long)CINT(BgL_bpz00_13266)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13265),BgL_arg3326z00_13268,BgL_lastz00_11063); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13269;
BgL_ez00_13269 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13269, BgL_bpz00_13266); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13270;
BgL_accz00_13270 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11060, BgL_sz00_13265, BgL_bpz00_13266); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13269); 
VECTOR_SET(
((obj_t)BgL_sz00_13265),((long)0),BgL_bpz00_13266); 
return BgL_accz00_13270;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13271;
BgL_nsz00_13271 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13271,((long)1),BgL_sz00_13265); 
VECTOR_SET(BgL_nsz00_13271,((long)2),BgL_dz00_11062); 
VECTOR_SET(BgL_nsz00_13271,((long)3),BgL_lastz00_11063); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13272;
BgL_z12denvz12_13272 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13272, BgL_nsz00_13271); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13273;
BgL_ez00_13273 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13273, BgL_sz00_13265); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13274;
BgL_____rz00_13274 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11060, BgL_nsz00_13271, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13273); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13272, BgL_sz00_13265); 
return BgL_____rz00_13274;} } } } } } } } 

}



/* &run4209 */
obj_t BGl_z62run4209z62zz__evaluate_compz00(obj_t BgL_envz00_11064, obj_t BgL_sz00_11070)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11065;long BgL_siza7eza7_11066;obj_t BgL_valza2za2_11067;BgL_ev_absz00_bglt BgL_i1244z00_11068;obj_t BgL_bodyz00_11069;
BgL_iboxesz00_11065 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11064, 
(int)(((long)0)))); 
BgL_siza7eza7_11066 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11064, 
(int)(((long)1)))); 
BgL_valza2za2_11067 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11064, 
(int)(((long)2)))); 
BgL_i1244z00_11068 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11064, 
(int)(((long)3)))); 
BgL_bodyz00_11069 = 
PROCEDURE_REF(BgL_envz00_11064, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13275;
BgL_bpz00_13275 = 
VECTOR_REF(
((obj_t)BgL_sz00_11070),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11070, BgL_iboxesz00_11065, BgL_bpz00_13275); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11070, BgL_valza2za2_11067, 
(
(long)CINT(BgL_bpz00_13275)+BgL_siza7eza7_11066)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13276;obj_t BgL_wherez00_13277;obj_t BgL_locz00_13278;
BgL_z12denvz12_13276 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13277 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11068))->BgL_wherez00); 
BgL_locz00_13278 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11068))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13276, BgL_wherez00_13277, BgL_locz00_13278); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13279;
BgL_za2za2resza2za2z00_13279 = 
PROCEDURE_ENTRY(BgL_bodyz00_11069)(BgL_bodyz00_11069, BgL_sz00_11070, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13276); 
return BgL_za2za2resza2za2z00_13279;} } } } } } 

}



/* &<@anonymous:3253> */
obj_t BGl_z62zc3z04anonymousza33253ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11071, obj_t BgL_sz00_11075)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11072;obj_t BgL_bodyz00_11073;long BgL_siza7ezd2framez75_11074;
BgL_i1244z00_11072 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11071, 
(int)(((long)0)))); 
BgL_bodyz00_11073 = 
PROCEDURE_REF(BgL_envz00_11071, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11074 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11071, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13280;
BgL_bpz00_13280 = 
VECTOR_REF(
((obj_t)BgL_sz00_11075),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13281;
BgL_runz00_13281 = 
MAKE_FX_PROCEDURE(BGl_z62run4211z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13281, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11072)); 
PROCEDURE_SET(BgL_runz00_13281, 
(int)(((long)1)), BgL_bodyz00_11073); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13282;
BgL_mainz00_13282 = 
MAKE_FX_PROCEDURE(BGl_z62main4210z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13282, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11072)); 
PROCEDURE_SET(BgL_mainz00_13282, 
(int)(((long)1)), BgL_bodyz00_11073); 
PROCEDURE_SET(BgL_mainz00_13282, 
(int)(((long)2)), BgL_runz00_13281); 
PROCEDURE_SET(BgL_mainz00_13282, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11074)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13283;
BgL_objz00_13283 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13281, BgL_objz00_13283); BgL_objz00_13283; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3254z00_13284;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3255z00_13285;
BgL_arg3255z00_13285 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11072))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13286;
BgL_newz00_13286 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25096;
BgL_tmpz00_25096 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13286, BgL_tmpz00_25096, BgL_arg3255z00_13285); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25101;int BgL_tmpz00_25099;
BgL_auxz00_25101 = 
BINT(BgL_siza7ezd2framez75_11074); 
BgL_tmpz00_25099 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13286, BgL_tmpz00_25099, BgL_auxz00_25101); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25104;
BgL_tmpz00_25104 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13286, BgL_tmpz00_25104, BgL_runz00_13281); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25109;int BgL_tmpz00_25107;
BgL_auxz00_25109 = 
BINT(((long)1)); 
BgL_tmpz00_25107 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13286, BgL_tmpz00_25107, BgL_auxz00_25109); } 
BgL_arg3254z00_13284 = BgL_newz00_13286; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13282, BgL_arg3254z00_13284); BgL_arg3254z00_13284; } 
return BgL_mainz00_13282;} } } } } } 

}



/* &main4210 */
obj_t BGl_z62main4210z62zz__evaluate_compz00(obj_t BgL_envz00_11076, obj_t BgL_dz00_11081)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11079;long BgL_siza7ezd2framez75_11080;
BgL_runz00_11079 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11076, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11080 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11076, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13287;
BgL_sz00_13287 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13288;
BgL_bpz00_13288 = 
VECTOR_REF(
((obj_t)BgL_sz00_13287),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13287, BgL_bpz00_13288, 
BINT(BgL_siza7ezd2framez75_11080)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3258z00_13289;
BgL_arg3258z00_13289 = 
(
(long)CINT(BgL_bpz00_13288)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13287),BgL_arg3258z00_13289,BgL_dz00_11081); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13290;
BgL_ez00_13290 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13290, BgL_bpz00_13288); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13291;
BgL_accz00_13291 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11079, BgL_sz00_13287, BgL_bpz00_13288); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13290); 
VECTOR_SET(
((obj_t)BgL_sz00_13287),((long)0),BgL_bpz00_13288); 
return BgL_accz00_13291;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13292;
BgL_nsz00_13292 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13292,((long)1),BgL_sz00_13287); 
VECTOR_SET(BgL_nsz00_13292,((long)2),BgL_dz00_11081); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13293;
BgL_z12denvz12_13293 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13293, BgL_nsz00_13292); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13294;
BgL_ez00_13294 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13294, BgL_sz00_13287); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13295;
BgL_____rz00_13295 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11079, BgL_nsz00_13292, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13294); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13293, BgL_sz00_13287); 
return BgL_____rz00_13295;} } } } } } } } 

}



/* &run4211 */
obj_t BGl_z62run4211z62zz__evaluate_compz00(obj_t BgL_envz00_11082, obj_t BgL_sz00_11085)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11083;obj_t BgL_bodyz00_11084;
BgL_i1244z00_11083 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11082, 
(int)(((long)0)))); 
BgL_bodyz00_11084 = 
PROCEDURE_REF(BgL_envz00_11082, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13296;
BgL_bpz00_13296 = 
VECTOR_REF(
((obj_t)BgL_sz00_11085),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13297;obj_t BgL_wherez00_13298;obj_t BgL_locz00_13299;
BgL_z12denvz12_13297 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13298 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11083))->BgL_wherez00); 
BgL_locz00_13299 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11083))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13297, BgL_wherez00_13298, BgL_locz00_13299); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13300;
BgL_za2za2resza2za2z00_13300 = 
PROCEDURE_ENTRY(BgL_bodyz00_11084)(BgL_bodyz00_11084, BgL_sz00_11085, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13297); 
return BgL_za2za2resza2za2z00_13300;} } } } } } 

}



/* &<@anonymous:3260> */
obj_t BGl_z62zc3z04anonymousza33260ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11086, obj_t BgL_sz00_11091)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11087;BgL_ev_absz00_bglt BgL_i1244z00_11088;obj_t BgL_bodyz00_11089;long BgL_siza7ezd2framez75_11090;
BgL_iboxesz00_11087 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11086, 
(int)(((long)0)))); 
BgL_i1244z00_11088 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11086, 
(int)(((long)1)))); 
BgL_bodyz00_11089 = 
PROCEDURE_REF(BgL_envz00_11086, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11090 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11086, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13301;
BgL_bpz00_13301 = 
VECTOR_REF(
((obj_t)BgL_sz00_11091),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13302;
BgL_runz00_13302 = 
MAKE_FX_PROCEDURE(BGl_z62run4213z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13302, 
(int)(((long)0)), BgL_iboxesz00_11087); 
PROCEDURE_SET(BgL_runz00_13302, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11088)); 
PROCEDURE_SET(BgL_runz00_13302, 
(int)(((long)2)), BgL_bodyz00_11089); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13303;
BgL_mainz00_13303 = 
MAKE_FX_PROCEDURE(BGl_z62main4212z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13303, 
(int)(((long)0)), BgL_iboxesz00_11087); 
PROCEDURE_SET(BgL_mainz00_13303, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11088)); 
PROCEDURE_SET(BgL_mainz00_13303, 
(int)(((long)2)), BgL_bodyz00_11089); 
PROCEDURE_SET(BgL_mainz00_13303, 
(int)(((long)3)), BgL_runz00_13302); 
PROCEDURE_SET(BgL_mainz00_13303, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11090)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13304;
BgL_objz00_13304 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13302, BgL_objz00_13304); BgL_objz00_13304; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3261z00_13305;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3262z00_13306;
BgL_arg3262z00_13306 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11088))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13307;
BgL_newz00_13307 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25204;
BgL_tmpz00_25204 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13307, BgL_tmpz00_25204, BgL_arg3262z00_13306); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25209;int BgL_tmpz00_25207;
BgL_auxz00_25209 = 
BINT(BgL_siza7ezd2framez75_11090); 
BgL_tmpz00_25207 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13307, BgL_tmpz00_25207, BgL_auxz00_25209); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25212;
BgL_tmpz00_25212 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13307, BgL_tmpz00_25212, BgL_runz00_13302); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25217;int BgL_tmpz00_25215;
BgL_auxz00_25217 = 
BINT(((long)1)); 
BgL_tmpz00_25215 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13307, BgL_tmpz00_25215, BgL_auxz00_25217); } 
BgL_arg3261z00_13305 = BgL_newz00_13307; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13303, BgL_arg3261z00_13305); BgL_arg3261z00_13305; } 
return BgL_mainz00_13303;} } } } } } 

}



/* &main4212 */
obj_t BGl_z62main4212z62zz__evaluate_compz00(obj_t BgL_envz00_11092, obj_t BgL_dz00_11098)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11096;long BgL_siza7ezd2framez75_11097;
BgL_runz00_11096 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11092, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11097 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11092, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13308;
BgL_sz00_13308 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13309;
BgL_bpz00_13309 = 
VECTOR_REF(
((obj_t)BgL_sz00_13308),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13308, BgL_bpz00_13309, 
BINT(BgL_siza7ezd2framez75_11097)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3265z00_13310;
BgL_arg3265z00_13310 = 
(
(long)CINT(BgL_bpz00_13309)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13308),BgL_arg3265z00_13310,BgL_dz00_11098); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13311;
BgL_ez00_13311 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13311, BgL_bpz00_13309); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13312;
BgL_accz00_13312 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11096, BgL_sz00_13308, BgL_bpz00_13309); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13311); 
VECTOR_SET(
((obj_t)BgL_sz00_13308),((long)0),BgL_bpz00_13309); 
return BgL_accz00_13312;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13313;
BgL_nsz00_13313 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13313,((long)1),BgL_sz00_13308); 
VECTOR_SET(BgL_nsz00_13313,((long)2),BgL_dz00_11098); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13314;
BgL_z12denvz12_13314 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13314, BgL_nsz00_13313); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13315;
BgL_ez00_13315 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13315, BgL_sz00_13308); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13316;
BgL_____rz00_13316 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11096, BgL_nsz00_13313, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13315); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13314, BgL_sz00_13308); 
return BgL_____rz00_13316;} } } } } } } } 

}



/* &run4213 */
obj_t BGl_z62run4213z62zz__evaluate_compz00(obj_t BgL_envz00_11099, obj_t BgL_sz00_11103)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11100;BgL_ev_absz00_bglt BgL_i1244z00_11101;obj_t BgL_bodyz00_11102;
BgL_iboxesz00_11100 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11099, 
(int)(((long)0)))); 
BgL_i1244z00_11101 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11099, 
(int)(((long)1)))); 
BgL_bodyz00_11102 = 
PROCEDURE_REF(BgL_envz00_11099, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13317;
BgL_bpz00_13317 = 
VECTOR_REF(
((obj_t)BgL_sz00_11103),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11103, BgL_iboxesz00_11100, BgL_bpz00_13317); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13318;obj_t BgL_wherez00_13319;obj_t BgL_locz00_13320;
BgL_z12denvz12_13318 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13319 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11101))->BgL_wherez00); 
BgL_locz00_13320 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11101))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13318, BgL_wherez00_13319, BgL_locz00_13320); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13321;
BgL_za2za2resza2za2z00_13321 = 
PROCEDURE_ENTRY(BgL_bodyz00_11102)(BgL_bodyz00_11102, BgL_sz00_11103, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13318); 
return BgL_za2za2resza2za2z00_13321;} } } } } } 

}



/* &<@anonymous:3270> */
obj_t BGl_z62zc3z04anonymousza33270ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11104, obj_t BgL_sz00_11110)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11105;long BgL_siza7eza7_11106;BgL_ev_absz00_bglt BgL_i1244z00_11107;obj_t BgL_bodyz00_11108;long BgL_siza7ezd2framez75_11109;
BgL_ifreesz00_11105 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11104, 
(int)(((long)0)))); 
BgL_siza7eza7_11106 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11104, 
(int)(((long)1)))); 
BgL_i1244z00_11107 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11104, 
(int)(((long)2)))); 
BgL_bodyz00_11108 = 
PROCEDURE_REF(BgL_envz00_11104, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11109 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11104, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13322;
BgL_bpz00_13322 = 
VECTOR_REF(
((obj_t)BgL_sz00_11110),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13323;
BgL_valza2za2_13323 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11110, BgL_bpz00_13322, BgL_ifreesz00_11105); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13324;
BgL_runz00_13324 = 
MAKE_FX_PROCEDURE(BGl_z62run4215z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13324, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11106)); 
PROCEDURE_SET(BgL_runz00_13324, 
(int)(((long)1)), BgL_valza2za2_13323); 
PROCEDURE_SET(BgL_runz00_13324, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11107)); 
PROCEDURE_SET(BgL_runz00_13324, 
(int)(((long)3)), BgL_bodyz00_11108); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13325;
BgL_mainz00_13325 = 
MAKE_FX_PROCEDURE(BGl_z62main4214z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13325, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11106)); 
PROCEDURE_SET(BgL_mainz00_13325, 
(int)(((long)1)), BgL_valza2za2_13323); 
PROCEDURE_SET(BgL_mainz00_13325, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11107)); 
PROCEDURE_SET(BgL_mainz00_13325, 
(int)(((long)3)), BgL_bodyz00_11108); 
PROCEDURE_SET(BgL_mainz00_13325, 
(int)(((long)4)), BgL_runz00_13324); 
PROCEDURE_SET(BgL_mainz00_13325, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11109)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13326;
BgL_objz00_13326 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13324, BgL_objz00_13326); BgL_objz00_13326; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3271z00_13327;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3272z00_13328;
BgL_arg3272z00_13328 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11107))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13329;
BgL_newz00_13329 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25326;
BgL_tmpz00_25326 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13329, BgL_tmpz00_25326, BgL_arg3272z00_13328); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25331;int BgL_tmpz00_25329;
BgL_auxz00_25331 = 
BINT(BgL_siza7ezd2framez75_11109); 
BgL_tmpz00_25329 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13329, BgL_tmpz00_25329, BgL_auxz00_25331); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25334;
BgL_tmpz00_25334 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13329, BgL_tmpz00_25334, BgL_runz00_13324); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25339;int BgL_tmpz00_25337;
BgL_auxz00_25339 = 
BINT(((long)1)); 
BgL_tmpz00_25337 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13329, BgL_tmpz00_25337, BgL_auxz00_25339); } 
BgL_arg3271z00_13327 = BgL_newz00_13329; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13325, BgL_arg3271z00_13327); BgL_arg3271z00_13327; } 
return BgL_mainz00_13325;} } } } } } 

}



/* &main4214 */
obj_t BGl_z62main4214z62zz__evaluate_compz00(obj_t BgL_envz00_11111, obj_t BgL_dz00_11118)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11116;long BgL_siza7ezd2framez75_11117;
BgL_runz00_11116 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11111, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11117 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11111, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13330;
BgL_sz00_13330 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13331;
BgL_bpz00_13331 = 
VECTOR_REF(
((obj_t)BgL_sz00_13330),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13330, BgL_bpz00_13331, 
BINT(BgL_siza7ezd2framez75_11117)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3275z00_13332;
BgL_arg3275z00_13332 = 
(
(long)CINT(BgL_bpz00_13331)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13330),BgL_arg3275z00_13332,BgL_dz00_11118); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13333;
BgL_ez00_13333 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13333, BgL_bpz00_13331); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13334;
BgL_accz00_13334 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11116, BgL_sz00_13330, BgL_bpz00_13331); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13333); 
VECTOR_SET(
((obj_t)BgL_sz00_13330),((long)0),BgL_bpz00_13331); 
return BgL_accz00_13334;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13335;
BgL_nsz00_13335 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13335,((long)1),BgL_sz00_13330); 
VECTOR_SET(BgL_nsz00_13335,((long)2),BgL_dz00_11118); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13336;
BgL_z12denvz12_13336 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13336, BgL_nsz00_13335); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13337;
BgL_ez00_13337 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13337, BgL_sz00_13330); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13338;
BgL_____rz00_13338 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11116, BgL_nsz00_13335, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13337); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13336, BgL_sz00_13330); 
return BgL_____rz00_13338;} } } } } } } } 

}



/* &run4215 */
obj_t BGl_z62run4215z62zz__evaluate_compz00(obj_t BgL_envz00_11119, obj_t BgL_sz00_11124)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11120;obj_t BgL_valza2za2_11121;BgL_ev_absz00_bglt BgL_i1244z00_11122;obj_t BgL_bodyz00_11123;
BgL_siza7eza7_11120 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11119, 
(int)(((long)0)))); 
BgL_valza2za2_11121 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11119, 
(int)(((long)1)))); 
BgL_i1244z00_11122 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11119, 
(int)(((long)2)))); 
BgL_bodyz00_11123 = 
PROCEDURE_REF(BgL_envz00_11119, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13339;
BgL_bpz00_13339 = 
VECTOR_REF(
((obj_t)BgL_sz00_11124),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11124, BgL_valza2za2_11121, 
(
(long)CINT(BgL_bpz00_13339)+BgL_siza7eza7_11120)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13340;obj_t BgL_wherez00_13341;obj_t BgL_locz00_13342;
BgL_z12denvz12_13340 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13341 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11122))->BgL_wherez00); 
BgL_locz00_13342 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11122))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13340, BgL_wherez00_13341, BgL_locz00_13342); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13343;
BgL_za2za2resza2za2z00_13343 = 
PROCEDURE_ENTRY(BgL_bodyz00_11123)(BgL_bodyz00_11123, BgL_sz00_11124, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13340); 
return BgL_za2za2resza2za2z00_13343;} } } } } } 

}



/* &<@anonymous:3278> */
obj_t BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11125, obj_t BgL_sz00_11132)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11126;obj_t BgL_iboxesz00_11127;long BgL_siza7eza7_11128;BgL_ev_absz00_bglt BgL_i1244z00_11129;obj_t BgL_bodyz00_11130;long BgL_siza7ezd2framez75_11131;
BgL_ifreesz00_11126 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11125, 
(int)(((long)0)))); 
BgL_iboxesz00_11127 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11125, 
(int)(((long)1)))); 
BgL_siza7eza7_11128 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11125, 
(int)(((long)2)))); 
BgL_i1244z00_11129 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11125, 
(int)(((long)3)))); 
BgL_bodyz00_11130 = 
PROCEDURE_REF(BgL_envz00_11125, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11131 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11125, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13344;
BgL_bpz00_13344 = 
VECTOR_REF(
((obj_t)BgL_sz00_11132),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13345;
BgL_valza2za2_13345 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11132, BgL_bpz00_13344, BgL_ifreesz00_11126); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13346;
BgL_runz00_13346 = 
MAKE_FX_PROCEDURE(BGl_z62run4217z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13346, 
(int)(((long)0)), BgL_iboxesz00_11127); 
PROCEDURE_SET(BgL_runz00_13346, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11128)); 
PROCEDURE_SET(BgL_runz00_13346, 
(int)(((long)2)), BgL_valza2za2_13345); 
PROCEDURE_SET(BgL_runz00_13346, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11129)); 
PROCEDURE_SET(BgL_runz00_13346, 
(int)(((long)4)), BgL_bodyz00_11130); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13347;
BgL_mainz00_13347 = 
MAKE_FX_PROCEDURE(BGl_z62main4216z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)0)), BgL_iboxesz00_11127); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11128)); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)2)), BgL_valza2za2_13345); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11129)); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)4)), BgL_bodyz00_11130); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)5)), BgL_runz00_13346); 
PROCEDURE_SET(BgL_mainz00_13347, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11131)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13348;
BgL_objz00_13348 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13346, BgL_objz00_13348); BgL_objz00_13348; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3279z00_13349;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3280z00_13350;
BgL_arg3280z00_13350 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11129))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13351;
BgL_newz00_13351 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25460;
BgL_tmpz00_25460 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13351, BgL_tmpz00_25460, BgL_arg3280z00_13350); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25465;int BgL_tmpz00_25463;
BgL_auxz00_25465 = 
BINT(BgL_siza7ezd2framez75_11131); 
BgL_tmpz00_25463 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13351, BgL_tmpz00_25463, BgL_auxz00_25465); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25468;
BgL_tmpz00_25468 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13351, BgL_tmpz00_25468, BgL_runz00_13346); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25473;int BgL_tmpz00_25471;
BgL_auxz00_25473 = 
BINT(((long)1)); 
BgL_tmpz00_25471 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13351, BgL_tmpz00_25471, BgL_auxz00_25473); } 
BgL_arg3279z00_13349 = BgL_newz00_13351; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13347, BgL_arg3279z00_13349); BgL_arg3279z00_13349; } 
return BgL_mainz00_13347;} } } } } } 

}



/* &main4216 */
obj_t BGl_z62main4216z62zz__evaluate_compz00(obj_t BgL_envz00_11133, obj_t BgL_dz00_11141)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11139;long BgL_siza7ezd2framez75_11140;
BgL_runz00_11139 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11133, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11140 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11133, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13352;
BgL_sz00_13352 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13353;
BgL_bpz00_13353 = 
VECTOR_REF(
((obj_t)BgL_sz00_13352),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13352, BgL_bpz00_13353, 
BINT(BgL_siza7ezd2framez75_11140)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3283z00_13354;
BgL_arg3283z00_13354 = 
(
(long)CINT(BgL_bpz00_13353)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13352),BgL_arg3283z00_13354,BgL_dz00_11141); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13355;
BgL_ez00_13355 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13355, BgL_bpz00_13353); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13356;
BgL_accz00_13356 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11139, BgL_sz00_13352, BgL_bpz00_13353); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13355); 
VECTOR_SET(
((obj_t)BgL_sz00_13352),((long)0),BgL_bpz00_13353); 
return BgL_accz00_13356;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13357;
BgL_nsz00_13357 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13357,((long)1),BgL_sz00_13352); 
VECTOR_SET(BgL_nsz00_13357,((long)2),BgL_dz00_11141); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13358;
BgL_z12denvz12_13358 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13358, BgL_nsz00_13357); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13359;
BgL_ez00_13359 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13359, BgL_sz00_13352); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13360;
BgL_____rz00_13360 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11139, BgL_nsz00_13357, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13359); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13358, BgL_sz00_13352); 
return BgL_____rz00_13360;} } } } } } } } 

}



/* &run4217 */
obj_t BGl_z62run4217z62zz__evaluate_compz00(obj_t BgL_envz00_11142, obj_t BgL_sz00_11148)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11143;long BgL_siza7eza7_11144;obj_t BgL_valza2za2_11145;BgL_ev_absz00_bglt BgL_i1244z00_11146;obj_t BgL_bodyz00_11147;
BgL_iboxesz00_11143 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11142, 
(int)(((long)0)))); 
BgL_siza7eza7_11144 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11142, 
(int)(((long)1)))); 
BgL_valza2za2_11145 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11142, 
(int)(((long)2)))); 
BgL_i1244z00_11146 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11142, 
(int)(((long)3)))); 
BgL_bodyz00_11147 = 
PROCEDURE_REF(BgL_envz00_11142, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13361;
BgL_bpz00_13361 = 
VECTOR_REF(
((obj_t)BgL_sz00_11148),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11148, BgL_iboxesz00_11143, BgL_bpz00_13361); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11148, BgL_valza2za2_11145, 
(
(long)CINT(BgL_bpz00_13361)+BgL_siza7eza7_11144)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13362;obj_t BgL_wherez00_13363;obj_t BgL_locz00_13364;
BgL_z12denvz12_13362 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13363 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11146))->BgL_wherez00); 
BgL_locz00_13364 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11146))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13362, BgL_wherez00_13363, BgL_locz00_13364); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13365;
BgL_za2za2resza2za2z00_13365 = 
PROCEDURE_ENTRY(BgL_bodyz00_11147)(BgL_bodyz00_11147, BgL_sz00_11148, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13362); 
return BgL_za2za2resza2za2z00_13365;} } } } } } 

}



/* &<@anonymous:3214> */
obj_t BGl_z62zc3z04anonymousza33214ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11149, obj_t BgL_sz00_11153)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11150;obj_t BgL_bodyz00_11151;long BgL_siza7ezd2framez75_11152;
BgL_i1244z00_11150 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11149, 
(int)(((long)0)))); 
BgL_bodyz00_11151 = 
PROCEDURE_REF(BgL_envz00_11149, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11152 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11149, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13366;
BgL_bpz00_13366 = 
VECTOR_REF(
((obj_t)BgL_sz00_11153),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13367;
BgL_runz00_13367 = 
MAKE_FX_PROCEDURE(BGl_z62run4219z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13367, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11150)); 
PROCEDURE_SET(BgL_runz00_13367, 
(int)(((long)1)), BgL_bodyz00_11151); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13368;
BgL_mainz00_13368 = 
MAKE_VA_PROCEDURE(BGl_z62main4218z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13368, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11150)); 
PROCEDURE_SET(BgL_mainz00_13368, 
(int)(((long)1)), BgL_bodyz00_11151); 
PROCEDURE_SET(BgL_mainz00_13368, 
(int)(((long)2)), BgL_runz00_13367); 
PROCEDURE_SET(BgL_mainz00_13368, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11152)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13369;
BgL_objz00_13369 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13367, BgL_objz00_13369); BgL_objz00_13369; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3215z00_13370;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3216z00_13371;
BgL_arg3216z00_13371 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11150))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13372;
BgL_newz00_13372 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25574;
BgL_tmpz00_25574 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13372, BgL_tmpz00_25574, BgL_arg3216z00_13371); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25579;int BgL_tmpz00_25577;
BgL_auxz00_25579 = 
BINT(BgL_siza7ezd2framez75_11152); 
BgL_tmpz00_25577 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13372, BgL_tmpz00_25577, BgL_auxz00_25579); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25582;
BgL_tmpz00_25582 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13372, BgL_tmpz00_25582, BgL_runz00_13367); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25587;int BgL_tmpz00_25585;
BgL_auxz00_25587 = 
BINT(((long)-1)); 
BgL_tmpz00_25585 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13372, BgL_tmpz00_25585, BgL_auxz00_25587); } 
BgL_arg3215z00_13370 = BgL_newz00_13372; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13368, BgL_arg3215z00_13370); BgL_arg3215z00_13370; } 
return BgL_mainz00_13368;} } } } } } 

}



/* &main4218 */
obj_t BGl_z62main4218z62zz__evaluate_compz00(obj_t BgL_envz00_11154, obj_t BgL_lastz00_11159)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11157;long BgL_siza7ezd2framez75_11158;
BgL_runz00_11157 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11154, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11158 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11154, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13373;
BgL_sz00_13373 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13374;
BgL_bpz00_13374 = 
VECTOR_REF(
((obj_t)BgL_sz00_13373),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13373, BgL_bpz00_13374, 
BINT(BgL_siza7ezd2framez75_11158)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3219z00_13375;
BgL_arg3219z00_13375 = 
(
(long)CINT(BgL_bpz00_13374)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13373),BgL_arg3219z00_13375,BgL_lastz00_11159); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13376;
BgL_ez00_13376 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13376, BgL_bpz00_13374); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13377;
BgL_accz00_13377 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11157, BgL_sz00_13373, BgL_bpz00_13374); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13376); 
VECTOR_SET(
((obj_t)BgL_sz00_13373),((long)0),BgL_bpz00_13374); 
return BgL_accz00_13377;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13378;
BgL_nsz00_13378 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13378,((long)1),BgL_sz00_13373); 
VECTOR_SET(BgL_nsz00_13378,((long)2),BgL_lastz00_11159); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13379;
BgL_z12denvz12_13379 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13379, BgL_nsz00_13378); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13380;
BgL_ez00_13380 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13380, BgL_sz00_13373); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13381;
BgL_____rz00_13381 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11157, BgL_nsz00_13378, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13380); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13379, BgL_sz00_13373); 
return BgL_____rz00_13381;} } } } } } } } 

}



/* &run4219 */
obj_t BGl_z62run4219z62zz__evaluate_compz00(obj_t BgL_envz00_11160, obj_t BgL_sz00_11163)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11161;obj_t BgL_bodyz00_11162;
BgL_i1244z00_11161 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11160, 
(int)(((long)0)))); 
BgL_bodyz00_11162 = 
PROCEDURE_REF(BgL_envz00_11160, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13382;
BgL_bpz00_13382 = 
VECTOR_REF(
((obj_t)BgL_sz00_11163),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13383;obj_t BgL_wherez00_13384;obj_t BgL_locz00_13385;
BgL_z12denvz12_13383 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13384 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11161))->BgL_wherez00); 
BgL_locz00_13385 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11161))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13383, BgL_wherez00_13384, BgL_locz00_13385); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13386;
BgL_za2za2resza2za2z00_13386 = 
PROCEDURE_ENTRY(BgL_bodyz00_11162)(BgL_bodyz00_11162, BgL_sz00_11163, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13383); 
return BgL_za2za2resza2za2z00_13386;} } } } } } 

}



/* &<@anonymous:3221> */
obj_t BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11164, obj_t BgL_sz00_11169)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11165;BgL_ev_absz00_bglt BgL_i1244z00_11166;obj_t BgL_bodyz00_11167;long BgL_siza7ezd2framez75_11168;
BgL_iboxesz00_11165 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11164, 
(int)(((long)0)))); 
BgL_i1244z00_11166 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11164, 
(int)(((long)1)))); 
BgL_bodyz00_11167 = 
PROCEDURE_REF(BgL_envz00_11164, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11168 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11164, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13387;
BgL_bpz00_13387 = 
VECTOR_REF(
((obj_t)BgL_sz00_11169),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13388;
BgL_runz00_13388 = 
MAKE_FX_PROCEDURE(BGl_z62run4221z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13388, 
(int)(((long)0)), BgL_iboxesz00_11165); 
PROCEDURE_SET(BgL_runz00_13388, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11166)); 
PROCEDURE_SET(BgL_runz00_13388, 
(int)(((long)2)), BgL_bodyz00_11167); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13389;
BgL_mainz00_13389 = 
MAKE_VA_PROCEDURE(BGl_z62main4220z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13389, 
(int)(((long)0)), BgL_iboxesz00_11165); 
PROCEDURE_SET(BgL_mainz00_13389, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11166)); 
PROCEDURE_SET(BgL_mainz00_13389, 
(int)(((long)2)), BgL_bodyz00_11167); 
PROCEDURE_SET(BgL_mainz00_13389, 
(int)(((long)3)), BgL_runz00_13388); 
PROCEDURE_SET(BgL_mainz00_13389, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11168)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13390;
BgL_objz00_13390 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13388, BgL_objz00_13390); BgL_objz00_13390; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3222z00_13391;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3223z00_13392;
BgL_arg3223z00_13392 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11166))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13393;
BgL_newz00_13393 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25682;
BgL_tmpz00_25682 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13393, BgL_tmpz00_25682, BgL_arg3223z00_13392); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25687;int BgL_tmpz00_25685;
BgL_auxz00_25687 = 
BINT(BgL_siza7ezd2framez75_11168); 
BgL_tmpz00_25685 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13393, BgL_tmpz00_25685, BgL_auxz00_25687); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25690;
BgL_tmpz00_25690 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13393, BgL_tmpz00_25690, BgL_runz00_13388); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25695;int BgL_tmpz00_25693;
BgL_auxz00_25695 = 
BINT(((long)-1)); 
BgL_tmpz00_25693 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13393, BgL_tmpz00_25693, BgL_auxz00_25695); } 
BgL_arg3222z00_13391 = BgL_newz00_13393; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13389, BgL_arg3222z00_13391); BgL_arg3222z00_13391; } 
return BgL_mainz00_13389;} } } } } } 

}



/* &main4220 */
obj_t BGl_z62main4220z62zz__evaluate_compz00(obj_t BgL_envz00_11170, obj_t BgL_lastz00_11176)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11174;long BgL_siza7ezd2framez75_11175;
BgL_runz00_11174 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11170, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11175 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11170, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13394;
BgL_sz00_13394 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13395;
BgL_bpz00_13395 = 
VECTOR_REF(
((obj_t)BgL_sz00_13394),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13394, BgL_bpz00_13395, 
BINT(BgL_siza7ezd2framez75_11175)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3226z00_13396;
BgL_arg3226z00_13396 = 
(
(long)CINT(BgL_bpz00_13395)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13394),BgL_arg3226z00_13396,BgL_lastz00_11176); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13397;
BgL_ez00_13397 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13397, BgL_bpz00_13395); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13398;
BgL_accz00_13398 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11174, BgL_sz00_13394, BgL_bpz00_13395); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13397); 
VECTOR_SET(
((obj_t)BgL_sz00_13394),((long)0),BgL_bpz00_13395); 
return BgL_accz00_13398;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13399;
BgL_nsz00_13399 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13399,((long)1),BgL_sz00_13394); 
VECTOR_SET(BgL_nsz00_13399,((long)2),BgL_lastz00_11176); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13400;
BgL_z12denvz12_13400 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13400, BgL_nsz00_13399); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13401;
BgL_ez00_13401 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13401, BgL_sz00_13394); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13402;
BgL_____rz00_13402 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11174, BgL_nsz00_13399, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13401); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13400, BgL_sz00_13394); 
return BgL_____rz00_13402;} } } } } } } } 

}



/* &run4221 */
obj_t BGl_z62run4221z62zz__evaluate_compz00(obj_t BgL_envz00_11177, obj_t BgL_sz00_11181)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11178;BgL_ev_absz00_bglt BgL_i1244z00_11179;obj_t BgL_bodyz00_11180;
BgL_iboxesz00_11178 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11177, 
(int)(((long)0)))); 
BgL_i1244z00_11179 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11177, 
(int)(((long)1)))); 
BgL_bodyz00_11180 = 
PROCEDURE_REF(BgL_envz00_11177, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13403;
BgL_bpz00_13403 = 
VECTOR_REF(
((obj_t)BgL_sz00_11181),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11181, BgL_iboxesz00_11178, BgL_bpz00_13403); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13404;obj_t BgL_wherez00_13405;obj_t BgL_locz00_13406;
BgL_z12denvz12_13404 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13405 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11179))->BgL_wherez00); 
BgL_locz00_13406 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11179))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13404, BgL_wherez00_13405, BgL_locz00_13406); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13407;
BgL_za2za2resza2za2z00_13407 = 
PROCEDURE_ENTRY(BgL_bodyz00_11180)(BgL_bodyz00_11180, BgL_sz00_11181, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13404); 
return BgL_za2za2resza2za2z00_13407;} } } } } } 

}



/* &<@anonymous:3231> */
obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11182, obj_t BgL_sz00_11188)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11183;long BgL_siza7eza7_11184;BgL_ev_absz00_bglt BgL_i1244z00_11185;obj_t BgL_bodyz00_11186;long BgL_siza7ezd2framez75_11187;
BgL_ifreesz00_11183 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11182, 
(int)(((long)0)))); 
BgL_siza7eza7_11184 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11182, 
(int)(((long)1)))); 
BgL_i1244z00_11185 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11182, 
(int)(((long)2)))); 
BgL_bodyz00_11186 = 
PROCEDURE_REF(BgL_envz00_11182, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11187 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11182, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13408;
BgL_bpz00_13408 = 
VECTOR_REF(
((obj_t)BgL_sz00_11188),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13409;
BgL_valza2za2_13409 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11188, BgL_bpz00_13408, BgL_ifreesz00_11183); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13410;
BgL_runz00_13410 = 
MAKE_FX_PROCEDURE(BGl_z62run4223z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13410, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11184)); 
PROCEDURE_SET(BgL_runz00_13410, 
(int)(((long)1)), BgL_valza2za2_13409); 
PROCEDURE_SET(BgL_runz00_13410, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11185)); 
PROCEDURE_SET(BgL_runz00_13410, 
(int)(((long)3)), BgL_bodyz00_11186); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13411;
BgL_mainz00_13411 = 
MAKE_VA_PROCEDURE(BGl_z62main4222z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13411, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11184)); 
PROCEDURE_SET(BgL_mainz00_13411, 
(int)(((long)1)), BgL_valza2za2_13409); 
PROCEDURE_SET(BgL_mainz00_13411, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11185)); 
PROCEDURE_SET(BgL_mainz00_13411, 
(int)(((long)3)), BgL_bodyz00_11186); 
PROCEDURE_SET(BgL_mainz00_13411, 
(int)(((long)4)), BgL_runz00_13410); 
PROCEDURE_SET(BgL_mainz00_13411, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11187)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13412;
BgL_objz00_13412 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13410, BgL_objz00_13412); BgL_objz00_13412; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3232z00_13413;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3233z00_13414;
BgL_arg3233z00_13414 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11185))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13415;
BgL_newz00_13415 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25804;
BgL_tmpz00_25804 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13415, BgL_tmpz00_25804, BgL_arg3233z00_13414); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25809;int BgL_tmpz00_25807;
BgL_auxz00_25809 = 
BINT(BgL_siza7ezd2framez75_11187); 
BgL_tmpz00_25807 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13415, BgL_tmpz00_25807, BgL_auxz00_25809); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25812;
BgL_tmpz00_25812 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13415, BgL_tmpz00_25812, BgL_runz00_13410); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25817;int BgL_tmpz00_25815;
BgL_auxz00_25817 = 
BINT(((long)-1)); 
BgL_tmpz00_25815 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13415, BgL_tmpz00_25815, BgL_auxz00_25817); } 
BgL_arg3232z00_13413 = BgL_newz00_13415; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13411, BgL_arg3232z00_13413); BgL_arg3232z00_13413; } 
return BgL_mainz00_13411;} } } } } } 

}



/* &main4222 */
obj_t BGl_z62main4222z62zz__evaluate_compz00(obj_t BgL_envz00_11189, obj_t BgL_lastz00_11196)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11194;long BgL_siza7ezd2framez75_11195;
BgL_runz00_11194 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11195 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13416;
BgL_sz00_13416 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13417;
BgL_bpz00_13417 = 
VECTOR_REF(
((obj_t)BgL_sz00_13416),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13416, BgL_bpz00_13417, 
BINT(BgL_siza7ezd2framez75_11195)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3236z00_13418;
BgL_arg3236z00_13418 = 
(
(long)CINT(BgL_bpz00_13417)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13416),BgL_arg3236z00_13418,BgL_lastz00_11196); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13419;
BgL_ez00_13419 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13419, BgL_bpz00_13417); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13420;
BgL_accz00_13420 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11194, BgL_sz00_13416, BgL_bpz00_13417); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13419); 
VECTOR_SET(
((obj_t)BgL_sz00_13416),((long)0),BgL_bpz00_13417); 
return BgL_accz00_13420;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13421;
BgL_nsz00_13421 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13421,((long)1),BgL_sz00_13416); 
VECTOR_SET(BgL_nsz00_13421,((long)2),BgL_lastz00_11196); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13422;
BgL_z12denvz12_13422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13422, BgL_nsz00_13421); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13423;
BgL_ez00_13423 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13423, BgL_sz00_13416); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13424;
BgL_____rz00_13424 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11194, BgL_nsz00_13421, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13423); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13422, BgL_sz00_13416); 
return BgL_____rz00_13424;} } } } } } } } 

}



/* &run4223 */
obj_t BGl_z62run4223z62zz__evaluate_compz00(obj_t BgL_envz00_11197, obj_t BgL_sz00_11202)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11198;obj_t BgL_valza2za2_11199;BgL_ev_absz00_bglt BgL_i1244z00_11200;obj_t BgL_bodyz00_11201;
BgL_siza7eza7_11198 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11197, 
(int)(((long)0)))); 
BgL_valza2za2_11199 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11197, 
(int)(((long)1)))); 
BgL_i1244z00_11200 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11197, 
(int)(((long)2)))); 
BgL_bodyz00_11201 = 
PROCEDURE_REF(BgL_envz00_11197, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13425;
BgL_bpz00_13425 = 
VECTOR_REF(
((obj_t)BgL_sz00_11202),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11202, BgL_valza2za2_11199, 
(
(long)CINT(BgL_bpz00_13425)+BgL_siza7eza7_11198)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13426;obj_t BgL_wherez00_13427;obj_t BgL_locz00_13428;
BgL_z12denvz12_13426 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13427 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11200))->BgL_wherez00); 
BgL_locz00_13428 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11200))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13426, BgL_wherez00_13427, BgL_locz00_13428); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13429;
BgL_za2za2resza2za2z00_13429 = 
PROCEDURE_ENTRY(BgL_bodyz00_11201)(BgL_bodyz00_11201, BgL_sz00_11202, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13426); 
return BgL_za2za2resza2za2z00_13429;} } } } } } 

}



/* &<@anonymous:3239> */
obj_t BGl_z62zc3z04anonymousza33239ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11203, obj_t BgL_sz00_11210)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11204;obj_t BgL_iboxesz00_11205;long BgL_siza7eza7_11206;BgL_ev_absz00_bglt BgL_i1244z00_11207;obj_t BgL_bodyz00_11208;long BgL_siza7ezd2framez75_11209;
BgL_ifreesz00_11204 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11203, 
(int)(((long)0)))); 
BgL_iboxesz00_11205 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11203, 
(int)(((long)1)))); 
BgL_siza7eza7_11206 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11203, 
(int)(((long)2)))); 
BgL_i1244z00_11207 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11203, 
(int)(((long)3)))); 
BgL_bodyz00_11208 = 
PROCEDURE_REF(BgL_envz00_11203, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11209 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11203, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13430;
BgL_bpz00_13430 = 
VECTOR_REF(
((obj_t)BgL_sz00_11210),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13431;
BgL_valza2za2_13431 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11210, BgL_bpz00_13430, BgL_ifreesz00_11204); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13432;
BgL_runz00_13432 = 
MAKE_FX_PROCEDURE(BGl_z62run4225z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13432, 
(int)(((long)0)), BgL_iboxesz00_11205); 
PROCEDURE_SET(BgL_runz00_13432, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11206)); 
PROCEDURE_SET(BgL_runz00_13432, 
(int)(((long)2)), BgL_valza2za2_13431); 
PROCEDURE_SET(BgL_runz00_13432, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11207)); 
PROCEDURE_SET(BgL_runz00_13432, 
(int)(((long)4)), BgL_bodyz00_11208); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13433;
BgL_mainz00_13433 = 
MAKE_VA_PROCEDURE(BGl_z62main4224z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)0)), BgL_iboxesz00_11205); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11206)); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)2)), BgL_valza2za2_13431); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11207)); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)4)), BgL_bodyz00_11208); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)5)), BgL_runz00_13432); 
PROCEDURE_SET(BgL_mainz00_13433, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11209)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13434;
BgL_objz00_13434 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13432, BgL_objz00_13434); BgL_objz00_13434; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3240z00_13435;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3241z00_13436;
BgL_arg3241z00_13436 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11207))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13437;
BgL_newz00_13437 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25938;
BgL_tmpz00_25938 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13437, BgL_tmpz00_25938, BgL_arg3241z00_13436); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25943;int BgL_tmpz00_25941;
BgL_auxz00_25943 = 
BINT(BgL_siza7ezd2framez75_11209); 
BgL_tmpz00_25941 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13437, BgL_tmpz00_25941, BgL_auxz00_25943); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25946;
BgL_tmpz00_25946 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13437, BgL_tmpz00_25946, BgL_runz00_13432); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25951;int BgL_tmpz00_25949;
BgL_auxz00_25951 = 
BINT(((long)-1)); 
BgL_tmpz00_25949 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13437, BgL_tmpz00_25949, BgL_auxz00_25951); } 
BgL_arg3240z00_13435 = BgL_newz00_13437; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13433, BgL_arg3240z00_13435); BgL_arg3240z00_13435; } 
return BgL_mainz00_13433;} } } } } } 

}



/* &main4224 */
obj_t BGl_z62main4224z62zz__evaluate_compz00(obj_t BgL_envz00_11211, obj_t BgL_lastz00_11219)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11217;long BgL_siza7ezd2framez75_11218;
BgL_runz00_11217 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11211, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11218 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11211, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13438;
BgL_sz00_13438 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13439;
BgL_bpz00_13439 = 
VECTOR_REF(
((obj_t)BgL_sz00_13438),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13438, BgL_bpz00_13439, 
BINT(BgL_siza7ezd2framez75_11218)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3244z00_13440;
BgL_arg3244z00_13440 = 
(
(long)CINT(BgL_bpz00_13439)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13438),BgL_arg3244z00_13440,BgL_lastz00_11219); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13441;
BgL_ez00_13441 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13441, BgL_bpz00_13439); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13442;
BgL_accz00_13442 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11217, BgL_sz00_13438, BgL_bpz00_13439); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13441); 
VECTOR_SET(
((obj_t)BgL_sz00_13438),((long)0),BgL_bpz00_13439); 
return BgL_accz00_13442;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13443;
BgL_nsz00_13443 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13443,((long)1),BgL_sz00_13438); 
VECTOR_SET(BgL_nsz00_13443,((long)2),BgL_lastz00_11219); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13444;
BgL_z12denvz12_13444 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13444, BgL_nsz00_13443); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13445;
BgL_ez00_13445 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13445, BgL_sz00_13438); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13446;
BgL_____rz00_13446 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11217, BgL_nsz00_13443, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13445); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13444, BgL_sz00_13438); 
return BgL_____rz00_13446;} } } } } } } } 

}



/* &run4225 */
obj_t BGl_z62run4225z62zz__evaluate_compz00(obj_t BgL_envz00_11220, obj_t BgL_sz00_11226)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11221;long BgL_siza7eza7_11222;obj_t BgL_valza2za2_11223;BgL_ev_absz00_bglt BgL_i1244z00_11224;obj_t BgL_bodyz00_11225;
BgL_iboxesz00_11221 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11220, 
(int)(((long)0)))); 
BgL_siza7eza7_11222 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11220, 
(int)(((long)1)))); 
BgL_valza2za2_11223 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11220, 
(int)(((long)2)))); 
BgL_i1244z00_11224 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11220, 
(int)(((long)3)))); 
BgL_bodyz00_11225 = 
PROCEDURE_REF(BgL_envz00_11220, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13447;
BgL_bpz00_13447 = 
VECTOR_REF(
((obj_t)BgL_sz00_11226),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11226, BgL_iboxesz00_11221, BgL_bpz00_13447); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11226, BgL_valza2za2_11223, 
(
(long)CINT(BgL_bpz00_13447)+BgL_siza7eza7_11222)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13448;obj_t BgL_wherez00_13449;obj_t BgL_locz00_13450;
BgL_z12denvz12_13448 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13449 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11224))->BgL_wherez00); 
BgL_locz00_13450 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11224))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13448, BgL_wherez00_13449, BgL_locz00_13450); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13451;
BgL_za2za2resza2za2z00_13451 = 
PROCEDURE_ENTRY(BgL_bodyz00_11225)(BgL_bodyz00_11225, BgL_sz00_11226, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13448); 
return BgL_za2za2resza2za2z00_13451;} } } } } } 

}



/* &<@anonymous:3179> */
obj_t BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11227, obj_t BgL_sz00_11231)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11228;obj_t BgL_bodyz00_11229;long BgL_siza7ezd2framez75_11230;
BgL_i1244z00_11228 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11227, 
(int)(((long)0)))); 
BgL_bodyz00_11229 = 
PROCEDURE_REF(BgL_envz00_11227, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11230 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11227, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13452;
BgL_bpz00_13452 = 
VECTOR_REF(
((obj_t)BgL_sz00_11231),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13453;
BgL_runz00_13453 = 
MAKE_FX_PROCEDURE(BGl_z62run4227z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13453, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11228)); 
PROCEDURE_SET(BgL_runz00_13453, 
(int)(((long)1)), BgL_bodyz00_11229); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13454;
BgL_mainz00_13454 = 
MAKE_FX_PROCEDURE(BGl_z62main4226z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13454, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11228)); 
PROCEDURE_SET(BgL_mainz00_13454, 
(int)(((long)1)), BgL_bodyz00_11229); 
PROCEDURE_SET(BgL_mainz00_13454, 
(int)(((long)2)), BgL_runz00_13453); 
PROCEDURE_SET(BgL_mainz00_13454, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11230)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13455;
BgL_objz00_13455 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13453, BgL_objz00_13455); BgL_objz00_13455; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3180z00_13456;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3181z00_13457;
BgL_arg3181z00_13457 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11228))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13458;
BgL_newz00_13458 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26052;
BgL_tmpz00_26052 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13458, BgL_tmpz00_26052, BgL_arg3181z00_13457); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26057;int BgL_tmpz00_26055;
BgL_auxz00_26057 = 
BINT(BgL_siza7ezd2framez75_11230); 
BgL_tmpz00_26055 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13458, BgL_tmpz00_26055, BgL_auxz00_26057); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26060;
BgL_tmpz00_26060 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13458, BgL_tmpz00_26060, BgL_runz00_13453); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26065;int BgL_tmpz00_26063;
BgL_auxz00_26065 = 
BINT(((long)0)); 
BgL_tmpz00_26063 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13458, BgL_tmpz00_26063, BgL_auxz00_26065); } 
BgL_arg3180z00_13456 = BgL_newz00_13458; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13454, BgL_arg3180z00_13456); BgL_arg3180z00_13456; } 
return BgL_mainz00_13454;} } } } } } 

}



/* &main4226 */
obj_t BGl_z62main4226z62zz__evaluate_compz00(obj_t BgL_envz00_11232)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11235;long BgL_siza7ezd2framez75_11236;
BgL_runz00_11235 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11236 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13459;
BgL_sz00_13459 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13460;
BgL_bpz00_13460 = 
VECTOR_REF(
((obj_t)BgL_sz00_13459),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13459, BgL_bpz00_13460, 
BINT(BgL_siza7ezd2framez75_11236)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13461;
BgL_ez00_13461 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13461, BgL_bpz00_13460); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13462;
BgL_accz00_13462 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11235, BgL_sz00_13459, BgL_bpz00_13460); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13461); 
VECTOR_SET(
((obj_t)BgL_sz00_13459),((long)0),BgL_bpz00_13460); 
return BgL_accz00_13462;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13463;
BgL_nsz00_13463 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13463,((long)1),BgL_sz00_13459); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13464;
BgL_z12denvz12_13464 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13464, BgL_nsz00_13463); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13465;
BgL_ez00_13465 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13465, BgL_sz00_13459); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13466;
BgL_____rz00_13466 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11235, BgL_nsz00_13463, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13465); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13464, BgL_sz00_13459); 
return BgL_____rz00_13466;} } } } } } } } 

}



/* &run4227 */
obj_t BGl_z62run4227z62zz__evaluate_compz00(obj_t BgL_envz00_11237, obj_t BgL_sz00_11240)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11238;obj_t BgL_bodyz00_11239;
BgL_i1244z00_11238 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11237, 
(int)(((long)0)))); 
BgL_bodyz00_11239 = 
PROCEDURE_REF(BgL_envz00_11237, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13467;
BgL_bpz00_13467 = 
VECTOR_REF(
((obj_t)BgL_sz00_11240),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13468;obj_t BgL_wherez00_13469;obj_t BgL_locz00_13470;
BgL_z12denvz12_13468 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13469 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11238))->BgL_wherez00); 
BgL_locz00_13470 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11238))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13468, BgL_wherez00_13469, BgL_locz00_13470); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13471;
BgL_za2za2resza2za2z00_13471 = 
PROCEDURE_ENTRY(BgL_bodyz00_11239)(BgL_bodyz00_11239, BgL_sz00_11240, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13468); 
return BgL_za2za2resza2za2z00_13471;} } } } } } 

}



/* &<@anonymous:3185> */
obj_t BGl_z62zc3z04anonymousza33185ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11241, obj_t BgL_sz00_11246)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11242;BgL_ev_absz00_bglt BgL_i1244z00_11243;obj_t BgL_bodyz00_11244;long BgL_siza7ezd2framez75_11245;
BgL_iboxesz00_11242 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11241, 
(int)(((long)0)))); 
BgL_i1244z00_11243 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11241, 
(int)(((long)1)))); 
BgL_bodyz00_11244 = 
PROCEDURE_REF(BgL_envz00_11241, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11245 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11241, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13472;
BgL_bpz00_13472 = 
VECTOR_REF(
((obj_t)BgL_sz00_11246),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13473;
BgL_runz00_13473 = 
MAKE_FX_PROCEDURE(BGl_z62run4229z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13473, 
(int)(((long)0)), BgL_iboxesz00_11242); 
PROCEDURE_SET(BgL_runz00_13473, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11243)); 
PROCEDURE_SET(BgL_runz00_13473, 
(int)(((long)2)), BgL_bodyz00_11244); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13474;
BgL_mainz00_13474 = 
MAKE_FX_PROCEDURE(BGl_z62main4228z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13474, 
(int)(((long)0)), BgL_iboxesz00_11242); 
PROCEDURE_SET(BgL_mainz00_13474, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11243)); 
PROCEDURE_SET(BgL_mainz00_13474, 
(int)(((long)2)), BgL_bodyz00_11244); 
PROCEDURE_SET(BgL_mainz00_13474, 
(int)(((long)3)), BgL_runz00_13473); 
PROCEDURE_SET(BgL_mainz00_13474, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11245)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13475;
BgL_objz00_13475 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13473, BgL_objz00_13475); BgL_objz00_13475; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3186z00_13476;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3187z00_13477;
BgL_arg3187z00_13477 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11243))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13478;
BgL_newz00_13478 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26155;
BgL_tmpz00_26155 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13478, BgL_tmpz00_26155, BgL_arg3187z00_13477); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26160;int BgL_tmpz00_26158;
BgL_auxz00_26160 = 
BINT(BgL_siza7ezd2framez75_11245); 
BgL_tmpz00_26158 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13478, BgL_tmpz00_26158, BgL_auxz00_26160); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26163;
BgL_tmpz00_26163 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13478, BgL_tmpz00_26163, BgL_runz00_13473); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26168;int BgL_tmpz00_26166;
BgL_auxz00_26168 = 
BINT(((long)0)); 
BgL_tmpz00_26166 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13478, BgL_tmpz00_26166, BgL_auxz00_26168); } 
BgL_arg3186z00_13476 = BgL_newz00_13478; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13474, BgL_arg3186z00_13476); BgL_arg3186z00_13476; } 
return BgL_mainz00_13474;} } } } } } 

}



/* &main4228 */
obj_t BGl_z62main4228z62zz__evaluate_compz00(obj_t BgL_envz00_11247)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11251;long BgL_siza7ezd2framez75_11252;
BgL_runz00_11251 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11247, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11252 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11247, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13479;
BgL_sz00_13479 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13480;
BgL_bpz00_13480 = 
VECTOR_REF(
((obj_t)BgL_sz00_13479),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13479, BgL_bpz00_13480, 
BINT(BgL_siza7ezd2framez75_11252)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13481;
BgL_ez00_13481 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13481, BgL_bpz00_13480); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13482;
BgL_accz00_13482 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11251, BgL_sz00_13479, BgL_bpz00_13480); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13481); 
VECTOR_SET(
((obj_t)BgL_sz00_13479),((long)0),BgL_bpz00_13480); 
return BgL_accz00_13482;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13483;
BgL_nsz00_13483 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13483,((long)1),BgL_sz00_13479); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13484;
BgL_z12denvz12_13484 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13484, BgL_nsz00_13483); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13485;
BgL_ez00_13485 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13485, BgL_sz00_13479); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13486;
BgL_____rz00_13486 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11251, BgL_nsz00_13483, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13485); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13484, BgL_sz00_13479); 
return BgL_____rz00_13486;} } } } } } } } 

}



/* &run4229 */
obj_t BGl_z62run4229z62zz__evaluate_compz00(obj_t BgL_envz00_11253, obj_t BgL_sz00_11257)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11254;BgL_ev_absz00_bglt BgL_i1244z00_11255;obj_t BgL_bodyz00_11256;
BgL_iboxesz00_11254 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)0)))); 
BgL_i1244z00_11255 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)1)))); 
BgL_bodyz00_11256 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13487;
BgL_bpz00_13487 = 
VECTOR_REF(
((obj_t)BgL_sz00_11257),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11257, BgL_iboxesz00_11254, BgL_bpz00_13487); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13488;obj_t BgL_wherez00_13489;obj_t BgL_locz00_13490;
BgL_z12denvz12_13488 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13489 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11255))->BgL_wherez00); 
BgL_locz00_13490 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11255))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13488, BgL_wherez00_13489, BgL_locz00_13490); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13491;
BgL_za2za2resza2za2z00_13491 = 
PROCEDURE_ENTRY(BgL_bodyz00_11256)(BgL_bodyz00_11256, BgL_sz00_11257, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13488); 
return BgL_za2za2resza2za2z00_13491;} } } } } } 

}



/* &<@anonymous:3194> */
obj_t BGl_z62zc3z04anonymousza33194ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11258, obj_t BgL_sz00_11264)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11259;long BgL_siza7eza7_11260;BgL_ev_absz00_bglt BgL_i1244z00_11261;obj_t BgL_bodyz00_11262;long BgL_siza7ezd2framez75_11263;
BgL_ifreesz00_11259 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11258, 
(int)(((long)0)))); 
BgL_siza7eza7_11260 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11258, 
(int)(((long)1)))); 
BgL_i1244z00_11261 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11258, 
(int)(((long)2)))); 
BgL_bodyz00_11262 = 
PROCEDURE_REF(BgL_envz00_11258, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11263 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11258, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13492;
BgL_bpz00_13492 = 
VECTOR_REF(
((obj_t)BgL_sz00_11264),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13493;
BgL_valza2za2_13493 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11264, BgL_bpz00_13492, BgL_ifreesz00_11259); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13494;
BgL_runz00_13494 = 
MAKE_FX_PROCEDURE(BGl_z62run4231z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13494, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11260)); 
PROCEDURE_SET(BgL_runz00_13494, 
(int)(((long)1)), BgL_valza2za2_13493); 
PROCEDURE_SET(BgL_runz00_13494, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11261)); 
PROCEDURE_SET(BgL_runz00_13494, 
(int)(((long)3)), BgL_bodyz00_11262); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13495;
BgL_mainz00_13495 = 
MAKE_FX_PROCEDURE(BGl_z62main4230z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13495, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11260)); 
PROCEDURE_SET(BgL_mainz00_13495, 
(int)(((long)1)), BgL_valza2za2_13493); 
PROCEDURE_SET(BgL_mainz00_13495, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11261)); 
PROCEDURE_SET(BgL_mainz00_13495, 
(int)(((long)3)), BgL_bodyz00_11262); 
PROCEDURE_SET(BgL_mainz00_13495, 
(int)(((long)4)), BgL_runz00_13494); 
PROCEDURE_SET(BgL_mainz00_13495, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11263)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13496;
BgL_objz00_13496 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13494, BgL_objz00_13496); BgL_objz00_13496; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3195z00_13497;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3196z00_13498;
BgL_arg3196z00_13498 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11261))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13499;
BgL_newz00_13499 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26272;
BgL_tmpz00_26272 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13499, BgL_tmpz00_26272, BgL_arg3196z00_13498); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26277;int BgL_tmpz00_26275;
BgL_auxz00_26277 = 
BINT(BgL_siza7ezd2framez75_11263); 
BgL_tmpz00_26275 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13499, BgL_tmpz00_26275, BgL_auxz00_26277); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26280;
BgL_tmpz00_26280 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13499, BgL_tmpz00_26280, BgL_runz00_13494); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26285;int BgL_tmpz00_26283;
BgL_auxz00_26285 = 
BINT(((long)0)); 
BgL_tmpz00_26283 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13499, BgL_tmpz00_26283, BgL_auxz00_26285); } 
BgL_arg3195z00_13497 = BgL_newz00_13499; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13495, BgL_arg3195z00_13497); BgL_arg3195z00_13497; } 
return BgL_mainz00_13495;} } } } } } 

}



/* &main4230 */
obj_t BGl_z62main4230z62zz__evaluate_compz00(obj_t BgL_envz00_11265)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11270;long BgL_siza7ezd2framez75_11271;
BgL_runz00_11270 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11265, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11271 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11265, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13500;
BgL_sz00_13500 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13501;
BgL_bpz00_13501 = 
VECTOR_REF(
((obj_t)BgL_sz00_13500),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13500, BgL_bpz00_13501, 
BINT(BgL_siza7ezd2framez75_11271)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13502;
BgL_ez00_13502 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13502, BgL_bpz00_13501); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13503;
BgL_accz00_13503 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11270, BgL_sz00_13500, BgL_bpz00_13501); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13502); 
VECTOR_SET(
((obj_t)BgL_sz00_13500),((long)0),BgL_bpz00_13501); 
return BgL_accz00_13503;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13504;
BgL_nsz00_13504 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13504,((long)1),BgL_sz00_13500); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13505;
BgL_z12denvz12_13505 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13505, BgL_nsz00_13504); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13506;
BgL_ez00_13506 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13506, BgL_sz00_13500); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13507;
BgL_____rz00_13507 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11270, BgL_nsz00_13504, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13506); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13505, BgL_sz00_13500); 
return BgL_____rz00_13507;} } } } } } } } 

}



/* &run4231 */
obj_t BGl_z62run4231z62zz__evaluate_compz00(obj_t BgL_envz00_11272, obj_t BgL_sz00_11277)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11273;obj_t BgL_valza2za2_11274;BgL_ev_absz00_bglt BgL_i1244z00_11275;obj_t BgL_bodyz00_11276;
BgL_siza7eza7_11273 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11272, 
(int)(((long)0)))); 
BgL_valza2za2_11274 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11272, 
(int)(((long)1)))); 
BgL_i1244z00_11275 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11272, 
(int)(((long)2)))); 
BgL_bodyz00_11276 = 
PROCEDURE_REF(BgL_envz00_11272, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13508;
BgL_bpz00_13508 = 
VECTOR_REF(
((obj_t)BgL_sz00_11277),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11277, BgL_valza2za2_11274, 
(
(long)CINT(BgL_bpz00_13508)+BgL_siza7eza7_11273)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13509;obj_t BgL_wherez00_13510;obj_t BgL_locz00_13511;
BgL_z12denvz12_13509 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13510 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11275))->BgL_wherez00); 
BgL_locz00_13511 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11275))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13509, BgL_wherez00_13510, BgL_locz00_13511); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13512;
BgL_za2za2resza2za2z00_13512 = 
PROCEDURE_ENTRY(BgL_bodyz00_11276)(BgL_bodyz00_11276, BgL_sz00_11277, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13509); 
return BgL_za2za2resza2za2z00_13512;} } } } } } 

}



/* &<@anonymous:3201> */
obj_t BGl_z62zc3z04anonymousza33201ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11278, obj_t BgL_sz00_11285)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11279;obj_t BgL_iboxesz00_11280;long BgL_siza7eza7_11281;BgL_ev_absz00_bglt BgL_i1244z00_11282;obj_t BgL_bodyz00_11283;long BgL_siza7ezd2framez75_11284;
BgL_ifreesz00_11279 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11278, 
(int)(((long)0)))); 
BgL_iboxesz00_11280 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11278, 
(int)(((long)1)))); 
BgL_siza7eza7_11281 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11278, 
(int)(((long)2)))); 
BgL_i1244z00_11282 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11278, 
(int)(((long)3)))); 
BgL_bodyz00_11283 = 
PROCEDURE_REF(BgL_envz00_11278, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11284 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11278, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13513;
BgL_bpz00_13513 = 
VECTOR_REF(
((obj_t)BgL_sz00_11285),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13514;
BgL_valza2za2_13514 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11285, BgL_bpz00_13513, BgL_ifreesz00_11279); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13515;
BgL_runz00_13515 = 
MAKE_FX_PROCEDURE(BGl_z62run4233z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13515, 
(int)(((long)0)), BgL_iboxesz00_11280); 
PROCEDURE_SET(BgL_runz00_13515, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11281)); 
PROCEDURE_SET(BgL_runz00_13515, 
(int)(((long)2)), BgL_valza2za2_13514); 
PROCEDURE_SET(BgL_runz00_13515, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11282)); 
PROCEDURE_SET(BgL_runz00_13515, 
(int)(((long)4)), BgL_bodyz00_11283); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13516;
BgL_mainz00_13516 = 
MAKE_FX_PROCEDURE(BGl_z62main4232z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)0)), BgL_iboxesz00_11280); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11281)); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)2)), BgL_valza2za2_13514); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11282)); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)4)), BgL_bodyz00_11283); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)5)), BgL_runz00_13515); 
PROCEDURE_SET(BgL_mainz00_13516, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11284)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13517;
BgL_objz00_13517 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13515, BgL_objz00_13517); BgL_objz00_13517; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3202z00_13518;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3203z00_13519;
BgL_arg3203z00_13519 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11282))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13520;
BgL_newz00_13520 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26401;
BgL_tmpz00_26401 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13520, BgL_tmpz00_26401, BgL_arg3203z00_13519); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26406;int BgL_tmpz00_26404;
BgL_auxz00_26406 = 
BINT(BgL_siza7ezd2framez75_11284); 
BgL_tmpz00_26404 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13520, BgL_tmpz00_26404, BgL_auxz00_26406); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26409;
BgL_tmpz00_26409 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13520, BgL_tmpz00_26409, BgL_runz00_13515); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26414;int BgL_tmpz00_26412;
BgL_auxz00_26414 = 
BINT(((long)0)); 
BgL_tmpz00_26412 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13520, BgL_tmpz00_26412, BgL_auxz00_26414); } 
BgL_arg3202z00_13518 = BgL_newz00_13520; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13516, BgL_arg3202z00_13518); BgL_arg3202z00_13518; } 
return BgL_mainz00_13516;} } } } } } 

}



/* &main4232 */
obj_t BGl_z62main4232z62zz__evaluate_compz00(obj_t BgL_envz00_11286)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11292;long BgL_siza7ezd2framez75_11293;
BgL_runz00_11292 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11286, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11293 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11286, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13521;
BgL_sz00_13521 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13522;
BgL_bpz00_13522 = 
VECTOR_REF(
((obj_t)BgL_sz00_13521),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13521, BgL_bpz00_13522, 
BINT(BgL_siza7ezd2framez75_11293)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13523;
BgL_ez00_13523 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13523, BgL_bpz00_13522); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13524;
BgL_accz00_13524 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11292, BgL_sz00_13521, BgL_bpz00_13522); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13523); 
VECTOR_SET(
((obj_t)BgL_sz00_13521),((long)0),BgL_bpz00_13522); 
return BgL_accz00_13524;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13525;
BgL_nsz00_13525 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13525,((long)1),BgL_sz00_13521); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13526;
BgL_z12denvz12_13526 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13526, BgL_nsz00_13525); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13527;
BgL_ez00_13527 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13527, BgL_sz00_13521); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13528;
BgL_____rz00_13528 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11292, BgL_nsz00_13525, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13527); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13526, BgL_sz00_13521); 
return BgL_____rz00_13528;} } } } } } } } 

}



/* &run4233 */
obj_t BGl_z62run4233z62zz__evaluate_compz00(obj_t BgL_envz00_11294, obj_t BgL_sz00_11300)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11295;long BgL_siza7eza7_11296;obj_t BgL_valza2za2_11297;BgL_ev_absz00_bglt BgL_i1244z00_11298;obj_t BgL_bodyz00_11299;
BgL_iboxesz00_11295 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11294, 
(int)(((long)0)))); 
BgL_siza7eza7_11296 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11294, 
(int)(((long)1)))); 
BgL_valza2za2_11297 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11294, 
(int)(((long)2)))); 
BgL_i1244z00_11298 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11294, 
(int)(((long)3)))); 
BgL_bodyz00_11299 = 
PROCEDURE_REF(BgL_envz00_11294, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13529;
BgL_bpz00_13529 = 
VECTOR_REF(
((obj_t)BgL_sz00_11300),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11300, BgL_iboxesz00_11295, BgL_bpz00_13529); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11300, BgL_valza2za2_11297, 
(
(long)CINT(BgL_bpz00_13529)+BgL_siza7eza7_11296)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13530;obj_t BgL_wherez00_13531;obj_t BgL_locz00_13532;
BgL_z12denvz12_13530 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13531 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11298))->BgL_wherez00); 
BgL_locz00_13532 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11298))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13530, BgL_wherez00_13531, BgL_locz00_13532); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13533;
BgL_za2za2resza2za2z00_13533 = 
PROCEDURE_ENTRY(BgL_bodyz00_11299)(BgL_bodyz00_11299, BgL_sz00_11300, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13530); 
return BgL_za2za2resza2za2z00_13533;} } } } } } 

}



/* &<@anonymous:3629> */
obj_t BGl_z62zc3z04anonymousza33629ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11301, obj_t BgL_sz00_11305)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11302;obj_t BgL_bodyz00_11303;long BgL_siza7ezd2framez75_11304;
BgL_i1244z00_11302 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11301, 
(int)(((long)0)))); 
BgL_bodyz00_11303 = 
PROCEDURE_REF(BgL_envz00_11301, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11304 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11301, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13534;
BgL_bpz00_13534 = 
VECTOR_REF(
((obj_t)BgL_sz00_11305),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13535;
BgL_runz00_13535 = 
MAKE_FX_PROCEDURE(BGl_z62run4235z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13535, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11302)); 
PROCEDURE_SET(BgL_runz00_13535, 
(int)(((long)1)), BgL_bodyz00_11303); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13536;
BgL_mainz00_13536 = 
MAKE_VA_PROCEDURE(BGl_z62main4234z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)0)), BgL_bodyz00_11303); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11302)); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)2)), BgL_runz00_13535); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11304)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13537;
BgL_objz00_13537 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13535, BgL_objz00_13537); BgL_objz00_13537; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3630z00_13538;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3631z00_13539;obj_t BgL_arg3632z00_13540;
BgL_arg3631z00_13539 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11302))->BgL_arityz00); 
BgL_arg3632z00_13540 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11302))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13541;
BgL_newz00_13541 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26511;
BgL_tmpz00_26511 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_26511, BgL_arg3632z00_13540); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26516;int BgL_tmpz00_26514;
BgL_auxz00_26516 = 
BINT(BgL_siza7ezd2framez75_11304); 
BgL_tmpz00_26514 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_26514, BgL_auxz00_26516); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26519;
BgL_tmpz00_26519 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_26519, BgL_runz00_13535); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26522;
BgL_tmpz00_26522 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13541, BgL_tmpz00_26522, BgL_arg3631z00_13539); } 
BgL_arg3630z00_13538 = BgL_newz00_13541; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13536, BgL_arg3630z00_13538); BgL_arg3630z00_13538; } 
return BgL_mainz00_13536;} } } } } } 

}



/* &main4234 */
obj_t BGl_z62main4234z62zz__evaluate_compz00(obj_t BgL_envz00_11306, obj_t BgL_az00_11311, obj_t BgL_bz00_11312, obj_t BgL_cz00_11313, obj_t BgL_dz00_11314, obj_t BgL_restz00_11315)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11308;obj_t BgL_runz00_11309;long BgL_siza7ezd2framez75_11310;
BgL_i1244z00_11308 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11306, 
(int)(((long)1)))); 
BgL_runz00_11309 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11306, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11310 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11306, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13542;
BgL_sz00_13542 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13543;
BgL_bpz00_13543 = 
VECTOR_REF(
((obj_t)BgL_sz00_13542),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13542, BgL_bpz00_13543, 
BINT(BgL_siza7ezd2framez75_11310)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3635z00_13544;
BgL_arg3635z00_13544 = 
(
(long)CINT(BgL_bpz00_13543)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3635z00_13544,BgL_az00_11311); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3636z00_13545;
BgL_arg3636z00_13545 = 
(
(long)CINT(BgL_bpz00_13543)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3636z00_13545,BgL_bz00_11312); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3637z00_13546;
BgL_arg3637z00_13546 = 
(
(long)CINT(BgL_bpz00_13543)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3637z00_13546,BgL_cz00_11313); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3638z00_13547;
BgL_arg3638z00_13547 = 
(
(long)CINT(BgL_bpz00_13543)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),BgL_arg3638z00_13547,BgL_dz00_11314); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_13542, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11308))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_13543)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11308))->BgL_arityz00), ((long)4)), BgL_restz00_11315, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11308))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13548;
BgL_ez00_13548 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13548, BgL_bpz00_13543); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13549;
BgL_accz00_13549 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11309, BgL_sz00_13542, BgL_bpz00_13543); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13548); 
VECTOR_SET(
((obj_t)BgL_sz00_13542),((long)0),BgL_bpz00_13543); 
return BgL_accz00_13549;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13550;
BgL_nsz00_13550 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13550,((long)1),BgL_sz00_13542); 
VECTOR_SET(BgL_nsz00_13550,((long)2),BgL_az00_11311); 
VECTOR_SET(BgL_nsz00_13550,((long)3),BgL_bz00_11312); 
VECTOR_SET(BgL_nsz00_13550,((long)4),BgL_cz00_11313); 
VECTOR_SET(BgL_nsz00_13550,((long)5),BgL_dz00_11314); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_13550, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11308))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11308))->BgL_arityz00), ((long)4)), BgL_restz00_11315, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11308))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13551;
BgL_z12denvz12_13551 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13551, BgL_nsz00_13550); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13552;
BgL_ez00_13552 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13552, BgL_sz00_13542); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13553;
BgL_____rz00_13553 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11309, BgL_nsz00_13550, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13552); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13551, BgL_sz00_13542); 
return BgL_____rz00_13553;} } } } } } } } 

}



/* &run4235 */
obj_t BGl_z62run4235z62zz__evaluate_compz00(obj_t BgL_envz00_11316, obj_t BgL_sz00_11319)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11317;obj_t BgL_bodyz00_11318;
BgL_i1244z00_11317 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11316, 
(int)(((long)0)))); 
BgL_bodyz00_11318 = 
PROCEDURE_REF(BgL_envz00_11316, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13554;
BgL_bpz00_13554 = 
VECTOR_REF(
((obj_t)BgL_sz00_11319),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13555;obj_t BgL_wherez00_13556;obj_t BgL_locz00_13557;
BgL_z12denvz12_13555 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13556 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11317))->BgL_wherez00); 
BgL_locz00_13557 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11317))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13555, BgL_wherez00_13556, BgL_locz00_13557); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13558;
BgL_za2za2resza2za2z00_13558 = 
PROCEDURE_ENTRY(BgL_bodyz00_11318)(BgL_bodyz00_11318, BgL_sz00_11319, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13555); 
return BgL_za2za2resza2za2z00_13558;} } } } } } 

}



/* &<@anonymous:3649> */
obj_t BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11320, obj_t BgL_sz00_11325)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11321;BgL_ev_absz00_bglt BgL_i1244z00_11322;obj_t BgL_bodyz00_11323;long BgL_siza7ezd2framez75_11324;
BgL_iboxesz00_11321 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)0)))); 
BgL_i1244z00_11322 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)1)))); 
BgL_bodyz00_11323 = 
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11324 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13559;
BgL_bpz00_13559 = 
VECTOR_REF(
((obj_t)BgL_sz00_11325),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13560;
BgL_runz00_13560 = 
MAKE_FX_PROCEDURE(BGl_z62run4237z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13560, 
(int)(((long)0)), BgL_iboxesz00_11321); 
PROCEDURE_SET(BgL_runz00_13560, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11322)); 
PROCEDURE_SET(BgL_runz00_13560, 
(int)(((long)2)), BgL_bodyz00_11323); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13561;
BgL_mainz00_13561 = 
MAKE_VA_PROCEDURE(BGl_z62main4236z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13561, 
(int)(((long)0)), BgL_iboxesz00_11321); 
PROCEDURE_SET(BgL_mainz00_13561, 
(int)(((long)1)), BgL_bodyz00_11323); 
PROCEDURE_SET(BgL_mainz00_13561, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11322)); 
PROCEDURE_SET(BgL_mainz00_13561, 
(int)(((long)3)), BgL_runz00_13560); 
PROCEDURE_SET(BgL_mainz00_13561, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11324)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13562;
BgL_objz00_13562 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13560, BgL_objz00_13562); BgL_objz00_13562; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3650z00_13563;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3651z00_13564;obj_t BgL_arg3652z00_13565;
BgL_arg3651z00_13564 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11322))->BgL_arityz00); 
BgL_arg3652z00_13565 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11322))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13566;
BgL_newz00_13566 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26648;
BgL_tmpz00_26648 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_26648, BgL_arg3652z00_13565); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26653;int BgL_tmpz00_26651;
BgL_auxz00_26653 = 
BINT(BgL_siza7ezd2framez75_11324); 
BgL_tmpz00_26651 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_26651, BgL_auxz00_26653); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26656;
BgL_tmpz00_26656 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_26656, BgL_runz00_13560); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26659;
BgL_tmpz00_26659 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_26659, BgL_arg3651z00_13564); } 
BgL_arg3650z00_13563 = BgL_newz00_13566; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13561, BgL_arg3650z00_13563); BgL_arg3650z00_13563; } 
return BgL_mainz00_13561;} } } } } } 

}



/* &main4236 */
obj_t BGl_z62main4236z62zz__evaluate_compz00(obj_t BgL_envz00_11326, obj_t BgL_az00_11332, obj_t BgL_bz00_11333, obj_t BgL_cz00_11334, obj_t BgL_dz00_11335, obj_t BgL_restz00_11336)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11329;obj_t BgL_runz00_11330;long BgL_siza7ezd2framez75_11331;
BgL_i1244z00_11329 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11326, 
(int)(((long)2)))); 
BgL_runz00_11330 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11326, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11331 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11326, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13567;
BgL_sz00_13567 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13568;
BgL_bpz00_13568 = 
VECTOR_REF(
((obj_t)BgL_sz00_13567),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13567, BgL_bpz00_13568, 
BINT(BgL_siza7ezd2framez75_11331)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3655z00_13569;
BgL_arg3655z00_13569 = 
(
(long)CINT(BgL_bpz00_13568)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3655z00_13569,BgL_az00_11332); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3656z00_13570;
BgL_arg3656z00_13570 = 
(
(long)CINT(BgL_bpz00_13568)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3656z00_13570,BgL_bz00_11333); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3657z00_13571;
BgL_arg3657z00_13571 = 
(
(long)CINT(BgL_bpz00_13568)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3657z00_13571,BgL_cz00_11334); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3658z00_13572;
BgL_arg3658z00_13572 = 
(
(long)CINT(BgL_bpz00_13568)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3658z00_13572,BgL_dz00_11335); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_13567, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11329))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_13568)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11329))->BgL_arityz00), ((long)4)), BgL_restz00_11336, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11329))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13573;
BgL_ez00_13573 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13573, BgL_bpz00_13568); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13574;
BgL_accz00_13574 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11330, BgL_sz00_13567, BgL_bpz00_13568); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13573); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),((long)0),BgL_bpz00_13568); 
return BgL_accz00_13574;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13575;
BgL_nsz00_13575 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13575,((long)1),BgL_sz00_13567); 
VECTOR_SET(BgL_nsz00_13575,((long)2),BgL_az00_11332); 
VECTOR_SET(BgL_nsz00_13575,((long)3),BgL_bz00_11333); 
VECTOR_SET(BgL_nsz00_13575,((long)4),BgL_cz00_11334); 
VECTOR_SET(BgL_nsz00_13575,((long)5),BgL_dz00_11335); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_13575, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11329))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11329))->BgL_arityz00), ((long)4)), BgL_restz00_11336, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11329))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13576;
BgL_z12denvz12_13576 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13576, BgL_nsz00_13575); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13577;
BgL_ez00_13577 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13577, BgL_sz00_13567); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13578;
BgL_____rz00_13578 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11330, BgL_nsz00_13575, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13577); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13576, BgL_sz00_13567); 
return BgL_____rz00_13578;} } } } } } } } 

}



/* &run4237 */
obj_t BGl_z62run4237z62zz__evaluate_compz00(obj_t BgL_envz00_11337, obj_t BgL_sz00_11341)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11338;BgL_ev_absz00_bglt BgL_i1244z00_11339;obj_t BgL_bodyz00_11340;
BgL_iboxesz00_11338 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11337, 
(int)(((long)0)))); 
BgL_i1244z00_11339 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11337, 
(int)(((long)1)))); 
BgL_bodyz00_11340 = 
PROCEDURE_REF(BgL_envz00_11337, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13579;
BgL_bpz00_13579 = 
VECTOR_REF(
((obj_t)BgL_sz00_11341),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11341, BgL_iboxesz00_11338, BgL_bpz00_13579); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13580;obj_t BgL_wherez00_13581;obj_t BgL_locz00_13582;
BgL_z12denvz12_13580 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13581 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11339))->BgL_wherez00); 
BgL_locz00_13582 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11339))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13580, BgL_wherez00_13581, BgL_locz00_13582); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13583;
BgL_za2za2resza2za2z00_13583 = 
PROCEDURE_ENTRY(BgL_bodyz00_11340)(BgL_bodyz00_11340, BgL_sz00_11341, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13580); 
return BgL_za2za2resza2za2z00_13583;} } } } } } 

}



/* &<@anonymous:3672> */
obj_t BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11342, obj_t BgL_sz00_11348)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11343;long BgL_siza7eza7_11344;BgL_ev_absz00_bglt BgL_i1244z00_11345;obj_t BgL_bodyz00_11346;long BgL_siza7ezd2framez75_11347;
BgL_ifreesz00_11343 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11342, 
(int)(((long)0)))); 
BgL_siza7eza7_11344 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11342, 
(int)(((long)1)))); 
BgL_i1244z00_11345 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11342, 
(int)(((long)2)))); 
BgL_bodyz00_11346 = 
PROCEDURE_REF(BgL_envz00_11342, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11347 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11342, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13584;
BgL_bpz00_13584 = 
VECTOR_REF(
((obj_t)BgL_sz00_11348),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13585;
BgL_valza2za2_13585 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11348, BgL_bpz00_13584, BgL_ifreesz00_11343); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13586;
BgL_runz00_13586 = 
MAKE_FX_PROCEDURE(BGl_z62run4239z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13586, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11344)); 
PROCEDURE_SET(BgL_runz00_13586, 
(int)(((long)1)), BgL_valza2za2_13585); 
PROCEDURE_SET(BgL_runz00_13586, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11345)); 
PROCEDURE_SET(BgL_runz00_13586, 
(int)(((long)3)), BgL_bodyz00_11346); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13587;
BgL_mainz00_13587 = 
MAKE_VA_PROCEDURE(BGl_z62main4238z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13587, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11344)); 
PROCEDURE_SET(BgL_mainz00_13587, 
(int)(((long)1)), BgL_valza2za2_13585); 
PROCEDURE_SET(BgL_mainz00_13587, 
(int)(((long)2)), BgL_bodyz00_11346); 
PROCEDURE_SET(BgL_mainz00_13587, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11345)); 
PROCEDURE_SET(BgL_mainz00_13587, 
(int)(((long)4)), BgL_runz00_13586); 
PROCEDURE_SET(BgL_mainz00_13587, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11347)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13588;
BgL_objz00_13588 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13586, BgL_objz00_13588); BgL_objz00_13588; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3673z00_13589;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3674z00_13590;obj_t BgL_arg3675z00_13591;
BgL_arg3674z00_13590 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11345))->BgL_arityz00); 
BgL_arg3675z00_13591 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11345))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13592;
BgL_newz00_13592 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26799;
BgL_tmpz00_26799 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_26799, BgL_arg3675z00_13591); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26804;int BgL_tmpz00_26802;
BgL_auxz00_26804 = 
BINT(BgL_siza7ezd2framez75_11347); 
BgL_tmpz00_26802 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_26802, BgL_auxz00_26804); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26807;
BgL_tmpz00_26807 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_26807, BgL_runz00_13586); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26810;
BgL_tmpz00_26810 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_26810, BgL_arg3674z00_13590); } 
BgL_arg3673z00_13589 = BgL_newz00_13592; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13587, BgL_arg3673z00_13589); BgL_arg3673z00_13589; } 
return BgL_mainz00_13587;} } } } } } 

}



/* &main4238 */
obj_t BGl_z62main4238z62zz__evaluate_compz00(obj_t BgL_envz00_11349, obj_t BgL_az00_11356, obj_t BgL_bz00_11357, obj_t BgL_cz00_11358, obj_t BgL_dz00_11359, obj_t BgL_restz00_11360)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11353;obj_t BgL_runz00_11354;long BgL_siza7ezd2framez75_11355;
BgL_i1244z00_11353 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11349, 
(int)(((long)3)))); 
BgL_runz00_11354 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11349, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11355 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11349, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13593;
BgL_sz00_13593 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13594;
BgL_bpz00_13594 = 
VECTOR_REF(
((obj_t)BgL_sz00_13593),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13593, BgL_bpz00_13594, 
BINT(BgL_siza7ezd2framez75_11355)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3678z00_13595;
BgL_arg3678z00_13595 = 
(
(long)CINT(BgL_bpz00_13594)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3678z00_13595,BgL_az00_11356); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3679z00_13596;
BgL_arg3679z00_13596 = 
(
(long)CINT(BgL_bpz00_13594)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3679z00_13596,BgL_bz00_11357); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3680z00_13597;
BgL_arg3680z00_13597 = 
(
(long)CINT(BgL_bpz00_13594)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3680z00_13597,BgL_cz00_11358); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3681z00_13598;
BgL_arg3681z00_13598 = 
(
(long)CINT(BgL_bpz00_13594)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3681z00_13598,BgL_dz00_11359); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_13593, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11353))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_13594)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11353))->BgL_arityz00), ((long)4)), BgL_restz00_11360, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11353))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13599;
BgL_ez00_13599 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13599, BgL_bpz00_13594); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13600;
BgL_accz00_13600 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11354, BgL_sz00_13593, BgL_bpz00_13594); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13599); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),((long)0),BgL_bpz00_13594); 
return BgL_accz00_13600;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13601;
BgL_nsz00_13601 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13601,((long)1),BgL_sz00_13593); 
VECTOR_SET(BgL_nsz00_13601,((long)2),BgL_az00_11356); 
VECTOR_SET(BgL_nsz00_13601,((long)3),BgL_bz00_11357); 
VECTOR_SET(BgL_nsz00_13601,((long)4),BgL_cz00_11358); 
VECTOR_SET(BgL_nsz00_13601,((long)5),BgL_dz00_11359); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_13601, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11353))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11353))->BgL_arityz00), ((long)4)), BgL_restz00_11360, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11353))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13602;
BgL_z12denvz12_13602 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13602, BgL_nsz00_13601); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13603;
BgL_ez00_13603 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13603, BgL_sz00_13593); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13604;
BgL_____rz00_13604 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11354, BgL_nsz00_13601, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13603); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13602, BgL_sz00_13593); 
return BgL_____rz00_13604;} } } } } } } } 

}



/* &run4239 */
obj_t BGl_z62run4239z62zz__evaluate_compz00(obj_t BgL_envz00_11361, obj_t BgL_sz00_11366)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11362;obj_t BgL_valza2za2_11363;BgL_ev_absz00_bglt BgL_i1244z00_11364;obj_t BgL_bodyz00_11365;
BgL_siza7eza7_11362 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)0)))); 
BgL_valza2za2_11363 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)1)))); 
BgL_i1244z00_11364 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)2)))); 
BgL_bodyz00_11365 = 
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13605;
BgL_bpz00_13605 = 
VECTOR_REF(
((obj_t)BgL_sz00_11366),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11366, BgL_valza2za2_11363, 
(
(long)CINT(BgL_bpz00_13605)+BgL_siza7eza7_11362)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13606;obj_t BgL_wherez00_13607;obj_t BgL_locz00_13608;
BgL_z12denvz12_13606 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13607 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11364))->BgL_wherez00); 
BgL_locz00_13608 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11364))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13606, BgL_wherez00_13607, BgL_locz00_13608); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13609;
BgL_za2za2resza2za2z00_13609 = 
PROCEDURE_ENTRY(BgL_bodyz00_11365)(BgL_bodyz00_11365, BgL_sz00_11366, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13606); 
return BgL_za2za2resza2za2z00_13609;} } } } } } 

}



/* &<@anonymous:3693> */
obj_t BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11367, obj_t BgL_sz00_11374)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11368;obj_t BgL_iboxesz00_11369;long BgL_siza7eza7_11370;BgL_ev_absz00_bglt BgL_i1244z00_11371;obj_t BgL_bodyz00_11372;long BgL_siza7ezd2framez75_11373;
BgL_ifreesz00_11368 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)0)))); 
BgL_iboxesz00_11369 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)1)))); 
BgL_siza7eza7_11370 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)2)))); 
BgL_i1244z00_11371 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)3)))); 
BgL_bodyz00_11372 = 
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11373 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13610;
BgL_bpz00_13610 = 
VECTOR_REF(
((obj_t)BgL_sz00_11374),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13611;
BgL_valza2za2_13611 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11374, BgL_bpz00_13610, BgL_ifreesz00_11368); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13612;
BgL_runz00_13612 = 
MAKE_FX_PROCEDURE(BGl_z62run4241z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)0)), BgL_iboxesz00_11369); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11370)); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)2)), BgL_valza2za2_13611); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11371)); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)4)), BgL_bodyz00_11372); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13613;
BgL_mainz00_13613 = 
MAKE_VA_PROCEDURE(BGl_z62main4240z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)0)), BgL_iboxesz00_11369); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11370)); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)2)), BgL_valza2za2_13611); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)3)), BgL_bodyz00_11372); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)4)), 
((obj_t)BgL_i1244z00_11371)); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)5)), BgL_runz00_13612); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11373)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13614;
BgL_objz00_13614 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13612, BgL_objz00_13614); BgL_objz00_13614; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3694z00_13615;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3695z00_13616;obj_t BgL_arg3696z00_13617;
BgL_arg3695z00_13616 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11371))->BgL_arityz00); 
BgL_arg3696z00_13617 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11371))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13618;
BgL_newz00_13618 = 
create_struct(BGl_symbol4271z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26962;
BgL_tmpz00_26962 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_26962, BgL_arg3696z00_13617); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26967;int BgL_tmpz00_26965;
BgL_auxz00_26967 = 
BINT(BgL_siza7ezd2framez75_11373); 
BgL_tmpz00_26965 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_26965, BgL_auxz00_26967); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26970;
BgL_tmpz00_26970 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_26970, BgL_runz00_13612); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26973;
BgL_tmpz00_26973 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13618, BgL_tmpz00_26973, BgL_arg3695z00_13616); } 
BgL_arg3694z00_13615 = BgL_newz00_13618; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13613, BgL_arg3694z00_13615); BgL_arg3694z00_13615; } 
return BgL_mainz00_13613;} } } } } } 

}



/* &main4240 */
obj_t BGl_z62main4240z62zz__evaluate_compz00(obj_t BgL_envz00_11375, obj_t BgL_az00_11383, obj_t BgL_bz00_11384, obj_t BgL_cz00_11385, obj_t BgL_dz00_11386, obj_t BgL_restz00_11387)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11380;obj_t BgL_runz00_11381;long BgL_siza7ezd2framez75_11382;
BgL_i1244z00_11380 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11375, 
(int)(((long)4)))); 
BgL_runz00_11381 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11375, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11382 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11375, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13619;
BgL_sz00_13619 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13620;
BgL_bpz00_13620 = 
VECTOR_REF(
((obj_t)BgL_sz00_13619),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13619, BgL_bpz00_13620, 
BINT(BgL_siza7ezd2framez75_11382)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3699z00_13621;
BgL_arg3699z00_13621 = 
(
(long)CINT(BgL_bpz00_13620)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3699z00_13621,BgL_az00_11383); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3700z00_13622;
BgL_arg3700z00_13622 = 
(
(long)CINT(BgL_bpz00_13620)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3700z00_13622,BgL_bz00_11384); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3701z00_13623;
BgL_arg3701z00_13623 = 
(
(long)CINT(BgL_bpz00_13620)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3701z00_13623,BgL_cz00_11385); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3702z00_13624;
BgL_arg3702z00_13624 = 
(
(long)CINT(BgL_bpz00_13620)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),BgL_arg3702z00_13624,BgL_dz00_11386); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_13619, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11380))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_13620)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11380))->BgL_arityz00), ((long)4)), BgL_restz00_11387, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11380))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13625;
BgL_ez00_13625 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13625, BgL_bpz00_13620); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13626;
BgL_accz00_13626 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11381, BgL_sz00_13619, BgL_bpz00_13620); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13625); 
VECTOR_SET(
((obj_t)BgL_sz00_13619),((long)0),BgL_bpz00_13620); 
return BgL_accz00_13626;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13627;
BgL_nsz00_13627 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13627,((long)1),BgL_sz00_13619); 
VECTOR_SET(BgL_nsz00_13627,((long)2),BgL_az00_11383); 
VECTOR_SET(BgL_nsz00_13627,((long)3),BgL_bz00_11384); 
VECTOR_SET(BgL_nsz00_13627,((long)4),BgL_cz00_11385); 
VECTOR_SET(BgL_nsz00_13627,((long)5),BgL_dz00_11386); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_13627, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11380))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11380))->BgL_arityz00), ((long)4)), BgL_restz00_11387, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11380))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13628;
BgL_z12denvz12_13628 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13628, BgL_nsz00_13627); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13629;
BgL_ez00_13629 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13629, BgL_sz00_13619); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13630;
BgL_____rz00_13630 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11381, BgL_nsz00_13627, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13629); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13628, BgL_sz00_13619); 
return BgL_____rz00_13630;} } } } } } } } 

}



/* &run4241 */
obj_t BGl_z62run4241z62zz__evaluate_compz00(obj_t BgL_envz00_11388, obj_t BgL_sz00_11394)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11389;long BgL_siza7eza7_11390;obj_t BgL_valza2za2_11391;BgL_ev_absz00_bglt BgL_i1244z00_11392;obj_t BgL_bodyz00_11393;
BgL_iboxesz00_11389 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)0)))); 
BgL_siza7eza7_11390 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)1)))); 
BgL_valza2za2_11391 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)2)))); 
BgL_i1244z00_11392 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)3)))); 
BgL_bodyz00_11393 = 
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13631;
BgL_bpz00_13631 = 
VECTOR_REF(
((obj_t)BgL_sz00_11394),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11394, BgL_iboxesz00_11389, BgL_bpz00_13631); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11394, BgL_valza2za2_11391, 
(
(long)CINT(BgL_bpz00_13631)+BgL_siza7eza7_11390)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13632;obj_t BgL_wherez00_13633;obj_t BgL_locz00_13634;
BgL_z12denvz12_13632 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13633 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11392))->BgL_wherez00); 
BgL_locz00_13634 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11392))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13632, BgL_wherez00_13633, BgL_locz00_13634); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13635;
BgL_za2za2resza2za2z00_13635 = 
PROCEDURE_ENTRY(BgL_bodyz00_11393)(BgL_bodyz00_11393, BgL_sz00_11394, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13632); 
return BgL_za2za2resza2za2z00_13635;} } } } } } 

}



/* &comp-ev_app1429 */
obj_t BGl_z62compzd2ev_app1429zb0zz__evaluate_compz00(obj_t BgL_envz00_11395, obj_t BgL_ez00_11396, obj_t BgL_stkz00_11397)
{
{ /* Eval/evaluate_comp.scm 1044 */
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL__ortest_1230z00_13637;
BgL__ortest_1230z00_13637 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_11396), BgL_stkz00_11397); 
if(
CBOOL(BgL__ortest_1230z00_13637))
{ /* Eval/evaluate_comp.scm 1046 */
return BgL__ortest_1230z00_13637;}  else 
{ /* Eval/evaluate_comp.scm 1047 */
obj_t BgL__ortest_1231z00_13638;
BgL__ortest_1231z00_13638 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_argsz00), BgL_stkz00_11397); 
if(
CBOOL(BgL__ortest_1231z00_13638))
{ /* Eval/evaluate_comp.scm 1047 */
return BgL__ortest_1231z00_13638;}  else 
{ /* Eval/evaluate_comp.scm 1047 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1048 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_11396), BgL_stkz00_11397);}  else 
{ /* Eval/evaluate_comp.scm 1050 */
obj_t BgL_fz00_13639;long BgL_siza7eza7_13640;obj_t BgL_symbzd2funzd2_13641;
BgL_fz00_13639 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), BgL_stkz00_11397); 
BgL_siza7eza7_13640 = 
bgl_list_length(BgL_stkz00_11397); 
BgL_symbzd2funzd2_13641 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1051 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), BgL_symbzd2funzd2_13641, BgL_fz00_13639, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_tailzf3zf3), BgL_stkz00_11397, BgL_siza7eza7_13640);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a1z00_13642;obj_t BgL_argsz00_13643;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3163z00_13644;
BgL_arg3163z00_13644 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_argsz00)); 
BgL_a1z00_13642 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3163z00_13644), BgL_stkz00_11397); } 
BgL_argsz00_13643 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_13643))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), BgL_symbzd2funzd2_13641, BgL_fz00_13639, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_tailzf3zf3), BgL_stkz00_11397, BgL_siza7eza7_13640, BgL_a1z00_13642);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a2z00_13645;obj_t BgL_argsz00_13646;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3162z00_13647;
BgL_arg3162z00_13647 = 
CAR(
((obj_t)BgL_argsz00_13643)); 
BgL_a2z00_13645 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3162z00_13647), BgL_stkz00_11397); } 
BgL_argsz00_13646 = 
CDR(
((obj_t)BgL_argsz00_13643)); 
if(
NULLP(BgL_argsz00_13646))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), BgL_symbzd2funzd2_13641, BgL_fz00_13639, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_tailzf3zf3), BgL_stkz00_11397, BgL_siza7eza7_13640, BgL_a1z00_13642, BgL_a2z00_13645);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a3z00_13648;obj_t BgL_argsz00_13649;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3161z00_13650;
BgL_arg3161z00_13650 = 
CAR(
((obj_t)BgL_argsz00_13646)); 
BgL_a3z00_13648 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3161z00_13650), BgL_stkz00_11397); } 
BgL_argsz00_13649 = 
CDR(
((obj_t)BgL_argsz00_13646)); 
if(
NULLP(BgL_argsz00_13649))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), BgL_symbzd2funzd2_13641, BgL_fz00_13639, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_tailzf3zf3), BgL_stkz00_11397, BgL_siza7eza7_13640, BgL_a1z00_13642, BgL_a2z00_13645, BgL_a3z00_13648);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a4z00_13651;obj_t BgL_argsz00_13652;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3160z00_13653;
BgL_arg3160z00_13653 = 
CAR(
((obj_t)BgL_argsz00_13649)); 
BgL_a4z00_13651 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3160z00_13653), BgL_stkz00_11397); } 
BgL_argsz00_13652 = 
CDR(
((obj_t)BgL_argsz00_13649)); 
if(
NULLP(BgL_argsz00_13652))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_funz00), BgL_symbzd2funzd2_13641, BgL_fz00_13639, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_11396)))->BgL_tailzf3zf3), BgL_stkz00_11397, BgL_siza7eza7_13640, BgL_a1z00_13642, BgL_a2z00_13645, BgL_a3z00_13648, BgL_a4z00_13651);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_errorz00zz__errorz00(BGl_string4254z00zz__evaluate_compz00, BGl_string4369z00zz__evaluate_compz00, BGl_string4370z00zz__evaluate_compz00);} } } } } } } } } } 

}



/* &comp-ev_goto1427 */
obj_t BGl_z62compzd2ev_goto1427zb0zz__evaluate_compz00(obj_t BgL_envz00_11398, obj_t BgL_ez00_11399, obj_t BgL_stkz00_11400)
{
{ /* Eval/evaluate_comp.scm 604 */
{ /* Eval/evaluate_comp.scm 607 */
obj_t BgL_slotz00_13657;long BgL_siza7eza7_13658;obj_t BgL_lstkz00_13659;
BgL_slotz00_13657 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_13658 = 
bgl_list_length(BgL_stkz00_11400); 
BgL_lstkz00_13659 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 609 */
long BgL_llstkz00_13660;obj_t BgL_substkz00_13661;obj_t BgL_boxesz00_13662;
BgL_llstkz00_13660 = 
bgl_list_length(BgL_lstkz00_13659); 
BgL_substkz00_13661 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_13659, BgL_stkz00_11400); 
{ /* Eval/evaluate_comp.scm 609 */
obj_t BgL_pairz00_13663;
BgL_pairz00_13663 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_13662 = 
CDR(BgL_pairz00_13663); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_argsz00), BgL_substkz00_13661))
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_argsz00_13664;long BgL_nbargsz00_13665;
BgL_argsz00_13664 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_argsz00), BgL_stkz00_11400); 
BgL_nbargsz00_13665 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 613 */
obj_t BgL_zc3z04anonymousza33118ze3z87_13666;
BgL_zc3z04anonymousza33118ze3z87_13666 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_13658)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)1)), 
BINT(BgL_llstkz00_13660)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_11399))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)3)), BgL_argsz00_13664); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)4)), BgL_boxesz00_13662); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_13665)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_13666, 
(int)(((long)6)), BgL_slotz00_13657); 
return BgL_zc3z04anonymousza33118ze3z87_13666;} }  else 
{ /* Eval/evaluate_comp.scm 618 */
obj_t BgL_argsz00_13667;
{ /* Eval/evaluate_comp.scm 618 */
obj_t BgL_lz00_13668;long BgL_nz00_13669;
BgL_lz00_13668 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_11399)))->BgL_argsz00); 
BgL_nz00_13669 = 
(BgL_siza7eza7_13658-BgL_llstkz00_13660); 
BgL_argsz00_13667 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_11400, BgL_lz00_13668, BgL_nz00_13669); } 
{ /* Eval/evaluate_comp.scm 619 */
obj_t BgL_zc3z04anonymousza33124ze3z87_13670;
BgL_zc3z04anonymousza33124ze3z87_13670 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_13670, 
(int)(((long)0)), 
BINT(BgL_llstkz00_13660)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_13670, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_11399))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_13670, 
(int)(((long)2)), BgL_argsz00_13667); 
PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_13670, 
(int)(((long)3)), BgL_boxesz00_13662); 
PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_13670, 
(int)(((long)4)), BgL_slotz00_13657); 
return BgL_zc3z04anonymousza33124ze3z87_13670;} } } } } 

}



/* &<@anonymous:3118> */
obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11401, obj_t BgL_sz00_11409)
{
{ /* Eval/evaluate_comp.scm 613 */
{ /* Eval/evaluate_comp.scm 613 */
long BgL_siza7eza7_11402;long BgL_llstkz00_11403;BgL_ev_gotoz00_bglt BgL_i1142z00_11404;obj_t BgL_argsz00_11405;obj_t BgL_boxesz00_11406;long BgL_nbargsz00_11407;obj_t BgL_slotz00_11408;
BgL_siza7eza7_11402 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)0)))); 
BgL_llstkz00_11403 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)1)))); 
BgL_i1142z00_11404 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)2)))); 
BgL_argsz00_11405 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)3)))); 
BgL_boxesz00_11406 = 
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)4))); 
BgL_nbargsz00_11407 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)5)))); 
BgL_slotz00_11408 = 
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 613 */
obj_t BgL_bpz00_13671;
BgL_bpz00_13671 = 
VECTOR_REF(
((obj_t)BgL_sz00_11409),((long)0)); 
{ /* Eval/evaluate_comp.scm 614 */
long BgL_spz00_13672;long BgL_lspz00_13673;
BgL_spz00_13672 = 
(
(long)CINT(BgL_bpz00_13671)+BgL_siza7eza7_11402); 
BgL_lspz00_13673 = 
(
(long)CINT(BgL_bpz00_13671)+BgL_llstkz00_11403); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_11409, BgL_argsz00_11405, BgL_boxesz00_11406, BgL_spz00_13672, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1142z00_11404))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 616 */
long BgL_arg3120z00_13674;
BgL_arg3120z00_13674 = 
(BgL_spz00_13672+BgL_nbargsz00_11407); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_11409, BgL_lspz00_13673, BgL_sz00_11409, 
BINT(BgL_spz00_13672), 
BINT(BgL_arg3120z00_13674)); } 
return 
CDR(
((obj_t)BgL_slotz00_11408));} } } } 

}



/* &<@anonymous:3124> */
obj_t BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11410, obj_t BgL_sz00_11416)
{
{ /* Eval/evaluate_comp.scm 619 */
{ /* Eval/evaluate_comp.scm 619 */
long BgL_llstkz00_11411;BgL_ev_gotoz00_bglt BgL_i1142z00_11412;obj_t BgL_argsz00_11413;obj_t BgL_boxesz00_11414;obj_t BgL_slotz00_11415;
BgL_llstkz00_11411 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)0)))); 
BgL_i1142z00_11412 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)1)))); 
BgL_argsz00_11413 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)2)))); 
BgL_boxesz00_11414 = 
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)3))); 
BgL_slotz00_11415 = 
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 619 */
obj_t BgL_bpz00_13675;
BgL_bpz00_13675 = 
VECTOR_REF(
((obj_t)BgL_sz00_11416),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_11416, BgL_argsz00_11413, BgL_boxesz00_11414, 
(
(long)CINT(BgL_bpz00_13675)+BgL_llstkz00_11411), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1142z00_11412))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_11415));} } } 

}



/* &comp-ev_labels1425 */
obj_t BGl_z62compzd2ev_labels1425zb0zz__evaluate_compz00(obj_t BgL_envz00_11417, obj_t BgL_ez00_11418, obj_t BgL_stkz00_11419)
{
{ /* Eval/evaluate_comp.scm 572 */
{ 
obj_t BgL_fz00_13678;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_11418)))->BgL_stkz00)=((obj_t)BgL_stkz00_11419),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_envz00_13680;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_l1329z00_13681;
BgL_l1329z00_13681 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_11418)))->BgL_varsz00); 
if(
NULLP(BgL_l1329z00_13681))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_13680 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_head1331z00_13682;
BgL_head1331z00_13682 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1329z00_13684;obj_t BgL_tail1332z00_13685;
BgL_l1329z00_13684 = BgL_l1329z00_13681; 
BgL_tail1332z00_13685 = BgL_head1331z00_13682; 
BgL_zc3z04anonymousza33109ze3z87_13683:
if(
NULLP(BgL_l1329z00_13684))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_13680 = 
CDR(BgL_head1331z00_13682); }  else 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_newtail1333z00_13686;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_arg3112z00_13687;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_vz00_13688;
BgL_vz00_13688 = 
CAR(
((obj_t)BgL_l1329z00_13684)); 
BgL_arg3112z00_13687 = 
MAKE_YOUNG_PAIR(BgL_vz00_13688, BGl_symbol4371z00zz__evaluate_compz00); } 
BgL_newtail1333z00_13686 = 
MAKE_YOUNG_PAIR(BgL_arg3112z00_13687, BNIL); } 
SET_CDR(BgL_tail1332z00_13685, BgL_newtail1333z00_13686); 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_arg3111z00_13689;
BgL_arg3111z00_13689 = 
CDR(
((obj_t)BgL_l1329z00_13684)); 
{ 
obj_t BgL_tail1332z00_27315;obj_t BgL_l1329z00_27314;
BgL_l1329z00_27314 = BgL_arg3111z00_13689; 
BgL_tail1332z00_27315 = BgL_newtail1333z00_13686; 
BgL_tail1332z00_13685 = BgL_tail1332z00_27315; 
BgL_l1329z00_13684 = BgL_l1329z00_27314; 
goto BgL_zc3z04anonymousza33109ze3z87_13683;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_11418)))->BgL_envz00)=((obj_t)BgL_envz00_13680),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_g1337z00_13690;
BgL_g1337z00_13690 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_11418)))->BgL_valsz00); 
{ 
obj_t BgL_ll1334z00_13692;obj_t BgL_ll1335z00_13693;
BgL_ll1334z00_13692 = BgL_envz00_13680; 
BgL_ll1335z00_13693 = BgL_g1337z00_13690; 
BgL_zc3z04anonymousza33099ze3z87_13691:
if(
NULLP(BgL_ll1334z00_13692))
{ /* Eval/evaluate_comp.scm 582 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 582 */
{ /* Eval/evaluate_comp.scm 584 */
obj_t BgL_slotz00_13694;obj_t BgL_valz00_13695;
BgL_slotz00_13694 = 
CAR(
((obj_t)BgL_ll1334z00_13692)); 
BgL_valz00_13695 = 
CAR(
((obj_t)BgL_ll1335z00_13693)); 
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3101z00_13696;
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3102z00_13697;
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3103z00_13698;obj_t BgL_arg3104z00_13699;
BgL_arg3103z00_13698 = 
CDR(
((obj_t)BgL_valz00_13695)); 
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3105z00_13700;
BgL_arg3105z00_13700 = 
CAR(
((obj_t)BgL_valz00_13695)); 
BgL_arg3104z00_13699 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_11419, BgL_arg3105z00_13700); } 
BgL_arg3102z00_13697 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3103z00_13698), BgL_arg3104z00_13699); } 
BgL_fz00_13678 = BgL_arg3102z00_13697; 
{ /* Eval/evaluate_comp.scm 574 */
obj_t BgL_objz00_13679;
BgL_objz00_13679 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 574 */
obj_t BgL_tmpz00_27333;
BgL_tmpz00_27333 = 
((obj_t)BgL_fz00_13678); 
PROCEDURE_ATTR_SET(BgL_tmpz00_27333, BgL_objz00_13679); } BgL_objz00_13679; } 
BgL_arg3101z00_13696 = BgL_fz00_13678; } 
{ /* Eval/evaluate_comp.scm 584 */
obj_t BgL_tmpz00_27336;
BgL_tmpz00_27336 = 
((obj_t)BgL_slotz00_13694); 
SET_CDR(BgL_tmpz00_27336, BgL_arg3101z00_13696); } } } 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_arg3106z00_13701;obj_t BgL_arg3107z00_13702;
BgL_arg3106z00_13701 = 
CDR(
((obj_t)BgL_ll1334z00_13692)); 
BgL_arg3107z00_13702 = 
CDR(
((obj_t)BgL_ll1335z00_13693)); 
{ 
obj_t BgL_ll1335z00_27344;obj_t BgL_ll1334z00_27343;
BgL_ll1334z00_27343 = BgL_arg3106z00_13701; 
BgL_ll1335z00_27344 = BgL_arg3107z00_13702; 
BgL_ll1335z00_13693 = BgL_ll1335z00_27344; 
BgL_ll1334z00_13692 = BgL_ll1334z00_27343; 
goto BgL_zc3z04anonymousza33099ze3z87_13691;} } } } } } 
{ /* Eval/evaluate_comp.scm 589 */
obj_t BgL_bodyz00_13703;
BgL_bodyz00_13703 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_11418)))->BgL_bodyz00), BgL_stkz00_11419); 
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_zc3z04anonymousza33113ze3z87_13704;
BgL_zc3z04anonymousza33113ze3z87_13704 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33113ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33113ze3z87_13704, 
(int)(((long)0)), BgL_bodyz00_13703); 
return BgL_zc3z04anonymousza33113ze3z87_13704;} } } } 

}



/* &<@anonymous:3113> */
obj_t BGl_z62zc3z04anonymousza33113ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11420, obj_t BgL_sz00_11422)
{
{ /* Eval/evaluate_comp.scm 590 */
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_bodyz00_11421;
BgL_bodyz00_11421 = 
PROCEDURE_REF(BgL_envz00_11420, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_bpz00_13705;
BgL_bpz00_13705 = 
VECTOR_REF(
((obj_t)BgL_sz00_11422),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_11421, BgL_sz00_11422);} } } 

}



/* &comp-ev_synchronize1423 */
obj_t BGl_z62compzd2ev_synchroniza7e1423z17zz__evaluate_compz00(obj_t BgL_envz00_11423, obj_t BgL_ez00_11424, obj_t BgL_stkz00_11425)
{
{ /* Eval/evaluate_comp.scm 552 */
{ /* Eval/evaluate_comp.scm 554 */
obj_t BgL_mutexz00_13707;obj_t BgL_prelockz00_13708;obj_t BgL_bodyz00_13709;
BgL_mutexz00_13707 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_11424)))->BgL_mutexz00), BgL_stkz00_11425); 
BgL_prelockz00_13708 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_11424)))->BgL_prelockz00), BgL_stkz00_11425); 
BgL_bodyz00_13709 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_11424)))->BgL_bodyz00), BgL_stkz00_11425); 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_zc3z04anonymousza33092ze3z87_13710;
BgL_zc3z04anonymousza33092ze3z87_13710 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33092ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33092ze3z87_13710, 
(int)(((long)0)), BgL_mutexz00_13707); 
PROCEDURE_SET(BgL_zc3z04anonymousza33092ze3z87_13710, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33092ze3z87_13710, 
(int)(((long)2)), BgL_prelockz00_13708); 
PROCEDURE_SET(BgL_zc3z04anonymousza33092ze3z87_13710, 
(int)(((long)3)), BgL_bodyz00_13709); 
return BgL_zc3z04anonymousza33092ze3z87_13710;} } } 

}



/* &<@anonymous:3092> */
obj_t BGl_z62zc3z04anonymousza33092ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11426, obj_t BgL_sz00_11431)
{
{ /* Eval/evaluate_comp.scm 557 */
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_mutexz00_11427;BgL_ev_synchroniza7eza7_bglt BgL_i1139z00_11428;obj_t BgL_prelockz00_11429;obj_t BgL_bodyz00_11430;
BgL_mutexz00_11427 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)0))); 
BgL_i1139z00_11428 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)1)))); 
BgL_prelockz00_11429 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)2))); 
BgL_bodyz00_11430 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_bpz00_13711;
BgL_bpz00_13711 = 
VECTOR_REF(
((obj_t)BgL_sz00_11431),((long)0)); 
{ /* Eval/evaluate_comp.scm 558 */
obj_t BgL_mz00_13712;
BgL_mz00_13712 = 
PROCEDURE_ENTRY(BgL_mutexz00_11427)(BgL_mutexz00_11427, BgL_sz00_11431, BEOA); 
if(
BGL_MUTEXP(BgL_mz00_13712))
{ /* Eval/evaluate_comp.scm 560 */
obj_t BgL_pz00_13713;
BgL_pz00_13713 = 
PROCEDURE_ENTRY(BgL_prelockz00_11429)(BgL_prelockz00_11429, BgL_sz00_11431, BEOA); 
{ /* Eval/evaluate_comp.scm 562 */
obj_t BgL_za2za2resza2za2z00_13714;
if(
PAIRP(BgL_pz00_13713))
{ /* Eval/evaluate_comp.scm 563 */
obj_t BgL_top5009z00_27404;
BgL_top5009z00_27404 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_13712, BgL_pz00_13713); 
BGL_EXITD_PUSH_PROTECT(BgL_top5009z00_27404, BgL_mz00_13712); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 563 */
obj_t BgL_tmp5008z00_27403;
BgL_tmp5008z00_27403 = 
PROCEDURE_ENTRY(BgL_bodyz00_11430)(BgL_bodyz00_11430, BgL_sz00_11431, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5009z00_27404); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_13712); 
BgL_za2za2resza2za2z00_13714 = BgL_tmp5008z00_27403; } }  else 
{ /* Eval/evaluate_comp.scm 564 */
obj_t BgL_top5011z00_27415;
BgL_top5011z00_27415 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_13712); 
BGL_EXITD_PUSH_PROTECT(BgL_top5011z00_27415, BgL_mz00_13712); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 564 */
obj_t BgL_tmp5010z00_27414;
BgL_tmp5010z00_27414 = 
PROCEDURE_ENTRY(BgL_bodyz00_11430)(BgL_bodyz00_11430, BgL_sz00_11431, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5011z00_27415); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_13712); 
BgL_za2za2resza2za2z00_13714 = BgL_tmp5010z00_27414; } } 
VECTOR_SET(
((obj_t)BgL_sz00_11431),((long)0),BgL_bpz00_13711); 
return BgL_za2za2resza2za2z00_13714;} }  else 
{ /* Eval/evaluate_comp.scm 559 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string4373z00zz__evaluate_compz00, BGl_string4374z00zz__evaluate_compz00, BgL_mz00_13712, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1139z00_11428))->BgL_locz00));} } } } } 

}



/* &comp-ev_with-handler1421 */
obj_t BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00(obj_t BgL_envz00_11432, obj_t BgL_ez00_11433, obj_t BgL_stkz00_11434)
{
{ /* Eval/evaluate_comp.scm 543 */
{ /* Eval/evaluate_comp.scm 545 */
obj_t BgL_handlerz00_13716;obj_t BgL_bodyz00_13717;
BgL_handlerz00_13716 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_11433)))->BgL_handlerz00), BgL_stkz00_11434); 
BgL_bodyz00_13717 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_11433)))->BgL_bodyz00), BgL_stkz00_11434); 
{ /* Eval/evaluate_comp.scm 546 */
obj_t BgL_zc3z04anonymousza33080ze3z87_13718;
BgL_zc3z04anonymousza33080ze3z87_13718 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33080ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33080ze3z87_13718, 
(int)(((long)0)), BgL_handlerz00_13716); 
PROCEDURE_SET(BgL_zc3z04anonymousza33080ze3z87_13718, 
(int)(((long)1)), BgL_bodyz00_13717); 
return BgL_zc3z04anonymousza33080ze3z87_13718;} } } 

}



/* &<@anonymous:3080> */
obj_t BGl_z62zc3z04anonymousza33080ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11435, obj_t BgL_sz00_11438)
{
{ /* Eval/evaluate_comp.scm 546 */
{ /* Eval/evaluate_comp.scm 546 */
obj_t BgL_handlerz00_11436;obj_t BgL_bodyz00_11437;
BgL_handlerz00_11436 = 
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)0))); 
BgL_bodyz00_11437 = 
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 546 */
obj_t BgL_bpz00_13719;
BgL_bpz00_13719 = 
VECTOR_REF(
((obj_t)BgL_sz00_11438),((long)0)); 
{ /* Eval/evaluate_comp.scm 547 */
obj_t BgL_hz00_13720;
BgL_hz00_13720 = 
PROCEDURE_ENTRY(BgL_handlerz00_11436)(BgL_handlerz00_11436, BgL_sz00_11438, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_za2za2resza2za2z00_13721;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_res1129z00_13722;
BgL_res1129z00_13722 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza33086ze3ze70z60zz__evaluate_compz00(BgL_sz00_11438, BgL_bodyz00_11437, BgL_res1129z00_13722)))
{ /* Eval/evaluate_comp.scm 549 */
{ /* Eval/evaluate_comp.scm 549 */
int BgL_tmpz00_27455;
BgL_tmpz00_27455 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_27455); } 
BgL_za2za2resza2za2z00_13721 = 
PROCEDURE_ENTRY(BgL_hz00_13720)(BgL_hz00_13720, 
CELL_REF(BgL_res1129z00_13722), BEOA); }  else 
{ /* Eval/evaluate_comp.scm 549 */
BgL_za2za2resza2za2z00_13721 = 
CELL_REF(BgL_res1129z00_13722); } } 
VECTOR_SET(
((obj_t)BgL_sz00_11438),((long)0),BgL_bpz00_13719); 
return BgL_za2za2resza2za2z00_13721;} } } } } 

}



/* <@exit:3086>~0 */
obj_t BGl_zc3z04exitza33086ze3ze70z60zz__evaluate_compz00(obj_t BgL_sz00_11626, obj_t BgL_bodyz00_11625, obj_t BgL_res1129z00_11624)
{
{ /* Eval/evaluate_comp.scm 549 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1135z00_4224;
if( SET_EXIT(BgL_an_exit1135z00_4224 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1135z00_4224 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 549 */

PUSH_EXIT(BgL_an_exit1135z00_4224, ((long)1)); 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_an_exitd1136z00_4225;
BgL_an_exitd1136z00_4225 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 549 */
bool_t BgL_res1138z00_4228;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_ohs1127z00_4229;
BgL_ohs1127z00_4229 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_exitd1132z00_4230;
BgL_exitd1132z00_4230 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza33089ze3z87_10406;
BgL_zc3z04anonymousza33089ze3z87_10406 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33089ze3z87_10406, 
(int)(((long)0)), BgL_ohs1127z00_4229); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1132z00_4230, BgL_zc3z04anonymousza33089ze3z87_10406); 
{ /* Eval/evaluate_comp.scm 549 */
bool_t BgL_tmp1134z00_4232;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_zc3z04anonymousza33088ze3z87_10405;
BgL_zc3z04anonymousza33088ze3z87_10405 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33088ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33088ze3z87_10405, 
(int)(((long)0)), 
((obj_t)BgL_res1129z00_11624)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33088ze3z87_10405, 
(int)(((long)1)), BgL_an_exitd1136z00_4225); 
BGL_ERROR_HANDLER_PUSH(BgL_zc3z04anonymousza33088ze3z87_10405, BgL_ohs1127z00_4229); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_auxz00_11440;
BgL_auxz00_11440 = 
PROCEDURE_ENTRY(BgL_bodyz00_11625)(BgL_bodyz00_11625, BgL_sz00_11626, BEOA); 
CELL_SET(BgL_res1129z00_11624, BgL_auxz00_11440); } 
BgL_tmp1134z00_4232 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1132z00_4230); 
BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33089ze3z87_10406); 
BgL_res1138z00_4228 = BgL_tmp1134z00_4232; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1138z00_4228);} } } 
}} 

}



/* &<@anonymous:3088> */
obj_t BGl_z62zc3z04anonymousza33088ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11442, obj_t BgL_ez00_11445)
{
{ /* Eval/evaluate_comp.scm 549 */
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_res1129z00_11443;obj_t BgL_an_exitd1136z00_11444;
BgL_res1129z00_11443 = 
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)0))); 
BgL_an_exitd1136z00_11444 = 
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)1))); 
CELL_SET(BgL_res1129z00_11443, BgL_ez00_11445); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1136z00_11444, BTRUE);} } 

}



/* &<@anonymous:3089> */
obj_t BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11447)
{
{ /* Eval/evaluate_comp.scm 549 */
{ 
obj_t BgL_ohs1127z00_11448;
BgL_ohs1127z00_11448 = 
PROCEDURE_REF(BgL_envz00_11447, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1127z00_11448); 
return BUNSPEC;} } 

}



/* &comp-ev_unwind-prote1419 */
obj_t BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00(obj_t BgL_envz00_11449, obj_t BgL_ez00_11450, obj_t BgL_stkz00_11451)
{
{ /* Eval/evaluate_comp.scm 534 */
{ /* Eval/evaluate_comp.scm 536 */
obj_t BgL_ez00_13724;obj_t BgL_bodyz00_13725;
BgL_ez00_13724 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_11450)))->BgL_ez00), BgL_stkz00_11451); 
BgL_bodyz00_13725 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_11450)))->BgL_bodyz00), BgL_stkz00_11451); 
{ /* Eval/evaluate_comp.scm 537 */
obj_t BgL_zc3z04anonymousza33076ze3z87_13726;
BgL_zc3z04anonymousza33076ze3z87_13726 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33076ze3z87_13726, 
(int)(((long)0)), BgL_bodyz00_13725); 
PROCEDURE_SET(BgL_zc3z04anonymousza33076ze3z87_13726, 
(int)(((long)1)), BgL_ez00_13724); 
return BgL_zc3z04anonymousza33076ze3z87_13726;} } } 

}



/* &<@anonymous:3076> */
obj_t BGl_z62zc3z04anonymousza33076ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11452, obj_t BgL_sz00_11455)
{
{ /* Eval/evaluate_comp.scm 537 */
{ /* Eval/evaluate_comp.scm 537 */
obj_t BgL_bodyz00_11453;obj_t BgL_ez00_11454;
BgL_bodyz00_11453 = 
PROCEDURE_REF(BgL_envz00_11452, 
(int)(((long)0))); 
BgL_ez00_11454 = 
PROCEDURE_REF(BgL_envz00_11452, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 537 */
obj_t BgL_bpz00_13727;
BgL_bpz00_13727 = 
VECTOR_REF(
((obj_t)BgL_sz00_11455),((long)0)); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_exitd1123z00_13728;
BgL_exitd1123z00_13728 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_zc3z04anonymousza33077ze3z87_13729;
BgL_zc3z04anonymousza33077ze3z87_13729 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_13729, 
(int)(((long)0)), BgL_sz00_11455); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_13729, 
(int)(((long)1)), BgL_bpz00_13727); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_13729, 
(int)(((long)2)), BgL_bodyz00_11453); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1123z00_13728, BgL_zc3z04anonymousza33077ze3z87_13729); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_tmp1125z00_13730;
BgL_tmp1125z00_13730 = 
PROCEDURE_ENTRY(BgL_ez00_11454)(BgL_ez00_11454, BgL_sz00_11455, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1123z00_13728); 
BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33077ze3z87_13729); 
return BgL_tmp1125z00_13730;} } } } } } 

}



/* &<@anonymous:3077> */
obj_t BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11456)
{
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_sz00_11457;obj_t BgL_savedzd2bpzd2_11458;obj_t BgL_bodyz00_11459;
BgL_sz00_11457 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_11458 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)1))); 
BgL_bodyz00_11459 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_11457),((long)0),BgL_savedzd2bpzd2_11458); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_11459)(BgL_bodyz00_11459, BgL_sz00_11457, BEOA);} } 

}



/* &comp-ev_bind-exit1417 */
obj_t BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00(obj_t BgL_envz00_11460, obj_t BgL_ez00_11461, obj_t BgL_stkz00_11462)
{
{ /* Eval/evaluate_comp.scm 523 */
{ /* Eval/evaluate_comp.scm 525 */
long BgL_siza7eza7_13732;obj_t BgL_nstkz00_13733;
BgL_siza7eza7_13732 = 
bgl_list_length(BgL_stkz00_11462); 
{ /* Eval/evaluate_comp.scm 525 */
obj_t BgL_arg3074z00_13734;
{ /* Eval/evaluate_comp.scm 525 */
BgL_ev_varz00_bglt BgL_arg3075z00_13735;
BgL_arg3075z00_13735 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_11461)))->BgL_varz00); 
BgL_arg3074z00_13734 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3075z00_13735), BNIL); } 
BgL_nstkz00_13733 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_11462, BgL_arg3074z00_13734); } 
{ /* Eval/evaluate_comp.scm 526 */
obj_t BgL_bodyz00_13736;obj_t BgL_effzf3zf3_13737;
BgL_bodyz00_13736 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_11461)))->BgL_bodyz00), BgL_nstkz00_13733); 
BgL_effzf3zf3_13737 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_11461)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 527 */
obj_t BgL_zc3z04anonymousza33069ze3z87_13738;
BgL_zc3z04anonymousza33069ze3z87_13738 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33069ze3z87_13738, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_13732)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33069ze3z87_13738, 
(int)(((long)1)), BgL_effzf3zf3_13737); 
PROCEDURE_SET(BgL_zc3z04anonymousza33069ze3z87_13738, 
(int)(((long)2)), BgL_bodyz00_13736); 
return BgL_zc3z04anonymousza33069ze3z87_13738;} } } } 

}



/* &<@anonymous:3069> */
obj_t BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11463, obj_t BgL_sz00_11467)
{
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 527 */
long BgL_siza7eza7_11464;obj_t BgL_effzf3zf3_11465;obj_t BgL_bodyz00_11466;
BgL_siza7eza7_11464 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)0)))); 
BgL_effzf3zf3_11465 = 
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)1))); 
BgL_bodyz00_11466 = 
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 527 */
obj_t BgL_bpz00_13739;
BgL_bpz00_13739 = 
VECTOR_REF(
((obj_t)BgL_sz00_11467),((long)0)); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_za2za2resza2za2z00_13740;
BgL_za2za2resza2za2z00_13740 = 
BGl_zc3z04exitza33070ze3ze70z60zz__evaluate_compz00(BgL_bodyz00_11466, BgL_sz00_11467, BgL_effzf3zf3_11465, BgL_siza7eza7_11464, BgL_bpz00_13739); 
VECTOR_SET(
((obj_t)BgL_sz00_11467),((long)0),BgL_bpz00_13739); 
return BgL_za2za2resza2za2z00_13740;} } } } 

}



/* <@exit:3070>~0 */
obj_t BGl_zc3z04exitza33070ze3ze70z60zz__evaluate_compz00(obj_t BgL_bodyz00_11623, obj_t BgL_sz00_11622, obj_t BgL_effzf3zf3_11621, long BgL_siza7eza7_11620, obj_t BgL_bpz00_11619)
{
{ /* Eval/evaluate_comp.scm 529 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1118z00_4160;
if( SET_EXIT(BgL_an_exit1118z00_4160 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_4160 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 529 */

PUSH_EXIT(BgL_an_exit1118z00_4160, ((long)1)); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_an_exitd1119z00_4161;
BgL_an_exitd1119z00_4161 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_exitz00_10412;
BgL_exitz00_10412 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_10412, 
(int)(((long)0)), BgL_an_exitd1119z00_4161); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_res1121z00_4164;
{ /* Eval/evaluate_comp.scm 530 */
long BgL_arg3071z00_4165;obj_t BgL_arg3072z00_4166;
BgL_arg3071z00_4165 = 
(
(long)CINT(BgL_bpz00_11619)+BgL_siza7eza7_11620); 
if(
CBOOL(BgL_effzf3zf3_11621))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8262;
BgL_newz00_8262 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_27595;
BgL_tmpz00_27595 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8262, BgL_tmpz00_27595, BgL_exitz00_10412); } 
BgL_arg3072z00_4166 = BgL_newz00_8262; }  else 
{ /* Eval/evaluate_comp.scm 530 */
BgL_arg3072z00_4166 = BgL_exitz00_10412; } 
VECTOR_SET(
((obj_t)BgL_sz00_11622),BgL_arg3071z00_4165,BgL_arg3072z00_4166); } 
BgL_res1121z00_4164 = 
PROCEDURE_ENTRY(BgL_bodyz00_11623)(BgL_bodyz00_11623, BgL_sz00_11622, BEOA); 
POP_EXIT(); 
return BgL_res1121z00_4164;} } } } 
}} 

}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_11468, obj_t BgL_val1120z00_11470)
{
{ /* Eval/evaluate_comp.scm 529 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_11468, 
(int)(((long)0))), BgL_val1120z00_11470);} 

}



/* &comp-ev_letrec1415 */
obj_t BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00(obj_t BgL_envz00_11471, obj_t BgL_ez00_11472, obj_t BgL_stkz00_11473)
{
{ /* Eval/evaluate_comp.scm 494 */
{ /* Eval/evaluate_comp.scm 496 */
long BgL_siza7eza7_13742;obj_t BgL_nstkz00_13743;
BgL_siza7eza7_13742 = 
bgl_list_length(BgL_stkz00_11473); 
{ /* Eval/evaluate_comp.scm 496 */
obj_t BgL_arg3068z00_13744;
BgL_arg3068z00_13744 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_11472))))->BgL_varsz00); 
BgL_nstkz00_13743 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_11473, BgL_arg3068z00_13744); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_cvalsz00_13745;obj_t BgL_bodyz00_13746;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_l1315z00_13747;
BgL_l1315z00_13747 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_11472))))->BgL_valsz00); 
if(
NULLP(BgL_l1315z00_13747))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_13745 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_head1317z00_13748;
BgL_head1317z00_13748 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1315z00_13750;obj_t BgL_tail1318z00_13751;
BgL_l1315z00_13750 = BgL_l1315z00_13747; 
BgL_tail1318z00_13751 = BgL_head1317z00_13748; 
BgL_zc3z04anonymousza33063ze3z87_13749:
if(
NULLP(BgL_l1315z00_13750))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_13745 = 
CDR(BgL_head1317z00_13748); }  else 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_newtail1319z00_13752;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg3066z00_13753;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_vz00_13754;
BgL_vz00_13754 = 
CAR(
((obj_t)BgL_l1315z00_13750)); 
BgL_arg3066z00_13753 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_13754), BgL_nstkz00_13743); } 
BgL_newtail1319z00_13752 = 
MAKE_YOUNG_PAIR(BgL_arg3066z00_13753, BNIL); } 
SET_CDR(BgL_tail1318z00_13751, BgL_newtail1319z00_13752); 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg3065z00_13755;
BgL_arg3065z00_13755 = 
CDR(
((obj_t)BgL_l1315z00_13750)); 
{ 
obj_t BgL_tail1318z00_27631;obj_t BgL_l1315z00_27630;
BgL_l1315z00_27630 = BgL_arg3065z00_13755; 
BgL_tail1318z00_27631 = BgL_newtail1319z00_13752; 
BgL_tail1318z00_13751 = BgL_tail1318z00_27631; 
BgL_l1315z00_13750 = BgL_l1315z00_27630; 
goto BgL_zc3z04anonymousza33063ze3z87_13749;} } } } } } 
{ /* Eval/evaluate_comp.scm 498 */
BgL_ev_exprz00_bglt BgL_arg3067z00_13756;
BgL_arg3067z00_13756 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_11472))))->BgL_bodyz00); 
BgL_bodyz00_13746 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3067z00_13756, BgL_nstkz00_13743); } 
{ /* Eval/evaluate_comp.scm 499 */
bool_t BgL_test5016z00_27636;
{ 
obj_t BgL_l1320z00_13758;
BgL_l1320z00_13758 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_11472))))->BgL_valsz00); 
BgL_zc3z04anonymousza33060ze3z87_13757:
if(
NULLP(BgL_l1320z00_13758))
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5016z00_27636 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 499 */
bool_t BgL_test5018z00_27639;
{ /* Eval/evaluate_comp.scm 499 */
obj_t BgL_vz00_13759;
BgL_vz00_13759 = 
CAR(
((obj_t)BgL_l1320z00_13758)); 
BgL_test5018z00_27639 = 
BGl_isazf3zf3zz__objectz00(BgL_vz00_13759, BGl_ev_absz00zz__evaluate_typesz00); } 
if(BgL_test5018z00_27639)
{ 
obj_t BgL_l1320z00_27643;
BgL_l1320z00_27643 = 
CDR(
((obj_t)BgL_l1320z00_13758)); 
BgL_l1320z00_13758 = BgL_l1320z00_27643; 
goto BgL_zc3z04anonymousza33060ze3z87_13757;}  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5016z00_27636 = ((bool_t)0)
; } } } 
if(BgL_test5016z00_27636)
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_zc3z04anonymousza33030ze3z87_13760;
BgL_zc3z04anonymousza33030ze3z87_13760 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_13760, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_13742)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_13760, 
(int)(((long)1)), BgL_cvalsz00_13745); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_13760, 
(int)(((long)2)), BgL_bodyz00_13746); 
return BgL_zc3z04anonymousza33030ze3z87_13760;}  else 
{ /* Eval/evaluate_comp.scm 510 */
obj_t BgL_zc3z04anonymousza33043ze3z87_13761;
BgL_zc3z04anonymousza33043ze3z87_13761 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33043ze3z87_13761, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_13742)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33043ze3z87_13761, 
(int)(((long)1)), BgL_cvalsz00_13745); 
PROCEDURE_SET(BgL_zc3z04anonymousza33043ze3z87_13761, 
(int)(((long)2)), BgL_bodyz00_13746); 
return BgL_zc3z04anonymousza33043ze3z87_13761;} } } } } 

}



/* &<@anonymous:3030> */
obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11474, obj_t BgL_sz00_11478)
{
{ /* Eval/evaluate_comp.scm 500 */
{ /* Eval/evaluate_comp.scm 500 */
long BgL_siza7eza7_11475;obj_t BgL_cvalsz00_11476;obj_t BgL_bodyz00_11477;
BgL_siza7eza7_11475 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11474, 
(int)(((long)0)))); 
BgL_cvalsz00_11476 = 
PROCEDURE_REF(BgL_envz00_11474, 
(int)(((long)1))); 
BgL_bodyz00_11477 = 
PROCEDURE_REF(BgL_envz00_11474, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_bpz00_13762;
BgL_bpz00_13762 = 
VECTOR_REF(
((obj_t)BgL_sz00_11478),((long)0)); 
{ /* Eval/evaluate_comp.scm 501 */
long BgL_g1112z00_13763;
BgL_g1112z00_13763 = 
(
(long)CINT(BgL_bpz00_13762)+BgL_siza7eza7_11475); 
{ 
obj_t BgL_lz00_13765;long BgL_iz00_13766;
BgL_lz00_13765 = BgL_cvalsz00_11476; 
BgL_iz00_13766 = BgL_g1112z00_13763; 
BgL_recz00_13764:
if(
NULLP(BgL_lz00_13765))
{ /* Eval/evaluate_comp.scm 502 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 502 */
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_arg3033z00_13767;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_13768;
BgL_newz00_13768 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_27684;
BgL_tmpz00_27684 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13768, BgL_tmpz00_27684, BUNSPEC); } 
BgL_arg3033z00_13767 = BgL_newz00_13768; } 
VECTOR_SET(
((obj_t)BgL_sz00_11478),BgL_iz00_13766,BgL_arg3033z00_13767); } 
{ /* Eval/evaluate_comp.scm 504 */
obj_t BgL_arg3034z00_13769;long BgL_arg3035z00_13770;
BgL_arg3034z00_13769 = 
CDR(
((obj_t)BgL_lz00_13765)); 
BgL_arg3035z00_13770 = 
(BgL_iz00_13766+((long)1)); 
{ 
long BgL_iz00_27693;obj_t BgL_lz00_27692;
BgL_lz00_27692 = BgL_arg3034z00_13769; 
BgL_iz00_27693 = BgL_arg3035z00_13770; 
BgL_iz00_13766 = BgL_iz00_27693; 
BgL_lz00_13765 = BgL_lz00_27692; 
goto BgL_recz00_13764;} } } } } 
{ /* Eval/evaluate_comp.scm 505 */
long BgL_g1113z00_13771;
BgL_g1113z00_13771 = 
(
(long)CINT(BgL_bpz00_13762)+BgL_siza7eza7_11475); 
{ 
obj_t BgL_lz00_13773;long BgL_iz00_13774;
BgL_lz00_13773 = BgL_cvalsz00_11476; 
BgL_iz00_13774 = BgL_g1113z00_13771; 
BgL_recz00_13772:
if(
NULLP(BgL_lz00_13773))
{ /* Eval/evaluate_comp.scm 506 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 506 */
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_arg3038z00_13775;obj_t BgL_arg3039z00_13776;
BgL_arg3038z00_13775 = 
VECTOR_REF(
((obj_t)BgL_sz00_11478),BgL_iz00_13774); 
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_fun3040z00_13777;
BgL_fun3040z00_13777 = 
CAR(
((obj_t)BgL_lz00_13773)); 
BgL_arg3039z00_13776 = 
PROCEDURE_ENTRY(BgL_fun3040z00_13777)(BgL_fun3040z00_13777, BgL_sz00_11478, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_27708;obj_t BgL_tmpz00_27706;
BgL_auxz00_27708 = 
(int)(((long)0)); 
BgL_tmpz00_27706 = 
((obj_t)BgL_arg3038z00_13775); 
STRUCT_SET(BgL_tmpz00_27706, BgL_auxz00_27708, BgL_arg3039z00_13776); } } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3041z00_13778;long BgL_arg3042z00_13779;
BgL_arg3041z00_13778 = 
CDR(
((obj_t)BgL_lz00_13773)); 
BgL_arg3042z00_13779 = 
(BgL_iz00_13774+((long)1)); 
{ 
long BgL_iz00_27715;obj_t BgL_lz00_27714;
BgL_lz00_27714 = BgL_arg3041z00_13778; 
BgL_iz00_27715 = BgL_arg3042z00_13779; 
BgL_iz00_13774 = BgL_iz00_27715; 
BgL_lz00_13773 = BgL_lz00_27714; 
goto BgL_recz00_13772;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_11477)(BgL_bodyz00_11477, BgL_sz00_11478, BEOA);} } } 

}



/* &<@anonymous:3043> */
obj_t BGl_z62zc3z04anonymousza33043ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11479, obj_t BgL_sz00_11483)
{
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 510 */
long BgL_siza7eza7_11480;obj_t BgL_cvalsz00_11481;obj_t BgL_bodyz00_11482;
BgL_siza7eza7_11480 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11479, 
(int)(((long)0)))); 
BgL_cvalsz00_11481 = 
PROCEDURE_REF(BgL_envz00_11479, 
(int)(((long)1))); 
BgL_bodyz00_11482 = 
PROCEDURE_REF(BgL_envz00_11479, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 510 */
obj_t BgL_bpz00_13780;
BgL_bpz00_13780 = 
VECTOR_REF(
((obj_t)BgL_sz00_11483),((long)0)); 
{ /* Eval/evaluate_comp.scm 511 */
long BgL_g1114z00_13781;
BgL_g1114z00_13781 = 
(
(long)CINT(BgL_bpz00_13780)+BgL_siza7eza7_11480); 
{ 
obj_t BgL_lz00_13783;long BgL_iz00_13784;
BgL_lz00_13783 = BgL_cvalsz00_11481; 
BgL_iz00_13784 = BgL_g1114z00_13781; 
BgL_recz00_13782:
if(
NULLP(BgL_lz00_13783))
{ /* Eval/evaluate_comp.scm 512 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 512 */
{ /* Eval/evaluate_comp.scm 513 */
obj_t BgL_arg3046z00_13785;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_13786;
BgL_newz00_13786 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_27735;
BgL_tmpz00_27735 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13786, BgL_tmpz00_27735, BUNSPEC); } 
BgL_arg3046z00_13785 = BgL_newz00_13786; } 
VECTOR_SET(
((obj_t)BgL_sz00_11483),BgL_iz00_13784,BgL_arg3046z00_13785); } 
{ /* Eval/evaluate_comp.scm 514 */
obj_t BgL_arg3047z00_13787;long BgL_arg3048z00_13788;
BgL_arg3047z00_13787 = 
CDR(
((obj_t)BgL_lz00_13783)); 
BgL_arg3048z00_13788 = 
(BgL_iz00_13784+((long)1)); 
{ 
long BgL_iz00_27744;obj_t BgL_lz00_27743;
BgL_lz00_27743 = BgL_arg3047z00_13787; 
BgL_iz00_27744 = BgL_arg3048z00_13788; 
BgL_iz00_13784 = BgL_iz00_27744; 
BgL_lz00_13783 = BgL_lz00_27743; 
goto BgL_recz00_13782;} } } } } 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_rvalsz00_13789;
if(
NULLP(BgL_cvalsz00_11481))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_13789 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_head1326z00_13790;
BgL_head1326z00_13790 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1324z00_13792;obj_t BgL_tail1327z00_13793;
BgL_l1324z00_13792 = BgL_cvalsz00_11481; 
BgL_tail1327z00_13793 = BgL_head1326z00_13790; 
BgL_zc3z04anonymousza33056ze3z87_13791:
if(
NULLP(BgL_l1324z00_13792))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_13789 = 
CDR(BgL_head1326z00_13790); }  else 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_newtail1328z00_13794;
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_arg3059z00_13795;
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_vz00_13796;
BgL_vz00_13796 = 
CAR(
((obj_t)BgL_l1324z00_13792)); 
BgL_arg3059z00_13795 = 
PROCEDURE_ENTRY(BgL_vz00_13796)(BgL_vz00_13796, BgL_sz00_11483, BEOA); } 
BgL_newtail1328z00_13794 = 
MAKE_YOUNG_PAIR(BgL_arg3059z00_13795, BNIL); } 
SET_CDR(BgL_tail1327z00_13793, BgL_newtail1328z00_13794); 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_arg3058z00_13797;
BgL_arg3058z00_13797 = 
CDR(
((obj_t)BgL_l1324z00_13792)); 
{ 
obj_t BgL_tail1327z00_27762;obj_t BgL_l1324z00_27761;
BgL_l1324z00_27761 = BgL_arg3058z00_13797; 
BgL_tail1327z00_27762 = BgL_newtail1328z00_13794; 
BgL_tail1327z00_13793 = BgL_tail1327z00_27762; 
BgL_l1324z00_13792 = BgL_l1324z00_27761; 
goto BgL_zc3z04anonymousza33056ze3z87_13791;} } } } } 
{ /* Eval/evaluate_comp.scm 516 */
long BgL_g1115z00_13798;
BgL_g1115z00_13798 = 
(
(long)CINT(BgL_bpz00_13780)+BgL_siza7eza7_11480); 
{ 
obj_t BgL_lz00_13800;long BgL_iz00_13801;
BgL_lz00_13800 = BgL_rvalsz00_13789; 
BgL_iz00_13801 = BgL_g1115z00_13798; 
BgL_recz00_13799:
if(
NULLP(BgL_lz00_13800))
{ /* Eval/evaluate_comp.scm 517 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 517 */
{ /* Eval/evaluate_comp.scm 518 */
obj_t BgL_arg3051z00_13802;obj_t BgL_arg3052z00_13803;
BgL_arg3051z00_13802 = 
VECTOR_REF(
((obj_t)BgL_sz00_11483),BgL_iz00_13801); 
BgL_arg3052z00_13803 = 
CAR(
((obj_t)BgL_lz00_13800)); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_27773;obj_t BgL_tmpz00_27771;
BgL_auxz00_27773 = 
(int)(((long)0)); 
BgL_tmpz00_27771 = 
((obj_t)BgL_arg3051z00_13802); 
STRUCT_SET(BgL_tmpz00_27771, BgL_auxz00_27773, BgL_arg3052z00_13803); } } 
{ /* Eval/evaluate_comp.scm 519 */
obj_t BgL_arg3053z00_13804;long BgL_arg3054z00_13805;
BgL_arg3053z00_13804 = 
CDR(
((obj_t)BgL_lz00_13800)); 
BgL_arg3054z00_13805 = 
(BgL_iz00_13801+((long)1)); 
{ 
long BgL_iz00_27780;obj_t BgL_lz00_27779;
BgL_lz00_27779 = BgL_arg3053z00_13804; 
BgL_iz00_27780 = BgL_arg3054z00_13805; 
BgL_iz00_13801 = BgL_iz00_27780; 
BgL_lz00_13800 = BgL_lz00_27779; 
goto BgL_recz00_13799;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_11482)(BgL_bodyz00_11482, BgL_sz00_11483, BEOA);} } } } 

}



/* &comp-ev_let*1413 */
obj_t BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00(obj_t BgL_envz00_11484, obj_t BgL_ez00_11485, obj_t BgL_stkz00_11486)
{
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 483 */
long BgL_siza7eza7_13807;obj_t BgL_nstkz00_13808;
BgL_siza7eza7_13807 = 
bgl_list_length(BgL_stkz00_11486); 
{ /* Eval/evaluate_comp.scm 483 */
obj_t BgL_arg3025z00_13809;
BgL_arg3025z00_13809 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_11485))))->BgL_varsz00); 
BgL_nstkz00_13808 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_11486, BgL_arg3025z00_13809); } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_valsz00_13810;obj_t BgL_bodyz00_13811;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_l1310z00_13812;
BgL_l1310z00_13812 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_11485))))->BgL_valsz00); 
if(
NULLP(BgL_l1310z00_13812))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_13810 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_head1312z00_13813;
BgL_head1312z00_13813 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1310z00_13815;obj_t BgL_tail1313z00_13816;
BgL_l1310z00_13815 = BgL_l1310z00_13812; 
BgL_tail1313z00_13816 = BgL_head1312z00_13813; 
BgL_zc3z04anonymousza33020ze3z87_13814:
if(
NULLP(BgL_l1310z00_13815))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_13810 = 
CDR(BgL_head1312z00_13813); }  else 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_newtail1314z00_13817;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg3023z00_13818;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_vz00_13819;
BgL_vz00_13819 = 
CAR(
((obj_t)BgL_l1310z00_13815)); 
BgL_arg3023z00_13818 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_13819), BgL_nstkz00_13808); } 
BgL_newtail1314z00_13817 = 
MAKE_YOUNG_PAIR(BgL_arg3023z00_13818, BNIL); } 
SET_CDR(BgL_tail1313z00_13816, BgL_newtail1314z00_13817); 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg3022z00_13820;
BgL_arg3022z00_13820 = 
CDR(
((obj_t)BgL_l1310z00_13815)); 
{ 
obj_t BgL_tail1313z00_27808;obj_t BgL_l1310z00_27807;
BgL_l1310z00_27807 = BgL_arg3022z00_13820; 
BgL_tail1313z00_27808 = BgL_newtail1314z00_13817; 
BgL_tail1313z00_13816 = BgL_tail1313z00_27808; 
BgL_l1310z00_13815 = BgL_l1310z00_27807; 
goto BgL_zc3z04anonymousza33020ze3z87_13814;} } } } } } 
{ /* Eval/evaluate_comp.scm 485 */
BgL_ev_exprz00_bglt BgL_arg3024z00_13821;
BgL_arg3024z00_13821 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_11485))))->BgL_bodyz00); 
BgL_bodyz00_13811 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3024z00_13821, BgL_nstkz00_13808); } 
{ /* Eval/evaluate_comp.scm 486 */
obj_t BgL_zc3z04anonymousza33009ze3z87_13822;
BgL_zc3z04anonymousza33009ze3z87_13822 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33009ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33009ze3z87_13822, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_13807)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33009ze3z87_13822, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_11485))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33009ze3z87_13822, 
(int)(((long)2)), BgL_valsz00_13810); 
PROCEDURE_SET(BgL_zc3z04anonymousza33009ze3z87_13822, 
(int)(((long)3)), BgL_bodyz00_13811); 
return BgL_zc3z04anonymousza33009ze3z87_13822;} } } } 

}



/* &<@anonymous:3009> */
obj_t BGl_z62zc3z04anonymousza33009ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11487, obj_t BgL_sz00_11492)
{
{ /* Eval/evaluate_comp.scm 486 */
{ /* Eval/evaluate_comp.scm 486 */
long BgL_siza7eza7_11488;BgL_ev_letza2za2_bglt BgL_i1109z00_11489;obj_t BgL_valsz00_11490;obj_t BgL_bodyz00_11491;
BgL_siza7eza7_11488 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11487, 
(int)(((long)0)))); 
BgL_i1109z00_11489 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_11487, 
(int)(((long)1)))); 
BgL_valsz00_11490 = 
PROCEDURE_REF(BgL_envz00_11487, 
(int)(((long)2))); 
BgL_bodyz00_11491 = 
PROCEDURE_REF(BgL_envz00_11487, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 486 */
obj_t BgL_bpz00_13823;
BgL_bpz00_13823 = 
VECTOR_REF(
((obj_t)BgL_sz00_11492),((long)0)); 
{ /* Eval/evaluate_comp.scm 487 */
long BgL_g1110z00_13824;
BgL_g1110z00_13824 = 
(
(long)CINT(BgL_bpz00_13823)+BgL_siza7eza7_11488); 
{ 
obj_t BgL_lz00_13826;long BgL_iz00_13827;obj_t BgL_bza2za2_13828;
BgL_lz00_13826 = BgL_valsz00_11490; 
BgL_iz00_13827 = BgL_g1110z00_13824; 
BgL_bza2za2_13828 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1109z00_11489))->BgL_boxesz00); 
BgL_recz00_13825:
if(
NULLP(BgL_lz00_13826))
{ /* Eval/evaluate_comp.scm 488 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 488 */
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_valz00_13829;
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_fun3015z00_13830;
BgL_fun3015z00_13830 = 
CAR(
((obj_t)BgL_lz00_13826)); 
BgL_valz00_13829 = 
PROCEDURE_ENTRY(BgL_fun3015z00_13830)(BgL_fun3015z00_13830, BgL_sz00_11492, BEOA); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3013z00_13831;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_13828))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_13832;
BgL_newz00_13832 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_27855;
BgL_tmpz00_27855 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13832, BgL_tmpz00_27855, BgL_valz00_13829); } 
BgL_arg3013z00_13831 = BgL_newz00_13832; }  else 
{ /* Eval/evaluate_comp.scm 490 */
BgL_arg3013z00_13831 = BgL_valz00_13829; } 
VECTOR_SET(
((obj_t)BgL_sz00_11492),BgL_iz00_13827,BgL_arg3013z00_13831); } } 
{ /* Eval/evaluate_comp.scm 491 */
obj_t BgL_arg3016z00_13833;long BgL_arg3017z00_13834;obj_t BgL_arg3018z00_13835;
BgL_arg3016z00_13833 = 
CDR(
((obj_t)BgL_lz00_13826)); 
BgL_arg3017z00_13834 = 
(BgL_iz00_13827+((long)1)); 
BgL_arg3018z00_13835 = 
CDR(
((obj_t)BgL_bza2za2_13828)); 
{ 
obj_t BgL_bza2za2_27867;long BgL_iz00_27866;obj_t BgL_lz00_27865;
BgL_lz00_27865 = BgL_arg3016z00_13833; 
BgL_iz00_27866 = BgL_arg3017z00_13834; 
BgL_bza2za2_27867 = BgL_arg3018z00_13835; 
BgL_bza2za2_13828 = BgL_bza2za2_27867; 
BgL_iz00_13827 = BgL_iz00_27866; 
BgL_lz00_13826 = BgL_lz00_27865; 
goto BgL_recz00_13825;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_11491)(BgL_bodyz00_11491, BgL_sz00_11492, BEOA);} } } 

}



/* &comp-ev_let1411 */
obj_t BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00(obj_t BgL_envz00_11493, obj_t BgL_ez00_11494, obj_t BgL_stkz00_11495)
{
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 464 */
long BgL_siza7eza7_13837;obj_t BgL_nstkz00_13838;
BgL_siza7eza7_13837 = 
bgl_list_length(BgL_stkz00_11495); 
{ /* Eval/evaluate_comp.scm 464 */
obj_t BgL_arg3008z00_13839;
BgL_arg3008z00_13839 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_11494))))->BgL_varsz00); 
BgL_nstkz00_13838 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_11495, BgL_arg3008z00_13839); } 
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_valsz00_13840;obj_t BgL_iboxesz00_13841;obj_t BgL_bodyz00_13842;
{ /* Eval/evaluate_comp.scm 466 */
obj_t BgL_arg3001z00_13843;
BgL_arg3001z00_13843 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_11494))))->BgL_valsz00); 
BgL_valsz00_13840 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg3001z00_13843, BgL_stkz00_11495); } 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_l1305z00_13844;
BgL_l1305z00_13844 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_11494)))->BgL_boxesz00); 
if(
NULLP(BgL_l1305z00_13844))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_13841 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_head1307z00_13845;
BgL_head1307z00_13845 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1305z00_13847;obj_t BgL_tail1308z00_13848;
BgL_l1305z00_13847 = BgL_l1305z00_13844; 
BgL_tail1308z00_13848 = BgL_head1307z00_13845; 
BgL_zc3z04anonymousza33003ze3z87_13846:
if(
NULLP(BgL_l1305z00_13847))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_13841 = 
CDR(BgL_head1307z00_13845); }  else 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_newtail1309z00_13849;
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_arg3006z00_13850;
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_vz00_13851;
BgL_vz00_13851 = 
CAR(
((obj_t)BgL_l1305z00_13847)); 
BgL_arg3006z00_13850 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13851, BgL_nstkz00_13838); } 
BgL_newtail1309z00_13849 = 
MAKE_YOUNG_PAIR(BgL_arg3006z00_13850, BNIL); } 
SET_CDR(BgL_tail1308z00_13848, BgL_newtail1309z00_13849); 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_arg3005z00_13852;
BgL_arg3005z00_13852 = 
CDR(
((obj_t)BgL_l1305z00_13847)); 
{ 
obj_t BgL_tail1308z00_27898;obj_t BgL_l1305z00_27897;
BgL_l1305z00_27897 = BgL_arg3005z00_13852; 
BgL_tail1308z00_27898 = BgL_newtail1309z00_13849; 
BgL_tail1308z00_13848 = BgL_tail1308z00_27898; 
BgL_l1305z00_13847 = BgL_l1305z00_27897; 
goto BgL_zc3z04anonymousza33003ze3z87_13846;} } } } } } 
{ /* Eval/evaluate_comp.scm 468 */
BgL_ev_exprz00_bglt BgL_arg3007z00_13853;
BgL_arg3007z00_13853 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_11494))))->BgL_bodyz00); 
BgL_bodyz00_13842 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3007z00_13853, BgL_nstkz00_13838); } 
{ /* Eval/evaluate_comp.scm 469 */
obj_t BgL_zc3z04anonymousza32988ze3z87_13854;
BgL_zc3z04anonymousza32988ze3z87_13854 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32988ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32988ze3z87_13854, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_13837)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32988ze3z87_13854, 
(int)(((long)1)), BgL_valsz00_13840); 
PROCEDURE_SET(BgL_zc3z04anonymousza32988ze3z87_13854, 
(int)(((long)2)), BgL_iboxesz00_13841); 
PROCEDURE_SET(BgL_zc3z04anonymousza32988ze3z87_13854, 
(int)(((long)3)), BgL_bodyz00_13842); 
return BgL_zc3z04anonymousza32988ze3z87_13854;} } } } 

}



/* &<@anonymous:2988> */
obj_t BGl_z62zc3z04anonymousza32988ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11496, obj_t BgL_sz00_11501)
{
{ /* Eval/evaluate_comp.scm 469 */
{ /* Eval/evaluate_comp.scm 469 */
long BgL_siza7eza7_11497;obj_t BgL_valsz00_11498;obj_t BgL_iboxesz00_11499;obj_t BgL_bodyz00_11500;
BgL_siza7eza7_11497 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11496, 
(int)(((long)0)))); 
BgL_valsz00_11498 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11496, 
(int)(((long)1)))); 
BgL_iboxesz00_11499 = 
PROCEDURE_REF(BgL_envz00_11496, 
(int)(((long)2))); 
BgL_bodyz00_11500 = 
PROCEDURE_REF(BgL_envz00_11496, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 469 */
obj_t BgL_bpz00_13855;
BgL_bpz00_13855 = 
VECTOR_REF(
((obj_t)BgL_sz00_11501),((long)0)); 
{ /* Eval/evaluate_comp.scm 470 */
long BgL_g1108z00_13856;
BgL_g1108z00_13856 = 
(
(long)CINT(BgL_bpz00_13855)+BgL_siza7eza7_11497); 
{ 
obj_t BgL_lz00_13858;long BgL_iz00_13859;
BgL_lz00_13858 = BgL_valsz00_11498; 
BgL_iz00_13859 = BgL_g1108z00_13856; 
BgL_recz00_13857:
if(
NULLP(BgL_lz00_13858))
{ /* Eval/evaluate_comp.scm 471 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 471 */
{ /* Eval/evaluate_comp.scm 472 */
obj_t BgL_arg2991z00_13860;
{ /* Eval/evaluate_comp.scm 472 */
obj_t BgL_fun2992z00_13861;
BgL_fun2992z00_13861 = 
CAR(
((obj_t)BgL_lz00_13858)); 
BgL_arg2991z00_13860 = 
PROCEDURE_ENTRY(BgL_fun2992z00_13861)(BgL_fun2992z00_13861, BgL_sz00_11501, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_11501),BgL_iz00_13859,BgL_arg2991z00_13860); } 
{ /* Eval/evaluate_comp.scm 473 */
obj_t BgL_arg2993z00_13862;long BgL_arg2994z00_13863;
BgL_arg2993z00_13862 = 
CDR(
((obj_t)BgL_lz00_13858)); 
BgL_arg2994z00_13863 = 
(BgL_iz00_13859+((long)1)); 
{ 
long BgL_iz00_27943;obj_t BgL_lz00_27942;
BgL_lz00_27942 = BgL_arg2993z00_13862; 
BgL_iz00_27943 = BgL_arg2994z00_13863; 
BgL_iz00_13859 = BgL_iz00_27943; 
BgL_lz00_13858 = BgL_lz00_27942; 
goto BgL_recz00_13857;} } } } } 
{ 
obj_t BgL_lz00_13865;
BgL_lz00_13865 = BgL_iboxesz00_11499; 
BgL_recz00_13864:
if(
NULLP(BgL_lz00_13865))
{ /* Eval/evaluate_comp.scm 475 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 475 */
{ /* Eval/evaluate_comp.scm 476 */
long BgL_iz00_13866;
BgL_iz00_13866 = 
(
(long)CINT(BgL_bpz00_13855)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_13865)))); 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2997z00_13867;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2998z00_13868;
BgL_arg2998z00_13868 = 
VECTOR_REF(
((obj_t)BgL_sz00_11501),BgL_iz00_13866); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_13869;
BgL_newz00_13869 = 
create_struct(BGl_symbol4264z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_27955;
BgL_tmpz00_27955 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13869, BgL_tmpz00_27955, BgL_arg2998z00_13868); } 
BgL_arg2997z00_13867 = BgL_newz00_13869; } } 
VECTOR_SET(
((obj_t)BgL_sz00_11501),BgL_iz00_13866,BgL_arg2997z00_13867); } } 
{ /* Eval/evaluate_comp.scm 478 */
obj_t BgL_arg3000z00_13870;
BgL_arg3000z00_13870 = 
CDR(
((obj_t)BgL_lz00_13865)); 
{ 
obj_t BgL_lz00_27962;
BgL_lz00_27962 = BgL_arg3000z00_13870; 
BgL_lz00_13865 = BgL_lz00_27962; 
goto BgL_recz00_13864;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_11500)(BgL_bodyz00_11500, BgL_sz00_11501, BEOA);} } } 

}



/* &comp-ev_prog21409 */
obj_t BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00(obj_t BgL_envz00_11502, obj_t BgL_ez00_11503, obj_t BgL_stkz00_11504)
{
{ /* Eval/evaluate_comp.scm 456 */
{ /* Eval/evaluate_comp.scm 458 */
obj_t BgL_e1z00_13872;obj_t BgL_e2z00_13873;
BgL_e1z00_13872 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_11503)))->BgL_e1z00), BgL_stkz00_11504); 
BgL_e2z00_13873 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_11503)))->BgL_e2z00), BgL_stkz00_11504); 
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_zc3z04anonymousza32985ze3z87_13874;
BgL_zc3z04anonymousza32985ze3z87_13874 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32985ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32985ze3z87_13874, 
(int)(((long)0)), BgL_e1z00_13872); 
PROCEDURE_SET(BgL_zc3z04anonymousza32985ze3z87_13874, 
(int)(((long)1)), BgL_e2z00_13873); 
return BgL_zc3z04anonymousza32985ze3z87_13874;} } } 

}



/* &<@anonymous:2985> */
obj_t BGl_z62zc3z04anonymousza32985ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11505, obj_t BgL_sz00_11508)
{
{ /* Eval/evaluate_comp.scm 459 */
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_e1z00_11506;obj_t BgL_e2z00_11507;
BgL_e1z00_11506 = 
PROCEDURE_REF(BgL_envz00_11505, 
(int)(((long)0))); 
BgL_e2z00_11507 = 
PROCEDURE_REF(BgL_envz00_11505, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_bpz00_13875;
BgL_bpz00_13875 = 
VECTOR_REF(
((obj_t)BgL_sz00_11508),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_11506)(BgL_e1z00_11506, BgL_sz00_11508, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_11507)(BgL_e2z00_11507, BgL_sz00_11508, BEOA);} } } 

}



/* &comp-ev_and1407 */
obj_t BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00(obj_t BgL_envz00_11509, obj_t BgL_ez00_11510, obj_t BgL_stkz00_11511)
{
{ /* Eval/evaluate_comp.scm 446 */
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_argsz00_13877;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_l1300z00_13878;
BgL_l1300z00_13878 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_11510))))->BgL_argsz00); 
if(
NULLP(BgL_l1300z00_13878))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_13877 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_head1302z00_13879;
BgL_head1302z00_13879 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1300z00_13881;obj_t BgL_tail1303z00_13882;
BgL_l1300z00_13881 = BgL_l1300z00_13878; 
BgL_tail1303z00_13882 = BgL_head1302z00_13879; 
BgL_zc3z04anonymousza32981ze3z87_13880:
if(
NULLP(BgL_l1300z00_13881))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_13877 = 
CDR(BgL_head1302z00_13879); }  else 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_newtail1304z00_13883;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_arg2984z00_13884;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_ez00_13885;
BgL_ez00_13885 = 
CAR(
((obj_t)BgL_l1300z00_13881)); 
BgL_arg2984z00_13884 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_13885), BgL_stkz00_11511); } 
BgL_newtail1304z00_13883 = 
MAKE_YOUNG_PAIR(BgL_arg2984z00_13884, BNIL); } 
SET_CDR(BgL_tail1303z00_13882, BgL_newtail1304z00_13883); 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_arg2983z00_13886;
BgL_arg2983z00_13886 = 
CDR(
((obj_t)BgL_l1300z00_13881)); 
{ 
obj_t BgL_tail1303z00_28012;obj_t BgL_l1300z00_28011;
BgL_l1300z00_28011 = BgL_arg2983z00_13886; 
BgL_tail1303z00_28012 = BgL_newtail1304z00_13883; 
BgL_tail1303z00_13882 = BgL_tail1303z00_28012; 
BgL_l1300z00_13881 = BgL_l1300z00_28011; 
goto BgL_zc3z04anonymousza32981ze3z87_13880;} } } } } } 
{ /* Eval/evaluate_comp.scm 449 */
obj_t BgL_zc3z04anonymousza32975ze3z87_13887;
BgL_zc3z04anonymousza32975ze3z87_13887 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32975ze3z87_13887, 
(int)(((long)0)), BgL_argsz00_13877); 
return BgL_zc3z04anonymousza32975ze3z87_13887;} } } 

}



/* &<@anonymous:2975> */
obj_t BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11512, obj_t BgL_sz00_11514)
{
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 449 */
obj_t BgL_argsz00_11513;
BgL_argsz00_11513 = 
PROCEDURE_REF(BgL_envz00_11512, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 449 */
obj_t BgL_bpz00_13888;
BgL_bpz00_13888 = 
VECTOR_REF(
((obj_t)BgL_sz00_11514),((long)0)); 
{ 
obj_t BgL_lz00_13890;obj_t BgL_rz00_13891;
BgL_lz00_13890 = BgL_argsz00_11513; 
BgL_rz00_13891 = BTRUE; 
BgL_recz00_13889:
if(
NULLP(BgL_lz00_13890))
{ /* Eval/evaluate_comp.scm 451 */
return BgL_rz00_13891;}  else 
{ /* Eval/evaluate_comp.scm 453 */
obj_t BgL_vz00_13892;
{ /* Eval/evaluate_comp.scm 453 */
obj_t BgL_fun2979z00_13893;
BgL_fun2979z00_13893 = 
CAR(
((obj_t)BgL_lz00_13890)); 
BgL_vz00_13892 = 
PROCEDURE_ENTRY(BgL_fun2979z00_13893)(BgL_fun2979z00_13893, BgL_sz00_11514, BEOA); } 
if(
CBOOL(BgL_vz00_13892))
{ /* Eval/evaluate_comp.scm 454 */
obj_t BgL_arg2978z00_13894;
BgL_arg2978z00_13894 = 
CDR(
((obj_t)BgL_lz00_13890)); 
{ 
obj_t BgL_rz00_28035;obj_t BgL_lz00_28034;
BgL_lz00_28034 = BgL_arg2978z00_13894; 
BgL_rz00_28035 = BgL_vz00_13892; 
BgL_rz00_13891 = BgL_rz00_28035; 
BgL_lz00_13890 = BgL_lz00_28034; 
goto BgL_recz00_13889;} }  else 
{ /* Eval/evaluate_comp.scm 454 */
return BFALSE;} } } } } } 

}



/* &comp-ev_or1405 */
obj_t BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00(obj_t BgL_envz00_11515, obj_t BgL_ez00_11516, obj_t BgL_stkz00_11517)
{
{ /* Eval/evaluate_comp.scm 437 */
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_argsz00_13896;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_l1295z00_13897;
BgL_l1295z00_13897 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_11516))))->BgL_argsz00); 
if(
NULLP(BgL_l1295z00_13897))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_13896 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_head1297z00_13898;
BgL_head1297z00_13898 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1295z00_13900;obj_t BgL_tail1298z00_13901;
BgL_l1295z00_13900 = BgL_l1295z00_13897; 
BgL_tail1298z00_13901 = BgL_head1297z00_13898; 
BgL_zc3z04anonymousza32971ze3z87_13899:
if(
NULLP(BgL_l1295z00_13900))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_13896 = 
CDR(BgL_head1297z00_13898); }  else 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_newtail1299z00_13902;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_arg2974z00_13903;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_ez00_13904;
BgL_ez00_13904 = 
CAR(
((obj_t)BgL_l1295z00_13900)); 
BgL_arg2974z00_13903 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_13904), BgL_stkz00_11517); } 
BgL_newtail1299z00_13902 = 
MAKE_YOUNG_PAIR(BgL_arg2974z00_13903, BNIL); } 
SET_CDR(BgL_tail1298z00_13901, BgL_newtail1299z00_13902); 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_arg2973z00_13905;
BgL_arg2973z00_13905 = 
CDR(
((obj_t)BgL_l1295z00_13900)); 
{ 
obj_t BgL_tail1298z00_28054;obj_t BgL_l1295z00_28053;
BgL_l1295z00_28053 = BgL_arg2973z00_13905; 
BgL_tail1298z00_28054 = BgL_newtail1299z00_13902; 
BgL_tail1298z00_13901 = BgL_tail1298z00_28054; 
BgL_l1295z00_13900 = BgL_l1295z00_28053; 
goto BgL_zc3z04anonymousza32971ze3z87_13899;} } } } } } 
{ /* Eval/evaluate_comp.scm 440 */
obj_t BgL_zc3z04anonymousza32965ze3z87_13906;
BgL_zc3z04anonymousza32965ze3z87_13906 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32965ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32965ze3z87_13906, 
(int)(((long)0)), BgL_argsz00_13896); 
return BgL_zc3z04anonymousza32965ze3z87_13906;} } } 

}



/* &<@anonymous:2965> */
obj_t BGl_z62zc3z04anonymousza32965ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11518, obj_t BgL_sz00_11520)
{
{ /* Eval/evaluate_comp.scm 440 */
{ /* Eval/evaluate_comp.scm 440 */
obj_t BgL_argsz00_11519;
BgL_argsz00_11519 = 
PROCEDURE_REF(BgL_envz00_11518, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 440 */
obj_t BgL_bpz00_13907;
BgL_bpz00_13907 = 
VECTOR_REF(
((obj_t)BgL_sz00_11520),((long)0)); 
{ 
obj_t BgL_lz00_13909;
BgL_lz00_13909 = BgL_argsz00_11519; 
BgL_recz00_13908:
if(
NULLP(BgL_lz00_13909))
{ /* Eval/evaluate_comp.scm 442 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 444 */
obj_t BgL__ortest_1103z00_13910;
{ /* Eval/evaluate_comp.scm 444 */
obj_t BgL_fun2969z00_13911;
BgL_fun2969z00_13911 = 
CAR(
((obj_t)BgL_lz00_13909)); 
BgL__ortest_1103z00_13910 = 
PROCEDURE_ENTRY(BgL_fun2969z00_13911)(BgL_fun2969z00_13911, BgL_sz00_11520, BEOA); } 
if(
CBOOL(BgL__ortest_1103z00_13910))
{ /* Eval/evaluate_comp.scm 444 */
return BgL__ortest_1103z00_13910;}  else 
{ /* Eval/evaluate_comp.scm 444 */
obj_t BgL_arg2968z00_13912;
BgL_arg2968z00_13912 = 
CDR(
((obj_t)BgL_lz00_13909)); 
{ 
obj_t BgL_lz00_28076;
BgL_lz00_28076 = BgL_arg2968z00_13912; 
BgL_lz00_13909 = BgL_lz00_28076; 
goto BgL_recz00_13908;} } } } } } } 

}



/* &comp-ev_if1403 */
obj_t BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00(obj_t BgL_envz00_11521, obj_t BgL_ez00_11522, obj_t BgL_stkz00_11523)
{
{ /* Eval/evaluate_comp.scm 431 */
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_pz00_13914;obj_t BgL_tz00_13915;obj_t BgL_ez00_13916;
BgL_pz00_13914 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_11522)))->BgL_pz00), BgL_stkz00_11523); 
BgL_tz00_13915 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_11522)))->BgL_tz00), BgL_stkz00_11523); 
BgL_ez00_13916 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_11522)))->BgL_ez00), BgL_stkz00_11523); 
{ /* Eval/evaluate_comp.scm 434 */
obj_t BgL_zc3z04anonymousza32960ze3z87_13917;
BgL_zc3z04anonymousza32960ze3z87_13917 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32960ze3z87_13917, 
(int)(((long)0)), BgL_ez00_13916); 
PROCEDURE_SET(BgL_zc3z04anonymousza32960ze3z87_13917, 
(int)(((long)1)), BgL_tz00_13915); 
PROCEDURE_SET(BgL_zc3z04anonymousza32960ze3z87_13917, 
(int)(((long)2)), BgL_pz00_13914); 
return BgL_zc3z04anonymousza32960ze3z87_13917;} } } 

}



/* &<@anonymous:2960> */
obj_t BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11524, obj_t BgL_sz00_11528)
{
{ /* Eval/evaluate_comp.scm 434 */
{ /* Eval/evaluate_comp.scm 434 */
obj_t BgL_ez00_11525;obj_t BgL_tz00_11526;obj_t BgL_pz00_11527;
BgL_ez00_11525 = 
PROCEDURE_REF(BgL_envz00_11524, 
(int)(((long)0))); 
BgL_tz00_11526 = 
PROCEDURE_REF(BgL_envz00_11524, 
(int)(((long)1))); 
BgL_pz00_11527 = 
PROCEDURE_REF(BgL_envz00_11524, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 434 */
obj_t BgL_bpz00_13918;
BgL_bpz00_13918 = 
VECTOR_REF(
((obj_t)BgL_sz00_11528),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_11527)(BgL_pz00_11527, BgL_sz00_11528, BEOA)))
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_tz00_11526)(BgL_tz00_11526, BgL_sz00_11528, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_ez00_11525)(BgL_ez00_11525, BgL_sz00_11528, BEOA);} } } } 

}



/* &comp-ev_litt1401 */
obj_t BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00(obj_t BgL_envz00_11529, obj_t BgL_ez00_11530, obj_t BgL_stkz00_11531)
{
{ /* Eval/evaluate_comp.scm 426 */
{ /* Eval/evaluate_comp.scm 428 */
obj_t BgL_zc3z04anonymousza32959ze3z87_13920;
BgL_zc3z04anonymousza32959ze3z87_13920 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32959ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32959ze3z87_13920, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_11530))); 
return BgL_zc3z04anonymousza32959ze3z87_13920;} } 

}



/* &<@anonymous:2959> */
obj_t BGl_z62zc3z04anonymousza32959ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11532, obj_t BgL_sz00_11534)
{
{ /* Eval/evaluate_comp.scm 428 */
{ /* Eval/evaluate_comp.scm 428 */
BgL_ev_littz00_bglt BgL_i1100z00_11533;
BgL_i1100z00_11533 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_11532, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 428 */
obj_t BgL_bpz00_13921;
BgL_bpz00_13921 = 
VECTOR_REF(
((obj_t)BgL_sz00_11534),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1100z00_11533))->BgL_valuez00);} } } 

}



/* &comp-ev_defglobal1399 */
obj_t BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00(obj_t BgL_envz00_11535, obj_t BgL_ez00_11536, obj_t BgL_stkz00_11537)
{
{ /* Eval/evaluate_comp.scm 395 */
{ /* Eval/evaluate_comp.scm 397 */
obj_t BgL_ez00_13923;
{ /* Eval/evaluate_comp.scm 397 */
BgL_ev_exprz00_bglt BgL_arg2958z00_13924;
BgL_arg2958z00_13924 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_11536))))->BgL_ez00); 
BgL_ez00_13923 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2958z00_13924, BgL_stkz00_11537); } 
{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_zc3z04anonymousza32933ze3z87_13925;
BgL_zc3z04anonymousza32933ze3z87_13925 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32933ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32933ze3z87_13925, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_11536))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32933ze3z87_13925, 
(int)(((long)1)), BgL_ez00_13923); 
return BgL_zc3z04anonymousza32933ze3z87_13925;} } } 

}



/* &<@anonymous:2933> */
obj_t BGl_z62zc3z04anonymousza32933ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11538, obj_t BgL_sz00_11541)
{
{ /* Eval/evaluate_comp.scm 398 */
{ /* Eval/evaluate_comp.scm 398 */
BgL_ev_defglobalz00_bglt BgL_i1097z00_11539;obj_t BgL_ez00_11540;
BgL_i1097z00_11539 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_11538, 
(int)(((long)0)))); 
BgL_ez00_11540 = 
PROCEDURE_REF(BgL_envz00_11538, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_bpz00_13926;
BgL_bpz00_13926 = 
VECTOR_REF(
((obj_t)BgL_sz00_11541),((long)0)); 
{ /* Eval/evaluate_comp.scm 399 */
obj_t BgL_gz00_13927;
{ /* Eval/evaluate_comp.scm 399 */
obj_t BgL_arg2956z00_13928;obj_t BgL_arg2957z00_13929;
BgL_arg2956z00_13928 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_modz00); 
BgL_arg2957z00_13929 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00); 
BgL_gz00_13927 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2956z00_13928, BgL_arg2957z00_13929); } 
if(
CBOOL(BgL_gz00_13927))
{ /* Eval/evaluate_comp.scm 401 */
{ 

{ /* Eval/evaluate_comp.scm 403 */
int BgL_aux1099z00_13933;
{ /* Eval/evaluate_comp.scm 403 */
int BgL_res4123z00_13934;
BgL_res4123z00_13934 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_13927),((long)0))); 
BgL_aux1099z00_13933 = BgL_res4123z00_13934; } 
switch( 
(long)(BgL_aux1099z00_13933)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 405 */
obj_t BgL_arg2935z00_13935;obj_t BgL_arg2936z00_13936;
BgL_arg2935z00_13935 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_locz00); 
BgL_arg2936z00_13936 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2935z00_13935, BGl_string4375z00zz__evaluate_compz00, BGl_string4376z00zz__evaluate_compz00, BgL_arg2936z00_13936); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_arg2937z00_13937;obj_t BgL_arg2938z00_13938;
BgL_arg2937z00_13937 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_locz00); 
BgL_arg2938z00_13938 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_list2939z00_13939;
{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_arg2940z00_13940;
{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_arg2941z00_13941;
BgL_arg2941z00_13941 = 
MAKE_YOUNG_PAIR(BgL_arg2938z00_13938, BNIL); 
BgL_arg2940z00_13940 = 
MAKE_YOUNG_PAIR(BGl_string4377z00zz__evaluate_compz00, BgL_arg2941z00_13941); } 
BgL_list2939z00_13939 = 
MAKE_YOUNG_PAIR(BGl_string4254z00zz__evaluate_compz00, BgL_arg2940z00_13940); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2937z00_13937, BgL_list2939z00_13939); } } 
{ /* Eval/evaluate_comp.scm 409 */
obj_t BgL_arg2942z00_13942;obj_t BgL_arg2943z00_13943;
BgL_arg2942z00_13942 = 
VECTOR_REF(
((obj_t)BgL_gz00_13927),((long)2)); 
BgL_arg2943z00_13943 = 
PROCEDURE_ENTRY(BgL_ez00_11540)(BgL_ez00_11540, BgL_sz00_11541, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2942z00_13942, BgL_arg2943z00_13943); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 411 */
obj_t BgL_arg2944z00_13944;
BgL_arg2944z00_13944 = 
PROCEDURE_ENTRY(BgL_ez00_11540)(BgL_ez00_11540, BgL_sz00_11541, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_13927),((long)2),BgL_arg2944z00_13944); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 413 */
obj_t BgL_arg2945z00_13945;
BgL_arg2945z00_13945 = 
PROCEDURE_ENTRY(BgL_ez00_11540)(BgL_ez00_11540, BgL_sz00_11541, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_13927),((long)2),BgL_arg2945z00_13945); } 
VECTOR_SET(
((obj_t)BgL_gz00_13927),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 416 */
obj_t BgL_arg2946z00_13946;
BgL_arg2946z00_13946 = 
PROCEDURE_ENTRY(BgL_ez00_11540)(BgL_ez00_11540, BgL_sz00_11541, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_13927),((long)2),BgL_arg2946z00_13946); } 
VECTOR_SET(
((obj_t)BgL_gz00_13927),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 419 */
obj_t BgL_arg2947z00_13931;obj_t BgL_arg2948z00_13932;
BgL_arg2947z00_13931 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_locz00); 
BgL_arg2948z00_13932 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2947z00_13931, BGl_string4375z00zz__evaluate_compz00, BGl_string4376z00zz__evaluate_compz00, BgL_arg2948z00_13932); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_gz00_13947;
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_arg2953z00_13948;obj_t BgL_arg2954z00_13949;obj_t BgL_arg2955z00_13950;
BgL_arg2953z00_13948 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00); 
BgL_arg2954z00_13949 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_modz00); 
BgL_arg2955z00_13950 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_v1373z00_13951;
BgL_v1373z00_13951 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1373z00_13951,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1373z00_13951,((long)1),BgL_arg2953z00_13948); 
VECTOR_SET(BgL_v1373z00_13951,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1373z00_13951,((long)3),BgL_arg2954z00_13949); 
VECTOR_SET(BgL_v1373z00_13951,((long)4),BgL_arg2955z00_13950); 
BgL_gz00_13947 = BgL_v1373z00_13951; } } 
{ /* Eval/evaluate_comp.scm 422 */
obj_t BgL_arg2949z00_13952;
BgL_arg2949z00_13952 = 
PROCEDURE_ENTRY(BgL_ez00_11540)(BgL_ez00_11540, BgL_sz00_11541, BEOA); 
VECTOR_SET(BgL_gz00_13947,((long)2),BgL_arg2949z00_13952); } 
{ /* Eval/evaluate_comp.scm 423 */
obj_t BgL_arg2950z00_13953;obj_t BgL_arg2951z00_13954;obj_t BgL_arg2952z00_13955;
BgL_arg2950z00_13953 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_modz00); 
BgL_arg2951z00_13954 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00); 
BgL_arg2952z00_13955 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2950z00_13953, BgL_arg2951z00_13954, BgL_gz00_13947, BgL_arg2952z00_13955); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_11539)))->BgL_namez00);} } } } } 

}



/* &comp-ev_setglobal1397 */
obj_t BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00(obj_t BgL_envz00_11542, obj_t BgL_ez00_11543, obj_t BgL_stkz00_11544)
{
{ /* Eval/evaluate_comp.scm 372 */
{ /* Eval/evaluate_comp.scm 374 */
obj_t BgL_gz00_13957;obj_t BgL_ez00_13958;
BgL_gz00_13957 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 374 */
BgL_ev_exprz00_bglt BgL_arg2932z00_13959;
BgL_arg2932z00_13959 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543))))->BgL_ez00); 
BgL_ez00_13958 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2932z00_13959, BgL_stkz00_11544); } 
if(
CBOOL(BgL_gz00_13957))
{ 

{ /* Eval/evaluate_comp.scm 376 */
int BgL_aux1096z00_13962;
{ /* Eval/evaluate_comp.scm 376 */
int BgL_res4122z00_13963;
BgL_res4122z00_13963 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_13957),((long)0))); 
BgL_aux1096z00_13962 = BgL_res4122z00_13963; } 
switch( 
(long)(BgL_aux1096z00_13962)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 378 */
obj_t BgL_zc3z04anonymousza32908ze3z87_13964;
BgL_zc3z04anonymousza32908ze3z87_13964 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32908ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32908ze3z87_13964, 
(int)(((long)0)), BgL_gz00_13957); 
PROCEDURE_SET(BgL_zc3z04anonymousza32908ze3z87_13964, 
(int)(((long)1)), BgL_ez00_13958); 
return BgL_zc3z04anonymousza32908ze3z87_13964;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_locz00), BGl_string4375z00zz__evaluate_compz00, BGl_string4376z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_zc3z04anonymousza32913ze3z87_13961;
BgL_zc3z04anonymousza32913ze3z87_13961 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32913ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32913ze3z87_13961, 
(int)(((long)0)), BgL_ez00_13958); 
PROCEDURE_SET(BgL_zc3z04anonymousza32913ze3z87_13961, 
(int)(((long)1)), BgL_gz00_13957); 
return BgL_zc3z04anonymousza32913ze3z87_13961;} } } }  else 
{ /* Eval/evaluate_comp.scm 384 */
obj_t BgL_slotz00_13965;
BgL_slotz00_13965 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_gz00_13966;
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_arg2920z00_13967;obj_t BgL_arg2921z00_13968;obj_t BgL_arg2922z00_13969;
BgL_arg2920z00_13967 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_namez00); 
BgL_arg2921z00_13968 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_modz00); 
BgL_arg2922z00_13969 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_v1373z00_13970;
BgL_v1373z00_13970 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1373z00_13970,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1373z00_13970,((long)1),BgL_arg2920z00_13967); 
VECTOR_SET(BgL_v1373z00_13970,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1373z00_13970,((long)3),BgL_arg2921z00_13968); 
VECTOR_SET(BgL_v1373z00_13970,((long)4),BgL_arg2922z00_13969); 
BgL_gz00_13966 = BgL_v1373z00_13970; } } 
VECTOR_SET(BgL_gz00_13966,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_namez00), BgL_gz00_13966, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 385 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 389 */
obj_t BgL_zc3z04anonymousza32924ze3z87_13971;
BgL_zc3z04anonymousza32924ze3z87_13971 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_13971, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_11543))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_13971, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_13965)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_13971, 
(int)(((long)2)), BgL_ez00_13958); 
return BgL_zc3z04anonymousza32924ze3z87_13971;} } } } 

}



/* &<@anonymous:2908> */
obj_t BGl_z62zc3z04anonymousza32908ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11547, obj_t BgL_sz00_11550)
{
{ /* Eval/evaluate_comp.scm 378 */
{ /* Eval/evaluate_comp.scm 378 */
obj_t BgL_gz00_11548;obj_t BgL_ez00_11549;
BgL_gz00_11548 = 
PROCEDURE_REF(BgL_envz00_11547, 
(int)(((long)0))); 
BgL_ez00_11549 = 
PROCEDURE_REF(BgL_envz00_11547, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 378 */
obj_t BgL_bpz00_13972;
BgL_bpz00_13972 = 
VECTOR_REF(
((obj_t)BgL_sz00_11550),((long)0)); 
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_arg2909z00_13973;obj_t BgL_arg2910z00_13974;
BgL_arg2909z00_13973 = 
VECTOR_REF(
((obj_t)BgL_gz00_11548),((long)2)); 
BgL_arg2910z00_13974 = 
PROCEDURE_ENTRY(BgL_ez00_11549)(BgL_ez00_11549, BgL_sz00_11550, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2909z00_13973, BgL_arg2910z00_13974);} } } } 

}



/* &<@anonymous:2913> */
obj_t BGl_z62zc3z04anonymousza32913ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11551, obj_t BgL_sz00_11554)
{
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_ez00_11552;obj_t BgL_gz00_11553;
BgL_ez00_11552 = 
PROCEDURE_REF(BgL_envz00_11551, 
(int)(((long)0))); 
BgL_gz00_11553 = 
PROCEDURE_REF(BgL_envz00_11551, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_bpz00_13975;
BgL_bpz00_13975 = 
VECTOR_REF(
((obj_t)BgL_sz00_11554),((long)0)); 
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_arg2914z00_13976;
BgL_arg2914z00_13976 = 
PROCEDURE_ENTRY(BgL_ez00_11552)(BgL_ez00_11552, BgL_sz00_11554, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_11553),((long)2),BgL_arg2914z00_13976);} } } } 

}



/* &<@anonymous:2924> */
obj_t BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11555, obj_t BgL_sz00_11559)
{
{ /* Eval/evaluate_comp.scm 389 */
{ /* Eval/evaluate_comp.scm 389 */
BgL_ev_setglobalz00_bglt BgL_i1094z00_11556;obj_t BgL_slotz00_11557;obj_t BgL_ez00_11558;
BgL_i1094z00_11556 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)0)))); 
BgL_slotz00_11557 = 
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)1))); 
BgL_ez00_11558 = 
PROCEDURE_REF(BgL_envz00_11555, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 389 */
obj_t BgL_bpz00_13977;
BgL_bpz00_13977 = 
VECTOR_REF(
((obj_t)BgL_sz00_11559),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_11557)))
{ /* Eval/evaluate_comp.scm 390 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 390 */
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_auxz00_13978;
BgL_auxz00_13978 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_11556))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_11556))->BgL_namez00)); 
CELL_SET(BgL_slotz00_11557, BgL_auxz00_13978); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_11557)))
{ /* Eval/evaluate_comp.scm 392 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 392 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_11556))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4378z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_11556))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 393 */
obj_t BgL_arg2929z00_13979;
BgL_arg2929z00_13979 = 
PROCEDURE_ENTRY(BgL_ez00_11558)(BgL_ez00_11558, BgL_sz00_11559, BEOA); 
{ /* Eval/evaluate_comp.scm 393 */
obj_t BgL_evalzd2globalzd2_13980;
BgL_evalzd2globalzd2_13980 = 
CELL_REF(BgL_slotz00_11557); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_13980,((long)2),BgL_arg2929z00_13979);} } } } } 

}



/* &comp-ev_global1395 */
obj_t BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00(obj_t BgL_envz00_11561, obj_t BgL_varz00_11562, obj_t BgL_stkz00_11563)
{
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
obj_t BgL_gz00_13982;
BgL_gz00_13982 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_13982))
{ /* Eval/evaluate_comp.scm 343 */
bool_t BgL_test5048z00_28369;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_arg2871z00_13983;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_res4120z00_13984;
BgL_res4120z00_13984 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_13982),((long)0))); 
BgL_arg2871z00_13983 = BgL_res4120z00_13984; } 
BgL_test5048z00_28369 = 
(
BINT(BgL_arg2871z00_13983)==
BINT(((long)1))); } 
if(BgL_test5048z00_28369)
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_zc3z04anonymousza32868ze3z87_13985;
BgL_zc3z04anonymousza32868ze3z87_13985 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32868ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32868ze3z87_13985, 
(int)(((long)0)), BgL_gz00_13982); 
return BgL_zc3z04anonymousza32868ze3z87_13985;}  else 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_zc3z04anonymousza32870ze3z87_13986;
BgL_zc3z04anonymousza32870ze3z87_13986 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32870ze3z87_13986, 
(int)(((long)0)), BgL_gz00_13982); 
return BgL_zc3z04anonymousza32870ze3z87_13986;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
obj_t BgL_slotz00_13987;
BgL_slotz00_13987 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_gz00_13988;
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_arg2877z00_13989;obj_t BgL_arg2878z00_13990;obj_t BgL_arg2879z00_13991;
BgL_arg2877z00_13989 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_namez00); 
BgL_arg2878z00_13990 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_modz00); 
BgL_arg2879z00_13991 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_v1373z00_13992;
BgL_v1373z00_13992 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1373z00_13992,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1373z00_13992,((long)1),BgL_arg2877z00_13989); 
VECTOR_SET(BgL_v1373z00_13992,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1373z00_13992,((long)3),BgL_arg2878z00_13990); 
VECTOR_SET(BgL_v1373z00_13992,((long)4),BgL_arg2879z00_13991); 
BgL_gz00_13988 = BgL_v1373z00_13992; } } 
VECTOR_SET(BgL_gz00_13988,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_namez00), BgL_gz00_13988, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_11562)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_zc3z04anonymousza32881ze3z87_13993;
BgL_zc3z04anonymousza32881ze3z87_13993 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32881ze3z87_13993, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_11562))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32881ze3z87_13993, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_13987)); 
return BgL_zc3z04anonymousza32881ze3z87_13993;} } } } 

}



/* &<@anonymous:2868> */
obj_t BGl_z62zc3z04anonymousza32868ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11566, obj_t BgL_sz00_11568)
{
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_gz00_11567;
BgL_gz00_11567 = 
PROCEDURE_REF(BgL_envz00_11566, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_bpz00_13994;
BgL_bpz00_13994 = 
VECTOR_REF(
((obj_t)BgL_sz00_11568),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
obj_t BgL_arg2869z00_13995;
BgL_arg2869z00_13995 = 
VECTOR_REF(
((obj_t)BgL_gz00_11567),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2869z00_13995);} } } } 

}



/* &<@anonymous:2870> */
obj_t BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11569, obj_t BgL_sz00_11571)
{
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_gz00_11570;
BgL_gz00_11570 = 
PROCEDURE_REF(BgL_envz00_11569, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_bpz00_13996;
BgL_bpz00_13996 = 
VECTOR_REF(
((obj_t)BgL_sz00_11571),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_11570),((long)2));} } } 

}



/* &<@anonymous:2881> */
obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11572, obj_t BgL_sz00_11575)
{
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
BgL_ev_globalz00_bglt BgL_i1093z00_11573;obj_t BgL_slotz00_11574;
BgL_i1093z00_11573 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_11572, 
(int)(((long)0)))); 
BgL_slotz00_11574 = 
PROCEDURE_REF(BgL_envz00_11572, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_bpz00_13997;
BgL_bpz00_13997 = 
VECTOR_REF(
((obj_t)BgL_sz00_11575),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_11574)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
obj_t BgL_auxz00_13998;
BgL_auxz00_13998 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_namez00)); 
CELL_SET(BgL_slotz00_11574, BgL_auxz00_13998); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_11574)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_idz00_13999;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 358 */
obj_t BgL_arg2887z00_14000;
{ /* Eval/evaluate_comp.scm 358 */
obj_t BgL_arg2888z00_14001;obj_t BgL_arg2889z00_14002;
BgL_arg2888z00_14001 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_namez00); 
BgL_arg2889z00_14002 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_modz00)), BNIL); 
BgL_arg2887z00_14000 = 
MAKE_YOUNG_PAIR(BgL_arg2888z00_14001, BgL_arg2889z00_14002); } 
BgL_idz00_13999 = 
MAKE_YOUNG_PAIR(BGl_symbol4379z00zz__evaluate_compz00, BgL_arg2887z00_14000); }  else 
{ /* Eval/evaluate_comp.scm 357 */
BgL_idz00_13999 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_namez00); } 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4378z00zz__evaluate_compz00, BgL_idz00_13999); } } 
{ /* Eval/evaluate_comp.scm 361 */
obj_t BgL_vz00_14003;
{ /* Eval/evaluate_comp.scm 361 */
obj_t BgL_evalzd2globalzd2_14004;
BgL_evalzd2globalzd2_14004 = 
CELL_REF(BgL_slotz00_11574); 
BgL_vz00_14003 = 
VECTOR_REF(BgL_evalzd2globalzd2_14004,((long)2)); } 
if(
(BgL_vz00_14003==BUNSPEC))
{ /* Eval/evaluate_comp.scm 363 */
int BgL_tz00_14005;
{ /* Eval/evaluate_comp.scm 363 */
int BgL_res4121z00_14006;
{ /* Eval/evaluate_comp.scm 363 */
obj_t BgL_evalzd2globalzd2_14007;
BgL_evalzd2globalzd2_14007 = 
CELL_REF(BgL_slotz00_11574); 
BgL_res4121z00_14006 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_14007,((long)0))); } 
BgL_tz00_14005 = BgL_res4121z00_14006; } 
{ /* Eval/evaluate_comp.scm 364 */
bool_t BgL_test5054z00_28466;
if(
(
(long)(BgL_tz00_14005)==((long)3)))
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5054z00_28466 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5054z00_28466 = 
(
(long)(BgL_tz00_14005)==((long)4))
; } 
if(BgL_test5054z00_28466)
{ /* Eval/evaluate_comp.scm 365 */
obj_t BgL_idz00_14008;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 366 */
obj_t BgL_arg2899z00_14009;
{ /* Eval/evaluate_comp.scm 366 */
obj_t BgL_arg2900z00_14010;obj_t BgL_arg2901z00_14011;
BgL_arg2900z00_14010 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_namez00); 
BgL_arg2901z00_14011 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_modz00)), BNIL); 
BgL_arg2899z00_14009 = 
MAKE_YOUNG_PAIR(BgL_arg2900z00_14010, BgL_arg2901z00_14011); } 
BgL_idz00_14008 = 
MAKE_YOUNG_PAIR(BGl_symbol4379z00zz__evaluate_compz00, BgL_arg2899z00_14009); }  else 
{ /* Eval/evaluate_comp.scm 365 */
BgL_idz00_14008 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_namez00); } 
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_11573))->BgL_locz00), BGl_string4254z00zz__evaluate_compz00, BGl_string4381z00zz__evaluate_compz00, BgL_idz00_14008);}  else 
{ /* Eval/evaluate_comp.scm 364 */
return BgL_vz00_14003;} } }  else 
{ /* Eval/evaluate_comp.scm 362 */
return BgL_vz00_14003;} } } } } 

}



/* &comp-ev_setlocal1393 */
obj_t BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00(obj_t BgL_envz00_11577, obj_t BgL_ez00_11578, obj_t BgL_stkz00_11579)
{
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
obj_t BgL_iz00_14013;obj_t BgL_ez00_14014;
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_varz00_bglt BgL_arg2864z00_14015;
BgL_arg2864z00_14015 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_11578)))->BgL_vz00); 
BgL_iz00_14013 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2864z00_14015), BgL_stkz00_11579); } 
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_exprz00_bglt BgL_arg2865z00_14016;
BgL_arg2865z00_14016 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_11578))))->BgL_ez00); 
BgL_ez00_14014 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2865z00_14016, BgL_stkz00_11579); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_11578)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_zc3z04anonymousza32857ze3z87_14017;
BgL_zc3z04anonymousza32857ze3z87_14017 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32857ze3z87_14017, 
(int)(((long)0)), BgL_iz00_14013); 
PROCEDURE_SET(BgL_zc3z04anonymousza32857ze3z87_14017, 
(int)(((long)1)), BgL_ez00_14014); 
return BgL_zc3z04anonymousza32857ze3z87_14017;}  else 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_zc3z04anonymousza32861ze3z87_14018;
BgL_zc3z04anonymousza32861ze3z87_14018 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32861ze3z87_14018, 
(int)(((long)0)), BgL_iz00_14013); 
PROCEDURE_SET(BgL_zc3z04anonymousza32861ze3z87_14018, 
(int)(((long)1)), BgL_ez00_14014); 
return BgL_zc3z04anonymousza32861ze3z87_14018;} } } 

}



/* &<@anonymous:2857> */
obj_t BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11580, obj_t BgL_sz00_11583)
{
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_iz00_11581;obj_t BgL_ez00_11582;
BgL_iz00_11581 = 
PROCEDURE_REF(BgL_envz00_11580, 
(int)(((long)0))); 
BgL_ez00_11582 = 
PROCEDURE_REF(BgL_envz00_11580, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_bpz00_14019;
BgL_bpz00_14019 = 
VECTOR_REF(
((obj_t)BgL_sz00_11583),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
obj_t BgL_arg2858z00_14020;obj_t BgL_arg2859z00_14021;
{ /* Eval/evaluate_comp.scm 327 */
long BgL_arg2860z00_14022;
BgL_arg2860z00_14022 = 
(
(long)CINT(BgL_bpz00_14019)+
(long)CINT(BgL_iz00_11581)); 
BgL_arg2858z00_14020 = 
VECTOR_REF(
((obj_t)BgL_sz00_11583),BgL_arg2860z00_14022); } 
BgL_arg2859z00_14021 = 
PROCEDURE_ENTRY(BgL_ez00_11582)(BgL_ez00_11582, BgL_sz00_11583, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_xz00_14023;
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28528;obj_t BgL_tmpz00_28526;
BgL_auxz00_28528 = 
(int)(((long)0)); 
BgL_tmpz00_28526 = 
((obj_t)BgL_arg2858z00_14020); 
BgL_xz00_14023 = 
STRUCT_SET(BgL_tmpz00_28526, BgL_auxz00_28528, BgL_arg2859z00_14021); } 
return BUNSPEC;} } } } } 

}



/* &<@anonymous:2861> */
obj_t BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11584, obj_t BgL_sz00_11587)
{
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_iz00_11585;obj_t BgL_ez00_11586;
BgL_iz00_11585 = 
PROCEDURE_REF(BgL_envz00_11584, 
(int)(((long)0))); 
BgL_ez00_11586 = 
PROCEDURE_REF(BgL_envz00_11584, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_bpz00_14024;
BgL_bpz00_14024 = 
VECTOR_REF(
((obj_t)BgL_sz00_11587),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
long BgL_arg2862z00_14025;obj_t BgL_arg2863z00_14026;
BgL_arg2862z00_14025 = 
(
(long)CINT(BgL_bpz00_14024)+
(long)CINT(BgL_iz00_11585)); 
BgL_arg2863z00_14026 = 
PROCEDURE_ENTRY(BgL_ez00_11586)(BgL_ez00_11586, BgL_sz00_11587, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_11587),BgL_arg2862z00_14025,BgL_arg2863z00_14026);} } } } 

}



/* &comp-ev_var1391 */
obj_t BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00(obj_t BgL_envz00_11588, obj_t BgL_varz00_11589, obj_t BgL_stkz00_11590)
{
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
obj_t BgL_iz00_14028;
BgL_iz00_14028 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_11589)), BgL_stkz00_11590); 
{ 

if(
INTEGERP(BgL_iz00_14028))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_14028)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_11589)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4382z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4383z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_11589)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4384z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4385z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_11589)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4386z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4387z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_11589)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4388z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4389z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1088z00_14029:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_11589)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3z04anonymousza32851ze3z87_14030;
BgL_zc3z04anonymousza32851ze3z87_14030 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32851ze3z87_14030, 
(int)(((long)0)), BgL_iz00_14028); 
return BgL_zc3z04anonymousza32851ze3z87_14030;}  else 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3z04anonymousza32854ze3z87_14031;
BgL_zc3z04anonymousza32854ze3z87_14031 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32854ze3z87_14031, 
(int)(((long)0)), BgL_iz00_14028); 
return BgL_zc3z04anonymousza32854ze3z87_14031;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1088z00_14029;} } } } 

}



/* &<@anonymous:2845> */
obj_t BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11591, obj_t BgL_sz00_11592)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14032;
BgL_bpz00_14032 = 
VECTOR_REF(
((obj_t)BgL_sz00_11592),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2846z00_14033;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2847z00_14034;
BgL_arg2847z00_14034 = 
(
(long)CINT(BgL_bpz00_14032)+((long)3)); 
BgL_arg2846z00_14033 = 
VECTOR_REF(
((obj_t)BgL_sz00_11592),BgL_arg2847z00_14034); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2846z00_14033), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2848> */
obj_t BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11593, obj_t BgL_sz00_11594)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14035;
BgL_bpz00_14035 = 
VECTOR_REF(
((obj_t)BgL_sz00_11594),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2849z00_14036;
BgL_arg2849z00_14036 = 
(
(long)CINT(BgL_bpz00_14035)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_11594),BgL_arg2849z00_14036);} } } 

}



/* &<@anonymous:2839> */
obj_t BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11595, obj_t BgL_sz00_11596)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14037;
BgL_bpz00_14037 = 
VECTOR_REF(
((obj_t)BgL_sz00_11596),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2840z00_14038;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2841z00_14039;
BgL_arg2841z00_14039 = 
(
(long)CINT(BgL_bpz00_14037)+((long)2)); 
BgL_arg2840z00_14038 = 
VECTOR_REF(
((obj_t)BgL_sz00_11596),BgL_arg2841z00_14039); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2840z00_14038), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2842> */
obj_t BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11597, obj_t BgL_sz00_11598)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14040;
BgL_bpz00_14040 = 
VECTOR_REF(
((obj_t)BgL_sz00_11598),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2843z00_14041;
BgL_arg2843z00_14041 = 
(
(long)CINT(BgL_bpz00_14040)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_11598),BgL_arg2843z00_14041);} } } 

}



/* &<@anonymous:2833> */
obj_t BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11599, obj_t BgL_sz00_11600)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14042;
BgL_bpz00_14042 = 
VECTOR_REF(
((obj_t)BgL_sz00_11600),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2834z00_14043;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2835z00_14044;
BgL_arg2835z00_14044 = 
(
(long)CINT(BgL_bpz00_14042)+((long)1)); 
BgL_arg2834z00_14043 = 
VECTOR_REF(
((obj_t)BgL_sz00_11600),BgL_arg2835z00_14044); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2834z00_14043), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2836> */
obj_t BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11601, obj_t BgL_sz00_11602)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14045;
BgL_bpz00_14045 = 
VECTOR_REF(
((obj_t)BgL_sz00_11602),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2837z00_14046;
BgL_arg2837z00_14046 = 
(
(long)CINT(BgL_bpz00_14045)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_11602),BgL_arg2837z00_14046);} } } 

}



/* &<@anonymous:2827> */
obj_t BGl_z62zc3z04anonymousza32827ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11603, obj_t BgL_sz00_11604)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14047;
BgL_bpz00_14047 = 
VECTOR_REF(
((obj_t)BgL_sz00_11604),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2828z00_14048;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2829z00_14049;
BgL_arg2829z00_14049 = 
(
(long)CINT(BgL_bpz00_14047)+((long)0)); 
BgL_arg2828z00_14048 = 
VECTOR_REF(
((obj_t)BgL_sz00_11604),BgL_arg2829z00_14049); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2828z00_14048), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2830> */
obj_t BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11605, obj_t BgL_sz00_11606)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14050;
BgL_bpz00_14050 = 
VECTOR_REF(
((obj_t)BgL_sz00_11606),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2831z00_14051;
BgL_arg2831z00_14051 = 
(
(long)CINT(BgL_bpz00_14050)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_11606),BgL_arg2831z00_14051);} } } 

}



/* &<@anonymous:2851> */
obj_t BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11607, obj_t BgL_sz00_11609)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_11608;
BgL_iz00_11608 = 
PROCEDURE_REF(BgL_envz00_11607, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14052;
BgL_bpz00_14052 = 
VECTOR_REF(
((obj_t)BgL_sz00_11609),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2852z00_14053;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2853z00_14054;
BgL_arg2853z00_14054 = 
(
(long)CINT(BgL_bpz00_14052)+
(long)CINT(BgL_iz00_11608)); 
BgL_arg2852z00_14053 = 
VECTOR_REF(
((obj_t)BgL_sz00_11609),BgL_arg2853z00_14054); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2852z00_14053), 
(int)(((long)0)));} } } } 

}



/* &<@anonymous:2854> */
obj_t BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11610, obj_t BgL_sz00_11612)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_11611;
BgL_iz00_11611 = 
PROCEDURE_REF(BgL_envz00_11610, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14055;
BgL_bpz00_14055 = 
VECTOR_REF(
((obj_t)BgL_sz00_11612),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2855z00_14056;
BgL_arg2855z00_14056 = 
(
(long)CINT(BgL_bpz00_14055)+
(long)CINT(BgL_iz00_11611)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_11612),BgL_arg2855z00_14056);} } } } 

}



/* &comp-ev_trap1389 */
obj_t BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00(obj_t BgL_envz00_11613, obj_t BgL_ez00_11614, obj_t BgL_stkz00_11615)
{
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
obj_t BgL_ez00_14058;
{ /* Eval/evaluate_comp.scm 291 */
BgL_ev_exprz00_bglt BgL_arg2824z00_14059;
BgL_arg2824z00_14059 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_11614))))->BgL_ez00); 
BgL_ez00_14058 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2824z00_14059, BgL_stkz00_11615); } 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_zc3z04anonymousza32818ze3z87_14060;
BgL_zc3z04anonymousza32818ze3z87_14060 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32818ze3z87_14060, 
(int)(((long)0)), BgL_ez00_14058); 
return BgL_zc3z04anonymousza32818ze3z87_14060;} } } 

}



/* &<@anonymous:2818> */
obj_t BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11616, obj_t BgL_sz00_11618)
{
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_ez00_11617;
BgL_ez00_11617 = 
PROCEDURE_REF(BgL_envz00_11616, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_bpz00_14061;
BgL_bpz00_14061 = 
VECTOR_REF(
((obj_t)BgL_sz00_11618),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
obj_t BgL_cmdz00_14062;
BgL_cmdz00_14062 = 
PROCEDURE_ENTRY(BgL_ez00_11617)(BgL_ez00_11617, BgL_sz00_11618, BEOA); 
if(
(BgL_cmdz00_14062==BGl_symbol4390z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_14061;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14062==BGl_symbol4392z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14062==BGl_symbol4394z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14062==BGl_symbol4396z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
obj_t BgL_arg2823z00_14063;
BgL_arg2823z00_14063 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2823z00_14063),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string4254z00zz__evaluate_compz00, BGl_string4398z00zz__evaluate_compz00, BgL_cmdz00_14062);} } } } } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)483454155), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)70989603), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)479579181), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)169532048), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string4399z00zz__evaluate_compz00));} 

}

#ifdef __cplusplus
}
#endif
