/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2564z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2485z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2489z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31870ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2493z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2576z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31782ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2581z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2587z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2591z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1881z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_gotoz00_bglt BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31600ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31504ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31424ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31530ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31435ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31462ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31616ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31641ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_symbol2301z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2303z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2307z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2309z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static BgL_ev_varz00_bglt BGl_z62lambda1430z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31731ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static BgL_ev_varz00_bglt BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31626ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2314z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2316z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1446z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_symbol2320z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2405z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2325z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2329z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_trapz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2414z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2335z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2419z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1467z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2340z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2344z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2349z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31565ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31549ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2510z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2353z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2435z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2357z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2439z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_littz00_bglt BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static BgL_ev_littz00_bglt BGl_z62lambda1486z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2600z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2602z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2361z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2366z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2448z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31931ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31672ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2612z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2532z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2370z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2617z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2537z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2457z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2625z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32000ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2627z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2547z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2385z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2468z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31577ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31488ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1598z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2553z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2474z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2557z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2478z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2398z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2302z00zz__evaluate_typesz00, BgL_bgl_string2302za700za7za7_2629za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2304z00zz__evaluate_typesz00, BgL_bgl_string2304za700za7za7_2630za7, "__evaluate_types", 16 );
DEFINE_STRING( BGl_string2308z00zz__evaluate_typesz00, BgL_bgl_string2308za700za7za7_2631za7, "name", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__evaluate_typesz00, BgL_bgl_za762lambda1420za7622632z00, BGl_z62lambda1420z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2310z00zz__evaluate_typesz00, BgL_bgl_string2310za700za7za7_2633za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__evaluate_typesz00, BgL_bgl_za762lambda1440za7622634z00, BGl_z62lambda1440z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__evaluate_typesz00, BgL_bgl_za762lambda1439za7622635z00, BGl_z62lambda1439z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2315z00zz__evaluate_typesz00, BgL_bgl_string2315za700za7za7_2636za7, "eff", 3 );
DEFINE_STRING( BGl_string2317z00zz__evaluate_typesz00, BgL_bgl_string2317za700za7za7_2637za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2638za7, BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__evaluate_typesz00, BgL_bgl_za762lambda1446za7622639z00, BGl_z62lambda1446z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__evaluate_typesz00, BgL_bgl_za762lambda1445za7622640z00, BGl_z62lambda1445z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2321z00zz__evaluate_typesz00, BgL_bgl_string2321za700za7za7_2641za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__evaluate_typesz00, BgL_bgl_za762lambda1452za7622642z00, BGl_z62lambda1452z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2406z00zz__evaluate_typesz00, BgL_bgl_string2406za700za7za7_2643za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__evaluate_typesz00, BgL_bgl_za762lambda1451za7622644z00, BGl_z62lambda1451z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2326z00zz__evaluate_typesz00, BgL_bgl_string2326za700za7za7_2645za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1606za7622646z00, BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__evaluate_typesz00, BgL_bgl_za762lambda1605za7622647z00, BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2648za7, BGl_z62zc3z04anonymousza31600ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762lambda1598za7622649z00, BGl_z62lambda1598z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2650za7, BGl_z62zc3z04anonymousza31435ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762lambda1596za7622651z00, BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__evaluate_typesz00, BgL_bgl_za762lambda1432za7622652z00, BGl_z62lambda1432z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2411z00zz__evaluate_typesz00, BgL_bgl_string2411za700za7za7_2653za7, "ev_trap", 7 );
DEFINE_STRING( BGl_string2330z00zz__evaluate_typesz00, BgL_bgl_string2330za700za7za7_2654za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__evaluate_typesz00, BgL_bgl_za762lambda1430za7622655z00, BGl_z62lambda1430z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2656za7, BGl_z62zc3z04anonymousza31616ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__evaluate_typesz00, BgL_bgl_za762lambda1614za7622657z00, BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__evaluate_typesz00, BgL_bgl_za762lambda1467za7622658z00, BGl_z62lambda1467z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2415z00zz__evaluate_typesz00, BgL_bgl_string2415za700za7za7_2659za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1612za7622660z00, BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__evaluate_typesz00, BgL_bgl_za762lambda1466za7622661z00, BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2336z00zz__evaluate_typesz00, BgL_bgl_string2336za700za7za7_2662za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__evaluate_typesz00, BgL_bgl_za762lambda1631za7622663z00, BGl_z62lambda1631z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_typesz00, BgL_bgl_za762lambda1472za7622664z00, BGl_z62lambda1472z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762lambda1630za7622665z00, BGl_z62lambda1630z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__evaluate_typesz00, BgL_bgl_za762lambda1471za7622666z00, BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2501z00zz__evaluate_typesz00, BgL_bgl_string2501za700za7za7_2667za7, "ev_binder", 9 );
DEFINE_STRING( BGl_string2420z00zz__evaluate_typesz00, BgL_bgl_string2420za700za7za7_2668za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__evaluate_typesz00, BgL_bgl_za762lambda1477za7622669z00, BGl_z62lambda1477z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622670z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2671za7, BGl_z62zc3z04anonymousza31626ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2341z00zz__evaluate_typesz00, BgL_bgl_string2341za700za7za7_2672za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__evaluate_typesz00, BgL_bgl_za762lambda1624za7622673z00, BGl_z62lambda1624z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762lambda1622za7622674z00, BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2675za7, BGl_z62zc3z04anonymousza31462ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2506z00zz__evaluate_typesz00, BgL_bgl_string2506za700za7za7_2676za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__evaluate_typesz00, BgL_bgl_za762lambda1460za7622677z00, BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2345z00zz__evaluate_typesz00, BgL_bgl_string2345za700za7za7_2678za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__evaluate_typesz00, BgL_bgl_za762lambda1458za7622679z00, BGl_z62lambda1458z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2680za7, BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762lambda1646za7622681z00, BGl_z62lambda1646z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1814za7622682z00, BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1645za7622683z00, BGl_z62lambda1645z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1813za7622684z00, BGl_z62lambda1813z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1651za7622685z00, BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__evaluate_typesz00, BgL_bgl_za762lambda1493za7622686z00, BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2511z00zz__evaluate_typesz00, BgL_bgl_string2511za700za7za7_2687za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__evaluate_typesz00, BgL_bgl_za762lambda1650za7622688z00, BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__evaluate_typesz00, BgL_bgl_za762lambda1492za7622689z00, BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2431z00zz__evaluate_typesz00, BgL_bgl_string2431za700za7za7_2690za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762lambda1657za7622691z00, BGl_z62lambda1657z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2350z00zz__evaluate_typesz00, BgL_bgl_string2350za700za7za7_2692za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2693za7, BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1656za7622694z00, BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1806za7622695z00, BGl_z62lambda1806z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2696za7, BGl_z62zc3z04anonymousza31641ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2697za7, BGl_z62zc3z04anonymousza31488ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1804za7622698z00, BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762lambda1639za7622699z00, BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__evaluate_typesz00, BgL_bgl_za762lambda1486za7622700z00, BGl_z62lambda1486z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762lambda1637za7622701z00, BGl_z62lambda1637z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2354z00zz__evaluate_typesz00, BgL_bgl_string2354za700za7za7_2702za7, "p", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__evaluate_typesz00, BgL_bgl_za762lambda1483za7622703z00, BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2436z00zz__evaluate_typesz00, BgL_bgl_string2436za700za7za7_2704za7, "ev_defglobal", 12 );
DEFINE_STRING( BGl_string2519z00zz__evaluate_typesz00, BgL_bgl_string2519za700za7za7_2705za7, "ev_let*", 7 );
DEFINE_STRING( BGl_string2358z00zz__evaluate_typesz00, BgL_bgl_string2358za700za7za7_2706za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2707za7, BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1831za7622708z00, BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2709za7, BGl_z62zc3z04anonymousza31672ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__evaluate_typesz00, BgL_bgl_za762lambda1509za7622710z00, BGl_z62lambda1509z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2601z00zz__evaluate_typesz00, BgL_bgl_string2601za700za7za7_2711za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1830za7622712z00, BGl_z62lambda1830z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__evaluate_typesz00, BgL_bgl_za762lambda1670za7622713z00, BGl_z62lambda1670z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__evaluate_typesz00, BgL_bgl_za762lambda1508za7622714z00, BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2715za7, BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2440z00zz__evaluate_typesz00, BgL_bgl_string2440za700za7za7_2716za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1668za7622717z00, BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2603z00zz__evaluate_typesz00, BgL_bgl_string2603za700za7za7_2718za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1823za7622719z00, BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1821za7622720z00, BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762lambda1514za7622721z00, BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2524z00zz__evaluate_typesz00, BgL_bgl_string2524za700za7za7_2722za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2437z00zz__evaluate_typesz00, BgL_bgl_za762lambda1694za7622723z00, BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2362z00zz__evaluate_typesz00, BgL_bgl_string2362za700za7za7_2724za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__evaluate_typesz00, BgL_bgl_za762lambda1513za7622725z00, BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2444z00zz__evaluate_typesz00, BgL_bgl_string2444za700za7za7_2726za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__evaluate_typesz00, BgL_bgl_za762lambda1693za7622727z00, BGl_z62lambda1693z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2608z00zz__evaluate_typesz00, BgL_bgl_string2608za700za7za7_2728za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__evaluate_typesz00, BgL_bgl_za762lambda1519za7622729z00, BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2367z00zz__evaluate_typesz00, BgL_bgl_string2367za700za7za7_2730za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2449z00zz__evaluate_typesz00, BgL_bgl_string2449za700za7za7_2731za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2732za7, BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1840za7622733z00, BGl_z62lambda1840z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622734z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1699za7622735z00, BGl_z62lambda1699z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__evaluate_typesz00, BgL_bgl_za762lambda1518za7622736z00, BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2737za7, BGl_z62zc3z04anonymousza32000ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2442z00zz__evaluate_typesz00, BgL_bgl_za762lambda1698za7622738z00, BGl_z62lambda1698z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1999za7622739z00, BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1998za7622740z00, BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762lambda1857za7622741z00, BGl_z62lambda1857z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2742za7, BGl_z62zc3z04anonymousza31504ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2613z00zz__evaluate_typesz00, BgL_bgl_string2613za700za7za7_2743za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622744z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2745za7, BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762lambda1502za7622746z00, BGl_z62lambda1502z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2533z00zz__evaluate_typesz00, BgL_bgl_string2533za700za7za7_2747za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1863za7622748z00, BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__evaluate_typesz00, BgL_bgl_za762lambda1684za7622749z00, BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2371z00zz__evaluate_typesz00, BgL_bgl_string2371za700za7za7_2750za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622751z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2752za7, BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1862za7622753z00, BGl_z62lambda1862z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762lambda1682za7622754z00, BGl_z62lambda1682z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2755za7, BGl_z62zc3z04anonymousza31870ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__evaluate_typesz00, BgL_bgl_za762lambda1537za7622756z00, BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2618z00zz__evaluate_typesz00, BgL_bgl_string2618za700za7za7_2757za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762lambda1536za7622758z00, BGl_z62lambda1536z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2538z00zz__evaluate_typesz00, BgL_bgl_string2538za700za7za7_2759za7, "stk", 3 );
DEFINE_STRING( BGl_string2376z00zz__evaluate_typesz00, BgL_bgl_string2376za700za7za7_2760za7, "ev_list", 7 );
DEFINE_STRING( BGl_string2458z00zz__evaluate_typesz00, BgL_bgl_string2458za700za7za7_2761za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762lambda2006za7622762z00, BGl_z62lambda2006z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda2005za7622763z00, BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1869za7622764z00, BGl_z62lambda1869z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1868za7622765z00, BGl_z62lambda1868z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1716za7622766z00, BGl_z62lambda1716z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1715za7622767z00, BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2768za7, BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762lambda1721za7622769z00, BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda2013za7622770z00, BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2771za7, BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762lambda1720za7622772z00, BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2773za7, BGl_z62zc3z04anonymousza31530ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda2012za7622774z00, BGl_z62lambda2012z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1876za7622775z00, BGl_z62lambda1876z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2776za7, BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__evaluate_typesz00, BgL_bgl_za762lambda1528za7622777z00, BGl_z62lambda1528z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762lambda1875za7622778z00, BGl_z62lambda1875z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1709za7622779z00, BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1526za7622780z00, BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__evaluate_typesz00, BgL_bgl_string2462za700za7za7_2781za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1707za7622782z00, BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2381z00zz__evaluate_typesz00, BgL_bgl_string2381za700za7za7_2783za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2784za7, BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2626z00zz__evaluate_typesz00, BgL_bgl_string2626za700za7za7_2785za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1882za7622786z00, BGl_z62lambda1882z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2787za7, BGl_z62zc3z04anonymousza31549ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1736za7622788z00, BGl_z62lambda1736z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1547za7622789z00, BGl_z62lambda1547z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2628z00zz__evaluate_typesz00, BgL_bgl_string2628za700za7za7_2790za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622791z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2792za7, BGl_z62zc3z04anonymousza31424ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2548z00zz__evaluate_typesz00, BgL_bgl_string2548za700za7za7_2793za7, "ev_labels", 9 );
DEFINE_STRING( BGl_string2386z00zz__evaluate_typesz00, BgL_bgl_string2386za700za7za7_2794za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__evaluate_typesz00, BgL_bgl_za762lambda1422za7622795z00, BGl_z62lambda1422z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2469z00zz__evaluate_typesz00, BgL_bgl_string2469za700za7za7_2796za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__evaluate_typesz00, BgL_bgl_za762lambda2020za7622797z00, BGl_z62lambda2020z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda2019za7622798z00, BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1881za7622799z00, BGl_z62lambda1881z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2800za7, BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2801za7, BGl_z62zc3z04anonymousza31889ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1735za7622802z00, BGl_z62lambda1735z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622803z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1888za7622804z00, BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1957za7622805z00, BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762lambda1887za7622806z00, BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2807za7, BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762lambda1741za7622808z00, BGl_z62lambda1741z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2809za7, BGl_z62zc3z04anonymousza31565ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1850za7622810z00, BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762lambda1740za7622811z00, BGl_z62lambda1740z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__evaluate_typesz00, BgL_bgl_za762lambda1563za7622812z00, BGl_z62lambda1563z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622813z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2814za7, BGl_z62zc3z04anonymousza31731ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2390z00zz__evaluate_typesz00, BgL_bgl_string2390za700za7za7_2815za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__evaluate_typesz00, BgL_bgl_za762lambda1559za7622816z00, BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1729za7622817z00, BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2554z00zz__evaluate_typesz00, BgL_bgl_string2554za700za7za7_2818za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622819z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1906za7622820z00, BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1583za7622821z00, BGl_z62lambda1583z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2475z00zz__evaluate_typesz00, BgL_bgl_string2475za700za7za7_2822za7, "mutex", 5 );
DEFINE_STRING( BGl_string2394z00zz__evaluate_typesz00, BgL_bgl_string2394za700za7za7_2823za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1582za7622824z00, BGl_z62lambda1582z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2558z00zz__evaluate_typesz00, BgL_bgl_string2558za700za7za7_2825za7, "labels", 6 );
DEFINE_STRING( BGl_string2479z00zz__evaluate_typesz00, BgL_bgl_string2479za700za7za7_2826za7, "prelock", 7 );
DEFINE_STRING( BGl_string2399z00zz__evaluate_typesz00, BgL_bgl_string2399za700za7za7_2827za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__evaluate_typesz00, BgL_bgl_za762lambda1905za7622828z00, BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__evaluate_typesz00, BgL_bgl_za762lambda1911za7622829z00, BGl_z62lambda1911z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1757za7622830z00, BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1910za7622831z00, BGl_z62lambda1910z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__evaluate_typesz00, BgL_bgl_za762lambda1756za7622832z00, BGl_z62lambda1756z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__evaluate_typesz00, BgL_bgl_za762lambda1762za7622833z00, BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1588za7622834z00, BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1761za7622835z00, BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622836z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762lambda1916za7622837z00, BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__evaluate_typesz00, BgL_bgl_za762lambda1915za7622838z00, BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__evaluate_typesz00, BgL_bgl_za762lambda1767za7622839z00, BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2840za7, BGl_z62zc3z04anonymousza31577ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762lambda1766za7622841z00, BGl_z62lambda1766z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1575za7622842z00, BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2565z00zz__evaluate_typesz00, BgL_bgl_string2565za700za7za7_2843za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1921za7622844z00, BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762lambda1573za7622845z00, BGl_z62lambda1573z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2486z00zz__evaluate_typesz00, BgL_bgl_string2486za700za7za7_2846za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762lambda1920za7622847z00, BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2848za7, BGl_z62zc3z04anonymousza31899ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__evaluate_typesz00, BgL_bgl_za762lambda1772za7622849z00, BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1897za7622850z00, BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__evaluate_typesz00, BgL_bgl_za762lambda1771za7622851z00, BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1895za7622852z00, BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2853za7, BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1750za7622854z00, BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2571z00zz__evaluate_typesz00, BgL_bgl_string2571za700za7za7_2855za7, "fun", 3 );
DEFINE_STRING( BGl_string2490z00zz__evaluate_typesz00, BgL_bgl_string2490za700za7za7_2856za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622857z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1936za7622858z00, BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762lambda1935za7622859z00, BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1941za7622860z00, BGl_z62lambda1941z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762lambda1787za7622861z00, BGl_z62lambda1787z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1940za7622862z00, BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2494z00zz__evaluate_typesz00, BgL_bgl_string2494za700za7za7_2863za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762lambda1786za7622864z00, BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2577z00zz__evaluate_typesz00, BgL_bgl_string2577za700za7za7_2865za7, "tail?", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762lambda1946za7622866z00, BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1792za7622867z00, BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1945za7622868z00, BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__evaluate_typesz00, BgL_bgl_za762lambda1791za7622869z00, BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1951za7622870z00, BGl_z62lambda1951z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622871z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2582z00zz__evaluate_typesz00, BgL_bgl_string2582za700za7za7_2872za7, "ev_app", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1797za7622873z00, BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1796za7622874z00, BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2875za7, BGl_z62zc3z04anonymousza31931ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2876za7, BGl_z62zc3z04anonymousza31782ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762lambda1929za7622877z00, BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1780za7622878z00, BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1778za7622879z00, BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2588z00zz__evaluate_typesz00, BgL_bgl_string2588za700za7za7_2880za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__evaluate_typesz00, BgL_bgl_za762lambda1927za7622881z00, BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1966za7622882z00, BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762lambda1965za7622883z00, BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1971za7622884z00, BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2592z00zz__evaluate_typesz00, BgL_bgl_string2592za700za7za7_2885za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1970za7622886z00, BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762lambda1976za7622887z00, BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__evaluate_typesz00, BgL_bgl_za762lambda1975za7622888z00, BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1981za7622889z00, BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762lambda1980za7622890z00, BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762lambda1986za7622891z00, BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622892z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2893za7, BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1992za7622894z00, BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1991za7622895z00, BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2564z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2485z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2489z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2570z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2493z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2576z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2581z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2587z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2591z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2301z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2303z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2307z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2309z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2314z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2316z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2320z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2405z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2325z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2329z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2410z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2414z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2335z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2419z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2500z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2340z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2505z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2344z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2349z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2510z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2430z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2353z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2435z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2518z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2357z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2439z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2600z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2602z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2523z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2361z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2443z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2607z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2366z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2448z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2612z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2532z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2370z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2617z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2537z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2375z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2457z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2461z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2380z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2625z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2627z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2547z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2385z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2468z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2389z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2553z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2474z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2393z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2557z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2478z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2398z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1961>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2021>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2014>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2007>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2000>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32000ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1993>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1931>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31931ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1899>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31899ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1852>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1889>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31889ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1877>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1870>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31870ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1842>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1825>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1832>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1808>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1815>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1782>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31782ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1752>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1731>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31731ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1711>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1688>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1672>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31672ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1641>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31641ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1626>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31626ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1616>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31616ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1600>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31600ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1577>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31577ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1565>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31565ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1549>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31549ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1530>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31530ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1504>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31504ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1488>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31488ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1462>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31462ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1435>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31435ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1447>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1424>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31424ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4145, char * BgL_fromz00_4146)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2301z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2302z00zz__evaluate_typesz00); 
BGl_symbol2303z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2304z00zz__evaluate_typesz00); 
BGl_symbol2307z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2308z00zz__evaluate_typesz00); 
BGl_symbol2309z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2310z00zz__evaluate_typesz00); 
BGl_symbol2314z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2315z00zz__evaluate_typesz00); 
BGl_symbol2316z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2317z00zz__evaluate_typesz00); 
BGl_symbol2320z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2321z00zz__evaluate_typesz00); 
BGl_symbol2325z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2326z00zz__evaluate_typesz00); 
BGl_symbol2329z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2330z00zz__evaluate_typesz00); 
BGl_symbol2335z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2336z00zz__evaluate_typesz00); 
BGl_symbol2340z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2341z00zz__evaluate_typesz00); 
BGl_symbol2344z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2345z00zz__evaluate_typesz00); 
BGl_symbol2349z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2350z00zz__evaluate_typesz00); 
BGl_symbol2353z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2354z00zz__evaluate_typesz00); 
BGl_symbol2357z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2358z00zz__evaluate_typesz00); 
BGl_symbol2361z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2362z00zz__evaluate_typesz00); 
BGl_symbol2366z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2367z00zz__evaluate_typesz00); 
BGl_symbol2370z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2371z00zz__evaluate_typesz00); 
BGl_symbol2375z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00); 
BGl_symbol2380z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00); 
BGl_symbol2385z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2386z00zz__evaluate_typesz00); 
BGl_symbol2389z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00); 
BGl_symbol2393z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00); 
BGl_symbol2398z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2399z00zz__evaluate_typesz00); 
BGl_symbol2405z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2406z00zz__evaluate_typesz00); 
BGl_symbol2410z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00); 
BGl_symbol2414z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2415z00zz__evaluate_typesz00); 
BGl_symbol2419z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2420z00zz__evaluate_typesz00); 
BGl_symbol2430z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00); 
BGl_symbol2435z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2436z00zz__evaluate_typesz00); 
BGl_symbol2439z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2440z00zz__evaluate_typesz00); 
BGl_symbol2443z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00); 
BGl_symbol2448z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2449z00zz__evaluate_typesz00); 
BGl_symbol2457z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2458z00zz__evaluate_typesz00); 
BGl_symbol2461z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00); 
BGl_symbol2468z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2469z00zz__evaluate_typesz00); 
BGl_symbol2474z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2475z00zz__evaluate_typesz00); 
BGl_symbol2478z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2479z00zz__evaluate_typesz00); 
BGl_symbol2485z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2486z00zz__evaluate_typesz00); 
BGl_symbol2489z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2490z00zz__evaluate_typesz00); 
BGl_symbol2493z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2494z00zz__evaluate_typesz00); 
BGl_symbol2500z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00); 
BGl_symbol2505z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00); 
BGl_symbol2510z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2511z00zz__evaluate_typesz00); 
BGl_symbol2518z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00); 
BGl_symbol2523z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00); 
BGl_symbol2532z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2533z00zz__evaluate_typesz00); 
BGl_symbol2537z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2538z00zz__evaluate_typesz00); 
BGl_symbol2547z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2548z00zz__evaluate_typesz00); 
BGl_symbol2553z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2554z00zz__evaluate_typesz00); 
BGl_symbol2557z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2558z00zz__evaluate_typesz00); 
BGl_symbol2564z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2565z00zz__evaluate_typesz00); 
BGl_symbol2570z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00); 
BGl_symbol2576z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2577z00zz__evaluate_typesz00); 
BGl_symbol2581z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2582z00zz__evaluate_typesz00); 
BGl_symbol2587z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2588z00zz__evaluate_typesz00); 
BGl_symbol2591z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2592z00zz__evaluate_typesz00); 
BGl_symbol2600z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2601z00zz__evaluate_typesz00); 
BGl_symbol2602z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2603z00zz__evaluate_typesz00); 
BGl_symbol2607z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00); 
BGl_symbol2612z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2613z00zz__evaluate_typesz00); 
BGl_symbol2617z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2618z00zz__evaluate_typesz00); 
BGl_symbol2625z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2626z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2627z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2628z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1418z00_1062;obj_t BgL_arg1419z00_1063;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1282z00_1073;
BgL_v1282z00_1073 = 
create_vector(((long)0)); 
BgL_arg1418z00_1062 = BgL_v1282z00_1073; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1283z00_1074;
BgL_v1283z00_1074 = 
create_vector(((long)0)); 
BgL_arg1419z00_1063 = BgL_v1283z00_1074; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2301z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2300z00zz__evaluate_typesz00, BGl_proc2299z00zz__evaluate_typesz00, BFALSE, BGl_proc2298z00zz__evaluate_typesz00, BFALSE, BgL_arg1418z00_1062, BgL_arg1419z00_1063); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1428z00_1081;obj_t BgL_arg1429z00_1082;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1284z00_1095;
BgL_v1284z00_1095 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1284z00_1095,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2307z00zz__evaluate_typesz00, BGl_proc2306z00zz__evaluate_typesz00, BGl_proc2305z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2309z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1284z00_1095,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2314z00zz__evaluate_typesz00, BGl_proc2313z00zz__evaluate_typesz00, BGl_proc2312z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2311z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1284z00_1095,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2320z00zz__evaluate_typesz00, BGl_proc2319z00zz__evaluate_typesz00, BGl_proc2318z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1428z00_1081 = BgL_v1284z00_1095; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1285z00_1129;
BgL_v1285z00_1129 = 
create_vector(((long)0)); 
BgL_arg1429z00_1082 = BgL_v1285z00_1129; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2325z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2324z00zz__evaluate_typesz00, BGl_proc2323z00zz__evaluate_typesz00, BFALSE, BGl_proc2322z00zz__evaluate_typesz00, BFALSE, BgL_arg1428z00_1081, BgL_arg1429z00_1082); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1456z00_1136;obj_t BgL_arg1457z00_1137;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1286z00_1150;
BgL_v1286z00_1150 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1286z00_1150,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2329z00zz__evaluate_typesz00, BGl_proc2328z00zz__evaluate_typesz00, BGl_proc2327z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1150,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2307z00zz__evaluate_typesz00, BGl_proc2332z00zz__evaluate_typesz00, BGl_proc2331z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2309z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1150,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2335z00zz__evaluate_typesz00, BGl_proc2334z00zz__evaluate_typesz00, BGl_proc2333z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1456z00_1136 = BgL_v1286z00_1150; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1287z00_1181;
BgL_v1287z00_1181 = 
create_vector(((long)0)); 
BgL_arg1457z00_1137 = BgL_v1287z00_1181; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2340z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2339z00zz__evaluate_typesz00, BGl_proc2338z00zz__evaluate_typesz00, BFALSE, BGl_proc2337z00zz__evaluate_typesz00, BFALSE, BgL_arg1456z00_1136, BgL_arg1457z00_1137); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1481z00_1188;obj_t BgL_arg1482z00_1189;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1288z00_1200;
BgL_v1288z00_1200 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1288z00_1200,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2344z00zz__evaluate_typesz00, BGl_proc2343z00zz__evaluate_typesz00, BGl_proc2342z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1481z00_1188 = BgL_v1288z00_1200; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1289z00_1211;
BgL_v1289z00_1211 = 
create_vector(((long)0)); 
BgL_arg1482z00_1189 = BgL_v1289z00_1211; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2349z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2348z00zz__evaluate_typesz00, BGl_proc2347z00zz__evaluate_typesz00, BFALSE, BGl_proc2346z00zz__evaluate_typesz00, BFALSE, BgL_arg1481z00_1188, BgL_arg1482z00_1189); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1497z00_1218;obj_t BgL_arg1498z00_1219;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1290z00_1232;
BgL_v1290z00_1232 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1290z00_1232,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2353z00zz__evaluate_typesz00, BGl_proc2352z00zz__evaluate_typesz00, BGl_proc2351z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1290z00_1232,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2357z00zz__evaluate_typesz00, BGl_proc2356z00zz__evaluate_typesz00, BGl_proc2355z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1290z00_1232,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2360z00zz__evaluate_typesz00, BGl_proc2359z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1497z00_1218 = BgL_v1290z00_1232; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1291z00_1263;
BgL_v1291z00_1263 = 
create_vector(((long)0)); 
BgL_arg1498z00_1219 = BgL_v1291z00_1263; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2366z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2365z00zz__evaluate_typesz00, BGl_proc2364z00zz__evaluate_typesz00, BFALSE, BGl_proc2363z00zz__evaluate_typesz00, BFALSE, BgL_arg1497z00_1218, BgL_arg1498z00_1219); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1524z00_1270;obj_t BgL_arg1525z00_1271;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1292z00_1282;
BgL_v1292z00_1282 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1292z00_1282,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2370z00zz__evaluate_typesz00, BGl_proc2369z00zz__evaluate_typesz00, BGl_proc2368z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1524z00_1270 = BgL_v1292z00_1282; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1293z00_1293;
BgL_v1293z00_1293 = 
create_vector(((long)0)); 
BgL_arg1525z00_1271 = BgL_v1293z00_1293; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2375z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2374z00zz__evaluate_typesz00, BGl_proc2373z00zz__evaluate_typesz00, BFALSE, BGl_proc2372z00zz__evaluate_typesz00, BFALSE, BgL_arg1524z00_1270, BgL_arg1525z00_1271); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1543z00_1300;obj_t BgL_arg1544z00_1301;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1294z00_1312;
BgL_v1294z00_1312 = 
create_vector(((long)0)); 
BgL_arg1543z00_1300 = BgL_v1294z00_1312; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1295z00_1313;
BgL_v1295z00_1313 = 
create_vector(((long)0)); 
BgL_arg1544z00_1301 = BgL_v1295z00_1313; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2380z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, BFALSE, BGl_proc2377z00zz__evaluate_typesz00, BFALSE, BgL_arg1543z00_1300, BgL_arg1544z00_1301); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1557z00_1320;obj_t BgL_arg1558z00_1321;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1296z00_1332;
BgL_v1296z00_1332 = 
create_vector(((long)0)); 
BgL_arg1557z00_1320 = BgL_v1296z00_1332; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1297z00_1333;
BgL_v1297z00_1333 = 
create_vector(((long)0)); 
BgL_arg1558z00_1321 = BgL_v1297z00_1333; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2385z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2384z00zz__evaluate_typesz00, BGl_proc2383z00zz__evaluate_typesz00, BFALSE, BGl_proc2382z00zz__evaluate_typesz00, BFALSE, BgL_arg1557z00_1320, BgL_arg1558z00_1321); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1571z00_1340;obj_t BgL_arg1572z00_1341;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1298z00_1353;
BgL_v1298z00_1353 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1298z00_1353,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_proc2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1298z00_1353,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1571z00_1340 = BgL_v1298z00_1353; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1299z00_1374;
BgL_v1299z00_1374 = 
create_vector(((long)0)); 
BgL_arg1572z00_1341 = BgL_v1299z00_1374; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2398z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2397z00zz__evaluate_typesz00, BGl_proc2396z00zz__evaluate_typesz00, BFALSE, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BgL_arg1571z00_1340, BgL_arg1572z00_1341); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1593z00_1381;obj_t BgL_arg1595z00_1382;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1300z00_1393;
BgL_v1300z00_1393 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1300z00_1393,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1593z00_1381 = BgL_v1300z00_1393; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1301z00_1404;
BgL_v1301z00_1404 = 
create_vector(((long)0)); 
BgL_arg1595z00_1382 = BgL_v1301z00_1404; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2405z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2404z00zz__evaluate_typesz00, BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BGl_proc2402z00zz__evaluate_typesz00, BFALSE, BgL_arg1593z00_1381, BgL_arg1595z00_1382); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1610z00_1411;obj_t BgL_arg1611z00_1412;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1302z00_1423;
BgL_v1302z00_1423 = 
create_vector(((long)0)); 
BgL_arg1610z00_1411 = BgL_v1302z00_1423; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1303z00_1424;
BgL_v1303z00_1424 = 
create_vector(((long)0)); 
BgL_arg1611z00_1412 = BgL_v1303z00_1424; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2410z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2409z00zz__evaluate_typesz00, BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BGl_proc2407z00zz__evaluate_typesz00, BFALSE, BgL_arg1610z00_1411, BgL_arg1611z00_1412); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1620z00_1431;obj_t BgL_arg1621z00_1432;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1304z00_1444;
BgL_v1304z00_1444 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1304z00_1444,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2414z00zz__evaluate_typesz00, BGl_proc2413z00zz__evaluate_typesz00, BGl_proc2412z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1620z00_1431 = BgL_v1304z00_1444; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1305z00_1455;
BgL_v1305z00_1455 = 
create_vector(((long)0)); 
BgL_arg1621z00_1432 = BgL_v1305z00_1455; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2419z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2418z00zz__evaluate_typesz00, BGl_proc2417z00zz__evaluate_typesz00, BFALSE, BGl_proc2416z00zz__evaluate_typesz00, BFALSE, BgL_arg1620z00_1431, BgL_arg1621z00_1432); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1635z00_1462;obj_t BgL_arg1636z00_1463;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1306z00_1477;
BgL_v1306z00_1477 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1306z00_1477,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2329z00zz__evaluate_typesz00, BGl_proc2422z00zz__evaluate_typesz00, BGl_proc2421z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1477,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2307z00zz__evaluate_typesz00, BGl_proc2424z00zz__evaluate_typesz00, BGl_proc2423z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2309z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1477,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2335z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, BGl_proc2425z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1635z00_1462 = BgL_v1306z00_1477; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1307z00_1508;
BgL_v1307z00_1508 = 
create_vector(((long)0)); 
BgL_arg1636z00_1463 = BgL_v1307z00_1508; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2430z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2429z00zz__evaluate_typesz00, BGl_proc2428z00zz__evaluate_typesz00, BFALSE, BGl_proc2427z00zz__evaluate_typesz00, BFALSE, BgL_arg1635z00_1462, BgL_arg1636z00_1463); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1663z00_1515;obj_t BgL_arg1667z00_1516;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1308z00_1530;
BgL_v1308z00_1530 = 
create_vector(((long)0)); 
BgL_arg1663z00_1515 = BgL_v1308z00_1530; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1309z00_1531;
BgL_v1309z00_1531 = 
create_vector(((long)0)); 
BgL_arg1667z00_1516 = BgL_v1309z00_1531; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2435z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2434z00zz__evaluate_typesz00, BGl_proc2433z00zz__evaluate_typesz00, BFALSE, BGl_proc2432z00zz__evaluate_typesz00, BFALSE, BgL_arg1663z00_1515, BgL_arg1667z00_1516); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1680z00_1538;obj_t BgL_arg1681z00_1539;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1310z00_1551;
BgL_v1310z00_1551 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1310z00_1551,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2439z00zz__evaluate_typesz00, BGl_proc2438z00zz__evaluate_typesz00, BGl_proc2437z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1310z00_1551,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2442z00zz__evaluate_typesz00, BGl_proc2441z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1680z00_1538 = BgL_v1310z00_1551; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1311z00_1572;
BgL_v1311z00_1572 = 
create_vector(((long)0)); 
BgL_arg1681z00_1539 = BgL_v1311z00_1572; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2448z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2447z00zz__evaluate_typesz00, BGl_proc2446z00zz__evaluate_typesz00, BFALSE, BGl_proc2445z00zz__evaluate_typesz00, BFALSE, BgL_arg1680z00_1538, BgL_arg1681z00_1539); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1705z00_1579;obj_t BgL_arg1706z00_1580;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1312z00_1592;
BgL_v1312z00_1592 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1312z00_1592,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2451z00zz__evaluate_typesz00, BGl_proc2450z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1592,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2453z00zz__evaluate_typesz00, BGl_proc2452z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1705z00_1579 = BgL_v1312z00_1592; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1313z00_1613;
BgL_v1313z00_1613 = 
create_vector(((long)0)); 
BgL_arg1706z00_1580 = BgL_v1313z00_1613; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2457z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2456z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BGl_proc2454z00zz__evaluate_typesz00, BFALSE, BgL_arg1705z00_1579, BgL_arg1706z00_1580); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1725z00_1620;obj_t BgL_arg1726z00_1621;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1314z00_1633;
BgL_v1314z00_1633 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1314z00_1633,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, BGl_proc2459z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1633,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2464z00zz__evaluate_typesz00, BGl_proc2463z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1725z00_1620 = BgL_v1314z00_1633; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1315z00_1654;
BgL_v1315z00_1654 = 
create_vector(((long)0)); 
BgL_arg1726z00_1621 = BgL_v1315z00_1654; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2468z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2467z00zz__evaluate_typesz00, BGl_proc2466z00zz__evaluate_typesz00, BFALSE, BGl_proc2465z00zz__evaluate_typesz00, BFALSE, BgL_arg1725z00_1620, BgL_arg1726z00_1621); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1746z00_1661;obj_t BgL_arg1747z00_1662;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1316z00_1676;
BgL_v1316z00_1676 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1316z00_1676,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2329z00zz__evaluate_typesz00, BGl_proc2471z00zz__evaluate_typesz00, BGl_proc2470z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1676,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, BGl_proc2472z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1676,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2478z00zz__evaluate_typesz00, BGl_proc2477z00zz__evaluate_typesz00, BGl_proc2476z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1676,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2481z00zz__evaluate_typesz00, BGl_proc2480z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1746z00_1661 = BgL_v1316z00_1676; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1317z00_1717;
BgL_v1317z00_1717 = 
create_vector(((long)0)); 
BgL_arg1747z00_1662 = BgL_v1317z00_1717; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2485z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2484z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BFALSE, BGl_proc2482z00zz__evaluate_typesz00, BFALSE, BgL_arg1746z00_1661, BgL_arg1747z00_1662); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1776z00_1724;obj_t BgL_arg1777z00_1725;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1318z00_1738;
BgL_v1318z00_1738 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1318z00_1738,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2489z00zz__evaluate_typesz00, BGl_proc2488z00zz__evaluate_typesz00, BGl_proc2487z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1738,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2493z00zz__evaluate_typesz00, BGl_proc2492z00zz__evaluate_typesz00, BGl_proc2491z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1738,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1776z00_1724 = BgL_v1318z00_1738; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1319z00_1769;
BgL_v1319z00_1769 = 
create_vector(((long)0)); 
BgL_arg1777z00_1725 = BgL_v1319z00_1769; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2499z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, BFALSE, BGl_proc2497z00zz__evaluate_typesz00, BFALSE, BgL_arg1776z00_1724, BgL_arg1777z00_1725); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1801z00_1776;obj_t BgL_arg1803z00_1777;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1320z00_1791;
BgL_v1320z00_1791 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1320z00_1791,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2502z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1801z00_1776 = BgL_v1320z00_1791; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1321z00_1805;
BgL_v1321z00_1805 = 
create_vector(((long)0)); 
BgL_arg1803z00_1777 = BgL_v1321z00_1805; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2510z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2509z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, BFALSE, BGl_proc2507z00zz__evaluate_typesz00, BFALSE, BgL_arg1801z00_1776, BgL_arg1803z00_1777); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1819z00_1812;obj_t BgL_arg1820z00_1813;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1322z00_1827;
BgL_v1322z00_1827 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1322z00_1827,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2512z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1819z00_1812 = BgL_v1322z00_1827; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1323z00_1841;
BgL_v1323z00_1841 = 
create_vector(((long)0)); 
BgL_arg1820z00_1813 = BgL_v1323z00_1841; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2517z00zz__evaluate_typesz00, BGl_proc2516z00zz__evaluate_typesz00, BFALSE, BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BgL_arg1819z00_1812, BgL_arg1820z00_1813); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1836z00_1848;obj_t BgL_arg1837z00_1849;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1324z00_1862;
BgL_v1324z00_1862 = 
create_vector(((long)0)); 
BgL_arg1836z00_1848 = BgL_v1324z00_1862; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1325z00_1863;
BgL_v1325z00_1863 = 
create_vector(((long)0)); 
BgL_arg1837z00_1849 = BgL_v1325z00_1863; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, BFALSE, BGl_proc2520z00zz__evaluate_typesz00, BFALSE, BgL_arg1836z00_1848, BgL_arg1837z00_1849); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1846z00_1870;obj_t BgL_arg1847z00_1871;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1326z00_1887;
BgL_v1326z00_1887 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1326z00_1887,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2489z00zz__evaluate_typesz00, BGl_proc2526z00zz__evaluate_typesz00, BGl_proc2525z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1887,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2493z00zz__evaluate_typesz00, BGl_proc2528z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1887,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2532z00zz__evaluate_typesz00, BGl_proc2531z00zz__evaluate_typesz00, BGl_proc2530z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2529z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1887,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2537z00zz__evaluate_typesz00, BGl_proc2536z00zz__evaluate_typesz00, BGl_proc2535z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2534z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1887,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2540z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1887,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_proc2543z00zz__evaluate_typesz00, BGl_proc2542z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2541z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1846z00_1870 = BgL_v1326z00_1887; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1327z00_1957;
BgL_v1327z00_1957 = 
create_vector(((long)0)); 
BgL_arg1847z00_1871 = BgL_v1327z00_1957; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2547z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, BFALSE, BGl_proc2544z00zz__evaluate_typesz00, BFALSE, BgL_arg1846z00_1870, BgL_arg1847z00_1871); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1893z00_1964;obj_t BgL_arg1894z00_1965;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1328z00_1979;
BgL_v1328z00_1979 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1328z00_1979,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2329z00zz__evaluate_typesz00, BGl_proc2550z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1979,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2553z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, BGl_proc2551z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1979,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2557z00zz__evaluate_typesz00, BGl_proc2556z00zz__evaluate_typesz00, BGl_proc2555z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1979,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2370z00zz__evaluate_typesz00, BGl_proc2560z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1893z00_1964 = BgL_v1328z00_1979; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1329z00_2020;
BgL_v1329z00_2020 = 
create_vector(((long)0)); 
BgL_arg1894z00_1965 = BgL_v1329z00_2020; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2564z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, BFALSE, BGl_proc2561z00zz__evaluate_typesz00, BFALSE, BgL_arg1893z00_1964, BgL_arg1894z00_1965); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1925z00_2027;obj_t BgL_arg1926z00_2028;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1330z00_2042;
BgL_v1330z00_2042 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1330z00_2042,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2329z00zz__evaluate_typesz00, BGl_proc2567z00zz__evaluate_typesz00, BGl_proc2566z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2042,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2570z00zz__evaluate_typesz00, BGl_proc2569z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2042,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2370z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, BGl_proc2572z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2042,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2576z00zz__evaluate_typesz00, BGl_proc2575z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1925z00_2027 = BgL_v1330z00_2042; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1331z00_2083;
BgL_v1331z00_2083 = 
create_vector(((long)0)); 
BgL_arg1926z00_2028 = BgL_v1331z00_2083; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2581z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2580z00zz__evaluate_typesz00, BGl_proc2579z00zz__evaluate_typesz00, BFALSE, BGl_proc2578z00zz__evaluate_typesz00, BFALSE, BgL_arg1925z00_2027, BgL_arg1926z00_2028); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1955z00_2090;obj_t BgL_arg1956z00_2091;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1332z00_2111;
BgL_v1332z00_2111 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1332z00_2111,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2329z00zz__evaluate_typesz00, BGl_proc2584z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2587z00zz__evaluate_typesz00, BGl_proc2586z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2591z00zz__evaluate_typesz00, BGl_proc2590z00zz__evaluate_typesz00, BGl_proc2589z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2489z00zz__evaluate_typesz00, BGl_proc2594z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2596z00zz__evaluate_typesz00, BGl_proc2595z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2600z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2597z00zz__evaluate_typesz00, BGl_symbol2602z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2607z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2604z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, BGl_proc2610z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2609z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2614z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2111,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, BGl_proc2620z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2619z00zz__evaluate_typesz00, BGl_symbol2316z00zz__evaluate_typesz00)); 
BgL_arg1955z00_2090 = BgL_v1332z00_2111; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1333z00_2227;
BgL_v1333z00_2227 = 
create_vector(((long)0)); 
BgL_arg1956z00_2091 = BgL_v1333z00_2227; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2625z00zz__evaluate_typesz00, BGl_symbol2303z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2624z00zz__evaluate_typesz00, BGl_proc2623z00zz__evaluate_typesz00, BFALSE, BGl_proc2622z00zz__evaluate_typesz00, BFALSE, BgL_arg1955z00_2090, BgL_arg1956z00_2091), BUNSPEC) ;} } 

}



/* &<@anonymous:1961> */
obj_t BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3282, obj_t BgL_new1190z00_3283)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_auxz00_4413;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4422;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_3758;
BgL_classz00_3758 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1281z00_3759;
BgL__ortest_1281z00_3759 = 
BGL_CLASS_NIL(BgL_classz00_3758); 
if(
CBOOL(BgL__ortest_1281z00_3759))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4422 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3759)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4422 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3758))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4422),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3283)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4413 = 
((BgL_ev_absz00_bglt)BgL_new1190z00_3283); 
return 
((obj_t)BgL_auxz00_4413);} } 

}



/* &lambda1959 */
BgL_ev_absz00_bglt BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3284)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1189z00_3760;
BgL_new1189z00_3760 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1960z00_3761;
BgL_arg1960z00_3761 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_3760), BgL_arg1960z00_3761); } 
return BgL_new1189z00_3760;} } 

}



/* &lambda1957 */
BgL_ev_absz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t BgL_envz00_3285, obj_t BgL_loc1179z00_3286, obj_t BgL_where1180z00_3287, obj_t BgL_arity1181z00_3288, obj_t BgL_vars1182z00_3289, obj_t BgL_body1183z00_3290, obj_t BgL_siza7e1184za7_3291, obj_t BgL_bind1185z00_3292, obj_t BgL_free1186z00_3293, obj_t BgL_inner1187z00_3294, obj_t BgL_boxes1188z00_3295)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1184za7_3763;
BgL_siza7e1184za7_3763 = 
CINT(BgL_siza7e1184za7_3291); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1242z00_3764;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1241z00_3765;
BgL_new1241z00_3765 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1958z00_3766;
BgL_arg1958z00_3766 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_3765), BgL_arg1958z00_3766); } 
BgL_new1242z00_3764 = BgL_new1241z00_3765; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_locz00)=((obj_t)BgL_loc1179z00_3286),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_wherez00)=((obj_t)BgL_where1180z00_3287),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_arityz00)=((obj_t)BgL_arity1181z00_3288),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_varsz00)=((obj_t)BgL_vars1182z00_3289),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1183z00_3290)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_siza7eza7)=((int)BgL_siza7e1184za7_3763),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_bindz00)=((obj_t)BgL_bind1185z00_3292),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_freez00)=((obj_t)BgL_free1186z00_3293),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_innerz00)=((obj_t)BgL_inner1187z00_3294),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3764))->BgL_boxesz00)=((obj_t)BgL_boxes1188z00_3295),BUNSPEC); 
return BgL_new1242z00_3764;} } } 

}



/* &<@anonymous:2021> */
obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3296)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2020 */
obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t BgL_envz00_3297, obj_t BgL_oz00_3298, obj_t BgL_vz00_3299)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3298)))->BgL_boxesz00)=((obj_t)BgL_vz00_3299),BUNSPEC);} 

}



/* &lambda2019 */
obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3300, obj_t BgL_oz00_3301)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3301)))->BgL_boxesz00);} 

}



/* &<@anonymous:2014> */
obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3302)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t BgL_envz00_3303, obj_t BgL_oz00_3304, obj_t BgL_vz00_3305)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3304)))->BgL_innerz00)=((obj_t)BgL_vz00_3305),BUNSPEC);} 

}



/* &lambda2012 */
obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t BgL_envz00_3306, obj_t BgL_oz00_3307)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3307)))->BgL_innerz00);} 

}



/* &<@anonymous:2007> */
obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3308)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2006 */
obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t BgL_envz00_3309, obj_t BgL_oz00_3310, obj_t BgL_vz00_3311)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3310)))->BgL_freez00)=((obj_t)BgL_vz00_3311),BUNSPEC);} 

}



/* &lambda2005 */
obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t BgL_envz00_3312, obj_t BgL_oz00_3313)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3313)))->BgL_freez00);} 

}



/* &<@anonymous:2000> */
obj_t BGl_z62zc3z04anonymousza32000ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3314)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3315, obj_t BgL_oz00_3316, obj_t BgL_vz00_3317)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3316)))->BgL_bindz00)=((obj_t)BgL_vz00_3317),BUNSPEC);} 

}



/* &lambda1998 */
obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3318, obj_t BgL_oz00_3319)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3319)))->BgL_bindz00);} 

}



/* &<@anonymous:1993> */
obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3320)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda1992 */
obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3321, obj_t BgL_oz00_3322, obj_t BgL_vz00_3323)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3776;
BgL_vz00_3776 = 
CINT(BgL_vz00_3323); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3322)))->BgL_siza7eza7)=((int)BgL_vz00_3776),BUNSPEC);} } 

}



/* &lambda1991 */
obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3324, obj_t BgL_oz00_3325)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3325)))->BgL_siza7eza7));} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3326, obj_t BgL_oz00_3327, obj_t BgL_vz00_3328)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3327)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3328)),BUNSPEC);} 

}



/* &lambda1985 */
BgL_ev_exprz00_bglt BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3329, obj_t BgL_oz00_3330)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3330)))->BgL_bodyz00);} 

}



/* &lambda1981 */
obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t BgL_envz00_3331, obj_t BgL_oz00_3332, obj_t BgL_vz00_3333)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3332)))->BgL_varsz00)=((obj_t)BgL_vz00_3333),BUNSPEC);} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3334, obj_t BgL_oz00_3335)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3335)))->BgL_varsz00);} 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3336, obj_t BgL_oz00_3337, obj_t BgL_vz00_3338)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3337)))->BgL_arityz00)=((obj_t)BgL_vz00_3338),BUNSPEC);} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3339, obj_t BgL_oz00_3340)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3340)))->BgL_arityz00);} 

}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3341, obj_t BgL_oz00_3342, obj_t BgL_vz00_3343)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3342)))->BgL_wherez00)=((obj_t)BgL_vz00_3343),BUNSPEC);} 

}



/* &lambda1970 */
obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t BgL_envz00_3344, obj_t BgL_oz00_3345)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3345)))->BgL_wherez00);} 

}



/* &lambda1966 */
obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3346, obj_t BgL_oz00_3347, obj_t BgL_vz00_3348)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3347)))->BgL_locz00)=((obj_t)BgL_vz00_3348),BUNSPEC);} 

}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3349, obj_t BgL_oz00_3350)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3350)))->BgL_locz00);} 

}



/* &<@anonymous:1931> */
obj_t BGl_z62zc3z04anonymousza31931ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3351, obj_t BgL_new1177z00_3352)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_auxz00_4508;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3352)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4511;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_3790;
BgL_classz00_3790 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1281z00_3791;
BgL__ortest_1281z00_3791 = 
BGL_CLASS_NIL(BgL_classz00_3790); 
if(
CBOOL(BgL__ortest_1281z00_3791))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4511 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3791)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4511 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3790))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3352)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4511),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3352)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3352)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4508 = 
((BgL_ev_appz00_bglt)BgL_new1177z00_3352); 
return 
((obj_t)BgL_auxz00_4508);} } 

}



/* &lambda1929 */
BgL_ev_appz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3353)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1176z00_3792;
BgL_new1176z00_3792 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1930z00_3793;
BgL_arg1930z00_3793 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_3792), BgL_arg1930z00_3793); } 
return BgL_new1176z00_3792;} } 

}



/* &lambda1927 */
BgL_ev_appz00_bglt BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3354, obj_t BgL_loc1172z00_3355, obj_t BgL_fun1173z00_3356, obj_t BgL_args1174z00_3357, obj_t BgL_tailzf31175zf3_3358)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1240z00_3795;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1239z00_3796;
BgL_new1239z00_3796 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1928z00_3797;
BgL_arg1928z00_3797 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1239z00_3796), BgL_arg1928z00_3797); } 
BgL_new1240z00_3795 = BgL_new1239z00_3796; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3795))->BgL_locz00)=((obj_t)BgL_loc1172z00_3355),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3795))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1173z00_3356)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3795))->BgL_argsz00)=((obj_t)BgL_args1174z00_3357),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3795))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31175zf3_3358),BUNSPEC); 
return BgL_new1240z00_3795;} } 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t BgL_envz00_3359, obj_t BgL_oz00_3360, obj_t BgL_vz00_3361)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3360)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3361),BUNSPEC);} 

}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3362, obj_t BgL_oz00_3363)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3363)))->BgL_tailzf3zf3);} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3364, obj_t BgL_oz00_3365, obj_t BgL_vz00_3366)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3365)))->BgL_argsz00)=((obj_t)BgL_vz00_3366),BUNSPEC);} 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3367, obj_t BgL_oz00_3368)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3368)))->BgL_argsz00);} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t BgL_envz00_3369, obj_t BgL_oz00_3370, obj_t BgL_vz00_3371)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3370)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3371)),BUNSPEC);} 

}



/* &lambda1940 */
BgL_ev_exprz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3372, obj_t BgL_oz00_3373)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3373)))->BgL_funz00);} 

}



/* &lambda1936 */
obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375, obj_t BgL_vz00_3376)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3375)))->BgL_locz00)=((obj_t)BgL_vz00_3376),BUNSPEC);} 

}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3378)))->BgL_locz00);} 

}



/* &<@anonymous:1899> */
obj_t BGl_z62zc3z04anonymousza31899ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3379, obj_t BgL_new1170z00_3380)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4556;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3380)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4559;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3808;
BgL_classz00_3808 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1281z00_3809;
BgL__ortest_1281z00_3809 = 
BGL_CLASS_NIL(BgL_classz00_3808); 
if(
CBOOL(BgL__ortest_1281z00_3809))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4559 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_3809)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4559 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3808))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3380)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4559),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4568;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3810;
BgL_classz00_3810 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1281z00_3811;
BgL__ortest_1281z00_3811 = 
BGL_CLASS_NIL(BgL_classz00_3810); 
if(
CBOOL(BgL__ortest_1281z00_3811))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4568 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1281z00_3811)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4568 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3810))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3380)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4568),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3380)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4556 = 
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3380); 
return 
((obj_t)BgL_auxz00_4556);} } 

}



/* &lambda1897 */
BgL_ev_gotoz00_bglt BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3381)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1169z00_3812;
BgL_new1169z00_3812 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1898z00_3813;
BgL_arg1898z00_3813 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_3812), BgL_arg1898z00_3813); } 
return BgL_new1169z00_3812;} } 

}



/* &lambda1895 */
BgL_ev_gotoz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t BgL_envz00_3382, obj_t BgL_loc1165z00_3383, obj_t BgL_label1166z00_3384, obj_t BgL_labels1167z00_3385, obj_t BgL_args1168z00_3386)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1238z00_3816;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1237z00_3817;
BgL_new1237z00_3817 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1896z00_3818;
BgL_arg1896z00_3818 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1237z00_3817), BgL_arg1896z00_3818); } 
BgL_new1238z00_3816 = BgL_new1237z00_3817; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3816))->BgL_locz00)=((obj_t)BgL_loc1165z00_3383),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3816))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1166z00_3384)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3816))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1167z00_3385)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3816))->BgL_argsz00)=((obj_t)BgL_args1168z00_3386),BUNSPEC); 
return BgL_new1238z00_3816;} } 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3387, obj_t BgL_oz00_3388, obj_t BgL_vz00_3389)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3388)))->BgL_argsz00)=((obj_t)BgL_vz00_3389),BUNSPEC);} 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3390, obj_t BgL_oz00_3391)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3391)))->BgL_argsz00);} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3393)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3394)),BUNSPEC);} 

}



/* &lambda1915 */
BgL_ev_labelsz00_bglt BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3396)))->BgL_labelsz00);} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398, obj_t BgL_vz00_3399)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3398)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3399)),BUNSPEC);} 

}



/* &lambda1910 */
BgL_ev_varz00_bglt BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t BgL_envz00_3400, obj_t BgL_oz00_3401)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3401)))->BgL_labelz00);} 

}



/* &lambda1906 */
obj_t BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t BgL_envz00_3402, obj_t BgL_oz00_3403, obj_t BgL_vz00_3404)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3403)))->BgL_locz00)=((obj_t)BgL_vz00_3404),BUNSPEC);} 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t BgL_envz00_3405, obj_t BgL_oz00_3406)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3406)))->BgL_locz00);} 

}



/* &<@anonymous:1852> */
obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_new1163z00_3408)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4613;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4622;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_3830;
BgL_classz00_3830 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1281z00_3831;
BgL__ortest_1281z00_3831 = 
BGL_CLASS_NIL(BgL_classz00_3830); 
if(
CBOOL(BgL__ortest_1281z00_3831))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4622 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3831)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4622 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3830))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4622),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4613 = 
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3408); 
return 
((obj_t)BgL_auxz00_4613);} } 

}



/* &lambda1850 */
BgL_ev_labelsz00_bglt BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3409)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1162z00_3832;
BgL_new1162z00_3832 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1851z00_3833;
BgL_arg1851z00_3833 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_3832), BgL_arg1851z00_3833); } 
return BgL_new1162z00_3832;} } 

}



/* &lambda1848 */
BgL_ev_labelsz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3410, obj_t BgL_vars1156z00_3411, obj_t BgL_vals1157z00_3412, obj_t BgL_env1158z00_3413, obj_t BgL_stk1159z00_3414, obj_t BgL_body1160z00_3415, obj_t BgL_boxes1161z00_3416)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1236z00_3835;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1235z00_3836;
BgL_new1235z00_3836 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1849z00_3837;
BgL_arg1849z00_3837 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3836), BgL_arg1849z00_3837); } 
BgL_new1236z00_3835 = BgL_new1235z00_3836; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3835))->BgL_varsz00)=((obj_t)BgL_vars1156z00_3411),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3835))->BgL_valsz00)=((obj_t)BgL_vals1157z00_3412),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3835))->BgL_envz00)=((obj_t)BgL_env1158z00_3413),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3835))->BgL_stkz00)=((obj_t)BgL_stk1159z00_3414),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3835))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1160z00_3415)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3835))->BgL_boxesz00)=((obj_t)BgL_boxes1161z00_3416),BUNSPEC); 
return BgL_new1236z00_3835;} } 

}



/* &<@anonymous:1889> */
obj_t BGl_z62zc3z04anonymousza31889ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3417)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1888 */
obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t BgL_envz00_3418, obj_t BgL_oz00_3419, obj_t BgL_vz00_3420)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3419)))->BgL_boxesz00)=((obj_t)BgL_vz00_3420),BUNSPEC);} 

}



/* &lambda1887 */
obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3421, obj_t BgL_oz00_3422)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3422)))->BgL_boxesz00);} 

}



/* &lambda1882 */
obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t BgL_envz00_3423, obj_t BgL_oz00_3424, obj_t BgL_vz00_3425)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3424)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3425)),BUNSPEC);} 

}



/* &lambda1881 */
BgL_ev_exprz00_bglt BGl_z62lambda1881z62zz__evaluate_typesz00(obj_t BgL_envz00_3426, obj_t BgL_oz00_3427)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3427)))->BgL_bodyz00);} 

}



/* &<@anonymous:1877> */
obj_t BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3428)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t BgL_envz00_3429, obj_t BgL_oz00_3430, obj_t BgL_vz00_3431)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3430)))->BgL_stkz00)=((obj_t)BgL_vz00_3431),BUNSPEC);} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3433)))->BgL_stkz00);} 

}



/* &<@anonymous:1870> */
obj_t BGl_z62zc3z04anonymousza31870ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3434)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1869 */
obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436, obj_t BgL_vz00_3437)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3436)))->BgL_envz00)=((obj_t)BgL_vz00_3437),BUNSPEC);} 

}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t BgL_envz00_3438, obj_t BgL_oz00_3439)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3439)))->BgL_envz00);} 

}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3441)))->BgL_valsz00)=((obj_t)BgL_vz00_3442),BUNSPEC);} 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t BgL_envz00_3443, obj_t BgL_oz00_3444)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3444)))->BgL_valsz00);} 

}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3446)))->BgL_varsz00)=((obj_t)BgL_vz00_3447),BUNSPEC);} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3448, obj_t BgL_oz00_3449)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3449)))->BgL_varsz00);} 

}



/* &<@anonymous:1842> */
obj_t BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_new1154z00_3451)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4675;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3451))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3451))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4682;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_3852;
BgL_classz00_3852 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1281z00_3853;
BgL__ortest_1281z00_3853 = 
BGL_CLASS_NIL(BgL_classz00_3852); 
if(
CBOOL(BgL__ortest_1281z00_3853))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4682 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3853)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4682 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3852))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3451))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4682),BUNSPEC); } 
BgL_auxz00_4675 = 
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3451); 
return 
((obj_t)BgL_auxz00_4675);} } 

}



/* &lambda1840 */
BgL_ev_letrecz00_bglt BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t BgL_envz00_3452)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1153z00_3854;
BgL_new1153z00_3854 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1841z00_3855;
BgL_arg1841z00_3855 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_3854), BgL_arg1841z00_3855); } 
return BgL_new1153z00_3854;} } 

}



/* &lambda1838 */
BgL_ev_letrecz00_bglt BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3453, obj_t BgL_vars1150z00_3454, obj_t BgL_vals1151z00_3455, obj_t BgL_body1152z00_3456)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1234z00_3857;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1233z00_3858;
BgL_new1233z00_3858 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1839z00_3859;
BgL_arg1839z00_3859 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1233z00_3858), BgL_arg1839z00_3859); } 
BgL_new1234z00_3857 = BgL_new1233z00_3858; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3857)))->BgL_varsz00)=((obj_t)BgL_vars1150z00_3454),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3857)))->BgL_valsz00)=((obj_t)BgL_vals1151z00_3455),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3857)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1152z00_3456)),BUNSPEC); 
return BgL_new1234z00_3857;} } 

}



/* &<@anonymous:1825> */
obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3457, obj_t BgL_new1148z00_3458)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4709;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3458))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3458))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4716;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_3861;
BgL_classz00_3861 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1281z00_3862;
BgL__ortest_1281z00_3862 = 
BGL_CLASS_NIL(BgL_classz00_3861); 
if(
CBOOL(BgL__ortest_1281z00_3862))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4716 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3862)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4716 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3861))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3458))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4716),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3458)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4709 = 
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3458); 
return 
((obj_t)BgL_auxz00_4709);} } 

}



/* &lambda1823 */
BgL_ev_letza2za2_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t BgL_envz00_3459)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1147z00_3863;
BgL_new1147z00_3863 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1824z00_3864;
BgL_arg1824z00_3864 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_3863), BgL_arg1824z00_3864); } 
return BgL_new1147z00_3863;} } 

}



/* &lambda1821 */
BgL_ev_letza2za2_bglt BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_vars1143z00_3461, obj_t BgL_vals1144z00_3462, obj_t BgL_body1145z00_3463, obj_t BgL_boxes1146z00_3464)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1232z00_3866;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1231z00_3867;
BgL_new1231z00_3867 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1822z00_3868;
BgL_arg1822z00_3868 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_3867), BgL_arg1822z00_3868); } 
BgL_new1232z00_3866 = BgL_new1231z00_3867; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3866)))->BgL_varsz00)=((obj_t)BgL_vars1143z00_3461),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3866)))->BgL_valsz00)=((obj_t)BgL_vals1144z00_3462),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3866)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1145z00_3463)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1232z00_3866))->BgL_boxesz00)=((obj_t)BgL_boxes1146z00_3464),BUNSPEC); 
return BgL_new1232z00_3866;} } 

}



/* &<@anonymous:1832> */
obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3465)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3466, obj_t BgL_oz00_3467, obj_t BgL_vz00_3468)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3467)))->BgL_boxesz00)=((obj_t)BgL_vz00_3468),BUNSPEC);} 

}



/* &lambda1830 */
obj_t BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t BgL_envz00_3469, obj_t BgL_oz00_3470)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3470)))->BgL_boxesz00);} 

}



/* &<@anonymous:1808> */
obj_t BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3471, obj_t BgL_new1141z00_3472)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_auxz00_4750;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3472))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3472))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4757;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_3872;
BgL_classz00_3872 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1281z00_3873;
BgL__ortest_1281z00_3873 = 
BGL_CLASS_NIL(BgL_classz00_3872); 
if(
CBOOL(BgL__ortest_1281z00_3873))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4757 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3873)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4757 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3872))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3472))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4757),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1141z00_3472)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4750 = 
((BgL_ev_letz00_bglt)BgL_new1141z00_3472); 
return 
((obj_t)BgL_auxz00_4750);} } 

}



/* &lambda1806 */
BgL_ev_letz00_bglt BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t BgL_envz00_3473)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1140z00_3874;
BgL_new1140z00_3874 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1807z00_3875;
BgL_arg1807z00_3875 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_3874), BgL_arg1807z00_3875); } 
return BgL_new1140z00_3874;} } 

}



/* &lambda1804 */
BgL_ev_letz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3474, obj_t BgL_vars1136z00_3475, obj_t BgL_vals1137z00_3476, obj_t BgL_body1138z00_3477, obj_t BgL_boxes1139z00_3478)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1230z00_3877;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1229z00_3878;
BgL_new1229z00_3878 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1805z00_3879;
BgL_arg1805z00_3879 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_3878), BgL_arg1805z00_3879); } 
BgL_new1230z00_3877 = BgL_new1229z00_3878; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3877)))->BgL_varsz00)=((obj_t)BgL_vars1136z00_3475),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3877)))->BgL_valsz00)=((obj_t)BgL_vals1137z00_3476),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3877)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1138z00_3477)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1230z00_3877))->BgL_boxesz00)=((obj_t)BgL_boxes1139z00_3478),BUNSPEC); 
return BgL_new1230z00_3877;} } 

}



/* &<@anonymous:1815> */
obj_t BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3479)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1814 */
obj_t BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3480, obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3481)))->BgL_boxesz00)=((obj_t)BgL_vz00_3482),BUNSPEC);} 

}



/* &lambda1813 */
obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t BgL_envz00_3483, obj_t BgL_oz00_3484)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3484)))->BgL_boxesz00);} 

}



/* &<@anonymous:1782> */
obj_t BGl_z62zc3z04anonymousza31782ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3485, obj_t BgL_new1134z00_3486)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4791;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3486)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3486)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4796;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_3883;
BgL_classz00_3883 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1281z00_3884;
BgL__ortest_1281z00_3884 = 
BGL_CLASS_NIL(BgL_classz00_3883); 
if(
CBOOL(BgL__ortest_1281z00_3884))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4796 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3884)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4796 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3883))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3486)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4796),BUNSPEC); } 
BgL_auxz00_4791 = 
((BgL_ev_binderz00_bglt)BgL_new1134z00_3486); 
return 
((obj_t)BgL_auxz00_4791);} } 

}



/* &lambda1780 */
BgL_ev_binderz00_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3487)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1133z00_3885;
BgL_new1133z00_3885 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1781z00_3886;
BgL_arg1781z00_3886 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_3885), BgL_arg1781z00_3886); } 
return BgL_new1133z00_3885;} } 

}



/* &lambda1778 */
BgL_ev_binderz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t BgL_envz00_3488, obj_t BgL_vars1130z00_3489, obj_t BgL_vals1131z00_3490, obj_t BgL_body1132z00_3491)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1228z00_3888;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1227z00_3889;
BgL_new1227z00_3889 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1779z00_3890;
BgL_arg1779z00_3890 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_3889), BgL_arg1779z00_3890); } 
BgL_new1228z00_3888 = BgL_new1227z00_3889; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3888))->BgL_varsz00)=((obj_t)BgL_vars1130z00_3489),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3888))->BgL_valsz00)=((obj_t)BgL_vals1131z00_3490),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3888))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1132z00_3491)),BUNSPEC); 
return BgL_new1228z00_3888;} } 

}



/* &lambda1797 */
obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3493)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3494)),BUNSPEC);} 

}



/* &lambda1796 */
BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3496)))->BgL_bodyz00);} 

}



/* &lambda1792 */
obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3498)))->BgL_valsz00)=((obj_t)BgL_vz00_3499),BUNSPEC);} 

}



/* &lambda1791 */
obj_t BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3501)))->BgL_valsz00);} 

}



/* &lambda1787 */
obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t BgL_envz00_3502, obj_t BgL_oz00_3503, obj_t BgL_vz00_3504)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3503)))->BgL_varsz00)=((obj_t)BgL_vz00_3504),BUNSPEC);} 

}



/* &lambda1786 */
obj_t BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t BgL_envz00_3505, obj_t BgL_oz00_3506)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3506)))->BgL_varsz00);} 

}



/* &<@anonymous:1752> */
obj_t BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3507, obj_t BgL_new1128z00_3508)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4832;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3508)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4835;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_3899;
BgL_classz00_3899 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_3900;
BgL__ortest_1281z00_3900 = 
BGL_CLASS_NIL(BgL_classz00_3899); 
if(
CBOOL(BgL__ortest_1281z00_3900))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4835 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3900)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4835 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3899))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3508)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4835),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4844;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_3901;
BgL_classz00_3901 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_3902;
BgL__ortest_1281z00_3902 = 
BGL_CLASS_NIL(BgL_classz00_3901); 
if(
CBOOL(BgL__ortest_1281z00_3902))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4844 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3902)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4844 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3901))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3508)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4844),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4853;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_3903;
BgL_classz00_3903 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_3904;
BgL__ortest_1281z00_3904 = 
BGL_CLASS_NIL(BgL_classz00_3903); 
if(
CBOOL(BgL__ortest_1281z00_3904))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4853 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3904)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4853 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3903))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3508)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4853),BUNSPEC); } 
BgL_auxz00_4832 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3508); 
return 
((obj_t)BgL_auxz00_4832);} } 

}



/* &lambda1750 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3509)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_3905;
BgL_new1127z00_3905 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1751z00_3906;
BgL_arg1751z00_3906 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_3905), BgL_arg1751z00_3906); } 
return BgL_new1127z00_3905;} } 

}



/* &lambda1748 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3510, obj_t BgL_loc1123z00_3511, obj_t BgL_mutex1124z00_3512, obj_t BgL_prelock1125z00_3513, obj_t BgL_body1126z00_3514)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_3910;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_3911;
BgL_new1225z00_3911 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1749z00_3912;
BgL_arg1749z00_3912 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_3911), BgL_arg1749z00_3912); } 
BgL_new1226z00_3910 = BgL_new1225z00_3911; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3910))->BgL_locz00)=((obj_t)BgL_loc1123z00_3511),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3910))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1124z00_3512)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3910))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1125z00_3513)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3910))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1126z00_3514)),BUNSPEC); 
return BgL_new1226z00_3910;} } 

}



/* &lambda1772 */
obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3515, obj_t BgL_oz00_3516, obj_t BgL_vz00_3517)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3516)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3517)),BUNSPEC);} 

}



/* &lambda1771 */
BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t BgL_envz00_3518, obj_t BgL_oz00_3519)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3519)))->BgL_bodyz00);} 

}



/* &lambda1767 */
obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3520, obj_t BgL_oz00_3521, obj_t BgL_vz00_3522)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3521)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3522)),BUNSPEC);} 

}



/* &lambda1766 */
BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t BgL_envz00_3523, obj_t BgL_oz00_3524)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3524)))->BgL_prelockz00);} 

}



/* &lambda1762 */
obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3525, obj_t BgL_oz00_3526, obj_t BgL_vz00_3527)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3526)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3527)),BUNSPEC);} 

}



/* &lambda1761 */
BgL_ev_exprz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_oz00_3529)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3529)))->BgL_mutexz00);} 

}



/* &lambda1757 */
obj_t BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3530, obj_t BgL_oz00_3531, obj_t BgL_vz00_3532)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3531)))->BgL_locz00)=((obj_t)BgL_vz00_3532),BUNSPEC);} 

}



/* &lambda1756 */
obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t BgL_envz00_3533, obj_t BgL_oz00_3534)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3534)))->BgL_locz00);} 

}



/* &<@anonymous:1731> */
obj_t BGl_z62zc3z04anonymousza31731ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3535, obj_t BgL_new1121z00_3536)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4898;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4899;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_3925;
BgL_classz00_3925 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1281z00_3926;
BgL__ortest_1281z00_3926 = 
BGL_CLASS_NIL(BgL_classz00_3925); 
if(
CBOOL(BgL__ortest_1281z00_3926))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4899 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3926)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4899 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3925))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3536)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4899),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4908;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_3927;
BgL_classz00_3927 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1281z00_3928;
BgL__ortest_1281z00_3928 = 
BGL_CLASS_NIL(BgL_classz00_3927); 
if(
CBOOL(BgL__ortest_1281z00_3928))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4908 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3928)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4908 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3927))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3536)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4908),BUNSPEC); } 
BgL_auxz00_4898 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3536); 
return 
((obj_t)BgL_auxz00_4898);} } 

}



/* &lambda1729 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t BgL_envz00_3537)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_3929;
BgL_new1120z00_3929 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1730z00_3930;
BgL_arg1730z00_3930 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_3929), BgL_arg1730z00_3930); } 
return BgL_new1120z00_3929;} } 

}



/* &lambda1727 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3538, obj_t BgL_handler1118z00_3539, obj_t BgL_body1119z00_3540)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_3933;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_3934;
BgL_new1223z00_3934 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1728z00_3935;
BgL_arg1728z00_3935 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_3934), BgL_arg1728z00_3935); } 
BgL_new1224z00_3933 = BgL_new1223z00_3934; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_3933))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1118z00_3539)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_3933))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1119z00_3540)),BUNSPEC); 
return BgL_new1224z00_3933;} } 

}



/* &lambda1741 */
obj_t BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t BgL_envz00_3541, obj_t BgL_oz00_3542, obj_t BgL_vz00_3543)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3542)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3543)),BUNSPEC);} 

}



/* &lambda1740 */
BgL_ev_exprz00_bglt BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t BgL_envz00_3544, obj_t BgL_oz00_3545)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3545)))->BgL_bodyz00);} 

}



/* &lambda1736 */
obj_t BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t BgL_envz00_3546, obj_t BgL_oz00_3547, obj_t BgL_vz00_3548)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3547)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3548)),BUNSPEC);} 

}



/* &lambda1735 */
BgL_ev_exprz00_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t BgL_envz00_3549, obj_t BgL_oz00_3550)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3550)))->BgL_handlerz00);} 

}



/* &<@anonymous:1711> */
obj_t BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3551, obj_t BgL_new1116z00_3552)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_4941;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4942;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_3943;
BgL_classz00_3943 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1281z00_3944;
BgL__ortest_1281z00_3944 = 
BGL_CLASS_NIL(BgL_classz00_3943); 
if(
CBOOL(BgL__ortest_1281z00_3944))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_4942 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3944)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_4942 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3943))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3552)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4942),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4951;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_3945;
BgL_classz00_3945 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1281z00_3946;
BgL__ortest_1281z00_3946 = 
BGL_CLASS_NIL(BgL_classz00_3945); 
if(
CBOOL(BgL__ortest_1281z00_3946))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_4951 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3946)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_4951 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3945))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3552)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4951),BUNSPEC); } 
BgL_auxz00_4941 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3552); 
return 
((obj_t)BgL_auxz00_4941);} } 

}



/* &lambda1709 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t BgL_envz00_3553)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_3947;
BgL_new1115z00_3947 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1710z00_3948;
BgL_arg1710z00_3948 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_3947), BgL_arg1710z00_3948); } 
return BgL_new1115z00_3947;} } 

}



/* &lambda1707 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t BgL_envz00_3554, obj_t BgL_e1113z00_3555, obj_t BgL_body1114z00_3556)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_3951;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_3952;
BgL_new1221z00_3952 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1708z00_3953;
BgL_arg1708z00_3953 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_3952), BgL_arg1708z00_3953); } 
BgL_new1222z00_3951 = BgL_new1221z00_3952; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_3951))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1113z00_3555)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_3951))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1114z00_3556)),BUNSPEC); 
return BgL_new1222z00_3951;} } 

}



/* &lambda1721 */
obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558, obj_t BgL_vz00_3559)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3558)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3559)),BUNSPEC);} 

}



/* &lambda1720 */
BgL_ev_exprz00_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3560, obj_t BgL_oz00_3561)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3561)))->BgL_bodyz00);} 

}



/* &lambda1716 */
obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t BgL_envz00_3562, obj_t BgL_oz00_3563, obj_t BgL_vz00_3564)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3563)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3564)),BUNSPEC);} 

}



/* &lambda1715 */
BgL_ev_exprz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3566)))->BgL_ez00);} 

}



/* &<@anonymous:1688> */
obj_t BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3567, obj_t BgL_new1111z00_3568)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_4984;
{ 
BgL_ev_varz00_bglt BgL_auxz00_4985;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_3961;
BgL_classz00_3961 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1281z00_3962;
BgL__ortest_1281z00_3962 = 
BGL_CLASS_NIL(BgL_classz00_3961); 
if(
CBOOL(BgL__ortest_1281z00_3962))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_4985 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_3962)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_4985 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3961))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3568)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4985),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4994;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_3963;
BgL_classz00_3963 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1281z00_3964;
BgL__ortest_1281z00_3964 = 
BGL_CLASS_NIL(BgL_classz00_3963); 
if(
CBOOL(BgL__ortest_1281z00_3964))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_4994 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3964)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_4994 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3963))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3568)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4994),BUNSPEC); } 
BgL_auxz00_4984 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3568); 
return 
((obj_t)BgL_auxz00_4984);} } 

}



/* &lambda1684 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t BgL_envz00_3569)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_3965;
BgL_new1110z00_3965 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1687z00_3966;
BgL_arg1687z00_3966 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_3965), BgL_arg1687z00_3966); } 
return BgL_new1110z00_3965;} } 

}



/* &lambda1682 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_var1108z00_3571, obj_t BgL_body1109z00_3572)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_3969;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_3970;
BgL_new1219z00_3970 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1683z00_3971;
BgL_arg1683z00_3971 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_3970), BgL_arg1683z00_3971); } 
BgL_new1220z00_3969 = BgL_new1219z00_3970; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_3969))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3571)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_3969))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3572)),BUNSPEC); 
return BgL_new1220z00_3969;} } 

}



/* &lambda1699 */
obj_t BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_oz00_3574, obj_t BgL_vz00_3575)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3574)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3575)),BUNSPEC);} 

}



/* &lambda1698 */
BgL_ev_exprz00_bglt BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t BgL_envz00_3576, obj_t BgL_oz00_3577)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3577)))->BgL_bodyz00);} 

}



/* &lambda1694 */
obj_t BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_oz00_3579, obj_t BgL_vz00_3580)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3579)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3580)),BUNSPEC);} 

}



/* &lambda1693 */
BgL_ev_varz00_bglt BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t BgL_envz00_3581, obj_t BgL_oz00_3582)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3582)))->BgL_varz00);} 

}



/* &<@anonymous:1672> */
obj_t BGl_z62zc3z04anonymousza31672ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_new1106z00_3584)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5027;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5028;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_3979;
BgL_classz00_3979 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1281z00_3980;
BgL__ortest_1281z00_3980 = 
BGL_CLASS_NIL(BgL_classz00_3979); 
if(
CBOOL(BgL__ortest_1281z00_3980))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5028 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3980)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5028 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3979))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3584))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5028),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3584))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3584))))->BgL_namez00)=((obj_t)BGl_symbol2627z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3584))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5027 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3584); 
return 
((obj_t)BgL_auxz00_5027);} } 

}



/* &lambda1670 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t BgL_envz00_3585)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1105z00_3981;
BgL_new1105z00_3981 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1671z00_3982;
BgL_arg1671z00_3982 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_3981), BgL_arg1671z00_3982); } 
return BgL_new1105z00_3981;} } 

}



/* &lambda1668 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t BgL_envz00_3586, obj_t BgL_e1101z00_3587, obj_t BgL_loc1102z00_3588, obj_t BgL_name1103z00_3589, obj_t BgL_mod1104z00_3590)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1218z00_3985;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1217z00_3986;
BgL_new1217z00_3986 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1669z00_3987;
BgL_arg1669z00_3987 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_3986), BgL_arg1669z00_3987); } 
BgL_new1218z00_3985 = BgL_new1217z00_3986; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1218z00_3985)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3587)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_3985)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3588),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_3985)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3589)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_3985)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3590),BUNSPEC); 
return BgL_new1218z00_3985;} } 

}



/* &<@anonymous:1641> */
obj_t BGl_z62zc3z04anonymousza31641ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3591, obj_t BgL_new1099z00_3592)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5067;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5068;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_3989;
BgL_classz00_3989 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1281z00_3990;
BgL__ortest_1281z00_3990 = 
BGL_CLASS_NIL(BgL_classz00_3989); 
if(
CBOOL(BgL__ortest_1281z00_3990))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5068 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3990)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5068 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3989))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3592))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5068),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3592)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3592)))->BgL_namez00)=((obj_t)BGl_symbol2627z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3592)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5067 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3592); 
return 
((obj_t)BgL_auxz00_5067);} } 

}



/* &lambda1639 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t BgL_envz00_3593)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1098z00_3991;
BgL_new1098z00_3991 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1640z00_3992;
BgL_arg1640z00_3992 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_3991), BgL_arg1640z00_3992); } 
return BgL_new1098z00_3991;} } 

}



/* &lambda1637 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t BgL_envz00_3594, obj_t BgL_e1094z00_3595, obj_t BgL_loc1095z00_3596, obj_t BgL_name1096z00_3597, obj_t BgL_mod1097z00_3598)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1216z00_3995;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1215z00_3996;
BgL_new1215z00_3996 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1638z00_3997;
BgL_arg1638z00_3997 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_3996), BgL_arg1638z00_3997); } 
BgL_new1216z00_3995 = BgL_new1215z00_3996; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1216z00_3995)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3595)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_3995))->BgL_locz00)=((obj_t)BgL_loc1095z00_3596),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_3995))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3597)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_3995))->BgL_modz00)=((obj_t)BgL_mod1097z00_3598),BUNSPEC); 
return BgL_new1216z00_3995;} } 

}



/* &lambda1657 */
obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t BgL_envz00_3599, obj_t BgL_oz00_3600, obj_t BgL_vz00_3601)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3600)))->BgL_modz00)=((obj_t)BgL_vz00_3601),BUNSPEC);} 

}



/* &lambda1656 */
obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3602, obj_t BgL_oz00_3603)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3603)))->BgL_modz00);} 

}



/* &lambda1651 */
obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t BgL_envz00_3604, obj_t BgL_oz00_3605, obj_t BgL_vz00_3606)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3605)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3606)),BUNSPEC);} 

}



/* &lambda1650 */
obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3607, obj_t BgL_oz00_3608)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3608)))->BgL_namez00);} 

}



/* &lambda1646 */
obj_t BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3610)))->BgL_locz00)=((obj_t)BgL_vz00_3611),BUNSPEC);} 

}



/* &lambda1645 */
obj_t BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t BgL_envz00_3612, obj_t BgL_oz00_3613)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3613)))->BgL_locz00);} 

}



/* &<@anonymous:1626> */
obj_t BGl_z62zc3z04anonymousza31626ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3614, obj_t BgL_new1092z00_3615)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5114;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5115;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4006;
BgL_classz00_4006 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1281z00_4007;
BgL__ortest_1281z00_4007 = 
BGL_CLASS_NIL(BgL_classz00_4006); 
if(
CBOOL(BgL__ortest_1281z00_4007))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5115 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4007)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5115 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4006))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3615))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5115),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5125;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4008;
BgL_classz00_4008 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1281z00_4009;
BgL__ortest_1281z00_4009 = 
BGL_CLASS_NIL(BgL_classz00_4008); 
if(
CBOOL(BgL__ortest_1281z00_4009))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5125 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_4009)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5125 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4008))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3615)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5125),BUNSPEC); } 
BgL_auxz00_5114 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3615); 
return 
((obj_t)BgL_auxz00_5114);} } 

}



/* &lambda1624 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t BgL_envz00_3616)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1091z00_4010;
BgL_new1091z00_4010 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1625z00_4011;
BgL_arg1625z00_4011 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4010), BgL_arg1625z00_4011); } 
return BgL_new1091z00_4010;} } 

}



/* &lambda1622 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t BgL_envz00_3617, obj_t BgL_e1089z00_3618, obj_t BgL_v1090z00_3619)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1214z00_4014;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1213z00_4015;
BgL_new1213z00_4015 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1623z00_4016;
BgL_arg1623z00_4016 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_4015), BgL_arg1623z00_4016); } 
BgL_new1214z00_4014 = BgL_new1213z00_4015; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1214z00_4014)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3618)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1214z00_4014))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3619)),BUNSPEC); 
return BgL_new1214z00_4014;} } 

}



/* &lambda1631 */
obj_t BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t BgL_envz00_3620, obj_t BgL_oz00_3621, obj_t BgL_vz00_3622)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3621)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3622)),BUNSPEC);} 

}



/* &lambda1630 */
BgL_ev_varz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t BgL_envz00_3623, obj_t BgL_oz00_3624)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3624)))->BgL_vz00);} 

}



/* &<@anonymous:1616> */
obj_t BGl_z62zc3z04anonymousza31616ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_new1087z00_3626)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5154;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5155;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_4021;
BgL_classz00_4021 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1281z00_4022;
BgL__ortest_1281z00_4022 = 
BGL_CLASS_NIL(BgL_classz00_4021); 
if(
CBOOL(BgL__ortest_1281z00_4022))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5155 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4022)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5155 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4021))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3626))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5155),BUNSPEC); } 
BgL_auxz00_5154 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3626); 
return 
((obj_t)BgL_auxz00_5154);} } 

}



/* &lambda1614 */
BgL_ev_trapz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3627)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1086z00_4023;
BgL_new1086z00_4023 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1615z00_4024;
BgL_arg1615z00_4024 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4023), BgL_arg1615z00_4024); } 
return BgL_new1086z00_4023;} } 

}



/* &lambda1612 */
BgL_ev_trapz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_e1085z00_3629)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1212z00_4026;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1211z00_4027;
BgL_new1211z00_4027 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1613z00_4028;
BgL_arg1613z00_4028 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_4027), BgL_arg1613z00_4028); } 
BgL_new1212z00_4026 = BgL_new1211z00_4027; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1212z00_4026)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3629)),BUNSPEC); 
return BgL_new1212z00_4026;} } 

}



/* &<@anonymous:1600> */
obj_t BGl_z62zc3z04anonymousza31600ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3630, obj_t BgL_new1083z00_3631)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5178;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5179;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_4030;
BgL_classz00_4030 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1281z00_4031;
BgL__ortest_1281z00_4031 = 
BGL_CLASS_NIL(BgL_classz00_4030); 
if(
CBOOL(BgL__ortest_1281z00_4031))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5179 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4031)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5179 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4030))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3631)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5179),BUNSPEC); } 
BgL_auxz00_5178 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3631); 
return 
((obj_t)BgL_auxz00_5178);} } 

}



/* &lambda1598 */
BgL_ev_hookz00_bglt BGl_z62lambda1598z62zz__evaluate_typesz00(obj_t BgL_envz00_3632)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1082z00_4032;
BgL_new1082z00_4032 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1599z00_4033;
BgL_arg1599z00_4033 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4032), BgL_arg1599z00_4033); } 
return BgL_new1082z00_4032;} } 

}



/* &lambda1596 */
BgL_ev_hookz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_e1081z00_3634)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1210z00_4035;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1209z00_4036;
BgL_new1209z00_4036 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1597z00_4037;
BgL_arg1597z00_4037 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_4036), BgL_arg1597z00_4037); } 
BgL_new1210z00_4035 = BgL_new1209z00_4036; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1210z00_4035))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3634)),BUNSPEC); 
return BgL_new1210z00_4035;} } 

}



/* &lambda1606 */
obj_t BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t BgL_envz00_3635, obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3636)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3637)),BUNSPEC);} 

}



/* &lambda1605 */
BgL_ev_exprz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_oz00_3639)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3639)))->BgL_ez00);} 

}



/* &<@anonymous:1577> */
obj_t BGl_z62zc3z04anonymousza31577ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3640, obj_t BgL_new1079z00_3641)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5205;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5206;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4042;
BgL_classz00_4042 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1281z00_4043;
BgL__ortest_1281z00_4043 = 
BGL_CLASS_NIL(BgL_classz00_4042); 
if(
CBOOL(BgL__ortest_1281z00_4043))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5206 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4043)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5206 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4042))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3641)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5206),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5215;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4044;
BgL_classz00_4044 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1281z00_4045;
BgL__ortest_1281z00_4045 = 
BGL_CLASS_NIL(BgL_classz00_4044); 
if(
CBOOL(BgL__ortest_1281z00_4045))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5215 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4045)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5215 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4044))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3641)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5215),BUNSPEC); } 
BgL_auxz00_5205 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3641); 
return 
((obj_t)BgL_auxz00_5205);} } 

}



/* &lambda1575 */
BgL_ev_prog2z00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t BgL_envz00_3642)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1078z00_4046;
BgL_new1078z00_4046 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1576z00_4047;
BgL_arg1576z00_4047 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4046), BgL_arg1576z00_4047); } 
return BgL_new1078z00_4046;} } 

}



/* &lambda1573 */
BgL_ev_prog2z00_bglt BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t BgL_envz00_3643, obj_t BgL_e11076z00_3644, obj_t BgL_e21077z00_3645)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1208z00_4050;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1207z00_4051;
BgL_new1207z00_4051 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1574z00_4052;
BgL_arg1574z00_4052 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_4051), BgL_arg1574z00_4052); } 
BgL_new1208z00_4050 = BgL_new1207z00_4051; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4050))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3644)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4050))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3645)),BUNSPEC); 
return BgL_new1208z00_4050;} } 

}



/* &lambda1588 */
obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_oz00_3647, obj_t BgL_vz00_3648)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3647)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3648)),BUNSPEC);} 

}



/* &lambda1587 */
BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3649, obj_t BgL_oz00_3650)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3650)))->BgL_e2z00);} 

}



/* &lambda1583 */
obj_t BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t BgL_envz00_3651, obj_t BgL_oz00_3652, obj_t BgL_vz00_3653)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3652)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3653)),BUNSPEC);} 

}



/* &lambda1582 */
BgL_ev_exprz00_bglt BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t BgL_envz00_3654, obj_t BgL_oz00_3655)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3655)))->BgL_e1z00);} 

}



/* &<@anonymous:1565> */
obj_t BGl_z62zc3z04anonymousza31565ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3656, obj_t BgL_new1074z00_3657)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_auxz00_5248;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3657))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5248 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3657); 
return 
((obj_t)BgL_auxz00_5248);} } 

}



/* &lambda1563 */
BgL_ev_andz00_bglt BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t BgL_envz00_3658)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1073z00_4060;
BgL_new1073z00_4060 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1564z00_4061;
BgL_arg1564z00_4061 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4060), BgL_arg1564z00_4061); } 
return BgL_new1073z00_4060;} } 

}



/* &lambda1559 */
BgL_ev_andz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t BgL_envz00_3659, obj_t BgL_args1072z00_3660)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1206z00_4062;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1205z00_4063;
BgL_new1205z00_4063 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1562z00_4064;
BgL_arg1562z00_4064 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_4063), BgL_arg1562z00_4064); } 
BgL_new1206z00_4062 = BgL_new1205z00_4063; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1206z00_4062)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3660),BUNSPEC); 
return BgL_new1206z00_4062;} } 

}



/* &<@anonymous:1549> */
obj_t BGl_z62zc3z04anonymousza31549ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3661, obj_t BgL_new1070z00_3662)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_auxz00_5264;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3662))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5264 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3662); 
return 
((obj_t)BgL_auxz00_5264);} } 

}



/* &lambda1547 */
BgL_ev_orz00_bglt BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t BgL_envz00_3663)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1069z00_4066;
BgL_new1069z00_4066 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1548z00_4067;
BgL_arg1548z00_4067 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4066), BgL_arg1548z00_4067); } 
return BgL_new1069z00_4066;} } 

}



/* &lambda1545 */
BgL_ev_orz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3664, obj_t BgL_args1068z00_3665)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1204z00_4068;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1203z00_4069;
BgL_new1203z00_4069 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1546z00_4070;
BgL_arg1546z00_4070 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_4069), BgL_arg1546z00_4070); } 
BgL_new1204z00_4068 = BgL_new1203z00_4069; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1204z00_4068)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3665),BUNSPEC); 
return BgL_new1204z00_4068;} } 

}



/* &<@anonymous:1530> */
obj_t BGl_z62zc3z04anonymousza31530ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3666, obj_t BgL_new1066z00_3667)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_auxz00_5280;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3667)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5280 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3667); 
return 
((obj_t)BgL_auxz00_5280);} } 

}



/* &lambda1528 */
BgL_ev_listz00_bglt BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t BgL_envz00_3668)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1065z00_4072;
BgL_new1065z00_4072 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1529z00_4073;
BgL_arg1529z00_4073 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4072), BgL_arg1529z00_4073); } 
return BgL_new1065z00_4072;} } 

}



/* &lambda1526 */
BgL_ev_listz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3669, obj_t BgL_args1064z00_3670)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1202z00_4074;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1201z00_4075;
BgL_new1201z00_4075 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1527z00_4076;
BgL_arg1527z00_4076 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_4075), BgL_arg1527z00_4076); } 
BgL_new1202z00_4074 = BgL_new1201z00_4075; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1202z00_4074))->BgL_argsz00)=((obj_t)BgL_args1064z00_3670),BUNSPEC); 
return BgL_new1202z00_4074;} } 

}



/* &lambda1537 */
obj_t BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3671, obj_t BgL_oz00_3672, obj_t BgL_vz00_3673)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3672)))->BgL_argsz00)=((obj_t)BgL_vz00_3673),BUNSPEC);} 

}



/* &lambda1536 */
obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t BgL_envz00_3674, obj_t BgL_oz00_3675)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3675)))->BgL_argsz00);} 

}



/* &<@anonymous:1504> */
obj_t BGl_z62zc3z04anonymousza31504ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3676, obj_t BgL_new1062z00_3677)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5298;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5299;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4080;
BgL_classz00_4080 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4081;
BgL__ortest_1281z00_4081 = 
BGL_CLASS_NIL(BgL_classz00_4080); 
if(
CBOOL(BgL__ortest_1281z00_4081))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5299 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4081)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5299 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4080))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3677)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5299),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5308;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4082;
BgL_classz00_4082 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4083;
BgL__ortest_1281z00_4083 = 
BGL_CLASS_NIL(BgL_classz00_4082); 
if(
CBOOL(BgL__ortest_1281z00_4083))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5308 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4083)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5308 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4082))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3677)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5308),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5317;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4084;
BgL_classz00_4084 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4085;
BgL__ortest_1281z00_4085 = 
BGL_CLASS_NIL(BgL_classz00_4084); 
if(
CBOOL(BgL__ortest_1281z00_4085))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5317 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4085)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5317 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4084))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3677)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5317),BUNSPEC); } 
BgL_auxz00_5298 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3677); 
return 
((obj_t)BgL_auxz00_5298);} } 

}



/* &lambda1502 */
BgL_ev_ifz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t BgL_envz00_3678)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1061z00_4086;
BgL_new1061z00_4086 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1503z00_4087;
BgL_arg1503z00_4087 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_4086), BgL_arg1503z00_4087); } 
return BgL_new1061z00_4086;} } 

}



/* &lambda1499 */
BgL_ev_ifz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3679, obj_t BgL_p1058z00_3680, obj_t BgL_t1059z00_3681, obj_t BgL_e1060z00_3682)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1200z00_4091;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1199z00_4092;
BgL_new1199z00_4092 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1501z00_4093;
BgL_arg1501z00_4093 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_4092), BgL_arg1501z00_4093); } 
BgL_new1200z00_4091 = BgL_new1199z00_4092; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4091))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1058z00_3680)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4091))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1059z00_3681)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4091))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1060z00_3682)),BUNSPEC); 
return BgL_new1200z00_4091;} } 

}



/* &lambda1519 */
obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3683, obj_t BgL_oz00_3684, obj_t BgL_vz00_3685)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3684)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3685)),BUNSPEC);} 

}



/* &lambda1518 */
BgL_ev_exprz00_bglt BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t BgL_envz00_3686, obj_t BgL_oz00_3687)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3687)))->BgL_ez00);} 

}



/* &lambda1514 */
obj_t BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_oz00_3689, obj_t BgL_vz00_3690)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3689)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3690)),BUNSPEC);} 

}



/* &lambda1513 */
BgL_ev_exprz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t BgL_envz00_3691, obj_t BgL_oz00_3692)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3692)))->BgL_tz00);} 

}



/* &lambda1509 */
obj_t BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t BgL_envz00_3693, obj_t BgL_oz00_3694, obj_t BgL_vz00_3695)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3694)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3695)),BUNSPEC);} 

}



/* &lambda1508 */
BgL_ev_exprz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3696, obj_t BgL_oz00_3697)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3697)))->BgL_pz00);} 

}



/* &<@anonymous:1488> */
obj_t BGl_z62zc3z04anonymousza31488ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3698, obj_t BgL_new1056z00_3699)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_auxz00_5357;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1056z00_3699)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5357 = 
((BgL_ev_littz00_bglt)BgL_new1056z00_3699); 
return 
((obj_t)BgL_auxz00_5357);} } 

}



/* &lambda1486 */
BgL_ev_littz00_bglt BGl_z62lambda1486z62zz__evaluate_typesz00(obj_t BgL_envz00_3700)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1055z00_4104;
BgL_new1055z00_4104 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1487z00_4105;
BgL_arg1487z00_4105 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_4104), BgL_arg1487z00_4105); } 
return BgL_new1055z00_4104;} } 

}



/* &lambda1483 */
BgL_ev_littz00_bglt BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t BgL_envz00_3701, obj_t BgL_value1054z00_3702)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1198z00_4106;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1197z00_4107;
BgL_new1197z00_4107 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1485z00_4108;
BgL_arg1485z00_4108 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_4107), BgL_arg1485z00_4108); } 
BgL_new1198z00_4106 = BgL_new1197z00_4107; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1198z00_4106))->BgL_valuez00)=((obj_t)BgL_value1054z00_3702),BUNSPEC); 
return BgL_new1198z00_4106;} } 

}



/* &lambda1493 */
obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3703, obj_t BgL_oz00_3704, obj_t BgL_vz00_3705)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3704)))->BgL_valuez00)=((obj_t)BgL_vz00_3705),BUNSPEC);} 

}



/* &lambda1492 */
obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3706, obj_t BgL_oz00_3707)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3707)))->BgL_valuez00);} 

}



/* &<@anonymous:1462> */
obj_t BGl_z62zc3z04anonymousza31462ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3708, obj_t BgL_new1052z00_3709)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5375;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3709)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3709)))->BgL_namez00)=((obj_t)BGl_symbol2627z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3709)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5375 = 
((BgL_ev_globalz00_bglt)BgL_new1052z00_3709); 
return 
((obj_t)BgL_auxz00_5375);} } 

}



/* &lambda1460 */
BgL_ev_globalz00_bglt BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3710)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1051z00_4112;
BgL_new1051z00_4112 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1461z00_4113;
BgL_arg1461z00_4113 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4112), BgL_arg1461z00_4113); } 
return BgL_new1051z00_4112;} } 

}



/* &lambda1458 */
BgL_ev_globalz00_bglt BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_loc1048z00_3712, obj_t BgL_name1049z00_3713, obj_t BgL_mod1050z00_3714)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1196z00_4115;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1195z00_4116;
BgL_new1195z00_4116 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1459z00_4117;
BgL_arg1459z00_4117 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_4116), BgL_arg1459z00_4117); } 
BgL_new1196z00_4115 = BgL_new1195z00_4116; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4115))->BgL_locz00)=((obj_t)BgL_loc1048z00_3712),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4115))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1049z00_3713)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4115))->BgL_modz00)=((obj_t)BgL_mod1050z00_3714),BUNSPEC); 
return BgL_new1196z00_4115;} } 

}



/* &lambda1477 */
obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t BgL_envz00_3715, obj_t BgL_oz00_3716, obj_t BgL_vz00_3717)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3716)))->BgL_modz00)=((obj_t)BgL_vz00_3717),BUNSPEC);} 

}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3718, obj_t BgL_oz00_3719)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3719)))->BgL_modz00);} 

}



/* &lambda1472 */
obj_t BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t BgL_envz00_3720, obj_t BgL_oz00_3721, obj_t BgL_vz00_3722)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3721)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3722)),BUNSPEC);} 

}



/* &lambda1471 */
obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t BgL_envz00_3723, obj_t BgL_oz00_3724)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3724)))->BgL_namez00);} 

}



/* &lambda1467 */
obj_t BGl_z62lambda1467z62zz__evaluate_typesz00(obj_t BgL_envz00_3725, obj_t BgL_oz00_3726, obj_t BgL_vz00_3727)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3726)))->BgL_locz00)=((obj_t)BgL_vz00_3727),BUNSPEC);} 

}



/* &lambda1466 */
obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t BgL_envz00_3728, obj_t BgL_oz00_3729)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3729)))->BgL_locz00);} 

}



/* &<@anonymous:1435> */
obj_t BGl_z62zc3z04anonymousza31435ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3730, obj_t BgL_new1046z00_3731)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_auxz00_5409;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3731)))->BgL_namez00)=((obj_t)BGl_symbol2627z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3731)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3731)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5409 = 
((BgL_ev_varz00_bglt)BgL_new1046z00_3731); 
return 
((obj_t)BgL_auxz00_5409);} } 

}



/* &lambda1432 */
BgL_ev_varz00_bglt BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t BgL_envz00_3732)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1045z00_4126;
BgL_new1045z00_4126 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1434z00_4127;
BgL_arg1434z00_4127 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1045z00_4126), BgL_arg1434z00_4127); } 
return BgL_new1045z00_4126;} } 

}



/* &lambda1430 */
BgL_ev_varz00_bglt BGl_z62lambda1430z62zz__evaluate_typesz00(obj_t BgL_envz00_3733, obj_t BgL_name1042z00_3734, obj_t BgL_eff1043z00_3735, obj_t BgL_type1044z00_3736)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1194z00_4129;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1193z00_4130;
BgL_new1193z00_4130 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1431z00_4131;
BgL_arg1431z00_4131 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_4130), BgL_arg1431z00_4131); } 
BgL_new1194z00_4129 = BgL_new1193z00_4130; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4129))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1042z00_3734)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4129))->BgL_effz00)=((obj_t)BgL_eff1043z00_3735),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4129))->BgL_typez00)=((obj_t)BgL_type1044z00_3736),BUNSPEC); 
return BgL_new1194z00_4129;} } 

}



/* &lambda1452 */
obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t BgL_envz00_3737, obj_t BgL_oz00_3738, obj_t BgL_vz00_3739)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3738)))->BgL_typez00)=((obj_t)BgL_vz00_3739),BUNSPEC);} 

}



/* &lambda1451 */
obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t BgL_envz00_3740, obj_t BgL_oz00_3741)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3741)))->BgL_typez00);} 

}



/* &<@anonymous:1447> */
obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3742)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1446 */
obj_t BGl_z62lambda1446z62zz__evaluate_typesz00(obj_t BgL_envz00_3743, obj_t BgL_oz00_3744, obj_t BgL_vz00_3745)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3744)))->BgL_effz00)=((obj_t)BgL_vz00_3745),BUNSPEC);} 

}



/* &lambda1445 */
obj_t BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t BgL_envz00_3746, obj_t BgL_oz00_3747)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3747)))->BgL_effz00);} 

}



/* &lambda1440 */
obj_t BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t BgL_envz00_3748, obj_t BgL_oz00_3749, obj_t BgL_vz00_3750)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3749)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3750)),BUNSPEC);} 

}



/* &lambda1439 */
obj_t BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t BgL_envz00_3751, obj_t BgL_oz00_3752)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3752)))->BgL_namez00);} 

}



/* &<@anonymous:1424> */
obj_t BGl_z62zc3z04anonymousza31424ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3753, obj_t BgL_new1040z00_3754)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1040z00_3754));} 

}



/* &lambda1422 */
BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t BgL_envz00_3755)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1039z00_4140;
BgL_new1039z00_4140 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1423z00_4141;
BgL_arg1423z00_4141 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_4140), BgL_arg1423z00_4141); } 
return BgL_new1039z00_4140;} } 

}



/* &lambda1420 */
BgL_ev_exprz00_bglt BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t BgL_envz00_3756)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1192z00_4142;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1191z00_4143;
BgL_new1191z00_4143 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1421z00_4144;
BgL_arg1421z00_4144 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_4143), BgL_arg1421z00_4144); } 
BgL_new1192z00_4142 = BgL_new1191z00_4143; } 
return BgL_new1192z00_4142;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)483454155), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)70989603), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)479579181), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)169532048), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2304z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
